var searchIndex = JSON.parse('{\
"alloc":{"doc":"The Rust core allocation and collections libraryThis …","i":[[0,"alloc","alloc","Memory allocation APIs",null,null],[3,"AllocError","alloc::alloc","The <code>AllocError</code> error indicates an allocation failure that …",null,null],[8,"Allocator","","An implementation of <code>Allocator</code> can allocate, grow, …",null,null],[10,"allocate","","Attempts to allocate a block of memory.",0,[[["layout",3]],[["result",4],["nonnull",3],["allocerror",3]]]],[11,"allocate_zeroed","","Behaves like <code>allocate</code>, but also ensures that the returned …",0,[[["layout",3]],[["result",4],["nonnull",3],["allocerror",3]]]],[10,"deallocate","","Deallocates the memory referenced by <code>ptr</code>.",0,[[["layout",3],["nonnull",3],["u8",15]]]],[11,"grow","","Attempts to extend the memory block.",0,[[["u8",15],["layout",3],["nonnull",3]],[["result",4],["nonnull",3],["allocerror",3]]]],[11,"grow_zeroed","","Behaves like <code>grow</code>, but also ensures that the new contents …",0,[[["u8",15],["layout",3],["nonnull",3]],[["result",4],["nonnull",3],["allocerror",3]]]],[11,"shrink","","Attempts to shrink the memory block.",0,[[["u8",15],["layout",3],["nonnull",3]],[["result",4],["nonnull",3],["allocerror",3]]]],[11,"by_ref","","Creates a \\\"by reference\\\" adaptor for this instance of …",0,[[]]],[8,"GlobalAlloc","","A memory allocator that can be registered as the standard …",null,null],[10,"alloc","","Allocate memory as described by the given <code>layout</code>.",1,[[["layout",3]]]],[10,"dealloc","","Deallocate the block of memory at the given <code>ptr</code> pointer …",1,[[["layout",3]]]],[11,"alloc_zeroed","","Behaves like <code>alloc</code>, but also ensures that the contents …",1,[[["layout",3]]]],[11,"realloc","","Shrink or grow a block of memory to the given <code>new_size</code>. …",1,[[["usize",15],["layout",3]]]],[3,"Layout","","Layout of a block of memory.",null,null],[6,"LayoutErr","","",null,null],[3,"LayoutError","","The parameters given to <code>Layout::from_size_align</code> or some …",null,null],[3,"Global","","The global memory allocator.",null,null],[5,"alloc","","Allocate memory with the global allocator.",null,[[["layout",3]]]],[5,"dealloc","","Deallocate memory with the global allocator.",null,[[["layout",3]]]],[5,"realloc","","Reallocate memory with the global allocator.",null,[[["usize",15],["layout",3]]]],[5,"alloc_zeroed","","Allocate zero-initialized memory with the global …",null,[[["layout",3]]]],[5,"handle_alloc_error","","Abort on memory allocation error or failure.",null,[[["layout",3]]]],[0,"boxed","alloc","A pointer type for heap allocation.",null,null],[3,"Box","alloc::boxed","A pointer type for heap allocation.",null,null],[11,"new","","Allocates memory on the heap and then places <code>x</code> into it.",2,[[]]],[11,"new_uninit","","Constructs a new box with uninitialized contents.",2,[[],[["maybeuninit",19],["box",3]]]],[11,"new_zeroed","","Constructs a new <code>Box</code> with uninitialized contents, with …",2,[[],[["maybeuninit",19],["box",3]]]],[11,"pin","","Constructs a new <code>Pin<Box<T>></code>. If <code>T</code> does not implement …",2,[[],[["box",3],["pin",3]]]],[11,"try_new","","Allocates memory on the heap then places <code>x</code> into it, …",2,[[],[["allocerror",3],["result",4]]]],[11,"try_new_uninit","","Constructs a new box with uninitialized contents on the …",2,[[],[["box",3],["allocerror",3],["result",4]]]],[11,"try_new_zeroed","","Constructs a new <code>Box</code> with uninitialized contents, with …",2,[[],[["box",3],["allocerror",3],["result",4]]]],[11,"new_in","","Allocates memory in the given allocator then places <code>x</code> …",2,[[]]],[11,"try_new_in","","Allocates memory in the given allocator then places <code>x</code> …",2,[[],[["allocerror",3],["result",4]]]],[11,"new_uninit_in","","Constructs a new box with uninitialized contents in the …",2,[[],[["box",3],["maybeuninit",19]]]],[11,"try_new_uninit_in","","Constructs a new box with uninitialized contents in the …",2,[[],[["result",4],["box",3],["allocerror",3]]]],[11,"new_zeroed_in","","Constructs a new <code>Box</code> with uninitialized contents, with …",2,[[],[["box",3],["maybeuninit",19]]]],[11,"try_new_zeroed_in","","Constructs a new <code>Box</code> with uninitialized contents, with …",2,[[],[["result",4],["box",3],["allocerror",3]]]],[11,"pin_in","","Constructs a new <code>Pin<Box<T, A>></code>. If <code>T</code> does not implement …",2,[[],["pin",3]]],[11,"into_boxed_slice","","Converts a <code>Box<T></code> into a <code>Box<[T]></code>",2,[[],["box",3]]],[11,"new_uninit_slice","","Constructs a new boxed slice with uninitialized contents.",2,[[["usize",15]],["box",3]]],[11,"new_zeroed_slice","","Constructs a new boxed slice with uninitialized contents, …",2,[[["usize",15]],["box",3]]],[11,"new_uninit_slice_in","","Constructs a new boxed slice with uninitialized contents …",2,[[["usize",15]],["box",3]]],[11,"new_zeroed_slice_in","","Constructs a new boxed slice with uninitialized contents …",2,[[["usize",15]],["box",3]]],[11,"assume_init","","Converts to <code>Box<T, A></code>.",2,[[],["box",3]]],[11,"assume_init","","Converts to <code>Box<[T], A></code>.",2,[[],["box",3]]],[11,"from_raw","","Constructs a box from a raw pointer.",2,[[]]],[11,"from_raw_in","","Constructs a box from a raw pointer in the given …",2,[[]]],[11,"into_raw","","Consumes the <code>Box</code>, returning a wrapped raw pointer.",2,[[]]],[11,"into_raw_with_allocator","","Consumes the <code>Box</code>, returning a wrapped raw pointer and the …",2,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",2,[[]]],[11,"leak","","Consumes and leaks the <code>Box</code>, returning a mutable reference,…",2,[[]]],[11,"into_pin","","Converts a <code>Box<T></code> into a <code>Pin<Box<T>></code>",2,[[],["pin",3]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",2,[[],[["result",4],["box",3]]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",2,[[],[["result",4],["box",3]]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",2,[[],[["result",4],["box",3]]]],[0,"borrow","alloc","A module for working with borrowed data.",null,null],[8,"Borrow","alloc::borrow","A trait for borrowing data.",null,null],[10,"borrow","","Immutably borrows from an owned value.",3,[[]]],[8,"BorrowMut","","A trait for mutably borrowing data.",null,null],[10,"borrow_mut","","Mutably borrows from an owned value.",4,[[]]],[8,"ToOwned","","A generalization of <code>Clone</code> to borrowed data.",null,null],[16,"Owned","","The resulting type after obtaining ownership.",5,null],[10,"to_owned","","Creates owned data from borrowed data, usually by cloning.",5,[[]]],[11,"clone_into","","Uses borrowed data to replace owned data, usually by …",5,[[]]],[4,"Cow","","A clone-on-write smart pointer.",null,null],[13,"Borrowed","","Borrowed data.",6,null],[13,"Owned","","Owned data.",6,null],[11,"is_borrowed","","Returns true if the data is borrowed, i.e. if <code>to_mut</code> …",6,[[],["bool",15]]],[11,"is_owned","","Returns true if the data is owned, i.e. if <code>to_mut</code> would …",6,[[],["bool",15]]],[11,"to_mut","","Acquires a mutable reference to the owned form of the …",6,[[]]],[11,"into_owned","","Extracts the owned data.",6,[[]]],[0,"collections","alloc","Collection types.",null,null],[0,"binary_heap","alloc::collections","A priority queue implemented with a binary heap.",null,null],[3,"BinaryHeap","alloc::collections::binary_heap","A priority queue implemented with a binary heap.",null,null],[3,"PeekMut","","Structure wrapping a mutable reference to the greatest …",null,null],[11,"pop","","Removes the peeked value from the heap and returns it.",7,[[["peekmut",3]]]],[11,"new","","Creates an empty <code>BinaryHeap</code> as a max-heap.",8,[[],["binaryheap",3]]],[11,"with_capacity","","Creates an empty <code>BinaryHeap</code> with a specific capacity. …",8,[[["usize",15]],["binaryheap",3]]],[11,"peek_mut","","Returns a mutable reference to the greatest item in the …",8,[[],[["option",4],["peekmut",3]]]],[11,"pop","","Removes the greatest item from the binary heap and …",8,[[],["option",4]]],[11,"push","","Pushes an item onto the binary heap.",8,[[]]],[11,"into_sorted_vec","","Consumes the <code>BinaryHeap</code> and returns a vector in sorted …",8,[[],["vec",3]]],[11,"append","","Moves all the elements of <code>other</code> into <code>self</code>, leaving <code>other</code> …",8,[[]]],[11,"drain_sorted","","Returns an iterator which retrieves elements in heap …",8,[[],["drainsorted",3]]],[11,"retain","","Retains only the elements specified by the predicate.",8,[[]]],[11,"iter","","Returns an iterator visiting all values in the underlying …",8,[[],["iter",3]]],[11,"into_iter_sorted","","Returns an iterator which retrieves elements in heap …",8,[[],["intoitersorted",3]]],[11,"peek","","Returns the greatest item in the binary heap, or <code>None</code> if …",8,[[],["option",4]]],[11,"capacity","","Returns the number of elements the binary heap can hold …",8,[[],["usize",15]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",8,[[["usize",15]]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",8,[[["usize",15]]]],[11,"shrink_to_fit","","Discards as much additional capacity as possible.",8,[[]]],[11,"shrink_to","","Discards capacity with a lower bound.",8,[[["usize",15]]]],[11,"into_vec","","Consumes the <code>BinaryHeap</code> and returns the underlying vector …",8,[[],["vec",3]]],[11,"len","","Returns the length of the binary heap.",8,[[],["usize",15]]],[11,"is_empty","","Checks if the binary heap is empty.",8,[[],["bool",15]]],[11,"drain","","Clears the binary heap, returning an iterator over the …",8,[[],["drain",3]]],[11,"clear","","Drops all items from the binary heap.",8,[[]]],[3,"Iter","","An iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"IntoIterSorted","","",null,null],[3,"Drain","","A draining iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"DrainSorted","","A draining iterator over the elements of a <code>BinaryHeap</code>.",null,null],[0,"linked_list","alloc::collections","A doubly-linked list with owned nodes.",null,null],[3,"LinkedList","alloc::collections::linked_list","A doubly-linked list with owned nodes.",null,null],[3,"Iter","","An iterator over the elements of a <code>LinkedList</code>.",null,null],[3,"IterMut","","A mutable iterator over the elements of a <code>LinkedList</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>LinkedList</code>.",null,null],[11,"new","","Creates an empty <code>LinkedList</code>.",9,[[]]],[11,"append","","Moves all elements from <code>other</code> to the end of the list.",9,[[]]],[11,"prepend","","Moves all elements from <code>other</code> to the begin of the list.",9,[[]]],[11,"iter","","Provides a forward iterator.",9,[[],["iter",3]]],[11,"iter_mut","","Provides a forward iterator with mutable references.",9,[[],["itermut",3]]],[11,"cursor_front","","Provides a cursor at the front element.",9,[[],["cursor",3]]],[11,"cursor_front_mut","","Provides a cursor with editing operations at the front …",9,[[],["cursormut",3]]],[11,"cursor_back","","Provides a cursor at the back element.",9,[[],["cursor",3]]],[11,"cursor_back_mut","","Provides a cursor with editing operations at the back …",9,[[],["cursormut",3]]],[11,"is_empty","","Returns <code>true</code> if the <code>LinkedList</code> is empty.",9,[[],["bool",15]]],[11,"len","","Returns the length of the <code>LinkedList</code>.",9,[[],["usize",15]]],[11,"clear","","Removes all elements from the <code>LinkedList</code>.",9,[[]]],[11,"contains","","Returns <code>true</code> if the <code>LinkedList</code> contains an element equal …",9,[[],["bool",15]]],[11,"front","","Provides a reference to the front element, or <code>None</code> if the …",9,[[],["option",4]]],[11,"front_mut","","Provides a mutable reference to the front element, or <code>None</code>…",9,[[],["option",4]]],[11,"back","","Provides a reference to the back element, or <code>None</code> if the …",9,[[],["option",4]]],[11,"back_mut","","Provides a mutable reference to the back element, or <code>None</code> …",9,[[],["option",4]]],[11,"push_front","","Adds an element first in the list.",9,[[]]],[11,"pop_front","","Removes the first element and returns it, or <code>None</code> if the …",9,[[],["option",4]]],[11,"push_back","","Appends an element to the back of a list.",9,[[]]],[11,"pop_back","","Removes the last element from a list and returns it, or …",9,[[],["option",4]]],[11,"split_off","","Splits the list into two at the given index. Returns …",9,[[["usize",15]],["linkedlist",3]]],[11,"remove","","Removes the element at the given index and returns it.",9,[[["usize",15]]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",9,[[],["drainfilter",3]]],[3,"Cursor","","A cursor over a <code>LinkedList</code>.",null,null],[3,"CursorMut","","A cursor over a <code>LinkedList</code> with editing operations.",null,null],[11,"index","","Returns the cursor position index within the <code>LinkedList</code>.",10,[[],[["option",4],["usize",15]]]],[11,"move_next","","Moves the cursor to the next element of the <code>LinkedList</code>.",10,[[]]],[11,"move_prev","","Moves the cursor to the previous element of the <code>LinkedList</code>…",10,[[]]],[11,"current","","Returns a reference to the element that the cursor is …",10,[[],["option",4]]],[11,"peek_next","","Returns a reference to the next element.",10,[[],["option",4]]],[11,"peek_prev","","Returns a reference to the previous element.",10,[[],["option",4]]],[11,"index","","Returns the cursor position index within the <code>LinkedList</code>.",11,[[],[["option",4],["usize",15]]]],[11,"move_next","","Moves the cursor to the next element of the <code>LinkedList</code>.",11,[[]]],[11,"move_prev","","Moves the cursor to the previous element of the <code>LinkedList</code>…",11,[[]]],[11,"current","","Returns a reference to the element that the cursor is …",11,[[],["option",4]]],[11,"peek_next","","Returns a reference to the next element.",11,[[],["option",4]]],[11,"peek_prev","","Returns a reference to the previous element.",11,[[],["option",4]]],[11,"as_cursor","","Returns a read-only cursor pointing to the current …",11,[[],["cursor",3]]],[11,"insert_after","","Inserts a new element into the <code>LinkedList</code> after the …",11,[[]]],[11,"insert_before","","Inserts a new element into the <code>LinkedList</code> before the …",11,[[]]],[11,"remove_current","","Removes the current element from the <code>LinkedList</code>.",11,[[],["option",4]]],[11,"remove_current_as_list","","Removes the current element from the <code>LinkedList</code> without …",11,[[],[["linkedlist",3],["option",4]]]],[11,"splice_after","","Inserts the elements from the given <code>LinkedList</code> after the …",11,[[["linkedlist",3]]]],[11,"splice_before","","Inserts the elements from the given <code>LinkedList</code> before the …",11,[[["linkedlist",3]]]],[11,"split_after","","Splits the list into two after the current element. This …",11,[[],["linkedlist",3]]],[11,"split_before","","Splits the list into two before the current element. This …",11,[[],["linkedlist",3]]],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on …",null,null],[0,"vec_deque","alloc::collections","A double-ended queue implemented with a growable ring …",null,null],[3,"Drain","alloc::collections::vec_deque","A draining iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"IterMut","","A mutable iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"Iter","","An iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"VecDeque","","A double-ended queue implemented with a growable ring …",null,null],[11,"new","","Creates an empty <code>VecDeque</code>.",12,[[],["vecdeque",3]]],[11,"with_capacity","","Creates an empty <code>VecDeque</code> with space for at least <code>capacity</code>…",12,[[["usize",15]],["vecdeque",3]]],[11,"get","","Provides a reference to the element at the given index.",12,[[["usize",15]],["option",4]]],[11,"get_mut","","Provides a mutable reference to the element at the given …",12,[[["usize",15]],["option",4]]],[11,"swap","","Swaps elements at indices <code>i</code> and <code>j</code>.",12,[[["usize",15]]]],[11,"capacity","","Returns the number of elements the <code>VecDeque</code> can hold …",12,[[],["usize",15]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",12,[[["usize",15]]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",12,[[["usize",15]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",12,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",12,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the <code>VecDeque</code> as much as possible.",12,[[]]],[11,"shrink_to","","Shrinks the capacity of the <code>VecDeque</code> with a lower bound.",12,[[["usize",15]]]],[11,"truncate","","Shortens the <code>VecDeque</code>, keeping the first <code>len</code> elements and …",12,[[["usize",15]]]],[11,"iter","","Returns a front-to-back iterator.",12,[[],["iter",3]]],[11,"iter_mut","","Returns a front-to-back iterator that returns mutable …",12,[[],["itermut",3]]],[11,"as_slices","","Returns a pair of slices which contain, in order, the …",12,[[]]],[11,"as_mut_slices","","Returns a pair of slices which contain, in order, the …",12,[[]]],[11,"len","","Returns the number of elements in the <code>VecDeque</code>.",12,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the <code>VecDeque</code> is empty.",12,[[],["bool",15]]],[11,"range","","Creates an iterator that covers the specified range in …",12,[[],["iter",3]]],[11,"range_mut","","Creates an iterator that covers the specified mutable …",12,[[],["itermut",3]]],[11,"drain","","Creates a draining iterator that removes the specified …",12,[[],["drain",3]]],[11,"clear","","Clears the <code>VecDeque</code>, removing all values.",12,[[]]],[11,"contains","","Returns <code>true</code> if the <code>VecDeque</code> contains an element equal to …",12,[[],["bool",15]]],[11,"front","","Provides a reference to the front element, or <code>None</code> if the …",12,[[],["option",4]]],[11,"front_mut","","Provides a mutable reference to the front element, or <code>None</code>…",12,[[],["option",4]]],[11,"back","","Provides a reference to the back element, or <code>None</code> if the …",12,[[],["option",4]]],[11,"back_mut","","Provides a mutable reference to the back element, or <code>None</code> …",12,[[],["option",4]]],[11,"pop_front","","Removes the first element and returns it, or <code>None</code> if the …",12,[[],["option",4]]],[11,"pop_back","","Removes the last element from the <code>VecDeque</code> and returns …",12,[[],["option",4]]],[11,"push_front","","Prepends an element to the <code>VecDeque</code>.",12,[[]]],[11,"push_back","","Appends an element to the back of the <code>VecDeque</code>.",12,[[]]],[11,"swap_remove_front","","Removes an element from anywhere in the <code>VecDeque</code> and …",12,[[["usize",15]],["option",4]]],[11,"swap_remove_back","","Removes an element from anywhere in the <code>VecDeque</code> and …",12,[[["usize",15]],["option",4]]],[11,"insert","","Inserts an element at <code>index</code> within the <code>VecDeque</code>, shifting …",12,[[["usize",15]]]],[11,"remove","","Removes and returns the element at <code>index</code> from the <code>VecDeque</code>…",12,[[["usize",15]],["option",4]]],[11,"split_off","","Splits the <code>VecDeque</code> into two at the given index.",12,[[["usize",15]]]],[11,"append","","Moves all the elements of <code>other</code> into <code>self</code>, leaving <code>other</code> …",12,[[]]],[11,"retain","","Retains only the elements specified by the predicate.",12,[[]]],[11,"resize_with","","Modifies the <code>VecDeque</code> in-place so that <code>len()</code> is equal to …",12,[[["usize",15]]]],[11,"make_contiguous","","Rearranges the internal storage of this deque so it is …",12,[[]]],[11,"rotate_left","","Rotates the double-ended queue <code>mid</code> places to the left.",12,[[["usize",15]]]],[11,"rotate_right","","Rotates the double-ended queue <code>k</code> places to the right.",12,[[["usize",15]]]],[11,"binary_search","","Binary searches this sorted <code>VecDeque</code> for a given element.",12,[[],[["usize",15],["result",4]]]],[11,"binary_search_by","","Binary searches this sorted <code>VecDeque</code> with a comparator …",12,[[],[["usize",15],["result",4]]]],[11,"binary_search_by_key","","Binary searches this sorted <code>VecDeque</code> with a key …",12,[[],[["usize",15],["result",4]]]],[11,"resize","","Modifies the <code>VecDeque</code> in-place so that <code>len()</code> is equal to …",12,[[["usize",15]]]],[0,"btree_map","alloc::collections","A map based on a B-Tree.",null,null],[4,"Entry","alloc::collections::btree_map","A view into a single entry in a map, which may either be …",null,null],[13,"Vacant","","A vacant entry.",13,null],[13,"Occupied","","An occupied entry.",13,null],[3,"OccupiedEntry","","A view into an occupied entry in a <code>BTreeMap</code>. It is part …",null,null],[3,"VacantEntry","","A view into a vacant entry in a <code>BTreeMap</code>. It is part of …",null,null],[3,"BTreeMap","","A map based on a B-Tree.",null,null],[3,"Iter","","An iterator over the entries of a <code>BTreeMap</code>.",null,null],[3,"IterMut","","A mutable iterator over the entries of a <code>BTreeMap</code>.",null,null],[3,"IntoIter","","An owning iterator over the entries of a <code>BTreeMap</code>.",null,null],[3,"Keys","","An iterator over the keys of a <code>BTreeMap</code>.",null,null],[3,"Values","","An iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"ValuesMut","","A mutable iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"IntoKeys","","An owning iterator over the keys of a <code>BTreeMap</code>.",null,null],[3,"IntoValues","","An owning iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"Range","","An iterator over a sub-range of entries in a <code>BTreeMap</code>.",null,null],[3,"RangeMut","","A mutable iterator over a sub-range of entries in a …",null,null],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on BTreeMap.",null,null],[0,"btree_set","alloc::collections","A set based on a B-Tree.",null,null],[3,"BTreeSet","alloc::collections::btree_set","A set based on a B-Tree.",null,null],[3,"Iter","","An iterator over the items of a <code>BTreeSet</code>.",null,null],[3,"IntoIter","","An owning iterator over the items of a <code>BTreeSet</code>.",null,null],[3,"Range","","An iterator over a sub-range of items in a <code>BTreeSet</code>.",null,null],[3,"Difference","","A lazy iterator producing elements in the difference of …",null,null],[3,"SymmetricDifference","","A lazy iterator producing elements in the symmetric …",null,null],[3,"Intersection","","A lazy iterator producing elements in the intersection of …",null,null],[3,"Union","","A lazy iterator producing elements in the union of …",null,null],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on BTreeSet.",null,null],[4,"TryReserveError","alloc::collections","The error type for <code>try_reserve</code> methods.",null,null],[13,"CapacityOverflow","","Error due to the computed capacity exceeding the …",14,null],[13,"AllocError","","The memory allocator returned an error",14,null],[12,"layout","alloc::collections::TryReserveError","The layout of allocation request that failed",15,null],[0,"fmt","alloc","Utilities for formatting and printing <code>String</code>s.",null,null],[4,"Alignment","alloc::fmt","Possible alignments returned by <code>Formatter::align</code>",null,null],[13,"Left","","Indication that contents should be left-aligned.",16,null],[13,"Right","","Indication that contents should be right-aligned.",16,null],[13,"Center","","Indication that contents should be center-aligned.",16,null],[3,"Error","","The error type which is returned from formatting a …",null,null],[5,"write","","The <code>write</code> function takes an output stream, and an …",null,[[["write",8],["arguments",3]],[["error",3],["result",4]]]],[3,"Arguments","","This structure represents a safely precompiled version of …",null,null],[8,"Binary","","<code>b</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",17,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Octal","","<code>o</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",18,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Debug","","<code>?</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",19,[[["formatter",3]],[["error",3],["result",4]]]],[14,"Debug","","Derive macro generating an impl of the trait <code>Debug</code>.",null,null],[8,"Display","","Format trait for an empty format, <code>{}</code>.",null,null],[10,"fmt","","Formats the value using the given formatter.",20,[[["formatter",3]],[["error",3],["result",4]]]],[3,"DebugList","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugMap","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugSet","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugStruct","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugTuple","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"Formatter","","Configuration for formatting.",null,null],[6,"Result","","The type returned by formatter methods.",null,null],[8,"Write","","A trait for writing or formatting into Unicode-accepting …",null,null],[10,"write_str","","Writes a string slice into this writer, returning whether …",21,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","Writes a [<code>char</code>] into this writer, returning whether the …",21,[[["char",15]],[["error",3],["result",4]]]],[11,"write_fmt","","Glue for usage of the [<code>write!</code>] macro with implementors of …",21,[[["arguments",3]],[["error",3],["result",4]]]],[8,"LowerExp","","<code>e</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",22,[[["formatter",3]],[["error",3],["result",4]]]],[8,"UpperExp","","<code>E</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",23,[[["formatter",3]],[["error",3],["result",4]]]],[8,"LowerHex","","<code>x</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",24,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Pointer","","<code>p</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",25,[[["formatter",3]],[["error",3],["result",4]]]],[8,"UpperHex","","<code>X</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",26,[[["formatter",3]],[["error",3],["result",4]]]],[5,"format","","The <code>format</code> function takes an [<code>Arguments</code>] struct and …",null,[[["arguments",3]],["string",3]]],[0,"prelude","alloc","The alloc Prelude",null,null],[0,"v1","alloc::prelude","The first version of the prelude of <code>alloc</code> crate.",null,null],[0,"rc","alloc","Single-threaded reference-counting pointers. \'Rc\' stands …",null,null],[3,"Rc","alloc::rc","A single-threaded reference-counting pointer. \'Rc\' stands …",null,null],[11,"new","","Constructs a new <code>Rc<T></code>.",27,[[],["rc",3]]],[11,"new_cyclic","","Constructs a new <code>Rc<T></code> using a weak reference to itself. …",27,[[],["rc",3]]],[11,"new_uninit","","Constructs a new <code>Rc</code> with uninitialized contents.",27,[[],[["rc",3],["maybeuninit",19]]]],[11,"new_zeroed","","Constructs a new <code>Rc</code> with uninitialized contents, with the …",27,[[],[["rc",3],["maybeuninit",19]]]],[11,"try_new","","Constructs a new <code>Rc<T></code>, returning an error if the …",27,[[],[["rc",3],["result",4],["allocerror",3]]]],[11,"try_new_uninit","","Constructs a new <code>Rc</code> with uninitialized contents, …",27,[[],[["result",4],["rc",3],["allocerror",3]]]],[11,"try_new_zeroed","","Constructs a new <code>Rc</code> with uninitialized contents, with the …",27,[[],[["result",4],["rc",3],["allocerror",3]]]],[11,"pin","","Constructs a new <code>Pin<Rc<T>></code>. If <code>T</code> does not implement <code>Unpin</code>…",27,[[],[["pin",3],["rc",3]]]],[11,"try_unwrap","","Returns the inner value, if the <code>Rc</code> has exactly one strong …",27,[[],["result",4]]],[11,"new_uninit_slice","","Constructs a new reference-counted slice with …",27,[[["usize",15]],["rc",3]]],[11,"new_zeroed_slice","","Constructs a new reference-counted slice with …",27,[[["usize",15]],["rc",3]]],[11,"assume_init","","Converts to <code>Rc<T></code>.",27,[[],["rc",3]]],[11,"assume_init","","Converts to <code>Rc<[T]></code>.",27,[[],["rc",3]]],[11,"into_raw","","Consumes the <code>Rc</code>, returning the wrapped pointer.",27,[[]]],[11,"as_ptr","","Provides a raw pointer to the data.",27,[[]]],[11,"from_raw","","Constructs an <code>Rc<T></code> from a raw pointer.",27,[[]]],[11,"downgrade","","Creates a new [<code>Weak</code>] pointer to this allocation.",27,[[],["weak",3]]],[11,"weak_count","","Gets the number of [<code>Weak</code>] pointers to this allocation.",27,[[],["usize",15]]],[11,"strong_count","","Gets the number of strong (<code>Rc</code>) pointers to this …",27,[[],["usize",15]]],[11,"get_mut","","Returns a mutable reference into the given <code>Rc</code>, if there …",27,[[],["option",4]]],[11,"get_mut_unchecked","","Returns a mutable reference into the given <code>Rc</code>, without …",27,[[]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Rc</code>s point to the same allocation …",27,[[],["bool",15]]],[11,"make_mut","","Makes a mutable reference into the given <code>Rc</code>.",27,[[]]],[11,"downcast","","Attempt to downcast the <code>Rc<dyn Any></code> to a concrete type.",27,[[],[["rc",3],["result",4],["rc",3]]]],[3,"Weak","","<code>Weak</code> is a version of [<code>Rc</code>] that holds a non-owning …",null,null],[11,"new","","Constructs a new <code>Weak<T></code>, without allocating any memory. …",28,[[],["weak",3]]],[11,"as_ptr","","Returns a raw pointer to the object <code>T</code> pointed to by this …",28,[[]]],[11,"into_raw","","Consumes the <code>Weak<T></code> and turns it into a raw pointer.",28,[[]]],[11,"from_raw","","Converts a raw pointer previously created by <code>into_raw</code> …",28,[[]]],[11,"upgrade","","Attempts to upgrade the <code>Weak</code> pointer to an [<code>Rc</code>], delaying …",28,[[],[["option",4],["rc",3]]]],[11,"strong_count","","Gets the number of strong (<code>Rc</code>) pointers pointing to this …",28,[[],["usize",15]]],[11,"weak_count","","Gets the number of <code>Weak</code> pointers pointing to this …",28,[[],["usize",15]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Weak</code>s point to the same …",28,[[],["bool",15]]],[0,"slice","alloc","A dynamically-sized view into a contiguous sequence, <code>[T]</code>.",null,null],[3,"ArrayChunks","alloc::slice","An iterator over a slice in (non-overlapping) chunks (<code>N</code> …",null,null],[3,"ArrayChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ArrayWindows","","A windowed iterator over a slice in overlapping chunks (<code>N</code> …",null,null],[8,"SliceIndex","","A helper trait used for indexing operations.",null,null],[16,"Output","","The output type returned by methods.",29,null],[10,"get","","Returns a shared reference to the output at this …",29,[[],["option",4]]],[10,"get_mut","","Returns a mutable reference to the output at this …",29,[[],["option",4]]],[10,"get_unchecked","","Returns a shared reference to the output at this …",29,[[]]],[10,"get_unchecked_mut","","Returns a mutable reference to the output at this …",29,[[]]],[10,"index","","Returns a shared reference to the output at this …",29,[[]]],[10,"index_mut","","Returns a mutable reference to the output at this …",29,[[]]],[5,"from_mut","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"from_ref","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"from_raw_parts","","Forms a slice from a pointer and a length.",null,[[["usize",15]]]],[5,"from_raw_parts_mut","","Performs the same functionality as [<code>from_raw_parts</code>], …",null,[[["usize",15]]]],[3,"Chunks","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"Windows","","An iterator over overlapping subslices of length <code>size</code>.",null,null],[3,"ChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"ChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"Split","","An iterator over subslices separated by elements that …",null,null],[3,"SplitMut","","An iterator over the mutable subslices of the vector …",null,null],[3,"GroupBy","","An iterator over slice in (non-overlapping) chunks …",null,null],[3,"GroupByMut","","An iterator over slice in (non-overlapping) mutable …",null,null],[3,"Iter","","Immutable slice iterator",null,null],[3,"IterMut","","Mutable slice iterator.",null,null],[3,"RChunks","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RSplit","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitMut","","An iterator over the subslices of the vector which are …",null,null],[3,"RSplitN","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitNMut","","An iterator over subslices separated by elements that …",null,null],[3,"SplitN","","An iterator over subslices separated by elements that …",null,null],[3,"SplitNMut","","An iterator over subslices separated by elements that …",null,null],[8,"Concat","","Helper trait for <code>[T]::concat</code>.",null,null],[16,"Output","","The resulting type after concatenation",30,null],[10,"concat","","Implementation of <code>[T]::concat</code>",30,[[]]],[8,"Join","","Helper trait for <code>[T]::join</code>",null,null],[16,"Output","","The resulting type after concatenation",31,null],[10,"join","","Implementation of <code>[T]::join</code>",31,[[]]],[0,"str","alloc","Unicode string slices.",null,null],[0,"pattern","alloc::str","The string Pattern API.",null,null],[8,"Pattern","alloc::str::pattern","A string pattern.",null,null],[16,"Searcher","","Associated searcher for this pattern",32,null],[10,"into_searcher","","Constructs the associated searcher from <code>self</code> and the …",32,[[["str",15]]]],[11,"is_contained_in","","Checks whether the pattern matches anywhere in the …",32,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","Checks whether the pattern matches at the front of the …",32,[[["str",15]],["bool",15]]],[11,"is_suffix_of","","Checks whether the pattern matches at the back of the …",32,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","Removes the pattern from the front of haystack, if it …",32,[[["str",15]],[["str",15],["option",4]]]],[11,"strip_suffix_of","","Removes the pattern from the back of haystack, if it …",32,[[["str",15]],[["str",15],["option",4]]]],[4,"SearchStep","","Result of calling [<code>Searcher::next()</code>] or […",null,null],[13,"Match","","Expresses that a match of the pattern has been found at …",33,null],[13,"Reject","","Expresses that <code>haystack[a..b]</code> has been rejected as a …",33,null],[13,"Done","","Expresses that every byte of the haystack has been …",33,null],[8,"Searcher","","A searcher for a string pattern.",null,null],[10,"haystack","","Getter for the underlying string to be searched in",34,[[],["str",15]]],[10,"next","","Performs the next search step starting from the front.",34,[[],["searchstep",4]]],[11,"next_match","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",34,[[],["option",4]]],[11,"next_reject","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",34,[[],["option",4]]],[8,"ReverseSearcher","","A reverse searcher for a string pattern.",null,null],[10,"next_back","","Performs the next search step starting from the back.",35,[[],["searchstep",4]]],[11,"next_match_back","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",35,[[],["option",4]]],[11,"next_reject_back","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",35,[[],["option",4]]],[8,"DoubleEndedSearcher","","A marker trait to express that a [<code>ReverseSearcher</code>] can be …",null,null],[3,"CharSearcher","","Associated type for <code><char as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharSliceSearcher","","Associated type for <code><&[char] as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharPredicateSearcher","","Associated type for <code><F as Pattern<\'a>>::Searcher</code>.",null,null],[3,"StrSearcher","","Associated type for <code><&str as Pattern<\'a>>::Searcher</code>.",null,null],[3,"EncodeUtf16","alloc::str","An iterator of [<code>u16</code>] over the string encoded as UTF-16.",null,null],[3,"SplitAsciiWhitespace","","An iterator over the non-ASCII-whitespace substrings of a …",null,null],[3,"SplitWhitespace","","An iterator over the non-whitespace substrings of a …",null,null],[5,"from_utf8","","Converts a slice of bytes to a string slice.",null,[[],[["str",15],["utf8error",3],["result",4]]]],[5,"from_utf8_mut","","Converts a mutable slice of bytes to a mutable string …",null,[[],[["result",4],["str",15],["utf8error",3]]]],[3,"Bytes","","An iterator over the bytes of a string slice.",null,null],[3,"CharIndices","","An iterator over the <code>char</code>s of a string slice, and their …",null,null],[3,"Chars","","An iterator over the <code>char</code>s of a string slice.",null,null],[5,"from_utf8_unchecked","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[5,"from_utf8_unchecked_mut","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[3,"ParseBoolError","","An error returned when parsing a <code>bool</code> using <code>from_str</code> fails",null,null],[3,"EscapeDebug","","The return type of [<code>str::escape_debug</code>].",null,null],[3,"EscapeDefault","","The return type of [<code>str::escape_default</code>].",null,null],[3,"EscapeUnicode","","The return type of [<code>str::escape_unicode</code>].",null,null],[8,"FromStr","","Parse a value from a string",null,null],[16,"Err","","The associated error which can be returned from parsing.",36,null],[10,"from_str","","Parses a string <code>s</code> to return a value of this type.",36,[[["str",15]],["result",4]]],[3,"Utf8Error","","Errors which can occur when attempting to interpret a …",null,null],[3,"Lines","","An iterator over the lines of a string, as string slices.",null,null],[3,"LinesAny","","Created with the method <code>lines_any</code>.",null,null],[3,"MatchIndices","","Created with the method <code>match_indices</code>.",null,null],[3,"RMatchIndices","","Created with the method <code>rmatch_indices</code>.",null,null],[3,"Matches","","Created with the method <code>matches</code>.",null,null],[3,"RMatches","","Created with the method <code>rmatches</code>.",null,null],[3,"RSplit","","Created with the method <code>rsplit</code>.",null,null],[3,"Split","","Created with the method <code>split</code>.",null,null],[3,"RSplitN","","Created with the method <code>rsplitn</code>.",null,null],[3,"SplitN","","Created with the method <code>splitn</code>.",null,null],[3,"RSplitTerminator","","Created with the method <code>rsplit_terminator</code>.",null,null],[3,"SplitTerminator","","Created with the method <code>split_terminator</code>.",null,null],[5,"from_boxed_utf8_unchecked","","Converts a boxed slice of bytes to a boxed string slice …",null,[[["box",3]],[["str",15],["box",3]]]],[0,"string","alloc","A UTF-8–encoded, growable string.",null,null],[3,"String","alloc::string","A UTF-8–encoded, growable string.",null,null],[3,"FromUtf8Error","","A possible error value when converting a <code>String</code> from a …",null,null],[3,"FromUtf16Error","","A possible error value when converting a <code>String</code> from a …",null,null],[11,"new","","Creates a new empty <code>String</code>.",37,[[],["string",3]]],[11,"with_capacity","","Creates a new empty <code>String</code> with a particular capacity.",37,[[["usize",15]],["string",3]]],[11,"from_utf8","","Converts a vector of bytes to a <code>String</code>.",37,[[["vec",3],["u8",15]],[["fromutf8error",3],["string",3],["result",4]]]],[11,"from_utf8_lossy","","Converts a slice of bytes to a string, including invalid …",37,[[],[["cow",4],["str",15]]]],[11,"from_utf16","","Decode a UTF-16–encoded vector <code>v</code> into a <code>String</code>, …",37,[[],[["string",3],["fromutf16error",3],["result",4]]]],[11,"from_utf16_lossy","","Decode a UTF-16–encoded slice <code>v</code> into a <code>String</code>, replacing…",37,[[],["string",3]]],[11,"into_raw_parts","","Decomposes a <code>String</code> into its raw components.",37,[[]]],[11,"from_raw_parts","","Creates a new <code>String</code> from a length, capacity, and pointer.",37,[[["usize",15]],["string",3]]],[11,"from_utf8_unchecked","","Converts a vector of bytes to a <code>String</code> without checking …",37,[[["vec",3],["u8",15]],["string",3]]],[11,"into_bytes","","Converts a <code>String</code> into a byte vector.",37,[[],[["vec",3],["u8",15]]]],[11,"as_str","","Extracts a string slice containing the entire <code>String</code>.",37,[[],["str",15]]],[11,"as_mut_str","","Converts a <code>String</code> into a mutable string slice.",37,[[],["str",15]]],[11,"push_str","","Appends a given string slice onto the end of this <code>String</code>.",37,[[["str",15]]]],[11,"capacity","","Returns this <code>String</code>\'s capacity, in bytes.",37,[[],["usize",15]]],[11,"reserve","","Ensures that this <code>String</code>\'s capacity is at least <code>additional</code>…",37,[[["usize",15]]]],[11,"reserve_exact","","Ensures that this <code>String</code>\'s capacity is <code>additional</code> bytes …",37,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",37,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",37,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of this <code>String</code> to match its length.",37,[[]]],[11,"shrink_to","","Shrinks the capacity of this <code>String</code> with a lower bound.",37,[[["usize",15]]]],[11,"push","","Appends the given [<code>char</code>] to the end of this <code>String</code>.",37,[[["char",15]]]],[11,"as_bytes","","Returns a byte slice of this <code>String</code>\'s contents.",37,[[]]],[11,"truncate","","Shortens this <code>String</code> to the specified length.",37,[[["usize",15]]]],[11,"pop","","Removes the last character from the string buffer and …",37,[[],[["option",4],["char",15]]]],[11,"remove","","Removes a [<code>char</code>] from this <code>String</code> at a byte position and …",37,[[["usize",15]],["char",15]]],[11,"retain","","Retains only the characters specified by the predicate.",37,[[]]],[11,"insert","","Inserts a character into this <code>String</code> at a byte position.",37,[[["usize",15],["char",15]]]],[11,"insert_str","","Inserts a string slice into this <code>String</code> at a byte …",37,[[["usize",15],["str",15]]]],[11,"as_mut_vec","","Returns a mutable reference to the contents of this <code>String</code>…",37,[[],["vec",3]]],[11,"len","","Returns the length of this <code>String</code>, in bytes, not [<code>char</code>]s …",37,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if this <code>String</code> has a length of zero, and …",37,[[],["bool",15]]],[11,"split_off","","Splits the string into two at the given byte index.",37,[[["usize",15]],["string",3]]],[11,"clear","","Truncates this <code>String</code>, removing all contents.",37,[[]]],[11,"drain","","Creates a draining iterator that removes the specified …",37,[[],["drain",3]]],[11,"replace_range","","Removes the specified range in the string, and replaces …",37,[[["str",15]]]],[11,"into_boxed_str","","Converts this <code>String</code> into a [<code>Box</code>]<code><</code><code>str</code><code>></code>.",37,[[],[["str",15],["box",3]]]],[11,"as_bytes","","Returns a slice of [<code>u8</code>]s bytes that were attempted to …",38,[[]]],[11,"into_bytes","","Returns the bytes that were attempted to convert to a …",38,[[],[["vec",3],["u8",15]]]],[11,"utf8_error","","Fetch a <code>Utf8Error</code> to get more details about the …",38,[[],["utf8error",3]]],[6,"ParseError","","A type alias for <code>Infallible</code>.",null,null],[8,"ToString","","A trait for converting a value to a <code>String</code>.",null,null],[10,"to_string","","Converts the given value to a <code>String</code>.",39,[[],["string",3]]],[3,"Drain","","A draining iterator for <code>String</code>.",null,null],[11,"as_str","","Returns the remaining (sub)string of this iterator as a …",40,[[],["str",15]]],[0,"sync","alloc","Thread-safe reference-counting pointers.",null,null],[3,"Arc","alloc::sync","A thread-safe reference-counting pointer. \'Arc\' stands …",null,null],[3,"Weak","","<code>Weak</code> is a version of [<code>Arc</code>] that holds a non-owning …",null,null],[11,"new","","Constructs a new <code>Arc<T></code>.",41,[[],["arc",3]]],[11,"new_cyclic","","Constructs a new <code>Arc<T></code> using a weak reference to itself. …",41,[[],["arc",3]]],[11,"new_uninit","","Constructs a new <code>Arc</code> with uninitialized contents.",41,[[],[["maybeuninit",19],["arc",3]]]],[11,"new_zeroed","","Constructs a new <code>Arc</code> with uninitialized contents, with …",41,[[],[["maybeuninit",19],["arc",3]]]],[11,"pin","","Constructs a new <code>Pin<Arc<T>></code>. If <code>T</code> does not implement …",41,[[],[["pin",3],["arc",3]]]],[11,"try_new","","Constructs a new <code>Arc<T></code>, returning an error if allocation …",41,[[],[["result",4],["allocerror",3],["arc",3]]]],[11,"try_new_uninit","","Constructs a new <code>Arc</code> with uninitialized contents, …",41,[[],[["arc",3],["allocerror",3],["result",4]]]],[11,"try_new_zeroed","","Constructs a new <code>Arc</code> with uninitialized contents, with …",41,[[],[["arc",3],["allocerror",3],["result",4]]]],[11,"try_unwrap","","Returns the inner value, if the <code>Arc</code> has exactly one …",41,[[],["result",4]]],[11,"new_uninit_slice","","Constructs a new atomically reference-counted slice with …",41,[[["usize",15]],["arc",3]]],[11,"new_zeroed_slice","","Constructs a new atomically reference-counted slice with …",41,[[["usize",15]],["arc",3]]],[11,"assume_init","","Converts to <code>Arc<T></code>.",41,[[],["arc",3]]],[11,"assume_init","","Converts to <code>Arc<[T]></code>.",41,[[],["arc",3]]],[11,"into_raw","","Consumes the <code>Arc</code>, returning the wrapped pointer.",41,[[]]],[11,"as_ptr","","Provides a raw pointer to the data.",41,[[]]],[11,"from_raw","","Constructs an <code>Arc<T></code> from a raw pointer.",41,[[]]],[11,"downgrade","","Creates a new [<code>Weak</code>] pointer to this allocation.",41,[[],["weak",3]]],[11,"weak_count","","Gets the number of [<code>Weak</code>] pointers to this allocation.",41,[[],["usize",15]]],[11,"strong_count","","Gets the number of strong (<code>Arc</code>) pointers to this …",41,[[],["usize",15]]],[11,"increment_strong_count","","Increments the strong reference count on the <code>Arc<T></code> …",41,[[]]],[11,"decrement_strong_count","","Decrements the strong reference count on the <code>Arc<T></code> …",41,[[]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Arc</code>s point to the same allocation …",41,[[],["bool",15]]],[11,"make_mut","","Makes a mutable reference into the given <code>Arc</code>.",41,[[]]],[11,"get_mut","","Returns a mutable reference into the given <code>Arc</code>, if there …",41,[[],["option",4]]],[11,"get_mut_unchecked","","Returns a mutable reference into the given <code>Arc</code>, without …",41,[[]]],[11,"downcast","","Attempt to downcast the <code>Arc<dyn Any + Send + Sync></code> to a …",41,[[],[["result",4],["arc",3]]]],[11,"new","","Constructs a new <code>Weak<T></code>, without allocating any memory. …",42,[[],["weak",3]]],[11,"as_ptr","","Returns a raw pointer to the object <code>T</code> pointed to by this …",42,[[]]],[11,"into_raw","","Consumes the <code>Weak<T></code> and turns it into a raw pointer.",42,[[]]],[11,"from_raw","","Converts a raw pointer previously created by <code>into_raw</code> …",42,[[]]],[11,"upgrade","","Attempts to upgrade the <code>Weak</code> pointer to an [<code>Arc</code>], delaying…",42,[[],[["option",4],["arc",3]]]],[11,"strong_count","","Gets the number of strong (<code>Arc</code>) pointers pointing to this …",42,[[],["usize",15]]],[11,"weak_count","","Gets an approximation of the number of <code>Weak</code> pointers …",42,[[],["usize",15]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Weak</code>s point to the same …",42,[[],["bool",15]]],[0,"task","alloc","Types and Traits for working with asynchronous tasks.",null,null],[8,"Wake","alloc::task","The implementation of waking a task on an executor.",null,null],[10,"wake","","Wake this task.",43,[[["arc",3]]]],[11,"wake_by_ref","","Wake this task without consuming the waker.",43,[[["arc",3]]]],[0,"vec","alloc","A contiguous growable array type with heap-allocated …",null,null],[3,"DrainFilter","alloc::vec","An iterator which uses a closure to determine if an …",null,null],[3,"Splice","","A splicing iterator for <code>Vec</code>.",null,null],[3,"Drain","","A draining iterator for <code>Vec<T></code>.",null,null],[3,"IntoIter","","An iterator that moves out of a vector.",null,null],[3,"Vec","","A contiguous growable array type, written <code>Vec<T></code> but …",null,null],[11,"new","","Constructs a new, empty <code>Vec<T></code>.",44,[[]]],[11,"with_capacity","","Constructs a new, empty <code>Vec<T></code> with the specified …",44,[[["usize",15]]]],[11,"from_raw_parts","","Creates a <code>Vec<T></code> directly from the raw components of …",44,[[["usize",15]]]],[11,"new_in","","Constructs a new, empty <code>Vec<T, A></code>.",44,[[]]],[11,"with_capacity_in","","Constructs a new, empty <code>Vec<T, A></code> with the specified …",44,[[["usize",15]]]],[11,"from_raw_parts_in","","Creates a <code>Vec<T, A></code> directly from the raw components of …",44,[[["usize",15]]]],[11,"into_raw_parts","","Decomposes a <code>Vec<T></code> into its raw components.",44,[[]]],[11,"into_raw_parts_with_alloc","","Decomposes a <code>Vec<T></code> into its raw components.",44,[[]]],[11,"capacity","","Returns the number of elements the vector can hold without…",44,[[],["usize",15]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",44,[[["usize",15]]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",44,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",44,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",44,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the vector as much as possible.",44,[[]]],[11,"shrink_to","","Shrinks the capacity of the vector with a lower bound.",44,[[["usize",15]]]],[11,"into_boxed_slice","","Converts the vector into <code>Box<[T]></code>.",44,[[],["box",3]]],[11,"truncate","","Shortens the vector, keeping the first <code>len</code> elements and …",44,[[["usize",15]]]],[11,"as_slice","","Extracts a slice containing the entire vector.",44,[[]]],[11,"as_mut_slice","","Extracts a mutable slice of the entire vector.",44,[[]]],[11,"as_ptr","","Returns a raw pointer to the vector\'s buffer.",44,[[]]],[11,"as_mut_ptr","","Returns an unsafe mutable pointer to the vector\'s buffer.",44,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",44,[[]]],[11,"set_len","","Forces the length of the vector to <code>new_len</code>.",44,[[["usize",15]]]],[11,"swap_remove","","Removes an element from the vector and returns it.",44,[[["usize",15]]]],[11,"insert","","Inserts an element at position <code>index</code> within the vector, …",44,[[["usize",15]]]],[11,"remove","","Removes and returns the element at position <code>index</code> within …",44,[[["usize",15]]]],[11,"retain","","Retains only the elements specified by the predicate.",44,[[]]],[11,"dedup_by_key","","Removes all but the first of consecutive elements in the …",44,[[]]],[11,"dedup_by","","Removes all but the first of consecutive elements in the …",44,[[]]],[11,"push","","Appends an element to the back of a collection.",44,[[]]],[11,"pop","","Removes the last element from a vector and returns it, or …",44,[[],["option",4]]],[11,"append","","Moves all the elements of <code>other</code> into <code>Self</code>, leaving <code>other</code> …",44,[[]]],[11,"drain","","Creates a draining iterator that removes the specified …",44,[[],["drain",3]]],[11,"clear","","Clears the vector, removing all values.",44,[[]]],[11,"len","","Returns the number of elements in the vector, also …",44,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the vector contains no elements.",44,[[],["bool",15]]],[11,"split_off","","Splits the collection into two at the given index.",44,[[["usize",15]]]],[11,"resize_with","","Resizes the <code>Vec</code> in-place so that <code>len</code> is equal to <code>new_len</code>.",44,[[["usize",15]]]],[11,"leak","","Consumes and leaks the <code>Vec</code>, returning a mutable reference …",44,[[]]],[11,"spare_capacity_mut","","Returns the remaining spare capacity of the vector as a …",44,[[]]],[11,"resize","","Resizes the <code>Vec</code> in-place so that <code>len</code> is equal to <code>new_len</code>.",44,[[["usize",15]]]],[11,"extend_from_slice","","Clones and appends all elements in a slice to the <code>Vec</code>.",44,[[]]],[11,"extend_from_within","","Copies elements from <code>src</code> range to the end of the vector.",44,[[]]],[11,"dedup","","Removes consecutive repeated elements in the vector …",44,[[]]],[11,"splice","","Creates a splicing iterator that replaces the specified …",44,[[],["splice",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",44,[[],["drainfilter",3]]],[14,"vec","alloc","Creates a <code>Vec</code> containing the arguments.",null,null],[14,"format","","Creates a <code>String</code> using interpolation of runtime …",null,null],[11,"to_owned","alloc::alloc","",45,[[]]],[11,"clone_into","","",45,[[]]],[11,"to_string","","",45,[[],["string",3]]],[11,"from","","",45,[[]]],[11,"borrow","","",45,[[]]],[11,"borrow_mut","","",45,[[]]],[11,"try_from","","",45,[[],["result",4]]],[11,"into","","",45,[[]]],[11,"try_into","","",45,[[],["result",4]]],[11,"type_id","","",45,[[],["typeid",3]]],[11,"to_owned","","",46,[[]]],[11,"clone_into","","",46,[[]]],[11,"from","","",46,[[]]],[11,"borrow","","",46,[[]]],[11,"borrow_mut","","",46,[[]]],[11,"try_from","","",46,[[],["result",4]]],[11,"into","","",46,[[]]],[11,"try_into","","",46,[[],["result",4]]],[11,"type_id","","",46,[[],["typeid",3]]],[11,"to_owned","","",47,[[]]],[11,"clone_into","","",47,[[]]],[11,"to_string","","",47,[[],["string",3]]],[11,"from","","",47,[[]]],[11,"borrow","","",47,[[]]],[11,"borrow_mut","","",47,[[]]],[11,"try_from","","",47,[[],["result",4]]],[11,"into","","",47,[[]]],[11,"try_into","","",47,[[],["result",4]]],[11,"type_id","","",47,[[],["typeid",3]]],[11,"to_owned","","",48,[[]]],[11,"clone_into","","",48,[[]]],[11,"from","","",48,[[]]],[11,"borrow","","",48,[[]]],[11,"borrow_mut","","",48,[[]]],[11,"try_from","","",48,[[],["result",4]]],[11,"into","","",48,[[]]],[11,"try_into","","",48,[[],["result",4]]],[11,"type_id","","",48,[[],["typeid",3]]],[11,"to_owned","alloc::boxed","",2,[[]]],[11,"clone_into","","",2,[[]]],[11,"to_string","","",2,[[],["string",3]]],[11,"from","","",2,[[]]],[11,"from","","",2,[[]]],[11,"borrow","","",2,[[]]],[11,"borrow_mut","","",2,[[]]],[11,"try_from","","",2,[[],["result",4]]],[11,"into","","",2,[[]]],[11,"try_into","","",2,[[],["result",4]]],[11,"into_searcher","","",2,[[["str",15]],["charpredicatesearcher",3]]],[11,"is_contained_in","","",2,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","",2,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","",2,[[["str",15]],[["str",15],["option",4]]]],[11,"is_suffix_of","","",2,[[["str",15]],["bool",15]]],[11,"strip_suffix_of","","",2,[[["str",15]],[["str",15],["option",4]]]],[11,"into_iter","","",2,[[]]],[11,"type_id","","",2,[[],["typeid",3]]],[11,"into_future","","",2,[[]]],[11,"to_owned","alloc::borrow","",6,[[]]],[11,"clone_into","","",6,[[]]],[11,"to_string","","",6,[[],["string",3]]],[11,"from","","",6,[[]]],[11,"borrow","","",6,[[]]],[11,"borrow_mut","","",6,[[]]],[11,"try_from","","",6,[[],["result",4]]],[11,"into","","",6,[[]]],[11,"try_into","","",6,[[],["result",4]]],[11,"type_id","","",6,[[],["typeid",3]]],[11,"to_owned","alloc::collections::binary_heap","",8,[[]]],[11,"clone_into","","",8,[[]]],[11,"from","","",8,[[]]],[11,"borrow","","",8,[[]]],[11,"borrow_mut","","",8,[[]]],[11,"try_from","","",8,[[],["result",4]]],[11,"into","","",8,[[]]],[11,"try_into","","",8,[[],["result",4]]],[11,"type_id","","",8,[[],["typeid",3]]],[11,"from","","",7,[[]]],[11,"borrow","","",7,[[]]],[11,"borrow_mut","","",7,[[]]],[11,"try_from","","",7,[[],["result",4]]],[11,"into","","",7,[[]]],[11,"try_into","","",7,[[],["result",4]]],[11,"type_id","","",7,[[],["typeid",3]]],[11,"to_owned","","",49,[[]]],[11,"clone_into","","",49,[[]]],[11,"from","","",49,[[]]],[11,"borrow","","",49,[[]]],[11,"borrow_mut","","",49,[[]]],[11,"try_from","","",49,[[],["result",4]]],[11,"into","","",49,[[]]],[11,"try_into","","",49,[[],["result",4]]],[11,"into_iter","","",49,[[]]],[11,"type_id","","",49,[[],["typeid",3]]],[11,"to_owned","","",50,[[]]],[11,"clone_into","","",50,[[]]],[11,"from","","",50,[[]]],[11,"borrow","","",50,[[]]],[11,"borrow_mut","","",50,[[]]],[11,"try_from","","",50,[[],["result",4]]],[11,"into","","",50,[[]]],[11,"try_into","","",50,[[],["result",4]]],[11,"into_iter","","",50,[[]]],[11,"type_id","","",50,[[],["typeid",3]]],[11,"to_owned","","",51,[[]]],[11,"clone_into","","",51,[[]]],[11,"from","","",51,[[]]],[11,"borrow","","",51,[[]]],[11,"borrow_mut","","",51,[[]]],[11,"try_from","","",51,[[],["result",4]]],[11,"into","","",51,[[]]],[11,"try_into","","",51,[[],["result",4]]],[11,"into_iter","","",51,[[]]],[11,"type_id","","",51,[[],["typeid",3]]],[11,"from","","",52,[[]]],[11,"borrow","","",52,[[]]],[11,"borrow_mut","","",52,[[]]],[11,"try_from","","",52,[[],["result",4]]],[11,"into","","",52,[[]]],[11,"try_into","","",52,[[],["result",4]]],[11,"into_iter","","",52,[[]]],[11,"type_id","","",52,[[],["typeid",3]]],[11,"from","","",53,[[]]],[11,"borrow","","",53,[[]]],[11,"borrow_mut","","",53,[[]]],[11,"try_from","","",53,[[],["result",4]]],[11,"into","","",53,[[]]],[11,"try_into","","",53,[[],["result",4]]],[11,"into_iter","","",53,[[]]],[11,"type_id","","",53,[[],["typeid",3]]],[11,"from","alloc::collections::btree_map","",13,[[]]],[11,"borrow","","",13,[[]]],[11,"borrow_mut","","",13,[[]]],[11,"try_from","","",13,[[],["result",4]]],[11,"into","","",13,[[]]],[11,"try_into","","",13,[[],["result",4]]],[11,"type_id","","",13,[[],["typeid",3]]],[11,"from","","",54,[[]]],[11,"borrow","","",54,[[]]],[11,"borrow_mut","","",54,[[]]],[11,"try_from","","",54,[[],["result",4]]],[11,"into","","",54,[[]]],[11,"try_into","","",54,[[],["result",4]]],[11,"type_id","","",54,[[],["typeid",3]]],[11,"from","","",55,[[]]],[11,"borrow","","",55,[[]]],[11,"borrow_mut","","",55,[[]]],[11,"try_from","","",55,[[],["result",4]]],[11,"into","","",55,[[]]],[11,"try_into","","",55,[[],["result",4]]],[11,"type_id","","",55,[[],["typeid",3]]],[11,"to_owned","","",56,[[]]],[11,"clone_into","","",56,[[]]],[11,"from","","",56,[[]]],[11,"borrow","","",56,[[]]],[11,"borrow_mut","","",56,[[]]],[11,"try_from","","",56,[[],["result",4]]],[11,"into","","",56,[[]]],[11,"try_into","","",56,[[],["result",4]]],[11,"type_id","","",56,[[],["typeid",3]]],[11,"to_owned","","",57,[[]]],[11,"clone_into","","",57,[[]]],[11,"from","","",57,[[]]],[11,"borrow","","",57,[[]]],[11,"borrow_mut","","",57,[[]]],[11,"try_from","","",57,[[],["result",4]]],[11,"into","","",57,[[]]],[11,"try_into","","",57,[[],["result",4]]],[11,"into_iter","","",57,[[]]],[11,"type_id","","",57,[[],["typeid",3]]],[11,"from","","",58,[[]]],[11,"borrow","","",58,[[]]],[11,"borrow_mut","","",58,[[]]],[11,"try_from","","",58,[[],["result",4]]],[11,"into","","",58,[[]]],[11,"try_into","","",58,[[],["result",4]]],[11,"into_iter","","",58,[[]]],[11,"type_id","","",58,[[],["typeid",3]]],[11,"from","","",59,[[]]],[11,"borrow","","",59,[[]]],[11,"borrow_mut","","",59,[[]]],[11,"try_from","","",59,[[],["result",4]]],[11,"into","","",59,[[]]],[11,"try_into","","",59,[[],["result",4]]],[11,"into_iter","","",59,[[]]],[11,"type_id","","",59,[[],["typeid",3]]],[11,"to_owned","","",60,[[]]],[11,"clone_into","","",60,[[]]],[11,"from","","",60,[[]]],[11,"borrow","","",60,[[]]],[11,"borrow_mut","","",60,[[]]],[11,"try_from","","",60,[[],["result",4]]],[11,"into","","",60,[[]]],[11,"try_into","","",60,[[],["result",4]]],[11,"into_iter","","",60,[[]]],[11,"type_id","","",60,[[],["typeid",3]]],[11,"to_owned","","",61,[[]]],[11,"clone_into","","",61,[[]]],[11,"from","","",61,[[]]],[11,"borrow","","",61,[[]]],[11,"borrow_mut","","",61,[[]]],[11,"try_from","","",61,[[],["result",4]]],[11,"into","","",61,[[]]],[11,"try_into","","",61,[[],["result",4]]],[11,"into_iter","","",61,[[]]],[11,"type_id","","",61,[[],["typeid",3]]],[11,"from","","",62,[[]]],[11,"borrow","","",62,[[]]],[11,"borrow_mut","","",62,[[]]],[11,"try_from","","",62,[[],["result",4]]],[11,"into","","",62,[[]]],[11,"try_into","","",62,[[],["result",4]]],[11,"into_iter","","",62,[[]]],[11,"type_id","","",62,[[],["typeid",3]]],[11,"from","","",63,[[]]],[11,"borrow","","",63,[[]]],[11,"borrow_mut","","",63,[[]]],[11,"try_from","","",63,[[],["result",4]]],[11,"into","","",63,[[]]],[11,"try_into","","",63,[[],["result",4]]],[11,"into_iter","","",63,[[]]],[11,"type_id","","",63,[[],["typeid",3]]],[11,"from","","",64,[[]]],[11,"borrow","","",64,[[]]],[11,"borrow_mut","","",64,[[]]],[11,"try_from","","",64,[[],["result",4]]],[11,"into","","",64,[[]]],[11,"try_into","","",64,[[],["result",4]]],[11,"into_iter","","",64,[[]]],[11,"type_id","","",64,[[],["typeid",3]]],[11,"to_owned","","",65,[[]]],[11,"clone_into","","",65,[[]]],[11,"from","","",65,[[]]],[11,"borrow","","",65,[[]]],[11,"borrow_mut","","",65,[[]]],[11,"try_from","","",65,[[],["result",4]]],[11,"into","","",65,[[]]],[11,"try_into","","",65,[[],["result",4]]],[11,"into_iter","","",65,[[]]],[11,"type_id","","",65,[[],["typeid",3]]],[11,"from","","",66,[[]]],[11,"borrow","","",66,[[]]],[11,"borrow_mut","","",66,[[]]],[11,"try_from","","",66,[[],["result",4]]],[11,"into","","",66,[[]]],[11,"try_into","","",66,[[],["result",4]]],[11,"into_iter","","",66,[[]]],[11,"type_id","","",66,[[],["typeid",3]]],[11,"from","","",67,[[]]],[11,"borrow","","",67,[[]]],[11,"borrow_mut","","",67,[[]]],[11,"try_from","","",67,[[],["result",4]]],[11,"into","","",67,[[]]],[11,"try_into","","",67,[[],["result",4]]],[11,"into_iter","","",67,[[]]],[11,"type_id","","",67,[[],["typeid",3]]],[11,"to_owned","alloc::collections::btree_set","",68,[[]]],[11,"clone_into","","",68,[[]]],[11,"from","","",68,[[]]],[11,"borrow","","",68,[[]]],[11,"borrow_mut","","",68,[[]]],[11,"try_from","","",68,[[],["result",4]]],[11,"into","","",68,[[]]],[11,"try_into","","",68,[[],["result",4]]],[11,"type_id","","",68,[[],["typeid",3]]],[11,"to_owned","","",69,[[]]],[11,"clone_into","","",69,[[]]],[11,"from","","",69,[[]]],[11,"borrow","","",69,[[]]],[11,"borrow_mut","","",69,[[]]],[11,"try_from","","",69,[[],["result",4]]],[11,"into","","",69,[[]]],[11,"try_into","","",69,[[],["result",4]]],[11,"into_iter","","",69,[[]]],[11,"type_id","","",69,[[],["typeid",3]]],[11,"from","","",70,[[]]],[11,"borrow","","",70,[[]]],[11,"borrow_mut","","",70,[[]]],[11,"try_from","","",70,[[],["result",4]]],[11,"into","","",70,[[]]],[11,"try_into","","",70,[[],["result",4]]],[11,"into_iter","","",70,[[]]],[11,"type_id","","",70,[[],["typeid",3]]],[11,"to_owned","","",71,[[]]],[11,"clone_into","","",71,[[]]],[11,"from","","",71,[[]]],[11,"borrow","","",71,[[]]],[11,"borrow_mut","","",71,[[]]],[11,"try_from","","",71,[[],["result",4]]],[11,"into","","",71,[[]]],[11,"try_into","","",71,[[],["result",4]]],[11,"into_iter","","",71,[[]]],[11,"type_id","","",71,[[],["typeid",3]]],[11,"to_owned","","",72,[[]]],[11,"clone_into","","",72,[[]]],[11,"from","","",72,[[]]],[11,"borrow","","",72,[[]]],[11,"borrow_mut","","",72,[[]]],[11,"try_from","","",72,[[],["result",4]]],[11,"into","","",72,[[]]],[11,"try_into","","",72,[[],["result",4]]],[11,"into_iter","","",72,[[]]],[11,"type_id","","",72,[[],["typeid",3]]],[11,"to_owned","","",73,[[]]],[11,"clone_into","","",73,[[]]],[11,"from","","",73,[[]]],[11,"borrow","","",73,[[]]],[11,"borrow_mut","","",73,[[]]],[11,"try_from","","",73,[[],["result",4]]],[11,"into","","",73,[[]]],[11,"try_into","","",73,[[],["result",4]]],[11,"into_iter","","",73,[[]]],[11,"type_id","","",73,[[],["typeid",3]]],[11,"to_owned","","",74,[[]]],[11,"clone_into","","",74,[[]]],[11,"from","","",74,[[]]],[11,"borrow","","",74,[[]]],[11,"borrow_mut","","",74,[[]]],[11,"try_from","","",74,[[],["result",4]]],[11,"into","","",74,[[]]],[11,"try_into","","",74,[[],["result",4]]],[11,"into_iter","","",74,[[]]],[11,"type_id","","",74,[[],["typeid",3]]],[11,"to_owned","","",75,[[]]],[11,"clone_into","","",75,[[]]],[11,"from","","",75,[[]]],[11,"borrow","","",75,[[]]],[11,"borrow_mut","","",75,[[]]],[11,"try_from","","",75,[[],["result",4]]],[11,"into","","",75,[[]]],[11,"try_into","","",75,[[],["result",4]]],[11,"into_iter","","",75,[[]]],[11,"type_id","","",75,[[],["typeid",3]]],[11,"from","","",76,[[]]],[11,"borrow","","",76,[[]]],[11,"borrow_mut","","",76,[[]]],[11,"try_from","","",76,[[],["result",4]]],[11,"into","","",76,[[]]],[11,"try_into","","",76,[[],["result",4]]],[11,"into_iter","","",76,[[]]],[11,"type_id","","",76,[[],["typeid",3]]],[11,"to_owned","alloc::collections::linked_list","",9,[[]]],[11,"clone_into","","",9,[[]]],[11,"from","","",9,[[]]],[11,"borrow","","",9,[[]]],[11,"borrow_mut","","",9,[[]]],[11,"try_from","","",9,[[],["result",4]]],[11,"into","","",9,[[]]],[11,"try_into","","",9,[[],["result",4]]],[11,"type_id","","",9,[[],["typeid",3]]],[11,"to_owned","","",77,[[]]],[11,"clone_into","","",77,[[]]],[11,"from","","",77,[[]]],[11,"borrow","","",77,[[]]],[11,"borrow_mut","","",77,[[]]],[11,"try_from","","",77,[[],["result",4]]],[11,"into","","",77,[[]]],[11,"try_into","","",77,[[],["result",4]]],[11,"into_iter","","",77,[[]]],[11,"type_id","","",77,[[],["typeid",3]]],[11,"from","","",78,[[]]],[11,"borrow","","",78,[[]]],[11,"borrow_mut","","",78,[[]]],[11,"try_from","","",78,[[],["result",4]]],[11,"into","","",78,[[]]],[11,"try_into","","",78,[[],["result",4]]],[11,"into_iter","","",78,[[]]],[11,"type_id","","",78,[[],["typeid",3]]],[11,"to_owned","","",79,[[]]],[11,"clone_into","","",79,[[]]],[11,"from","","",79,[[]]],[11,"borrow","","",79,[[]]],[11,"borrow_mut","","",79,[[]]],[11,"try_from","","",79,[[],["result",4]]],[11,"into","","",79,[[]]],[11,"try_into","","",79,[[],["result",4]]],[11,"into_iter","","",79,[[]]],[11,"type_id","","",79,[[],["typeid",3]]],[11,"to_owned","","",10,[[]]],[11,"clone_into","","",10,[[]]],[11,"from","","",10,[[]]],[11,"borrow","","",10,[[]]],[11,"borrow_mut","","",10,[[]]],[11,"try_from","","",10,[[],["result",4]]],[11,"into","","",10,[[]]],[11,"try_into","","",10,[[],["result",4]]],[11,"type_id","","",10,[[],["typeid",3]]],[11,"from","","",11,[[]]],[11,"borrow","","",11,[[]]],[11,"borrow_mut","","",11,[[]]],[11,"try_from","","",11,[[],["result",4]]],[11,"into","","",11,[[]]],[11,"try_into","","",11,[[],["result",4]]],[11,"type_id","","",11,[[],["typeid",3]]],[11,"from","","",80,[[]]],[11,"borrow","","",80,[[]]],[11,"borrow_mut","","",80,[[]]],[11,"try_from","","",80,[[],["result",4]]],[11,"into","","",80,[[]]],[11,"try_into","","",80,[[],["result",4]]],[11,"into_iter","","",80,[[]]],[11,"type_id","","",80,[[],["typeid",3]]],[11,"from","alloc::collections::vec_deque","",81,[[]]],[11,"borrow","","",81,[[]]],[11,"borrow_mut","","",81,[[]]],[11,"try_from","","",81,[[],["result",4]]],[11,"into","","",81,[[]]],[11,"try_into","","",81,[[],["result",4]]],[11,"into_iter","","",81,[[]]],[11,"type_id","","",81,[[],["typeid",3]]],[11,"from","","",82,[[]]],[11,"borrow","","",82,[[]]],[11,"borrow_mut","","",82,[[]]],[11,"try_from","","",82,[[],["result",4]]],[11,"into","","",82,[[]]],[11,"try_into","","",82,[[],["result",4]]],[11,"into_iter","","",82,[[]]],[11,"type_id","","",82,[[],["typeid",3]]],[11,"to_owned","","",83,[[]]],[11,"clone_into","","",83,[[]]],[11,"from","","",83,[[]]],[11,"borrow","","",83,[[]]],[11,"borrow_mut","","",83,[[]]],[11,"try_from","","",83,[[],["result",4]]],[11,"into","","",83,[[]]],[11,"try_into","","",83,[[],["result",4]]],[11,"into_iter","","",83,[[]]],[11,"type_id","","",83,[[],["typeid",3]]],[11,"to_owned","","",84,[[]]],[11,"clone_into","","",84,[[]]],[11,"from","","",84,[[]]],[11,"borrow","","",84,[[]]],[11,"borrow_mut","","",84,[[]]],[11,"try_from","","",84,[[],["result",4]]],[11,"into","","",84,[[]]],[11,"try_into","","",84,[[],["result",4]]],[11,"into_iter","","",84,[[]]],[11,"type_id","","",84,[[],["typeid",3]]],[11,"to_owned","","",12,[[]]],[11,"clone_into","","",12,[[]]],[11,"from","","",12,[[]]],[11,"borrow","","",12,[[]]],[11,"borrow_mut","","",12,[[]]],[11,"try_from","","",12,[[],["result",4]]],[11,"into","","",12,[[]]],[11,"try_into","","",12,[[],["result",4]]],[11,"type_id","","",12,[[],["typeid",3]]],[11,"to_owned","alloc::collections","",14,[[]]],[11,"clone_into","","",14,[[]]],[11,"to_string","","",14,[[],["string",3]]],[11,"from","","",14,[[]]],[11,"borrow","","",14,[[]]],[11,"borrow_mut","","",14,[[]]],[11,"try_from","","",14,[[],["result",4]]],[11,"into","","",14,[[]]],[11,"try_into","","",14,[[],["result",4]]],[11,"type_id","","",14,[[],["typeid",3]]],[11,"from","alloc::fmt","",16,[[]]],[11,"borrow","","",16,[[]]],[11,"borrow_mut","","",16,[[]]],[11,"try_from","","",16,[[],["result",4]]],[11,"into","","",16,[[]]],[11,"try_into","","",16,[[],["result",4]]],[11,"type_id","","",16,[[],["typeid",3]]],[11,"to_owned","","",85,[[]]],[11,"clone_into","","",85,[[]]],[11,"to_string","","",85,[[],["string",3]]],[11,"from","","",85,[[]]],[11,"borrow","","",85,[[]]],[11,"borrow_mut","","",85,[[]]],[11,"try_from","","",85,[[],["result",4]]],[11,"into","","",85,[[]]],[11,"try_into","","",85,[[],["result",4]]],[11,"type_id","","",85,[[],["typeid",3]]],[11,"to_owned","","",86,[[]]],[11,"clone_into","","",86,[[]]],[11,"to_string","","",86,[[],["string",3]]],[11,"from","","",86,[[]]],[11,"borrow","","",86,[[]]],[11,"borrow_mut","","",86,[[]]],[11,"try_from","","",86,[[],["result",4]]],[11,"into","","",86,[[]]],[11,"try_into","","",86,[[],["result",4]]],[11,"type_id","","",86,[[],["typeid",3]]],[11,"from","","",87,[[]]],[11,"borrow","","",87,[[]]],[11,"borrow_mut","","",87,[[]]],[11,"try_from","","",87,[[],["result",4]]],[11,"into","","",87,[[]]],[11,"try_into","","",87,[[],["result",4]]],[11,"type_id","","",87,[[],["typeid",3]]],[11,"from","","",88,[[]]],[11,"borrow","","",88,[[]]],[11,"borrow_mut","","",88,[[]]],[11,"try_from","","",88,[[],["result",4]]],[11,"into","","",88,[[]]],[11,"try_into","","",88,[[],["result",4]]],[11,"type_id","","",88,[[],["typeid",3]]],[11,"from","","",89,[[]]],[11,"borrow","","",89,[[]]],[11,"borrow_mut","","",89,[[]]],[11,"try_from","","",89,[[],["result",4]]],[11,"into","","",89,[[]]],[11,"try_into","","",89,[[],["result",4]]],[11,"type_id","","",89,[[],["typeid",3]]],[11,"from","","",90,[[]]],[11,"borrow","","",90,[[]]],[11,"borrow_mut","","",90,[[]]],[11,"try_from","","",90,[[],["result",4]]],[11,"into","","",90,[[]]],[11,"try_into","","",90,[[],["result",4]]],[11,"type_id","","",90,[[],["typeid",3]]],[11,"from","","",91,[[]]],[11,"borrow","","",91,[[]]],[11,"borrow_mut","","",91,[[]]],[11,"try_from","","",91,[[],["result",4]]],[11,"into","","",91,[[]]],[11,"try_into","","",91,[[],["result",4]]],[11,"type_id","","",91,[[],["typeid",3]]],[11,"from","","",92,[[]]],[11,"borrow","","",92,[[]]],[11,"borrow_mut","","",92,[[]]],[11,"try_from","","",92,[[],["result",4]]],[11,"into","","",92,[[]]],[11,"try_into","","",92,[[],["result",4]]],[11,"type_id","","",92,[[],["typeid",3]]],[11,"to_owned","alloc::rc","",27,[[]]],[11,"clone_into","","",27,[[]]],[11,"to_string","","",27,[[],["string",3]]],[11,"from","","",27,[[]]],[11,"from","","",27,[[]]],[11,"borrow","","",27,[[]]],[11,"borrow_mut","","",27,[[]]],[11,"try_from","","",27,[[],["result",4]]],[11,"into","","",27,[[]]],[11,"try_into","","",27,[[],["result",4]]],[11,"type_id","","",27,[[],["typeid",3]]],[11,"to_owned","","",28,[[]]],[11,"clone_into","","",28,[[]]],[11,"from","","",28,[[]]],[11,"borrow","","",28,[[]]],[11,"borrow_mut","","",28,[[]]],[11,"try_from","","",28,[[],["result",4]]],[11,"into","","",28,[[]]],[11,"try_into","","",28,[[],["result",4]]],[11,"type_id","","",28,[[],["typeid",3]]],[11,"to_owned","alloc::slice","",93,[[]]],[11,"clone_into","","",93,[[]]],[11,"from","","",93,[[]]],[11,"borrow","","",93,[[]]],[11,"borrow_mut","","",93,[[]]],[11,"try_from","","",93,[[],["result",4]]],[11,"into","","",93,[[]]],[11,"try_into","","",93,[[],["result",4]]],[11,"into_iter","","",93,[[]]],[11,"type_id","","",93,[[],["typeid",3]]],[11,"from","","",94,[[]]],[11,"borrow","","",94,[[]]],[11,"borrow_mut","","",94,[[]]],[11,"try_from","","",94,[[],["result",4]]],[11,"into","","",94,[[]]],[11,"try_into","","",94,[[],["result",4]]],[11,"into_iter","","",94,[[]]],[11,"type_id","","",94,[[],["typeid",3]]],[11,"to_owned","","",95,[[]]],[11,"clone_into","","",95,[[]]],[11,"from","","",95,[[]]],[11,"borrow","","",95,[[]]],[11,"borrow_mut","","",95,[[]]],[11,"try_from","","",95,[[],["result",4]]],[11,"into","","",95,[[]]],[11,"try_into","","",95,[[],["result",4]]],[11,"into_iter","","",95,[[]]],[11,"type_id","","",95,[[],["typeid",3]]],[11,"to_owned","","",96,[[]]],[11,"clone_into","","",96,[[]]],[11,"from","","",96,[[]]],[11,"borrow","","",96,[[]]],[11,"borrow_mut","","",96,[[]]],[11,"try_from","","",96,[[],["result",4]]],[11,"into","","",96,[[]]],[11,"try_into","","",96,[[],["result",4]]],[11,"into_iter","","",96,[[]]],[11,"type_id","","",96,[[],["typeid",3]]],[11,"to_owned","","",97,[[]]],[11,"clone_into","","",97,[[]]],[11,"from","","",97,[[]]],[11,"borrow","","",97,[[]]],[11,"borrow_mut","","",97,[[]]],[11,"try_from","","",97,[[],["result",4]]],[11,"into","","",97,[[]]],[11,"try_into","","",97,[[],["result",4]]],[11,"into_iter","","",97,[[]]],[11,"type_id","","",97,[[],["typeid",3]]],[11,"to_owned","","",98,[[]]],[11,"clone_into","","",98,[[]]],[11,"from","","",98,[[]]],[11,"borrow","","",98,[[]]],[11,"borrow_mut","","",98,[[]]],[11,"try_from","","",98,[[],["result",4]]],[11,"into","","",98,[[]]],[11,"try_into","","",98,[[],["result",4]]],[11,"into_iter","","",98,[[]]],[11,"type_id","","",98,[[],["typeid",3]]],[11,"from","","",99,[[]]],[11,"borrow","","",99,[[]]],[11,"borrow_mut","","",99,[[]]],[11,"try_from","","",99,[[],["result",4]]],[11,"into","","",99,[[]]],[11,"try_into","","",99,[[],["result",4]]],[11,"into_iter","","",99,[[]]],[11,"type_id","","",99,[[],["typeid",3]]],[11,"from","","",100,[[]]],[11,"borrow","","",100,[[]]],[11,"borrow_mut","","",100,[[]]],[11,"try_from","","",100,[[],["result",4]]],[11,"into","","",100,[[]]],[11,"try_into","","",100,[[],["result",4]]],[11,"into_iter","","",100,[[]]],[11,"type_id","","",100,[[],["typeid",3]]],[11,"to_owned","","",101,[[]]],[11,"clone_into","","",101,[[]]],[11,"from","","",101,[[]]],[11,"borrow","","",101,[[]]],[11,"borrow_mut","","",101,[[]]],[11,"try_from","","",101,[[],["result",4]]],[11,"into","","",101,[[]]],[11,"try_into","","",101,[[],["result",4]]],[11,"into_iter","","",101,[[]]],[11,"type_id","","",101,[[],["typeid",3]]],[11,"from","","",102,[[]]],[11,"borrow","","",102,[[]]],[11,"borrow_mut","","",102,[[]]],[11,"try_from","","",102,[[],["result",4]]],[11,"into","","",102,[[]]],[11,"try_into","","",102,[[],["result",4]]],[11,"into_iter","","",102,[[]]],[11,"type_id","","",102,[[],["typeid",3]]],[11,"from","","",103,[[]]],[11,"borrow","","",103,[[]]],[11,"borrow_mut","","",103,[[]]],[11,"try_from","","",103,[[],["result",4]]],[11,"into","","",103,[[]]],[11,"try_into","","",103,[[],["result",4]]],[11,"into_iter","","",103,[[]]],[11,"type_id","","",103,[[],["typeid",3]]],[11,"from","","",104,[[]]],[11,"borrow","","",104,[[]]],[11,"borrow_mut","","",104,[[]]],[11,"try_from","","",104,[[],["result",4]]],[11,"into","","",104,[[]]],[11,"try_into","","",104,[[],["result",4]]],[11,"into_iter","","",104,[[]]],[11,"type_id","","",104,[[],["typeid",3]]],[11,"to_owned","","",105,[[]]],[11,"clone_into","","",105,[[]]],[11,"from","","",105,[[]]],[11,"borrow","","",105,[[]]],[11,"borrow_mut","","",105,[[]]],[11,"try_from","","",105,[[],["result",4]]],[11,"into","","",105,[[]]],[11,"try_into","","",105,[[],["result",4]]],[11,"into_iter","","",105,[[]]],[11,"type_id","","",105,[[],["typeid",3]]],[11,"from","","",106,[[]]],[11,"borrow","","",106,[[]]],[11,"borrow_mut","","",106,[[]]],[11,"try_from","","",106,[[],["result",4]]],[11,"into","","",106,[[]]],[11,"try_into","","",106,[[],["result",4]]],[11,"into_iter","","",106,[[]]],[11,"type_id","","",106,[[],["typeid",3]]],[11,"to_owned","","",107,[[]]],[11,"clone_into","","",107,[[]]],[11,"from","","",107,[[]]],[11,"borrow","","",107,[[]]],[11,"borrow_mut","","",107,[[]]],[11,"try_from","","",107,[[],["result",4]]],[11,"into","","",107,[[]]],[11,"try_into","","",107,[[],["result",4]]],[11,"into_iter","","",107,[[]]],[11,"type_id","","",107,[[],["typeid",3]]],[11,"to_owned","","",108,[[]]],[11,"clone_into","","",108,[[]]],[11,"from","","",108,[[]]],[11,"borrow","","",108,[[]]],[11,"borrow_mut","","",108,[[]]],[11,"try_from","","",108,[[],["result",4]]],[11,"into","","",108,[[]]],[11,"try_into","","",108,[[],["result",4]]],[11,"into_iter","","",108,[[]]],[11,"type_id","","",108,[[],["typeid",3]]],[11,"from","","",109,[[]]],[11,"borrow","","",109,[[]]],[11,"borrow_mut","","",109,[[]]],[11,"try_from","","",109,[[],["result",4]]],[11,"into","","",109,[[]]],[11,"try_into","","",109,[[],["result",4]]],[11,"into_iter","","",109,[[]]],[11,"type_id","","",109,[[],["typeid",3]]],[11,"from","","",110,[[]]],[11,"borrow","","",110,[[]]],[11,"borrow_mut","","",110,[[]]],[11,"try_from","","",110,[[],["result",4]]],[11,"into","","",110,[[]]],[11,"try_into","","",110,[[],["result",4]]],[11,"into_iter","","",110,[[]]],[11,"type_id","","",110,[[],["typeid",3]]],[11,"to_owned","","",111,[[]]],[11,"clone_into","","",111,[[]]],[11,"from","","",111,[[]]],[11,"borrow","","",111,[[]]],[11,"borrow_mut","","",111,[[]]],[11,"try_from","","",111,[[],["result",4]]],[11,"into","","",111,[[]]],[11,"try_into","","",111,[[],["result",4]]],[11,"into_iter","","",111,[[]]],[11,"type_id","","",111,[[],["typeid",3]]],[11,"from","","",112,[[]]],[11,"borrow","","",112,[[]]],[11,"borrow_mut","","",112,[[]]],[11,"try_from","","",112,[[],["result",4]]],[11,"into","","",112,[[]]],[11,"try_into","","",112,[[],["result",4]]],[11,"into_iter","","",112,[[]]],[11,"type_id","","",112,[[],["typeid",3]]],[11,"from","","",113,[[]]],[11,"borrow","","",113,[[]]],[11,"borrow_mut","","",113,[[]]],[11,"try_from","","",113,[[],["result",4]]],[11,"into","","",113,[[]]],[11,"try_into","","",113,[[],["result",4]]],[11,"into_iter","","",113,[[]]],[11,"type_id","","",113,[[],["typeid",3]]],[11,"from","","",114,[[]]],[11,"borrow","","",114,[[]]],[11,"borrow_mut","","",114,[[]]],[11,"try_from","","",114,[[],["result",4]]],[11,"into","","",114,[[]]],[11,"try_into","","",114,[[],["result",4]]],[11,"into_iter","","",114,[[]]],[11,"type_id","","",114,[[],["typeid",3]]],[11,"from","","",115,[[]]],[11,"borrow","","",115,[[]]],[11,"borrow_mut","","",115,[[]]],[11,"try_from","","",115,[[],["result",4]]],[11,"into","","",115,[[]]],[11,"try_into","","",115,[[],["result",4]]],[11,"into_iter","","",115,[[]]],[11,"type_id","","",115,[[],["typeid",3]]],[11,"from","","",116,[[]]],[11,"borrow","","",116,[[]]],[11,"borrow_mut","","",116,[[]]],[11,"try_from","","",116,[[],["result",4]]],[11,"into","","",116,[[]]],[11,"try_into","","",116,[[],["result",4]]],[11,"into_iter","","",116,[[]]],[11,"type_id","","",116,[[],["typeid",3]]],[11,"to_owned","alloc::str::pattern","",33,[[]]],[11,"clone_into","","",33,[[]]],[11,"from","","",33,[[]]],[11,"borrow","","",33,[[]]],[11,"borrow_mut","","",33,[[]]],[11,"try_from","","",33,[[],["result",4]]],[11,"into","","",33,[[]]],[11,"try_into","","",33,[[],["result",4]]],[11,"type_id","","",33,[[],["typeid",3]]],[11,"to_owned","","",117,[[]]],[11,"clone_into","","",117,[[]]],[11,"from","","",117,[[]]],[11,"borrow","","",117,[[]]],[11,"borrow_mut","","",117,[[]]],[11,"try_from","","",117,[[],["result",4]]],[11,"into","","",117,[[]]],[11,"try_into","","",117,[[],["result",4]]],[11,"type_id","","",117,[[],["typeid",3]]],[11,"to_owned","","",118,[[]]],[11,"clone_into","","",118,[[]]],[11,"from","","",118,[[]]],[11,"borrow","","",118,[[]]],[11,"borrow_mut","","",118,[[]]],[11,"try_from","","",118,[[],["result",4]]],[11,"into","","",118,[[]]],[11,"try_into","","",118,[[],["result",4]]],[11,"type_id","","",118,[[],["typeid",3]]],[11,"to_owned","","",119,[[]]],[11,"clone_into","","",119,[[]]],[11,"from","","",119,[[]]],[11,"borrow","","",119,[[]]],[11,"borrow_mut","","",119,[[]]],[11,"try_from","","",119,[[],["result",4]]],[11,"into","","",119,[[]]],[11,"try_into","","",119,[[],["result",4]]],[11,"type_id","","",119,[[],["typeid",3]]],[11,"to_owned","","",120,[[]]],[11,"clone_into","","",120,[[]]],[11,"from","","",120,[[]]],[11,"borrow","","",120,[[]]],[11,"borrow_mut","","",120,[[]]],[11,"try_from","","",120,[[],["result",4]]],[11,"into","","",120,[[]]],[11,"try_into","","",120,[[],["result",4]]],[11,"type_id","","",120,[[],["typeid",3]]],[11,"to_owned","alloc::str","",121,[[]]],[11,"clone_into","","",121,[[]]],[11,"from","","",121,[[]]],[11,"borrow","","",121,[[]]],[11,"borrow_mut","","",121,[[]]],[11,"try_from","","",121,[[],["result",4]]],[11,"into","","",121,[[]]],[11,"try_into","","",121,[[],["result",4]]],[11,"into_iter","","",121,[[]]],[11,"type_id","","",121,[[],["typeid",3]]],[11,"to_owned","","",122,[[]]],[11,"clone_into","","",122,[[]]],[11,"from","","",122,[[]]],[11,"borrow","","",122,[[]]],[11,"borrow_mut","","",122,[[]]],[11,"try_from","","",122,[[],["result",4]]],[11,"into","","",122,[[]]],[11,"try_into","","",122,[[],["result",4]]],[11,"into_iter","","",122,[[]]],[11,"type_id","","",122,[[],["typeid",3]]],[11,"to_owned","","",123,[[]]],[11,"clone_into","","",123,[[]]],[11,"from","","",123,[[]]],[11,"borrow","","",123,[[]]],[11,"borrow_mut","","",123,[[]]],[11,"try_from","","",123,[[],["result",4]]],[11,"into","","",123,[[]]],[11,"try_into","","",123,[[],["result",4]]],[11,"into_iter","","",123,[[]]],[11,"type_id","","",123,[[],["typeid",3]]],[11,"to_owned","","",124,[[]]],[11,"clone_into","","",124,[[]]],[11,"from","","",124,[[]]],[11,"borrow","","",124,[[]]],[11,"borrow_mut","","",124,[[]]],[11,"try_from","","",124,[[],["result",4]]],[11,"into","","",124,[[]]],[11,"try_into","","",124,[[],["result",4]]],[11,"into_iter","","",124,[[]]],[11,"type_id","","",124,[[],["typeid",3]]],[11,"to_owned","","",125,[[]]],[11,"clone_into","","",125,[[]]],[11,"from","","",125,[[]]],[11,"borrow","","",125,[[]]],[11,"borrow_mut","","",125,[[]]],[11,"try_from","","",125,[[],["result",4]]],[11,"into","","",125,[[]]],[11,"try_into","","",125,[[],["result",4]]],[11,"into_iter","","",125,[[]]],[11,"type_id","","",125,[[],["typeid",3]]],[11,"to_owned","","",126,[[]]],[11,"clone_into","","",126,[[]]],[11,"from","","",126,[[]]],[11,"borrow","","",126,[[]]],[11,"borrow_mut","","",126,[[]]],[11,"try_from","","",126,[[],["result",4]]],[11,"into","","",126,[[]]],[11,"try_into","","",126,[[],["result",4]]],[11,"into_iter","","",126,[[]]],[11,"type_id","","",126,[[],["typeid",3]]],[11,"to_owned","","",127,[[]]],[11,"clone_into","","",127,[[]]],[11,"to_string","","",127,[[],["string",3]]],[11,"from","","",127,[[]]],[11,"borrow","","",127,[[]]],[11,"borrow_mut","","",127,[[]]],[11,"try_from","","",127,[[],["result",4]]],[11,"into","","",127,[[]]],[11,"try_into","","",127,[[],["result",4]]],[11,"type_id","","",127,[[],["typeid",3]]],[11,"to_owned","","",128,[[]]],[11,"clone_into","","",128,[[]]],[11,"to_string","","",128,[[],["string",3]]],[11,"from","","",128,[[]]],[11,"borrow","","",128,[[]]],[11,"borrow_mut","","",128,[[]]],[11,"try_from","","",128,[[],["result",4]]],[11,"into","","",128,[[]]],[11,"try_into","","",128,[[],["result",4]]],[11,"into_iter","","",128,[[]]],[11,"type_id","","",128,[[],["typeid",3]]],[11,"to_owned","","",129,[[]]],[11,"clone_into","","",129,[[]]],[11,"to_string","","",129,[[],["string",3]]],[11,"from","","",129,[[]]],[11,"borrow","","",129,[[]]],[11,"borrow_mut","","",129,[[]]],[11,"try_from","","",129,[[],["result",4]]],[11,"into","","",129,[[]]],[11,"try_into","","",129,[[],["result",4]]],[11,"into_iter","","",129,[[]]],[11,"type_id","","",129,[[],["typeid",3]]],[11,"to_owned","","",130,[[]]],[11,"clone_into","","",130,[[]]],[11,"to_string","","",130,[[],["string",3]]],[11,"from","","",130,[[]]],[11,"borrow","","",130,[[]]],[11,"borrow_mut","","",130,[[]]],[11,"try_from","","",130,[[],["result",4]]],[11,"into","","",130,[[]]],[11,"try_into","","",130,[[],["result",4]]],[11,"into_iter","","",130,[[]]],[11,"type_id","","",130,[[],["typeid",3]]],[11,"to_owned","","",131,[[]]],[11,"clone_into","","",131,[[]]],[11,"to_string","","",131,[[],["string",3]]],[11,"from","","",131,[[]]],[11,"borrow","","",131,[[]]],[11,"borrow_mut","","",131,[[]]],[11,"try_from","","",131,[[],["result",4]]],[11,"into","","",131,[[]]],[11,"try_into","","",131,[[],["result",4]]],[11,"type_id","","",131,[[],["typeid",3]]],[11,"to_owned","","",132,[[]]],[11,"clone_into","","",132,[[]]],[11,"from","","",132,[[]]],[11,"borrow","","",132,[[]]],[11,"borrow_mut","","",132,[[]]],[11,"try_from","","",132,[[],["result",4]]],[11,"into","","",132,[[]]],[11,"try_into","","",132,[[],["result",4]]],[11,"into_iter","","",132,[[]]],[11,"type_id","","",132,[[],["typeid",3]]],[11,"to_owned","","",133,[[]]],[11,"clone_into","","",133,[[]]],[11,"from","","",133,[[]]],[11,"borrow","","",133,[[]]],[11,"borrow_mut","","",133,[[]]],[11,"try_from","","",133,[[],["result",4]]],[11,"into","","",133,[[]]],[11,"try_into","","",133,[[],["result",4]]],[11,"into_iter","","",133,[[]]],[11,"type_id","","",133,[[],["typeid",3]]],[11,"to_owned","","",134,[[]]],[11,"clone_into","","",134,[[]]],[11,"from","","",134,[[]]],[11,"borrow","","",134,[[]]],[11,"borrow_mut","","",134,[[]]],[11,"try_from","","",134,[[],["result",4]]],[11,"into","","",134,[[]]],[11,"try_into","","",134,[[],["result",4]]],[11,"into_iter","","",134,[[]]],[11,"type_id","","",134,[[],["typeid",3]]],[11,"to_owned","","",135,[[]]],[11,"clone_into","","",135,[[]]],[11,"from","","",135,[[]]],[11,"borrow","","",135,[[]]],[11,"borrow_mut","","",135,[[]]],[11,"try_from","","",135,[[],["result",4]]],[11,"into","","",135,[[]]],[11,"try_into","","",135,[[],["result",4]]],[11,"into_iter","","",135,[[]]],[11,"type_id","","",135,[[],["typeid",3]]],[11,"to_owned","","",136,[[]]],[11,"clone_into","","",136,[[]]],[11,"from","","",136,[[]]],[11,"borrow","","",136,[[]]],[11,"borrow_mut","","",136,[[]]],[11,"try_from","","",136,[[],["result",4]]],[11,"into","","",136,[[]]],[11,"try_into","","",136,[[],["result",4]]],[11,"into_iter","","",136,[[]]],[11,"type_id","","",136,[[],["typeid",3]]],[11,"to_owned","","",137,[[]]],[11,"clone_into","","",137,[[]]],[11,"from","","",137,[[]]],[11,"borrow","","",137,[[]]],[11,"borrow_mut","","",137,[[]]],[11,"try_from","","",137,[[],["result",4]]],[11,"into","","",137,[[]]],[11,"try_into","","",137,[[],["result",4]]],[11,"into_iter","","",137,[[]]],[11,"type_id","","",137,[[],["typeid",3]]],[11,"to_owned","","",138,[[]]],[11,"clone_into","","",138,[[]]],[11,"from","","",138,[[]]],[11,"borrow","","",138,[[]]],[11,"borrow_mut","","",138,[[]]],[11,"try_from","","",138,[[],["result",4]]],[11,"into","","",138,[[]]],[11,"try_into","","",138,[[],["result",4]]],[11,"into_iter","","",138,[[]]],[11,"type_id","","",138,[[],["typeid",3]]],[11,"to_owned","","",139,[[]]],[11,"clone_into","","",139,[[]]],[11,"from","","",139,[[]]],[11,"borrow","","",139,[[]]],[11,"borrow_mut","","",139,[[]]],[11,"try_from","","",139,[[],["result",4]]],[11,"into","","",139,[[]]],[11,"try_into","","",139,[[],["result",4]]],[11,"into_iter","","",139,[[]]],[11,"type_id","","",139,[[],["typeid",3]]],[11,"to_owned","","",140,[[]]],[11,"clone_into","","",140,[[]]],[11,"from","","",140,[[]]],[11,"borrow","","",140,[[]]],[11,"borrow_mut","","",140,[[]]],[11,"try_from","","",140,[[],["result",4]]],[11,"into","","",140,[[]]],[11,"try_into","","",140,[[],["result",4]]],[11,"into_iter","","",140,[[]]],[11,"type_id","","",140,[[],["typeid",3]]],[11,"to_owned","","",141,[[]]],[11,"clone_into","","",141,[[]]],[11,"from","","",141,[[]]],[11,"borrow","","",141,[[]]],[11,"borrow_mut","","",141,[[]]],[11,"try_from","","",141,[[],["result",4]]],[11,"into","","",141,[[]]],[11,"try_into","","",141,[[],["result",4]]],[11,"into_iter","","",141,[[]]],[11,"type_id","","",141,[[],["typeid",3]]],[11,"to_owned","","",142,[[]]],[11,"clone_into","","",142,[[]]],[11,"from","","",142,[[]]],[11,"borrow","","",142,[[]]],[11,"borrow_mut","","",142,[[]]],[11,"try_from","","",142,[[],["result",4]]],[11,"into","","",142,[[]]],[11,"try_into","","",142,[[],["result",4]]],[11,"into_iter","","",142,[[]]],[11,"type_id","","",142,[[],["typeid",3]]],[11,"to_owned","","",143,[[]]],[11,"clone_into","","",143,[[]]],[11,"from","","",143,[[]]],[11,"borrow","","",143,[[]]],[11,"borrow_mut","","",143,[[]]],[11,"try_from","","",143,[[],["result",4]]],[11,"into","","",143,[[]]],[11,"try_into","","",143,[[],["result",4]]],[11,"into_iter","","",143,[[]]],[11,"type_id","","",143,[[],["typeid",3]]],[11,"to_owned","alloc::string","",37,[[]]],[11,"clone_into","","",37,[[]]],[11,"to_string","","",37,[[],["string",3]]],[11,"from","","",37,[[]]],[11,"borrow","","",37,[[]]],[11,"borrow_mut","","",37,[[]]],[11,"try_from","","",37,[[],["result",4]]],[11,"into","","",37,[[]]],[11,"try_into","","",37,[[],["result",4]]],[11,"type_id","","",37,[[],["typeid",3]]],[11,"to_owned","","",38,[[]]],[11,"clone_into","","",38,[[]]],[11,"to_string","","",38,[[],["string",3]]],[11,"from","","",38,[[]]],[11,"borrow","","",38,[[]]],[11,"borrow_mut","","",38,[[]]],[11,"try_from","","",38,[[],["result",4]]],[11,"into","","",38,[[]]],[11,"try_into","","",38,[[],["result",4]]],[11,"type_id","","",38,[[],["typeid",3]]],[11,"to_string","","",144,[[],["string",3]]],[11,"from","","",144,[[]]],[11,"borrow","","",144,[[]]],[11,"borrow_mut","","",144,[[]]],[11,"try_from","","",144,[[],["result",4]]],[11,"into","","",144,[[]]],[11,"try_into","","",144,[[],["result",4]]],[11,"type_id","","",144,[[],["typeid",3]]],[11,"from","","",40,[[]]],[11,"borrow","","",40,[[]]],[11,"borrow_mut","","",40,[[]]],[11,"try_from","","",40,[[],["result",4]]],[11,"into","","",40,[[]]],[11,"try_into","","",40,[[],["result",4]]],[11,"into_iter","","",40,[[]]],[11,"type_id","","",40,[[],["typeid",3]]],[11,"to_owned","alloc::sync","",41,[[]]],[11,"clone_into","","",41,[[]]],[11,"to_string","","",41,[[],["string",3]]],[11,"from","","",41,[[]]],[11,"from","","",41,[[]]],[11,"borrow","","",41,[[]]],[11,"borrow_mut","","",41,[[]]],[11,"try_from","","",41,[[],["result",4]]],[11,"into","","",41,[[]]],[11,"try_into","","",41,[[],["result",4]]],[11,"type_id","","",41,[[],["typeid",3]]],[11,"to_owned","","",42,[[]]],[11,"clone_into","","",42,[[]]],[11,"from","","",42,[[]]],[11,"borrow","","",42,[[]]],[11,"borrow_mut","","",42,[[]]],[11,"try_from","","",42,[[],["result",4]]],[11,"into","","",42,[[]]],[11,"try_into","","",42,[[],["result",4]]],[11,"type_id","","",42,[[],["typeid",3]]],[11,"from","alloc::vec","",145,[[]]],[11,"borrow","","",145,[[]]],[11,"borrow_mut","","",145,[[]]],[11,"try_from","","",145,[[],["result",4]]],[11,"into","","",145,[[]]],[11,"try_into","","",145,[[],["result",4]]],[11,"into_iter","","",145,[[]]],[11,"type_id","","",145,[[],["typeid",3]]],[11,"from","","",146,[[]]],[11,"borrow","","",146,[[]]],[11,"borrow_mut","","",146,[[]]],[11,"try_from","","",146,[[],["result",4]]],[11,"into","","",146,[[]]],[11,"try_into","","",146,[[],["result",4]]],[11,"into_iter","","",146,[[]]],[11,"type_id","","",146,[[],["typeid",3]]],[11,"from","","",147,[[]]],[11,"borrow","","",147,[[]]],[11,"borrow_mut","","",147,[[]]],[11,"try_from","","",147,[[],["result",4]]],[11,"into","","",147,[[]]],[11,"try_into","","",147,[[],["result",4]]],[11,"into_iter","","",147,[[]]],[11,"type_id","","",147,[[],["typeid",3]]],[11,"to_owned","","",148,[[]]],[11,"clone_into","","",148,[[]]],[11,"from","","",148,[[]]],[11,"borrow","","",148,[[]]],[11,"borrow_mut","","",148,[[]]],[11,"try_from","","",148,[[],["result",4]]],[11,"into","","",148,[[]]],[11,"try_into","","",148,[[],["result",4]]],[11,"into_iter","","",148,[[]]],[11,"type_id","","",148,[[],["typeid",3]]],[11,"to_owned","","",44,[[]]],[11,"clone_into","","",44,[[]]],[11,"from","","",44,[[]]],[11,"borrow","","",44,[[]]],[11,"borrow_mut","","",44,[[]]],[11,"try_from","","",44,[[],["result",4]]],[11,"into","","",44,[[]]],[11,"try_into","","",44,[[],["result",4]]],[11,"type_id","","",44,[[],["typeid",3]]],[11,"as_ref","alloc::slice","",105,[[]]],[11,"cmp","alloc::fmt","",85,[[["error",3]],["ordering",4]]],[11,"clone","alloc::slice","",97,[[],["windows",3]]],[11,"clone","alloc::str","",131,[[],["utf8error",3]]],[11,"clone","","",142,[[],["rsplitterminator",3]]],[11,"clone","","",136,[[],["matches",3]]],[11,"clone","alloc::fmt","",86,[[],["arguments",3]]],[11,"clone","alloc::slice","",98,[[],["chunksexact",3]]],[11,"clone","alloc::str","",122,[[],["splitasciiwhitespace",3]]],[11,"clone","","",143,[[],["splitterminator",3]]],[11,"clone","alloc::str::pattern","",120,[[],["strsearcher",3]]],[11,"clone","alloc::slice","",108,[[],["rchunksexact",3]]],[11,"clone","alloc::str","",123,[[],["splitwhitespace",3]]],[11,"clone","alloc::str::pattern","",119,[[],["charpredicatesearcher",3]]],[11,"clone","","",33,[[],["searchstep",4]]],[11,"clone","alloc::str","",139,[[],["split",3]]],[11,"clone","","",141,[[],["splitn",3]]],[11,"clone","alloc::fmt","",85,[[],["error",3]]],[11,"clone","alloc::str::pattern","",117,[[],["charsearcher",3]]],[11,"clone","alloc::slice","",93,[[],["arraychunks",3]]],[11,"clone","alloc::str","",125,[[],["charindices",3]]],[11,"clone","alloc::alloc","",47,[[],["layouterror",3]]],[11,"clone","alloc::str","",138,[[],["rsplit",3]]],[11,"clone","","",137,[[],["rmatches",3]]],[11,"clone","alloc::slice","",105,[[],["iter",3]]],[11,"clone","","",96,[[],["chunks",3]]],[11,"clone","alloc::str","",121,[[],["encodeutf16",3]]],[11,"clone","","",124,[[],["bytes",3]]],[11,"clone","","",134,[[],["matchindices",3]]],[11,"clone","alloc::slice","",111,[[],["rsplit",3]]],[11,"clone","alloc::str","",129,[[],["escapedefault",3]]],[11,"clone","alloc::alloc","",45,[[],["allocerror",3]]],[11,"clone","alloc::slice","",101,[[],["split",3]]],[11,"clone","alloc::str::pattern","",118,[[],["charslicesearcher",3]]],[11,"clone","alloc::str","",128,[[],["escapedebug",3]]],[11,"clone","alloc::slice","",95,[[],["arraywindows",3]]],[11,"clone","alloc::str","",127,[[],["parseboolerror",3]]],[11,"clone","","",140,[[],["rsplitn",3]]],[11,"clone","","",133,[[],["linesany",3]]],[11,"clone","alloc::alloc","",46,[[],["layout",3]]],[11,"clone","alloc::slice","",107,[[],["rchunks",3]]],[11,"clone","alloc::str","",130,[[],["escapeunicode",3]]],[11,"clone","","",126,[[],["chars",3]]],[11,"clone","","",135,[[],["rmatchindices",3]]],[11,"clone","","",132,[[],["lines",3]]],[11,"default","alloc::fmt","",85,[[],["error",3]]],[11,"hash","","",85,[[]]],[11,"haystack","alloc::str::pattern","",119,[[],["str",15]]],[11,"next","","",119,[[],["searchstep",4]]],[11,"next_match","","",119,[[],["option",4]]],[11,"next_reject","","",119,[[],["option",4]]],[11,"haystack","","",118,[[],["str",15]]],[11,"next","","",118,[[],["searchstep",4]]],[11,"next_match","","",118,[[],["option",4]]],[11,"next_reject","","",118,[[],["option",4]]],[11,"haystack","","",117,[[],["str",15]]],[11,"next","","",117,[[],["searchstep",4]]],[11,"next_match","","",117,[[],["option",4]]],[11,"haystack","","",120,[[],["str",15]]],[11,"next","","",120,[[],["searchstep",4]]],[11,"next_match","","",120,[[],["option",4]]],[11,"write_str","alloc::fmt","",92,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","",92,[[["char",15]],[["error",3],["result",4]]]],[11,"write_fmt","","",92,[[["arguments",3]],[["error",3],["result",4]]]],[11,"next_back","alloc::str","",133,[[],[["str",15],["option",4]]]],[11,"next_back","","",136,[[],[["str",15],["option",4]]]],[11,"next_back","","",126,[[],[["option",4],["char",15]]]],[11,"next_back","alloc::slice","",95,[[],["option",4]]],[11,"nth_back","","",95,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",143,[[],[["str",15],["option",4]]]],[11,"next_back","","",122,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",100,[[],["option",4]]],[11,"nth_back","","",100,[[["usize",15]],["option",4]]],[11,"next_back","","",109,[[],["option",4]]],[11,"nth_back","","",109,[[["usize",15]],["option",4]]],[11,"next_back","","",110,[[],["option",4]]],[11,"nth_back","","",110,[[["usize",15]],["option",4]]],[11,"next_back","","",108,[[],["option",4]]],[11,"nth_back","","",108,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",142,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",97,[[],["option",4]]],[11,"nth_back","","",97,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",137,[[],[["str",15],["option",4]]]],[11,"next_back","","",125,[[],["option",4]]],[11,"next_back","","",123,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",94,[[],["option",4]]],[11,"nth_back","","",94,[[["usize",15]],["option",4]]],[11,"next_back","","",101,[[],["option",4]]],[11,"next_back","","",103,[[],["option",4]]],[11,"next_back","","",106,[[],["option",4]]],[11,"nth_back","","",106,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",134,[[],["option",4]]],[11,"next_back","alloc::slice","",93,[[],["option",4]]],[11,"nth_back","","",93,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",139,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",96,[[],["option",4]]],[11,"nth_back","","",96,[[["usize",15]],["option",4]]],[11,"next_back","","",98,[[],["option",4]]],[11,"nth_back","","",98,[[["usize",15]],["option",4]]],[11,"next_back","alloc::str","",135,[[],["option",4]]],[11,"next_back","","",138,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",107,[[],["option",4]]],[11,"nth_back","","",107,[[["usize",15]],["option",4]]],[11,"next_back","","",104,[[],["option",4]]],[11,"next_back","","",111,[[],["option",4]]],[11,"next_back","alloc::str","",124,[[],[["option",4],["u8",15]]]],[11,"nth_back","","",124,[[["usize",15]],["option",4]]],[11,"rfind","","",124,[[],["option",4]]],[11,"next_back","","",132,[[],[["str",15],["option",4]]]],[11,"next_back","alloc::slice","",112,[[],["option",4]]],[11,"next_back","","",105,[[],["option",4]]],[11,"nth_back","","",105,[[["usize",15]],["option",4]]],[11,"next_back","","",99,[[],["option",4]]],[11,"nth_back","","",99,[[["usize",15]],["option",4]]],[11,"next_back","","",102,[[],["option",4]]],[11,"eq","alloc::alloc","",47,[[["layouterror",3]],["bool",15]]],[11,"ne","","",47,[[["layouterror",3]],["bool",15]]],[11,"eq","","",45,[[["allocerror",3]],["bool",15]]],[11,"eq","alloc::str","",131,[[["utf8error",3]],["bool",15]]],[11,"ne","","",131,[[["utf8error",3]],["bool",15]]],[11,"eq","alloc::str::pattern","",33,[[["searchstep",4]],["bool",15]]],[11,"ne","","",33,[[["searchstep",4]],["bool",15]]],[11,"eq","alloc::str","",127,[[["parseboolerror",3]],["bool",15]]],[11,"ne","","",127,[[["parseboolerror",3]],["bool",15]]],[11,"eq","alloc::alloc","",46,[[["layout",3]],["bool",15]]],[11,"ne","","",46,[[["layout",3]],["bool",15]]],[11,"eq","alloc::fmt","",85,[[["error",3]],["bool",15]]],[11,"partial_cmp","","",85,[[["error",3]],[["ordering",4],["option",4]]]],[11,"fmt","alloc::str","",131,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",129,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",127,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",128,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::fmt","",85,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::alloc","",45,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",47,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",130,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::fmt","",86,[[["formatter",3]],[["error",3],["result",4]]]],[11,"next_back","alloc::str::pattern","",119,[[],["searchstep",4]]],[11,"next_match_back","","",119,[[],["option",4]]],[11,"next_reject_back","","",119,[[],["option",4]]],[11,"next_back","","",117,[[],["searchstep",4]]],[11,"next_match_back","","",117,[[],["option",4]]],[11,"next_back","","",120,[[],["searchstep",4]]],[11,"next_match_back","","",120,[[],["option",4]]],[11,"next_back","","",118,[[],["searchstep",4]]],[11,"next_match_back","","",118,[[],["option",4]]],[11,"next_reject_back","","",118,[[],["option",4]]],[11,"fmt","alloc::str","",129,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",131,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",122,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",116,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str::pattern","",119,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",95,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",109,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::fmt","",85,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",103,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::alloc","",45,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",142,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",138,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",105,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",140,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",130,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",114,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::fmt","",16,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str::pattern","",120,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",123,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",128,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",100,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str::pattern","",117,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",33,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",139,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",97,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::alloc","",46,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",121,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",126,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",99,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",98,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::fmt","",86,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",135,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",141,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",132,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",101,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",143,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",134,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str::pattern","",118,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",136,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",112,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",125,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",108,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",104,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",96,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",94,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",106,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::alloc","",47,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",127,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",113,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",133,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",115,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::str","",137,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",124,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","alloc::slice","",107,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",110,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",111,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",93,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",102,[[["formatter",3]],[["error",3],["result",4]]]],[11,"next","","",98,[[],["option",4]]],[11,"size_hint","","",98,[[]]],[11,"count","","",98,[[],["usize",15]]],[11,"nth","","",98,[[["usize",15]],["option",4]]],[11,"last","","",98,[[],["option",4]]],[11,"next","","",102,[[],["option",4]]],[11,"size_hint","","",102,[[]]],[11,"next","","",96,[[],["option",4]]],[11,"size_hint","","",96,[[]]],[11,"count","","",96,[[],["usize",15]]],[11,"nth","","",96,[[["usize",15]],["option",4]]],[11,"last","","",96,[[],["option",4]]],[11,"next","alloc::str","",129,[[],[["option",4],["char",15]]]],[11,"size_hint","","",129,[[]]],[11,"try_fold","","",129,[[]]],[11,"fold","","",129,[[]]],[11,"next","","",141,[[],[["str",15],["option",4]]]],[11,"next","","",128,[[],[["option",4],["char",15]]]],[11,"size_hint","","",128,[[]]],[11,"try_fold","","",128,[[]]],[11,"fold","","",128,[[]]],[11,"next","alloc::slice","",101,[[],["option",4]]],[11,"size_hint","","",101,[[]]],[11,"next","","",112,[[],["option",4]]],[11,"size_hint","","",112,[[]]],[11,"next","alloc::str","",143,[[],[["str",15],["option",4]]]],[11,"next","alloc::slice","",104,[[],["option",4]]],[11,"size_hint","","",104,[[]]],[11,"last","","",104,[[],["option",4]]],[11,"next","","",106,[[],["option",4]]],[11,"size_hint","","",106,[[]]],[11,"count","","",106,[[],["usize",15]]],[11,"nth","","",106,[[["usize",15]],["option",4]]],[11,"last","","",106,[[],["option",4]]],[11,"for_each","","",106,[[]]],[11,"all","","",106,[[],["bool",15]]],[11,"any","","",106,[[],["bool",15]]],[11,"find","","",106,[[],["option",4]]],[11,"find_map","","",106,[[],["option",4]]],[11,"position","","",106,[[],[["usize",15],["option",4]]]],[11,"rposition","","",106,[[],[["usize",15],["option",4]]]],[11,"next","alloc::str","",126,[[],[["option",4],["char",15]]]],[11,"count","","",126,[[],["usize",15]]],[11,"size_hint","","",126,[[]]],[11,"last","","",126,[[],[["option",4],["char",15]]]],[11,"next","alloc::slice","",100,[[],["option",4]]],[11,"size_hint","","",100,[[]]],[11,"count","","",100,[[],["usize",15]]],[11,"nth","","",100,[[["usize",15]],["option",4]]],[11,"last","","",100,[[],["option",4]]],[11,"next","","",103,[[],["option",4]]],[11,"size_hint","","",103,[[]]],[11,"last","","",103,[[],["option",4]]],[11,"next","","",116,[[],["option",4]]],[11,"size_hint","","",116,[[]]],[11,"next","alloc::str","",138,[[],[["str",15],["option",4]]]],[11,"next","alloc::slice","",94,[[],["option",4]]],[11,"size_hint","","",94,[[]]],[11,"count","","",94,[[],["usize",15]]],[11,"nth","","",94,[[["usize",15]],["option",4]]],[11,"last","","",94,[[],["option",4]]],[11,"__iterator_get_unchecked","","",94,[[["usize",15]]]],[11,"next","","",97,[[],["option",4]]],[11,"size_hint","","",97,[[]]],[11,"count","","",97,[[],["usize",15]]],[11,"nth","","",97,[[["usize",15]],["option",4]]],[11,"last","","",97,[[],["option",4]]],[11,"next","alloc::str","",130,[[],[["option",4],["char",15]]]],[11,"size_hint","","",130,[[]]],[11,"try_fold","","",130,[[]]],[11,"fold","","",130,[[]]],[11,"next","alloc::slice","",107,[[],["option",4]]],[11,"size_hint","","",107,[[]]],[11,"count","","",107,[[],["usize",15]]],[11,"nth","","",107,[[["usize",15]],["option",4]]],[11,"last","","",107,[[],["option",4]]],[11,"next","alloc::str","",135,[[],["option",4]]],[11,"next","alloc::slice","",109,[[],["option",4]]],[11,"size_hint","","",109,[[]]],[11,"count","","",109,[[],["usize",15]]],[11,"nth","","",109,[[["usize",15]],["option",4]]],[11,"last","","",109,[[],["option",4]]],[11,"next","alloc::str","",124,[[],[["option",4],["u8",15]]]],[11,"size_hint","","",124,[[]]],[11,"count","","",124,[[],["usize",15]]],[11,"last","","",124,[[],["option",4]]],[11,"nth","","",124,[[["usize",15]],["option",4]]],[11,"all","","",124,[[],["bool",15]]],[11,"any","","",124,[[],["bool",15]]],[11,"find","","",124,[[],["option",4]]],[11,"position","","",124,[[],[["usize",15],["option",4]]]],[11,"rposition","","",124,[[],[["usize",15],["option",4]]]],[11,"__iterator_get_unchecked","","",124,[[["usize",15]],["u8",15]]],[11,"next","alloc::slice","",114,[[],["option",4]]],[11,"size_hint","","",114,[[]]],[11,"next","alloc::str","",123,[[],[["str",15],["option",4]]]],[11,"size_hint","","",123,[[]]],[11,"last","","",123,[[],[["str",15],["option",4]]]],[11,"next","","",134,[[],["option",4]]],[11,"next","alloc::slice","",115,[[],["option",4]]],[11,"size_hint","","",115,[[]]],[11,"next","alloc::str","",122,[[],[["str",15],["option",4]]]],[11,"size_hint","","",122,[[]]],[11,"last","","",122,[[],[["str",15],["option",4]]]],[11,"next","","",121,[[],[["option",4],["u16",15]]]],[11,"size_hint","","",121,[[]]],[11,"next","alloc::slice","",105,[[],["option",4]]],[11,"size_hint","","",105,[[]]],[11,"count","","",105,[[],["usize",15]]],[11,"nth","","",105,[[["usize",15]],["option",4]]],[11,"last","","",105,[[],["option",4]]],[11,"for_each","","",105,[[]]],[11,"all","","",105,[[],["bool",15]]],[11,"any","","",105,[[],["bool",15]]],[11,"find","","",105,[[],["option",4]]],[11,"find_map","","",105,[[],["option",4]]],[11,"position","","",105,[[],[["usize",15],["option",4]]]],[11,"rposition","","",105,[[],[["usize",15],["option",4]]]],[11,"is_sorted_by","","",105,[[],["bool",15]]],[11,"next","","",113,[[],["option",4]]],[11,"size_hint","","",113,[[]]],[11,"next","alloc::str","",132,[[],[["str",15],["option",4]]]],[11,"size_hint","","",132,[[]]],[11,"last","","",132,[[],[["str",15],["option",4]]]],[11,"next","","",133,[[],[["str",15],["option",4]]]],[11,"size_hint","","",133,[[]]],[11,"next","alloc::slice","",108,[[],["option",4]]],[11,"size_hint","","",108,[[]]],[11,"count","","",108,[[],["usize",15]]],[11,"nth","","",108,[[["usize",15]],["option",4]]],[11,"last","","",108,[[],["option",4]]],[11,"next","alloc::str","",137,[[],[["str",15],["option",4]]]],[11,"next","alloc::slice","",111,[[],["option",4]]],[11,"size_hint","","",111,[[]]],[11,"next","","",110,[[],["option",4]]],[11,"size_hint","","",110,[[]]],[11,"count","","",110,[[],["usize",15]]],[11,"nth","","",110,[[["usize",15]],["option",4]]],[11,"last","","",110,[[],["option",4]]],[11,"next","alloc::str","",136,[[],[["str",15],["option",4]]]],[11,"next","alloc::slice","",93,[[],["option",4]]],[11,"size_hint","","",93,[[]]],[11,"count","","",93,[[],["usize",15]]],[11,"nth","","",93,[[["usize",15]],["option",4]]],[11,"last","","",93,[[],["option",4]]],[11,"__iterator_get_unchecked","","",93,[[["usize",15]]]],[11,"next","alloc::str","",139,[[],[["str",15],["option",4]]]],[11,"next","","",125,[[],["option",4]]],[11,"count","","",125,[[],["usize",15]]],[11,"size_hint","","",125,[[]]],[11,"last","","",125,[[],["option",4]]],[11,"next","","",142,[[],[["str",15],["option",4]]]],[11,"next","alloc::slice","",99,[[],["option",4]]],[11,"size_hint","","",99,[[]]],[11,"count","","",99,[[],["usize",15]]],[11,"nth","","",99,[[["usize",15]],["option",4]]],[11,"last","","",99,[[],["option",4]]],[11,"next","","",95,[[],["option",4]]],[11,"size_hint","","",95,[[]]],[11,"count","","",95,[[],["usize",15]]],[11,"nth","","",95,[[["usize",15]],["option",4]]],[11,"last","","",95,[[],["option",4]]],[11,"next","alloc::str","",140,[[],[["str",15],["option",4]]]],[11,"len","alloc::slice","",106,[[],["usize",15]]],[11,"is_empty","","",106,[[],["bool",15]]],[11,"is_empty","","",99,[[],["bool",15]]],[11,"is_empty","","",108,[[],["bool",15]]],[11,"is_empty","","",95,[[],["bool",15]]],[11,"is_empty","","",93,[[],["bool",15]]],[11,"is_empty","","",109,[[],["bool",15]]],[11,"is_empty","","",94,[[],["bool",15]]],[11,"len","alloc::str","",124,[[],["usize",15]]],[11,"is_empty","","",124,[[],["bool",15]]],[11,"is_empty","alloc::slice","",98,[[],["bool",15]]],[11,"len","","",105,[[],["usize",15]]],[11,"is_empty","","",105,[[],["bool",15]]],[11,"to_string","alloc::borrow","",6,[[],["string",3]]],[11,"to_string","alloc::string","",37,[[],["string",3]]],[11,"deref","alloc::boxed","",2,[[]]],[11,"deref","alloc::borrow","",6,[[]]],[11,"deref","alloc::collections::binary_heap","",7,[[]]],[11,"deref","alloc::rc","",27,[[]]],[11,"deref","alloc::string","",37,[[],["str",15]]],[11,"deref","alloc::sync","",41,[[]]],[11,"deref","alloc::vec","",44,[[]]],[11,"deref_mut","alloc::boxed","",2,[[]]],[11,"deref_mut","alloc::collections::binary_heap","",7,[[]]],[11,"deref_mut","alloc::string","",37,[[],["str",15]]],[11,"deref_mut","alloc::vec","",44,[[]]],[11,"from","alloc::boxed","Converts a generic type <code>T</code> into a <code>Box<T></code>",2,[[]]],[11,"from","","Converts a <code>&[T]</code> into a <code>Box<[T]></code>",2,[[],["box",3]]],[11,"from","","",2,[[["cow",4]],["box",3]]],[11,"from","","Converts a <code>&str</code> into a <code>Box<str></code>",2,[[["str",15]],[["str",15],["box",3]]]],[11,"from","","",2,[[["cow",4],["str",15]],[["str",15],["box",3]]]],[11,"from","","Converts a <code>Box<str></code> into a <code>Box<[u8]></code>",2,[[["box",3],["str",15]]]],[11,"from","","Converts a <code>[T; N]</code> into a <code>Box<[T]></code>",2,[[],["box",3]]],[11,"from","alloc::collections::binary_heap","Converts a <code>Vec<T></code> into a <code>BinaryHeap<T></code>.",8,[[["vec",3]],["binaryheap",3]]],[11,"from","alloc::vec","Converts a <code>BinaryHeap<T></code> into a <code>Vec<T></code>.",44,[[["binaryheap",3]],["vec",3]]],[11,"from","alloc::collections::vec_deque","Turn a <code>Vec<T></code> into a <code>VecDeque<T></code>.",12,[[["vec",3]]]],[11,"from","alloc::vec","Turn a <code>VecDeque<T></code> into a <code>Vec<T></code>.",44,[[["vecdeque",3]]]],[11,"from","alloc::collections","",14,[[["layouterror",3]]]],[11,"from","alloc::rc","",27,[[]]],[11,"from","","",27,[[],["rc",3]]],[11,"from","","",27,[[["str",15]],[["str",15],["rc",3]]]],[11,"from","","",27,[[["string",3]],[["str",15],["rc",3]]]],[11,"from","","",27,[[["box",3]],["rc",3]]],[11,"from","","",27,[[["vec",3]],["rc",3]]],[11,"from","","",27,[[["cow",4]],["rc",3]]],[11,"from","alloc::string","",37,[[["str",15]],["string",3]]],[11,"from","","Converts a <code>&mut str</code> into a <code>String</code>.",37,[[["str",15]],["string",3]]],[11,"from","","",37,[[["string",3]],["string",3]]],[11,"from","","Converts the given boxed <code>str</code> slice to a <code>String</code>. It is …",37,[[["str",15],["box",3]],["string",3]]],[11,"from","alloc::boxed","Converts the given <code>String</code> to a boxed <code>str</code> slice that is …",2,[[["string",3]],[["str",15],["box",3]]]],[11,"from","alloc::string","",37,[[["cow",4],["str",15]],["string",3]]],[11,"from","alloc::borrow","",6,[[["str",15]],[["cow",4],["str",15]]]],[11,"from","","",6,[[["string",3]],[["cow",4],["str",15]]]],[11,"from","","",6,[[["string",3]],[["cow",4],["str",15]]]],[11,"from","alloc::vec","Converts the given <code>String</code> to a vector <code>Vec</code> that holds …",44,[[["string",3]],[["vec",3],["u8",15]]]],[11,"from","alloc::string","",37,[[["char",15]]]],[11,"from","alloc::sync","",41,[[]]],[11,"from","","",41,[[],["arc",3]]],[11,"from","","",41,[[["str",15]],[["str",15],["arc",3]]]],[11,"from","","",41,[[["string",3]],[["str",15],["arc",3]]]],[11,"from","","",41,[[["box",3]],["arc",3]]],[11,"from","","",41,[[["vec",3]],["arc",3]]],[11,"from","","",41,[[["cow",4]],["arc",3]]],[11,"from","alloc::borrow","",6,[[],["cow",4]]],[11,"from","","",6,[[["vec",3]],["cow",4]]],[11,"from","","",6,[[["vec",3]],["cow",4]]],[11,"from","alloc::vec","",44,[[],["vec",3]]],[11,"from","","",44,[[],["vec",3]]],[11,"from","","",44,[[],["vec",3]]],[11,"from","","",44,[[["cow",4]],["vec",3]]],[11,"from","","",44,[[["box",3]]]],[11,"from","alloc::boxed","",2,[[["vec",3]]]],[11,"from","alloc::vec","",44,[[["str",15]],[["vec",3],["u8",15]]]],[11,"fmt","alloc::alloc","",48,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::boxed","",2,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::borrow","",6,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections::binary_heap","",7,[[["formatter",3]],["result",6]]],[11,"fmt","","",8,[[["formatter",3]],["result",6]]],[11,"fmt","","",49,[[["formatter",3]],["result",6]]],[11,"fmt","","",50,[[["formatter",3]],["result",6]]],[11,"fmt","","",51,[[["formatter",3]],["result",6]]],[11,"fmt","","",52,[[["formatter",3]],["result",6]]],[11,"fmt","","",53,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections::btree_map","",13,[[["formatter",3]],["result",6]]],[11,"fmt","","",54,[[["formatter",3]],["result",6]]],[11,"fmt","","",55,[[["formatter",3]],["result",6]]],[11,"fmt","","",57,[[["formatter",3]],["result",6]]],[11,"fmt","","",58,[[["formatter",3]],["result",6]]],[11,"fmt","","",59,[[["formatter",3]],["result",6]]],[11,"fmt","","",60,[[["formatter",3]],["result",6]]],[11,"fmt","","",61,[[["formatter",3]],["result",6]]],[11,"fmt","","",62,[[["formatter",3]],["result",6]]],[11,"fmt","","",63,[[["formatter",3]],["result",6]]],[11,"fmt","","",64,[[["formatter",3]],["result",6]]],[11,"fmt","","",65,[[["formatter",3]],["result",6]]],[11,"fmt","","",66,[[["formatter",3]],["result",6]]],[11,"fmt","","",67,[[["formatter",3]],["result",6]]],[11,"fmt","","",56,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections::btree_set","",69,[[["formatter",3]],["result",6]]],[11,"fmt","","",70,[[["formatter",3]],["result",6]]],[11,"fmt","","",71,[[["formatter",3]],["result",6]]],[11,"fmt","","",72,[[["formatter",3]],["result",6]]],[11,"fmt","","",73,[[["formatter",3]],["result",6]]],[11,"fmt","","",74,[[["formatter",3]],["result",6]]],[11,"fmt","","",75,[[["formatter",3]],["result",6]]],[11,"fmt","","",76,[[["formatter",3]],["result",6]]],[11,"fmt","","",68,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections::linked_list","",77,[[["formatter",3]],["result",6]]],[11,"fmt","","",78,[[["formatter",3]],["result",6]]],[11,"fmt","","",79,[[["formatter",3]],["result",6]]],[11,"fmt","","",10,[[["formatter",3]],["result",6]]],[11,"fmt","","",11,[[["formatter",3]],["result",6]]],[11,"fmt","","",80,[[["formatter",3]],["result",6]]],[11,"fmt","","",9,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections::vec_deque","",81,[[["formatter",3]],["result",6]]],[11,"fmt","","",82,[[["formatter",3]],["result",6]]],[11,"fmt","","",83,[[["formatter",3]],["result",6]]],[11,"fmt","","",84,[[["formatter",3]],["result",6]]],[11,"fmt","","",12,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections","",14,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::rc","",27,[[["formatter",3]],["result",6]]],[11,"fmt","","",28,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::string","",38,[[["formatter",3]],["result",6]]],[11,"fmt","","",144,[[["formatter",3]],["result",6]]],[11,"fmt","","",37,[[["formatter",3]],["result",6]]],[11,"fmt","","",40,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::sync","",42,[[["formatter",3]],["result",6]]],[11,"fmt","","",41,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::vec","",145,[[["formatter",3]],["result",6]]],[11,"fmt","","",146,[[["formatter",3]],["result",6]]],[11,"fmt","","",147,[[["formatter",3]],["result",6]]],[11,"fmt","","",148,[[["formatter",3]],["result",6]]],[11,"fmt","","",44,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::boxed","",2,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::borrow","",6,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::collections","",14,[[["formatter",3]],[["result",4],["error",3]]]],[11,"fmt","alloc::rc","",27,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::string","",38,[[["formatter",3]],["result",6]]],[11,"fmt","","",144,[[["formatter",3]],["result",6]]],[11,"fmt","","",37,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::sync","",41,[[["formatter",3]],["result",6]]],[11,"eq","alloc::boxed","",2,[[],["bool",15]]],[11,"ne","","",2,[[],["bool",15]]],[11,"eq","alloc::borrow","",6,[[["cow",4]],["bool",15]]],[11,"eq","alloc::collections::btree_map","",56,[[["btreemap",3]],["bool",15]]],[11,"eq","alloc::collections::btree_set","",68,[[["btreeset",3]],["bool",15]]],[11,"ne","","",68,[[["btreeset",3]],["bool",15]]],[11,"eq","alloc::collections::linked_list","",9,[[],["bool",15]]],[11,"ne","","",9,[[],["bool",15]]],[11,"eq","alloc::collections::vec_deque","",12,[[["vecdeque",3]],["bool",15]]],[11,"eq","","",12,[[["vec",3]],["bool",15]]],[11,"eq","","",12,[[],["bool",15]]],[11,"eq","","",12,[[],["bool",15]]],[11,"eq","","",12,[[],["bool",15]]],[11,"eq","","",12,[[],["bool",15]]],[11,"eq","","",12,[[],["bool",15]]],[11,"eq","alloc::collections","",14,[[["tryreserveerror",4]],["bool",15]]],[11,"ne","","",14,[[["tryreserveerror",4]],["bool",15]]],[11,"eq","alloc::rc","Equality for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"ne","","Inequality for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"eq","alloc::string","",38,[[["fromutf8error",3]],["bool",15]]],[11,"ne","","",38,[[["fromutf8error",3]],["bool",15]]],[11,"eq","","",37,[[["string",3]],["bool",15]]],[11,"ne","","",37,[[["string",3]],["bool",15]]],[11,"eq","","",37,[[["str",15]],["bool",15]]],[11,"ne","","",37,[[["str",15]],["bool",15]]],[11,"eq","","",37,[[["str",15]],["bool",15]]],[11,"ne","","",37,[[["str",15]],["bool",15]]],[11,"eq","alloc::borrow","",6,[[["str",15]],["bool",15]]],[11,"ne","","",6,[[["str",15]],["bool",15]]],[11,"eq","","",6,[[["str",15]],["bool",15]]],[11,"ne","","",6,[[["str",15]],["bool",15]]],[11,"eq","","",6,[[["string",3]],["bool",15]]],[11,"ne","","",6,[[["string",3]],["bool",15]]],[11,"eq","alloc::string","",37,[[["cow",4]],["bool",15]]],[11,"ne","","",37,[[["cow",4]],["bool",15]]],[11,"eq","alloc::sync","Equality for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"ne","","Inequality for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"eq","alloc::vec","",44,[[["vec",3]],["bool",15]]],[11,"ne","","",44,[[["vec",3]],["bool",15]]],[11,"eq","","",44,[[],["bool",15]]],[11,"ne","","",44,[[],["bool",15]]],[11,"eq","","",44,[[],["bool",15]]],[11,"ne","","",44,[[],["bool",15]]],[11,"eq","","",44,[[],["bool",15]]],[11,"ne","","",44,[[],["bool",15]]],[11,"eq","alloc::borrow","",6,[[["vec",3]],["bool",15]]],[11,"ne","","",6,[[["vec",3]],["bool",15]]],[11,"eq","","",6,[[],["bool",15]]],[11,"ne","","",6,[[],["bool",15]]],[11,"eq","","",6,[[],["bool",15]]],[11,"ne","","",6,[[],["bool",15]]],[11,"eq","alloc::vec","",44,[[],["bool",15]]],[11,"ne","","",44,[[],["bool",15]]],[11,"eq","","",44,[[],["bool",15]]],[11,"ne","","",44,[[],["bool",15]]],[11,"cmp","alloc::boxed","",2,[[],["ordering",4]]],[11,"cmp","alloc::borrow","",6,[[],["ordering",4]]],[11,"cmp","alloc::collections::btree_map","",56,[[["btreemap",3]],["ordering",4]]],[11,"cmp","alloc::collections::btree_set","",68,[[["btreeset",3]],["ordering",4]]],[11,"cmp","alloc::collections::linked_list","",9,[[],["ordering",4]]],[11,"cmp","alloc::collections::vec_deque","",12,[[["vecdeque",3]],["ordering",4]]],[11,"cmp","alloc::rc","Comparison for two <code>Rc</code>s.",27,[[["rc",3]],["ordering",4]]],[11,"cmp","alloc::string","",37,[[["string",3]],["ordering",4]]],[11,"cmp","alloc::sync","Comparison for two <code>Arc</code>s.",41,[[["arc",3]],["ordering",4]]],[11,"cmp","alloc::vec","",44,[[],["ordering",4]]],[11,"partial_cmp","alloc::boxed","",2,[[],[["ordering",4],["option",4]]]],[11,"lt","","",2,[[],["bool",15]]],[11,"le","","",2,[[],["bool",15]]],[11,"ge","","",2,[[],["bool",15]]],[11,"gt","","",2,[[],["bool",15]]],[11,"partial_cmp","alloc::borrow","",6,[[["cow",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","alloc::collections::btree_map","",56,[[["btreemap",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","alloc::collections::btree_set","",68,[[["btreeset",3]],[["ordering",4],["option",4]]]],[11,"lt","","",68,[[["btreeset",3]],["bool",15]]],[11,"le","","",68,[[["btreeset",3]],["bool",15]]],[11,"gt","","",68,[[["btreeset",3]],["bool",15]]],[11,"ge","","",68,[[["btreeset",3]],["bool",15]]],[11,"partial_cmp","alloc::collections::linked_list","",9,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","alloc::collections::vec_deque","",12,[[["vecdeque",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","alloc::rc","Partial comparison for two <code>Rc</code>s.",27,[[["rc",3]],[["ordering",4],["option",4]]]],[11,"lt","","Less-than comparison for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"le","","\'Less than or equal to\' comparison for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"gt","","Greater-than comparison for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"ge","","\'Greater than or equal to\' comparison for two <code>Rc</code>s.",27,[[["rc",3]],["bool",15]]],[11,"partial_cmp","alloc::string","",37,[[["string",3]],[["ordering",4],["option",4]]]],[11,"lt","","",37,[[["string",3]],["bool",15]]],[11,"le","","",37,[[["string",3]],["bool",15]]],[11,"gt","","",37,[[["string",3]],["bool",15]]],[11,"ge","","",37,[[["string",3]],["bool",15]]],[11,"partial_cmp","alloc::sync","Partial comparison for two <code>Arc</code>s.",41,[[["arc",3]],[["ordering",4],["option",4]]]],[11,"lt","","Less-than comparison for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"le","","\'Less than or equal to\' comparison for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"gt","","Greater-than comparison for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"ge","","\'Greater than or equal to\' comparison for two <code>Arc</code>s.",41,[[["arc",3]],["bool",15]]],[11,"partial_cmp","alloc::vec","",44,[[],[["ordering",4],["option",4]]]],[11,"add","alloc::borrow","",6,[[["str",15]]]],[11,"add","","",6,[[["cow",4],["str",15]]]],[11,"add","alloc::string","",37,[[["str",15]],["string",3]]],[11,"add_assign","alloc::borrow","",6,[[["str",15]]]],[11,"add_assign","","",6,[[["cow",4],["str",15]]]],[11,"add_assign","alloc::string","",37,[[["str",15]]]],[11,"drop","alloc::boxed","",2,[[]]],[11,"drop","alloc::collections::binary_heap","",7,[[]]],[11,"drop","","Removes heap elements in heap order.",53,[[]]],[11,"drop","alloc::collections::btree_map","",56,[[]]],[11,"drop","","",59,[[]]],[11,"drop","","",67,[[]]],[11,"drop","alloc::collections::btree_set","",76,[[]]],[11,"drop","alloc::collections::linked_list","",9,[[]]],[11,"drop","","",80,[[]]],[11,"drop","alloc::collections::vec_deque","",81,[[]]],[11,"drop","","",12,[[]]],[11,"drop","alloc::rc","Drops the <code>Rc</code>.",27,[[]]],[11,"drop","","Drops the <code>Weak</code> pointer.",28,[[]]],[11,"drop","alloc::string","",40,[[]]],[11,"drop","alloc::sync","Drops the <code>Arc</code>.",41,[[]]],[11,"drop","","Drops the <code>Weak</code> pointer.",42,[[]]],[11,"drop","alloc::vec","",145,[[]]],[11,"drop","","",146,[[]]],[11,"drop","","",147,[[]]],[11,"drop","","",148,[[]]],[11,"drop","","",44,[[]]],[11,"call","alloc::boxed","",2,[[]]],[11,"call_mut","","",2,[[]]],[11,"call_once","","",2,[[]]],[11,"resume","","",2,[[["pin",3]],["generatorstate",4]]],[11,"index","alloc::collections::btree_map","Returns a reference to the value corresponding to the …",56,[[]]],[11,"index","alloc::collections::vec_deque","",12,[[["usize",15]]]],[11,"index","alloc::string","",37,[[["usize",15],["range",3]],["str",15]]],[11,"index","","",37,[[["usize",15],["rangeto",3]],["str",15]]],[11,"index","","",37,[[["usize",15],["rangefrom",3]],["str",15]]],[11,"index","","",37,[[["rangefull",3]],["str",15]]],[11,"index","","",37,[[["rangeinclusive",3],["usize",15]],["str",15]]],[11,"index","","",37,[[["usize",15],["rangetoinclusive",3]],["str",15]]],[11,"index","alloc::vec","",44,[[]]],[11,"index_mut","alloc::collections::vec_deque","",12,[[["usize",15]]]],[11,"index_mut","alloc::string","",37,[[["usize",15],["range",3]],["str",15]]],[11,"index_mut","","",37,[[["usize",15],["rangeto",3]],["str",15]]],[11,"index_mut","","",37,[[["usize",15],["rangefrom",3]],["str",15]]],[11,"index_mut","","",37,[[["rangefull",3]],["str",15]]],[11,"index_mut","","",37,[[["rangeinclusive",3],["usize",15]],["str",15]]],[11,"index_mut","","",37,[[["usize",15],["rangetoinclusive",3]],["str",15]]],[11,"index_mut","alloc::vec","",44,[[]]],[11,"hash","alloc::boxed","",2,[[]]],[11,"hash","alloc::borrow","",6,[[]]],[11,"hash","alloc::collections::btree_map","",56,[[]]],[11,"hash","alloc::collections::btree_set","",68,[[]]],[11,"hash","alloc::collections::linked_list","",9,[[]]],[11,"hash","alloc::collections::vec_deque","",12,[[]]],[11,"hash","alloc::rc","",27,[[]]],[11,"hash","alloc::string","",37,[[]]],[11,"hash","alloc::sync","",41,[[]]],[11,"hash","alloc::vec","",44,[[]]],[11,"len","alloc::boxed","",2,[[],["usize",15]]],[11,"is_empty","","",2,[[],["bool",15]]],[11,"is_empty","alloc::collections::binary_heap","",49,[[],["bool",15]]],[11,"is_empty","","",50,[[],["bool",15]]],[11,"is_empty","","",52,[[],["bool",15]]],[11,"len","alloc::collections::btree_map","",57,[[],["usize",15]]],[11,"len","","",58,[[],["usize",15]]],[11,"len","","",59,[[],["usize",15]]],[11,"len","","",60,[[],["usize",15]]],[11,"len","","",61,[[],["usize",15]]],[11,"len","","",62,[[],["usize",15]]],[11,"len","","",63,[[],["usize",15]]],[11,"len","","",64,[[],["usize",15]]],[11,"len","alloc::collections::btree_set","",69,[[],["usize",15]]],[11,"len","","",70,[[],["usize",15]]],[11,"is_empty","alloc::collections::vec_deque","",82,[[],["bool",15]]],[11,"is_empty","","",83,[[],["bool",15]]],[11,"is_empty","","",84,[[],["bool",15]]],[11,"is_empty","alloc::vec","",147,[[],["bool",15]]],[11,"is_empty","","",148,[[],["bool",15]]],[11,"borrow","alloc::boxed","",2,[[]]],[11,"borrow","alloc::borrow","",6,[[]]],[11,"borrow","alloc::rc","",27,[[]]],[11,"borrow","alloc::vec","",44,[[]]],[11,"borrow","alloc::string","",37,[[],["str",15]]],[11,"borrow","alloc::sync","",41,[[]]],[11,"borrow_mut","alloc::boxed","",2,[[]]],[11,"borrow_mut","alloc::vec","",44,[[]]],[11,"borrow_mut","alloc::string","",37,[[],["str",15]]],[11,"try_from","alloc::boxed","",2,[[["box",3]],["result",4]]],[11,"try_from","alloc::rc","",27,[[["rc",3]],["result",4]]],[11,"try_from","alloc::sync","",41,[[["arc",3]],["result",4]]],[11,"finish","alloc::boxed","",2,[[],["u64",15]]],[11,"write","","",2,[[]]],[11,"write_u8","","",2,[[["u8",15]]]],[11,"write_u16","","",2,[[["u16",15]]]],[11,"write_u32","","",2,[[["u32",15]]]],[11,"write_u64","","",2,[[["u64",15]]]],[11,"write_u128","","",2,[[["u128",15]]]],[11,"write_usize","","",2,[[["usize",15]]]],[11,"write_i8","","",2,[[["i8",15]]]],[11,"write_i16","","",2,[[["i16",15]]]],[11,"write_i32","","",2,[[["i32",15]]]],[11,"write_i64","","",2,[[["i64",15]]]],[11,"write_i128","","",2,[[["i128",15]]]],[11,"write_isize","","",2,[[["isize",15]]]],[11,"from_str","alloc::string","",37,[[["str",15]],[["result",4],["string",3]]]],[11,"write_str","","",37,[[["str",15]],["result",6]]],[11,"write_char","","",37,[[["char",15]],["result",6]]],[11,"from_iter","alloc::boxed","",2,[[["intoiterator",8]]]],[11,"from_iter","alloc::collections::binary_heap","",8,[[["intoiterator",8]],["binaryheap",3]]],[11,"from_iter","alloc::collections::btree_map","",56,[[["intoiterator",8]],["btreemap",3]]],[11,"from_iter","alloc::collections::btree_set","",68,[[["intoiterator",8]],["btreeset",3]]],[11,"from_iter","alloc::collections::linked_list","",9,[[["intoiterator",8]]]],[11,"from_iter","alloc::collections::vec_deque","",12,[[["intoiterator",8]],["vecdeque",3]]],[11,"from_iter","alloc::rc","Takes each element in the <code>Iterator</code> and collects it into …",27,[[["intoiterator",8]]]],[11,"from_iter","alloc::string","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","","",37,[[["intoiterator",8]],["string",3]]],[11,"from_iter","alloc::borrow","",6,[[["intoiterator",8]],[["cow",4],["str",15]]]],[11,"from_iter","","",6,[[["intoiterator",8]],[["cow",4],["str",15]]]],[11,"from_iter","","",6,[[["intoiterator",8]],[["cow",4],["str",15]]]],[11,"from_iter","alloc::sync","Takes each element in the <code>Iterator</code> and collects it into …",41,[[["intoiterator",8]]]],[11,"from_iter","alloc::borrow","",6,[[["intoiterator",8]],["cow",4]]],[11,"from_iter","alloc::vec","",44,[[["intoiterator",8]],["vec",3]]],[11,"as_ref","alloc::boxed","",2,[[]]],[11,"as_ref","alloc::borrow","",6,[[]]],[11,"as_ref","alloc::rc","",27,[[]]],[11,"as_ref","alloc::string","",37,[[],["str",15]]],[11,"as_ref","","",37,[[]]],[11,"as_ref","alloc::sync","",41,[[]]],[11,"as_ref","alloc::vec","",147,[[]]],[11,"as_ref","","",148,[[]]],[11,"as_ref","","",44,[[],["vec",3]]],[11,"as_ref","","",44,[[]]],[11,"as_mut","alloc::boxed","",2,[[]]],[11,"as_mut","alloc::string","",37,[[],["str",15]]],[11,"as_mut","alloc::vec","",44,[[],["vec",3]]],[11,"as_mut","","",44,[[]]],[11,"fmt","alloc::boxed","",2,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::rc","",27,[[["formatter",3]],["result",6]]],[11,"fmt","alloc::sync","",41,[[["formatter",3]],["result",6]]],[11,"next_back","alloc::boxed","",2,[[],["option",4]]],[11,"nth_back","","",2,[[["usize",15]],["option",4]]],[11,"next_back","alloc::collections::binary_heap","",49,[[],["option",4]]],[11,"next_back","","",50,[[],["option",4]]],[11,"next_back","","",52,[[],["option",4]]],[11,"next_back","alloc::collections::btree_map","",57,[[],["option",4]]],[11,"next_back","","",58,[[],["option",4]]],[11,"next_back","","",59,[[],["option",4]]],[11,"next_back","","",60,[[],["option",4]]],[11,"next_back","","",61,[[],["option",4]]],[11,"next_back","","",62,[[],["option",4]]],[11,"next_back","","",63,[[],["option",4]]],[11,"next_back","","",64,[[],["option",4]]],[11,"next_back","","",65,[[],["option",4]]],[11,"next_back","","",66,[[],["option",4]]],[11,"next_back","alloc::collections::btree_set","",69,[[],["option",4]]],[11,"next_back","","",70,[[],["option",4]]],[11,"next_back","","",71,[[],["option",4]]],[11,"next_back","alloc::collections::linked_list","",77,[[],["option",4]]],[11,"next_back","","",78,[[],["option",4]]],[11,"next_back","","",79,[[],["option",4]]],[11,"next_back","alloc::collections::vec_deque","",81,[[],["option",4]]],[11,"next_back","","",82,[[],["option",4]]],[11,"rfold","","",82,[[]]],[11,"next_back","","",83,[[],["option",4]]],[11,"next_back","","",84,[[],["option",4]]],[11,"rfold","","",84,[[]]],[11,"try_rfold","","",84,[[]]],[11,"next_back","alloc::string","",40,[[],[["option",4],["char",15]]]],[11,"next_back","alloc::vec","",146,[[],["option",4]]],[11,"next_back","","",147,[[],["option",4]]],[11,"next_back","","",148,[[],["option",4]]],[11,"next","alloc::boxed","",2,[[],["option",4]]],[11,"size_hint","","",2,[[]]],[11,"nth","","",2,[[["usize",15]],["option",4]]],[11,"last","","",2,[[],["option",4]]],[11,"next","alloc::collections::binary_heap","",49,[[],["option",4]]],[11,"size_hint","","",49,[[]]],[11,"last","","",49,[[],["option",4]]],[11,"next","","",50,[[],["option",4]]],[11,"size_hint","","",50,[[]]],[11,"next","","",51,[[],["option",4]]],[11,"size_hint","","",51,[[]]],[11,"next","","",52,[[],["option",4]]],[11,"size_hint","","",52,[[]]],[11,"next","","",53,[[],["option",4]]],[11,"size_hint","","",53,[[]]],[11,"next","alloc::collections::btree_map","",57,[[],["option",4]]],[11,"size_hint","","",57,[[]]],[11,"last","","",57,[[],["option",4]]],[11,"min","","",57,[[],["option",4]]],[11,"max","","",57,[[],["option",4]]],[11,"next","","",58,[[],["option",4]]],[11,"size_hint","","",58,[[]]],[11,"last","","",58,[[],["option",4]]],[11,"min","","",58,[[],["option",4]]],[11,"max","","",58,[[],["option",4]]],[11,"next","","",59,[[],["option",4]]],[11,"size_hint","","",59,[[]]],[11,"next","","",60,[[],["option",4]]],[11,"size_hint","","",60,[[]]],[11,"last","","",60,[[],["option",4]]],[11,"min","","",60,[[],["option",4]]],[11,"max","","",60,[[],["option",4]]],[11,"next","","",61,[[],["option",4]]],[11,"size_hint","","",61,[[]]],[11,"last","","",61,[[],["option",4]]],[11,"next","","",67,[[],["option",4]]],[11,"size_hint","","",67,[[]]],[11,"next","","",65,[[],["option",4]]],[11,"last","","",65,[[],["option",4]]],[11,"min","","",65,[[],["option",4]]],[11,"max","","",65,[[],["option",4]]],[11,"next","","",62,[[],["option",4]]],[11,"size_hint","","",62,[[]]],[11,"last","","",62,[[],["option",4]]],[11,"next","","",63,[[],["option",4]]],[11,"size_hint","","",63,[[]]],[11,"last","","",63,[[],["option",4]]],[11,"min","","",63,[[],["option",4]]],[11,"max","","",63,[[],["option",4]]],[11,"next","","",64,[[],["option",4]]],[11,"size_hint","","",64,[[]]],[11,"last","","",64,[[],["option",4]]],[11,"next","","",66,[[],["option",4]]],[11,"last","","",66,[[],["option",4]]],[11,"min","","",66,[[],["option",4]]],[11,"max","","",66,[[],["option",4]]],[11,"next","alloc::collections::btree_set","",76,[[],["option",4]]],[11,"size_hint","","",76,[[]]],[11,"next","","",69,[[],["option",4]]],[11,"size_hint","","",69,[[]]],[11,"last","","",69,[[],["option",4]]],[11,"min","","",69,[[],["option",4]]],[11,"max","","",69,[[],["option",4]]],[11,"next","","",70,[[],["option",4]]],[11,"size_hint","","",70,[[]]],[11,"next","","",71,[[],["option",4]]],[11,"last","","",71,[[],["option",4]]],[11,"min","","",71,[[],["option",4]]],[11,"max","","",71,[[],["option",4]]],[11,"next","","",72,[[],["option",4]]],[11,"size_hint","","",72,[[]]],[11,"min","","",72,[[],["option",4]]],[11,"next","","",73,[[],["option",4]]],[11,"size_hint","","",73,[[]]],[11,"min","","",73,[[],["option",4]]],[11,"next","","",74,[[],["option",4]]],[11,"size_hint","","",74,[[]]],[11,"min","","",74,[[],["option",4]]],[11,"next","","",75,[[],["option",4]]],[11,"size_hint","","",75,[[]]],[11,"min","","",75,[[],["option",4]]],[11,"next","alloc::collections::linked_list","",77,[[],["option",4]]],[11,"size_hint","","",77,[[]]],[11,"last","","",77,[[],["option",4]]],[11,"next","","",78,[[],["option",4]]],[11,"size_hint","","",78,[[]]],[11,"last","","",78,[[],["option",4]]],[11,"next","","",80,[[],["option",4]]],[11,"size_hint","","",80,[[]]],[11,"next","","",79,[[],["option",4]]],[11,"size_hint","","",79,[[]]],[11,"next","alloc::collections::vec_deque","",81,[[],["option",4]]],[11,"size_hint","","",81,[[]]],[11,"next","","",82,[[],["option",4]]],[11,"size_hint","","",82,[[]]],[11,"fold","","",82,[[]]],[11,"nth","","",82,[[["usize",15]],["option",4]]],[11,"last","","",82,[[],["option",4]]],[11,"next","","",83,[[],["option",4]]],[11,"size_hint","","",83,[[]]],[11,"next","","",84,[[],["option",4]]],[11,"size_hint","","",84,[[]]],[11,"fold","","",84,[[]]],[11,"try_fold","","",84,[[]]],[11,"nth","","",84,[[["usize",15]],["option",4]]],[11,"last","","",84,[[],["option",4]]],[11,"next","alloc::string","",40,[[],[["option",4],["char",15]]]],[11,"size_hint","","",40,[[]]],[11,"last","","",40,[[],[["option",4],["char",15]]]],[11,"next","alloc::vec","",145,[[],["option",4]]],[11,"size_hint","","",145,[[]]],[11,"next","","",146,[[],["option",4]]],[11,"size_hint","","",146,[[]]],[11,"next","","",147,[[],["option",4]]],[11,"size_hint","","",147,[[]]],[11,"next","","",148,[[],["option",4]]],[11,"size_hint","","",148,[[]]],[11,"count","","",148,[[],["usize",15]]],[11,"__iterator_get_unchecked","","",148,[[["usize",15]]]],[11,"as_inner","alloc::collections::binary_heap","",50,[[]]],[11,"as_inner","alloc::vec","",148,[[]]],[11,"into_iter","alloc::collections::binary_heap","Creates a consuming iterator, that is, one that moves …",8,[[],["intoiter",3]]],[11,"into_iter","alloc::collections::btree_map","",56,[[],["intoiter",3]]],[11,"into_iter","alloc::collections::btree_set","Gets an iterator for moving out the <code>BTreeSet</code>\'s contents.",68,[[],["intoiter",3]]],[11,"into_iter","alloc::collections::linked_list","Consumes the list into an iterator yielding elements by …",9,[[],["intoiter",3]]],[11,"into_iter","alloc::collections::vec_deque","Consumes the <code>VecDeque</code> into a front-to-back iterator …",12,[[],["intoiter",3]]],[11,"into_iter","alloc::vec","Creates a consuming iterator, that is, one that moves …",44,[[],["intoiter",3]]],[11,"extend","alloc::collections::binary_heap","",8,[[["intoiterator",8]]]],[11,"extend_one","","",8,[[]]],[11,"extend_reserve","","",8,[[["usize",15]]]],[11,"extend","","",8,[[["intoiterator",8]]]],[11,"extend_one","","",8,[[]]],[11,"extend_reserve","","",8,[[["usize",15]]]],[11,"extend","alloc::collections::btree_map","",56,[[["intoiterator",8]]]],[11,"extend_one","","",56,[[]]],[11,"extend","","",56,[[["intoiterator",8]]]],[11,"extend_one","","",56,[[]]],[11,"extend","alloc::collections::btree_set","",68,[[["intoiterator",8]]]],[11,"extend_one","","",68,[[]]],[11,"extend","","",68,[[["intoiterator",8]]]],[11,"extend_one","","",68,[[]]],[11,"extend","alloc::collections::linked_list","",9,[[["intoiterator",8]]]],[11,"extend_one","","",9,[[]]],[11,"extend","","",9,[[["intoiterator",8]]]],[11,"extend_one","","",9,[[]]],[11,"extend","alloc::collections::vec_deque","",12,[[["intoiterator",8]]]],[11,"extend_one","","",12,[[]]],[11,"extend_reserve","","",12,[[["usize",15]]]],[11,"extend","","",12,[[["intoiterator",8]]]],[11,"extend_one","","",12,[[]]],[11,"extend_reserve","","",12,[[["usize",15]]]],[11,"extend","alloc::string","",37,[[["intoiterator",8]]]],[11,"extend_one","","",37,[[["char",15]]]],[11,"extend_reserve","","",37,[[["usize",15]]]],[11,"extend","","",37,[[["intoiterator",8]]]],[11,"extend_one","","",37,[[["char",15]]]],[11,"extend_reserve","","",37,[[["usize",15]]]],[11,"extend","","",37,[[["intoiterator",8]]]],[11,"extend_one","","",37,[[["str",15]]]],[11,"extend","","",37,[[["intoiterator",8]]]],[11,"extend","","",37,[[["intoiterator",8]]]],[11,"extend_one","","",37,[[["string",3]]]],[11,"extend","","",37,[[["intoiterator",8]]]],[11,"extend_one","","",37,[[["cow",4],["str",15]]]],[11,"extend","alloc::vec","",44,[[["intoiterator",8]]]],[11,"extend_one","","",44,[[]]],[11,"extend_reserve","","",44,[[["usize",15]]]],[11,"extend","","",44,[[["intoiterator",8]]]],[11,"extend_one","","",44,[[]]],[11,"extend_reserve","","",44,[[["usize",15]]]],[11,"clone","alloc::alloc","",48,[[],["global",3]]],[11,"clone","alloc::boxed","Returns a new box with a <code>clone()</code> of this box\'s contents.",2,[[]]],[11,"clone_from","","Copies <code>source</code>\'s contents into <code>self</code> without creating a new …",2,[[]]],[11,"clone","","",2,[[]]],[11,"clone","","",2,[[]]],[11,"clone_from","","",2,[[]]],[11,"clone","alloc::borrow","",6,[[]]],[11,"clone_from","","",6,[[]]],[11,"clone","alloc::collections::binary_heap","",8,[[]]],[11,"clone_from","","",8,[[]]],[11,"clone","","",49,[[]]],[11,"clone","","",50,[[],["intoiter",3]]],[11,"clone","","",51,[[],["intoitersorted",3]]],[11,"clone","alloc::collections::btree_map","",56,[[],["btreemap",3]]],[11,"clone","","",57,[[]]],[11,"clone","","",60,[[]]],[11,"clone","","",61,[[]]],[11,"clone","","",65,[[]]],[11,"clone","alloc::collections::btree_set","",68,[[]]],[11,"clone_from","","",68,[[]]],[11,"clone","","",69,[[]]],[11,"clone","","",71,[[]]],[11,"clone","","",72,[[]]],[11,"clone","","",73,[[]]],[11,"clone","","",74,[[]]],[11,"clone","","",75,[[]]],[11,"clone","alloc::collections::linked_list","",77,[[]]],[11,"clone","","",79,[[],["intoiter",3]]],[11,"clone","","",10,[[]]],[11,"clone","","",9,[[]]],[11,"clone_from","","",9,[[]]],[11,"clone","alloc::collections::vec_deque","",83,[[],["intoiter",3]]],[11,"clone","","",84,[[]]],[11,"clone","","",12,[[],["vecdeque",3]]],[11,"clone_from","","",12,[[]]],[11,"clone","alloc::collections","",14,[[],["tryreserveerror",4]]],[11,"clone","alloc::rc","Makes a clone of the <code>Rc</code> pointer.",27,[[],["rc",3]]],[11,"clone","","Makes a clone of the <code>Weak</code> pointer that points to the same …",28,[[],["weak",3]]],[11,"clone","alloc::string","",38,[[],["fromutf8error",3]]],[11,"clone","","",37,[[]]],[11,"clone_from","","",37,[[]]],[11,"clone","alloc::sync","Makes a clone of the <code>Arc</code> pointer.",41,[[],["arc",3]]],[11,"clone","","Makes a clone of the <code>Weak</code> pointer that points to the same …",42,[[],["weak",3]]],[11,"clone","alloc::vec","",148,[[]]],[11,"clone","","",44,[[]]],[11,"clone_from","","",44,[[]]],[11,"default","alloc::alloc","",48,[[],["global",3]]],[11,"default","alloc::boxed","Creates a <code>Box<T></code>, with the <code>Default</code> value for T.",2,[[]]],[11,"default","","",2,[[]]],[11,"default","","",2,[[]]],[11,"default","alloc::borrow","Creates an owned Cow<\'a, B> with the default value for …",6,[[]]],[11,"default","alloc::collections::binary_heap","Creates an empty <code>BinaryHeap<T></code>.",8,[[],["binaryheap",3]]],[11,"default","alloc::collections::btree_map","Creates an empty <code>BTreeMap</code>.",56,[[],["btreemap",3]]],[11,"default","alloc::collections::btree_set","Creates an empty <code>BTreeSet</code>.",68,[[],["btreeset",3]]],[11,"default","alloc::collections::linked_list","Creates an empty <code>LinkedList<T></code>.",9,[[]]],[11,"default","alloc::collections::vec_deque","Creates an empty <code>VecDeque<T></code>.",12,[[],["vecdeque",3]]],[11,"default","alloc::rc","Creates a new <code>Rc<T></code>, with the <code>Default</code> value for <code>T</code>.",27,[[],["rc",3]]],[11,"default","","Constructs a new <code>Weak<T></code>, allocating memory for <code>T</code> without …",28,[[],["weak",3]]],[11,"default","alloc::string","Creates an empty <code>String</code>.",37,[[],["string",3]]],[11,"default","alloc::sync","Constructs a new <code>Weak<T></code>, without allocating memory. …",42,[[],["weak",3]]],[11,"default","","Creates a new <code>Arc<T></code>, with the <code>Default</code> value for <code>T</code>.",41,[[],["arc",3]]],[11,"default","alloc::vec","Creates an empty <code>Vec<T></code>.",44,[[],["vec",3]]],[11,"poll_next","alloc::boxed","",2,[[["context",3],["pin",3]],[["poll",4],["option",4]]]],[11,"size_hint","","",2,[[]]],[11,"poll","","",2,[[["context",3],["pin",3]],["poll",4]]],[11,"allocate","alloc::alloc","",48,[[["layout",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"allocate_zeroed","","",48,[[["layout",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"deallocate","","",48,[[["nonnull",3],["layout",3],["u8",15]]]],[11,"grow","","",48,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"grow_zeroed","","",48,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"shrink","","",48,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"from_size_align","","Constructs a <code>Layout</code> from a given <code>size</code> and <code>align</code>, or …",46,[[["usize",15]],[["layouterror",3],["result",4],["layout",3]]]],[11,"from_size_align_unchecked","","Creates a layout, bypassing all checks.",46,[[["usize",15]],["layout",3]]],[11,"size","","The minimum size in bytes for a memory block of this …",46,[[],["usize",15]]],[11,"align","","The minimum byte alignment for a memory block of this …",46,[[],["usize",15]]],[11,"new","","Constructs a <code>Layout</code> suitable for holding a value of type <code>T</code>…",46,[[],["layout",3]]],[11,"for_value","","Produces layout describing a record that could be used to …",46,[[],["layout",3]]],[11,"for_value_raw","","Produces layout describing a record that could be used to …",46,[[],["layout",3]]],[11,"dangling","","Creates a <code>NonNull</code> that is dangling, but well-aligned for …",46,[[],[["nonnull",3],["u8",15]]]],[11,"align_to","","Creates a layout describing the record that can hold a …",46,[[["usize",15]],[["layouterror",3],["result",4],["layout",3]]]],[11,"padding_needed_for","","Returns the amount of padding we must insert after <code>self</code> …",46,[[["usize",15]],["usize",15]]],[11,"pad_to_align","","Creates a layout by rounding the size of this layout up …",46,[[],["layout",3]]],[11,"repeat","","Creates a layout describing the record for <code>n</code> instances of …",46,[[["usize",15]],[["result",4],["layouterror",3]]]],[11,"extend","","Creates a layout describing the record for <code>self</code> followed …",46,[[["layout",3]],[["result",4],["layouterror",3]]]],[11,"repeat_packed","","Creates a layout describing the record for <code>n</code> instances of …",46,[[["usize",15]],[["layouterror",3],["result",4],["layout",3]]]],[11,"extend_packed","","Creates a layout describing the record for <code>self</code> followed …",46,[[["layout",3]],[["layouterror",3],["result",4],["layout",3]]]],[11,"array","","Creates a layout describing the record for a <code>[T; n]</code>.",46,[[["usize",15]],[["layouterror",3],["result",4],["layout",3]]]],[11,"or_insert","alloc::collections::btree_map","Ensures a value is in the entry by inserting the default …",13,[[]]],[11,"or_insert_with","","Ensures a value is in the entry by inserting the result …",13,[[["fnonce",8]]]],[11,"or_insert_with_key","","Ensures a value is in the entry by inserting, if empty, …",13,[[["fnonce",8]]]],[11,"key","","Returns a reference to this entry\'s key.",13,[[]]],[11,"and_modify","","Provides in-place mutable access to an occupied entry …",13,[[]]],[11,"or_default","","Ensures a value is in the entry by inserting the default …",13,[[]]],[11,"key","","Gets a reference to the key that would be used when …",54,[[]]],[11,"into_key","","Take ownership of the key.",54,[[]]],[11,"insert","","Sets the value of the entry with the <code>VacantEntry</code>\'s key, …",54,[[]]],[11,"key","","Gets a reference to the key in the entry.",55,[[]]],[11,"remove_entry","","Take ownership of the key and value from the map.",55,[[]]],[11,"get","","Gets a reference to the value in the entry.",55,[[]]],[11,"get_mut","","Gets a mutable reference to the value in the entry.",55,[[]]],[11,"into_mut","","Converts the entry into a mutable reference to its value.",55,[[]]],[11,"insert","","Sets the value of the entry with the <code>OccupiedEntry</code>\'s key, …",55,[[]]],[11,"remove","","Takes the value of the entry out of the map, and returns …",55,[[]]],[11,"new","","Makes a new, empty <code>BTreeMap</code>.",56,[[],["btreemap",3]]],[11,"clear","","Clears the map, removing all elements.",56,[[]]],[11,"get","","Returns a reference to the value corresponding to the key.",56,[[],["option",4]]],[11,"get_key_value","","Returns the key-value pair corresponding to the supplied …",56,[[],["option",4]]],[11,"first_key_value","","Returns the first key-value pair in the map. The key in …",56,[[],["option",4]]],[11,"first_entry","","Returns the first entry in the map for in-place …",56,[[],[["occupiedentry",3],["option",4]]]],[11,"pop_first","","Removes and returns the first element in the map. The key …",56,[[],["option",4]]],[11,"last_key_value","","Returns the last key-value pair in the map. The key in …",56,[[],["option",4]]],[11,"last_entry","","Returns the last entry in the map for in-place …",56,[[],[["occupiedentry",3],["option",4]]]],[11,"pop_last","","Removes and returns the last element in the map. The key …",56,[[],["option",4]]],[11,"contains_key","","Returns <code>true</code> if the map contains a value for the …",56,[[],["bool",15]]],[11,"get_mut","","Returns a mutable reference to the value corresponding to …",56,[[],["option",4]]],[11,"insert","","Inserts a key-value pair into the map.",56,[[],["option",4]]],[11,"remove","","Removes a key from the map, returning the value at the …",56,[[],["option",4]]],[11,"remove_entry","","Removes a key from the map, returning the stored key and …",56,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",56,[[]]],[11,"append","","Moves all elements from <code>other</code> into <code>Self</code>, leaving <code>other</code> …",56,[[]]],[11,"range","","Constructs a double-ended iterator over a sub-range of …",56,[[],["range",3]]],[11,"range_mut","","Constructs a mutable double-ended iterator over a …",56,[[],["rangemut",3]]],[11,"entry","","Gets the given key\'s corresponding entry in the map for …",56,[[],["entry",4]]],[11,"split_off","","Splits the collection into two at the given key. Returns …",56,[[]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",56,[[],["drainfilter",3]]],[11,"into_keys","","Creates a consuming iterator visiting all the keys, in …",56,[[],["intokeys",3]]],[11,"into_values","","Creates a consuming iterator visiting all the values, in …",56,[[],["intovalues",3]]],[11,"iter","","Gets an iterator over the entries of the map, sorted by …",56,[[],["iter",3]]],[11,"iter_mut","","Gets a mutable iterator over the entries of the map, …",56,[[],["itermut",3]]],[11,"keys","","Gets an iterator over the keys of the map, in sorted …",56,[[],["keys",3]]],[11,"values","","Gets an iterator over the values of the map, in order by …",56,[[],["values",3]]],[11,"values_mut","","Gets a mutable iterator over the values of the map, in …",56,[[],["valuesmut",3]]],[11,"len","","Returns the number of elements in the map.",56,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the map contains no elements.",56,[[],["bool",15]]],[11,"new","alloc::collections::btree_set","Makes a new, empty <code>BTreeSet</code>.",68,[[],["btreeset",3]]],[11,"range","","Constructs a double-ended iterator over a sub-range of …",68,[[],["range",3]]],[11,"difference","","Visits the values representing the difference, i.e., the …",68,[[["btreeset",3]],["difference",3]]],[11,"symmetric_difference","","Visits the values representing the symmetric difference, …",68,[[["btreeset",3]],["symmetricdifference",3]]],[11,"intersection","","Visits the values representing the intersection, i.e., …",68,[[["btreeset",3]],["intersection",3]]],[11,"union","","Visits the values representing the union, i.e., all the …",68,[[["btreeset",3]],["union",3]]],[11,"clear","","Clears the set, removing all values.",68,[[]]],[11,"contains","","Returns <code>true</code> if the set contains a value.",68,[[],["bool",15]]],[11,"get","","Returns a reference to the value in the set, if any, that …",68,[[],["option",4]]],[11,"is_disjoint","","Returns <code>true</code> if <code>self</code> has no elements in common with <code>other</code>.…",68,[[["btreeset",3]],["bool",15]]],[11,"is_subset","","Returns <code>true</code> if the set is a subset of another, i.e., …",68,[[["btreeset",3]],["bool",15]]],[11,"is_superset","","Returns <code>true</code> if the set is a superset of another, i.e., …",68,[[["btreeset",3]],["bool",15]]],[11,"first","","Returns a reference to the first value in the set, if any.…",68,[[],["option",4]]],[11,"last","","Returns a reference to the last value in the set, if any. …",68,[[],["option",4]]],[11,"pop_first","","Removes the first value from the set and returns it, if …",68,[[],["option",4]]],[11,"pop_last","","Removes the last value from the set and returns it, if …",68,[[],["option",4]]],[11,"insert","","Adds a value to the set.",68,[[],["bool",15]]],[11,"replace","","Adds a value to the set, replacing the existing value, if …",68,[[],["option",4]]],[11,"remove","","Removes a value from the set. Returns whether the value …",68,[[],["bool",15]]],[11,"take","","Removes and returns the value in the set, if any, that is …",68,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",68,[[]]],[11,"append","","Moves all elements from <code>other</code> into <code>Self</code>, leaving <code>other</code> …",68,[[]]],[11,"split_off","","Splits the collection into two at the given key. Returns …",68,[[]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",68,[[],["drainfilter",3]]],[11,"iter","","Gets an iterator that visits the values in the <code>BTreeSet</code> …",68,[[],["iter",3]]],[11,"len","","Returns the number of elements in the set.",68,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the set contains no elements.",68,[[],["bool",15]]],[11,"as_str","alloc::fmt","Get the formatted string, if it has no arguments to be …",86,[[],[["str",15],["option",4]]]],[11,"entry","","Adds a new entry to the list output.",87,[[["debug",8]],["debuglist",3]]],[11,"entries","","Adds the contents of an iterator of entries to the list …",87,[[],["debuglist",3]]],[11,"finish","","Finishes output and returns any error encountered.",87,[[],[["error",3],["result",4]]]],[11,"entry","","Adds a new entry to the map output.",88,[[["debug",8]],["debugmap",3]]],[11,"key","","Adds the key part of a new entry to the map output.",88,[[["debug",8]],["debugmap",3]]],[11,"value","","Adds the value part of a new entry to the map output.",88,[[["debug",8]],["debugmap",3]]],[11,"entries","","Adds the contents of an iterator of entries to the map …",88,[[],["debugmap",3]]],[11,"finish","","Finishes output and returns any error encountered.",88,[[],[["error",3],["result",4]]]],[11,"entry","","Adds a new entry to the set output.",89,[[["debug",8]],["debugset",3]]],[11,"entries","","Adds the contents of an iterator of entries to the set …",89,[[],["debugset",3]]],[11,"finish","","Finishes output and returns any error encountered.",89,[[],[["error",3],["result",4]]]],[11,"field","","Adds a new field to the generated struct output.",90,[[["debug",8],["str",15]],["debugstruct",3]]],[11,"finish_non_exhaustive","","Marks the struct as non-exhaustive, indicating to the …",90,[[],[["error",3],["result",4]]]],[11,"finish","","Finishes output and returns any error encountered.",90,[[],[["error",3],["result",4]]]],[11,"field","","Adds a new field to the generated tuple struct output.",91,[[["debug",8]],["debugtuple",3]]],[11,"finish","","Finishes output and returns any error encountered.",91,[[],[["error",3],["result",4]]]],[11,"pad_integral","","Performs the correct padding for an integer which has …",92,[[["bool",15],["str",15]],[["error",3],["result",4]]]],[11,"pad","","This function takes a string slice and emits it to the …",92,[[["str",15]],[["error",3],["result",4]]]],[11,"write_str","","Writes some data to the underlying buffer contained …",92,[[["str",15]],[["error",3],["result",4]]]],[11,"write_fmt","","Writes some formatted information into this instance.",92,[[["arguments",3]],[["error",3],["result",4]]]],[11,"flags","","Flags for formatting",92,[[],["u32",15]]],[11,"fill","","Character used as \'fill\' whenever there is alignment.",92,[[],["char",15]]],[11,"align","","Flag indicating what form of alignment was requested.",92,[[],[["option",4],["alignment",4]]]],[11,"width","","Optionally specified integer width that the output should …",92,[[],[["usize",15],["option",4]]]],[11,"precision","","Optionally specified precision for numeric types. …",92,[[],[["usize",15],["option",4]]]],[11,"sign_plus","","Determines if the <code>+</code> flag was specified.",92,[[],["bool",15]]],[11,"sign_minus","","Determines if the <code>-</code> flag was specified.",92,[[],["bool",15]]],[11,"alternate","","Determines if the <code>#</code> flag was specified.",92,[[],["bool",15]]],[11,"sign_aware_zero_pad","","Determines if the <code>0</code> flag was specified.",92,[[],["bool",15]]],[11,"debug_struct","","Creates a [<code>DebugStruct</code>] builder designed to assist with …",92,[[["str",15]],["debugstruct",3]]],[11,"debug_tuple","","Creates a <code>DebugTuple</code> builder designed to assist with …",92,[[["str",15]],["debugtuple",3]]],[11,"debug_list","","Creates a <code>DebugList</code> builder designed to assist with …",92,[[],["debuglist",3]]],[11,"debug_set","","Creates a <code>DebugSet</code> builder designed to assist with …",92,[[],["debugset",3]]],[11,"debug_map","","Creates a <code>DebugMap</code> builder designed to assist with …",92,[[],["debugmap",3]]],[11,"remainder","alloc::slice","Returns the remainder of the original slice that is not …",93,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",94,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",98,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",99,[[]]],[11,"as_slice","","Views the underlying data as a subslice of the original …",105,[[]]],[11,"into_slice","","Views the underlying data as a subslice of the original …",106,[[]]],[11,"as_slice","","Views the underlying data as a subslice of the original …",106,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",108,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",109,[[]]],[11,"as_str","alloc::str","Views the underlying data as a subslice of the original …",125,[[],["str",15]]],[11,"as_str","","Views the underlying data as a subslice of the original …",126,[[],["str",15]]],[11,"valid_up_to","","Returns the index in the given string up to which valid …",131,[[],["usize",15]]],[11,"error_len","","Provides more information about the failure:",131,[[],[["usize",15],["option",4]]]],[11,"as_str","","Returns remainder of the splitted string",138,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",139,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",140,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",141,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",142,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",143,[[],["str",15]]],[11,"allocator","alloc::vec","Returns a reference to the underlying allocator.",145,[[]]],[11,"as_slice","","Returns the remaining items of this iterator as a slice.",147,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",147,[[]]],[11,"as_slice","","Returns the remaining items of this iterator as a slice.",148,[[]]],[11,"as_mut_slice","","Returns the remaining items of this iterator as a mutable …",148,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",148,[[]]]],"p":[[8,"Allocator"],[8,"GlobalAlloc"],[3,"Box"],[8,"Borrow"],[8,"BorrowMut"],[8,"ToOwned"],[4,"Cow"],[3,"PeekMut"],[3,"BinaryHeap"],[3,"LinkedList"],[3,"Cursor"],[3,"CursorMut"],[3,"VecDeque"],[4,"Entry"],[4,"TryReserveError"],[13,"AllocError"],[4,"Alignment"],[8,"Binary"],[8,"Octal"],[8,"Debug"],[8,"Display"],[8,"Write"],[8,"LowerExp"],[8,"UpperExp"],[8,"LowerHex"],[8,"Pointer"],[8,"UpperHex"],[3,"Rc"],[3,"Weak"],[8,"SliceIndex"],[8,"Concat"],[8,"Join"],[8,"Pattern"],[4,"SearchStep"],[8,"Searcher"],[8,"ReverseSearcher"],[8,"FromStr"],[3,"String"],[3,"FromUtf8Error"],[8,"ToString"],[3,"Drain"],[3,"Arc"],[3,"Weak"],[8,"Wake"],[3,"Vec"],[3,"AllocError"],[3,"Layout"],[3,"LayoutError"],[3,"Global"],[3,"Iter"],[3,"IntoIter"],[3,"IntoIterSorted"],[3,"Drain"],[3,"DrainSorted"],[3,"VacantEntry"],[3,"OccupiedEntry"],[3,"BTreeMap"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"Keys"],[3,"Values"],[3,"ValuesMut"],[3,"IntoKeys"],[3,"IntoValues"],[3,"Range"],[3,"RangeMut"],[3,"DrainFilter"],[3,"BTreeSet"],[3,"Iter"],[3,"IntoIter"],[3,"Range"],[3,"Difference"],[3,"SymmetricDifference"],[3,"Intersection"],[3,"Union"],[3,"DrainFilter"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"DrainFilter"],[3,"Drain"],[3,"IterMut"],[3,"IntoIter"],[3,"Iter"],[3,"Error"],[3,"Arguments"],[3,"DebugList"],[3,"DebugMap"],[3,"DebugSet"],[3,"DebugStruct"],[3,"DebugTuple"],[3,"Formatter"],[3,"ArrayChunks"],[3,"ArrayChunksMut"],[3,"ArrayWindows"],[3,"Chunks"],[3,"Windows"],[3,"ChunksExact"],[3,"ChunksExactMut"],[3,"ChunksMut"],[3,"Split"],[3,"SplitMut"],[3,"GroupBy"],[3,"GroupByMut"],[3,"Iter"],[3,"IterMut"],[3,"RChunks"],[3,"RChunksExact"],[3,"RChunksExactMut"],[3,"RChunksMut"],[3,"RSplit"],[3,"RSplitMut"],[3,"RSplitN"],[3,"RSplitNMut"],[3,"SplitN"],[3,"SplitNMut"],[3,"CharSearcher"],[3,"CharSliceSearcher"],[3,"CharPredicateSearcher"],[3,"StrSearcher"],[3,"EncodeUtf16"],[3,"SplitAsciiWhitespace"],[3,"SplitWhitespace"],[3,"Bytes"],[3,"CharIndices"],[3,"Chars"],[3,"ParseBoolError"],[3,"EscapeDebug"],[3,"EscapeDefault"],[3,"EscapeUnicode"],[3,"Utf8Error"],[3,"Lines"],[3,"LinesAny"],[3,"MatchIndices"],[3,"RMatchIndices"],[3,"Matches"],[3,"RMatches"],[3,"RSplit"],[3,"Split"],[3,"RSplitN"],[3,"SplitN"],[3,"RSplitTerminator"],[3,"SplitTerminator"],[3,"FromUtf16Error"],[3,"DrainFilter"],[3,"Splice"],[3,"Drain"],[3,"IntoIter"]],"a":{"alloc":[26,426,562],"calloc":[28],"delete":[2763,2799],"length":[96,120,181,454,550,2779,2806],"malloc":[26,426,517,562],"realloc":[525,526,527,528,529,530],"{:?}":[255],"{}":[258]}},\
"core":{"doc":"The Rust Core LibraryThe Rust Core Library is the …","i":[[0,"i128","core","Constants for the 128-bit signed integer type.",null,null],[17,"MIN","core::i128","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i16","core","Constants for the 16-bit signed integer type.",null,null],[17,"MIN","core::i16","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i32","core","Constants for the 32-bit signed integer type.",null,null],[17,"MIN","core::i32","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i64","core","Constants for the 64-bit signed integer type.",null,null],[17,"MIN","core::i64","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i8","core","Constants for the 8-bit signed integer type.",null,null],[17,"MIN","core::i8","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"isize","core","Constants for the pointer-sized signed integer type.",null,null],[17,"MIN","core::isize","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u128","core","Constants for the 128-bit unsigned integer type.",null,null],[17,"MIN","core::u128","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u16","core","Constants for the 16-bit unsigned integer type.",null,null],[17,"MIN","core::u16","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u32","core","Constants for the 32-bit unsigned integer type.",null,null],[17,"MIN","core::u32","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u64","core","Constants for the 64-bit unsigned integer type.",null,null],[17,"MIN","core::u64","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u8","core","Constants for the 8-bit unsigned integer type.",null,null],[17,"MIN","core::u8","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"usize","core","Constants for the pointer-sized unsigned integer type.",null,null],[17,"MIN","core::usize","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"f32","core","Constants specific to the <code>f32</code> single-precision floating …",null,null],[0,"consts","core::f32","Basic mathematical constants.",null,null],[17,"PI","core::f32::consts","Archimedes\' constant (π)",null,null],[17,"TAU","","The full circle constant (τ)",null,null],[17,"FRAC_PI_2","","π/2",null,null],[17,"FRAC_PI_3","","π/3",null,null],[17,"FRAC_PI_4","","π/4",null,null],[17,"FRAC_PI_6","","π/6",null,null],[17,"FRAC_PI_8","","π/8",null,null],[17,"FRAC_1_PI","","1/π",null,null],[17,"FRAC_2_PI","","2/π",null,null],[17,"FRAC_2_SQRT_PI","","2/sqrt(π)",null,null],[17,"SQRT_2","","sqrt(2)",null,null],[17,"FRAC_1_SQRT_2","","1/sqrt(2)",null,null],[17,"E","","Euler\'s number (e)",null,null],[17,"LOG2_E","","log2(e)",null,null],[17,"LOG2_10","","log2(10)",null,null],[17,"LOG10_E","","log10(e)",null,null],[17,"LOG10_2","","log10(2)",null,null],[17,"LN_2","","ln(2)",null,null],[17,"LN_10","","ln(10)",null,null],[17,"RADIX","core::f32","The radix or base of the internal representation of <code>f32</code>. …",null,null],[17,"MANTISSA_DIGITS","","Number of significant digits in base 2. Use …",null,null],[17,"DIGITS","","Approximate number of significant digits in base 10. Use …",null,null],[17,"EPSILON","","Machine epsilon value for <code>f32</code>. Use <code>f32::EPSILON</code> instead.",null,null],[17,"MIN","","Smallest finite <code>f32</code> value. Use <code>f32::MIN</code> instead.",null,null],[17,"MIN_POSITIVE","","Smallest positive normal <code>f32</code> value. Use <code>f32::MIN_POSITIVE</code> …",null,null],[17,"MAX","","Largest finite <code>f32</code> value. Use <code>f32::MAX</code> instead.",null,null],[17,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",null,null],[17,"MAX_EXP","","Maximum possible power of 2 exponent. Use <code>f32::MAX_EXP</code> …",null,null],[17,"MIN_10_EXP","","Minimum possible normal power of 10 exponent. Use …",null,null],[17,"MAX_10_EXP","","Maximum possible power of 10 exponent. Use <code>f32::MAX_10_EXP</code>…",null,null],[17,"NAN","","Not a Number (NaN). Use <code>f32::NAN</code> instead.",null,null],[17,"INFINITY","","Infinity (∞). Use <code>f32::INFINITY</code> instead.",null,null],[17,"NEG_INFINITY","","Negative infinity (−∞). Use <code>f32::NEG_INFINITY</code> instead.",null,null],[0,"f64","core","Constants specific to the <code>f64</code> double-precision floating …",null,null],[0,"consts","core::f64","Basic mathematical constants.",null,null],[17,"PI","core::f64::consts","Archimedes\' constant (π)",null,null],[17,"TAU","","The full circle constant (τ)",null,null],[17,"FRAC_PI_2","","π/2",null,null],[17,"FRAC_PI_3","","π/3",null,null],[17,"FRAC_PI_4","","π/4",null,null],[17,"FRAC_PI_6","","π/6",null,null],[17,"FRAC_PI_8","","π/8",null,null],[17,"FRAC_1_PI","","1/π",null,null],[17,"FRAC_2_PI","","2/π",null,null],[17,"FRAC_2_SQRT_PI","","2/sqrt(π)",null,null],[17,"SQRT_2","","sqrt(2)",null,null],[17,"FRAC_1_SQRT_2","","1/sqrt(2)",null,null],[17,"E","","Euler\'s number (e)",null,null],[17,"LOG2_10","","log2(10)",null,null],[17,"LOG2_E","","log2(e)",null,null],[17,"LOG10_2","","log10(2)",null,null],[17,"LOG10_E","","log10(e)",null,null],[17,"LN_2","","ln(2)",null,null],[17,"LN_10","","ln(10)",null,null],[17,"RADIX","core::f64","The radix or base of the internal representation of <code>f64</code>. …",null,null],[17,"MANTISSA_DIGITS","","Number of significant digits in base 2. Use …",null,null],[17,"DIGITS","","Approximate number of significant digits in base 10. Use …",null,null],[17,"EPSILON","","Machine epsilon value for <code>f64</code>. Use <code>f64::EPSILON</code> instead.",null,null],[17,"MIN","","Smallest finite <code>f64</code> value. Use <code>f64::MIN</code> instead.",null,null],[17,"MIN_POSITIVE","","Smallest positive normal <code>f64</code> value. Use <code>f64::MIN_POSITIVE</code> …",null,null],[17,"MAX","","Largest finite <code>f64</code> value. Use <code>f64::MAX</code> instead.",null,null],[17,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",null,null],[17,"MAX_EXP","","Maximum possible power of 2 exponent. Use <code>f64::MAX_EXP</code> …",null,null],[17,"MIN_10_EXP","","Minimum possible normal power of 10 exponent. Use …",null,null],[17,"MAX_10_EXP","","Maximum possible power of 10 exponent. Use <code>f64::MAX_10_EXP</code>…",null,null],[17,"NAN","","Not a Number (NaN). Use <code>f64::NAN</code> instead.",null,null],[17,"INFINITY","","Infinity (∞). Use <code>f64::INFINITY</code> instead.",null,null],[17,"NEG_INFINITY","","Negative infinity (−∞). Use <code>f64::NEG_INFINITY</code> instead.",null,null],[0,"num","core","Numeric traits and functions for the built-in numeric …",null,null],[3,"Wrapping","core::num","Provides intentionally-wrapped arithmetic on <code>T</code>.",null,null],[12,"0","","",0,null],[3,"ParseFloatError","","An error which can be returned when parsing a float.",null,null],[3,"ParseIntError","","An error which can be returned when parsing an integer.",null,null],[3,"NonZeroU128","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU16","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU32","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU64","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU8","","An integer that is known not to equal zero.",null,null],[3,"NonZeroUsize","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI128","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI16","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI32","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI64","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI8","","An integer that is known not to equal zero.",null,null],[3,"NonZeroIsize","","An integer that is known not to equal zero.",null,null],[3,"TryFromIntError","","The error type returned when a checked integral type …",null,null],[4,"IntErrorKind","","Enum to store the various types of errors that can cause …",null,null],[13,"Empty","","Value being parsed is empty.",1,null],[13,"InvalidDigit","","Contains an invalid digit in its context.",1,null],[13,"PosOverflow","","Integer is too large to store in target integer type.",1,null],[13,"NegOverflow","","Integer is too small to store in target integer type.",1,null],[13,"Zero","","Value was Zero",1,null],[4,"FpCategory","","A classification of floating point numbers.",null,null],[13,"Nan","","\\\"Not a Number\\\", often obtained by dividing by zero.",2,null],[13,"Infinite","","Positive or negative infinity.",2,null],[13,"Zero","","Positive or negative zero.",2,null],[13,"Subnormal","","De-normalized floating point representation (less precise …",2,null],[13,"Normal","","A regular floating point number.",2,null],[0,"prelude","core","The libcore prelude",null,null],[0,"v1","core::prelude","The core prelude",null,null],[0,"hint","core","Hints to compiler that affects how code should be emitted …",null,null],[5,"unreachable_unchecked","core::hint","Informs the compiler that this point in the code is not …",null,[[]]],[5,"spin_loop","","Emits a machine instruction to signal the processor that …",null,[[]]],[5,"black_box","","An identity function that <em><strong>hints</strong></em> to the compiler to be …",null,[[]]],[0,"intrinsics","core","Compiler intrinsics.",null,null],[5,"atomic_cxchg","core::intrinsics","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_acq","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_rel","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_acqrel","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_relaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_failacq","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_acq_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchg_acqrel_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_acq","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_rel","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_acqrel","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_relaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_failacq","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_acq_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_cxchgweak_acqrel_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,null],[5,"atomic_load","","Loads the current value of the pointer.",null,null],[5,"atomic_load_acq","","Loads the current value of the pointer.",null,null],[5,"atomic_load_relaxed","","Loads the current value of the pointer.",null,null],[5,"atomic_load_unordered","","",null,null],[5,"atomic_store","","Stores the value at the specified memory location.",null,null],[5,"atomic_store_rel","","Stores the value at the specified memory location.",null,null],[5,"atomic_store_relaxed","","Stores the value at the specified memory location.",null,null],[5,"atomic_store_unordered","","",null,null],[5,"atomic_xchg","","Stores the value at the specified memory location, …",null,null],[5,"atomic_xchg_acq","","Stores the value at the specified memory location, …",null,null],[5,"atomic_xchg_rel","","Stores the value at the specified memory location, …",null,null],[5,"atomic_xchg_acqrel","","Stores the value at the specified memory location, …",null,null],[5,"atomic_xchg_relaxed","","Stores the value at the specified memory location, …",null,null],[5,"atomic_xadd","","Adds to the current value, returning the previous value.",null,null],[5,"atomic_xadd_acq","","Adds to the current value, returning the previous value.",null,null],[5,"atomic_xadd_rel","","Adds to the current value, returning the previous value.",null,null],[5,"atomic_xadd_acqrel","","Adds to the current value, returning the previous value.",null,null],[5,"atomic_xadd_relaxed","","Adds to the current value, returning the previous value.",null,null],[5,"atomic_xsub","","Subtract from the current value, returning the previous …",null,null],[5,"atomic_xsub_acq","","Subtract from the current value, returning the previous …",null,null],[5,"atomic_xsub_rel","","Subtract from the current value, returning the previous …",null,null],[5,"atomic_xsub_acqrel","","Subtract from the current value, returning the previous …",null,null],[5,"atomic_xsub_relaxed","","Subtract from the current value, returning the previous …",null,null],[5,"atomic_and","","Bitwise and with the current value, returning the …",null,null],[5,"atomic_and_acq","","Bitwise and with the current value, returning the …",null,null],[5,"atomic_and_rel","","Bitwise and with the current value, returning the …",null,null],[5,"atomic_and_acqrel","","Bitwise and with the current value, returning the …",null,null],[5,"atomic_and_relaxed","","Bitwise and with the current value, returning the …",null,null],[5,"atomic_nand","","Bitwise nand with the current value, returning the …",null,null],[5,"atomic_nand_acq","","Bitwise nand with the current value, returning the …",null,null],[5,"atomic_nand_rel","","Bitwise nand with the current value, returning the …",null,null],[5,"atomic_nand_acqrel","","Bitwise nand with the current value, returning the …",null,null],[5,"atomic_nand_relaxed","","Bitwise nand with the current value, returning the …",null,null],[5,"atomic_or","","Bitwise or with the current value, returning the previous …",null,null],[5,"atomic_or_acq","","Bitwise or with the current value, returning the previous …",null,null],[5,"atomic_or_rel","","Bitwise or with the current value, returning the previous …",null,null],[5,"atomic_or_acqrel","","Bitwise or with the current value, returning the previous …",null,null],[5,"atomic_or_relaxed","","Bitwise or with the current value, returning the previous …",null,null],[5,"atomic_xor","","Bitwise xor with the current value, returning the …",null,null],[5,"atomic_xor_acq","","Bitwise xor with the current value, returning the …",null,null],[5,"atomic_xor_rel","","Bitwise xor with the current value, returning the …",null,null],[5,"atomic_xor_acqrel","","Bitwise xor with the current value, returning the …",null,null],[5,"atomic_xor_relaxed","","Bitwise xor with the current value, returning the …",null,null],[5,"atomic_max","","Maximum with the current value using a signed comparison.",null,null],[5,"atomic_max_acq","","Maximum with the current value using a signed comparison.",null,null],[5,"atomic_max_rel","","Maximum with the current value using a signed comparison.",null,null],[5,"atomic_max_acqrel","","Maximum with the current value using a signed comparison.",null,null],[5,"atomic_max_relaxed","","Maximum with the current value.",null,null],[5,"atomic_min","","Minimum with the current value using a signed comparison.",null,null],[5,"atomic_min_acq","","Minimum with the current value using a signed comparison.",null,null],[5,"atomic_min_rel","","Minimum with the current value using a signed comparison.",null,null],[5,"atomic_min_acqrel","","Minimum with the current value using a signed comparison.",null,null],[5,"atomic_min_relaxed","","Minimum with the current value using a signed comparison.",null,null],[5,"atomic_umin","","Minimum with the current value using an unsigned …",null,null],[5,"atomic_umin_acq","","Minimum with the current value using an unsigned …",null,null],[5,"atomic_umin_rel","","Minimum with the current value using an unsigned …",null,null],[5,"atomic_umin_acqrel","","Minimum with the current value using an unsigned …",null,null],[5,"atomic_umin_relaxed","","Minimum with the current value using an unsigned …",null,null],[5,"atomic_umax","","Maximum with the current value using an unsigned …",null,null],[5,"atomic_umax_acq","","Maximum with the current value using an unsigned …",null,null],[5,"atomic_umax_rel","","Maximum with the current value using an unsigned …",null,null],[5,"atomic_umax_acqrel","","Maximum with the current value using an unsigned …",null,null],[5,"atomic_umax_relaxed","","Maximum with the current value using an unsigned …",null,null],[5,"prefetch_read_data","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,null],[5,"prefetch_write_data","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,null],[5,"prefetch_read_instruction","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,null],[5,"prefetch_write_instruction","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,null],[5,"atomic_fence","","An atomic fence.",null,null],[5,"atomic_fence_acq","","An atomic fence.",null,null],[5,"atomic_fence_rel","","An atomic fence.",null,null],[5,"atomic_fence_acqrel","","An atomic fence.",null,null],[5,"atomic_singlethreadfence","","A compiler-only memory barrier.",null,null],[5,"atomic_singlethreadfence_acq","","A compiler-only memory barrier.",null,null],[5,"atomic_singlethreadfence_rel","","A compiler-only memory barrier.",null,null],[5,"atomic_singlethreadfence_acqrel","","A compiler-only memory barrier.",null,null],[5,"rustc_peek","","Magic intrinsic that derives its meaning from attributes …",null,null],[5,"abort","","Aborts the execution of the process.",null,null],[5,"unreachable","","Informs the optimizer that this point in the code is not …",null,null],[5,"assume","","Informs the optimizer that a condition is always true. If …",null,null],[5,"likely","","Hints to the compiler that branch condition is likely to …",null,null],[5,"unlikely","","Hints to the compiler that branch condition is likely to …",null,null],[5,"breakpoint","","Executes a breakpoint trap, for inspection by a debugger.",null,null],[5,"size_of","","The size of a type in bytes.",null,null],[5,"min_align_of","","The minimum alignment of a type.",null,null],[5,"pref_align_of","","The preferred alignment of a type.",null,null],[5,"size_of_val","","The size of the referenced value in bytes.",null,null],[5,"min_align_of_val","","The required alignment of the referenced value.",null,null],[5,"type_name","","Gets a static string slice containing the name of a type.",null,null],[5,"type_id","","Gets an identifier which is globally unique to the …",null,null],[5,"assert_inhabited","","A guard for unsafe functions that cannot ever be executed …",null,null],[5,"assert_zero_valid","","A guard for unsafe functions that cannot ever be executed …",null,null],[5,"assert_uninit_valid","","A guard for unsafe functions that cannot ever be executed …",null,null],[5,"caller_location","","Gets a reference to a static <code>Location</code> indicating where it …",null,null],[5,"forget","","Moves a value out of scope without running drop glue.",null,null],[5,"transmute","","Reinterprets the bits of a value of one type as another …",null,null],[5,"needs_drop","","Returns <code>true</code> if the actual type given as <code>T</code> requires drop …",null,null],[5,"offset","","Calculates the offset from a pointer.",null,null],[5,"arith_offset","","Calculates the offset from a pointer, potentially …",null,null],[5,"volatile_copy_nonoverlapping_memory","","Equivalent to the appropriate <code>llvm.memcpy.p0i8.0i8.*</code> …",null,null],[5,"volatile_copy_memory","","Equivalent to the appropriate <code>llvm.memmove.p0i8.0i8.*</code> …",null,null],[5,"volatile_set_memory","","Equivalent to the appropriate <code>llvm.memset.p0i8.*</code> …",null,null],[5,"volatile_load","","Performs a volatile load from the <code>src</code> pointer.",null,null],[5,"volatile_store","","Performs a volatile store to the <code>dst</code> pointer.",null,null],[5,"unaligned_volatile_load","","Performs a volatile load from the <code>src</code> pointer The pointer …",null,null],[5,"unaligned_volatile_store","","Performs a volatile store to the <code>dst</code> pointer. The pointer …",null,null],[5,"sqrtf32","","Returns the square root of an <code>f32</code>",null,null],[5,"sqrtf64","","Returns the square root of an <code>f64</code>",null,null],[5,"powif32","","Raises an <code>f32</code> to an integer power.",null,null],[5,"powif64","","Raises an <code>f64</code> to an integer power.",null,null],[5,"sinf32","","Returns the sine of an <code>f32</code>.",null,null],[5,"sinf64","","Returns the sine of an <code>f64</code>.",null,null],[5,"cosf32","","Returns the cosine of an <code>f32</code>.",null,null],[5,"cosf64","","Returns the cosine of an <code>f64</code>.",null,null],[5,"powf32","","Raises an <code>f32</code> to an <code>f32</code> power.",null,null],[5,"powf64","","Raises an <code>f64</code> to an <code>f64</code> power.",null,null],[5,"expf32","","Returns the exponential of an <code>f32</code>.",null,null],[5,"expf64","","Returns the exponential of an <code>f64</code>.",null,null],[5,"exp2f32","","Returns 2 raised to the power of an <code>f32</code>.",null,null],[5,"exp2f64","","Returns 2 raised to the power of an <code>f64</code>.",null,null],[5,"logf32","","Returns the natural logarithm of an <code>f32</code>.",null,null],[5,"logf64","","Returns the natural logarithm of an <code>f64</code>.",null,null],[5,"log10f32","","Returns the base 10 logarithm of an <code>f32</code>.",null,null],[5,"log10f64","","Returns the base 10 logarithm of an <code>f64</code>.",null,null],[5,"log2f32","","Returns the base 2 logarithm of an <code>f32</code>.",null,null],[5,"log2f64","","Returns the base 2 logarithm of an <code>f64</code>.",null,null],[5,"fmaf32","","Returns <code>a * b + c</code> for <code>f32</code> values.",null,null],[5,"fmaf64","","Returns <code>a * b + c</code> for <code>f64</code> values.",null,null],[5,"fabsf32","","Returns the absolute value of an <code>f32</code>.",null,null],[5,"fabsf64","","Returns the absolute value of an <code>f64</code>.",null,null],[5,"minnumf32","","Returns the minimum of two <code>f32</code> values.",null,null],[5,"minnumf64","","Returns the minimum of two <code>f64</code> values.",null,null],[5,"maxnumf32","","Returns the maximum of two <code>f32</code> values.",null,null],[5,"maxnumf64","","Returns the maximum of two <code>f64</code> values.",null,null],[5,"copysignf32","","Copies the sign from <code>y</code> to <code>x</code> for <code>f32</code> values.",null,null],[5,"copysignf64","","Copies the sign from <code>y</code> to <code>x</code> for <code>f64</code> values.",null,null],[5,"floorf32","","Returns the largest integer less than or equal to an <code>f32</code>.",null,null],[5,"floorf64","","Returns the largest integer less than or equal to an <code>f64</code>.",null,null],[5,"ceilf32","","Returns the smallest integer greater than or equal to an …",null,null],[5,"ceilf64","","Returns the smallest integer greater than or equal to an …",null,null],[5,"truncf32","","Returns the integer part of an <code>f32</code>.",null,null],[5,"truncf64","","Returns the integer part of an <code>f64</code>.",null,null],[5,"rintf32","","Returns the nearest integer to an <code>f32</code>. May raise an …",null,null],[5,"rintf64","","Returns the nearest integer to an <code>f64</code>. May raise an …",null,null],[5,"nearbyintf32","","Returns the nearest integer to an <code>f32</code>.",null,null],[5,"nearbyintf64","","Returns the nearest integer to an <code>f64</code>.",null,null],[5,"roundf32","","Returns the nearest integer to an <code>f32</code>. Rounds half-way …",null,null],[5,"roundf64","","Returns the nearest integer to an <code>f64</code>. Rounds half-way …",null,null],[5,"fadd_fast","","Float addition that allows optimizations based on …",null,null],[5,"fsub_fast","","Float subtraction that allows optimizations based on …",null,null],[5,"fmul_fast","","Float multiplication that allows optimizations based on …",null,null],[5,"fdiv_fast","","Float division that allows optimizations based on …",null,null],[5,"frem_fast","","Float remainder that allows optimizations based on …",null,null],[5,"float_to_int_unchecked","","Convert with LLVM’s fptoui/fptosi, which may return …",null,null],[5,"ctpop","","Returns the number of bits set in an integer type <code>T</code>",null,null],[5,"ctlz","","Returns the number of leading unset bits (zeroes) in an …",null,null],[5,"ctlz_nonzero","","Like <code>ctlz</code>, but extra-unsafe as it returns <code>undef</code> when …",null,null],[5,"cttz","","Returns the number of trailing unset bits (zeroes) in an …",null,null],[5,"cttz_nonzero","","Like <code>cttz</code>, but extra-unsafe as it returns <code>undef</code> when …",null,null],[5,"bswap","","Reverses the bytes in an integer type <code>T</code>.",null,null],[5,"bitreverse","","Reverses the bits in an integer type <code>T</code>.",null,null],[5,"add_with_overflow","","Performs checked integer addition.",null,null],[5,"sub_with_overflow","","Performs checked integer subtraction",null,null],[5,"mul_with_overflow","","Performs checked integer multiplication",null,null],[5,"exact_div","","Performs an exact division, resulting in undefined …",null,null],[5,"unchecked_div","","Performs an unchecked division, resulting in undefined …",null,null],[5,"unchecked_rem","","Returns the remainder of an unchecked division, resulting …",null,null],[5,"unchecked_shl","","Performs an unchecked left shift, resulting in undefined …",null,null],[5,"unchecked_shr","","Performs an unchecked right shift, resulting in undefined …",null,null],[5,"unchecked_add","","Returns the result of an unchecked addition, resulting in …",null,null],[5,"unchecked_sub","","Returns the result of an unchecked subtraction, resulting …",null,null],[5,"unchecked_mul","","Returns the result of an unchecked multiplication, …",null,null],[5,"rotate_left","","Performs rotate left.",null,null],[5,"rotate_right","","Performs rotate right.",null,null],[5,"wrapping_add","","Returns (a + b) mod 2N, where N is the width of T in bits.",null,null],[5,"wrapping_sub","","Returns (a - b) mod 2N, where N is the width of T in bits.",null,null],[5,"wrapping_mul","","Returns (a * b) mod 2N, where N is the width of T in bits.",null,null],[5,"saturating_add","","Computes <code>a + b</code>, saturating at numeric bounds.",null,null],[5,"saturating_sub","","Computes <code>a - b</code>, saturating at numeric bounds.",null,null],[5,"discriminant_value","","Returns the value of the discriminant for the variant in …",null,null],[5,"variant_count","","Returns the number of variants of the type <code>T</code> cast to a …",null,null],[5,"try","","Rust\'s \\\"try catch\\\" construct which invokes the function …",null,null],[5,"nontemporal_store","","Emits a <code>!nontemporal</code> store according to LLVM (see their …",null,null],[5,"ptr_offset_from","","See documentation of <code><*const T>::offset_from</code> for details.",null,null],[5,"ptr_guaranteed_eq","","See documentation of <code><*const T>::guaranteed_eq</code> for …",null,null],[5,"ptr_guaranteed_ne","","See documentation of <code><*const T>::guaranteed_ne</code> for …",null,null],[5,"const_allocate","","Allocate at compile time. Should not be called at runtime.",null,null],[5,"copy_nonoverlapping","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"copy","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"write_bytes","","Sets <code>count * size_of::<T>()</code> bytes of memory starting at …",null,[[["usize",15],["u8",15]]]],[0,"mem","core","Basic functions for dealing with memory.",null,null],[5,"transmute","core::mem","Reinterprets the bits of a value of one type as another …",null,null],[3,"ManuallyDrop","","A wrapper to inhibit compiler from automatically calling <code>T</code>…",null,null],[19,"MaybeUninit","","A wrapper type to construct uninitialized instances of <code>T</code>.",null,null],[5,"forget","","Takes ownership and \\\"forgets\\\" about the value <strong>without …",null,[[]]],[5,"forget_unsized","","Like [<code>forget</code>], but also accepts unsized values.",null,[[["sized",8]]]],[5,"size_of","","Returns the size of a type in bytes.",null,[[],["usize",15]]],[5,"size_of_val","","Returns the size of the pointed-to value in bytes.",null,[[],["usize",15]]],[5,"size_of_val_raw","","Returns the size of the pointed-to value in bytes.",null,[[],["usize",15]]],[5,"min_align_of","","Returns the ABI-required minimum alignment of a type.",null,[[],["usize",15]]],[5,"min_align_of_val","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"align_of","","Returns the ABI-required minimum alignment of a type.",null,[[],["usize",15]]],[5,"align_of_val","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"align_of_val_raw","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"needs_drop","","Returns <code>true</code> if dropping values of type <code>T</code> matters.",null,[[],["bool",15]]],[5,"zeroed","","Returns the value of type <code>T</code> represented by the all-zero …",null,[[]]],[5,"uninitialized","","Bypasses Rust\'s normal memory-initialization checks by …",null,[[]]],[5,"swap","","Swaps the values at two mutable locations, without …",null,[[]]],[5,"take","","Replaces <code>dest</code> with the default value of <code>T</code>, returning the …",null,[[],["default",8]]],[5,"replace","","Moves <code>src</code> into the referenced <code>dest</code>, returning the …",null,[[]]],[5,"drop","","Disposes of a value.",null,[[]]],[5,"transmute_copy","","Interprets <code>src</code> as having type <code>&U</code>, and then reads <code>src</code> …",null,[[]]],[3,"Discriminant","","Opaque type representing the discriminant of an enum.",null,null],[5,"discriminant","","Returns a value uniquely identifying the enum variant in <code>v</code>…",null,[[],["discriminant",3]]],[5,"variant_count","","Returns the number of variants in the enum type <code>T</code>.",null,[[],["usize",15]]],[0,"ptr","core","Manually manage memory through raw pointers.",null,null],[5,"copy_nonoverlapping","core::ptr","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"copy","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"write_bytes","","Sets <code>count * size_of::<T>()</code> bytes of memory starting at …",null,[[["usize",15],["u8",15]]]],[3,"NonNull","","<code>*mut T</code> but non-zero and covariant.",null,null],[5,"drop_in_place","","Executes the destructor (if any) of the pointed-to value.",null,[[]]],[5,"null","","Creates a null raw pointer.",null,[[]]],[5,"null_mut","","Creates a null mutable raw pointer.",null,[[]]],[5,"slice_from_raw_parts","","Forms a raw slice from a pointer and a length.",null,[[["usize",15]]]],[5,"slice_from_raw_parts_mut","","Performs the same functionality as [<code>slice_from_raw_parts</code>]…",null,[[["usize",15]]]],[5,"swap","","Swaps the values at two mutable locations of the same …",null,[[]]],[5,"swap_nonoverlapping","","Swaps <code>count * size_of::<T>()</code> bytes between the two …",null,[[["usize",15]]]],[5,"replace","","Moves <code>src</code> into the pointed <code>dst</code>, returning the previous <code>dst</code>…",null,[[]]],[5,"read","","Reads the value from <code>src</code> without moving it. This leaves …",null,[[]]],[5,"read_unaligned","","Reads the value from <code>src</code> without moving it. This leaves …",null,[[]]],[5,"write","","Overwrites a memory location with the given value without …",null,[[]]],[5,"write_unaligned","","Overwrites a memory location with the given value without …",null,[[]]],[5,"read_volatile","","Performs a volatile read of the value from <code>src</code> without …",null,[[]]],[5,"write_volatile","","Performs a volatile write of a memory location with the …",null,[[]]],[5,"eq","","Compares raw pointers for equality.",null,[[],["bool",15]]],[5,"hash","","Hash a raw pointer.",null,[[]]],[14,"addr_of","","Create a <code>const</code> raw pointer to a place, without creating …",null,null],[14,"addr_of_mut","","Create a <code>mut</code> raw pointer to a place, without creating an …",null,null],[0,"borrow","core","A module for working with borrowed data.",null,null],[8,"Borrow","core::borrow","A trait for borrowing data.",null,null],[10,"borrow","","Immutably borrows from an owned value.",3,[[]]],[8,"BorrowMut","","A trait for mutably borrowing data.",null,null],[10,"borrow_mut","","Mutably borrows from an owned value.",4,[[]]],[0,"clone","core","The <code>Clone</code> trait for types that cannot be \'implicitly …",null,null],[8,"Clone","core::clone","A common trait for the ability to explicitly duplicate an …",null,null],[10,"clone","","Returns a copy of the value.",5,[[]]],[11,"clone_from","","Performs copy-assignment from <code>source</code>.",5,[[]]],[14,"Clone","","Derive macro generating an impl of the trait <code>Clone</code>.",null,null],[0,"cmp","core","Functionality for ordering and comparison.",null,null],[8,"PartialEq","core::cmp","Trait for equality comparisons which are partial …",null,null],[10,"eq","","This method tests for <code>self</code> and <code>other</code> values to be equal, …",6,[[],["bool",15]]],[11,"ne","","This method tests for <code>!=</code>.",6,[[],["bool",15]]],[8,"Eq","","Trait for equality comparisons which are equivalence …",null,null],[4,"Ordering","","An <code>Ordering</code> is the result of a comparison between two …",null,null],[13,"Less","","An ordering where a compared value is less than another.",7,null],[13,"Equal","","An ordering where a compared value is equal to another.",7,null],[13,"Greater","","An ordering where a compared value is greater than …",7,null],[11,"is_eq","","Returns <code>true</code> if the ordering is the <code>Equal</code> variant.",7,[[],["bool",15]]],[11,"is_ne","","Returns <code>true</code> if the ordering is not the <code>Equal</code> variant.",7,[[],["bool",15]]],[11,"is_lt","","Returns <code>true</code> if the ordering is the <code>Less</code> variant.",7,[[],["bool",15]]],[11,"is_gt","","Returns <code>true</code> if the ordering is the <code>Greater</code> variant.",7,[[],["bool",15]]],[11,"is_le","","Returns <code>true</code> if the ordering is either the <code>Less</code> or <code>Equal</code> …",7,[[],["bool",15]]],[11,"is_ge","","Returns <code>true</code> if the ordering is either the <code>Greater</code> or …",7,[[],["bool",15]]],[11,"reverse","","Reverses the <code>Ordering</code>.",7,[[],["ordering",4]]],[11,"then","","Chains two orderings.",7,[[["ordering",4]],["ordering",4]]],[11,"then_with","","Chains the ordering with the given function.",7,[[["fnonce",8]],["ordering",4]]],[3,"Reverse","","A helper struct for reverse ordering.",null,null],[12,"0","","",8,null],[8,"Ord","","Trait for types that form a total order.",null,null],[10,"cmp","","This method returns an [<code>Ordering</code>] between <code>self</code> and <code>other</code>.",9,[[],["ordering",4]]],[11,"max","","Compares and returns the maximum of two values.",9,[[]]],[11,"min","","Compares and returns the minimum of two values.",9,[[]]],[11,"clamp","","Restrict a value to a certain interval.",9,[[]]],[8,"PartialOrd","","Trait for values that can be compared for a sort-order.",null,null],[10,"partial_cmp","","This method returns an ordering between <code>self</code> and <code>other</code> …",10,[[],[["option",4],["ordering",4]]]],[11,"lt","","This method tests less than (for <code>self</code> and <code>other</code>) and is …",10,[[],["bool",15]]],[11,"le","","This method tests less than or equal to (for <code>self</code> and …",10,[[],["bool",15]]],[11,"gt","","This method tests greater than (for <code>self</code> and <code>other</code>) and …",10,[[],["bool",15]]],[11,"ge","","This method tests greater than or equal to (for <code>self</code> and …",10,[[],["bool",15]]],[5,"min","","Compares and returns the minimum of two values.",null,[[["ord",8]],["ord",8]]],[5,"min_by","","Returns the minimum of two values with respect to the …",null,[[["fnonce",8]]]],[5,"min_by_key","","Returns the element that gives the minimum value from the …",null,[[["fnmut",8]]]],[5,"max","","Compares and returns the maximum of two values.",null,[[["ord",8]],["ord",8]]],[5,"max_by","","Returns the maximum of two values with respect to the …",null,[[["fnonce",8]]]],[5,"max_by_key","","Returns the element that gives the maximum value from the …",null,[[["fnmut",8]]]],[14,"PartialEq","","Derive macro generating an impl of the trait <code>PartialEq</code>.",null,null],[14,"Eq","","Derive macro generating an impl of the trait <code>Eq</code>.",null,null],[14,"Ord","","Derive macro generating an impl of the trait <code>Ord</code>.",null,null],[14,"PartialOrd","","Derive macro generating an impl of the trait <code>PartialOrd</code>.",null,null],[0,"convert","core","Traits for conversions between types.",null,null],[8,"FloatToInt","core::convert","Supporting trait for inherent methods of <code>f32</code> and <code>f64</code> such …",null,null],[5,"identity","","The identity function.",null,[[]]],[8,"AsRef","","Used to do a cheap reference-to-reference conversion.",null,null],[10,"as_ref","","Performs the conversion.",11,[[]]],[8,"AsMut","","Used to do a cheap mutable-to-mutable reference …",null,null],[10,"as_mut","","Performs the conversion.",12,[[]]],[8,"Into","","A value-to-value conversion that consumes the input …",null,null],[10,"into","","Performs the conversion.",13,[[]]],[8,"From","","Used to do value-to-value conversions while consuming the …",null,null],[10,"from","","Performs the conversion.",14,[[]]],[8,"TryInto","","An attempted conversion that consumes <code>self</code>, which may or …",null,null],[16,"Error","","The type returned in the event of a conversion error.",15,null],[10,"try_into","","Performs the conversion.",15,[[],["result",4]]],[8,"TryFrom","","Simple and safe type conversions that may fail in a …",null,null],[16,"Error","","The type returned in the event of a conversion error.",16,null],[10,"try_from","","Performs the conversion.",16,[[],["result",4]]],[4,"Infallible","","The error type for errors that can never happen.",null,null],[0,"default","core","The <code>Default</code> trait for types which may have meaningful …",null,null],[8,"Default","core::default","A trait for giving a type a useful default value.",null,null],[10,"default","","Returns the \\\"default value\\\" for a type.",17,[[]]],[5,"default","","Return the default value of a type according to the …",null,[[],["default",8]]],[14,"Default","","Derive macro generating an impl of the trait <code>Default</code>.",null,null],[0,"marker","core","Primitive traits and types representing basic properties …",null,null],[8,"Send","core::marker","Types that can be transferred across thread boundaries.",null,null],[8,"Sized","","Types with a constant size known at compile time.",null,null],[8,"Unsize","","Types that can be \\\"unsized\\\" to a dynamically-sized type.",null,null],[8,"StructuralPartialEq","","Required trait for constants used in pattern matches.",null,null],[8,"StructuralEq","","Required trait for constants used in pattern matches.",null,null],[8,"Copy","","Types whose values can be duplicated simply by copying …",null,null],[8,"Sync","","Types for which it is safe to share references between …",null,null],[3,"PhantomData","","Zero-sized type used to mark things that \\\"act like\\\" they …",null,null],[8,"DiscriminantKind","","Compiler-internal trait used to indicate the type of enum …",null,null],[16,"Discriminant","","The type of the discriminant, which must satisfy the trait…",18,null],[8,"Unpin","","Types that can be safely moved after being pinned.",null,null],[3,"PhantomPinned","","A marker type which does not implement <code>Unpin</code>.",null,null],[14,"Copy","","Derive macro generating an impl of the trait <code>Copy</code>.",null,null],[0,"ops","core","Overloadable operators.",null,null],[8,"Add","core::ops","The addition operator <code>+</code>.",null,null],[16,"Output","","The resulting type after applying the <code>+</code> operator.",19,null],[10,"add","","Performs the <code>+</code> operation.",19,[[]]],[8,"Div","","The division operator <code>/</code>.",null,null],[16,"Output","","The resulting type after applying the <code>/</code> operator.",20,null],[10,"div","","Performs the <code>/</code> operation.",20,[[]]],[8,"Mul","","The multiplication operator <code>*</code>.",null,null],[16,"Output","","The resulting type after applying the <code>*</code> operator.",21,null],[10,"mul","","Performs the <code>*</code> operation.",21,[[]]],[8,"Neg","","The unary negation operator <code>-</code>.",null,null],[16,"Output","","The resulting type after applying the <code>-</code> operator.",22,null],[10,"neg","","Performs the unary <code>-</code> operation.",22,[[]]],[8,"Rem","","The remainder operator <code>%</code>.",null,null],[16,"Output","","The resulting type after applying the <code>%</code> operator.",23,null],[10,"rem","","Performs the <code>%</code> operation.",23,[[]]],[8,"Sub","","The subtraction operator <code>-</code>.",null,null],[16,"Output","","The resulting type after applying the <code>-</code> operator.",24,null],[10,"sub","","Performs the <code>-</code> operation.",24,[[]]],[8,"AddAssign","","The addition assignment operator <code>+=</code>.",null,null],[10,"add_assign","","Performs the <code>+=</code> operation.",25,[[]]],[8,"DivAssign","","The division assignment operator <code>/=</code>.",null,null],[10,"div_assign","","Performs the <code>/=</code> operation.",26,[[]]],[8,"MulAssign","","The multiplication assignment operator <code>*=</code>.",null,null],[10,"mul_assign","","Performs the <code>*=</code> operation.",27,[[]]],[8,"RemAssign","","The remainder assignment operator <code>%=</code>.",null,null],[10,"rem_assign","","Performs the <code>%=</code> operation.",28,[[]]],[8,"SubAssign","","The subtraction assignment operator <code>-=</code>.",null,null],[10,"sub_assign","","Performs the <code>-=</code> operation.",29,[[]]],[8,"BitAnd","","The bitwise AND operator <code>&</code>.",null,null],[16,"Output","","The resulting type after applying the <code>&</code> operator.",30,null],[10,"bitand","","Performs the <code>&</code> operation.",30,[[]]],[8,"BitOr","","The bitwise OR operator <code>|</code>.",null,null],[16,"Output","","The resulting type after applying the <code>|</code> operator.",31,null],[10,"bitor","","Performs the <code>|</code> operation.",31,[[]]],[8,"BitXor","","The bitwise XOR operator <code>^</code>.",null,null],[16,"Output","","The resulting type after applying the <code>^</code> operator.",32,null],[10,"bitxor","","Performs the <code>^</code> operation.",32,[[]]],[8,"Not","","The unary logical negation operator <code>!</code>.",null,null],[16,"Output","","The resulting type after applying the <code>!</code> operator.",33,null],[10,"not","","Performs the unary <code>!</code> operation.",33,[[]]],[8,"Shl","","The left shift operator <code><<</code>. Note that because this trait …",null,null],[16,"Output","","The resulting type after applying the <code><<</code> operator.",34,null],[10,"shl","","Performs the <code><<</code> operation.",34,[[]]],[8,"Shr","","The right shift operator <code>>></code>. Note that because this trait …",null,null],[16,"Output","","The resulting type after applying the <code>>></code> operator.",35,null],[10,"shr","","Performs the <code>>></code> operation.",35,[[]]],[8,"BitAndAssign","","The bitwise AND assignment operator <code>&=</code>.",null,null],[10,"bitand_assign","","Performs the <code>&=</code> operation.",36,[[]]],[8,"BitOrAssign","","The bitwise OR assignment operator <code>|=</code>.",null,null],[10,"bitor_assign","","Performs the <code>|=</code> operation.",37,[[]]],[8,"BitXorAssign","","The bitwise XOR assignment operator <code>^=</code>.",null,null],[10,"bitxor_assign","","Performs the <code>^=</code> operation.",38,[[]]],[8,"ShlAssign","","The left shift assignment operator <code><<=</code>.",null,null],[10,"shl_assign","","Performs the <code><<=</code> operation.",39,[[]]],[8,"ShrAssign","","The right shift assignment operator <code>>>=</code>.",null,null],[10,"shr_assign","","Performs the <code>>>=</code> operation.",40,[[]]],[8,"Deref","","Used for immutable dereferencing operations, like <code>*v</code>.",null,null],[16,"Target","","The resulting type after dereferencing.",41,null],[10,"deref","","Dereferences the value.",41,[[]]],[8,"DerefMut","","Used for mutable dereferencing operations, like in <code>*v = 1;</code>…",null,null],[10,"deref_mut","","Mutably dereferences the value.",42,[[]]],[8,"Drop","","Custom code within the destructor.",null,null],[10,"drop","","Executes the destructor for this type.",43,[[]]],[8,"Fn","","The version of the call operator that takes an immutable …",null,null],[10,"call","","Performs the call operation.",44,[[]]],[8,"FnMut","","The version of the call operator that takes a mutable …",null,null],[10,"call_mut","","Performs the call operation.",45,[[]]],[8,"FnOnce","","The version of the call operator that takes a by-value …",null,null],[16,"Output","","The returned type after the call operator is used.",46,null],[10,"call_once","","Performs the call operation.",46,[[]]],[8,"Index","","Used for indexing operations (<code>container[index]</code>) in …",null,null],[16,"Output","","The returned type after indexing.",47,null],[10,"index","","Performs the indexing (<code>container[index]</code>) operation.",47,[[]]],[8,"IndexMut","","Used for indexing operations (<code>container[index]</code>) in …",null,null],[10,"index_mut","","Performs the mutable indexing (<code>container[index]</code>) …",48,[[]]],[3,"Range","","A (half-open) range bounded inclusively below and …",null,null],[12,"start","","The lower bound of the range (inclusive).",49,null],[12,"end","","The upper bound of the range (exclusive).",49,null],[3,"RangeFrom","","A range only bounded inclusively below (<code>start..</code>).",null,null],[12,"start","","The lower bound of the range (inclusive).",50,null],[3,"RangeFull","","An unbounded range (<code>..</code>).",null,null],[3,"RangeTo","","A range only bounded exclusively above (<code>..end</code>).",null,null],[12,"end","","The upper bound of the range (exclusive).",51,null],[4,"Bound","","An endpoint of a range of keys.",null,null],[13,"Included","","An inclusive bound.",52,null],[13,"Excluded","","An exclusive bound.",52,null],[13,"Unbounded","","An infinite endpoint. Indicates that there is no bound in …",52,null],[8,"RangeBounds","","<code>RangeBounds</code> is implemented by Rust\'s built-in range …",null,null],[10,"start_bound","","Start index bound.",53,[[],["bound",4]]],[10,"end_bound","","End index bound.",53,[[],["bound",4]]],[11,"assert_len","","Performs bounds-checking of this range.",53,[[["usize",15]],[["usize",15],["range",3]]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",53,[[],["bool",15]]],[3,"RangeInclusive","","A range bounded inclusively below and above (<code>start..=end</code>).",null,null],[3,"RangeToInclusive","","A range only bounded inclusively above (<code>..=end</code>).",null,null],[12,"end","","The upper bound of the range (inclusive)",54,null],[8,"Try","","A trait for customizing the behavior of the <code>?</code> operator.",null,null],[16,"Ok","","The type of this value when viewed as successful.",55,null],[16,"Error","","The type of this value when viewed as failed.",55,null],[10,"into_result","","Applies the \\\"?\\\" operator. A return of <code>Ok(t)</code> means that the…",55,[[],["result",4]]],[10,"from_error","","Wrap an error value to construct the composite result. …",55,[[]]],[10,"from_ok","","Wrap an OK value to construct the composite result. For …",55,[[]]],[8,"Generator","","The trait implemented by builtin generator types.",null,null],[16,"Yield","","The type of value this generator yields.",56,null],[16,"Return","","The type of value this generator returns.",56,null],[10,"resume","","Resumes the execution of this generator.",56,[[["pin",3]],["generatorstate",4]]],[4,"GeneratorState","","The result of a generator resumption.",null,null],[13,"Yielded","","The generator suspended with a value.",57,null],[13,"Complete","","The generator completed with a return value.",57,null],[8,"CoerceUnsized","","Trait that indicates that this is a pointer or a wrapper …",null,null],[8,"DispatchFromDyn","","This is used for object safety, to check that a method\'s …",null,null],[4,"ControlFlow","","Used to make try_fold closures more like normal loops",null,null],[13,"Continue","","Continue in the loop, using the given value for the next …",58,null],[13,"Break","","Exit the loop, yielding the given value",58,null],[0,"any","core","This module implements the <code>Any</code> trait, which enables …",null,null],[8,"Any","core::any","A trait to emulate dynamic typing.",null,null],[10,"type_id","","Gets the <code>TypeId</code> of <code>self</code>.",59,[[],["typeid",3]]],[11,"is","","Returns <code>true</code> if the boxed type is the same as <code>T</code>.",59,[[],["bool",15]]],[11,"downcast_ref","","Returns some reference to the boxed value if it is of …",59,[[],["option",4]]],[11,"downcast_mut","","Returns some mutable reference to the boxed value if it …",59,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>Any</code>.",59,[[],["option",4]]],[3,"TypeId","","A <code>TypeId</code> represents a globally unique identifier for a …",null,null],[11,"of","","Returns the <code>TypeId</code> of the type this generic function has …",60,[[],["typeid",3]]],[5,"type_name","","Returns the name of a type as a string slice.",null,[[],["str",15]]],[5,"type_name_of_val","","Returns the name of the type of the pointed-to value as a …",null,[[],["str",15]]],[0,"array","core","Implementations of things like <code>Eq</code> for fixed-length arrays …",null,null],[3,"IntoIter","core::array","A by-value array iterator.",null,null],[5,"from_ref","","Converts a reference to <code>T</code> into a reference to an array of …",null,[[]]],[5,"from_mut","","Converts a mutable reference to <code>T</code> into a mutable …",null,[[]]],[8,"FixedSizeArray","","Utility trait implemented only on arrays of fixed size",null,null],[10,"as_slice","","Converts the array to immutable slice",61,[[]]],[10,"as_mut_slice","","Converts the array to mutable slice",61,[[]]],[3,"TryFromSliceError","","The error type returned when a conversion from a slice to …",null,null],[0,"ascii","core","Operations on ASCII strings and characters.",null,null],[3,"EscapeDefault","core::ascii","An iterator over the escaped version of a byte.",null,null],[5,"escape_default","","Returns an iterator that produces an escaped version of a …",null,[[["u8",15]],["escapedefault",3]]],[0,"cell","core","Shareable mutable containers.",null,null],[3,"Cell","core::cell","A mutable memory location.",null,null],[11,"new","","Creates a new <code>Cell</code> containing the given value.",62,[[],["cell",3]]],[11,"set","","Sets the contained value.",62,[[]]],[11,"swap","","Swaps the values of two Cells. Difference with …",62,[[]]],[11,"replace","","Replaces the contained value, and returns it.",62,[[]]],[11,"into_inner","","Unwraps the value.",62,[[]]],[11,"get","","Returns a copy of the contained value.",62,[[]]],[11,"update","","Updates the contained value using a function and returns …",62,[[]]],[11,"as_ptr","","Returns a raw pointer to the underlying data in this cell.",62,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",62,[[]]],[11,"from_mut","","Returns a <code>&Cell<T></code> from a <code>&mut T</code>",62,[[],["cell",3]]],[11,"take","","Takes the value of the cell, leaving <code>Default::default()</code> …",62,[[]]],[11,"as_slice_of_cells","","Returns a <code>&[Cell<T>]</code> from a <code>&Cell<[T]></code>",62,[[]]],[3,"RefCell","","A mutable memory location with dynamically checked borrow …",null,null],[3,"BorrowError","","An error returned by [<code>RefCell::try_borrow</code>].",null,null],[3,"BorrowMutError","","An error returned by [<code>RefCell::try_borrow_mut</code>].",null,null],[11,"new","","Creates a new <code>RefCell</code> containing <code>value</code>.",63,[[],["refcell",3]]],[11,"into_inner","","Consumes the <code>RefCell</code>, returning the wrapped value.",63,[[]]],[11,"replace","","Replaces the wrapped value with a new one, returning the …",63,[[]]],[11,"replace_with","","Replaces the wrapped value with a new one computed from <code>f</code>…",63,[[["fnonce",8]]]],[11,"swap","","Swaps the wrapped value of <code>self</code> with the wrapped value of …",63,[[]]],[11,"borrow","","Immutably borrows the wrapped value.",63,[[],["ref",3]]],[11,"try_borrow","","Immutably borrows the wrapped value, returning an error …",63,[[],[["result",4],["borrowerror",3],["ref",3]]]],[11,"borrow_mut","","Mutably borrows the wrapped value.",63,[[],["refmut",3]]],[11,"try_borrow_mut","","Mutably borrows the wrapped value, returning an error if …",63,[[],[["result",4],["borrowmuterror",3],["refmut",3]]]],[11,"as_ptr","","Returns a raw pointer to the underlying data in this cell.",63,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",63,[[]]],[11,"undo_leak","","Undo the effect of leaked guards on the borrow state of …",63,[[]]],[11,"try_borrow_unguarded","","Immutably borrows the wrapped value, returning an error …",63,[[],[["result",4],["borrowerror",3]]]],[11,"take","","Takes the wrapped value, leaving <code>Default::default()</code> in …",63,[[]]],[3,"Ref","","Wraps a borrowed reference to a value in a <code>RefCell</code> box. A …",null,null],[11,"clone","","Copies a <code>Ref</code>.",64,[[["ref",3]],["ref",3]]],[11,"map","","Makes a new <code>Ref</code> for a component of the borrowed data.",64,[[["ref",3]],[["sized",8],["ref",3]]]],[11,"filter_map","","Makes a new <code>Ref</code> for an optional component of the borrowed …",64,[[["ref",3]],[["ref",3],["result",4]]]],[11,"map_split","","Splits a <code>Ref</code> into multiple <code>Ref</code>s for different components …",64,[[["ref",3]]]],[11,"leak","","Convert into a reference to the underlying data.",64,[[["ref",3]]]],[3,"RefMut","","A wrapper type for a mutably borrowed value from a …",null,null],[3,"UnsafeCell","","The core primitive for interior mutability in Rust.",null,null],[11,"new","","Constructs a new instance of <code>UnsafeCell</code> which will wrap …",65,[[],["unsafecell",3]]],[11,"into_inner","","Unwraps the value.",65,[[]]],[11,"get","","Gets a mutable pointer to the wrapped value.",65,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",65,[[]]],[11,"raw_get","","Gets a mutable pointer to the wrapped value. The …",65,[[]]],[0,"char","core","A character type.",null,null],[5,"from_u32_unchecked","core::char","Converts a <code>u32</code> to a <code>char</code>, ignoring validity.",null,[[["u32",15]],["char",15]]],[3,"CharTryFromError","","The error type returned when a conversion from u32 to …",null,null],[3,"ParseCharError","","An error which can be returned when parsing a char.",null,null],[5,"from_digit","","Converts a digit in the given radix to a <code>char</code>.",null,[[["u32",15]],[["option",4],["char",15]]]],[5,"from_u32","","Converts a <code>u32</code> to a <code>char</code>.",null,[[["u32",15]],[["option",4],["char",15]]]],[5,"decode_utf16","","Creates an iterator over the UTF-16 encoded code points …",null,[[["intoiterator",8]],["decodeutf16",3]]],[3,"DecodeUtf16","","An iterator that decodes UTF-16 encoded code points from …",null,null],[3,"DecodeUtf16Error","","An error that can be returned when decoding UTF-16 code …",null,null],[17,"MAX","","The highest valid code point a <code>char</code> can have.",null,null],[17,"REPLACEMENT_CHARACTER","","<code>U+FFFD REPLACEMENT CHARACTER</code> (�) is used in Unicode to …",null,null],[3,"EscapeUnicode","","Returns an iterator that yields the hexadecimal Unicode …",null,null],[3,"EscapeDefault","","An iterator that yields the literal escape code of a <code>char</code>.",null,null],[3,"EscapeDebug","","An iterator that yields the literal escape code of a <code>char</code>.",null,null],[3,"ToLowercase","","Returns an iterator that yields the lowercase equivalent …",null,null],[3,"ToUppercase","","Returns an iterator that yields the uppercase equivalent …",null,null],[0,"ffi","core","Utilities related to foreign function interface (FFI) …",null,null],[4,"c_void","core::ffi","Equivalent to C\'s <code>void</code> type when used as a pointer.",null,null],[3,"VaListImpl","","x86_64 ABI implementation of a <code>va_list</code>.",null,null],[3,"VaList","","A wrapper for a <code>va_list</code>",null,null],[11,"as_va_list","","Convert a <code>VaListImpl</code> into a <code>VaList</code> that is …",66,[[],["valist",3]]],[11,"arg","","Advance to the next arg.",66,[[],["vaargsafe",8]]],[11,"with_copy","","Copies the <code>va_list</code> at the current location.",66,[[]]],[0,"iter","core","Composable external iteration.",null,null],[8,"Iterator","core::iter","An interface for dealing with iterators.",null,null],[16,"Item","","The type of the elements being iterated over.",67,null],[10,"next","","Advances the iterator and returns the next value.",67,[[],["option",4]]],[11,"size_hint","","Returns the bounds on the remaining length of the …",67,[[]]],[11,"count","","Consumes the iterator, counting the number of iterations …",67,[[],["usize",15]]],[11,"last","","Consumes the iterator, returning the last element.",67,[[],["option",4]]],[11,"advance_by","","Advances the iterator by <code>n</code> elements.",67,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth","","Returns the <code>n</code>th element of the iterator.",67,[[["usize",15]],["option",4]]],[11,"step_by","","Creates an iterator starting at the same point, but …",67,[[["usize",15]],["stepby",3]]],[11,"chain","","Takes two iterators and creates a new iterator over both …",67,[[],["chain",3]]],[11,"zip","","\'Zips up\' two iterators into a single iterator of pairs.",67,[[],["zip",3]]],[11,"intersperse","","Creates a new iterator which places a copy of <code>separator</code> …",67,[[],["intersperse",3]]],[11,"intersperse_with","","Creates a new iterator which places an item generated by …",67,[[],["interspersewith",3]]],[11,"map","","Takes a closure and creates an iterator which calls that …",67,[[],["map",3]]],[11,"for_each","","Calls a closure on each element of an iterator.",67,[[]]],[11,"filter","","Creates an iterator which uses a closure to determine if …",67,[[],["filter",3]]],[11,"filter_map","","Creates an iterator that both filters and maps.",67,[[],["filtermap",3]]],[11,"enumerate","","Creates an iterator which gives the current iteration …",67,[[],["enumerate",3]]],[11,"peekable","","Creates an iterator which can use <code>peek</code> to look at the …",67,[[],["peekable",3]]],[11,"skip_while","","Creates an iterator that <code>skip</code>s elements based on a …",67,[[],["skipwhile",3]]],[11,"take_while","","Creates an iterator that yields elements based on a …",67,[[],["takewhile",3]]],[11,"map_while","","Creates an iterator that both yields elements based on a …",67,[[],["mapwhile",3]]],[11,"skip","","Creates an iterator that skips the first <code>n</code> elements.",67,[[["usize",15]],["skip",3]]],[11,"take","","Creates an iterator that yields its first <code>n</code> elements.",67,[[["usize",15]],["take",3]]],[11,"scan","","An iterator adaptor similar to <code>fold</code> that holds internal …",67,[[],["scan",3]]],[11,"flat_map","","Creates an iterator that works like map, but flattens …",67,[[],["flatmap",3]]],[11,"flatten","","Creates an iterator that flattens nested structure.",67,[[],["flatten",3]]],[11,"fuse","","Creates an iterator which ends after the first [<code>None</code>].",67,[[],["fuse",3]]],[11,"inspect","","Does something with each element of an iterator, passing …",67,[[],["inspect",3]]],[11,"by_ref","","Borrows an iterator, rather than consuming it.",67,[[]]],[11,"collect","","Transforms an iterator into a collection.",67,[[],["fromiterator",8]]],[11,"partition","","Consumes an iterator, creating two collections from it.",67,[[]]],[11,"partition_in_place","","Reorders the elements of this iterator <em>in-place</em> according …",67,[[],["usize",15]]],[11,"is_partitioned","","Checks if the elements of this iterator are partitioned …",67,[[],["bool",15]]],[11,"try_fold","","An iterator method that applies a function as long as it …",67,[[]]],[11,"try_for_each","","An iterator method that applies a fallible function to …",67,[[]]],[11,"fold","","Folds every element into an accumulator by applying an …",67,[[]]],[11,"reduce","","Reduces the elements to a single one, by repeatedly …",67,[[],["option",4]]],[11,"all","","Tests if every element of the iterator matches a …",67,[[],["bool",15]]],[11,"any","","Tests if any element of the iterator matches a predicate.",67,[[],["bool",15]]],[11,"find","","Searches for an element of an iterator that satisfies a …",67,[[],["option",4]]],[11,"find_map","","Applies function to the elements of iterator and returns …",67,[[],["option",4]]],[11,"try_find","","Applies function to the elements of iterator and returns …",67,[[],[["result",4],["option",4]]]],[11,"position","","Searches for an element in an iterator, returning its …",67,[[],[["usize",15],["option",4]]]],[11,"rposition","","Searches for an element in an iterator from the right, …",67,[[],[["usize",15],["option",4]]]],[11,"max","","Returns the maximum element of an iterator.",67,[[],["option",4]]],[11,"min","","Returns the minimum element of an iterator.",67,[[],["option",4]]],[11,"max_by_key","","Returns the element that gives the maximum value from the …",67,[[],["option",4]]],[11,"max_by","","Returns the element that gives the maximum value with …",67,[[],["option",4]]],[11,"min_by_key","","Returns the element that gives the minimum value from the …",67,[[],["option",4]]],[11,"min_by","","Returns the element that gives the minimum value with …",67,[[],["option",4]]],[11,"rev","","Reverses an iterator\'s direction.",67,[[],["rev",3]]],[11,"unzip","","Converts an iterator of pairs into a pair of containers.",67,[[]]],[11,"copied","","Creates an iterator which copies all of its elements.",67,[[],["copied",3]]],[11,"cloned","","Creates an iterator which <code>clone</code>s all of its elements.",67,[[],["cloned",3]]],[11,"cycle","","Repeats an iterator endlessly.",67,[[],["cycle",3]]],[11,"sum","","Sums the elements of an iterator.",67,[[]]],[11,"product","","Iterates over the entire iterator, multiplying all the …",67,[[]]],[11,"cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],["ordering",4]]],[11,"cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],["ordering",4]]],[11,"partial_cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],[["option",4],["ordering",4]]]],[11,"partial_cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],[["option",4],["ordering",4]]]],[11,"eq","","Determines if the elements of this [<code>Iterator</code>] are equal …",67,[[],["bool",15]]],[11,"eq_by","","Determines if the elements of this [<code>Iterator</code>] are equal …",67,[[],["bool",15]]],[11,"ne","","Determines if the elements of this [<code>Iterator</code>] are unequal …",67,[[],["bool",15]]],[11,"lt","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"le","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"gt","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"ge","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"is_sorted","","Checks if the elements of this iterator are sorted.",67,[[],["bool",15]]],[11,"is_sorted_by","","Checks if the elements of this iterator are sorted using …",67,[[],["bool",15]]],[11,"is_sorted_by_key","","Checks if the elements of this iterator are sorted using …",67,[[],["bool",15]]],[8,"Step","","Objects that have a notion of <em>successor</em> and <em>predecessor</em> …",null,null],[10,"steps_between","","Returns the number of <em>successor</em> steps required to get …",68,[[],[["usize",15],["option",4]]]],[10,"forward_checked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]],["option",4]]],[11,"forward","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"forward_unchecked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[10,"backward_checked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]],["option",4]]],[11,"backward","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"backward_unchecked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[5,"empty","","Creates an iterator that yields nothing.",null,[[],["empty",3]]],[3,"Empty","","An iterator that yields nothing.",null,null],[5,"from_fn","","Creates a new iterator where each iteration calls the …",null,[[],["fromfn",3]]],[3,"FromFn","","An iterator where each iteration calls the provided …",null,null],[5,"once","","Creates an iterator that yields an element exactly once.",null,[[],["once",3]]],[3,"Once","","An iterator that yields an element exactly once.",null,null],[5,"once_with","","Creates an iterator that lazily generates a value exactly …",null,[[["fnonce",8]],[["fnonce",8],["oncewith",3]]]],[3,"OnceWith","","An iterator that yields a single element of type <code>A</code> by …",null,null],[5,"repeat","","Creates a new iterator that endlessly repeats a single …",null,[[["clone",8]],[["repeat",3],["clone",8]]]],[3,"Repeat","","An iterator that repeats an element endlessly.",null,null],[5,"repeat_with","","Creates a new iterator that repeats elements of type <code>A</code> …",null,[[["fnmut",8]],[["repeatwith",3],["fnmut",8]]]],[3,"RepeatWith","","An iterator that repeats elements of type <code>A</code> endlessly by …",null,null],[5,"successors","","Creates a new iterator where each successive item is …",null,[[["option",4]],["successors",3]]],[3,"Successors","","An new iterator where each successive item is computed …",null,null],[8,"FusedIterator","","An iterator that always continues to yield <code>None</code> when …",null,null],[8,"InPlaceIterable","","An iterator that when yielding an item will have taken at …",null,null],[8,"TrustedLen","","An iterator that reports an accurate length using …",null,null],[8,"DoubleEndedIterator","","An iterator able to yield elements from both ends.",null,null],[10,"next_back","","Removes and returns an element from the end of the …",69,[[],["option",4]]],[11,"advance_back_by","","Advances the iterator from the back by <code>n</code> elements.",69,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth_back","","Returns the <code>n</code>th element from the end of the iterator.",69,[[["usize",15]],["option",4]]],[11,"try_rfold","","This is the reverse version of [<code>Iterator::try_fold()</code>]: it …",69,[[]]],[11,"rfold","","An iterator method that reduces the iterator\'s elements …",69,[[]]],[11,"rfind","","Searches for an element of an iterator from the back that …",69,[[],["option",4]]],[8,"ExactSizeIterator","","An iterator that knows its exact length.",null,null],[11,"len","","Returns the exact length of the iterator.",70,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the iterator is empty.",70,[[],["bool",15]]],[8,"Extend","","Extend a collection with the contents of an iterator.",null,null],[10,"extend","","Extends a collection with the contents of an iterator.",71,[[["intoiterator",8]]]],[11,"extend_one","","Extends a collection with exactly one element.",71,[[]]],[11,"extend_reserve","","Reserves capacity in a collection for the given number of …",71,[[["usize",15]]]],[8,"FromIterator","","Conversion from an [<code>Iterator</code>].",null,null],[10,"from_iter","","Creates a value from an iterator.",72,[[["intoiterator",8]]]],[8,"IntoIterator","","Conversion into an [<code>Iterator</code>].",null,null],[16,"Item","","The type of the elements being iterated over.",73,null],[16,"IntoIter","","Which kind of iterator are we turning this into?",73,null],[10,"into_iter","","Creates an iterator from a value.",73,[[]]],[8,"Product","","Trait to represent types that can be created by …",null,null],[10,"product","","Method which takes an iterator and generates <code>Self</code> from …",74,[[["iterator",8]]]],[8,"Sum","","Trait to represent types that can be created by summing …",null,null],[10,"sum","","Method which takes an iterator and generates <code>Self</code> from …",75,[[["iterator",8]]]],[3,"Cloned","","An iterator that clones the elements of an underlying …",null,null],[3,"Copied","","An iterator that copies the elements of an underlying …",null,null],[3,"Flatten","","An iterator that flattens one level of nesting in an …",null,null],[3,"MapWhile","","An iterator that only accepts elements while <code>predicate</code> …",null,null],[8,"SourceIter","","This trait provides transitive access to source-stage in …",null,null],[16,"Source","","A source stage in an iterator pipeline.",76,null],[10,"as_inner","","Retrieve the source of an iterator pipeline.",76,[[]]],[3,"StepBy","","An iterator for stepping iterators by a custom amount.",null,null],[3,"Chain","","An iterator that links two iterators together, in a chain.",null,null],[3,"Cycle","","An iterator that repeats endlessly.",null,null],[3,"Enumerate","","An iterator that yields the current count and the element …",null,null],[3,"Filter","","An iterator that filters the elements of <code>iter</code> with …",null,null],[3,"FilterMap","","An iterator that uses <code>f</code> to both filter and map elements …",null,null],[3,"FlatMap","","An iterator that maps each element to an iterator, and …",null,null],[3,"Fuse","","An iterator that yields <code>None</code> forever after the underlying …",null,null],[3,"Inspect","","An iterator that calls a function with a reference to …",null,null],[3,"Map","","An iterator that maps the values of <code>iter</code> with <code>f</code>.",null,null],[3,"Peekable","","An iterator with a <code>peek()</code> that returns an optional …",null,null],[3,"Rev","","A double-ended iterator with the direction inverted.",null,null],[3,"Scan","","An iterator to maintain state while iterating another …",null,null],[3,"Skip","","An iterator that skips over <code>n</code> elements of <code>iter</code>.",null,null],[3,"SkipWhile","","An iterator that rejects elements while <code>predicate</code> returns …",null,null],[3,"Take","","An iterator that only iterates over the first <code>n</code> …",null,null],[3,"TakeWhile","","An iterator that only accepts elements while <code>predicate</code> …",null,null],[3,"Zip","","An iterator that iterates two other iterators …",null,null],[3,"Intersperse","","An iterator adapter that places a separator between all …",null,null],[3,"IntersperseWith","","An iterator adapter that places a separator between all …",null,null],[0,"lazy","core","Lazy values and one-time initialization of static data.",null,null],[3,"OnceCell","core::lazy","A cell which can be written to only once.",null,null],[11,"new","","Creates a new empty cell.",77,[[],["oncecell",3]]],[11,"get","","Gets the reference to the underlying value.",77,[[],["option",4]]],[11,"get_mut","","Gets the mutable reference to the underlying value.",77,[[],["option",4]]],[11,"set","","Sets the contents of the cell to <code>value</code>.",77,[[],["result",4]]],[11,"get_or_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",77,[[]]],[11,"get_or_try_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",77,[[],["result",4]]],[11,"into_inner","","Consumes the cell, returning the wrapped value.",77,[[],["option",4]]],[11,"take","","Takes the value out of this <code>OnceCell</code>, moving it back to …",77,[[],["option",4]]],[3,"Lazy","","A value which is initialized on the first access.",null,null],[11,"new","","Creates a new lazy value with the given initializing …",78,[[],["lazy",3]]],[11,"force","","Forces the evaluation of this lazy value and returns a …",78,[[["lazy",3]]]],[0,"option","core","Optional values.",null,null],[4,"Option","core::option","The <code>Option</code> type. See the module level documentation for …",null,null],[13,"None","","No value",79,null],[13,"Some","","Some value <code>T</code>",79,null],[11,"is_some","","Returns <code>true</code> if the option is a [<code>Some</code>] value.",79,[[],["bool",15]]],[11,"is_none","","Returns <code>true</code> if the option is a [<code>None</code>] value.",79,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if the option is a [<code>Some</code>] value containing …",79,[[],["bool",15]]],[11,"as_ref","","Converts from <code>&Option<T></code> to <code>Option<&T></code>.",79,[[],["option",4]]],[11,"as_mut","","Converts from <code>&mut Option<T></code> to <code>Option<&mut T></code>.",79,[[],["option",4]]],[11,"as_pin_ref","","Converts from [<code>Pin</code>]<code><&Option<T>></code> to <code>Option<</code>[<code>Pin</code>]<code><&T>></code>.",79,[[["pin",3]],[["option",4],["pin",3]]]],[11,"as_pin_mut","","Converts from [<code>Pin</code>]<code><&mut Option<T>></code> to <code>Option<</code>[<code>Pin</code>]…",79,[[["pin",3]],[["pin",3],["option",4]]]],[11,"expect","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",79,[[["str",15]]]],[11,"unwrap","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",79,[[]]],[11,"unwrap_or","","Returns the contained [<code>Some</code>] value or a provided default.",79,[[]]],[11,"unwrap_or_else","","Returns the contained [<code>Some</code>] value or computes it from a …",79,[[["fnonce",8]]]],[11,"unwrap_unchecked","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",79,[[]]],[11,"map","","Maps an <code>Option<T></code> to <code>Option<U></code> by applying a function to …",79,[[["fnonce",8]],["option",4]]],[11,"map_or","","Applies a function to the contained value (if any), or …",79,[[["fnonce",8]]]],[11,"map_or_else","","Applies a function to the contained value (if any), or …",79,[[["fnonce",8],["fnonce",8]]]],[11,"ok_or","","Transforms the <code>Option<T></code> into a [<code>Result<T, E></code>], mapping …",79,[[],["result",4]]],[11,"ok_or_else","","Transforms the <code>Option<T></code> into a [<code>Result<T, E></code>], mapping …",79,[[["fnonce",8]],["result",4]]],[11,"insert","","Inserts <code>value</code> into the option then returns a mutable …",79,[[]]],[11,"iter","","Returns an iterator over the possibly contained value.",79,[[],["iter",3]]],[11,"iter_mut","","Returns a mutable iterator over the possibly contained …",79,[[],["itermut",3]]],[11,"and","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise returns …",79,[[["option",4]],["option",4]]],[11,"and_then","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise calls <code>f</code> …",79,[[["fnonce",8]],["option",4]]],[11,"filter","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise calls …",79,[[["fnonce",8]]]],[11,"or","","Returns the option if it contains a value, otherwise …",79,[[["option",4]],["option",4]]],[11,"or_else","","Returns the option if it contains a value, otherwise …",79,[[["fnonce",8]],["option",4]]],[11,"xor","","Returns [<code>Some</code>] if exactly one of <code>self</code>, <code>optb</code> is [<code>Some</code>], …",79,[[["option",4]],["option",4]]],[11,"get_or_insert","","Inserts <code>value</code> into the option if it is [<code>None</code>], then …",79,[[]]],[11,"get_or_insert_with","","Inserts a value computed from <code>f</code> into the option if it is […",79,[[["fnonce",8]]]],[11,"take","","Takes the value out of the option, leaving a [<code>None</code>] in …",79,[[],["option",4]]],[11,"replace","","Replaces the actual value in the option by the value …",79,[[],["option",4]]],[11,"zip","","Zips <code>self</code> with another <code>Option</code>.",79,[[["option",4]],["option",4]]],[11,"zip_with","","Zips <code>self</code> and another <code>Option</code> with function <code>f</code>.",79,[[["option",4]],["option",4]]],[11,"copied","","Maps an <code>Option<&T></code> to an <code>Option<T></code> by copying the …",79,[[],["option",4]]],[11,"copied","","Maps an <code>Option<&mut T></code> to an <code>Option<T></code> by copying the …",79,[[],["option",4]]],[11,"cloned","","Maps an <code>Option<&T></code> to an <code>Option<T></code> by cloning the …",79,[[],["option",4]]],[11,"cloned","","Maps an <code>Option<&mut T></code> to an <code>Option<T></code> by cloning the …",79,[[],["option",4]]],[11,"expect_none","","Consumes <code>self</code> while expecting [<code>None</code>] and returning …",79,[[["str",15]]]],[11,"unwrap_none","","Consumes <code>self</code> while expecting [<code>None</code>] and returning …",79,[[]]],[11,"unwrap_or_default","","Returns the contained [<code>Some</code>] value or a default",79,[[]]],[11,"as_deref","","Converts from <code>Option<T></code> (or <code>&Option<T></code>) to …",79,[[],["option",4]]],[11,"as_deref_mut","","Converts from <code>Option<T></code> (or <code>&mut Option<T></code>) to …",79,[[],["option",4]]],[11,"transpose","","Transposes an <code>Option</code> of a [<code>Result</code>] into a [<code>Result</code>] of an …",79,[[],[["result",4],["option",4]]]],[3,"Iter","","An iterator over a reference to the [<code>Some</code>] variant of an […",null,null],[3,"IterMut","","An iterator over a mutable reference to the [<code>Some</code>] …",null,null],[3,"IntoIter","","An iterator over the value in [<code>Some</code>] variant of an [<code>Option</code>…",null,null],[3,"NoneError","","The error type that results from applying the try …",null,null],[11,"flatten","","Converts from <code>Option<Option<T>></code> to <code>Option<T></code>",79,[[],["option",4]]],[0,"panic","core","Panic support in the standard library.",null,null],[3,"PanicInfo","core::panic","A struct providing information about a panic.",null,null],[11,"payload","","Returns the payload associated with the panic.",80,[[],["any",8]]],[11,"message","","If the <code>panic!</code> macro from the <code>core</code> crate (not from <code>std</code>) …",80,[[],[["arguments",3],["option",4]]]],[11,"location","","Returns information about the location from which the …",80,[[],[["option",4],["location",3]]]],[3,"Location","","A struct containing information about the location of a …",null,null],[11,"caller","","Returns the source location of the caller of this …",81,[[],["location",3]]],[11,"file","","Returns the name of the source file from which the panic …",81,[[],["str",15]]],[11,"line","","Returns the line number from which the panic originated.",81,[[],["u32",15]]],[11,"column","","Returns the column from which the panic originated.",81,[[],["u32",15]]],[0,"panicking","core","Panic support for libcore",null,null],[5,"panic","core::panicking","The underlying implementation of libcore\'s <code>panic!</code> macro …",null,[[["str",15]]]],[5,"panic_str","","",null,[[["str",15]]]],[5,"panic_fmt","","The underlying implementation of libcore\'s <code>panic!</code> macro …",null,[[["arguments",3]]]],[0,"pin","core","Types that pin data to its location in memory.",null,null],[3,"Pin","core::pin","A pinned pointer.",null,null],[11,"new","","Construct a new <code>Pin<P></code> around a pointer to some data of a …",82,[[],["pin",3]]],[11,"into_inner","","Unwraps this <code>Pin<P></code> returning the underlying pointer.",82,[[["pin",3]]]],[11,"new_unchecked","","Construct a new <code>Pin<P></code> around a reference to some data of …",82,[[],["pin",3]]],[11,"as_ref","","Gets a pinned shared reference from this pinned pointer.",82,[[],["pin",3]]],[11,"into_inner_unchecked","","Unwraps this <code>Pin<P></code> returning the underlying pointer.",82,[[["pin",3]]]],[11,"as_mut","","Gets a pinned mutable reference from this pinned pointer.",82,[[],["pin",3]]],[11,"set","","Assigns a new value to the memory behind the pinned …",82,[[]]],[11,"map_unchecked","","Constructs a new pin by mapping the interior value.",82,[[],["pin",3]]],[11,"get_ref","","Gets a shared reference out of a pin.",82,[[]]],[11,"into_ref","","Converts this <code>Pin<&mut T></code> into a <code>Pin<&T></code> with the same …",82,[[],["pin",3]]],[11,"get_mut","","Gets a mutable reference to the data inside of this <code>Pin</code>.",82,[[]]],[11,"get_unchecked_mut","","Gets a mutable reference to the data inside of this <code>Pin</code>.",82,[[]]],[11,"map_unchecked_mut","","Construct a new pin by mapping the interior value.",82,[[],["pin",3]]],[11,"static_ref","","Get a pinned reference from a static reference.",82,[[],["pin",3]]],[11,"static_mut","","Get a pinned mutable reference from a static mutable …",82,[[],["pin",3]]],[0,"raw","core","Contains struct definitions for the layout of compiler …",null,null],[3,"TraitObject","core::raw","The representation of a trait object like <code>&dyn SomeTrait</code>.",null,null],[12,"data","","",83,null],[12,"vtable","","",83,null],[0,"result","core","Error handling with the <code>Result</code> type.",null,null],[4,"Result","core::result","<code>Result</code> is a type that represents either success ([<code>Ok</code>]) or …",null,null],[13,"Ok","","Contains the success value",84,null],[13,"Err","","Contains the error value",84,null],[11,"is_ok","","Returns <code>true</code> if the result is [<code>Ok</code>].",84,[[],["bool",15]]],[11,"is_err","","Returns <code>true</code> if the result is [<code>Err</code>].",84,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if the result is an [<code>Ok</code>] value containing …",84,[[],["bool",15]]],[11,"contains_err","","Returns <code>true</code> if the result is an [<code>Err</code>] value containing …",84,[[],["bool",15]]],[11,"ok","","Converts from <code>Result<T, E></code> to [<code>Option<T></code>].",84,[[],["option",4]]],[11,"err","","Converts from <code>Result<T, E></code> to [<code>Option<E></code>].",84,[[],["option",4]]],[11,"as_ref","","Converts from <code>&Result<T, E></code> to <code>Result<&T, &E></code>.",84,[[],["result",4]]],[11,"as_mut","","Converts from <code>&mut Result<T, E></code> to <code>Result<&mut T, &mut E></code>.",84,[[],["result",4]]],[11,"map","","Maps a <code>Result<T, E></code> to <code>Result<U, E></code> by applying a …",84,[[["fnonce",8]],["result",4]]],[11,"map_or","","Applies a function to the contained value (if [<code>Ok</code>]), or …",84,[[["fnonce",8]]]],[11,"map_or_else","","Maps a <code>Result<T, E></code> to <code>U</code> by applying a function to a …",84,[[["fnonce",8],["fnonce",8]]]],[11,"map_err","","Maps a <code>Result<T, E></code> to <code>Result<T, F></code> by applying a …",84,[[["fnonce",8]],["result",4]]],[11,"iter","","Returns an iterator over the possibly contained value.",84,[[],["iter",3]]],[11,"iter_mut","","Returns a mutable iterator over the possibly contained …",84,[[],["itermut",3]]],[11,"and","","Returns <code>res</code> if the result is [<code>Ok</code>], otherwise returns the […",84,[[["result",4]],["result",4]]],[11,"and_then","","Calls <code>op</code> if the result is [<code>Ok</code>], otherwise returns the [<code>Err</code>…",84,[[["fnonce",8]],["result",4]]],[11,"or","","Returns <code>res</code> if the result is [<code>Err</code>], otherwise returns the …",84,[[["result",4]],["result",4]]],[11,"or_else","","Calls <code>op</code> if the result is [<code>Err</code>], otherwise returns the [<code>Ok</code>…",84,[[["fnonce",8]],["result",4]]],[11,"unwrap_or","","Returns the contained [<code>Ok</code>] value or a provided default.",84,[[]]],[11,"unwrap_or_else","","Returns the contained [<code>Ok</code>] value or computes it from a …",84,[[["fnonce",8]]]],[11,"unwrap_unchecked","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",84,[[]]],[11,"unwrap_err_unchecked","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",84,[[]]],[11,"copied","","Maps a <code>Result<&T, E></code> to a <code>Result<T, E></code> by copying the …",84,[[],["result",4]]],[11,"copied","","Maps a <code>Result<&mut T, E></code> to a <code>Result<T, E></code> by copying the …",84,[[],["result",4]]],[11,"cloned","","Maps a <code>Result<&T, E></code> to a <code>Result<T, E></code> by cloning the …",84,[[],["result",4]]],[11,"cloned","","Maps a <code>Result<&mut T, E></code> to a <code>Result<T, E></code> by cloning the …",84,[[],["result",4]]],[11,"expect","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",84,[[["str",15]]]],[11,"unwrap","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",84,[[]]],[11,"expect_err","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",84,[[["str",15]]]],[11,"unwrap_err","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",84,[[]]],[11,"unwrap_or_default","","Returns the contained [<code>Ok</code>] value or a default",84,[[]]],[11,"into_ok","","Returns the contained [<code>Ok</code>] value, but never panics.",84,[[]]],[11,"as_deref","","Converts from <code>Result<T, E></code> (or <code>&Result<T, E></code>) to …",84,[[],["result",4]]],[11,"as_deref_mut","","Converts from <code>Result<T, E></code> (or <code>&mut Result<T, E></code>) to …",84,[[],["result",4]]],[11,"transpose","","Transposes a <code>Result</code> of an <code>Option</code> into an <code>Option</code> of a …",84,[[],[["option",4],["result",4]]]],[11,"flatten","","Converts from <code>Result<Result<T, E>, E></code> to <code>Result<T, E></code>",84,[[],["result",4]]],[3,"Iter","","An iterator over a reference to the [<code>Ok</code>] variant of a […",null,null],[3,"IterMut","","An iterator over a mutable reference to the [<code>Ok</code>] variant …",null,null],[3,"IntoIter","","An iterator over the value in a [<code>Ok</code>] variant of a [<code>Result</code>]…",null,null],[0,"stream","core","Composable asynchronous iteration.",null,null],[8,"Stream","core::stream","An interface for dealing with asynchronous iterators.",null,null],[16,"Item","","The type of items yielded by the stream.",85,null],[10,"poll_next","","Attempt to pull out the next value of this stream, …",85,[[["pin",3],["context",3]],[["option",4],["poll",4]]]],[11,"size_hint","","Returns the bounds on the remaining length of the stream.",85,[[]]],[0,"sync","core","Synchronization primitives",null,null],[0,"atomic","core::sync","Atomic types",null,null],[3,"AtomicBool","core::sync::atomic","A boolean type which can be safely shared between threads.",null,null],[3,"AtomicPtr","","A raw pointer type which can be safely shared between …",null,null],[4,"Ordering","","Atomic memory orderings",null,null],[13,"Relaxed","","No ordering constraints, only atomic operations.",86,null],[13,"Release","","When coupled with a store, all previous operations become …",86,null],[13,"Acquire","","When coupled with a load, if the loaded value was written …",86,null],[13,"AcqRel","","Has the effects of both [<code>Acquire</code>] and [<code>Release</code>] together: …",86,null],[13,"SeqCst","","Like [<code>Acquire</code>]/[<code>Release</code>]/[<code>AcqRel</code>] (for load, store, and …",86,null],[17,"ATOMIC_BOOL_INIT","","An [<code>AtomicBool</code>] initialized to <code>false</code>.",null,null],[11,"new","","Creates a new <code>AtomicBool</code>.",87,[[["bool",15]],["atomicbool",3]]],[11,"get_mut","","Returns a mutable reference to the underlying [<code>bool</code>].",87,[[],["bool",15]]],[11,"from_mut","","Get atomic access to a <code>&mut bool</code>.",87,[[["bool",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",87,[[],["bool",15]]],[11,"load","","Loads a value from the bool.",87,[[["ordering",4]],["bool",15]]],[11,"store","","Stores a value into the bool.",87,[[["bool",15],["ordering",4]]]],[11,"swap","","Stores a value into the bool, returning the previous …",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"compare_and_swap","","Stores a value into the [<code>bool</code>] if the current value is …",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"compare_exchange","","Stores a value into the [<code>bool</code>] if the current value is …",87,[[["bool",15],["ordering",4]],[["bool",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the [<code>bool</code>] if the current value is …",87,[[["bool",15],["ordering",4]],[["bool",15],["result",4]]]],[11,"fetch_and","","Logical \\\"and\\\" with a boolean value.",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_nand","","Logical \\\"nand\\\" with a boolean value.",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_or","","Logical \\\"or\\\" with a boolean value.",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_xor","","Logical \\\"xor\\\" with a boolean value.",87,[[["bool",15],["ordering",4]],["bool",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying [<code>bool</code>].",87,[[]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",87,[[["ordering",4]],[["bool",15],["result",4]]]],[11,"new","","Creates a new <code>AtomicPtr</code>.",88,[[],["atomicptr",3]]],[11,"get_mut","","Returns a mutable reference to the underlying pointer.",88,[[]]],[11,"from_mut","","Get atomic access to a pointer.",88,[[]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",88,[[]]],[11,"load","","Loads a value from the pointer.",88,[[["ordering",4]]]],[11,"store","","Stores a value into the pointer.",88,[[["ordering",4]]]],[11,"swap","","Stores a value into the pointer, returning the previous …",88,[[["ordering",4]]]],[11,"compare_and_swap","","Stores a value into the pointer if the current value is …",88,[[["ordering",4]]]],[11,"compare_exchange","","Stores a value into the pointer if the current value is …",88,[[["ordering",4]],["result",4]]],[11,"compare_exchange_weak","","Stores a value into the pointer if the current value is …",88,[[["ordering",4]],["result",4]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",88,[[["ordering",4]],["result",4]]],[3,"AtomicI8","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I8_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",89,[[["i8",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",89,[[],["i8",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i8</code>.",89,[[["i8",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",89,[[],["i8",15]]],[11,"load","","Loads a value from the atomic integer.",89,[[["ordering",4]],["i8",15]]],[11,"store","","Stores a value into the atomic integer.",89,[[["ordering",4],["i8",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",89,[[["ordering",4],["i8",15]],[["result",4],["i8",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",89,[[["ordering",4],["i8",15]],[["result",4],["i8",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",89,[[["ordering",4]],[["result",4],["i8",15]]]],[11,"fetch_max","","Maximum with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_min","","Minimum with the current value.",89,[[["ordering",4],["i8",15]],["i8",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",89,[[]]],[3,"AtomicU8","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U8_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",90,[[["u8",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",90,[[],["u8",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u8</code>.",90,[[["u8",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",90,[[],["u8",15]]],[11,"load","","Loads a value from the atomic integer.",90,[[["ordering",4]],["u8",15]]],[11,"store","","Stores a value into the atomic integer.",90,[[["ordering",4],["u8",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",90,[[["ordering",4],["u8",15]],[["result",4],["u8",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",90,[[["ordering",4],["u8",15]],[["result",4],["u8",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",90,[[["ordering",4]],[["result",4],["u8",15]]]],[11,"fetch_max","","Maximum with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_min","","Minimum with the current value.",90,[[["ordering",4],["u8",15]],["u8",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",90,[[]]],[3,"AtomicI16","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I16_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",91,[[["i16",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",91,[[],["i16",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i16</code>.",91,[[["i16",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",91,[[],["i16",15]]],[11,"load","","Loads a value from the atomic integer.",91,[[["ordering",4]],["i16",15]]],[11,"store","","Stores a value into the atomic integer.",91,[[["i16",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",91,[[["i16",15],["ordering",4]],[["result",4],["i16",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",91,[[["i16",15],["ordering",4]],[["result",4],["i16",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",91,[[["ordering",4]],[["result",4],["i16",15]]]],[11,"fetch_max","","Maximum with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_min","","Minimum with the current value.",91,[[["i16",15],["ordering",4]],["i16",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",91,[[]]],[3,"AtomicU16","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U16_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",92,[[["u16",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",92,[[],["u16",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u16</code>.",92,[[["u16",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",92,[[],["u16",15]]],[11,"load","","Loads a value from the atomic integer.",92,[[["ordering",4]],["u16",15]]],[11,"store","","Stores a value into the atomic integer.",92,[[["u16",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",92,[[["u16",15],["ordering",4]],[["result",4],["u16",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",92,[[["u16",15],["ordering",4]],[["result",4],["u16",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",92,[[["ordering",4]],[["result",4],["u16",15]]]],[11,"fetch_max","","Maximum with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"fetch_min","","Minimum with the current value.",92,[[["u16",15],["ordering",4]],["u16",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",92,[[]]],[3,"AtomicI32","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I32_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",93,[[["i32",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",93,[[],["i32",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i32</code>.",93,[[["i32",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",93,[[],["i32",15]]],[11,"load","","Loads a value from the atomic integer.",93,[[["ordering",4]],["i32",15]]],[11,"store","","Stores a value into the atomic integer.",93,[[["ordering",4],["i32",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",93,[[["ordering",4],["i32",15]],[["i32",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",93,[[["ordering",4],["i32",15]],[["i32",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",93,[[["ordering",4]],[["i32",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_min","","Minimum with the current value.",93,[[["ordering",4],["i32",15]],["i32",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",93,[[]]],[3,"AtomicU32","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U32_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",94,[[["u32",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",94,[[],["u32",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u32</code>.",94,[[["u32",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",94,[[],["u32",15]]],[11,"load","","Loads a value from the atomic integer.",94,[[["ordering",4]],["u32",15]]],[11,"store","","Stores a value into the atomic integer.",94,[[["u32",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",94,[[["u32",15],["ordering",4]],[["u32",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",94,[[["u32",15],["ordering",4]],[["u32",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",94,[[["ordering",4]],[["u32",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_min","","Minimum with the current value.",94,[[["u32",15],["ordering",4]],["u32",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",94,[[]]],[3,"AtomicI64","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I64_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",95,[[["i64",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",95,[[],["i64",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i64</code>.",95,[[["i64",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",95,[[],["i64",15]]],[11,"load","","Loads a value from the atomic integer.",95,[[["ordering",4]],["i64",15]]],[11,"store","","Stores a value into the atomic integer.",95,[[["i64",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",95,[[["i64",15],["ordering",4]],[["i64",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",95,[[["i64",15],["ordering",4]],[["i64",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",95,[[["ordering",4]],[["i64",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_min","","Minimum with the current value.",95,[[["i64",15],["ordering",4]],["i64",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",95,[[]]],[3,"AtomicU64","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U64_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",96,[[["u64",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",96,[[],["u64",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u64</code>.",96,[[["u64",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",96,[[],["u64",15]]],[11,"load","","Loads a value from the atomic integer.",96,[[["ordering",4]],["u64",15]]],[11,"store","","Stores a value into the atomic integer.",96,[[["ordering",4],["u64",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",96,[[["ordering",4],["u64",15]],[["u64",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",96,[[["ordering",4],["u64",15]],[["u64",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",96,[[["ordering",4]],[["u64",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_min","","Minimum with the current value.",96,[[["ordering",4],["u64",15]],["u64",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",96,[[]]],[3,"AtomicIsize","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_ISIZE_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",97,[[["isize",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",97,[[],["isize",15]]],[11,"from_mut","","Get atomic access to a <code>&mut isize</code>.",97,[[["isize",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",97,[[],["isize",15]]],[11,"load","","Loads a value from the atomic integer.",97,[[["ordering",4]],["isize",15]]],[11,"store","","Stores a value into the atomic integer.",97,[[["isize",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",97,[[["isize",15],["ordering",4]],[["isize",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",97,[[["isize",15],["ordering",4]],[["isize",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",97,[[["ordering",4]],[["isize",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_min","","Minimum with the current value.",97,[[["isize",15],["ordering",4]],["isize",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",97,[[]]],[3,"AtomicUsize","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_USIZE_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[11,"new","","Creates a new atomic integer.",98,[[["usize",15]]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",98,[[],["usize",15]]],[11,"from_mut","","Get atomic access to a <code>&mut usize</code>.",98,[[["usize",15]]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",98,[[],["usize",15]]],[11,"load","","Loads a value from the atomic integer.",98,[[["ordering",4]],["usize",15]]],[11,"store","","Stores a value into the atomic integer.",98,[[["usize",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",98,[[["usize",15],["ordering",4]],[["usize",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",98,[[["usize",15],["ordering",4]],[["usize",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",98,[[["ordering",4]],[["usize",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_min","","Minimum with the current value.",98,[[["usize",15],["ordering",4]],["usize",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",98,[[]]],[5,"fence","","An atomic fence.",null,[[["ordering",4]]]],[5,"compiler_fence","","A compiler memory fence.",null,[[["ordering",4]]]],[5,"spin_loop_hint","","Signals the processor that it is inside a busy-wait …",null,[[]]],[0,"fmt","core","Utilities for formatting and printing strings.",null,null],[4,"Alignment","core::fmt","Possible alignments returned by <code>Formatter::align</code>",null,null],[13,"Left","","Indication that contents should be left-aligned.",99,null],[13,"Right","","Indication that contents should be right-aligned.",99,null],[13,"Center","","Indication that contents should be center-aligned.",99,null],[3,"DebugList","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugMap","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugSet","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugStruct","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugTuple","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[6,"Result","","The type returned by formatter methods.",null,null],[3,"Error","","The error type which is returned from formatting a …",null,null],[8,"Write","","A trait for writing or formatting into Unicode-accepting …",null,null],[10,"write_str","","Writes a string slice into this writer, returning whether …",100,[[["str",15]],["result",6]]],[11,"write_char","","Writes a [<code>char</code>] into this writer, returning whether the …",100,[[["char",15]],["result",6]]],[11,"write_fmt","","Glue for usage of the [<code>write!</code>] macro with implementors of …",100,[[["arguments",3]],["result",6]]],[3,"Formatter","","Configuration for formatting.",null,null],[3,"Arguments","","This structure represents a safely precompiled version of …",null,null],[11,"as_str","","Get the formatted string, if it has no arguments to be …",101,[[],[["option",4],["str",15]]]],[8,"Debug","","<code>?</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",102,[[["formatter",3]],["result",6]]],[8,"Display","","Format trait for an empty format, <code>{}</code>.",null,null],[10,"fmt","","Formats the value using the given formatter.",103,[[["formatter",3]],["result",6]]],[8,"Octal","","<code>o</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",104,[[["formatter",3]],["result",6]]],[8,"Binary","","<code>b</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",105,[[["formatter",3]],["result",6]]],[8,"LowerHex","","<code>x</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",106,[[["formatter",3]],["result",6]]],[8,"UpperHex","","<code>X</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",107,[[["formatter",3]],["result",6]]],[8,"Pointer","","<code>p</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",108,[[["formatter",3]],["result",6]]],[8,"LowerExp","","<code>e</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",109,[[["formatter",3]],["result",6]]],[8,"UpperExp","","<code>E</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",110,[[["formatter",3]],["result",6]]],[5,"write","","The <code>write</code> function takes an output stream, and an …",null,[[["arguments",3],["write",8]],["result",6]]],[11,"pad_integral","","Performs the correct padding for an integer which has …",111,[[["bool",15],["str",15]],["result",6]]],[11,"pad","","This function takes a string slice and emits it to the …",111,[[["str",15]],["result",6]]],[11,"write_str","","Writes some data to the underlying buffer contained …",111,[[["str",15]],["result",6]]],[11,"write_fmt","","Writes some formatted information into this instance.",111,[[["arguments",3]],["result",6]]],[11,"flags","","Flags for formatting",111,[[],["u32",15]]],[11,"fill","","Character used as \'fill\' whenever there is alignment.",111,[[],["char",15]]],[11,"align","","Flag indicating what form of alignment was requested.",111,[[],[["option",4],["alignment",4]]]],[11,"width","","Optionally specified integer width that the output should …",111,[[],[["usize",15],["option",4]]]],[11,"precision","","Optionally specified precision for numeric types. …",111,[[],[["usize",15],["option",4]]]],[11,"sign_plus","","Determines if the <code>+</code> flag was specified.",111,[[],["bool",15]]],[11,"sign_minus","","Determines if the <code>-</code> flag was specified.",111,[[],["bool",15]]],[11,"alternate","","Determines if the <code>#</code> flag was specified.",111,[[],["bool",15]]],[11,"sign_aware_zero_pad","","Determines if the <code>0</code> flag was specified.",111,[[],["bool",15]]],[11,"debug_struct","","Creates a [<code>DebugStruct</code>] builder designed to assist with …",111,[[["str",15]],["debugstruct",3]]],[11,"debug_tuple","","Creates a <code>DebugTuple</code> builder designed to assist with …",111,[[["str",15]],["debugtuple",3]]],[11,"debug_list","","Creates a <code>DebugList</code> builder designed to assist with …",111,[[],["debuglist",3]]],[11,"debug_set","","Creates a <code>DebugSet</code> builder designed to assist with …",111,[[],["debugset",3]]],[11,"debug_map","","Creates a <code>DebugMap</code> builder designed to assist with …",111,[[],["debugmap",3]]],[14,"Debug","","Derive macro generating an impl of the trait <code>Debug</code>.",null,null],[0,"hash","core","Generic hashing support.",null,null],[3,"SipHasher","core::hash","An implementation of SipHash 2-4.",null,null],[8,"Hash","","A hashable type.",null,null],[10,"hash","","Feeds this value into the given [<code>Hasher</code>].",112,[[]]],[11,"hash_slice","","Feeds a slice of this type into the given [<code>Hasher</code>].",112,[[]]],[8,"Hasher","","A trait for hashing an arbitrary stream of bytes.",null,null],[10,"finish","","Returns the hash value for the values written so far.",113,[[],["u64",15]]],[10,"write","","Writes some data into this <code>Hasher</code>.",113,[[]]],[11,"write_u8","","Writes a single <code>u8</code> into this hasher.",113,[[["u8",15]]]],[11,"write_u16","","Writes a single <code>u16</code> into this hasher.",113,[[["u16",15]]]],[11,"write_u32","","Writes a single <code>u32</code> into this hasher.",113,[[["u32",15]]]],[11,"write_u64","","Writes a single <code>u64</code> into this hasher.",113,[[["u64",15]]]],[11,"write_u128","","Writes a single <code>u128</code> into this hasher.",113,[[["u128",15]]]],[11,"write_usize","","Writes a single <code>usize</code> into this hasher.",113,[[["usize",15]]]],[11,"write_i8","","Writes a single <code>i8</code> into this hasher.",113,[[["i8",15]]]],[11,"write_i16","","Writes a single <code>i16</code> into this hasher.",113,[[["i16",15]]]],[11,"write_i32","","Writes a single <code>i32</code> into this hasher.",113,[[["i32",15]]]],[11,"write_i64","","Writes a single <code>i64</code> into this hasher.",113,[[["i64",15]]]],[11,"write_i128","","Writes a single <code>i128</code> into this hasher.",113,[[["i128",15]]]],[11,"write_isize","","Writes a single <code>isize</code> into this hasher.",113,[[["isize",15]]]],[8,"BuildHasher","","A trait for creating instances of [<code>Hasher</code>].",null,null],[16,"Hasher","","Type of the hasher that will be created.",114,null],[10,"build_hasher","","Creates a new hasher.",114,[[]]],[3,"BuildHasherDefault","","Used to create a default [<code>BuildHasher</code>] instance for types …",null,null],[14,"Hash","","Derive macro generating an impl of the trait <code>Hash</code>.",null,null],[0,"slice","core","Slice management and manipulation.",null,null],[0,"memchr","core::slice","Pure rust memchr implementation, taken from rust-memchr",null,null],[5,"memchr","core::slice::memchr","Returns the first index matching the byte <code>x</code> in <code>text</code>.",null,[[["u8",15]],[["usize",15],["option",4]]]],[5,"memrchr","","Returns the last index matching the byte <code>x</code> in <code>text</code>.",null,[[["u8",15]],[["usize",15],["option",4]]]],[3,"Chunks","core::slice","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"ChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"Windows","","An iterator over overlapping subslices of length <code>size</code>.",null,null],[3,"Iter","","Immutable slice iterator",null,null],[3,"IterMut","","Mutable slice iterator.",null,null],[3,"RSplitN","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitNMut","","An iterator over subslices separated by elements that …",null,null],[3,"Split","","An iterator over subslices separated by elements that …",null,null],[3,"SplitMut","","An iterator over the mutable subslices of the vector …",null,null],[3,"SplitN","","An iterator over subslices separated by elements that …",null,null],[3,"SplitNMut","","An iterator over subslices separated by elements that …",null,null],[3,"RSplit","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitMut","","An iterator over the subslices of the vector which are …",null,null],[3,"ChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"ChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RChunks","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ArrayChunks","","An iterator over a slice in (non-overlapping) chunks (<code>N</code> …",null,null],[3,"ArrayChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ArrayWindows","","A windowed iterator over a slice in overlapping chunks (<code>N</code> …",null,null],[3,"GroupBy","","An iterator over slice in (non-overlapping) chunks …",null,null],[3,"GroupByMut","","An iterator over slice in (non-overlapping) mutable …",null,null],[3,"SplitInclusive","","An iterator over subslices separated by elements that …",null,null],[3,"SplitInclusiveMut","","An iterator over the mutable subslices of the vector …",null,null],[5,"from_raw_parts","","Forms a slice from a pointer and a length.",null,[[["usize",15]]]],[5,"from_raw_parts_mut","","Performs the same functionality as [<code>from_raw_parts</code>], …",null,[[["usize",15]]]],[5,"from_mut","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"from_ref","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"heapsort","","Sorts <code>v</code> using heapsort, which guarantees <em>O</em>(<em>n</em> * log(<em>n</em>)) …",null,[[]]],[8,"SliceIndex","","A helper trait used for indexing operations.",null,null],[16,"Output","","The output type returned by methods.",115,null],[10,"get","","Returns a shared reference to the output at this …",115,[[],["option",4]]],[10,"get_mut","","Returns a mutable reference to the output at this …",115,[[],["option",4]]],[10,"get_unchecked","","Returns a shared reference to the output at this …",115,[[]]],[10,"get_unchecked_mut","","Returns a mutable reference to the output at this …",115,[[]]],[10,"index","","Returns a shared reference to the output at this …",115,[[]]],[10,"index_mut","","Returns a mutable reference to the output at this …",115,[[]]],[8,"SlicePattern","","Patterns in slices - currently, only used by <code>strip_prefix</code> …",null,null],[16,"Item","","The element type of the slice being matched on.",116,null],[10,"as_slice","","Currently, the consumers of <code>SlicePattern</code> need a slice.",116,[[]]],[0,"str","core","String manipulation.",null,null],[0,"pattern","core::str","The string Pattern API.",null,null],[8,"Pattern","core::str::pattern","A string pattern.",null,null],[16,"Searcher","","Associated searcher for this pattern",117,null],[10,"into_searcher","","Constructs the associated searcher from <code>self</code> and the …",117,[[["str",15]]]],[11,"is_contained_in","","Checks whether the pattern matches anywhere in the …",117,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","Checks whether the pattern matches at the front of the …",117,[[["str",15]],["bool",15]]],[11,"is_suffix_of","","Checks whether the pattern matches at the back of the …",117,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","Removes the pattern from the front of haystack, if it …",117,[[["str",15]],[["str",15],["option",4]]]],[11,"strip_suffix_of","","Removes the pattern from the back of haystack, if it …",117,[[["str",15]],[["str",15],["option",4]]]],[4,"SearchStep","","Result of calling [<code>Searcher::next()</code>] or […",null,null],[13,"Match","","Expresses that a match of the pattern has been found at …",118,null],[13,"Reject","","Expresses that <code>haystack[a..b]</code> has been rejected as a …",118,null],[13,"Done","","Expresses that every byte of the haystack has been …",118,null],[8,"Searcher","","A searcher for a string pattern.",null,null],[10,"haystack","","Getter for the underlying string to be searched in",119,[[],["str",15]]],[10,"next","","Performs the next search step starting from the front.",119,[[],["searchstep",4]]],[11,"next_match","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",119,[[],["option",4]]],[11,"next_reject","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",119,[[],["option",4]]],[8,"ReverseSearcher","","A reverse searcher for a string pattern.",null,null],[10,"next_back","","Performs the next search step starting from the back.",120,[[],["searchstep",4]]],[11,"next_match_back","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",120,[[],["option",4]]],[11,"next_reject_back","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",120,[[],["option",4]]],[8,"DoubleEndedSearcher","","A marker trait to express that a [<code>ReverseSearcher</code>] can be …",null,null],[3,"CharSearcher","","Associated type for <code><char as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharSliceSearcher","","Associated type for <code><&[char] as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharPredicateSearcher","","Associated type for <code><F as Pattern<\'a>>::Searcher</code>.",null,null],[3,"StrSearcher","","Associated type for <code><&str as Pattern<\'a>>::Searcher</code>.",null,null],[0,"lossy","core::str","",null,null],[3,"Utf8Lossy","core::str::lossy","Lossy UTF-8 string.",null,null],[11,"from_str","","",121,[[["str",15]],["utf8lossy",3]]],[11,"from_bytes","","",121,[[],["utf8lossy",3]]],[11,"chunks","","",121,[[],["utf8lossychunksiter",3]]],[3,"Utf8LossyChunksIter","","Iterator over lossy UTF-8 string",null,null],[3,"Utf8LossyChunk","","",null,null],[12,"valid","","Sequence of valid chars. Can be empty between broken …",122,null],[12,"broken","","Single broken char, empty if none. Empty iff iterator …",122,null],[5,"from_utf8","core::str","Converts a slice of bytes to a string slice.",null,[[],[["result",4],["utf8error",3],["str",15]]]],[5,"from_utf8_unchecked","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[5,"from_utf8_mut","","Converts a mutable slice of bytes to a mutable string …",null,[[],[["result",4],["str",15],["utf8error",3]]]],[5,"from_utf8_unchecked_mut","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[3,"ParseBoolError","","An error returned when parsing a <code>bool</code> using <code>from_str</code> fails",null,null],[3,"Utf8Error","","Errors which can occur when attempting to interpret a …",null,null],[8,"FromStr","","Parse a value from a string",null,null],[16,"Err","","The associated error which can be returned from parsing.",123,null],[10,"from_str","","Parses a string <code>s</code> to return a value of this type.",123,[[["str",15]],["result",4]]],[3,"Bytes","","An iterator over the bytes of a string slice.",null,null],[3,"CharIndices","","An iterator over the <code>char</code>s of a string slice, and their …",null,null],[3,"Chars","","An iterator over the <code>char</code>s of a string slice.",null,null],[3,"Lines","","An iterator over the lines of a string, as string slices.",null,null],[3,"SplitWhitespace","","An iterator over the non-whitespace substrings of a …",null,null],[3,"LinesAny","","Created with the method <code>lines_any</code>.",null,null],[3,"RSplit","","Created with the method <code>rsplit</code>.",null,null],[3,"RSplitTerminator","","Created with the method <code>rsplit_terminator</code>.",null,null],[3,"Split","","Created with the method <code>split</code>.",null,null],[3,"SplitTerminator","","Created with the method <code>split_terminator</code>.",null,null],[3,"RSplitN","","Created with the method <code>rsplitn</code>.",null,null],[3,"SplitN","","Created with the method <code>splitn</code>.",null,null],[3,"Matches","","Created with the method <code>matches</code>.",null,null],[3,"RMatches","","Created with the method <code>rmatches</code>.",null,null],[3,"MatchIndices","","Created with the method <code>match_indices</code>.",null,null],[3,"RMatchIndices","","Created with the method <code>rmatch_indices</code>.",null,null],[3,"EncodeUtf16","","An iterator of [<code>u16</code>] over the string encoded as UTF-16.",null,null],[3,"EscapeDebug","","The return type of [<code>str::escape_debug</code>].",null,null],[3,"EscapeDefault","","The return type of [<code>str::escape_default</code>].",null,null],[3,"EscapeUnicode","","The return type of [<code>str::escape_unicode</code>].",null,null],[3,"SplitAsciiWhitespace","","An iterator over the non-ASCII-whitespace substrings of a …",null,null],[3,"SplitInclusive","","An iterator over the substrings of a string, terminated …",null,null],[5,"next_code_point","","Reads the next code point out of a byte iterator …",null,[[],[["u32",15],["option",4]]]],[0,"time","core","Temporal quantification.",null,null],[3,"Duration","core::time","A <code>Duration</code> type to represent a span of time, typically …",null,null],[18,"SECOND","","The duration of one second.",124,null],[18,"MILLISECOND","","The duration of one millisecond.",124,null],[18,"MICROSECOND","","The duration of one microsecond.",124,null],[18,"NANOSECOND","","The duration of one nanosecond.",124,null],[18,"ZERO","","A duration of zero time.",124,null],[18,"MAX","","The maximum duration.",124,null],[11,"new","","Creates a new <code>Duration</code> from the specified number of whole …",124,[[["u32",15],["u64",15]],["duration",3]]],[11,"from_secs","","Creates a new <code>Duration</code> from the specified number of whole …",124,[[["u64",15]],["duration",3]]],[11,"from_millis","","Creates a new <code>Duration</code> from the specified number of …",124,[[["u64",15]],["duration",3]]],[11,"from_micros","","Creates a new <code>Duration</code> from the specified number of …",124,[[["u64",15]],["duration",3]]],[11,"from_nanos","","Creates a new <code>Duration</code> from the specified number of …",124,[[["u64",15]],["duration",3]]],[11,"is_zero","","Returns true if this <code>Duration</code> spans no time.",124,[[],["bool",15]]],[11,"as_secs","","Returns the number of <em>whole</em> seconds contained by this …",124,[[],["u64",15]]],[11,"subsec_millis","","Returns the fractional part of this <code>Duration</code>, in whole …",124,[[],["u32",15]]],[11,"subsec_micros","","Returns the fractional part of this <code>Duration</code>, in whole …",124,[[],["u32",15]]],[11,"subsec_nanos","","Returns the fractional part of this <code>Duration</code>, in …",124,[[],["u32",15]]],[11,"as_millis","","Returns the total number of whole milliseconds contained …",124,[[],["u128",15]]],[11,"as_micros","","Returns the total number of whole microseconds contained …",124,[[],["u128",15]]],[11,"as_nanos","","Returns the total number of nanoseconds contained by this …",124,[[],["u128",15]]],[11,"checked_add","","Checked <code>Duration</code> addition. Computes <code>self + other</code>, …",124,[[["duration",3]],[["option",4],["duration",3]]]],[11,"saturating_add","","Saturating <code>Duration</code> addition. Computes <code>self + other</code>, …",124,[[["duration",3]],["duration",3]]],[11,"checked_sub","","Checked <code>Duration</code> subtraction. Computes <code>self - other</code>, …",124,[[["duration",3]],[["option",4],["duration",3]]]],[11,"saturating_sub","","Saturating <code>Duration</code> subtraction. Computes <code>self - other</code>, …",124,[[["duration",3]],["duration",3]]],[11,"checked_mul","","Checked <code>Duration</code> multiplication. Computes <code>self * other</code>, …",124,[[["u32",15]],[["option",4],["duration",3]]]],[11,"saturating_mul","","Saturating <code>Duration</code> multiplication. Computes <code>self * other</code>…",124,[[["u32",15]],["duration",3]]],[11,"checked_div","","Checked <code>Duration</code> division. Computes <code>self / other</code>, …",124,[[["u32",15]],[["option",4],["duration",3]]]],[11,"as_secs_f64","","Returns the number of seconds contained by this <code>Duration</code> …",124,[[],["f64",15]]],[11,"as_secs_f32","","Returns the number of seconds contained by this <code>Duration</code> …",124,[[],["f32",15]]],[11,"from_secs_f64","","Creates a new <code>Duration</code> from the specified number of …",124,[[["f64",15]],["duration",3]]],[11,"from_secs_f32","","Creates a new <code>Duration</code> from the specified number of …",124,[[["f32",15]],["duration",3]]],[11,"mul_f64","","Multiplies <code>Duration</code> by <code>f64</code>.",124,[[["f64",15]],["duration",3]]],[11,"mul_f32","","Multiplies <code>Duration</code> by <code>f32</code>.",124,[[["f32",15]],["duration",3]]],[11,"div_f64","","Divide <code>Duration</code> by <code>f64</code>.",124,[[["f64",15]],["duration",3]]],[11,"div_f32","","Divide <code>Duration</code> by <code>f32</code>.",124,[[["f32",15]],["duration",3]]],[11,"div_duration_f64","","Divide <code>Duration</code> by <code>Duration</code> and return <code>f64</code>.",124,[[["duration",3]],["f64",15]]],[11,"div_duration_f32","","Divide <code>Duration</code> by <code>Duration</code> and return <code>f32</code>.",124,[[["duration",3]],["f32",15]]],[0,"unicode","core","",null,null],[0,"conversions","core::unicode","",null,null],[5,"to_lower","core::unicode::conversions","",null,[[["char",15]]]],[5,"to_upper","","",null,[[["char",15]]]],[17,"UNICODE_VERSION","core::unicode","The version of Unicode that the Unicode parts of <code>char</code> and …",null,null],[5,"Case_Ignorable","","",null,[[["char",15]],["bool",15]]],[5,"Cased","","",null,[[["char",15]],["bool",15]]],[0,"future","core","Asynchronous values.",null,null],[8,"Future","core::future","A future represents an asynchronous computation.",null,null],[16,"Output","","The type of value produced on completion.",125,null],[10,"poll","","Attempt to resolve the future to a final value, …",125,[[["pin",3],["context",3]],["poll",4]]],[8,"IntoFuture","","Conversion into a <code>Future</code>.",null,null],[16,"Output","","The output that the future will produce on completion.",126,null],[16,"Future","","Which kind of future are we turning this into?",126,null],[10,"into_future","","Creates a future from a value.",126,[[]]],[5,"pending","","Creates a future which never resolves, representing a …",null,[[],["pending",3]]],[3,"Pending","","Creates a future which never resolves, representing a …",null,null],[5,"ready","","Creates a future that is immediately ready with a value.",null,[[],["ready",3]]],[3,"Ready","","Creates a future that is immediately ready with a value.",null,null],[5,"poll_fn","","Creates a future that wraps a function returning [<code>Poll</code>].",null,[[],["pollfn",3]]],[3,"PollFn","","A Future that wraps a function returning [<code>Poll</code>].",null,null],[0,"task","core","Types and Traits for working with asynchronous tasks.",null,null],[4,"Poll","core::task","Indicates whether a value is available or if the current …",null,null],[13,"Ready","","Represents that a value is immediately ready.",127,null],[13,"Pending","","Represents that a value is not ready yet.",127,null],[3,"Context","","The <code>Context</code> of an asynchronous task.",null,null],[3,"RawWaker","","A <code>RawWaker</code> allows the implementor of a task executor to …",null,null],[3,"RawWakerVTable","","A virtual function pointer table (vtable) that specifies …",null,null],[3,"Waker","","A <code>Waker</code> is a handle for waking up a task by notifying its …",null,null],[14,"ready","","Extracts the successful type of a <code>Poll<T></code>.",null,null],[0,"alloc","core","Memory allocation APIs",null,null],[8,"GlobalAlloc","core::alloc","A memory allocator that can be registered as the standard …",null,null],[10,"alloc","","Allocate memory as described by the given <code>layout</code>.",128,[[["layout",3]]]],[10,"dealloc","","Deallocate the block of memory at the given <code>ptr</code> pointer …",128,[[["layout",3]]]],[11,"alloc_zeroed","","Behaves like <code>alloc</code>, but also ensures that the contents …",128,[[["layout",3]]]],[11,"realloc","","Shrink or grow a block of memory to the given <code>new_size</code>. …",128,[[["layout",3],["usize",15]]]],[3,"Layout","","Layout of a block of memory.",null,null],[6,"LayoutErr","","",null,null],[3,"LayoutError","","The parameters given to <code>Layout::from_size_align</code> or some …",null,null],[3,"AllocError","","The <code>AllocError</code> error indicates an allocation failure that …",null,null],[8,"Allocator","","An implementation of <code>Allocator</code> can allocate, grow, …",null,null],[10,"allocate","","Attempts to allocate a block of memory.",129,[[["layout",3]],[["nonnull",3],["allocerror",3],["result",4]]]],[11,"allocate_zeroed","","Behaves like <code>allocate</code>, but also ensures that the returned …",129,[[["layout",3]],[["nonnull",3],["allocerror",3],["result",4]]]],[10,"deallocate","","Deallocates the memory referenced by <code>ptr</code>.",129,[[["layout",3],["nonnull",3],["u8",15]]]],[11,"grow","","Attempts to extend the memory block.",129,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["allocerror",3],["result",4]]]],[11,"grow_zeroed","","Behaves like <code>grow</code>, but also ensures that the new contents …",129,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["allocerror",3],["result",4]]]],[11,"shrink","","Attempts to shrink the memory block.",129,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["allocerror",3],["result",4]]]],[11,"by_ref","","Creates a \\\"by reference\\\" adaptor for this instance of …",129,[[]]],[0,"primitive","core","This module reexports the primitive types to allow usage …",null,null],[0,"arch","","SIMD and vendor intrinsics module.",null,null],[0,"x86","core::arch","Platform-specific intrinsics for the <code>x86</code> platform.",null,null],[3,"__m128i","core::arch::x86","128-bit wide integer vector type, x86-specific",null,null],[3,"__m128","","128-bit wide set of four <code>f32</code> types, x86-specific",null,null],[3,"__m128d","","128-bit wide set of two <code>f64</code> types, x86-specific",null,null],[3,"__m256i","","256-bit wide integer vector type, x86-specific",null,null],[3,"__m256","","256-bit wide set of eight <code>f32</code> types, x86-specific",null,null],[3,"__m256d","","256-bit wide set of four <code>f64</code> types, x86-specific",null,null],[3,"__m512i","","512-bit wide integer vector type, x86-specific",null,null],[3,"__m512","","512-bit wide set of sixteen <code>f32</code> types, x86-specific",null,null],[3,"__m512d","","512-bit wide set of eight <code>f64</code> types, x86-specific",null,null],[6,"__mmask64","","The <code>__mmask64</code> type used in AVX-512 intrinsics, a 64-bit …",null,null],[6,"__mmask32","","The <code>__mmask32</code> type used in AVX-512 intrinsics, a 32-bit …",null,null],[6,"__mmask16","","The <code>__mmask16</code> type used in AVX-512 intrinsics, a 16-bit …",null,null],[6,"__mmask8","","The <code>__mmask8</code> type used in AVX-512 intrinsics, a 8-bit …",null,null],[6,"_MM_CMPINT_ENUM","","The <code>_MM_CMPINT_ENUM</code> type used to specify comparison …",null,null],[6,"_MM_MANTISSA_NORM_ENUM","","The <code>MM_MANTISSA_NORM_ENUM</code> type used to specify mantissa …",null,null],[6,"_MM_MANTISSA_SIGN_ENUM","","The <code>MM_MANTISSA_SIGN_ENUM</code> type used to specify mantissa …",null,null],[6,"_MM_PERM_ENUM","","The <code>MM_PERM_ENUM</code> type used to specify shuffle operations …",null,null],[5,"_fxsave","","Saves the <code>x87</code> FPU, <code>MMX</code> technology, <code>XMM</code>, and <code>MXCSR</code> …",null,[[]]],[5,"_fxrstor","","Restores the <code>XMM</code>, <code>MMX</code>, <code>MXCSR</code>, and <code>x87</code> FPU registers from …",null,[[]]],[5,"_bswap","","Returns an integer with the reversed byte order of x",null,[[["i32",15]],["i32",15]]],[5,"_rdtsc","","Reads the current value of the processor’s time-stamp …",null,[[],["u64",15]]],[5,"__rdtscp","","Reads the current value of the processor’s time-stamp …",null,[[],["u64",15]]],[3,"CpuidResult","","Result of the <code>cpuid</code> instruction.",null,null],[12,"eax","","EAX register.",130,null],[12,"ebx","","EBX register.",130,null],[12,"ecx","","ECX register.",130,null],[12,"edx","","EDX register.",130,null],[5,"__cpuid_count","","Returns the result of the <code>cpuid</code> instruction for a given …",null,[[["u32",15]],["cpuidresult",3]]],[5,"__cpuid","","See <code>__cpuid_count</code>.",null,[[["u32",15]],["cpuidresult",3]]],[5,"has_cpuid","","Does the host support the <code>cpuid</code> instruction?",null,[[],["bool",15]]],[5,"__get_cpuid_max","","Returns the highest-supported <code>leaf</code> (<code>EAX</code>) and sub-leaf (<code>ECX</code>…",null,[[["u32",15]]]],[5,"_xsave","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstor","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[17,"_XCR_XFEATURE_ENABLED_MASK","","<code>XFEATURE_ENABLED_MASK</code> for <code>XCR</code>",null,null],[5,"_xsetbv","","Copies 64-bits from <code>val</code> to the extended control register (…",null,[[["u32",15],["u64",15]]]],[5,"_xgetbv","","Reads the contents of the extended control register <code>XCR</code> …",null,[[["u32",15]],["u64",15]]],[5,"_xsaveopt","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsavec","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsaves","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstors","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[5,"_mm_add_ss","","Adds the first component of <code>a</code> and <code>b</code>, the other components …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_add_ps","","Adds __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sub_ss","","Subtracts the first component of <code>b</code> from <code>a</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sub_ps","","Subtracts __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mul_ss","","Multiplies the first component of <code>a</code> and <code>b</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mul_ps","","Multiplies __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_div_ss","","Divides the first component of <code>b</code> by <code>a</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_div_ps","","Divides __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sqrt_ss","","Returns the square root of the first single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sqrt_ps","","Returns the square root of packed single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rcp_ss","","Returns the approximate reciprocal of the first …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rcp_ps","","Returns the approximate reciprocal of packed …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rsqrt_ss","","Returns the approximate reciprocal square root of the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rsqrt_ps","","Returns the approximate reciprocal square root of packed …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_min_ss","","Compares the first single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_min_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_max_ss","","Compares the first single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_max_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_and_ps","","Bitwise AND of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_andnot_ps","","Bitwise AND-NOT of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_or_ps","","Bitwise OR of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_xor_ps","","Bitwise exclusive OR of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpeq_ss","","Compares the lowest <code>f32</code> of both inputs for equality. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmplt_ss","","Compares the lowest <code>f32</code> of both inputs for less than. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmple_ss","","Compares the lowest <code>f32</code> of both inputs for less than or …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpgt_ss","","Compares the lowest <code>f32</code> of both inputs for greater than. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpge_ss","","Compares the lowest <code>f32</code> of both inputs for greater than …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpneq_ss","","Compares the lowest <code>f32</code> of both inputs for inequality. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnlt_ss","","Compares the lowest <code>f32</code> of both inputs for not-less-than. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnle_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpngt_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnge_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpord_ss","","Checks if the lowest <code>f32</code> of both inputs are ordered. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpunord_ss","","Checks if the lowest <code>f32</code> of both inputs are unordered. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpeq_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmplt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmple_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpgt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpge_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpneq_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnlt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnle_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpngt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnge_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpord_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpunord_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_comieq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comilt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comile_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comigt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comige_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comineq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomieq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomilt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomile_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomigt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomige_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomineq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_si32","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvt_ss2si","","Alias for <code>_mm_cvtss_si32</code>.",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvttss_si32","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtt_ss2si","","Alias for <code>_mm_cvttss_si32</code>.",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_f32","","Extracts the lowest 32 bit float from the input vector.",null,[[["__m128",3]],["f32",15]]],[5,"_mm_cvtsi32_ss","","Converts a 32 bit integer to a 32 bit float. The result …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_si2ss","","Alias for <code>_mm_cvtsi32_ss</code>.",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_set_ss","","Construct a <code>__m128</code> with the lowest element set to <code>a</code> and …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set1_ps","","Construct a <code>__m128</code> with all element set to <code>a</code>.",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set_ps1","","Alias for <code>_mm_set1_ps</code>",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set_ps","","Construct a <code>__m128</code> from four floating point values …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_setr_ps","","Construct a <code>__m128</code> from four floating point values lowest …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_setzero_ps","","Construct a <code>__m128</code> with all elements initialized to zero.",null,[[],["__m128",3]]],[5,"_MM_SHUFFLE","","A utility function for creating masks to use with Intel …",null,[[["u32",15]],["i32",15]]],[5,"_mm_shuffle_ps","","Shuffles packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_unpackhi_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_unpacklo_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movehl_ps","","Combine higher half of <code>a</code> and <code>b</code>. The highwe half of <code>b</code> …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movelh_ps","","Combine lower half of <code>a</code> and <code>b</code>. The lower half of <code>b</code> …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movemask_ps","","Returns a mask of the most significant bit of each …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_load_ss","","Construct a <code>__m128</code> with the lowest element read from <code>p</code> …",null,[[],["__m128",3]]],[5,"_mm_load1_ps","","Construct a <code>__m128</code> by duplicating the value read from <code>p</code> …",null,[[],["__m128",3]]],[5,"_mm_load_ps1","","Alias for <code>_mm_load1_ps</code>",null,[[],["__m128",3]]],[5,"_mm_load_ps","","Loads four <code>f32</code> values from <em>aligned</em> memory into a <code>__m128</code>. …",null,[[],["__m128",3]]],[5,"_mm_loadu_ps","","Loads four <code>f32</code> values from memory into a <code>__m128</code>. There …",null,[[],["__m128",3]]],[5,"_mm_loadr_ps","","Loads four <code>f32</code> values from aligned memory into a <code>__m128</code> …",null,[[],["__m128",3]]],[5,"_mm_loadu_si64","","Loads unaligned 64-bits of integer data from memory into …",null,[[],["__m128i",3]]],[5,"_mm_store_ss","","Stores the lowest 32 bit float of <code>a</code> into memory.",null,[[["__m128",3]]]],[5,"_mm_store1_ps","","Stores the lowest 32 bit float of <code>a</code> repeated four times …",null,[[["__m128",3]]]],[5,"_mm_store_ps1","","Alias for <code>_mm_store1_ps</code>",null,[[["__m128",3]]]],[5,"_mm_store_ps","","Stores four 32-bit floats into <em>aligned</em> memory.",null,[[["__m128",3]]]],[5,"_mm_storeu_ps","","Stores four 32-bit floats into memory. There are no …",null,[[["__m128",3]]]],[5,"_mm_storer_ps","","Stores four 32-bit floats into <em>aligned</em> memory in reverse …",null,[[["__m128",3]]]],[5,"_mm_move_ss","","Returns a <code>__m128</code> with the first component from <code>b</code> and the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sfence","","Performs a serializing operation on all store-to-memory …",null,[[]]],[5,"_mm_getcsr","","Gets the unsigned 32-bit value of the MXCSR control and …",null,[[],["u32",15]]],[5,"_mm_setcsr","","Sets the MXCSR register with the 32-bit unsigned integer …",null,[[["u32",15]]]],[17,"_MM_EXCEPT_INVALID","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_DENORM","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_DIV_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_OVERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_UNDERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_INEXACT","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_MASK","","See <code>_MM_GET_EXCEPTION_STATE</code>",null,null],[17,"_MM_MASK_INVALID","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_DENORM","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_DIV_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_OVERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_UNDERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_INEXACT","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_MASK","","See <code>_MM_GET_EXCEPTION_MASK</code>",null,null],[17,"_MM_ROUND_NEAREST","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_DOWN","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_UP","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_TOWARD_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_MASK","","See <code>_MM_GET_ROUNDING_MODE</code>",null,null],[17,"_MM_FLUSH_ZERO_MASK","","See <code>_MM_GET_FLUSH_ZERO_MODE</code>",null,null],[17,"_MM_FLUSH_ZERO_ON","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_FLUSH_ZERO_OFF","","See <code>_mm_setcsr</code>",null,null],[5,"_MM_GET_EXCEPTION_MASK","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_EXCEPTION_STATE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_FLUSH_ZERO_MODE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_ROUNDING_MODE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_SET_EXCEPTION_MASK","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_EXCEPTION_STATE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_FLUSH_ZERO_MODE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_ROUNDING_MODE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[17,"_MM_HINT_T0","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_T1","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_T2","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_NTA","","See <code>_mm_prefetch</code>.",null,null],[5,"_mm_prefetch","","Fetch the cache line that contains address <code>p</code> using the …",null,[[["i32",15]]]],[5,"_mm_undefined_ps","","Returns vector of type __m128 with undefined elements.",null,[[],["__m128",3]]],[5,"_MM_TRANSPOSE4_PS","","Transpose the 4x4 matrix formed by 4 rows of __m128 in …",null,[[["__m128",3]]]],[5,"_mm_stream_ps","","Stores <code>a</code> into the memory at <code>mem_addr</code> using a non-temporal …",null,[[["__m128",3]]]],[5,"_mm_pause","","Provides a hint to the processor that the code sequence …",null,[[]]],[5,"_mm_clflush","","Invalidates and flushes the cache line that contains <code>p</code> …",null,[[]]],[5,"_mm_lfence","","Performs a serializing operation on all load-from-memory …",null,[[]]],[5,"_mm_mfence","","Performs a serializing operation on all load-from-memory …",null,[[]]],[5,"_mm_add_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi32","","Adds packed 32-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi64","","Adds packed 64-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epu8","","Adds packed unsigned 8-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epu16","","Adds packed unsigned 16-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_avg_epu8","","Averages packed unsigned 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_avg_epu16","","Averages packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_madd_epi16","","Multiplies and then horizontally add signed 16 bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhi_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhi_epu16","","Multiplies the packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mullo_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mul_epu32","","Multiplies the low unsigned 32-bit integers from each …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sad_epu8","","Sum the absolute differences of packed unsigned 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi8","","Subtracts packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi16","","Subtracts packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi32","","Subtract packed 32-bit integers in <code>b</code> from packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi64","","Subtract packed 64-bit integers in <code>b</code> from packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epu8","","Subtract packed unsigned 8-bit integers in <code>b</code> from packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epu16","","Subtract packed unsigned 16-bit integers in <code>b</code> from packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_si128","","Shifts <code>a</code> left by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_bslli_si128","","Shifts <code>a</code> left by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_bsrli_si128","","Shifts <code>a</code> right by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_slli_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srai_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sra_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srai_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sra_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_si128","","Shifts <code>a</code> right by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srli_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_and_si128","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_andnot_si128","","Computes the bitwise NOT of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_or_si128","","Computes the bitwise OR of 128 bits (representing integer …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_xor_si128","","Computes the bitwise XOR of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi32_pd","","Converts the lower two packed 32-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_cvtsi32_sd","","Returns <code>a</code> with its lower element replaced by <code>b</code> after …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtepi32_ps","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_cvtps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_cvtsi32_si128","","Returns a vector whose lowest element is <code>a</code> and all higher …",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_cvtsi128_si32","","Returns the lowest element of <code>a</code>.",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_set_epi64x","","Sets packed 64-bit integers with the supplied values, …",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_set_epi32","","Sets packed 32-bit integers with the supplied values.",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_set_epi16","","Sets packed 16-bit integers with the supplied values.",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_set_epi8","","Sets packed 8-bit integers with the supplied values.",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_set1_epi64x","","Broadcasts 64-bit integer <code>a</code> to all elements.",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_set1_epi32","","Broadcasts 32-bit integer <code>a</code> to all elements.",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_set1_epi16","","Broadcasts 16-bit integer <code>a</code> to all elements.",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_set1_epi8","","Broadcasts 8-bit integer <code>a</code> to all elements.",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_setr_epi32","","Sets packed 32-bit integers with the supplied values in …",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_setr_epi16","","Sets packed 16-bit integers with the supplied values in …",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_setr_epi8","","Sets packed 8-bit integers with the supplied values in …",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_setzero_si128","","Returns a vector with all elements set to zero.",null,[[],["__m128i",3]]],[5,"_mm_loadl_epi64","","Loads 64-bit integer from memory into first element of …",null,[[],["__m128i",3]]],[5,"_mm_load_si128","","Loads 128-bits of integer data from memory into a new …",null,[[],["__m128i",3]]],[5,"_mm_loadu_si128","","Loads 128-bits of integer data from memory into a new …",null,[[],["__m128i",3]]],[5,"_mm_maskmoveu_si128","","Conditionally store 8-bit integer elements from <code>a</code> into …",null,[[["__m128i",3]]]],[5,"_mm_store_si128","","Stores 128-bits of integer data from <code>a</code> into memory.",null,[[["__m128i",3]]]],[5,"_mm_storeu_si128","","Stores 128-bits of integer data from <code>a</code> into memory.",null,[[["__m128i",3]]]],[5,"_mm_storel_epi64","","Stores the lower 64-bit integer <code>a</code> to a memory location.",null,[[["__m128i",3]]]],[5,"_mm_stream_si128","","Stores a 128-bit integer vector to a 128-bit aligned …",null,[[["__m128i",3]]]],[5,"_mm_stream_si32","","Stores a 32-bit integer value in the specified memory …",null,[[["i32",15]]]],[5,"_mm_move_epi64","","Returns a vector where the low element is extracted from <code>a</code>…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packs_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packs_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packus_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_extract_epi16","","Returns the <code>imm8</code> element of <code>a</code>.",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_insert_epi16","","Returns a new vector where the <code>imm8</code> element of <code>a</code> is …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_movemask_epi8","","Returns a mask of the most significant bit of each …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_shuffle_epi32","","Shuffles 32-bit integers in <code>a</code> using the control in <code>imm8</code>.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_shufflehi_epi16","","Shuffles 16-bit integers in the high 64 bits of <code>a</code> using …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_shufflelo_epi16","","Shuffles 16-bit integers in the low 64 bits of <code>a</code> using …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_unpackhi_epi8","","Unpacks and interleave 8-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi16","","Unpacks and interleave 16-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi32","","Unpacks and interleave 32-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi64","","Unpacks and interleave 64-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi8","","Unpacks and interleave 8-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi16","","Unpacks and interleave 16-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi32","","Unpacks and interleave 32-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi64","","Unpacks and interleave 64-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_add_pd","","Adds packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_div_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_max_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_max_pd","","Returns a new vector with the maximum values from …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_min_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_min_pd","","Returns a new vector with the minimum values from …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_pd","","Returns a new vector with the square root of each of the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_and_pd","","Computes the bitwise AND of packed double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_andnot_pd","","Computes the bitwise NOT of <code>a</code> and then AND with <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_or_pd","","Computes the bitwise OR of <code>a</code> and <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_xor_pd","","Computes the bitwise OR of <code>a</code> and <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpeq_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmplt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmple_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpgt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpge_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpord_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpunord_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpneq_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnlt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnle_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpngt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnge_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpeq_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmplt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmple_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpgt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpge_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpord_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> to see if …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpunord_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> to see if …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpneq_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnlt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnle_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpngt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnge_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_comieq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comilt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comile_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comigt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for greater-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comige_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comineq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomieq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomilt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomile_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomigt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for greater-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomige_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomineq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtpd_ps","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128",3]]],[5,"_mm_cvtps_pd","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128d",3]]],[5,"_mm_cvtpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_cvtsd_si32","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtsd_ss","","Converts the lower double-precision (64-bit) …",null,[[["__m128",3],["__m128d",3]],["__m128",3]]],[5,"_mm_cvtsd_f64","","Returns the lower double-precision (64-bit) …",null,[[["__m128d",3]],["f64",15]]],[5,"_mm_cvtss_sd","","Converts the lower single-precision (32-bit) …",null,[[["__m128",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvttpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_cvttsd_si32","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvttps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_set_sd","","Copies double-precision (64-bit) floating-point element <code>a</code> …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set1_pd","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set_pd1","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_setr_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_setzero_pd","","Returns packed double-precision (64-bit) floating-point …",null,[[],["__m128d",3]]],[5,"_mm_movemask_pd","","Returns a mask of the most significant bit of each …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_load_pd","","Loads 128-bits (composed of 2 packed double-precision …",null,[[],["__m128d",3]]],[5,"_mm_load_sd","","Loads a 64-bit double-precision value to the low element …",null,[[],["__m128d",3]]],[5,"_mm_loadh_pd","","Loads a double-precision value into the high-order bits …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_loadl_pd","","Loads a double-precision value into the low-order bits of …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_stream_pd","","Stores a 128-bit floating point vector of <code>[2 x double]</code> to …",null,[[["__m128d",3]]]],[5,"_mm_store_sd","","Stores the lower 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_store_pd","","Stores 128-bits (composed of 2 packed double-precision …",null,[[["__m128d",3]]]],[5,"_mm_storeu_pd","","Stores 128-bits (composed of 2 packed double-precision …",null,[[["__m128d",3]]]],[5,"_mm_store1_pd","","Stores the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_store_pd1","","Stores the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_storer_pd","","Stores 2 double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_storeh_pd","","Stores the upper 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_storel_pd","","Stores the lower 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_load1_pd","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_load_pd1","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_loadr_pd","","Loads 2 double-precision (64-bit) floating-point elements …",null,[[],["__m128d",3]]],[5,"_mm_loadu_pd","","Loads 128-bits (composed of 2 packed double-precision …",null,[[],["__m128d",3]]],[5,"_mm_shuffle_pd","","Constructs a 128-bit floating-point vector of <code>[2 x double]</code>…",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_move_sd","","Constructs a 128-bit floating-point vector of <code>[2 x double]</code>…",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_castpd_ps","","Casts a 128-bit floating-point vector of <code>[2 x double]</code> …",null,[[["__m128d",3]],["__m128",3]]],[5,"_mm_castpd_si128","","Casts a 128-bit floating-point vector of <code>[2 x double]</code> …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_castps_pd","","Casts a 128-bit floating-point vector of <code>[4 x float]</code> into …",null,[[["__m128",3]],["__m128d",3]]],[5,"_mm_castps_si128","","Casts a 128-bit floating-point vector of <code>[4 x float]</code> into …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_castsi128_pd","","Casts a 128-bit integer vector into a 128-bit …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_castsi128_ps","","Casts a 128-bit integer vector into a 128-bit …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_undefined_pd","","Returns vector of type __m128d with undefined elements.",null,[[],["__m128d",3]]],[5,"_mm_undefined_si128","","Returns vector of type __m128i with undefined elements.",null,[[],["__m128i",3]]],[5,"_mm_unpackhi_pd","","The resulting <code>__m128d</code> element is composed by the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_unpacklo_pd","","The resulting <code>__m128d</code> element is composed by the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_addsub_ps","","Alternatively add and subtract packed single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_addsub_pd","","Alternatively add and subtract packed double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hadd_pd","","Horizontally adds adjacent pairs of double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hadd_ps","","Horizontally adds adjacent pairs of single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_hsub_pd","","Horizontally subtract adjacent pairs of double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hsub_ps","","Horizontally adds adjacent pairs of single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_lddqu_si128","","Loads 128-bits of integer data from unaligned memory. …",null,[[],["__m128i",3]]],[5,"_mm_movedup_pd","","Duplicate the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_loaddup_pd","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_abs_epi8","","Computes the absolute value of packed 8-bit signed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_abs_epi16","","Computes the absolute value of each of the packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_abs_epi32","","Computes the absolute value of each of the packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_shuffle_epi8","","Shuffles bytes from <code>a</code> according to the content of <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_alignr_epi8","","Concatenate 16-byte blocks in <code>a</code> and <code>b</code> into a 32-byte …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_hadd_epi16","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hadds_epi16","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hadd_epi32","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsub_epi16","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsubs_epi16","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsub_epi32","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maddubs_epi16","","Multiplies corresponding pairs of packed 8-bit unsigned …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhrs_epi16","","Multiplies packed 16-bit signed integer values, truncate …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi8","","Negates packed 8-bit integers in <code>a</code> when the corresponding …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi16","","Negates packed 16-bit integers in <code>a</code> when the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi32","","Negates packed 32-bit integers in <code>a</code> when the …",null,[[["__m128i",3]],["__m128i",3]]],[17,"_MM_FROUND_TO_NEAREST_INT","","round to nearest",null,null],[17,"_MM_FROUND_TO_NEG_INF","","round down",null,null],[17,"_MM_FROUND_TO_POS_INF","","round up",null,null],[17,"_MM_FROUND_TO_ZERO","","truncate",null,null],[17,"_MM_FROUND_CUR_DIRECTION","","use MXCSR.RC; see <code>vendor::_MM_SET_ROUNDING_MODE</code>",null,null],[17,"_MM_FROUND_RAISE_EXC","","do not suppress exceptions",null,null],[17,"_MM_FROUND_NO_EXC","","suppress exceptions",null,null],[17,"_MM_FROUND_NINT","","round to nearest and do not suppress exceptions",null,null],[17,"_MM_FROUND_FLOOR","","round down and do not suppress exceptions",null,null],[17,"_MM_FROUND_CEIL","","round up and do not suppress exceptions",null,null],[17,"_MM_FROUND_TRUNC","","truncate and do not suppress exceptions",null,null],[17,"_MM_FROUND_RINT","","use MXCSR.RC and do not suppress exceptions; see …",null,null],[17,"_MM_FROUND_NEARBYINT","","use MXCSR.RC and suppress exceptions; see …",null,null],[5,"_mm_blendv_epi8","","Blend packed 8-bit integers from <code>a</code> and <code>b</code> using <code>mask</code>",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_blend_epi16","","Blend packed 16-bit integers from <code>a</code> and <code>b</code> using the mask …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_blendv_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_blendv_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_blend_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_blend_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_extract_ps","","Extracts a single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_extract_epi8","","Extracts an 8-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_extract_epi32","","Extracts an 32-bit integer from <code>a</code> selected with <code>imm8</code>",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_insert_ps","","Select a single value in <code>a</code> to store at some position in <code>b</code>,…",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_insert_epi8","","Returns a copy of <code>a</code> with the 8-bit integer from <code>i</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_insert_epi32","","Returns a copy of <code>a</code> with the 32-bit integer from <code>i</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_max_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packus_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for equality",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi16","","Sign extend packed 8-bit integers in <code>a</code> to packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi32","","Sign extend packed 8-bit integers in <code>a</code> to packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of <code>a</code> …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi16_epi32","","Sign extend packed 16-bit integers in <code>a</code> to packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi16_epi64","","Sign extend packed 16-bit integers in <code>a</code> to packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi32_epi64","","Sign extend packed 32-bit integers in <code>a</code> to packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi16","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi32","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi64","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu16_epi32","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu16_epi64","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu32_epi64","","Zeroes extend packed unsigned 32-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_dp_pd","","Returns the dot product of two __m128d vectors.",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_dp_ps","","Returns the dot product of two __m128 vectors.",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_floor_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_floor_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_floor_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_floor_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_ceil_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_ceil_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_ceil_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_ceil_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_round_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_round_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_minpos_epu16","","Finds the minimum unsigned 16-bit element in the 128-bit _…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mul_epi32","","Multiplies the low 32-bit integers from each packed 64-bit…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mullo_epi32","","Multiplies the packed 32-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mpsadbw_epu8","","Subtracts 8-bit unsigned integer values and computes the …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_testz_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_testc_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_testnzc_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_all_zeros","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_all_ones","","Tests whether the specified bits in <code>a</code> 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_mix_ones_zeros","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[17,"_SIDD_UBYTE_OPS","","String contains unsigned 8-bit characters <em>(Default)</em>",null,null],[17,"_SIDD_UWORD_OPS","","String contains unsigned 16-bit characters",null,null],[17,"_SIDD_SBYTE_OPS","","String contains signed 8-bit characters",null,null],[17,"_SIDD_SWORD_OPS","","String contains unsigned 16-bit characters",null,null],[17,"_SIDD_CMP_EQUAL_ANY","","For each character in <code>a</code>, find if it is in <code>b</code> <em>(Default)</em>",null,null],[17,"_SIDD_CMP_RANGES","","For each character in <code>a</code>, determine if …",null,null],[17,"_SIDD_CMP_EQUAL_EACH","","The strings defined by <code>a</code> and <code>b</code> are equal",null,null],[17,"_SIDD_CMP_EQUAL_ORDERED","","Search for the defined substring in the target",null,null],[17,"_SIDD_POSITIVE_POLARITY","","Do not negate results <em>(Default)</em>",null,null],[17,"_SIDD_NEGATIVE_POLARITY","","Negates results",null,null],[17,"_SIDD_MASKED_POSITIVE_POLARITY","","Do not negate results before the end of the string",null,null],[17,"_SIDD_MASKED_NEGATIVE_POLARITY","","Negates results only before the end of the string",null,null],[17,"_SIDD_LEAST_SIGNIFICANT","","<strong>Index only</strong>: return the least significant bit <em>(Default)</em>",null,null],[17,"_SIDD_MOST_SIGNIFICANT","","<strong>Index only</strong>: return the most significant bit",null,null],[17,"_SIDD_BIT_MASK","","<strong>Mask only</strong>: return the bit mask",null,null],[17,"_SIDD_UNIT_MASK","","<strong>Mask only</strong>: return the byte mask",null,null],[5,"_mm_cmpistrm","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_cmpistri","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrz","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrc","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrs","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistro","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistra","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrm","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_cmpestri","","Compares packed strings <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrz","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrc","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrs","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestro","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestra","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_crc32_u8","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15],["u8",15]],["u32",15]]],[5,"_mm_crc32_u16","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15],["u16",15]],["u32",15]]],[5,"_mm_crc32_u32","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15]],["u32",15]]],[5,"_mm_cmpgt_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_add_pd","","Adds packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_add_ps","","Adds packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_and_pd","","Computes the bitwise AND of a packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_and_ps","","Computes the bitwise AND of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_or_pd","","Computes the bitwise OR packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_or_ps","","Computes the bitwise OR packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_shuffle_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_shuffle_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_andnot_pd","","Computes the bitwise NOT of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_andnot_ps","","Computes the bitwise NOT of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_max_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_max_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_min_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_min_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_mul_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_mul_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_addsub_pd","","Alternatively adds and subtracts packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_addsub_ps","","Alternatively adds and subtracts packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sub_pd","","Subtracts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_sub_ps","","Subtracts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_div_ps","","Computes the division of each of the 8 packed 32-bit …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_div_pd","","Computes the division of each of the 4 packed 64-bit …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_round_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_ceil_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_floor_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_round_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_ceil_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_floor_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sqrt_ps","","Returns the square root of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sqrt_pd","","Returns the square root of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_blend_pd","","Blends packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_blend_ps","","Blends packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_blendv_pd","","Blends packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_blendv_ps","","Blends packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_dp_ps","","Conditionally multiplies the packed single-precision …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_hadd_pd","","Horizontal addition of adjacent pairs in the two packed …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_hadd_ps","","Horizontal addition of adjacent pairs in the two packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_hsub_pd","","Horizontal subtraction of adjacent pairs in the two …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_hsub_ps","","Horizontal subtraction of adjacent pairs in the two …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_xor_pd","","Computes the bitwise XOR of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_xor_ps","","Computes the bitwise XOR of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[17,"_CMP_EQ_OQ","","Equal (ordered, non-signaling)",null,null],[17,"_CMP_LT_OS","","Less-than (ordered, signaling)",null,null],[17,"_CMP_LE_OS","","Less-than-or-equal (ordered, signaling)",null,null],[17,"_CMP_UNORD_Q","","Unordered (non-signaling)",null,null],[17,"_CMP_NEQ_UQ","","Not-equal (unordered, non-signaling)",null,null],[17,"_CMP_NLT_US","","Not-less-than (unordered, signaling)",null,null],[17,"_CMP_NLE_US","","Not-less-than-or-equal (unordered, signaling)",null,null],[17,"_CMP_ORD_Q","","Ordered (non-signaling)",null,null],[17,"_CMP_EQ_UQ","","Equal (unordered, non-signaling)",null,null],[17,"_CMP_NGE_US","","Not-greater-than-or-equal (unordered, signaling)",null,null],[17,"_CMP_NGT_US","","Not-greater-than (unordered, signaling)",null,null],[17,"_CMP_FALSE_OQ","","False (ordered, non-signaling)",null,null],[17,"_CMP_NEQ_OQ","","Not-equal (ordered, non-signaling)",null,null],[17,"_CMP_GE_OS","","Greater-than-or-equal (ordered, signaling)",null,null],[17,"_CMP_GT_OS","","Greater-than (ordered, signaling)",null,null],[17,"_CMP_TRUE_UQ","","True (unordered, non-signaling)",null,null],[17,"_CMP_EQ_OS","","Equal (ordered, signaling)",null,null],[17,"_CMP_LT_OQ","","Less-than (ordered, non-signaling)",null,null],[17,"_CMP_LE_OQ","","Less-than-or-equal (ordered, non-signaling)",null,null],[17,"_CMP_UNORD_S","","Unordered (signaling)",null,null],[17,"_CMP_NEQ_US","","Not-equal (unordered, signaling)",null,null],[17,"_CMP_NLT_UQ","","Not-less-than (unordered, non-signaling)",null,null],[17,"_CMP_NLE_UQ","","Not-less-than-or-equal (unordered, non-signaling)",null,null],[17,"_CMP_ORD_S","","Ordered (signaling)",null,null],[17,"_CMP_EQ_US","","Equal (unordered, signaling)",null,null],[17,"_CMP_NGE_UQ","","Not-greater-than-or-equal (unordered, non-signaling)",null,null],[17,"_CMP_NGT_UQ","","Not-greater-than (unordered, non-signaling)",null,null],[17,"_CMP_FALSE_OS","","False (ordered, signaling)",null,null],[17,"_CMP_NEQ_OS","","Not-equal (ordered, signaling)",null,null],[17,"_CMP_GE_OQ","","Greater-than-or-equal (ordered, non-signaling)",null,null],[17,"_CMP_GT_OQ","","Greater-than (ordered, non-signaling)",null,null],[17,"_CMP_TRUE_US","","True (unordered, signaling)",null,null],[5,"_mm_cmp_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm256_cmp_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm_cmp_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_cmp_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm_cmp_sd","","Compares the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cmp_ss","","Compares the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_cvtepi32_pd","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m128i",3]],["__m256d",3]]],[5,"_mm256_cvtepi32_ps","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_cvtpd_ps","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128",3]]],[5,"_mm256_cvtps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_cvtps_pd","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m256d",3]]],[5,"_mm256_cvttpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128i",3]]],[5,"_mm256_cvtpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128i",3]]],[5,"_mm256_cvttps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_extractf128_ps","","Extracts 128 bits (composed of 4 packed single-precision …",null,[[["__m256",3],["i32",15]],["__m128",3]]],[5,"_mm256_extractf128_pd","","Extracts 128 bits (composed of 2 packed double-precision …",null,[[["i32",15],["__m256d",3]],["__m128d",3]]],[5,"_mm256_extractf128_si256","","Extracts 128 bits (composed of integer data) from <code>a</code>, …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_zeroall","","Zeroes the contents of all XMM or YMM registers.",null,[[]]],[5,"_mm256_zeroupper","","Zeroes the upper 128 bits of all YMM registers; the lower …",null,[[]]],[5,"_mm256_permutevar_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["__m256i",3]],["__m256",3]]],[5,"_mm_permutevar_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_permute_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm_permute_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_permutevar_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__m256d",3]],["__m256d",3]]],[5,"_mm_permutevar_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_permute_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm_permute_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm256_permute2f128_ps","","Shuffles 256 bits (composed of 8 packed single-precision …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_permute2f128_pd","","Shuffles 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_permute2f128_si256","","Shuffles 128-bits (composed of integer data) selected by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_broadcast_ss","","Broadcasts a single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm_broadcast_ss","","Broadcasts a single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m128",3]]],[5,"_mm256_broadcast_sd","","Broadcasts a double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_broadcast_ps","","Broadcasts 128 bits from memory (composed of 4 packed …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_broadcast_pd","","Broadcasts 128 bits from memory (composed of 2 packed …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_insertf128_ps","","Copies <code>a</code> to result, then inserts 128 bits (composed of 4 …",null,[[["__m256",3],["__m128",3],["i32",15]],["__m256",3]]],[5,"_mm256_insertf128_pd","","Copies <code>a</code> to result, then inserts 128 bits (composed of 2 …",null,[[["__m128d",3],["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_insertf128_si256","","Copies <code>a</code> to result, then inserts 128 bits from <code>b</code> into …",null,[[["__m128i",3],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_insert_epi8","","Copies <code>a</code> to result, and inserts the 8-bit integer <code>i</code> into …",null,[[["i32",15],["__m256i",3],["i8",15]],["__m256i",3]]],[5,"_mm256_insert_epi16","","Copies <code>a</code> to result, and inserts the 16-bit integer <code>i</code> into …",null,[[["__m256i",3],["i16",15],["i32",15]],["__m256i",3]]],[5,"_mm256_insert_epi32","","Copies <code>a</code> to result, and inserts the 32-bit integer <code>i</code> into …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_load_pd","","Loads 256-bits (composed of 4 packed double-precision …",null,[[],["__m256d",3]]],[5,"_mm256_store_pd","","Stores 256-bits (composed of 4 packed double-precision …",null,[[["__m256d",3]]]],[5,"_mm256_load_ps","","Loads 256-bits (composed of 8 packed single-precision …",null,[[],["__m256",3]]],[5,"_mm256_store_ps","","Stores 256-bits (composed of 8 packed single-precision …",null,[[["__m256",3]]]],[5,"_mm256_loadu_pd","","Loads 256-bits (composed of 4 packed double-precision …",null,[[],["__m256d",3]]],[5,"_mm256_storeu_pd","","Stores 256-bits (composed of 4 packed double-precision …",null,[[["__m256d",3]]]],[5,"_mm256_loadu_ps","","Loads 256-bits (composed of 8 packed single-precision …",null,[[],["__m256",3]]],[5,"_mm256_storeu_ps","","Stores 256-bits (composed of 8 packed single-precision …",null,[[["__m256",3]]]],[5,"_mm256_load_si256","","Loads 256-bits of integer data from memory into result. …",null,[[],["__m256i",3]]],[5,"_mm256_store_si256","","Stores 256-bits of integer data from <code>a</code> into memory. …",null,[[["__m256i",3]]]],[5,"_mm256_loadu_si256","","Loads 256-bits of integer data from memory into result. …",null,[[],["__m256i",3]]],[5,"_mm256_storeu_si256","","Stores 256-bits of integer data from <code>a</code> into memory. …",null,[[["__m256i",3]]]],[5,"_mm256_maskload_pd","","Loads packed double-precision (64-bit) floating-point …",null,[[["__m256i",3]],["__m256d",3]]],[5,"_mm256_maskstore_pd","","Stores packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__m256d",3]]]],[5,"_mm_maskload_pd","","Loads packed double-precision (64-bit) floating-point …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_maskstore_pd","","Stores packed double-precision (64-bit) floating-point …",null,[[["__m128i",3],["__m128d",3]]]],[5,"_mm256_maskload_ps","","Loads packed single-precision (32-bit) floating-point …",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_maskstore_ps","","Stores packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["__m256",3]]]],[5,"_mm_maskload_ps","","Loads packed single-precision (32-bit) floating-point …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_maskstore_ps","","Stores packed single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3]]]],[5,"_mm256_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_lddqu_si256","","Loads 256-bits of integer data from unaligned memory into …",null,[[],["__m256i",3]]],[5,"_mm256_stream_si256","","Moves integer data from a 256-bit integer vector to a …",null,[[["__m256i",3]]]],[5,"_mm256_stream_pd","","Moves double-precision values from a 256-bit vector of …",null,[[["__m256d",3]]]],[5,"_mm256_stream_ps","","Moves single-precision floating point values from a …",null,[[["__m256",3]]]],[5,"_mm256_rcp_ps","","Computes the approximate reciprocal of packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_rsqrt_ps","","Computes the approximate reciprocal square root of packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_unpackhi_pd","","Unpacks and interleave double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_unpackhi_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_unpacklo_pd","","Unpacks and interleave double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_unpacklo_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_testz_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testc_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testnzc_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testz_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_testc_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_testnzc_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm_testz_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_testc_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_testnzc_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm256_testz_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_testc_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_testnzc_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm_testz_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_testc_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_testnzc_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm256_movemask_pd","","Sets each bit of the returned mask based on the most …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_movemask_ps","","Sets each bit of the returned mask based on the most …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_setzero_pd","","Returns vector of type __m256d with all elements set to …",null,[[],["__m256d",3]]],[5,"_mm256_setzero_ps","","Returns vector of type __m256 with all elements set to …",null,[[],["__m256",3]]],[5,"_mm256_setzero_si256","","Returns vector of type __m256i with all elements set to …",null,[[],["__m256i",3]]],[5,"_mm256_set_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_set_ps","","Sets packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_set_epi8","","Sets packed 8-bit integers in returned vector with the …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_set_epi16","","Sets packed 16-bit integers in returned vector with the …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_set_epi32","","Sets packed 32-bit integers in returned vector with the …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_set_epi64x","","Sets packed 64-bit integers in returned vector with the …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_setr_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_setr_ps","","Sets packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_setr_epi8","","Sets packed 8-bit integers in returned vector with the …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_setr_epi16","","Sets packed 16-bit integers in returned vector with the …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_setr_epi32","","Sets packed 32-bit integers in returned vector with the …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_setr_epi64x","","Sets packed 64-bit integers in returned vector with the …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_set1_pd","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_set1_ps","","Broadcasts single-precision (32-bit) floating-point value …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_set1_epi8","","Broadcasts 8-bit integer <code>a</code> to all elements of returned …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_set1_epi16","","Broadcasts 16-bit integer <code>a</code> to all all elements of …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_set1_epi32","","Broadcasts 32-bit integer <code>a</code> to all elements of returned …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_set1_epi64x","","Broadcasts 64-bit integer <code>a</code> to all elements of returned …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_castpd_ps","","Cast vector of type __m256d to type __m256.",null,[[["__m256d",3]],["__m256",3]]],[5,"_mm256_castps_pd","","Cast vector of type __m256 to type __m256d.",null,[[["__m256",3]],["__m256d",3]]],[5,"_mm256_castps_si256","","Casts vector of type __m256 to type __m256i.",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_castsi256_ps","","Casts vector of type __m256i to type __m256.",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_castpd_si256","","Casts vector of type __m256d to type __m256i.",null,[[["__m256d",3]],["__m256i",3]]],[5,"_mm256_castsi256_pd","","Casts vector of type __m256i to type __m256d.",null,[[["__m256i",3]],["__m256d",3]]],[5,"_mm256_castps256_ps128","","Casts vector of type __m256 to type __m128.",null,[[["__m256",3]],["__m128",3]]],[5,"_mm256_castpd256_pd128","","Casts vector of type __m256d to type __m128d.",null,[[["__m256d",3]],["__m128d",3]]],[5,"_mm256_castsi256_si128","","Casts vector of type __m256i to type __m128i.",null,[[["__m256i",3]],["__m128i",3]]],[5,"_mm256_castps128_ps256","","Casts vector of type __m128 to type __m256; the upper 128 …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_castpd128_pd256","","Casts vector of type __m128d to type __m256d; the upper …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_castsi128_si256","","Casts vector of type __m128i to type __m256i; the upper …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_zextps128_ps256","","Constructs a 256-bit floating-point vector of <code>[8 x float]</code> …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_zextsi128_si256","","Constructs a 256-bit integer vector from a 128-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_zextpd128_pd256","","Constructs a 256-bit floating-point vector of <code>[4 x double]</code>…",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_undefined_ps","","Returns vector of type <code>__m256</code> with undefined elements.",null,[[],["__m256",3]]],[5,"_mm256_undefined_pd","","Returns vector of type <code>__m256d</code> with undefined elements.",null,[[],["__m256d",3]]],[5,"_mm256_undefined_si256","","Returns vector of type __m256i with undefined elements.",null,[[],["__m256i",3]]],[5,"_mm256_set_m128","","Sets packed __m256 returned vector with the supplied …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_set_m128d","","Sets packed __m256d returned vector with the supplied …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_set_m128i","","Sets packed __m256i returned vector with the supplied …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_setr_m128","","Sets packed __m256 returned vector with the supplied …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_setr_m128d","","Sets packed __m256d returned vector with the supplied …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_setr_m128i","","Sets packed __m256i returned vector with the supplied …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_loadu2_m128","","Loads two 128-bit values (composed of 4 packed …",null,[[],["__m256",3]]],[5,"_mm256_loadu2_m128d","","Loads two 128-bit values (composed of 2 packed …",null,[[],["__m256d",3]]],[5,"_mm256_loadu2_m128i","","Loads two 128-bit values (composed of integer data) from …",null,[[],["__m256i",3]]],[5,"_mm256_storeu2_m128","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256",3]]]],[5,"_mm256_storeu2_m128d","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256d",3]]]],[5,"_mm256_storeu2_m128i","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256i",3]]]],[5,"_mm256_cvtss_f32","","Returns the first element of the input vector of …",null,[[["__m256",3]],["f32",15]]],[5,"_mm256_abs_epi32","","Computes the absolute values of packed 32-bit integers in …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_abs_epi16","","Computes the absolute values of packed 16-bit integers in …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_abs_epi8","","Computes the absolute values of packed 8-bit integers in <code>a</code>…",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi64","","Adds packed 64-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi32","","Adds packed 32-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epu8","","Adds packed unsigned 8-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epu16","","Adds packed unsigned 16-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_alignr_epi8","","Concatenates pairs of 16-byte blocks in <code>a</code> and <code>b</code> into a …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_and_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_andnot_si256","","Computes the bitwise NOT of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_avg_epu16","","Averages packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_avg_epu8","","Averages packed unsigned 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_blend_epi32","","Blends packed 32-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_blend_epi32","","Blends packed 32-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_blend_epi16","","Blends packed 16-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_blendv_epi8","","Blends packed 8-bit integers from <code>a</code> and <code>b</code> using <code>mask</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_broadcastb_epi8","","Broadcasts the low packed 8-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastb_epi8","","Broadcasts the low packed 8-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastd_epi32","","Broadcasts the low packed 32-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastd_epi32","","Broadcasts the low packed 32-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastq_epi64","","Broadcasts the low packed 64-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastq_epi64","","Broadcasts the low packed 64-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastsd_pd","","Broadcasts the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_broadcastsd_pd","","Broadcasts the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_broadcastsi128_si256","","Broadcasts 128 bits of integer data from a to all 128-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastss_ps","","Broadcasts the low single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_broadcastss_ps","","Broadcasts the low single-precision (32-bit) …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm_broadcastw_epi16","","Broadcasts the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastw_epi16","","Broadcasts the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cvtepi16_epi32","","Sign-extend 16-bit integers to 32-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi16_epi64","","Sign-extend 16-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi32_epi64","","Sign-extend 32-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi16","","Sign-extend 8-bit integers to 16-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi32","","Sign-extend 8-bit integers to 32-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi64","","Sign-extend 8-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu16_epi32","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu16_epi64","","Zero-extend the lower four unsigned 16-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu32_epi64","","Zero-extend unsigned 32-bit integers in <code>a</code> to 64-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi16","","Zero-extend unsigned 8-bit integers in <code>a</code> to 16-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi32","","Zero-extend the lower eight unsigned 8-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi64","","Zero-extend the lower four unsigned 8-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_extracti128_si256","","Extracts 128 bits (of integer data) from <code>a</code> selected with …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_hadd_epi16","","Horizontally adds adjacent pairs of 16-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hadd_epi32","","Horizontally adds adjacent pairs of 32-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hadds_epi16","","Horizontally adds adjacent pairs of 16-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsub_epi16","","Horizontally subtract adjacent pairs of 16-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsub_epi32","","Horizontally subtract adjacent pairs of 32-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsubs_epi16","","Horizontally subtract adjacent pairs of 16-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256",3]]],[5,"_mm256_mask_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256",3],["__m256i",3],["i32",15]],["__m256",3]]],[5,"_mm_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128i",3]],["__m256i",3]]],[5,"_mm_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128d",3]]],[5,"_mm_mask_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m256d",3]]],[5,"_mm256_mask_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256d",3],["__m128i",3],["i32",15]],["__m256d",3]]],[5,"_mm_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_mask_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128i",3]],["__m128i",3]]],[5,"_mm_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m128",3]]],[5,"_mm256_mask_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128",3]],["__m128",3]]],[5,"_mm_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128d",3]]],[5,"_mm_mask_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256d",3]]],[5,"_mm256_mask_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["__m256d",3],["i32",15]],["__m256d",3]]],[5,"_mm256_inserti128_si256","","Copies <code>a</code> to <code>dst</code>, then insert 128 bits (of integer data) …",null,[[["__m128i",3],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_madd_epi16","","Multiplies packed signed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maddubs_epi16","","Vertically multiplies each unsigned 8-bit integer from <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskload_epi32","","Loads packed 32-bit integers from memory pointed by …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_maskload_epi32","","Loads packed 32-bit integers from memory pointed by …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskload_epi64","","Loads packed 64-bit integers from memory pointed by …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_maskload_epi64","","Loads packed 64-bit integers from memory pointed by …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskstore_epi32","","Stores packed 32-bit integers from <code>a</code> into memory pointed …",null,[[["__m128i",3]]]],[5,"_mm256_maskstore_epi32","","Stores packed 32-bit integers from <code>a</code> into memory pointed …",null,[[["__m256i",3]]]],[5,"_mm_maskstore_epi64","","Stores packed 64-bit integers from <code>a</code> into memory pointed …",null,[[["__m128i",3]]]],[5,"_mm256_maskstore_epi64","","Stores packed 64-bit integers from <code>a</code> into memory pointed …",null,[[["__m256i",3]]]],[5,"_mm256_max_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_movemask_epi8","","Creates mask from the most significant bit of each 8-bit …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_mpsadbw_epu8","","Computes the sum of absolute differences (SADs) of …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mul_epi32","","Multiplies the low 32-bit integers from each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mul_epu32","","Multiplies the low unsigned 32-bit integers from each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhi_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhi_epu16","","Multiplies the packed unsigned 16-bit integers in <code>a</code> and <code>b</code>…",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mullo_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mullo_epi32","","Multiplies the packed 32-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhrs_epi16","","Multiplies packed 16-bit integers in <code>a</code> and <code>b</code>, producing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_or_si256","","Computes the bitwise OR of 256 bits (representing integer …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packs_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packs_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packus_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packus_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_permutevar8x32_epi32","","Permutes packed 32-bit integers from <code>a</code> according to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_permute4x64_epi64","","Permutes 64-bit integers from <code>a</code> using control mask <code>imm8</code>.",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_permute2x128_si256","","Shuffles 128-bits of integer data selected by <code>imm8</code> from <code>a</code> …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_permute4x64_pd","","Shuffles 64-bit floating-point elements in <code>a</code> across lanes …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_permutevar8x32_ps","","Shuffles eight 32-bit foating-point elements in <code>a</code> across …",null,[[["__m256",3],["__m256i",3]],["__m256",3]]],[5,"_mm256_sad_epu8","","Computes the absolute differences of packed unsigned …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_shuffle_epi8","","Shuffles bytes from <code>a</code> according to the content of <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_shuffle_epi32","","Shuffles 32-bit integers in 128-bit lanes of <code>a</code> using the …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_shufflehi_epi16","","Shuffles 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_shufflelo_epi16","","Shuffles 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_sign_epi16","","Negates packed 16-bit integers in <code>a</code> when the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sign_epi32","","Negates packed 32-bit integers in <code>a</code> when the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sign_epi8","","Negates packed 8-bit integers in <code>a</code> when the corresponding …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_slli_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_si256","","Shifts 128-bit lanes in <code>a</code> left by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_bslli_epi128","","Shifts 128-bit lanes in <code>a</code> left by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_sllv_epi32","","Shifts packed 32-bit integers in <code>a</code> left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_sllv_epi32","","Shifts packed 32-bit integers in <code>a</code> left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_sllv_epi64","","Shifts packed 64-bit integers in <code>a</code> left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_sllv_epi64","","Shifts packed 64-bit integers in <code>a</code> left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sra_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sra_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srai_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srai_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_srav_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srav_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_srli_si256","","Shifts 128-bit lanes in <code>a</code> right by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_bsrli_epi128","","Shifts 128-bit lanes in <code>a</code> right by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srl_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srl_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srl_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srli_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srli_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srli_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_srlv_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srlv_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_srlv_epi64","","Shifts packed 64-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srlv_epi64","","Shifts packed 64-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi32","","Subtract packed 32-bit integers in <code>b</code> from packed 32-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi64","","Subtract packed 64-bit integers in <code>b</code> from packed 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epu16","","Subtract packed unsigned 16-bit integers in <code>b</code> from packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epu8","","Subtract packed unsigned 8-bit integers in <code>b</code> from packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi8","","Unpacks and interleave 8-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi8","","Unpacks and interleave 8-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi16","","Unpacks and interleave 16-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi16","","Unpacks and interleave 16-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi32","","Unpacks and interleave 32-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi32","","Unpacks and interleave 32-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi64","","Unpacks and interleave 64-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi64","","Unpacks and interleave 64-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_xor_si256","","Computes the bitwise XOR of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_extract_epi8","","Extracts an 8-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_extract_epi16","","Extracts a 16-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_extract_epi32","","Extracts a 32-bit integer from <code>a</code>, selected with <code>imm8</code>.",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_cvtsd_f64","","Returns the first element of the input vector of …",null,[[["__m256d",3]],["f64",15]]],[5,"_mm256_cvtsi256_si32","","Returns the first element of the input vector of <code>[8 x i32]</code>…",null,[[["__m256i",3]],["i32",15]]],[5,"_mm_fmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmadd_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fmadd_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fmaddsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmaddsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmaddsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmaddsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmsub_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fmsub_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fmsubadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmsubadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmsubadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmsubadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fnmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fnmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fnmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmadd_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmadd_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fnmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fnmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fnmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fnmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmsub_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmsub_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_lzcnt_u32","","Counts the leading most significant zero bits.",null,[[["u32",15]],["u32",15]]],[5,"_popcnt32","","Counts the bits that are set.",null,[[["i32",15]],["i32",15]]],[5,"_bextr_u32","","Extracts bits in range [<code>start</code>, <code>start</code> + <code>length</code>) from <code>a</code> into…",null,[[["u32",15]],["u32",15]]],[5,"_bextr2_u32","","Extracts bits of <code>a</code> specified by <code>control</code> into the least …",null,[[["u32",15]],["u32",15]]],[5,"_andn_u32","","Bitwise logical <code>AND</code> of inverted <code>a</code> with <code>b</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blsi_u32","","Extracts lowest set isolated bit.",null,[[["u32",15]],["u32",15]]],[5,"_blsmsk_u32","","Gets mask up to lowest set bit.",null,[[["u32",15]],["u32",15]]],[5,"_blsr_u32","","Resets the lowest set bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_tzcnt_u32","","Counts the number of trailing least significant zero bits.",null,[[["u32",15]],["u32",15]]],[5,"_mm_tzcnt_32","","Counts the number of trailing least significant zero bits.",null,[[["u32",15]],["i32",15]]],[5,"_mulx_u32","","Unsigned multiply without affecting flags.",null,[[["u32",15],["u32",15]],["u32",15]]],[5,"_bzhi_u32","","Zeroes higher bits of <code>a</code> >= <code>index</code>.",null,[[["u32",15]],["u32",15]]],[5,"_pdep_u32","","Scatter contiguous low order bits of <code>a</code> to the result at …",null,[[["u32",15]],["u32",15]]],[5,"_pext_u32","","Gathers the bits of <code>x</code> specified by the <code>mask</code> into the …",null,[[["u32",15]],["u32",15]]],[5,"_mm_extract_si64","","Extracts the bit range specified by <code>y</code> from the lower 64 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_insert_si64","","Inserts the <code>[length:0]</code> bits of <code>y</code> into <code>x</code> at <code>index</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_stream_sd","","Non-temporal store of <code>a.0</code> into <code>p</code>.",null,[[["__m128d",3]]]],[5,"_mm_stream_ss","","Non-temporal store of <code>a.0</code> into <code>p</code>.",null,[[["__m128",3]]]],[5,"_blcfill_u32","","Clears all bits below the least significant zero bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blcfill_u64","","Clears all bits below the least significant zero bit of <code>x</code>.",null,[[["u64",15]],["u64",15]]],[5,"_blci_u32","","Sets all bits of <code>x</code> to 1 except for the least significant …",null,[[["u32",15]],["u32",15]]],[5,"_blci_u64","","Sets all bits of <code>x</code> to 1 except for the least significant …",null,[[["u64",15]],["u64",15]]],[5,"_blcic_u32","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u32",15]],["u32",15]]],[5,"_blcic_u64","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u64",15]],["u64",15]]],[5,"_blcmsk_u32","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u32",15]],["u32",15]]],[5,"_blcmsk_u64","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u64",15]],["u64",15]]],[5,"_blcs_u32","","Sets the least significant zero bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blcs_u64","","Sets the least significant zero bit of <code>x</code>.",null,[[["u64",15]],["u64",15]]],[5,"_blsfill_u32","","Sets all bits of <code>x</code> below the least significant one.",null,[[["u32",15]],["u32",15]]],[5,"_blsfill_u64","","Sets all bits of <code>x</code> below the least significant one.",null,[[["u64",15]],["u64",15]]],[5,"_blsic_u32","","Clears least significant bit and sets all other bits.",null,[[["u32",15]],["u32",15]]],[5,"_blsic_u64","","Clears least significant bit and sets all other bits.",null,[[["u64",15]],["u64",15]]],[5,"_t1mskc_u32","","Clears all bits below the least significant zero of <code>x</code> and …",null,[[["u32",15]],["u32",15]]],[5,"_t1mskc_u64","","Clears all bits below the least significant zero of <code>x</code> and …",null,[[["u64",15]],["u64",15]]],[5,"_tzmsk_u32","","Sets all bits below the least significant one of <code>x</code> and …",null,[[["u32",15]],["u32",15]]],[5,"_tzmsk_u64","","Sets all bits below the least significant one of <code>x</code> and …",null,[[["u64",15]],["u64",15]]],[5,"_mm_clmulepi64_si128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_aesdec_si128","","Performs one round of an AES decryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesdeclast_si128","","Performs the last round of an AES decryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesenc_si128","","Performs one round of an AES encryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesenclast_si128","","Performs the last round of an AES encryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesimc_si128","","Performs the <code>InvMixColumns</code> transformation on <code>a</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aeskeygenassist_si128","","Assist in expanding the AES cipher key.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_rdrand16_step","","Read a hardware generated 16-bit random value and store …",null,[[["u16",15]],["i32",15]]],[5,"_rdrand32_step","","Read a hardware generated 32-bit random value and store …",null,[[["u32",15]],["i32",15]]],[5,"_rdseed16_step","","Read a 16-bit NIST SP800-90B and SP800-90C compliant …",null,[[["u16",15]],["i32",15]]],[5,"_rdseed32_step","","Read a 32-bit NIST SP800-90B and SP800-90C compliant …",null,[[["u32",15]],["i32",15]]],[5,"_mm_sha1msg1_epu32","","Performs an intermediate calculation for the next four …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1msg2_epu32","","Performs the final calculation for the next four SHA1 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1nexte_epu32","","Calculate SHA1 state variable E after four rounds of …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1rnds4_epu32","","Performs four rounds of SHA1 operation using an initial …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sha256msg1_epu32","","Performs an intermediate calculation for the next four …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha256msg2_epu32","","Performs the final calculation for the next four SHA256 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha256rnds2_epu32","","Performs 2 rounds of SHA256 operation using an initial …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_addcarry_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"_addcarryx_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"_subborrow_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"ud2","","Generates the trap instruction <code>UD2</code>",null,[[]]],[5,"_mm512_abs_epi32","","Computes the absolute values of packed 32-bit integers in …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi32","","Computes the absolute value of packed 32-bit integers in <code>a</code>…",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi32","","Computes the absolute value of packed 32-bit integers in <code>a</code>…",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_abs_ps","","Finds the absolute value of each packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_abs_ps","","Finds the absolute value of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_abs_pd","","Finds the absolute value of each packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_abs_pd","","Finds the absolute value of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mov_epi32","","Move packed 32-bit integers from a to dst using writemask …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi32","","Move packed 32-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_mov_epi64","","Move packed 64-bit integers from a to dst using writemask …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi64","","Move packed 64-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_mov_ps","","Move packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mov_ps","","Move packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_mov_pd","","Move packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mov_pd","","Move packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mullox_epi64","","Multiplies elements in packed 64-bit integer vectors a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullox_epi64","","Multiplies elements in packed 64-bit integer vectors a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmaddsub_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__m512",3],["_mm_mantissa_sign_enum",6],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_mask_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_maskz_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["_mm_mantissa_norm_enum",6],["_mm_mantissa_sign_enum",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_maskz_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mul_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mul_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mul_round_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmaddsub_round_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_mask_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_maskz_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_mask_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_maskz_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m512d",3]]],[5,"_mm512_mask_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtpslo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512",3]],["__m512d",3]]],[5,"_mm512_mask_cvtpslo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256",3]]],[5,"_mm512_mask_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_maskz_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_cvtpd_pslo","","Performs an element-by-element conversion of packed …",null,[[["__m512d",3]],["__m512",3]]],[5,"_mm512_mask_cvtpd_pslo","","Performs an element-by-element conversion of packed …",null,[[["__m512",3],["__mmask8",6],["__m512d",3]],["__m512",3]]],[5,"_mm512_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m512i",3],["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m512i",3],["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtepi32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepi32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtepu32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepu32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["i32",15]],["__m512d",3]]],[5,"_mm512_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256",3]]],[5,"_mm512_mask_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_maskz_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3]],["__m512",3]]],[5,"_mm512_mask_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m512",3],["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvtt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtt_roundpd_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvttps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvttps_epu32","","Convert packed double-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvttps_epu32","","Convert packed double-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_setzero_pd","","Returns vector of type <code>__m512d</code> with all elements set to …",null,[[],["__m512d",3]]],[5,"_mm512_setzero_ps","","Returns vector of type <code>__m512d</code> with all elements set to …",null,[[],["__m512",3]]],[5,"_mm512_setzero","","Return vector of type __m512 with all elements set to …",null,[[],["__m512",3]]],[5,"_mm512_setzero_si512","","Returns vector of type <code>__m512i</code> with all elements set to …",null,[[],["__m512i",3]]],[5,"_mm512_setzero_epi32","","Return vector of type __m512i with all elements set to …",null,[[],["__m512i",3]]],[5,"_mm512_setr_epi32","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set_epi8","","Set packed 8-bit integers in dst with the supplied values.",null,[[["i8",15]],["__m512i",3]]],[5,"_mm512_set_epi16","","Set packed 16-bit integers in dst with the supplied …",null,[[["i16",15]],["__m512i",3]]],[5,"_mm512_set4_epi32","","Set packed 32-bit integers in dst with the repeated 4 …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set4_ps","","Set packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set4_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_setr4_epi32","","Set packed 32-bit integers in dst with the repeated 4 …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_setr4_ps","","Set packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_setr4_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set_epi64","","Set packed 64-bit integers in dst with the supplied …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_setr_epi64","","Set packed 64-bit integers in dst with the supplied …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_i32gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_i32gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_i64gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_i64gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_i64gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m256",3]]],[5,"_mm512_mask_i64gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256",3]]],[5,"_mm512_i32gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_i32gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_i32gather_epi32","","Gather 32-bit integers from memory using 32-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i32gather_epi32","","Gather 32-bit integers from memory using 32-bit indices. …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_i32gather_epi64","","Gather 64-bit integers from memory using 32-bit indices. …",null,[[["__m256i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i32gather_epi64","","Gather 64-bit integers from memory using 32-bit indices. …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_i64gather_epi64","","Gather 64-bit integers from memory using 64-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i64gather_epi64","","Gather 64-bit integers from memory using 64-bit indices. …",null,[[["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_i64gather_epi32","","Gather 32-bit integers from memory using 64-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_i64gather_epi32","","Gather 32-bit integers from memory using 64-bit indices. …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_i32scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__m512d",3]]]],[5,"_mm512_mask_i32scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]]]],[5,"_mm512_i64scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512d",3]]]],[5,"_mm512_mask_i64scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]]]],[5,"_mm512_i32scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512",3]]]],[5,"_mm512_mask_i32scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]]]],[5,"_mm512_i64scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i64scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i32scatter_epi64","","Scatter 64-bit integers from a into memory using 32-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i32scatter_epi64","","Scatter 64-bit integers from a into memory using 32-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i64scatter_epi64","","Scatter 64-bit integers from a into memory using 64-bit …",null,[[["__m512i",3],["i32",15]]]],[5,"_mm512_mask_i64scatter_epi64","","Scatter 64-bit integers from a into memory using 64-bit …",null,[[["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i32scatter_epi32","","Scatter 32-bit integers from a into memory using 32-bit …",null,[[["__m512i",3],["i32",15]]]],[5,"_mm512_mask_i32scatter_epi32","","Scatter 32-bit integers from a into memory using 32-bit …",null,[[["i32",15],["__m512i",3],["__mmask16",6]]]],[5,"_mm512_i64scatter_epi32","","Scatter 32-bit integers from a into memory using 64-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i64scatter_epi32","","Scatter 32-bit integers from a into memory using 64-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_mask_compress_epi32","","Contiguously store the active 32-bit integers in a (those …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_compress_epi32","","Contiguously store the active 32-bit integers in a (those …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_compress_epi64","","Contiguously store the active 64-bit integers in a (those …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_compress_epi64","","Contiguously store the active 64-bit integers in a (those …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_compress_ps","","Contiguously store the active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_compress_ps","","Contiguously store the active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_compress_pd","","Contiguously store the active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_compress_pd","","Contiguously store the active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_expand_epi32","","Load contiguous active 32-bit integers from a (those with …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_expand_epi32","","Load contiguous active 32-bit integers from a (those with …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_expand_epi64","","Load contiguous active 64-bit integers from a (those with …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_expand_epi64","","Load contiguous active 64-bit integers from a (those with …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_expand_ps","","Load contiguous active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_expand_ps","","Load contiguous active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_expand_pd","","Load contiguous active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_expand_pd","","Load contiguous active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srl_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutevar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutevar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["__m512",3]],["__m512",3]]],[5,"_mm512_mask_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask2_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask2_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_shuffle_epi32","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["_mm_perm_enum",6]],["__m512i",3]]],[5,"_mm512_mask_shuffle_epi32","","Shuffle 32-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["_mm_perm_enum",6],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_epi32","","Shuffle 32-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["_mm_perm_enum",6],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["__m512",3],["i32",15]],["__m128",3]]],[5,"_mm512_mask_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m512",3]],["__m128",3]]],[5,"_mm512_maskz_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["__m512",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm512_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m512i",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_maskz_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m256i",3]]],[5,"_mm512_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m256d",3]]],[5,"_mm512_mask_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256d",3]]],[5,"_mm512_maskz_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256d",3]]],[5,"_mm512_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["__m512i",3],["i32",15]],["__m128i",3]]],[5,"_mm512_mask_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm512_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_inserti32x4","","Copy a to dst, then insert 128 bits (composed of 4 packed …",null,[[["__m128i",3],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_inserti32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_inserti32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_inserti64x4","","Copy a to dst, then insert 256 bits (composed of 4 packed …",null,[[["__m512i",3],["__m256i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_inserti64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_inserti64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_insertf32x4","","Copy a to dst, then insert 128 bits (composed of 4 packed …",null,[[["__m512",3],["__m128",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_insertf32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_insertf32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_insertf64x4","","Copy a to dst, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_insertf64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_insertf64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_castps128_ps512","","Cast vector of type __m128 to type __m512; the upper 384 …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_castps256_ps512","","Cast vector of type __m256 to type __m512; the upper 256 …",null,[[["__m256",3]],["__m512",3]]],[5,"_mm512_zextps128_ps512","","Cast vector of type __m128 to type __m512; the upper 384 …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_zextps256_ps512","","Cast vector of type __m256 to type __m512; the upper 256 …",null,[[["__m256",3]],["__m512",3]]],[5,"_mm512_castps512_ps128","","Cast vector of type __m512 to type __m128. This intrinsic …",null,[[["__m512",3]],["__m128",3]]],[5,"_mm512_castps512_ps256","","Cast vector of type __m512 to type __m256. This intrinsic …",null,[[["__m512",3]],["__m256",3]]],[5,"_mm512_castps_pd","","Cast vector of type __m512 to type __m512d. This …",null,[[["__m512",3]],["__m512d",3]]],[5,"_mm512_castps_si512","","Cast vector of type __m512 to type __m512i. This …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_castpd128_pd512","","Cast vector of type __m128d to type __m512d; the upper …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_castpd256_pd512","","Cast vector of type __m256d to type __m512d; the upper …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_zextpd128_pd512","","Cast vector of type __m128d to type __m512d; the upper …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_zextpd256_pd512","","Cast vector of type __m256d to type __m512d; the upper …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_castpd512_pd128","","Cast vector of type __m512d to type __m128d. This …",null,[[["__m512d",3]],["__m128d",3]]],[5,"_mm512_castpd512_pd256","","Cast vector of type __m512d to type __m256d. This …",null,[[["__m512d",3]],["__m256d",3]]],[5,"_mm512_castpd_ps","","Cast vector of type __m512d to type __m512. This …",null,[[["__m512d",3]],["__m512",3]]],[5,"_mm512_castpd_si512","","Cast vector of type __m512d to type __m512i. This …",null,[[["__m512d",3]],["__m512i",3]]],[5,"_mm512_castsi128_si512","","Cast vector of type __m128i to type __m512i; the upper …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_castsi256_si512","","Cast vector of type __m256i to type __m512i; the upper …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_zextsi128_si512","","Cast vector of type __m128i to type __m512i; the upper …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_zextsi256_si512","","Cast vector of type __m256i to type __m512i; the upper …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_castsi512_si128","","Cast vector of type __m512i to type __m128i. This …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_castsi512_si256","","Cast vector of type __m512i to type __m256i. This …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_castsi512_ps","","Cast vector of type __m512i to type __m512. This …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_castsi512_pd","","Cast vector of type __m512i to type __m512d. This …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_mask_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_mask_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__m128d",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m512d",3]]],[5,"_mm512_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_mask_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_mask_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__m256d",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m256d",3]],["__m512d",3]]],[5,"_mm512_mask_blend_epi32","","Blend packed 32-bit integers from a and b using control …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_blend_epi64","","Blend packed 64-bit integers from a and b using control …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_blend_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_blend_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_and_epi32","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_and_epi32","","Performs element-by-element bitwise AND between packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_and_epi32","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_and_epi64","","Compute the bitwise AND of 512 bits (composed of packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_and_epi64","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_and_epi64","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_and_si512","","Compute the bitwise AND of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_or_si512","","Compute the bitwise OR of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_xor_si512","","Compute the bitwise XOR of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_andnot_epi64","","Compute the bitwise NOT of 512 bits (composed of packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_andnot_epi64","","Compute the bitwise NOT of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_andnot_epi64","","Compute the bitwise NOT of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_andnot_si512","","Compute the bitwise NOT of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_kand_mask16","","Compute the bitwise AND of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kand","","Compute the bitwise AND of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kor_mask16","","Compute the bitwise OR of 16-bit masks a and b, and store …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kor","","Compute the bitwise OR of 16-bit masks a and b, and store …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kxor_mask16","","Compute the bitwise XOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kxor","","Compute the bitwise XOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_knot_mask16","","Compute the bitwise NOT of 16-bit mask a, and store the …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_knot","","Compute the bitwise NOT of 16-bit mask a, and store the …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kandn_mask16","","Compute the bitwise NOT of 16-bit masks a and then AND …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kandn","","Compute the bitwise NOT of 16-bit masks a and then AND …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kxnor_mask16","","Compute the bitwise XNOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kxnor","","Compute the bitwise XNOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kmov","","Copy 16-bit mask a to k.",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_int2mask","","Converts integer mask into bitmask, storing the result in …",null,[[["i32",15]],["__mmask16",6]]],[5,"_mm512_mask2int","","Converts bit mask k1 into an integer value, storing the …",null,[[["__mmask16",6]],["i32",15]]],[5,"_mm512_kunpackb","","Unpack and interleave 8 bits from masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kortestc","","Performs bitwise OR between k1 and k2, storing the result …",null,[[["__mmask16",6]],["i32",15]]],[5,"_mm512_test_epi32_mask","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_test_epi32_mask","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_test_epi64_mask","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_test_epi64_mask","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_testn_epi32_mask","","Compute the bitwise NAND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_testn_epi32_mask","","Compute the bitwise NAND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_testn_epi64_mask","","Compute the bitwise NAND of packed 64-bit integers in a …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_testn_epi64_mask","","Compute the bitwise NAND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_stream_ps","","Store 512-bits (composed of 16 packed single-precision …",null,[[["__m512",3]]]],[5,"_mm512_stream_pd","","Store 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_stream_si512","","Store 512-bits of integer data from a into memory using a …",null,[[["__m512i",3]]]],[5,"_mm512_set_ps","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_setr_ps","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set1_pd","","Broadcast 64-bit float <code>a</code> to all elements of <code>dst</code>.",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set1_ps","","Broadcast 32-bit float <code>a</code> to all elements of <code>dst</code>.",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set_epi32","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set1_epi8","","Broadcast 8-bit integer a to all elements of dst.",null,[[["i8",15]],["__m512i",3]]],[5,"_mm512_set1_epi16","","Broadcast the low packed 16-bit integer from a to all all …",null,[[["i16",15]],["__m512i",3]]],[5,"_mm512_set1_epi32","","Broadcast 32-bit integer <code>a</code> to all elements of <code>dst</code>.",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_mask_set1_epi32","","Broadcast 32-bit integer a to all elements of dst using …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi32","","Broadcast 32-bit integer a to all elements of dst using …",null,[[["i32",15],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_set1_epi64","","Broadcast 64-bit integer <code>a</code> to all elements of <code>dst</code>.",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_mask_set1_epi64","","Broadcast 64-bit integer a to all elements of dst using …",null,[[["i64",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi64","","Broadcast 64-bit integer a to all elements of dst using …",null,[[["i64",15],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_set4_epi64","","Set packed 64-bit integers in dst with the repeated 4 …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_setr4_epi64","","Set packed 64-bit integers in dst with the repeated 4 …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_cmplt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpnlt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpnlt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpnle_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpnle_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__mmask16",6]]],[5,"_mm512_mask_cmp_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_round_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__mmask16",6]]],[5,"_mm512_mask_cmp_round_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpunord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpunord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpnlt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpnlt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmple_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpnle_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpnle_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpeq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpneq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmp_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmp_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmp_round_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmp_round_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpunord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpunord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm_cmp_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__mmask8",6]]],[5,"_mm_mask_cmp_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__mmask8",6]]],[5,"_mm_cmp_round_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__mmask8",6]]],[5,"_mm_mask_cmp_round_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm_cmp_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__mmask8",6]]],[5,"_mm_mask_cmp_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__mmask8",6]]],[5,"_mm_cmp_round_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__mmask8",6]]],[5,"_mm_mask_cmp_round_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__mmask8",6]]],[5,"_mm512_cmplt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpgt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpgt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpge_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpge_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_epu32_mask","","Compare packed unsigned 32-bit integers in a and b based …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask16",6]]],[5,"_mm512_mask_cmp_epu32_mask","","Compare packed unsigned 32-bit integers in a and b based …",null,[[["_mm_cmpint_enum",6],["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpgt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpgt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpge_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpge_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_epi32_mask","","Compare packed 32-bit integers in a and b for equality, …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_epi32_mask","","Compare packed 32-bit integers in a and b for equality, …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_epi32_mask","","Compare packed 32-bit integers in a and b for not-equal, …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_epi32_mask","","Compare packed 32-bit integers in a and b for not-equal, …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_epi32_mask","","Compare packed signed 32-bit integers in a and b based on …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask16",6]]],[5,"_mm512_mask_cmp_epi32_mask","","Compare packed signed 32-bit integers in a and b based on …",null,[[["_mm_cmpint_enum",6],["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpgt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpgt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmple_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpge_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpge_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpeq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpneq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmp_epu64_mask","","Compare packed unsigned 64-bit integers in a and b based …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_mask_cmp_epu64_mask","","Compare packed unsigned 64-bit integers in a and b based …",null,[[["__m512i",3],["__mmask8",6],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_cmplt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpgt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpgt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmple_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpge_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpge_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpeq_epi64_mask","","Compare packed 64-bit integers in a and b for equality, …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_epi64_mask","","Compare packed 64-bit integers in a and b for equality, …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpneq_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmp_epi64_mask","","Compare packed signed 64-bit integers in a and b based on …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_mask_cmp_epi64_mask","","Compare packed signed 64-bit integers in a and b based on …",null,[[["__m512i",3],["__mmask8",6],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_reduce_add_epi32","","Reduce the packed 32-bit integers in a by addition. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_add_epi32","","Reduce the packed 32-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_add_epi64","","Reduce the packed 64-bit integers in a by addition. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_add_epi64","","Reduce the packed 64-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_add_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_add_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_add_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_add_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_mul_epi32","","Reduce the packed 32-bit integers in a by multiplication. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_mul_epi32","","Reduce the packed 32-bit integers in a by multiplication …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_mul_epi64","","Reduce the packed 64-bit integers in a by multiplication. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_mul_epi64","","Reduce the packed 64-bit integers in a by multiplication …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_mul_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_mul_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_mul_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_mul_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_max_epi32","","Reduce the packed signed 32-bit integers in a by maximum. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_max_epi32","","Reduce the packed signed 32-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_max_epi64","","Reduce the packed signed 64-bit integers in a by maximum. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_max_epi64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_max_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3]],["u32",15]]],[5,"_mm512_mask_reduce_max_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3],["__mmask16",6]],["u32",15]]],[5,"_mm512_reduce_max_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3]],["u64",15]]],[5,"_mm512_mask_reduce_max_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3],["__mmask8",6]],["u64",15]]],[5,"_mm512_reduce_max_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_max_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_max_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_max_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_min_epi32","","Reduce the packed signed 32-bit integers in a by minimum. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_min_epi32","","Reduce the packed signed 32-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_min_epi64","","Reduce the packed signed 64-bit integers in a by minimum. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_min_epi64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_min_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3]],["u32",15]]],[5,"_mm512_mask_reduce_min_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3],["__mmask16",6]],["u32",15]]],[5,"_mm512_reduce_min_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3]],["u64",15]]],[5,"_mm512_mask_reduce_min_epu64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["u64",15]]],[5,"_mm512_reduce_min_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_min_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_min_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_min_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_and_epi32","","Reduce the packed 32-bit integers in a by bitwise AND. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_and_epi32","","Reduce the packed 32-bit integers in a by bitwise AND …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_and_epi64","","Reduce the packed 64-bit integers in a by bitwise AND. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_and_epi64","","Reduce the packed 64-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_or_epi32","","Reduce the packed 32-bit integers in a by bitwise OR. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_or_epi32","","Reduce the packed 32-bit integers in a by bitwise OR …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_or_epi64","","Reduce the packed 64-bit integers in a by bitwise OR. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_or_epi64","","Reduce the packed 64-bit integers in a by bitwise OR …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_undefined_pd","","Returns vector of type <code>__m512d</code> with undefined elements.",null,[[],["__m512d",3]]],[5,"_mm512_undefined_ps","","Returns vector of type <code>__m512</code> with undefined elements.",null,[[],["__m512",3]]],[5,"_mm512_undefined_epi32","","Return vector of type __m512i with undefined elements.",null,[[],["__m512i",3]]],[5,"_mm512_undefined","","Return vector of type __m512 with undefined elements.",null,[[],["__m512",3]]],[5,"_mm512_loadu_epi32","","Load 512-bits (composed of 16 packed 32-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi32","","Store 512-bits (composed of 16 packed 32-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_epi64","","Load 512-bits (composed of 8 packed 64-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi64","","Store 512-bits (composed of 8 packed 64-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_si512","","Load 512-bits of integer data from memory into dst. …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_si512","","Store 512-bits of integer data from a into memory. …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_pd","","Loads 512-bits (composed of 8 packed double-precision …",null,[[],["__m512d",3]]],[5,"_mm512_storeu_pd","","Stores 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_loadu_ps","","Loads 512-bits (composed of 16 packed single-precision …",null,[[],["__m512",3]]],[5,"_mm512_storeu_ps","","Stores 512-bits (composed of 16 packed single-precision …",null,[[["__m512",3]]]],[5,"_mm512_load_si512","","Load 512-bits of integer data from memory into dst. …",null,[[],["__m512i",3]]],[5,"_mm512_store_si512","","Store 512-bits of integer data from a into memory. …",null,[[["__m512i",3]]]],[5,"_mm512_load_epi32","","Load 512-bits (composed of 16 packed 32-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_store_epi32","","Store 512-bits (composed of 16 packed 32-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_load_epi64","","Load 512-bits (composed of 8 packed 64-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_store_epi64","","Store 512-bits (composed of 8 packed 64-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_load_ps","","Load 512-bits (composed of 16 packed single-precision …",null,[[],["__m512",3]]],[5,"_mm512_store_ps","","Store 512-bits of integer data from a into memory. …",null,[[["__m512",3]]]],[5,"_mm512_load_pd","","Load 512-bits (composed of 8 packed double-precision …",null,[[],["__m512d",3]]],[5,"_mm512_store_pd","","Store 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_setr_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm_mask_move_ss","","Move the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_move_ss","","Move the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_move_sd","","Move the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_move_sd","","Move the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_add_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_add_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_add_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_add_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sub_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_sub_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_sub_sd","","Subtract the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sub_sd","","Subtract the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_mul_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_mul_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_mul_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_mul_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_div_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_div_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_div_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_div_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_max_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_max_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_max_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_max_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_min_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_min_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_min_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_min_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sqrt_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_sqrt_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_sqrt_sd","","Compute the square root of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sqrt_sd","","Compute the square root of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["__m128",3],["_mm_mantissa_sign_enum",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_mask_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_maskz_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["_mm_mantissa_norm_enum",6],["_mm_mantissa_sign_enum",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_maskz_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_mask_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_maskz_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_mask_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_maskz_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["__m128i",3],["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm_mask_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvtss_sd","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_cvtss_sd","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvtsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_maskz_cvtsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__m128d",3]],["__m128",3]]],[5,"_mm_mask_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_maskz_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_cvt_roundss_si32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvt_roundss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvt_roundss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["u32",15]]],[5,"_mm_cvtss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["u32",15]]],[5,"_mm_cvt_roundsd_si32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvt_roundsd_i32","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvt_roundsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["u32",15]]],[5,"_mm_cvtsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["u32",15]]],[5,"_mm_cvt_roundi32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_roundsi32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_roundu32_ss","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvti32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvti32_sd","","Convert the signed 32-bit integer b to a double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtt_roundss_si32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvtt_roundss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvtt_roundss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["u32",15]]],[5,"_mm_cvttss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvttss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["u32",15]]],[5,"_mm_cvtt_roundsd_si32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvtt_roundsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvtt_roundsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["u32",15]]],[5,"_mm_cvttsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvttsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["u32",15]]],[5,"_mm_cvtu32_ss","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128",3]],["__m128",3]]],[5,"_mm_cvtu32_sd","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtu64_ss","","Convert the unsigned 64-bit integer b to a …",null,[[["__m128",3],["u64",15]],["__m128",3]]],[5,"_mm_cvtu64_sd","","Convert the unsigned 64-bit integer b to a …",null,[[["u64",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_comi_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_comi_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[17,"_MM_CMPINT_EQ","","Equal",null,null],[17,"_MM_CMPINT_LT","","Less-than",null,null],[17,"_MM_CMPINT_LE","","Less-than-or-equal",null,null],[17,"_MM_CMPINT_FALSE","","False",null,null],[17,"_MM_CMPINT_NE","","Not-equal",null,null],[17,"_MM_CMPINT_NLT","","Not less-than",null,null],[17,"_MM_CMPINT_NLE","","Not less-than-or-equal",null,null],[17,"_MM_CMPINT_TRUE","","True",null,null],[17,"_MM_MANT_NORM_1_2","","interval [1, 2)",null,null],[17,"_MM_MANT_NORM_P5_2","","interval [0.5, 2)",null,null],[17,"_MM_MANT_NORM_P5_1","","interval [0.5, 1)",null,null],[17,"_MM_MANT_NORM_P75_1P5","","interval [0.75, 1.5)",null,null],[17,"_MM_MANT_SIGN_SRC","","sign = sign(SRC)",null,null],[17,"_MM_MANT_SIGN_ZERO","","sign = 0",null,null],[17,"_MM_MANT_SIGN_NAN","","DEST = NaN if sign(SRC) = 1",null,null],[17,"_MM_PERM_AAAA","","",null,null],[17,"_MM_PERM_AAAB","","",null,null],[17,"_MM_PERM_AAAC","","",null,null],[17,"_MM_PERM_AAAD","","",null,null],[17,"_MM_PERM_AABA","","",null,null],[17,"_MM_PERM_AABB","","",null,null],[17,"_MM_PERM_AABC","","",null,null],[17,"_MM_PERM_AABD","","",null,null],[17,"_MM_PERM_AACA","","",null,null],[17,"_MM_PERM_AACB","","",null,null],[17,"_MM_PERM_AACC","","",null,null],[17,"_MM_PERM_AACD","","",null,null],[17,"_MM_PERM_AADA","","",null,null],[17,"_MM_PERM_AADB","","",null,null],[17,"_MM_PERM_AADC","","",null,null],[17,"_MM_PERM_AADD","","",null,null],[17,"_MM_PERM_ABAA","","",null,null],[17,"_MM_PERM_ABAB","","",null,null],[17,"_MM_PERM_ABAC","","",null,null],[17,"_MM_PERM_ABAD","","",null,null],[17,"_MM_PERM_ABBA","","",null,null],[17,"_MM_PERM_ABBB","","",null,null],[17,"_MM_PERM_ABBC","","",null,null],[17,"_MM_PERM_ABBD","","",null,null],[17,"_MM_PERM_ABCA","","",null,null],[17,"_MM_PERM_ABCB","","",null,null],[17,"_MM_PERM_ABCC","","",null,null],[17,"_MM_PERM_ABCD","","",null,null],[17,"_MM_PERM_ABDA","","",null,null],[17,"_MM_PERM_ABDB","","",null,null],[17,"_MM_PERM_ABDC","","",null,null],[17,"_MM_PERM_ABDD","","",null,null],[17,"_MM_PERM_ACAA","","",null,null],[17,"_MM_PERM_ACAB","","",null,null],[17,"_MM_PERM_ACAC","","",null,null],[17,"_MM_PERM_ACAD","","",null,null],[17,"_MM_PERM_ACBA","","",null,null],[17,"_MM_PERM_ACBB","","",null,null],[17,"_MM_PERM_ACBC","","",null,null],[17,"_MM_PERM_ACBD","","",null,null],[17,"_MM_PERM_ACCA","","",null,null],[17,"_MM_PERM_ACCB","","",null,null],[17,"_MM_PERM_ACCC","","",null,null],[17,"_MM_PERM_ACCD","","",null,null],[17,"_MM_PERM_ACDA","","",null,null],[17,"_MM_PERM_ACDB","","",null,null],[17,"_MM_PERM_ACDC","","",null,null],[17,"_MM_PERM_ACDD","","",null,null],[17,"_MM_PERM_ADAA","","",null,null],[17,"_MM_PERM_ADAB","","",null,null],[17,"_MM_PERM_ADAC","","",null,null],[17,"_MM_PERM_ADAD","","",null,null],[17,"_MM_PERM_ADBA","","",null,null],[17,"_MM_PERM_ADBB","","",null,null],[17,"_MM_PERM_ADBC","","",null,null],[17,"_MM_PERM_ADBD","","",null,null],[17,"_MM_PERM_ADCA","","",null,null],[17,"_MM_PERM_ADCB","","",null,null],[17,"_MM_PERM_ADCC","","",null,null],[17,"_MM_PERM_ADCD","","",null,null],[17,"_MM_PERM_ADDA","","",null,null],[17,"_MM_PERM_ADDB","","",null,null],[17,"_MM_PERM_ADDC","","",null,null],[17,"_MM_PERM_ADDD","","",null,null],[17,"_MM_PERM_BAAA","","",null,null],[17,"_MM_PERM_BAAB","","",null,null],[17,"_MM_PERM_BAAC","","",null,null],[17,"_MM_PERM_BAAD","","",null,null],[17,"_MM_PERM_BABA","","",null,null],[17,"_MM_PERM_BABB","","",null,null],[17,"_MM_PERM_BABC","","",null,null],[17,"_MM_PERM_BABD","","",null,null],[17,"_MM_PERM_BACA","","",null,null],[17,"_MM_PERM_BACB","","",null,null],[17,"_MM_PERM_BACC","","",null,null],[17,"_MM_PERM_BACD","","",null,null],[17,"_MM_PERM_BADA","","",null,null],[17,"_MM_PERM_BADB","","",null,null],[17,"_MM_PERM_BADC","","",null,null],[17,"_MM_PERM_BADD","","",null,null],[17,"_MM_PERM_BBAA","","",null,null],[17,"_MM_PERM_BBAB","","",null,null],[17,"_MM_PERM_BBAC","","",null,null],[17,"_MM_PERM_BBAD","","",null,null],[17,"_MM_PERM_BBBA","","",null,null],[17,"_MM_PERM_BBBB","","",null,null],[17,"_MM_PERM_BBBC","","",null,null],[17,"_MM_PERM_BBBD","","",null,null],[17,"_MM_PERM_BBCA","","",null,null],[17,"_MM_PERM_BBCB","","",null,null],[17,"_MM_PERM_BBCC","","",null,null],[17,"_MM_PERM_BBCD","","",null,null],[17,"_MM_PERM_BBDA","","",null,null],[17,"_MM_PERM_BBDB","","",null,null],[17,"_MM_PERM_BBDC","","",null,null],[17,"_MM_PERM_BBDD","","",null,null],[17,"_MM_PERM_BCAA","","",null,null],[17,"_MM_PERM_BCAB","","",null,null],[17,"_MM_PERM_BCAC","","",null,null],[17,"_MM_PERM_BCAD","","",null,null],[17,"_MM_PERM_BCBA","","",null,null],[17,"_MM_PERM_BCBB","","",null,null],[17,"_MM_PERM_BCBC","","",null,null],[17,"_MM_PERM_BCBD","","",null,null],[17,"_MM_PERM_BCCA","","",null,null],[17,"_MM_PERM_BCCB","","",null,null],[17,"_MM_PERM_BCCC","","",null,null],[17,"_MM_PERM_BCCD","","",null,null],[17,"_MM_PERM_BCDA","","",null,null],[17,"_MM_PERM_BCDB","","",null,null],[17,"_MM_PERM_BCDC","","",null,null],[17,"_MM_PERM_BCDD","","",null,null],[17,"_MM_PERM_BDAA","","",null,null],[17,"_MM_PERM_BDAB","","",null,null],[17,"_MM_PERM_BDAC","","",null,null],[17,"_MM_PERM_BDAD","","",null,null],[17,"_MM_PERM_BDBA","","",null,null],[17,"_MM_PERM_BDBB","","",null,null],[17,"_MM_PERM_BDBC","","",null,null],[17,"_MM_PERM_BDBD","","",null,null],[17,"_MM_PERM_BDCA","","",null,null],[17,"_MM_PERM_BDCB","","",null,null],[17,"_MM_PERM_BDCC","","",null,null],[17,"_MM_PERM_BDCD","","",null,null],[17,"_MM_PERM_BDDA","","",null,null],[17,"_MM_PERM_BDDB","","",null,null],[17,"_MM_PERM_BDDC","","",null,null],[17,"_MM_PERM_BDDD","","",null,null],[17,"_MM_PERM_CAAA","","",null,null],[17,"_MM_PERM_CAAB","","",null,null],[17,"_MM_PERM_CAAC","","",null,null],[17,"_MM_PERM_CAAD","","",null,null],[17,"_MM_PERM_CABA","","",null,null],[17,"_MM_PERM_CABB","","",null,null],[17,"_MM_PERM_CABC","","",null,null],[17,"_MM_PERM_CABD","","",null,null],[17,"_MM_PERM_CACA","","",null,null],[17,"_MM_PERM_CACB","","",null,null],[17,"_MM_PERM_CACC","","",null,null],[17,"_MM_PERM_CACD","","",null,null],[17,"_MM_PERM_CADA","","",null,null],[17,"_MM_PERM_CADB","","",null,null],[17,"_MM_PERM_CADC","","",null,null],[17,"_MM_PERM_CADD","","",null,null],[17,"_MM_PERM_CBAA","","",null,null],[17,"_MM_PERM_CBAB","","",null,null],[17,"_MM_PERM_CBAC","","",null,null],[17,"_MM_PERM_CBAD","","",null,null],[17,"_MM_PERM_CBBA","","",null,null],[17,"_MM_PERM_CBBB","","",null,null],[17,"_MM_PERM_CBBC","","",null,null],[17,"_MM_PERM_CBBD","","",null,null],[17,"_MM_PERM_CBCA","","",null,null],[17,"_MM_PERM_CBCB","","",null,null],[17,"_MM_PERM_CBCC","","",null,null],[17,"_MM_PERM_CBCD","","",null,null],[17,"_MM_PERM_CBDA","","",null,null],[17,"_MM_PERM_CBDB","","",null,null],[17,"_MM_PERM_CBDC","","",null,null],[17,"_MM_PERM_CBDD","","",null,null],[17,"_MM_PERM_CCAA","","",null,null],[17,"_MM_PERM_CCAB","","",null,null],[17,"_MM_PERM_CCAC","","",null,null],[17,"_MM_PERM_CCAD","","",null,null],[17,"_MM_PERM_CCBA","","",null,null],[17,"_MM_PERM_CCBB","","",null,null],[17,"_MM_PERM_CCBC","","",null,null],[17,"_MM_PERM_CCBD","","",null,null],[17,"_MM_PERM_CCCA","","",null,null],[17,"_MM_PERM_CCCB","","",null,null],[17,"_MM_PERM_CCCC","","",null,null],[17,"_MM_PERM_CCCD","","",null,null],[17,"_MM_PERM_CCDA","","",null,null],[17,"_MM_PERM_CCDB","","",null,null],[17,"_MM_PERM_CCDC","","",null,null],[17,"_MM_PERM_CCDD","","",null,null],[17,"_MM_PERM_CDAA","","",null,null],[17,"_MM_PERM_CDAB","","",null,null],[17,"_MM_PERM_CDAC","","",null,null],[17,"_MM_PERM_CDAD","","",null,null],[17,"_MM_PERM_CDBA","","",null,null],[17,"_MM_PERM_CDBB","","",null,null],[17,"_MM_PERM_CDBC","","",null,null],[17,"_MM_PERM_CDBD","","",null,null],[17,"_MM_PERM_CDCA","","",null,null],[17,"_MM_PERM_CDCB","","",null,null],[17,"_MM_PERM_CDCC","","",null,null],[17,"_MM_PERM_CDCD","","",null,null],[17,"_MM_PERM_CDDA","","",null,null],[17,"_MM_PERM_CDDB","","",null,null],[17,"_MM_PERM_CDDC","","",null,null],[17,"_MM_PERM_CDDD","","",null,null],[17,"_MM_PERM_DAAA","","",null,null],[17,"_MM_PERM_DAAB","","",null,null],[17,"_MM_PERM_DAAC","","",null,null],[17,"_MM_PERM_DAAD","","",null,null],[17,"_MM_PERM_DABA","","",null,null],[17,"_MM_PERM_DABB","","",null,null],[17,"_MM_PERM_DABC","","",null,null],[17,"_MM_PERM_DABD","","",null,null],[17,"_MM_PERM_DACA","","",null,null],[17,"_MM_PERM_DACB","","",null,null],[17,"_MM_PERM_DACC","","",null,null],[17,"_MM_PERM_DACD","","",null,null],[17,"_MM_PERM_DADA","","",null,null],[17,"_MM_PERM_DADB","","",null,null],[17,"_MM_PERM_DADC","","",null,null],[17,"_MM_PERM_DADD","","",null,null],[17,"_MM_PERM_DBAA","","",null,null],[17,"_MM_PERM_DBAB","","",null,null],[17,"_MM_PERM_DBAC","","",null,null],[17,"_MM_PERM_DBAD","","",null,null],[17,"_MM_PERM_DBBA","","",null,null],[17,"_MM_PERM_DBBB","","",null,null],[17,"_MM_PERM_DBBC","","",null,null],[17,"_MM_PERM_DBBD","","",null,null],[17,"_MM_PERM_DBCA","","",null,null],[17,"_MM_PERM_DBCB","","",null,null],[17,"_MM_PERM_DBCC","","",null,null],[17,"_MM_PERM_DBCD","","",null,null],[17,"_MM_PERM_DBDA","","",null,null],[17,"_MM_PERM_DBDB","","",null,null],[17,"_MM_PERM_DBDC","","",null,null],[17,"_MM_PERM_DBDD","","",null,null],[17,"_MM_PERM_DCAA","","",null,null],[17,"_MM_PERM_DCAB","","",null,null],[17,"_MM_PERM_DCAC","","",null,null],[17,"_MM_PERM_DCAD","","",null,null],[17,"_MM_PERM_DCBA","","",null,null],[17,"_MM_PERM_DCBB","","",null,null],[17,"_MM_PERM_DCBC","","",null,null],[17,"_MM_PERM_DCBD","","",null,null],[17,"_MM_PERM_DCCA","","",null,null],[17,"_MM_PERM_DCCB","","",null,null],[17,"_MM_PERM_DCCC","","",null,null],[17,"_MM_PERM_DCCD","","",null,null],[17,"_MM_PERM_DCDA","","",null,null],[17,"_MM_PERM_DCDB","","",null,null],[17,"_MM_PERM_DCDC","","",null,null],[17,"_MM_PERM_DCDD","","",null,null],[17,"_MM_PERM_DDAA","","",null,null],[17,"_MM_PERM_DDAB","","",null,null],[17,"_MM_PERM_DDAC","","",null,null],[17,"_MM_PERM_DDAD","","",null,null],[17,"_MM_PERM_DDBA","","",null,null],[17,"_MM_PERM_DDBB","","",null,null],[17,"_MM_PERM_DDBC","","",null,null],[17,"_MM_PERM_DDBD","","",null,null],[17,"_MM_PERM_DDCA","","",null,null],[17,"_MM_PERM_DDCB","","",null,null],[17,"_MM_PERM_DDCC","","",null,null],[17,"_MM_PERM_DDCD","","",null,null],[17,"_MM_PERM_DDDA","","",null,null],[17,"_MM_PERM_DDDB","","",null,null],[17,"_MM_PERM_DDDC","","",null,null],[17,"_MM_PERM_DDDD","","",null,null],[5,"_mm512_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cmplt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmplt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmplt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmplt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmplt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmplt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmplt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmplt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpgt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpgt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpgt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpgt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpgt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpgt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpgt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpgt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmple_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmple_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmple_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmple_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmple_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmple_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmple_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmple_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpge_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpge_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpge_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpge_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpge_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpge_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpge_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpge_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpeq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpeq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpeq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpeq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpeq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpeq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpeq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpeq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpneq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpneq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpneq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpneq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpneq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpneq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpneq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpneq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmp_epu16_mask","","Compare packed unsigned 16-bit integers in a and b based …",null,[[["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_mask_cmp_epu16_mask","","Compare packed unsigned 16-bit integers in a and b based …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_cmp_epu8_mask","","Compare packed unsigned 8-bit integers in a and b based …",null,[[["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_mask_cmp_epu8_mask","","Compare packed unsigned 8-bit integers in a and b based …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_cmp_epi16_mask","","Compare packed signed 16-bit integers in a and b based on …",null,[[["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_mask_cmp_epi16_mask","","Compare packed signed 16-bit integers in a and b based on …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_cmp_epi8_mask","","Compare packed signed 8-bit integers in a and b based on …",null,[[["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_mask_cmp_epi8_mask","","Compare packed signed 8-bit integers in a and b based on …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_loadu_epi16","","Load 512-bits (composed of 32 packed 16-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_loadu_epi8","","Load 512-bits (composed of 64 packed 8-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi16","","Store 512-bits (composed of 32 packed 16-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_storeu_epi8","","Store 512-bits (composed of 64 packed 8-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maddubs_epi16","","Vertically multiply each unsigned 8-bit integer from a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm256_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm512_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm256_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m512i",3],["__mmask32",6],["i16",15]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__mmask32",6],["i16",15]],["__m512i",3]]],[5,"_mm256_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m256i",3],["i16",15],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["i16",15],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m128i",3],["i16",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["i16",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m512i",3],["__mmask64",6],["i8",15]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__mmask64",6],["i8",15]],["__m512i",3]]],[5,"_mm256_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m256i",3],["__mmask32",6],["i8",15]],["__m256i",3]]],[5,"_mm256_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__mmask32",6],["i8",15]],["__m256i",3]]],[5,"_mm_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m128i",3],["i8",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["i8",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_shuffle_epi8","","Shuffle packed 8-bit integers in a according to shuffle …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_shuffle_epi8","","Shuffle 8-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_epi8","","Shuffle packed 8-bit integers in a according to shuffle …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_test_epi16_mask","","Compute the bitwise AND of packed 16-bit integers in a …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_test_epi16_mask","","Compute the bitwise AND of packed 16-bit integers in a …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_test_epi8_mask","","Compute the bitwise AND of packed 8-bit integers in a and …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_test_epi8_mask","","Compute the bitwise AND of packed 8-bit integers in a and …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_testn_epi16_mask","","Compute the bitwise NAND of packed 16-bit integers in a …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_testn_epi16_mask","","Compute the bitwise NAND of packed 16-bit integers in a …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_testn_epi8_mask","","Compute the bitwise NAND of packed 8-bit integers in a …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_testn_epi8_mask","","Compute the bitwise NAND of packed 8-bit integers in a …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_store_mask64","","Store 64-bit mask from a into memory.",null,[[["__mmask64",6]]]],[5,"_store_mask32","","Store 32-bit mask from a into memory.",null,[[["__mmask32",6]]]],[5,"_load_mask64","","Load 64-bit mask from memory into k.",null,[[],["__mmask64",6]]],[5,"_load_mask32","","Load 32-bit mask from memory into k.",null,[[],["__mmask32",6]]],[5,"_mm512_sad_epu8","","Compute the absolute differences of packed unsigned 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_movepi16_mask","","Set each bit of mask register k based on the most …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_movepi8_mask","","Set each bit of mask register k based on the most …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_movm_epi16","","Set each packed 16-bit integer in dst to all ones or all …",null,[[["__mmask32",6]],["__m512i",3]]],[5,"_mm512_movm_epi8","","Set each packed 8-bit integer in dst to all ones or all …",null,[[["__mmask64",6]],["__m512i",3]]],[5,"_kadd_mask32","","Add 32-bit masks in a and b, and store the result in k.",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kadd_mask64","","Add 64-bit masks in a and b, and store the result in k.",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kand_mask32","","Compute the bitwise AND of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kand_mask64","","Compute the bitwise AND of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_knot_mask32","","Compute the bitwise NOT of 32-bit mask a, and store the …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_knot_mask64","","Compute the bitwise NOT of 64-bit mask a, and store the …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kandn_mask32","","Compute the bitwise NOT of 32-bit masks a and then AND …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kandn_mask64","","Compute the bitwise NOT of 64-bit masks a and then AND …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kor_mask32","","Compute the bitwise OR of 32-bit masks a and b, and store …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kor_mask64","","Compute the bitwise OR of 64-bit masks a and b, and store …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kxor_mask32","","Compute the bitwise XOR of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kxor_mask64","","Compute the bitwise XOR of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kxnor_mask32","","Compute the bitwise XNOR of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kxnor_mask64","","Compute the bitwise XNOR of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_mm512_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m512i",3],["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_bslli_epi128","","Shift 128-bit lanes in a left by imm8 bytes while …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_bsrli_epi128","","Shift 128-bit lanes in a right by imm8 bytes while …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m512i",3]]],[5,"_mm256_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m256i",3]]],[5,"_mm_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m128i",3]]],[5,"_mm512_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m512i",3]]],[5,"_mm256_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m256i",3]]],[5,"_mm_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m128i",3]]],[5,"_mm512_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm256_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm512_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm256_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m256i",3]],["__mmask32",6]]],[5,"_mm256_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__mmask32",6],["__m256i",3]],["__mmask32",6]]],[5,"_mm_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m128i",3]],["__mmask16",6]]],[5,"_mm_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m128i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm256_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__mmask32",6],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m256i",3],["__mmask32",6],["i32",15]],["__m256i",3]]],[5,"_mm_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm256_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__mmask32",6],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m256i",3],["__mmask32",6],["i32",15]],["__m256i",3]]],[5,"_mm_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm256_aesenc_epi128","","Performs one round of an AES encryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesenclast_epi128","","Performs the last round of an AES encryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesdec_epi128","","Performs one round of an AES decryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesdeclast_epi128","","Performs the last round of an AES decryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm512_aesenc_epi128","","Performs one round of an AES encryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesenclast_epi128","","Performs the last round of an AES encryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesdec_epi128","","Performs one round of an AES decryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesdeclast_epi128","","Performs the last round of an AES decryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_clmulepi64_epi128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm256_clmulepi64_epi128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_bittest","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandset","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandreset","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandcomplement","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[17,"_XBEGIN_STARTED","","Transaction successfully started.",null,null],[17,"_XABORT_EXPLICIT","","Transaction explicitly aborted with xabort. The parameter …",null,null],[17,"_XABORT_RETRY","","Transaction retry is possible.",null,null],[17,"_XABORT_CONFLICT","","Transaction abort due to a memory conflict with another …",null,null],[17,"_XABORT_CAPACITY","","Transaction abort due to the transaction using too much …",null,null],[17,"_XABORT_DEBUG","","Transaction abort due to a debug trap.",null,null],[17,"_XABORT_NESTED","","Transaction abort in a inner nested transaction.",null,null],[5,"_xbegin","","Specifies the start of a restricted transactional memory …",null,[[],["u32",15]]],[5,"_xend","","Specifies the end of a restricted transactional memory …",null,[[]]],[5,"_xabort","","Forces a restricted transactional memory (RTM) region to …",null,[[["u32",15]]]],[5,"_xtest","","Queries whether the processor is executing in a …",null,[[],["u8",15]]],[5,"_xabort_code","","Retrieves the parameter passed to [<code>_xabort</code>] when [<code>_xbegin</code>]…",null,[[["u32",15]],["u32",15]]],[5,"_mm_cvtph_ps","","Converts the 4 x 16-bit half-precision float values in …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm256_cvtph_ps","","Converts the 8 x 16-bit half-precision float values in …",null,[[["__m128i",3]],["__m256",3]]],[5,"_mm_cvtps_ph","","Converts the 4 x 32-bit float values in the 128-bit …",null,[[["__m128",3],["i32",15]],["__m128i",3]]],[5,"_mm256_cvtps_ph","","Converts the 8 x 32-bit float values in the 256-bit …",null,[[["__m256",3],["i32",15]],["__m128i",3]]],[0,"x86_64","core::arch","Platform-specific intrinsics for the <code>x86_64</code> platform.",null,null],[3,"__m128i","core::arch::x86_64","128-bit wide integer vector type, x86-specific",null,null],[3,"__m128","","128-bit wide set of four <code>f32</code> types, x86-specific",null,null],[3,"__m128d","","128-bit wide set of two <code>f64</code> types, x86-specific",null,null],[3,"__m256i","","256-bit wide integer vector type, x86-specific",null,null],[3,"__m256","","256-bit wide set of eight <code>f32</code> types, x86-specific",null,null],[3,"__m256d","","256-bit wide set of four <code>f64</code> types, x86-specific",null,null],[3,"__m512i","","512-bit wide integer vector type, x86-specific",null,null],[3,"__m512","","512-bit wide set of sixteen <code>f32</code> types, x86-specific",null,null],[3,"__m512d","","512-bit wide set of eight <code>f64</code> types, x86-specific",null,null],[6,"__mmask64","","The <code>__mmask64</code> type used in AVX-512 intrinsics, a 64-bit …",null,null],[6,"__mmask32","","The <code>__mmask32</code> type used in AVX-512 intrinsics, a 32-bit …",null,null],[6,"__mmask16","","The <code>__mmask16</code> type used in AVX-512 intrinsics, a 16-bit …",null,null],[6,"__mmask8","","The <code>__mmask8</code> type used in AVX-512 intrinsics, a 8-bit …",null,null],[6,"_MM_CMPINT_ENUM","","The <code>_MM_CMPINT_ENUM</code> type used to specify comparison …",null,null],[6,"_MM_MANTISSA_NORM_ENUM","","The <code>MM_MANTISSA_NORM_ENUM</code> type used to specify mantissa …",null,null],[6,"_MM_MANTISSA_SIGN_ENUM","","The <code>MM_MANTISSA_SIGN_ENUM</code> type used to specify mantissa …",null,null],[6,"_MM_PERM_ENUM","","The <code>MM_PERM_ENUM</code> type used to specify shuffle operations …",null,null],[5,"_fxsave","","Saves the <code>x87</code> FPU, <code>MMX</code> technology, <code>XMM</code>, and <code>MXCSR</code> …",null,[[]]],[5,"_fxrstor","","Restores the <code>XMM</code>, <code>MMX</code>, <code>MXCSR</code>, and <code>x87</code> FPU registers from …",null,[[]]],[5,"_bswap","","Returns an integer with the reversed byte order of x",null,[[["i32",15]],["i32",15]]],[5,"_rdtsc","","Reads the current value of the processor’s time-stamp …",null,[[],["u64",15]]],[5,"__rdtscp","","Reads the current value of the processor’s time-stamp …",null,[[],["u64",15]]],[3,"CpuidResult","","Result of the <code>cpuid</code> instruction.",null,null],[12,"eax","","EAX register.",130,null],[12,"ebx","","EBX register.",130,null],[12,"ecx","","ECX register.",130,null],[12,"edx","","EDX register.",130,null],[5,"__cpuid_count","","Returns the result of the <code>cpuid</code> instruction for a given …",null,[[["u32",15]],["cpuidresult",3]]],[5,"__cpuid","","See <code>__cpuid_count</code>.",null,[[["u32",15]],["cpuidresult",3]]],[5,"has_cpuid","","Does the host support the <code>cpuid</code> instruction?",null,[[],["bool",15]]],[5,"__get_cpuid_max","","Returns the highest-supported <code>leaf</code> (<code>EAX</code>) and sub-leaf (<code>ECX</code>…",null,[[["u32",15]]]],[5,"_xsave","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstor","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[17,"_XCR_XFEATURE_ENABLED_MASK","","<code>XFEATURE_ENABLED_MASK</code> for <code>XCR</code>",null,null],[5,"_xsetbv","","Copies 64-bits from <code>val</code> to the extended control register (…",null,[[["u32",15],["u64",15]]]],[5,"_xgetbv","","Reads the contents of the extended control register <code>XCR</code> …",null,[[["u32",15]],["u64",15]]],[5,"_xsaveopt","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsavec","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsaves","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstors","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[5,"_mm_add_ss","","Adds the first component of <code>a</code> and <code>b</code>, the other components …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_add_ps","","Adds __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sub_ss","","Subtracts the first component of <code>b</code> from <code>a</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sub_ps","","Subtracts __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mul_ss","","Multiplies the first component of <code>a</code> and <code>b</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mul_ps","","Multiplies __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_div_ss","","Divides the first component of <code>b</code> by <code>a</code>, the other …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_div_ps","","Divides __m128 vectors.",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sqrt_ss","","Returns the square root of the first single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sqrt_ps","","Returns the square root of packed single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rcp_ss","","Returns the approximate reciprocal of the first …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rcp_ps","","Returns the approximate reciprocal of packed …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rsqrt_ss","","Returns the approximate reciprocal square root of the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_rsqrt_ps","","Returns the approximate reciprocal square root of packed …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_min_ss","","Compares the first single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_min_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_max_ss","","Compares the first single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_max_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_and_ps","","Bitwise AND of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_andnot_ps","","Bitwise AND-NOT of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_or_ps","","Bitwise OR of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_xor_ps","","Bitwise exclusive OR of packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpeq_ss","","Compares the lowest <code>f32</code> of both inputs for equality. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmplt_ss","","Compares the lowest <code>f32</code> of both inputs for less than. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmple_ss","","Compares the lowest <code>f32</code> of both inputs for less than or …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpgt_ss","","Compares the lowest <code>f32</code> of both inputs for greater than. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpge_ss","","Compares the lowest <code>f32</code> of both inputs for greater than …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpneq_ss","","Compares the lowest <code>f32</code> of both inputs for inequality. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnlt_ss","","Compares the lowest <code>f32</code> of both inputs for not-less-than. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnle_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpngt_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnge_ss","","Compares the lowest <code>f32</code> of both inputs for …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpord_ss","","Checks if the lowest <code>f32</code> of both inputs are ordered. The …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpunord_ss","","Checks if the lowest <code>f32</code> of both inputs are unordered. …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpeq_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmplt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmple_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpgt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpge_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpneq_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnlt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnle_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpngt_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpnge_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpord_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_cmpunord_ps","","Compares each of the four floats in <code>a</code> to the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_comieq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comilt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comile_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comigt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comige_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_comineq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomieq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomilt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomile_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomigt_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomige_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_ucomineq_ss","","Compares two 32-bit floats from the low-order bits of <code>a</code> …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_si32","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvt_ss2si","","Alias for <code>_mm_cvtss_si32</code>.",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvttss_si32","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtt_ss2si","","Alias for <code>_mm_cvttss_si32</code>.",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_f32","","Extracts the lowest 32 bit float from the input vector.",null,[[["__m128",3]],["f32",15]]],[5,"_mm_cvtsi32_ss","","Converts a 32 bit integer to a 32 bit float. The result …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_si2ss","","Alias for <code>_mm_cvtsi32_ss</code>.",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_set_ss","","Construct a <code>__m128</code> with the lowest element set to <code>a</code> and …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set1_ps","","Construct a <code>__m128</code> with all element set to <code>a</code>.",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set_ps1","","Alias for <code>_mm_set1_ps</code>",null,[[["f32",15]],["__m128",3]]],[5,"_mm_set_ps","","Construct a <code>__m128</code> from four floating point values …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_setr_ps","","Construct a <code>__m128</code> from four floating point values lowest …",null,[[["f32",15]],["__m128",3]]],[5,"_mm_setzero_ps","","Construct a <code>__m128</code> with all elements initialized to zero.",null,[[],["__m128",3]]],[5,"_MM_SHUFFLE","","A utility function for creating masks to use with Intel …",null,[[["u32",15]],["i32",15]]],[5,"_mm_shuffle_ps","","Shuffles packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_unpackhi_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_unpacklo_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movehl_ps","","Combine higher half of <code>a</code> and <code>b</code>. The highwe half of <code>b</code> …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movelh_ps","","Combine lower half of <code>a</code> and <code>b</code>. The lower half of <code>b</code> …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_movemask_ps","","Returns a mask of the most significant bit of each …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_load_ss","","Construct a <code>__m128</code> with the lowest element read from <code>p</code> …",null,[[],["__m128",3]]],[5,"_mm_load1_ps","","Construct a <code>__m128</code> by duplicating the value read from <code>p</code> …",null,[[],["__m128",3]]],[5,"_mm_load_ps1","","Alias for <code>_mm_load1_ps</code>",null,[[],["__m128",3]]],[5,"_mm_load_ps","","Loads four <code>f32</code> values from <em>aligned</em> memory into a <code>__m128</code>. …",null,[[],["__m128",3]]],[5,"_mm_loadu_ps","","Loads four <code>f32</code> values from memory into a <code>__m128</code>. There …",null,[[],["__m128",3]]],[5,"_mm_loadr_ps","","Loads four <code>f32</code> values from aligned memory into a <code>__m128</code> …",null,[[],["__m128",3]]],[5,"_mm_loadu_si64","","Loads unaligned 64-bits of integer data from memory into …",null,[[],["__m128i",3]]],[5,"_mm_store_ss","","Stores the lowest 32 bit float of <code>a</code> into memory.",null,[[["__m128",3]]]],[5,"_mm_store1_ps","","Stores the lowest 32 bit float of <code>a</code> repeated four times …",null,[[["__m128",3]]]],[5,"_mm_store_ps1","","Alias for <code>_mm_store1_ps</code>",null,[[["__m128",3]]]],[5,"_mm_store_ps","","Stores four 32-bit floats into <em>aligned</em> memory.",null,[[["__m128",3]]]],[5,"_mm_storeu_ps","","Stores four 32-bit floats into memory. There are no …",null,[[["__m128",3]]]],[5,"_mm_storer_ps","","Stores four 32-bit floats into <em>aligned</em> memory in reverse …",null,[[["__m128",3]]]],[5,"_mm_move_ss","","Returns a <code>__m128</code> with the first component from <code>b</code> and the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_sfence","","Performs a serializing operation on all store-to-memory …",null,[[]]],[5,"_mm_getcsr","","Gets the unsigned 32-bit value of the MXCSR control and …",null,[[],["u32",15]]],[5,"_mm_setcsr","","Sets the MXCSR register with the 32-bit unsigned integer …",null,[[["u32",15]]]],[17,"_MM_EXCEPT_INVALID","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_DENORM","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_DIV_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_OVERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_UNDERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_INEXACT","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_EXCEPT_MASK","","See <code>_MM_GET_EXCEPTION_STATE</code>",null,null],[17,"_MM_MASK_INVALID","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_DENORM","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_DIV_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_OVERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_UNDERFLOW","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_INEXACT","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_MASK_MASK","","See <code>_MM_GET_EXCEPTION_MASK</code>",null,null],[17,"_MM_ROUND_NEAREST","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_DOWN","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_UP","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_TOWARD_ZERO","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_ROUND_MASK","","See <code>_MM_GET_ROUNDING_MODE</code>",null,null],[17,"_MM_FLUSH_ZERO_MASK","","See <code>_MM_GET_FLUSH_ZERO_MODE</code>",null,null],[17,"_MM_FLUSH_ZERO_ON","","See <code>_mm_setcsr</code>",null,null],[17,"_MM_FLUSH_ZERO_OFF","","See <code>_mm_setcsr</code>",null,null],[5,"_MM_GET_EXCEPTION_MASK","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_EXCEPTION_STATE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_FLUSH_ZERO_MODE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_GET_ROUNDING_MODE","","See <code>_mm_setcsr</code>",null,[[],["u32",15]]],[5,"_MM_SET_EXCEPTION_MASK","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_EXCEPTION_STATE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_FLUSH_ZERO_MODE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[5,"_MM_SET_ROUNDING_MODE","","See <code>_mm_setcsr</code>",null,[[["u32",15]]]],[17,"_MM_HINT_T0","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_T1","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_T2","","See <code>_mm_prefetch</code>.",null,null],[17,"_MM_HINT_NTA","","See <code>_mm_prefetch</code>.",null,null],[5,"_mm_prefetch","","Fetch the cache line that contains address <code>p</code> using the …",null,[[["i32",15]]]],[5,"_mm_undefined_ps","","Returns vector of type __m128 with undefined elements.",null,[[],["__m128",3]]],[5,"_MM_TRANSPOSE4_PS","","Transpose the 4x4 matrix formed by 4 rows of __m128 in …",null,[[["__m128",3]]]],[5,"_mm_stream_ps","","Stores <code>a</code> into the memory at <code>mem_addr</code> using a non-temporal …",null,[[["__m128",3]]]],[5,"_mm_pause","","Provides a hint to the processor that the code sequence …",null,[[]]],[5,"_mm_clflush","","Invalidates and flushes the cache line that contains <code>p</code> …",null,[[]]],[5,"_mm_lfence","","Performs a serializing operation on all load-from-memory …",null,[[]]],[5,"_mm_mfence","","Performs a serializing operation on all load-from-memory …",null,[[]]],[5,"_mm_add_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi32","","Adds packed 32-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_epi64","","Adds packed 64-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epu8","","Adds packed unsigned 8-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_adds_epu16","","Adds packed unsigned 16-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_avg_epu8","","Averages packed unsigned 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_avg_epu16","","Averages packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_madd_epi16","","Multiplies and then horizontally add signed 16 bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhi_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhi_epu16","","Multiplies the packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mullo_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mul_epu32","","Multiplies the low unsigned 32-bit integers from each …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sad_epu8","","Sum the absolute differences of packed unsigned 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi8","","Subtracts packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi16","","Subtracts packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi32","","Subtract packed 32-bit integers in <code>b</code> from packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sub_epi64","","Subtract packed 64-bit integers in <code>b</code> from packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epu8","","Subtract packed unsigned 8-bit integers in <code>b</code> from packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_subs_epu16","","Subtract packed unsigned 16-bit integers in <code>b</code> from packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_si128","","Shifts <code>a</code> left by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_bslli_si128","","Shifts <code>a</code> left by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_bsrli_si128","","Shifts <code>a</code> right by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_slli_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_slli_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sll_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srai_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sra_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srai_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sra_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_si128","","Shifts <code>a</code> right by <code>imm8</code> bytes while shifting in zeros.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srli_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_srli_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_srl_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_and_si128","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_andnot_si128","","Computes the bitwise NOT of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_or_si128","","Computes the bitwise OR of 128 bits (representing integer …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_xor_si128","","Computes the bitwise XOR of 128 bits (representing …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpgt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmplt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi32_pd","","Converts the lower two packed 32-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_cvtsi32_sd","","Returns <code>a</code> with its lower element replaced by <code>b</code> after …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtepi32_ps","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_cvtps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_cvtsi32_si128","","Returns a vector whose lowest element is <code>a</code> and all higher …",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_cvtsi128_si32","","Returns the lowest element of <code>a</code>.",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_set_epi64x","","Sets packed 64-bit integers with the supplied values, …",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_set_epi32","","Sets packed 32-bit integers with the supplied values.",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_set_epi16","","Sets packed 16-bit integers with the supplied values.",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_set_epi8","","Sets packed 8-bit integers with the supplied values.",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_set1_epi64x","","Broadcasts 64-bit integer <code>a</code> to all elements.",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_set1_epi32","","Broadcasts 32-bit integer <code>a</code> to all elements.",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_set1_epi16","","Broadcasts 16-bit integer <code>a</code> to all elements.",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_set1_epi8","","Broadcasts 8-bit integer <code>a</code> to all elements.",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_setr_epi32","","Sets packed 32-bit integers with the supplied values in …",null,[[["i32",15]],["__m128i",3]]],[5,"_mm_setr_epi16","","Sets packed 16-bit integers with the supplied values in …",null,[[["i16",15]],["__m128i",3]]],[5,"_mm_setr_epi8","","Sets packed 8-bit integers with the supplied values in …",null,[[["i8",15]],["__m128i",3]]],[5,"_mm_setzero_si128","","Returns a vector with all elements set to zero.",null,[[],["__m128i",3]]],[5,"_mm_loadl_epi64","","Loads 64-bit integer from memory into first element of …",null,[[],["__m128i",3]]],[5,"_mm_load_si128","","Loads 128-bits of integer data from memory into a new …",null,[[],["__m128i",3]]],[5,"_mm_loadu_si128","","Loads 128-bits of integer data from memory into a new …",null,[[],["__m128i",3]]],[5,"_mm_maskmoveu_si128","","Conditionally store 8-bit integer elements from <code>a</code> into …",null,[[["__m128i",3]]]],[5,"_mm_store_si128","","Stores 128-bits of integer data from <code>a</code> into memory.",null,[[["__m128i",3]]]],[5,"_mm_storeu_si128","","Stores 128-bits of integer data from <code>a</code> into memory.",null,[[["__m128i",3]]]],[5,"_mm_storel_epi64","","Stores the lower 64-bit integer <code>a</code> to a memory location.",null,[[["__m128i",3]]]],[5,"_mm_stream_si128","","Stores a 128-bit integer vector to a 128-bit aligned …",null,[[["__m128i",3]]]],[5,"_mm_stream_si32","","Stores a 32-bit integer value in the specified memory …",null,[[["i32",15]]]],[5,"_mm_move_epi64","","Returns a vector where the low element is extracted from <code>a</code>…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packs_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packs_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packus_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_extract_epi16","","Returns the <code>imm8</code> element of <code>a</code>.",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_insert_epi16","","Returns a new vector where the <code>imm8</code> element of <code>a</code> is …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_movemask_epi8","","Returns a mask of the most significant bit of each …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_shuffle_epi32","","Shuffles 32-bit integers in <code>a</code> using the control in <code>imm8</code>.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_shufflehi_epi16","","Shuffles 16-bit integers in the high 64 bits of <code>a</code> using …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_shufflelo_epi16","","Shuffles 16-bit integers in the low 64 bits of <code>a</code> using …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_unpackhi_epi8","","Unpacks and interleave 8-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi16","","Unpacks and interleave 16-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi32","","Unpacks and interleave 32-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpackhi_epi64","","Unpacks and interleave 64-bit integers from the high half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi8","","Unpacks and interleave 8-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi16","","Unpacks and interleave 16-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi32","","Unpacks and interleave 32-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_unpacklo_epi64","","Unpacks and interleave 64-bit integers from the low half …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_add_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_add_pd","","Adds packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_div_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_max_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_max_pd","","Returns a new vector with the maximum values from …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_min_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_min_pd","","Returns a new vector with the minimum values from …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_pd","","Returns a new vector with the square root of each of the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_and_pd","","Computes the bitwise AND of packed double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_andnot_pd","","Computes the bitwise NOT of <code>a</code> and then AND with <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_or_pd","","Computes the bitwise OR of <code>a</code> and <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_xor_pd","","Computes the bitwise OR of <code>a</code> and <code>b</code>.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpeq_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmplt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmple_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpgt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpge_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpord_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpunord_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpneq_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnlt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnle_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpngt_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnge_sd","","Returns a new vector with the low element of <code>a</code> replaced …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpeq_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmplt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmple_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpgt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpge_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpord_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> to see if …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpunord_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> to see if …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpneq_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnlt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnle_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpngt_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_cmpnge_pd","","Compares corresponding elements in <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_comieq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comilt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comile_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comigt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for greater-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comige_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_comineq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomieq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for equality.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomilt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for less-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomile_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomigt_sd","","Compares the lower element of <code>a</code> and <code>b</code> for greater-than.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomige_sd","","Compares the lower element of <code>a</code> and <code>b</code> for …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_ucomineq_sd","","Compares the lower element of <code>a</code> and <code>b</code> for not-equal.",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtpd_ps","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128",3]]],[5,"_mm_cvtps_pd","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128d",3]]],[5,"_mm_cvtpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_cvtsd_si32","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtsd_ss","","Converts the lower double-precision (64-bit) …",null,[[["__m128",3],["__m128d",3]],["__m128",3]]],[5,"_mm_cvtsd_f64","","Returns the lower double-precision (64-bit) …",null,[[["__m128d",3]],["f64",15]]],[5,"_mm_cvtss_sd","","Converts the lower single-precision (32-bit) …",null,[[["__m128",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvttpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_cvttsd_si32","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvttps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_set_sd","","Copies double-precision (64-bit) floating-point element <code>a</code> …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set1_pd","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set_pd1","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_set_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_setr_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m128d",3]]],[5,"_mm_setzero_pd","","Returns packed double-precision (64-bit) floating-point …",null,[[],["__m128d",3]]],[5,"_mm_movemask_pd","","Returns a mask of the most significant bit of each …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_load_pd","","Loads 128-bits (composed of 2 packed double-precision …",null,[[],["__m128d",3]]],[5,"_mm_load_sd","","Loads a 64-bit double-precision value to the low element …",null,[[],["__m128d",3]]],[5,"_mm_loadh_pd","","Loads a double-precision value into the high-order bits …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_loadl_pd","","Loads a double-precision value into the low-order bits of …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_stream_pd","","Stores a 128-bit floating point vector of <code>[2 x double]</code> to …",null,[[["__m128d",3]]]],[5,"_mm_store_sd","","Stores the lower 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_store_pd","","Stores 128-bits (composed of 2 packed double-precision …",null,[[["__m128d",3]]]],[5,"_mm_storeu_pd","","Stores 128-bits (composed of 2 packed double-precision …",null,[[["__m128d",3]]]],[5,"_mm_store1_pd","","Stores the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_store_pd1","","Stores the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_storer_pd","","Stores 2 double-precision (64-bit) floating-point …",null,[[["__m128d",3]]]],[5,"_mm_storeh_pd","","Stores the upper 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_storel_pd","","Stores the lower 64 bits of a 128-bit vector of …",null,[[["__m128d",3]]]],[5,"_mm_load1_pd","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_load_pd1","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_loadr_pd","","Loads 2 double-precision (64-bit) floating-point elements …",null,[[],["__m128d",3]]],[5,"_mm_loadu_pd","","Loads 128-bits (composed of 2 packed double-precision …",null,[[],["__m128d",3]]],[5,"_mm_shuffle_pd","","Constructs a 128-bit floating-point vector of <code>[2 x double]</code>…",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_move_sd","","Constructs a 128-bit floating-point vector of <code>[2 x double]</code>…",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_castpd_ps","","Casts a 128-bit floating-point vector of <code>[2 x double]</code> …",null,[[["__m128d",3]],["__m128",3]]],[5,"_mm_castpd_si128","","Casts a 128-bit floating-point vector of <code>[2 x double]</code> …",null,[[["__m128d",3]],["__m128i",3]]],[5,"_mm_castps_pd","","Casts a 128-bit floating-point vector of <code>[4 x float]</code> into …",null,[[["__m128",3]],["__m128d",3]]],[5,"_mm_castps_si128","","Casts a 128-bit floating-point vector of <code>[4 x float]</code> into …",null,[[["__m128",3]],["__m128i",3]]],[5,"_mm_castsi128_pd","","Casts a 128-bit integer vector into a 128-bit …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_castsi128_ps","","Casts a 128-bit integer vector into a 128-bit …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_undefined_pd","","Returns vector of type __m128d with undefined elements.",null,[[],["__m128d",3]]],[5,"_mm_undefined_si128","","Returns vector of type __m128i with undefined elements.",null,[[],["__m128i",3]]],[5,"_mm_unpackhi_pd","","The resulting <code>__m128d</code> element is composed by the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_unpacklo_pd","","The resulting <code>__m128d</code> element is composed by the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_addsub_ps","","Alternatively add and subtract packed single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_addsub_pd","","Alternatively add and subtract packed double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hadd_pd","","Horizontally adds adjacent pairs of double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hadd_ps","","Horizontally adds adjacent pairs of single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_hsub_pd","","Horizontally subtract adjacent pairs of double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_hsub_ps","","Horizontally adds adjacent pairs of single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_lddqu_si128","","Loads 128-bits of integer data from unaligned memory. …",null,[[],["__m128i",3]]],[5,"_mm_movedup_pd","","Duplicate the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_loaddup_pd","","Loads a double-precision (64-bit) floating-point element …",null,[[],["__m128d",3]]],[5,"_mm_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_abs_epi8","","Computes the absolute value of packed 8-bit signed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_abs_epi16","","Computes the absolute value of each of the packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_abs_epi32","","Computes the absolute value of each of the packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_shuffle_epi8","","Shuffles bytes from <code>a</code> according to the content of <code>b</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_alignr_epi8","","Concatenate 16-byte blocks in <code>a</code> and <code>b</code> into a 32-byte …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_hadd_epi16","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hadds_epi16","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hadd_epi32","","Horizontally adds the adjacent pairs of values contained …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsub_epi16","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsubs_epi16","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_hsub_epi32","","Horizontally subtract the adjacent pairs of values …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maddubs_epi16","","Multiplies corresponding pairs of packed 8-bit unsigned …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mulhrs_epi16","","Multiplies packed 16-bit signed integer values, truncate …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi8","","Negates packed 8-bit integers in <code>a</code> when the corresponding …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi16","","Negates packed 16-bit integers in <code>a</code> when the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sign_epi32","","Negates packed 32-bit integers in <code>a</code> when the …",null,[[["__m128i",3]],["__m128i",3]]],[17,"_MM_FROUND_TO_NEAREST_INT","","round to nearest",null,null],[17,"_MM_FROUND_TO_NEG_INF","","round down",null,null],[17,"_MM_FROUND_TO_POS_INF","","round up",null,null],[17,"_MM_FROUND_TO_ZERO","","truncate",null,null],[17,"_MM_FROUND_CUR_DIRECTION","","use MXCSR.RC; see <code>vendor::_MM_SET_ROUNDING_MODE</code>",null,null],[17,"_MM_FROUND_RAISE_EXC","","do not suppress exceptions",null,null],[17,"_MM_FROUND_NO_EXC","","suppress exceptions",null,null],[17,"_MM_FROUND_NINT","","round to nearest and do not suppress exceptions",null,null],[17,"_MM_FROUND_FLOOR","","round down and do not suppress exceptions",null,null],[17,"_MM_FROUND_CEIL","","round up and do not suppress exceptions",null,null],[17,"_MM_FROUND_TRUNC","","truncate and do not suppress exceptions",null,null],[17,"_MM_FROUND_RINT","","use MXCSR.RC and do not suppress exceptions; see …",null,null],[17,"_MM_FROUND_NEARBYINT","","use MXCSR.RC and suppress exceptions; see …",null,null],[5,"_mm_blendv_epi8","","Blend packed 8-bit integers from <code>a</code> and <code>b</code> using <code>mask</code>",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_blend_epi16","","Blend packed 16-bit integers from <code>a</code> and <code>b</code> using the mask …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_blendv_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_blendv_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_blend_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_blend_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_extract_ps","","Extracts a single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_extract_epi8","","Extracts an 8-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_extract_epi32","","Extracts an 32-bit integer from <code>a</code> selected with <code>imm8</code>",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_insert_ps","","Select a single value in <code>a</code> to store at some position in <code>b</code>,…",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_insert_epi8","","Returns a copy of <code>a</code> with the 8-bit integer from <code>i</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_insert_epi32","","Returns a copy of <code>a</code> with the 32-bit integer from <code>i</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_max_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_max_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_min_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_packus_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cmpeq_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for equality",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi16","","Sign extend packed 8-bit integers in <code>a</code> to packed 16-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi32","","Sign extend packed 8-bit integers in <code>a</code> to packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of <code>a</code> …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi16_epi32","","Sign extend packed 16-bit integers in <code>a</code> to packed 32-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi16_epi64","","Sign extend packed 16-bit integers in <code>a</code> to packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepi32_epi64","","Sign extend packed 32-bit integers in <code>a</code> to packed 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi16","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi32","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu8_epi64","","Zeroes extend packed unsigned 8-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu16_epi32","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu16_epi64","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_cvtepu32_epi64","","Zeroes extend packed unsigned 32-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_dp_pd","","Returns the dot product of two __m128d vectors.",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_dp_ps","","Returns the dot product of two __m128 vectors.",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_floor_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_floor_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_floor_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_floor_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_ceil_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_ceil_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_ceil_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_ceil_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_round_pd","","Round the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_round_ps","","Round the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_minpos_epu16","","Finds the minimum unsigned 16-bit element in the 128-bit _…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mul_epi32","","Multiplies the low 32-bit integers from each packed 64-bit…",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mullo_epi32","","Multiplies the packed 32-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mpsadbw_epu8","","Subtracts 8-bit unsigned integer values and computes the …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_testz_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_testc_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_testnzc_si128","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_all_zeros","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_all_ones","","Tests whether the specified bits in <code>a</code> 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[5,"_mm_test_mix_ones_zeros","","Tests whether the specified bits in a 128-bit integer …",null,[[["__m128i",3]],["i32",15]]],[17,"_SIDD_UBYTE_OPS","","String contains unsigned 8-bit characters <em>(Default)</em>",null,null],[17,"_SIDD_UWORD_OPS","","String contains unsigned 16-bit characters",null,null],[17,"_SIDD_SBYTE_OPS","","String contains signed 8-bit characters",null,null],[17,"_SIDD_SWORD_OPS","","String contains unsigned 16-bit characters",null,null],[17,"_SIDD_CMP_EQUAL_ANY","","For each character in <code>a</code>, find if it is in <code>b</code> <em>(Default)</em>",null,null],[17,"_SIDD_CMP_RANGES","","For each character in <code>a</code>, determine if …",null,null],[17,"_SIDD_CMP_EQUAL_EACH","","The strings defined by <code>a</code> and <code>b</code> are equal",null,null],[17,"_SIDD_CMP_EQUAL_ORDERED","","Search for the defined substring in the target",null,null],[17,"_SIDD_POSITIVE_POLARITY","","Do not negate results <em>(Default)</em>",null,null],[17,"_SIDD_NEGATIVE_POLARITY","","Negates results",null,null],[17,"_SIDD_MASKED_POSITIVE_POLARITY","","Do not negate results before the end of the string",null,null],[17,"_SIDD_MASKED_NEGATIVE_POLARITY","","Negates results only before the end of the string",null,null],[17,"_SIDD_LEAST_SIGNIFICANT","","<strong>Index only</strong>: return the least significant bit <em>(Default)</em>",null,null],[17,"_SIDD_MOST_SIGNIFICANT","","<strong>Index only</strong>: return the most significant bit",null,null],[17,"_SIDD_BIT_MASK","","<strong>Mask only</strong>: return the bit mask",null,null],[17,"_SIDD_UNIT_MASK","","<strong>Mask only</strong>: return the byte mask",null,null],[5,"_mm_cmpistrm","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_cmpistri","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrz","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrc","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistrs","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistro","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpistra","","Compares packed strings with implicit lengths in <code>a</code> and <code>b</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrm","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_cmpestri","","Compares packed strings <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrz","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrc","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestrs","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestro","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_cmpestra","","Compares packed strings in <code>a</code> and <code>b</code> with lengths <code>la</code> and <code>lb</code> …",null,[[["__m128i",3],["i32",15]],["i32",15]]],[5,"_mm_crc32_u8","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15],["u8",15]],["u32",15]]],[5,"_mm_crc32_u16","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15],["u16",15]],["u32",15]]],[5,"_mm_crc32_u32","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u32",15]],["u32",15]]],[5,"_mm_cmpgt_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_add_pd","","Adds packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_add_ps","","Adds packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_and_pd","","Computes the bitwise AND of a packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_and_ps","","Computes the bitwise AND of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_or_pd","","Computes the bitwise OR packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_or_ps","","Computes the bitwise OR packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_shuffle_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_shuffle_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_andnot_pd","","Computes the bitwise NOT of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_andnot_ps","","Computes the bitwise NOT of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_max_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_max_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_min_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_min_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_mul_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_mul_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_addsub_pd","","Alternatively adds and subtracts packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_addsub_ps","","Alternatively adds and subtracts packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sub_pd","","Subtracts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_sub_ps","","Subtracts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_div_ps","","Computes the division of each of the 8 packed 32-bit …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_div_pd","","Computes the division of each of the 4 packed 64-bit …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_round_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_ceil_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_floor_pd","","Rounds packed double-precision (64-bit) floating point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_round_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_ceil_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_floor_ps","","Rounds packed single-precision (32-bit) floating point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sqrt_ps","","Returns the square root of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_sqrt_pd","","Returns the square root of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_blend_pd","","Blends packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_blend_ps","","Blends packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_blendv_pd","","Blends packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_blendv_ps","","Blends packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_dp_ps","","Conditionally multiplies the packed single-precision …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_hadd_pd","","Horizontal addition of adjacent pairs in the two packed …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_hadd_ps","","Horizontal addition of adjacent pairs in the two packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_hsub_pd","","Horizontal subtraction of adjacent pairs in the two …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_hsub_ps","","Horizontal subtraction of adjacent pairs in the two …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_xor_pd","","Computes the bitwise XOR of packed double-precision …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_xor_ps","","Computes the bitwise XOR of packed single-precision …",null,[[["__m256",3]],["__m256",3]]],[17,"_CMP_EQ_OQ","","Equal (ordered, non-signaling)",null,null],[17,"_CMP_LT_OS","","Less-than (ordered, signaling)",null,null],[17,"_CMP_LE_OS","","Less-than-or-equal (ordered, signaling)",null,null],[17,"_CMP_UNORD_Q","","Unordered (non-signaling)",null,null],[17,"_CMP_NEQ_UQ","","Not-equal (unordered, non-signaling)",null,null],[17,"_CMP_NLT_US","","Not-less-than (unordered, signaling)",null,null],[17,"_CMP_NLE_US","","Not-less-than-or-equal (unordered, signaling)",null,null],[17,"_CMP_ORD_Q","","Ordered (non-signaling)",null,null],[17,"_CMP_EQ_UQ","","Equal (unordered, non-signaling)",null,null],[17,"_CMP_NGE_US","","Not-greater-than-or-equal (unordered, signaling)",null,null],[17,"_CMP_NGT_US","","Not-greater-than (unordered, signaling)",null,null],[17,"_CMP_FALSE_OQ","","False (ordered, non-signaling)",null,null],[17,"_CMP_NEQ_OQ","","Not-equal (ordered, non-signaling)",null,null],[17,"_CMP_GE_OS","","Greater-than-or-equal (ordered, signaling)",null,null],[17,"_CMP_GT_OS","","Greater-than (ordered, signaling)",null,null],[17,"_CMP_TRUE_UQ","","True (unordered, non-signaling)",null,null],[17,"_CMP_EQ_OS","","Equal (ordered, signaling)",null,null],[17,"_CMP_LT_OQ","","Less-than (ordered, non-signaling)",null,null],[17,"_CMP_LE_OQ","","Less-than-or-equal (ordered, non-signaling)",null,null],[17,"_CMP_UNORD_S","","Unordered (signaling)",null,null],[17,"_CMP_NEQ_US","","Not-equal (unordered, signaling)",null,null],[17,"_CMP_NLT_UQ","","Not-less-than (unordered, non-signaling)",null,null],[17,"_CMP_NLE_UQ","","Not-less-than-or-equal (unordered, non-signaling)",null,null],[17,"_CMP_ORD_S","","Ordered (signaling)",null,null],[17,"_CMP_EQ_US","","Equal (unordered, signaling)",null,null],[17,"_CMP_NGE_UQ","","Not-greater-than-or-equal (unordered, non-signaling)",null,null],[17,"_CMP_NGT_UQ","","Not-greater-than (unordered, non-signaling)",null,null],[17,"_CMP_FALSE_OS","","False (ordered, signaling)",null,null],[17,"_CMP_NEQ_OS","","Not-equal (ordered, signaling)",null,null],[17,"_CMP_GE_OQ","","Greater-than-or-equal (ordered, non-signaling)",null,null],[17,"_CMP_GT_OQ","","Greater-than (ordered, non-signaling)",null,null],[17,"_CMP_TRUE_US","","True (unordered, signaling)",null,null],[5,"_mm_cmp_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm256_cmp_pd","","Compares packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm_cmp_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_cmp_ps","","Compares packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm_cmp_sd","","Compares the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cmp_ss","","Compares the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_cvtepi32_pd","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m128i",3]],["__m256d",3]]],[5,"_mm256_cvtepi32_ps","","Converts packed 32-bit integers in <code>a</code> to packed …",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_cvtpd_ps","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128",3]]],[5,"_mm256_cvtps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_cvtps_pd","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m256d",3]]],[5,"_mm256_cvttpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128i",3]]],[5,"_mm256_cvtpd_epi32","","Converts packed double-precision (64-bit) floating-point …",null,[[["__m256d",3]],["__m128i",3]]],[5,"_mm256_cvttps_epi32","","Converts packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_extractf128_ps","","Extracts 128 bits (composed of 4 packed single-precision …",null,[[["__m256",3],["i32",15]],["__m128",3]]],[5,"_mm256_extractf128_pd","","Extracts 128 bits (composed of 2 packed double-precision …",null,[[["i32",15],["__m256d",3]],["__m128d",3]]],[5,"_mm256_extractf128_si256","","Extracts 128 bits (composed of integer data) from <code>a</code>, …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_zeroall","","Zeroes the contents of all XMM or YMM registers.",null,[[]]],[5,"_mm256_zeroupper","","Zeroes the upper 128 bits of all YMM registers; the lower …",null,[[]]],[5,"_mm256_permutevar_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["__m256i",3]],["__m256",3]]],[5,"_mm_permutevar_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_permute_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm_permute_ps","","Shuffles single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm256_permutevar_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__m256d",3]],["__m256d",3]]],[5,"_mm_permutevar_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_permute_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm_permute_pd","","Shuffles double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm256_permute2f128_ps","","Shuffles 256 bits (composed of 8 packed single-precision …",null,[[["__m256",3],["i32",15]],["__m256",3]]],[5,"_mm256_permute2f128_pd","","Shuffles 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_permute2f128_si256","","Shuffles 128-bits (composed of integer data) selected by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_broadcast_ss","","Broadcasts a single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm_broadcast_ss","","Broadcasts a single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m128",3]]],[5,"_mm256_broadcast_sd","","Broadcasts a double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_broadcast_ps","","Broadcasts 128 bits from memory (composed of 4 packed …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_broadcast_pd","","Broadcasts 128 bits from memory (composed of 2 packed …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_insertf128_ps","","Copies <code>a</code> to result, then inserts 128 bits (composed of 4 …",null,[[["__m256",3],["__m128",3],["i32",15]],["__m256",3]]],[5,"_mm256_insertf128_pd","","Copies <code>a</code> to result, then inserts 128 bits (composed of 2 …",null,[[["__m128d",3],["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_insertf128_si256","","Copies <code>a</code> to result, then inserts 128 bits from <code>b</code> into …",null,[[["__m128i",3],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_insert_epi8","","Copies <code>a</code> to result, and inserts the 8-bit integer <code>i</code> into …",null,[[["i32",15],["__m256i",3],["i8",15]],["__m256i",3]]],[5,"_mm256_insert_epi16","","Copies <code>a</code> to result, and inserts the 16-bit integer <code>i</code> into …",null,[[["__m256i",3],["i16",15],["i32",15]],["__m256i",3]]],[5,"_mm256_insert_epi32","","Copies <code>a</code> to result, and inserts the 32-bit integer <code>i</code> into …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_load_pd","","Loads 256-bits (composed of 4 packed double-precision …",null,[[],["__m256d",3]]],[5,"_mm256_store_pd","","Stores 256-bits (composed of 4 packed double-precision …",null,[[["__m256d",3]]]],[5,"_mm256_load_ps","","Loads 256-bits (composed of 8 packed single-precision …",null,[[],["__m256",3]]],[5,"_mm256_store_ps","","Stores 256-bits (composed of 8 packed single-precision …",null,[[["__m256",3]]]],[5,"_mm256_loadu_pd","","Loads 256-bits (composed of 4 packed double-precision …",null,[[],["__m256d",3]]],[5,"_mm256_storeu_pd","","Stores 256-bits (composed of 4 packed double-precision …",null,[[["__m256d",3]]]],[5,"_mm256_loadu_ps","","Loads 256-bits (composed of 8 packed single-precision …",null,[[],["__m256",3]]],[5,"_mm256_storeu_ps","","Stores 256-bits (composed of 8 packed single-precision …",null,[[["__m256",3]]]],[5,"_mm256_load_si256","","Loads 256-bits of integer data from memory into result. …",null,[[],["__m256i",3]]],[5,"_mm256_store_si256","","Stores 256-bits of integer data from <code>a</code> into memory. …",null,[[["__m256i",3]]]],[5,"_mm256_loadu_si256","","Loads 256-bits of integer data from memory into result. …",null,[[],["__m256i",3]]],[5,"_mm256_storeu_si256","","Stores 256-bits of integer data from <code>a</code> into memory. …",null,[[["__m256i",3]]]],[5,"_mm256_maskload_pd","","Loads packed double-precision (64-bit) floating-point …",null,[[["__m256i",3]],["__m256d",3]]],[5,"_mm256_maskstore_pd","","Stores packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__m256d",3]]]],[5,"_mm_maskload_pd","","Loads packed double-precision (64-bit) floating-point …",null,[[["__m128i",3]],["__m128d",3]]],[5,"_mm_maskstore_pd","","Stores packed double-precision (64-bit) floating-point …",null,[[["__m128i",3],["__m128d",3]]]],[5,"_mm256_maskload_ps","","Loads packed single-precision (32-bit) floating-point …",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_maskstore_ps","","Stores packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["__m256",3]]]],[5,"_mm_maskload_ps","","Loads packed single-precision (32-bit) floating-point …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm_maskstore_ps","","Stores packed single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3]]]],[5,"_mm256_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_lddqu_si256","","Loads 256-bits of integer data from unaligned memory into …",null,[[],["__m256i",3]]],[5,"_mm256_stream_si256","","Moves integer data from a 256-bit integer vector to a …",null,[[["__m256i",3]]]],[5,"_mm256_stream_pd","","Moves double-precision values from a 256-bit vector of …",null,[[["__m256d",3]]]],[5,"_mm256_stream_ps","","Moves single-precision floating point values from a …",null,[[["__m256",3]]]],[5,"_mm256_rcp_ps","","Computes the approximate reciprocal of packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_rsqrt_ps","","Computes the approximate reciprocal square root of packed …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_unpackhi_pd","","Unpacks and interleave double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_unpackhi_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_unpacklo_pd","","Unpacks and interleave double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm256_unpacklo_ps","","Unpacks and interleave single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm256_testz_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testc_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testnzc_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_testz_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_testc_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_testnzc_pd","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm_testz_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_testc_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_testnzc_pd","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm256_testz_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_testc_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_testnzc_ps","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256",3]],["i32",15]]],[5,"_mm_testz_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_testc_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_testnzc_ps","","Computes the bitwise AND of 128 bits (representing …",null,[[["__m128",3]],["i32",15]]],[5,"_mm256_movemask_pd","","Sets each bit of the returned mask based on the most …",null,[[["__m256d",3]],["i32",15]]],[5,"_mm256_movemask_ps","","Sets each bit of the returned mask based on the most …",null,[[["__m256",3]],["i32",15]]],[5,"_mm256_setzero_pd","","Returns vector of type __m256d with all elements set to …",null,[[],["__m256d",3]]],[5,"_mm256_setzero_ps","","Returns vector of type __m256 with all elements set to …",null,[[],["__m256",3]]],[5,"_mm256_setzero_si256","","Returns vector of type __m256i with all elements set to …",null,[[],["__m256i",3]]],[5,"_mm256_set_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_set_ps","","Sets packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_set_epi8","","Sets packed 8-bit integers in returned vector with the …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_set_epi16","","Sets packed 16-bit integers in returned vector with the …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_set_epi32","","Sets packed 32-bit integers in returned vector with the …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_set_epi64x","","Sets packed 64-bit integers in returned vector with the …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_setr_pd","","Sets packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_setr_ps","","Sets packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_setr_epi8","","Sets packed 8-bit integers in returned vector with the …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_setr_epi16","","Sets packed 16-bit integers in returned vector with the …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_setr_epi32","","Sets packed 32-bit integers in returned vector with the …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_setr_epi64x","","Sets packed 64-bit integers in returned vector with the …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_set1_pd","","Broadcasts double-precision (64-bit) floating-point value …",null,[[["f64",15]],["__m256d",3]]],[5,"_mm256_set1_ps","","Broadcasts single-precision (32-bit) floating-point value …",null,[[["f32",15]],["__m256",3]]],[5,"_mm256_set1_epi8","","Broadcasts 8-bit integer <code>a</code> to all elements of returned …",null,[[["i8",15]],["__m256i",3]]],[5,"_mm256_set1_epi16","","Broadcasts 16-bit integer <code>a</code> to all all elements of …",null,[[["i16",15]],["__m256i",3]]],[5,"_mm256_set1_epi32","","Broadcasts 32-bit integer <code>a</code> to all elements of returned …",null,[[["i32",15]],["__m256i",3]]],[5,"_mm256_set1_epi64x","","Broadcasts 64-bit integer <code>a</code> to all elements of returned …",null,[[["i64",15]],["__m256i",3]]],[5,"_mm256_castpd_ps","","Cast vector of type __m256d to type __m256.",null,[[["__m256d",3]],["__m256",3]]],[5,"_mm256_castps_pd","","Cast vector of type __m256 to type __m256d.",null,[[["__m256",3]],["__m256d",3]]],[5,"_mm256_castps_si256","","Casts vector of type __m256 to type __m256i.",null,[[["__m256",3]],["__m256i",3]]],[5,"_mm256_castsi256_ps","","Casts vector of type __m256i to type __m256.",null,[[["__m256i",3]],["__m256",3]]],[5,"_mm256_castpd_si256","","Casts vector of type __m256d to type __m256i.",null,[[["__m256d",3]],["__m256i",3]]],[5,"_mm256_castsi256_pd","","Casts vector of type __m256i to type __m256d.",null,[[["__m256i",3]],["__m256d",3]]],[5,"_mm256_castps256_ps128","","Casts vector of type __m256 to type __m128.",null,[[["__m256",3]],["__m128",3]]],[5,"_mm256_castpd256_pd128","","Casts vector of type __m256d to type __m128d.",null,[[["__m256d",3]],["__m128d",3]]],[5,"_mm256_castsi256_si128","","Casts vector of type __m256i to type __m128i.",null,[[["__m256i",3]],["__m128i",3]]],[5,"_mm256_castps128_ps256","","Casts vector of type __m128 to type __m256; the upper 128 …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_castpd128_pd256","","Casts vector of type __m128d to type __m256d; the upper …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_castsi128_si256","","Casts vector of type __m128i to type __m256i; the upper …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_zextps128_ps256","","Constructs a 256-bit floating-point vector of <code>[8 x float]</code> …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_zextsi128_si256","","Constructs a 256-bit integer vector from a 128-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_zextpd128_pd256","","Constructs a 256-bit floating-point vector of <code>[4 x double]</code>…",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_undefined_ps","","Returns vector of type <code>__m256</code> with undefined elements.",null,[[],["__m256",3]]],[5,"_mm256_undefined_pd","","Returns vector of type <code>__m256d</code> with undefined elements.",null,[[],["__m256d",3]]],[5,"_mm256_undefined_si256","","Returns vector of type __m256i with undefined elements.",null,[[],["__m256i",3]]],[5,"_mm256_set_m128","","Sets packed __m256 returned vector with the supplied …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_set_m128d","","Sets packed __m256d returned vector with the supplied …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_set_m128i","","Sets packed __m256i returned vector with the supplied …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_setr_m128","","Sets packed __m256 returned vector with the supplied …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm256_setr_m128d","","Sets packed __m256d returned vector with the supplied …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_setr_m128i","","Sets packed __m256i returned vector with the supplied …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_loadu2_m128","","Loads two 128-bit values (composed of 4 packed …",null,[[],["__m256",3]]],[5,"_mm256_loadu2_m128d","","Loads two 128-bit values (composed of 2 packed …",null,[[],["__m256d",3]]],[5,"_mm256_loadu2_m128i","","Loads two 128-bit values (composed of integer data) from …",null,[[],["__m256i",3]]],[5,"_mm256_storeu2_m128","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256",3]]]],[5,"_mm256_storeu2_m128d","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256d",3]]]],[5,"_mm256_storeu2_m128i","","Stores the high and low 128-bit halves (each composed of …",null,[[["__m256i",3]]]],[5,"_mm256_cvtss_f32","","Returns the first element of the input vector of …",null,[[["__m256",3]],["f32",15]]],[5,"_mm256_abs_epi32","","Computes the absolute values of packed 32-bit integers in …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_abs_epi16","","Computes the absolute values of packed 16-bit integers in …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_abs_epi8","","Computes the absolute values of packed 8-bit integers in <code>a</code>…",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi64","","Adds packed 64-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi32","","Adds packed 32-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_add_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epi8","","Adds packed 8-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epi16","","Adds packed 16-bit integers in <code>a</code> and <code>b</code> using saturation.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epu8","","Adds packed unsigned 8-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_adds_epu16","","Adds packed unsigned 16-bit integers in <code>a</code> and <code>b</code> using …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_alignr_epi8","","Concatenates pairs of 16-byte blocks in <code>a</code> and <code>b</code> into a …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_and_si256","","Computes the bitwise AND of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_andnot_si256","","Computes the bitwise NOT of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_avg_epu16","","Averages packed unsigned 16-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_avg_epu8","","Averages packed unsigned 8-bit integers in <code>a</code> and <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_blend_epi32","","Blends packed 32-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_blend_epi32","","Blends packed 32-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_blend_epi16","","Blends packed 16-bit integers from <code>a</code> and <code>b</code> using control …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_blendv_epi8","","Blends packed 8-bit integers from <code>a</code> and <code>b</code> using <code>mask</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_broadcastb_epi8","","Broadcasts the low packed 8-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastb_epi8","","Broadcasts the low packed 8-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastd_epi32","","Broadcasts the low packed 32-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastd_epi32","","Broadcasts the low packed 32-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastq_epi64","","Broadcasts the low packed 64-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastq_epi64","","Broadcasts the low packed 64-bit integer from <code>a</code> to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastsd_pd","","Broadcasts the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_broadcastsd_pd","","Broadcasts the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m256d",3]]],[5,"_mm256_broadcastsi128_si256","","Broadcasts 128 bits of integer data from a to all 128-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm_broadcastss_ps","","Broadcasts the low single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_broadcastss_ps","","Broadcasts the low single-precision (32-bit) …",null,[[["__m128",3]],["__m256",3]]],[5,"_mm_broadcastw_epi16","","Broadcasts the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_broadcastw_epi16","","Broadcasts the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpeq_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for equality.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi64","","Compares packed 64-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cmpgt_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code> for …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_cvtepi16_epi32","","Sign-extend 16-bit integers to 32-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi16_epi64","","Sign-extend 16-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi32_epi64","","Sign-extend 32-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi16","","Sign-extend 8-bit integers to 16-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi32","","Sign-extend 8-bit integers to 32-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepi8_epi64","","Sign-extend 8-bit integers to 64-bit integers.",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu16_epi32","","Zeroes extend packed unsigned 16-bit integers in <code>a</code> to …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu16_epi64","","Zero-extend the lower four unsigned 16-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu32_epi64","","Zero-extend unsigned 32-bit integers in <code>a</code> to 64-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi16","","Zero-extend unsigned 8-bit integers in <code>a</code> to 16-bit …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi32","","Zero-extend the lower eight unsigned 8-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_cvtepu8_epi64","","Zero-extend the lower four unsigned 8-bit integers in <code>a</code> …",null,[[["__m128i",3]],["__m256i",3]]],[5,"_mm256_extracti128_si256","","Extracts 128 bits (of integer data) from <code>a</code> selected with …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_hadd_epi16","","Horizontally adds adjacent pairs of 16-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hadd_epi32","","Horizontally adds adjacent pairs of 32-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hadds_epi16","","Horizontally adds adjacent pairs of 16-bit integers in <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsub_epi16","","Horizontally subtract adjacent pairs of 16-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsub_epi32","","Horizontally subtract adjacent pairs of 32-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_hsubs_epi16","","Horizontally subtract adjacent pairs of 16-bit integers …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i32gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256",3]]],[5,"_mm256_mask_i32gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256",3],["__m256i",3],["i32",15]],["__m256",3]]],[5,"_mm_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i32gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128i",3]],["__m256i",3]]],[5,"_mm_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128d",3]]],[5,"_mm_mask_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m256d",3]]],[5,"_mm256_mask_i32gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256d",3],["__m128i",3],["i32",15]],["__m256d",3]]],[5,"_mm_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_mask_i64gather_epi32","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128i",3]],["__m128i",3]]],[5,"_mm_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm256_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m128",3]]],[5,"_mm256_mask_i64gather_ps","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15],["__m128",3]],["__m128",3]]],[5,"_mm_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_mask_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm256_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_i64gather_epi64","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m128i",3],["i32",15]],["__m128d",3]]],[5,"_mm_mask_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm256_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["i32",15]],["__m256d",3]]],[5,"_mm256_mask_i64gather_pd","","Returns values from <code>slice</code> at offsets determined by …",null,[[["__m256i",3],["__m256d",3],["i32",15]],["__m256d",3]]],[5,"_mm256_inserti128_si256","","Copies <code>a</code> to <code>dst</code>, then insert 128 bits (of integer data) …",null,[[["__m128i",3],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_madd_epi16","","Multiplies packed signed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maddubs_epi16","","Vertically multiplies each unsigned 8-bit integer from <code>a</code> …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskload_epi32","","Loads packed 32-bit integers from memory pointed by …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_maskload_epi32","","Loads packed 32-bit integers from memory pointed by …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskload_epi64","","Loads packed 64-bit integers from memory pointed by …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_maskload_epi64","","Loads packed 64-bit integers from memory pointed by …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_maskstore_epi32","","Stores packed 32-bit integers from <code>a</code> into memory pointed …",null,[[["__m128i",3]]]],[5,"_mm256_maskstore_epi32","","Stores packed 32-bit integers from <code>a</code> into memory pointed …",null,[[["__m256i",3]]]],[5,"_mm_maskstore_epi64","","Stores packed 64-bit integers from <code>a</code> into memory pointed …",null,[[["__m128i",3]]]],[5,"_mm256_maskstore_epi64","","Stores packed 64-bit integers from <code>a</code> into memory pointed …",null,[[["__m256i",3]]]],[5,"_mm256_max_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_max_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi16","","Compares packed 16-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi32","","Compares packed 32-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epi8","","Compares packed 8-bit integers in <code>a</code> and <code>b</code>, and returns …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu16","","Compares packed unsigned 16-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu32","","Compares packed unsigned 32-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_min_epu8","","Compares packed unsigned 8-bit integers in <code>a</code> and <code>b</code>, and …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_movemask_epi8","","Creates mask from the most significant bit of each 8-bit …",null,[[["__m256i",3]],["i32",15]]],[5,"_mm256_mpsadbw_epu8","","Computes the sum of absolute differences (SADs) of …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mul_epi32","","Multiplies the low 32-bit integers from each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mul_epu32","","Multiplies the low unsigned 32-bit integers from each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhi_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhi_epu16","","Multiplies the packed unsigned 16-bit integers in <code>a</code> and <code>b</code>…",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mullo_epi16","","Multiplies the packed 16-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mullo_epi32","","Multiplies the packed 32-bit integers in <code>a</code> and <code>b</code>, …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mulhrs_epi16","","Multiplies packed 16-bit integers in <code>a</code> and <code>b</code>, producing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_or_si256","","Computes the bitwise OR of 256 bits (representing integer …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packs_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packs_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packus_epi16","","Converts packed 16-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_packus_epi32","","Converts packed 32-bit integers from <code>a</code> and <code>b</code> to packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_permutevar8x32_epi32","","Permutes packed 32-bit integers from <code>a</code> according to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_permute4x64_epi64","","Permutes 64-bit integers from <code>a</code> using control mask <code>imm8</code>.",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_permute2x128_si256","","Shuffles 128-bits of integer data selected by <code>imm8</code> from <code>a</code> …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_permute4x64_pd","","Shuffles 64-bit floating-point elements in <code>a</code> across lanes …",null,[[["i32",15],["__m256d",3]],["__m256d",3]]],[5,"_mm256_permutevar8x32_ps","","Shuffles eight 32-bit foating-point elements in <code>a</code> across …",null,[[["__m256",3],["__m256i",3]],["__m256",3]]],[5,"_mm256_sad_epu8","","Computes the absolute differences of packed unsigned …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_shuffle_epi8","","Shuffles bytes from <code>a</code> according to the content of <code>b</code>.",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_shuffle_epi32","","Shuffles 32-bit integers in 128-bit lanes of <code>a</code> using the …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_shufflehi_epi16","","Shuffles 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_shufflelo_epi16","","Shuffles 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_sign_epi16","","Negates packed 16-bit integers in <code>a</code> when the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sign_epi32","","Negates packed 32-bit integers in <code>a</code> when the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sign_epi8","","Negates packed 8-bit integers in <code>a</code> when the corresponding …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sll_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_slli_epi16","","Shifts packed 16-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_epi32","","Shifts packed 32-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_epi64","","Shifts packed 64-bit integers in <code>a</code> left by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_slli_si256","","Shifts 128-bit lanes in <code>a</code> left by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_bslli_epi128","","Shifts 128-bit lanes in <code>a</code> left by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_sllv_epi32","","Shifts packed 32-bit integers in <code>a</code> left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_sllv_epi32","","Shifts packed 32-bit integers in <code>a</code> left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_sllv_epi64","","Shifts packed 64-bit integers in <code>a</code> left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_sllv_epi64","","Shifts packed 64-bit integers in <code>a</code> left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sra_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_sra_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srai_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srai_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_srav_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srav_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_srli_si256","","Shifts 128-bit lanes in <code>a</code> right by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_bsrli_epi128","","Shifts 128-bit lanes in <code>a</code> right by <code>imm8</code> bytes while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srl_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srl_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srl_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>count</code> while …",null,[[["__m128i",3],["__m256i",3]],["__m256i",3]]],[5,"_mm256_srli_epi16","","Shifts packed 16-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srli_epi32","","Shifts packed 32-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_srli_epi64","","Shifts packed 64-bit integers in <code>a</code> right by <code>imm8</code> while …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm_srlv_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srlv_epi32","","Shifts packed 32-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_srlv_epi64","","Shifts packed 64-bit integers in <code>a</code> right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm256_srlv_epi64","","Shifts packed 64-bit integers in <code>a</code> right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi32","","Subtract packed 32-bit integers in <code>b</code> from packed 32-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi64","","Subtract packed 64-bit integers in <code>b</code> from packed 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_sub_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epi16","","Subtract packed 16-bit integers in <code>b</code> from packed 16-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epi8","","Subtract packed 8-bit integers in <code>b</code> from packed 8-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epu16","","Subtract packed unsigned 16-bit integers in <code>b</code> from packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_subs_epu8","","Subtract packed unsigned 8-bit integers in <code>b</code> from packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi8","","Unpacks and interleave 8-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi8","","Unpacks and interleave 8-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi16","","Unpacks and interleave 16-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi16","","Unpacks and interleave 16-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi32","","Unpacks and interleave 32-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi32","","Unpacks and interleave 32-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpackhi_epi64","","Unpacks and interleave 64-bit integers from the high half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_unpacklo_epi64","","Unpacks and interleave 64-bit integers from the low half …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_xor_si256","","Computes the bitwise XOR of 256 bits (representing …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_extract_epi8","","Extracts an 8-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_extract_epi16","","Extracts a 16-bit integer from <code>a</code>, selected with <code>imm8</code>. …",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_extract_epi32","","Extracts a 32-bit integer from <code>a</code>, selected with <code>imm8</code>.",null,[[["__m256i",3],["i32",15]],["i32",15]]],[5,"_mm256_cvtsd_f64","","Returns the first element of the input vector of …",null,[[["__m256d",3]],["f64",15]]],[5,"_mm256_cvtsi256_si32","","Returns the first element of the input vector of <code>[8 x i32]</code>…",null,[[["__m256i",3]],["i32",15]]],[5,"_mm_fmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmadd_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fmadd_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fmaddsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmaddsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmaddsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmaddsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fmsub_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fmsub_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fmsubadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fmsubadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fmsubadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fmsubadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fnmadd_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fnmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fnmadd_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmadd_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmadd_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_fnmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm256_fnmsub_pd","","Multiplies packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m256d",3]]],[5,"_mm_fnmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm256_fnmsub_ps","","Multiplies packed single-precision (32-bit) …",null,[[["__m256",3]],["__m256",3]]],[5,"_mm_fnmsub_sd","","Multiplies the lower double-precision (64-bit) …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmsub_ss","","Multiplies the lower single-precision (32-bit) …",null,[[["__m128",3]],["__m128",3]]],[5,"_lzcnt_u32","","Counts the leading most significant zero bits.",null,[[["u32",15]],["u32",15]]],[5,"_popcnt32","","Counts the bits that are set.",null,[[["i32",15]],["i32",15]]],[5,"_bextr_u32","","Extracts bits in range [<code>start</code>, <code>start</code> + <code>length</code>) from <code>a</code> into…",null,[[["u32",15]],["u32",15]]],[5,"_bextr2_u32","","Extracts bits of <code>a</code> specified by <code>control</code> into the least …",null,[[["u32",15]],["u32",15]]],[5,"_andn_u32","","Bitwise logical <code>AND</code> of inverted <code>a</code> with <code>b</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blsi_u32","","Extracts lowest set isolated bit.",null,[[["u32",15]],["u32",15]]],[5,"_blsmsk_u32","","Gets mask up to lowest set bit.",null,[[["u32",15]],["u32",15]]],[5,"_blsr_u32","","Resets the lowest set bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_tzcnt_u32","","Counts the number of trailing least significant zero bits.",null,[[["u32",15]],["u32",15]]],[5,"_mm_tzcnt_32","","Counts the number of trailing least significant zero bits.",null,[[["u32",15]],["i32",15]]],[5,"_mulx_u32","","Unsigned multiply without affecting flags.",null,[[["u32",15],["u32",15]],["u32",15]]],[5,"_bzhi_u32","","Zeroes higher bits of <code>a</code> >= <code>index</code>.",null,[[["u32",15]],["u32",15]]],[5,"_pdep_u32","","Scatter contiguous low order bits of <code>a</code> to the result at …",null,[[["u32",15]],["u32",15]]],[5,"_pext_u32","","Gathers the bits of <code>x</code> specified by the <code>mask</code> into the …",null,[[["u32",15]],["u32",15]]],[5,"_mm_extract_si64","","Extracts the bit range specified by <code>y</code> from the lower 64 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_insert_si64","","Inserts the <code>[length:0]</code> bits of <code>y</code> into <code>x</code> at <code>index</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_stream_sd","","Non-temporal store of <code>a.0</code> into <code>p</code>.",null,[[["__m128d",3]]]],[5,"_mm_stream_ss","","Non-temporal store of <code>a.0</code> into <code>p</code>.",null,[[["__m128",3]]]],[5,"_blcfill_u32","","Clears all bits below the least significant zero bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blcfill_u64","","Clears all bits below the least significant zero bit of <code>x</code>.",null,[[["u64",15]],["u64",15]]],[5,"_blci_u32","","Sets all bits of <code>x</code> to 1 except for the least significant …",null,[[["u32",15]],["u32",15]]],[5,"_blci_u64","","Sets all bits of <code>x</code> to 1 except for the least significant …",null,[[["u64",15]],["u64",15]]],[5,"_blcic_u32","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u32",15]],["u32",15]]],[5,"_blcic_u64","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u64",15]],["u64",15]]],[5,"_blcmsk_u32","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u32",15]],["u32",15]]],[5,"_blcmsk_u64","","Sets the least significant zero bit of <code>x</code> and clears all …",null,[[["u64",15]],["u64",15]]],[5,"_blcs_u32","","Sets the least significant zero bit of <code>x</code>.",null,[[["u32",15]],["u32",15]]],[5,"_blcs_u64","","Sets the least significant zero bit of <code>x</code>.",null,[[["u64",15]],["u64",15]]],[5,"_blsfill_u32","","Sets all bits of <code>x</code> below the least significant one.",null,[[["u32",15]],["u32",15]]],[5,"_blsfill_u64","","Sets all bits of <code>x</code> below the least significant one.",null,[[["u64",15]],["u64",15]]],[5,"_blsic_u32","","Clears least significant bit and sets all other bits.",null,[[["u32",15]],["u32",15]]],[5,"_blsic_u64","","Clears least significant bit and sets all other bits.",null,[[["u64",15]],["u64",15]]],[5,"_t1mskc_u32","","Clears all bits below the least significant zero of <code>x</code> and …",null,[[["u32",15]],["u32",15]]],[5,"_t1mskc_u64","","Clears all bits below the least significant zero of <code>x</code> and …",null,[[["u64",15]],["u64",15]]],[5,"_tzmsk_u32","","Sets all bits below the least significant one of <code>x</code> and …",null,[[["u32",15]],["u32",15]]],[5,"_tzmsk_u64","","Sets all bits below the least significant one of <code>x</code> and …",null,[[["u64",15]],["u64",15]]],[5,"_mm_clmulepi64_si128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_aesdec_si128","","Performs one round of an AES decryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesdeclast_si128","","Performs the last round of an AES decryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesenc_si128","","Performs one round of an AES encryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesenclast_si128","","Performs the last round of an AES encryption flow on data …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aesimc_si128","","Performs the <code>InvMixColumns</code> transformation on <code>a</code>.",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_aeskeygenassist_si128","","Assist in expanding the AES cipher key.",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_rdrand16_step","","Read a hardware generated 16-bit random value and store …",null,[[["u16",15]],["i32",15]]],[5,"_rdrand32_step","","Read a hardware generated 32-bit random value and store …",null,[[["u32",15]],["i32",15]]],[5,"_rdseed16_step","","Read a 16-bit NIST SP800-90B and SP800-90C compliant …",null,[[["u16",15]],["i32",15]]],[5,"_rdseed32_step","","Read a 32-bit NIST SP800-90B and SP800-90C compliant …",null,[[["u32",15]],["i32",15]]],[5,"_mm_sha1msg1_epu32","","Performs an intermediate calculation for the next four …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1msg2_epu32","","Performs the final calculation for the next four SHA1 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1nexte_epu32","","Calculate SHA1 state variable E after four rounds of …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha1rnds4_epu32","","Performs four rounds of SHA1 operation using an initial …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_sha256msg1_epu32","","Performs an intermediate calculation for the next four …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha256msg2_epu32","","Performs the final calculation for the next four SHA256 …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_sha256rnds2_epu32","","Performs 2 rounds of SHA256 operation using an initial …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_addcarry_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"_addcarryx_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"_subborrow_u32","","Adds unsigned 32-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u32",15],["u32",15],["u8",15]],["u8",15]]],[5,"ud2","","Generates the trap instruction <code>UD2</code>",null,[[]]],[5,"_mm512_abs_epi32","","Computes the absolute values of packed 32-bit integers in …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi32","","Computes the absolute value of packed 32-bit integers in <code>a</code>…",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi32","","Computes the absolute value of packed 32-bit integers in <code>a</code>…",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi64","","Compute the absolute value of packed signed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_abs_ps","","Finds the absolute value of each packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_abs_ps","","Finds the absolute value of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_abs_pd","","Finds the absolute value of each packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_abs_pd","","Finds the absolute value of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mov_epi32","","Move packed 32-bit integers from a to dst using writemask …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi32","","Move packed 32-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_mov_epi64","","Move packed 64-bit integers from a to dst using writemask …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi64","","Move packed 64-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_mov_ps","","Move packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mov_ps","","Move packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_mov_pd","","Move packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mov_pd","","Move packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi32","","Add packed 32-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi64","","Add packed 64-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_add_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_add_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi32","","Subtract packed 32-bit integers in b from packed 32-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi64","","Subtract packed 64-bit integers in b from packed 64-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sub_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sub_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mul_epi32","","Multiply the low signed 32-bit integers from each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_mullo_epi32","","Multiply the packed 32-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mullox_epi64","","Multiplies elements in packed 64-bit integer vectors a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullox_epi64","","Multiplies elements in packed 64-bit integer vectors a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_mul_epu32","","Multiply the low unsigned 32-bit integers from each …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mul_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mul_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_div_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_div_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_max_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_max_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi32","","Compare packed signed 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi64","","Compare packed signed 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_min_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_min_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu32","","Compare packed unsigned 32-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu64","","Compare packed unsigned 64-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sqrt_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sqrt_pd","","Compute the square root of packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmaddsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmaddsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmaddsub_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsubadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsubadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmadd_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmadd_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmsub_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmsub_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_rcp14_ps","","Compute the approximate reciprocal of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_rcp14_pd","","Compute the approximate reciprocal of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_rsqrt14_ps","","Compute the approximate reciprocal square root of packed …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_rsqrt14_pd","","Compute the approximate reciprocal square root of packed …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_getexp_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_getexp_pd","","Convert the exponent of each packed double-precision …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_roundscale_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_roundscale_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_scalef_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_scalef_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fixupimm_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fixupimm_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_ternarylogic_epi32","","Bitwise ternary logic that provides the capability to …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_ternarylogic_epi64","","Bitwise ternary logic that provides the capability to …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__m512",3],["_mm_mantissa_sign_enum",6],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_mask_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_maskz_getmant_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["_mm_mantissa_norm_enum",6],["_mm_mantissa_sign_enum",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_maskz_getmant_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_add_round_ps","","Add packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_add_round_pd","","Add packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sub_round_ps","","Subtract packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sub_round_pd","","Subtract packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_mul_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mul_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_mul_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_mul_round_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_div_round_ps","","Divide packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_div_round_pd","","Divide packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_sqrt_round_ps","","Compute the square root of packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_sqrt_round_pd","","Compute the square root of packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmaddsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmaddsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmaddsub_round_pd","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fmsubadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fmsubadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmadd_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmadd_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask3_fnmsub_round_ps","","Multiply packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask3_fnmsub_round_pd","","Multiply packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_max_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_max_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_min_round_ps","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_min_round_pd","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_getexp_round_ps","","Convert the exponent of each packed single-precision …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_getexp_round_pd","","Convert the exponent of each packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_roundscale_round_ps","","Round packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_roundscale_round_pd","","Round packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_scalef_round_ps","","Scale the packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_scalef_round_pd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_fixupimm_round_ps","","Fix up packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_fixupimm_round_pd","","Fix up packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_mask_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_maskz_getmant_round_ps","","Normalize the mantissas of packed single-precision …",null,[[["__mmask16",6],["_mm_mantissa_sign_enum",6],["i32",15],["__m512",3],["_mm_mantissa_norm_enum",6]],["__m512",3]]],[5,"_mm512_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_mask_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_maskz_getmant_round_pd","","Normalize the mantissas of packed double-precision …",null,[[["__m512d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m512d",3]]],[5,"_mm512_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3]],["__m512d",3]]],[5,"_mm512_mask_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtpslo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512",3]],["__m512d",3]]],[5,"_mm512_mask_cvtpslo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256",3]]],[5,"_mm512_mask_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_maskz_cvtpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_cvtpd_pslo","","Performs an element-by-element conversion of packed …",null,[[["__m512d",3]],["__m512",3]]],[5,"_mm512_mask_cvtpd_pslo","","Performs an element-by-element conversion of packed …",null,[[["__m512",3],["__mmask8",6],["__m512d",3]],["__m512",3]]],[5,"_mm512_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi32","","Sign extend packed 8-bit integers in a to packed 32-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi64","","Sign extend packed 8-bit integers in the low 8 bytes of a …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi32","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi64","","Zero extend packed unsigned 8-bit integers in the low 8 …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m512i",3],["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi16_epi32","","Sign extend packed 16-bit integers in a to packed 32-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi16_epi64","","Sign extend packed 16-bit integers in a to packed 64-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m512i",3],["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu16_epi32","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m256i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu16_epi64","","Zero extend packed unsigned 16-bit integers in a to …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi32_epi64","","Sign extend packed 32-bit integers in a to packed 64-bit …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu32_epi64","","Zero extend packed unsigned 32-bit integers in a to …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtepi32_pd","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvtepu32_pd","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6]],["__m512d",3]]],[5,"_mm512_cvtepi32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepi32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtepu32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_mask_cvtepu32lo_pd","","Performs element-by-element conversion of the lower half …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi32_epi16","","Convert packed 32-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi32_epi8","","Convert packed 32-bit integers in a to packed 8-bit …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi64_epi32","","Convert packed 64-bit integers in a to packed 32-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi64_epi16","","Convert packed 64-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtepi64_epi8","","Convert packed 64-bit integers in a to packed 8-bit …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi32_epi16","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi32_epi8","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi64_epi32","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi64_epi16","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtsepi64_epi8","","Convert packed signed 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m256i",3],["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi32_epi16","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi32_epi8","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m256i",3],["__mmask8",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi64_epi32","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi64_epi16","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_mask_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_cvtusepi64_epi8","","Convert packed unsigned 64-bit integers in a to packed …",null,[[["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_cvt_roundps_pd","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256",3],["__mmask8",6],["i32",15]],["__m512d",3]]],[5,"_mm512_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256",3]]],[5,"_mm512_mask_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_maskz_cvt_roundpd_ps","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256",3]]],[5,"_mm512_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundepi32_ps","","Convert packed signed 32-bit integers in a to packed …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundepu32_ps","","Convert packed unsigned 32-bit integers in a to packed …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvt_roundps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_maskz_cvtps_ph","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm512_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvt_roundph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3]],["__m512",3]]],[5,"_mm512_mask_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m512",3],["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_cvtph_ps","","Convert packed half-precision (16-bit) floating-point …",null,[[["__m256i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvtt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvtt_roundpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtt_roundpd_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvttps_epi32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_cvttps_epu32","","Convert packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_mask_cvttps_epu32","","Convert packed double-precision (32-bit) floating-point …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvttps_epu32","","Convert packed double-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_cvtt_roundpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvttpd_epi32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__m256i",3]]],[5,"_mm512_mask_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__m256i",3],["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_maskz_cvttpd_epu32","","Convert packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m256i",3]]],[5,"_mm512_setzero_pd","","Returns vector of type <code>__m512d</code> with all elements set to …",null,[[],["__m512d",3]]],[5,"_mm512_setzero_ps","","Returns vector of type <code>__m512d</code> with all elements set to …",null,[[],["__m512",3]]],[5,"_mm512_setzero","","Return vector of type __m512 with all elements set to …",null,[[],["__m512",3]]],[5,"_mm512_setzero_si512","","Returns vector of type <code>__m512i</code> with all elements set to …",null,[[],["__m512i",3]]],[5,"_mm512_setzero_epi32","","Return vector of type __m512i with all elements set to …",null,[[],["__m512i",3]]],[5,"_mm512_setr_epi32","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set_epi8","","Set packed 8-bit integers in dst with the supplied values.",null,[[["i8",15]],["__m512i",3]]],[5,"_mm512_set_epi16","","Set packed 16-bit integers in dst with the supplied …",null,[[["i16",15]],["__m512i",3]]],[5,"_mm512_set4_epi32","","Set packed 32-bit integers in dst with the repeated 4 …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set4_ps","","Set packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set4_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_setr4_epi32","","Set packed 32-bit integers in dst with the repeated 4 …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_setr4_ps","","Set packed single-precision (32-bit) floating-point …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_setr4_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set_epi64","","Set packed 64-bit integers in dst with the supplied …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_setr_epi64","","Set packed 64-bit integers in dst with the supplied …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_i32gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_i32gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_i64gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m512d",3]]],[5,"_mm512_mask_i64gather_pd","","Gather double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_i64gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m256",3]]],[5,"_mm512_mask_i64gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256",3]]],[5,"_mm512_i32gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_i32gather_ps","","Gather single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_i32gather_epi32","","Gather 32-bit integers from memory using 32-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i32gather_epi32","","Gather 32-bit integers from memory using 32-bit indices. …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_i32gather_epi64","","Gather 64-bit integers from memory using 32-bit indices. …",null,[[["__m256i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i32gather_epi64","","Gather 64-bit integers from memory using 32-bit indices. …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_i64gather_epi64","","Gather 64-bit integers from memory using 64-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_i64gather_epi64","","Gather 64-bit integers from memory using 64-bit indices. …",null,[[["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_i64gather_epi32","","Gather 32-bit integers from memory using 64-bit indices. …",null,[[["__m512i",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_i64gather_epi32","","Gather 32-bit integers from memory using 64-bit indices. …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_i32scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__m512d",3]]]],[5,"_mm512_mask_i32scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["__m256i",3],["i32",15],["__mmask8",6],["__m512d",3]]]],[5,"_mm512_i64scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512d",3]]]],[5,"_mm512_mask_i64scatter_pd","","Scatter double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__mmask8",6],["__m512d",3]]]],[5,"_mm512_i32scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512",3]]]],[5,"_mm512_mask_i32scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512i",3],["__m512",3],["__mmask16",6]]]],[5,"_mm512_i64scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i64scatter_ps","","Scatter single-precision (32-bit) floating-point elements …",null,[[["__m256",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i32scatter_epi64","","Scatter 64-bit integers from a into memory using 32-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i32scatter_epi64","","Scatter 64-bit integers from a into memory using 32-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i64scatter_epi64","","Scatter 64-bit integers from a into memory using 64-bit …",null,[[["__m512i",3],["i32",15]]]],[5,"_mm512_mask_i64scatter_epi64","","Scatter 64-bit integers from a into memory using 64-bit …",null,[[["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_i32scatter_epi32","","Scatter 32-bit integers from a into memory using 32-bit …",null,[[["__m512i",3],["i32",15]]]],[5,"_mm512_mask_i32scatter_epi32","","Scatter 32-bit integers from a into memory using 32-bit …",null,[[["i32",15],["__m512i",3],["__mmask16",6]]]],[5,"_mm512_i64scatter_epi32","","Scatter 32-bit integers from a into memory using 64-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3]]]],[5,"_mm512_mask_i64scatter_epi32","","Scatter 32-bit integers from a into memory using 64-bit …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]]]],[5,"_mm512_mask_compress_epi32","","Contiguously store the active 32-bit integers in a (those …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_compress_epi32","","Contiguously store the active 32-bit integers in a (those …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_compress_epi64","","Contiguously store the active 64-bit integers in a (those …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_compress_epi64","","Contiguously store the active 64-bit integers in a (those …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_compress_ps","","Contiguously store the active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_compress_ps","","Contiguously store the active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_compress_pd","","Contiguously store the active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_compress_pd","","Contiguously store the active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_expand_epi32","","Load contiguous active 32-bit integers from a (those with …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_expand_epi32","","Load contiguous active 32-bit integers from a (those with …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_expand_epi64","","Load contiguous active 64-bit integers from a (those with …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_expand_epi64","","Load contiguous active 64-bit integers from a (those with …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_expand_ps","","Load contiguous active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_expand_ps","","Load contiguous active single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_expand_pd","","Load contiguous active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_expand_pd","","Load contiguous active double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rol_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_ror_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_rol_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_ror_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi32","","Shift packed 32-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi64","","Shift packed 64-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi32","","Shift packed 32-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srl_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi64","","Shift packed 64-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi32","","Shift packed 32-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi64","","Shift packed 64-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi32","","Shift packed 32-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi64","","Shift packed 64-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rolv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_rorv_epi32","","Rotate the bits in each packed 32-bit integer in a to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_rolv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_rorv_epi64","","Rotate the bits in each packed 64-bit integer in a to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi32","","Shift packed 32-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi32","","Shift packed 32-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi64","","Shift packed 64-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi64","","Shift packed 64-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permute_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permute_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_permutex_epi64","","Shuffle 64-bit integers in a within 256-bit lanes using …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutex_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutevar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutevar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutevar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutevar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi32","","Shuffle 32-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi64","","Shuffle 64-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["__m512",3]],["__m512",3]]],[5,"_mm512_mask_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutexvar_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutexvar_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi32","","Shuffle 32-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi64","","Shuffle 64-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3]],["__m512",3]]],[5,"_mm512_mask_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask2_permutex2var_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["__m512i",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask2_permutex2var_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["__m512i",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_shuffle_epi32","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512i",3],["_mm_perm_enum",6]],["__m512i",3]]],[5,"_mm512_mask_shuffle_epi32","","Shuffle 32-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["_mm_perm_enum",6],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_epi32","","Shuffle 32-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["_mm_perm_enum",6],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_shuffle_ps","","Shuffle single-precision (32-bit) floating-point elements …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_shuffle_pd","","Shuffle double-precision (64-bit) floating-point elements …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_i32x4","","Shuffle 128-bits (composed of 4 32-bit integers) selected …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_i64x2","","Shuffle 128-bits (composed of 2 64-bit integers) selected …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["__m512",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_shuffle_f32x4","","Shuffle 128-bits (composed of 4 single-precision (32-bit) …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_shuffle_f64x2","","Shuffle 128-bits (composed of 2 double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["__m512",3],["i32",15]],["__m128",3]]],[5,"_mm512_mask_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m512",3]],["__m128",3]]],[5,"_mm512_maskz_extractf32x4_ps","","Extract 128 bits (composed of 4 packed single-precision …",null,[[["__m512",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm512_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m512i",3],["i32",15]],["__m256i",3]]],[5,"_mm512_mask_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm512_maskz_extracti64x4_epi64","","Extract 256 bits (composed of 4 packed 64-bit integers) …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m256i",3]]],[5,"_mm512_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__m512d",3]],["__m256d",3]]],[5,"_mm512_mask_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m256d",3]]],[5,"_mm512_maskz_extractf64x4_pd","","Extract 256 bits (composed of 4 packed double-precision …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__m256d",3]]],[5,"_mm512_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["__m512i",3],["i32",15]],["__m128i",3]]],[5,"_mm512_mask_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maskz_extracti32x4_epi32","","Extract 128 bits (composed of 4 packed 32-bit integers) …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm512_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_moveldup_ps","","Duplicate even-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_movehdup_ps","","Duplicate odd-indexed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_movedup_pd","","Duplicate even-indexed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_inserti32x4","","Copy a to dst, then insert 128 bits (composed of 4 packed …",null,[[["__m128i",3],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_inserti32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_inserti32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_inserti64x4","","Copy a to dst, then insert 256 bits (composed of 4 packed …",null,[[["__m512i",3],["__m256i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_inserti64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_inserti64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256i",3],["i32",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_insertf32x4","","Copy a to dst, then insert 128 bits (composed of 4 packed …",null,[[["__m512",3],["__m128",3],["i32",15]],["__m512",3]]],[5,"_mm512_mask_insertf32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_insertf32x4","","Copy a to tmp, then insert 128 bits (composed of 4 packed …",null,[[["i32",15],["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_insertf64x4","","Copy a to dst, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_insertf64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_insertf64x4","","Copy a to tmp, then insert 256 bits (composed of 4 packed …",null,[[["__m256d",3],["i32",15],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi32","","Unpack and interleave 32-bit integers from the high half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi64","","Unpack and interleave 64-bit integers from the high half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_unpackhi_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_unpackhi_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi32","","Unpack and interleave 32-bit integers from the low half …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi64","","Unpack and interleave 64-bit integers from the low half …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3]],["__m512",3]]],[5,"_mm512_mask_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_unpacklo_ps","","Unpack and interleave single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__m512d",3]],["__m512d",3]]],[5,"_mm512_mask_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_unpacklo_pd","","Unpack and interleave double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_castps128_ps512","","Cast vector of type __m128 to type __m512; the upper 384 …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_castps256_ps512","","Cast vector of type __m256 to type __m512; the upper 256 …",null,[[["__m256",3]],["__m512",3]]],[5,"_mm512_zextps128_ps512","","Cast vector of type __m128 to type __m512; the upper 384 …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_zextps256_ps512","","Cast vector of type __m256 to type __m512; the upper 256 …",null,[[["__m256",3]],["__m512",3]]],[5,"_mm512_castps512_ps128","","Cast vector of type __m512 to type __m128. This intrinsic …",null,[[["__m512",3]],["__m128",3]]],[5,"_mm512_castps512_ps256","","Cast vector of type __m512 to type __m256. This intrinsic …",null,[[["__m512",3]],["__m256",3]]],[5,"_mm512_castps_pd","","Cast vector of type __m512 to type __m512d. This …",null,[[["__m512",3]],["__m512d",3]]],[5,"_mm512_castps_si512","","Cast vector of type __m512 to type __m512i. This …",null,[[["__m512",3]],["__m512i",3]]],[5,"_mm512_castpd128_pd512","","Cast vector of type __m128d to type __m512d; the upper …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_castpd256_pd512","","Cast vector of type __m256d to type __m512d; the upper …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_zextpd128_pd512","","Cast vector of type __m128d to type __m512d; the upper …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_zextpd256_pd512","","Cast vector of type __m256d to type __m512d; the upper …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_castpd512_pd128","","Cast vector of type __m512d to type __m128d. This …",null,[[["__m512d",3]],["__m128d",3]]],[5,"_mm512_castpd512_pd256","","Cast vector of type __m512d to type __m256d. This …",null,[[["__m512d",3]],["__m256d",3]]],[5,"_mm512_castpd_ps","","Cast vector of type __m512d to type __m512. This …",null,[[["__m512d",3]],["__m512",3]]],[5,"_mm512_castpd_si512","","Cast vector of type __m512d to type __m512i. This …",null,[[["__m512d",3]],["__m512i",3]]],[5,"_mm512_castsi128_si512","","Cast vector of type __m128i to type __m512i; the upper …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_castsi256_si512","","Cast vector of type __m256i to type __m512i; the upper …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_zextsi128_si512","","Cast vector of type __m128i to type __m512i; the upper …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_zextsi256_si512","","Cast vector of type __m256i to type __m512i; the upper …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_castsi512_si128","","Cast vector of type __m512i to type __m128i. This …",null,[[["__m512i",3]],["__m128i",3]]],[5,"_mm512_castsi512_si256","","Cast vector of type __m512i to type __m256i. This …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_castsi512_ps","","Cast vector of type __m512i to type __m512. This …",null,[[["__m512i",3]],["__m512",3]]],[5,"_mm512_castsi512_pd","","Cast vector of type __m512i to type __m512d. This …",null,[[["__m512i",3]],["__m512d",3]]],[5,"_mm512_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastd_epi32","","Broadcast the low packed 32-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastq_epi64","","Broadcast the low packed 64-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_mask_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_broadcastss_ps","","Broadcast the low single-precision (32-bit) …",null,[[["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__m128d",3]],["__m512d",3]]],[5,"_mm512_mask_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__m128d",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_broadcastsd_pd","","Broadcast the low double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m512d",3]]],[5,"_mm512_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcast_i32x4","","Broadcast the 4 packed 32-bit integers from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m512i",3],["__mmask8",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_broadcast_i64x4","","Broadcast the 4 packed 64-bit integers from a to all …",null,[[["__m256i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m128",3]],["__m512",3]]],[5,"_mm512_mask_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m512",3],["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_maskz_broadcast_f32x4","","Broadcast the 4 packed single-precision (32-bit) …",null,[[["__m128",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__m256d",3]],["__m512d",3]]],[5,"_mm512_mask_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__m256d",3],["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_maskz_broadcast_f64x4","","Broadcast the 4 packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m256d",3]],["__m512d",3]]],[5,"_mm512_mask_blend_epi32","","Blend packed 32-bit integers from a and b using control …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_blend_epi64","","Blend packed 64-bit integers from a and b using control …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_blend_ps","","Blend packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__m512",3]]],[5,"_mm512_mask_blend_pd","","Blend packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__m512d",3]]],[5,"_mm512_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi32","","Concatenate a and b into a 128-byte immediate result, …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi64","","Concatenate a and b into a 128-byte immediate result, …",null,[[["__m512i",3],["__mmask8",6],["i32",15]],["__m512i",3]]],[5,"_mm512_and_epi32","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_and_epi32","","Performs element-by-element bitwise AND between packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_and_epi32","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_and_epi64","","Compute the bitwise AND of 512 bits (composed of packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_and_epi64","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_and_epi64","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_and_si512","","Compute the bitwise AND of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_or_epi32","","Compute the bitwise OR of packed 32-bit integers in a and …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_or_epi64","","Compute the bitwise OR of packed 64-bit integers in a and …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_or_si512","","Compute the bitwise OR of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_xor_epi32","","Compute the bitwise XOR of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_xor_epi64","","Compute the bitwise XOR of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_xor_si512","","Compute the bitwise XOR of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_andnot_epi32","","Compute the bitwise NOT of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_andnot_epi64","","Compute the bitwise NOT of 512 bits (composed of packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_andnot_epi64","","Compute the bitwise NOT of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_andnot_epi64","","Compute the bitwise NOT of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_andnot_si512","","Compute the bitwise NOT of 512 bits (representing integer …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_kand_mask16","","Compute the bitwise AND of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kand","","Compute the bitwise AND of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kor_mask16","","Compute the bitwise OR of 16-bit masks a and b, and store …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kor","","Compute the bitwise OR of 16-bit masks a and b, and store …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kxor_mask16","","Compute the bitwise XOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kxor","","Compute the bitwise XOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_knot_mask16","","Compute the bitwise NOT of 16-bit mask a, and store the …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_knot","","Compute the bitwise NOT of 16-bit mask a, and store the …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kandn_mask16","","Compute the bitwise NOT of 16-bit masks a and then AND …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kandn","","Compute the bitwise NOT of 16-bit masks a and then AND …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_kxnor_mask16","","Compute the bitwise XNOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kxnor","","Compute the bitwise XNOR of 16-bit masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kmov","","Copy 16-bit mask a to k.",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_int2mask","","Converts integer mask into bitmask, storing the result in …",null,[[["i32",15]],["__mmask16",6]]],[5,"_mm512_mask2int","","Converts bit mask k1 into an integer value, storing the …",null,[[["__mmask16",6]],["i32",15]]],[5,"_mm512_kunpackb","","Unpack and interleave 8 bits from masks a and b, and …",null,[[["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_kortestc","","Performs bitwise OR between k1 and k2, storing the result …",null,[[["__mmask16",6]],["i32",15]]],[5,"_mm512_test_epi32_mask","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_test_epi32_mask","","Compute the bitwise AND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_test_epi64_mask","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_test_epi64_mask","","Compute the bitwise AND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_testn_epi32_mask","","Compute the bitwise NAND of packed 32-bit integers in a …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_testn_epi32_mask","","Compute the bitwise NAND of packed 32-bit integers in a …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_testn_epi64_mask","","Compute the bitwise NAND of packed 64-bit integers in a …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_testn_epi64_mask","","Compute the bitwise NAND of packed 64-bit integers in a …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_stream_ps","","Store 512-bits (composed of 16 packed single-precision …",null,[[["__m512",3]]]],[5,"_mm512_stream_pd","","Store 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_stream_si512","","Store 512-bits of integer data from a into memory using a …",null,[[["__m512i",3]]]],[5,"_mm512_set_ps","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_setr_ps","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set1_pd","","Broadcast 64-bit float <code>a</code> to all elements of <code>dst</code>.",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set1_ps","","Broadcast 32-bit float <code>a</code> to all elements of <code>dst</code>.",null,[[["f32",15]],["__m512",3]]],[5,"_mm512_set_epi32","","Sets packed 32-bit integers in <code>dst</code> with the supplied …",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_set1_epi8","","Broadcast 8-bit integer a to all elements of dst.",null,[[["i8",15]],["__m512i",3]]],[5,"_mm512_set1_epi16","","Broadcast the low packed 16-bit integer from a to all all …",null,[[["i16",15]],["__m512i",3]]],[5,"_mm512_set1_epi32","","Broadcast 32-bit integer <code>a</code> to all elements of <code>dst</code>.",null,[[["i32",15]],["__m512i",3]]],[5,"_mm512_mask_set1_epi32","","Broadcast 32-bit integer a to all elements of dst using …",null,[[["i32",15],["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi32","","Broadcast 32-bit integer a to all elements of dst using …",null,[[["i32",15],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_set1_epi64","","Broadcast 64-bit integer <code>a</code> to all elements of <code>dst</code>.",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_mask_set1_epi64","","Broadcast 64-bit integer a to all elements of dst using …",null,[[["i64",15],["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi64","","Broadcast 64-bit integer a to all elements of dst using …",null,[[["i64",15],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_set4_epi64","","Set packed 64-bit integers in dst with the repeated 4 …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_setr4_epi64","","Set packed 64-bit integers in dst with the repeated 4 …",null,[[["i64",15]],["__m512i",3]]],[5,"_mm512_cmplt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpnlt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpnlt_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpnle_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpnle_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__mmask16",6]]],[5,"_mm512_mask_cmp_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_round_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["i32",15]],["__mmask16",6]]],[5,"_mm512_mask_cmp_round_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["i32",15],["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpunord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpunord_ps_mask","","Compare packed single-precision (32-bit) floating-point …",null,[[["__m512",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpnlt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpnlt_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmple_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpnle_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpnle_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpeq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpneq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmp_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmp_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmp_round_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmp_round_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm512_cmpunord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__m512d",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpunord_pd_mask","","Compare packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m512d",3]],["__mmask8",6]]],[5,"_mm_cmp_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__mmask8",6]]],[5,"_mm_mask_cmp_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__mmask8",6]]],[5,"_mm_cmp_round_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__mmask8",6]]],[5,"_mm_mask_cmp_round_ss_mask","","Compare the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm_cmp_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__mmask8",6]]],[5,"_mm_mask_cmp_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__mmask8",6]]],[5,"_mm_cmp_round_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__mmask8",6]]],[5,"_mm_mask_cmp_round_sd_mask","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__mmask8",6]]],[5,"_mm512_cmplt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpgt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpgt_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpge_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpge_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_epu32_mask","","Compare packed unsigned 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_epu32_mask","","Compare packed unsigned 32-bit integers in a and b based …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask16",6]]],[5,"_mm512_mask_cmp_epu32_mask","","Compare packed unsigned 32-bit integers in a and b based …",null,[[["_mm_cmpint_enum",6],["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmplt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpgt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpgt_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmple_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmple_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpge_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpge_epi32_mask","","Compare packed signed 32-bit integers in a and b for …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpeq_epi32_mask","","Compare packed 32-bit integers in a and b for equality, …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpeq_epi32_mask","","Compare packed 32-bit integers in a and b for equality, …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmpneq_epi32_mask","","Compare packed 32-bit integers in a and b for not-equal, …",null,[[["__m512i",3]],["__mmask16",6]]],[5,"_mm512_mask_cmpneq_epi32_mask","","Compare packed 32-bit integers in a and b for not-equal, …",null,[[["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmp_epi32_mask","","Compare packed signed 32-bit integers in a and b based on …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask16",6]]],[5,"_mm512_mask_cmp_epi32_mask","","Compare packed signed 32-bit integers in a and b based on …",null,[[["_mm_cmpint_enum",6],["__m512i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_cmplt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpgt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpgt_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmple_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpge_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpge_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpeq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpneq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_epu64_mask","","Compare packed unsigned 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmp_epu64_mask","","Compare packed unsigned 64-bit integers in a and b based …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_mask_cmp_epu64_mask","","Compare packed unsigned 64-bit integers in a and b based …",null,[[["__m512i",3],["__mmask8",6],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_cmplt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmplt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpgt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpgt_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmple_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmple_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpge_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpge_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpeq_epi64_mask","","Compare packed 64-bit integers in a and b for equality, …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpeq_epi64_mask","","Compare packed 64-bit integers in a and b for equality, …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmpneq_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask8",6]]],[5,"_mm512_mask_cmpneq_epi64_mask","","Compare packed signed 64-bit integers in a and b for …",null,[[["__m512i",3],["__mmask8",6]],["__mmask8",6]]],[5,"_mm512_cmp_epi64_mask","","Compare packed signed 64-bit integers in a and b based on …",null,[[["__m512i",3],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_mask_cmp_epi64_mask","","Compare packed signed 64-bit integers in a and b based on …",null,[[["__m512i",3],["__mmask8",6],["_mm_cmpint_enum",6]],["__mmask8",6]]],[5,"_mm512_reduce_add_epi32","","Reduce the packed 32-bit integers in a by addition. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_add_epi32","","Reduce the packed 32-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_add_epi64","","Reduce the packed 64-bit integers in a by addition. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_add_epi64","","Reduce the packed 64-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_add_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_add_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_add_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_add_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_mul_epi32","","Reduce the packed 32-bit integers in a by multiplication. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_mul_epi32","","Reduce the packed 32-bit integers in a by multiplication …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_mul_epi64","","Reduce the packed 64-bit integers in a by multiplication. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_mul_epi64","","Reduce the packed 64-bit integers in a by multiplication …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_mul_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_mul_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_mul_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_mul_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_max_epi32","","Reduce the packed signed 32-bit integers in a by maximum. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_max_epi32","","Reduce the packed signed 32-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_max_epi64","","Reduce the packed signed 64-bit integers in a by maximum. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_max_epi64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_max_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3]],["u32",15]]],[5,"_mm512_mask_reduce_max_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3],["__mmask16",6]],["u32",15]]],[5,"_mm512_reduce_max_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3]],["u64",15]]],[5,"_mm512_mask_reduce_max_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3],["__mmask8",6]],["u64",15]]],[5,"_mm512_reduce_max_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_max_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_max_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_max_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_min_epi32","","Reduce the packed signed 32-bit integers in a by minimum. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_min_epi32","","Reduce the packed signed 32-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_min_epi64","","Reduce the packed signed 64-bit integers in a by minimum. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_min_epi64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_min_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3]],["u32",15]]],[5,"_mm512_mask_reduce_min_epu32","","Reduce the packed unsigned 32-bit integers in a by …",null,[[["__m512i",3],["__mmask16",6]],["u32",15]]],[5,"_mm512_reduce_min_epu64","","Reduce the packed unsigned 64-bit integers in a by …",null,[[["__m512i",3]],["u64",15]]],[5,"_mm512_mask_reduce_min_epu64","","Reduce the packed signed 64-bit integers in a by maximum …",null,[[["__m512i",3],["__mmask8",6]],["u64",15]]],[5,"_mm512_reduce_min_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3]],["f32",15]]],[5,"_mm512_mask_reduce_min_ps","","Reduce the packed single-precision (32-bit) …",null,[[["__m512",3],["__mmask16",6]],["f32",15]]],[5,"_mm512_reduce_min_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__m512d",3]],["f64",15]]],[5,"_mm512_mask_reduce_min_pd","","Reduce the packed double-precision (64-bit) …",null,[[["__mmask8",6],["__m512d",3]],["f64",15]]],[5,"_mm512_reduce_and_epi32","","Reduce the packed 32-bit integers in a by bitwise AND. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_and_epi32","","Reduce the packed 32-bit integers in a by bitwise AND …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_and_epi64","","Reduce the packed 64-bit integers in a by bitwise AND. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_and_epi64","","Reduce the packed 64-bit integers in a by addition using …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_reduce_or_epi32","","Reduce the packed 32-bit integers in a by bitwise OR. …",null,[[["__m512i",3]],["i32",15]]],[5,"_mm512_mask_reduce_or_epi32","","Reduce the packed 32-bit integers in a by bitwise OR …",null,[[["__m512i",3],["__mmask16",6]],["i32",15]]],[5,"_mm512_reduce_or_epi64","","Reduce the packed 64-bit integers in a by bitwise OR. …",null,[[["__m512i",3]],["i64",15]]],[5,"_mm512_mask_reduce_or_epi64","","Reduce the packed 64-bit integers in a by bitwise OR …",null,[[["__m512i",3],["__mmask8",6]],["i64",15]]],[5,"_mm512_undefined_pd","","Returns vector of type <code>__m512d</code> with undefined elements.",null,[[],["__m512d",3]]],[5,"_mm512_undefined_ps","","Returns vector of type <code>__m512</code> with undefined elements.",null,[[],["__m512",3]]],[5,"_mm512_undefined_epi32","","Return vector of type __m512i with undefined elements.",null,[[],["__m512i",3]]],[5,"_mm512_undefined","","Return vector of type __m512 with undefined elements.",null,[[],["__m512",3]]],[5,"_mm512_loadu_epi32","","Load 512-bits (composed of 16 packed 32-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi32","","Store 512-bits (composed of 16 packed 32-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_epi64","","Load 512-bits (composed of 8 packed 64-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi64","","Store 512-bits (composed of 8 packed 64-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_si512","","Load 512-bits of integer data from memory into dst. …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_si512","","Store 512-bits of integer data from a into memory. …",null,[[["__m512i",3]]]],[5,"_mm512_loadu_pd","","Loads 512-bits (composed of 8 packed double-precision …",null,[[],["__m512d",3]]],[5,"_mm512_storeu_pd","","Stores 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_loadu_ps","","Loads 512-bits (composed of 16 packed single-precision …",null,[[],["__m512",3]]],[5,"_mm512_storeu_ps","","Stores 512-bits (composed of 16 packed single-precision …",null,[[["__m512",3]]]],[5,"_mm512_load_si512","","Load 512-bits of integer data from memory into dst. …",null,[[],["__m512i",3]]],[5,"_mm512_store_si512","","Store 512-bits of integer data from a into memory. …",null,[[["__m512i",3]]]],[5,"_mm512_load_epi32","","Load 512-bits (composed of 16 packed 32-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_store_epi32","","Store 512-bits (composed of 16 packed 32-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_load_epi64","","Load 512-bits (composed of 8 packed 64-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_store_epi64","","Store 512-bits (composed of 8 packed 64-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_load_ps","","Load 512-bits (composed of 16 packed single-precision …",null,[[],["__m512",3]]],[5,"_mm512_store_ps","","Store 512-bits of integer data from a into memory. …",null,[[["__m512",3]]]],[5,"_mm512_load_pd","","Load 512-bits (composed of 8 packed double-precision …",null,[[],["__m512d",3]]],[5,"_mm512_store_pd","","Store 512-bits (composed of 8 packed double-precision …",null,[[["__m512d",3]]]],[5,"_mm512_setr_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm512_set_pd","","Set packed double-precision (64-bit) floating-point …",null,[[["f64",15]],["__m512d",3]]],[5,"_mm_mask_move_ss","","Move the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_move_ss","","Move the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_move_sd","","Move the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_move_sd","","Move the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_add_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_add_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_add_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_add_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sub_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_sub_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_sub_sd","","Subtract the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sub_sd","","Subtract the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_mul_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_mul_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_mul_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_mul_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_div_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_div_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_div_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_div_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_max_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_max_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_max_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_max_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_min_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_min_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_min_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_min_sd","","Compare the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sqrt_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_sqrt_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_sqrt_sd","","Compute the square root of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sqrt_sd","","Compute the square root of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_rsqrt14_ss","","Compute the approximate reciprocal square root of the …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_rsqrt14_sd","","Compute the approximate reciprocal square root of the …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_rcp14_ss","","Compute the approximate reciprocal of the lower …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_rcp14_sd","","Compute the approximate reciprocal of the lower …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_getexp_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_getexp_sd","","Convert the exponent of the lower double-precision …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["__m128",3],["_mm_mantissa_sign_enum",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_mask_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_maskz_getmant_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["_mm_mantissa_norm_enum",6],["_mm_mantissa_sign_enum",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_maskz_getmant_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_roundscale_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_roundscale_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3]],["__m128",3]]],[5,"_mm_mask_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_scalef_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_scalef_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fnmadd_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmadd_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask3_fnmsub_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_mask_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmsub_sd","","Multiply the lower double-precision (64-bit) …",null,[[["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_add_round_ss","","Add the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_add_round_sd","","Add the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_sub_round_ss","","Subtract the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sub_round_sd","","Subtract the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_mul_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_mul_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_div_round_ss","","Divide the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_div_round_sd","","Divide the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_max_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_max_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_min_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_min_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_sqrt_round_ss","","Compute the square root of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_sqrt_round_sd","","Compute the square root of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_getexp_round_ss","","Convert the exponent of the lower single-precision …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_getexp_round_sd","","Convert the exponent of the lower double-precision …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_mask_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_maskz_getmant_round_ss","","Normalize the mantissas of the lower single-precision …",null,[[["_mm_mantissa_sign_enum",6],["i32",15],["__m128",3],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128",3]]],[5,"_mm_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_mask_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_maskz_getmant_round_sd","","Normalize the mantissas of the lower double-precision …",null,[[["__m128d",3],["_mm_mantissa_sign_enum",6],["i32",15],["__mmask8",6],["_mm_mantissa_norm_enum",6]],["__m128d",3]]],[5,"_mm_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_roundscale_round_ss","","Round the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_roundscale_round_sd","","Round the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_scalef_round_ss","","Scale the packed single-precision (32-bit) floating-point …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_scalef_round_sd","","Scale the packed double-precision (64-bit) floating-point …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fnmadd_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmadd_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_maskz_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_mask3_fnmsub_round_ss","","Multiply the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["i32",15]],["__m128",3]]],[5,"_mm_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask3_fnmsub_round_sd","","Multiply the lower double-precision (64-bit) …",null,[[["i32",15],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["__m128i",3],["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_mask_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fixupimm_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["__m128i",3],["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fixupimm_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3]],["__m128",3]]],[5,"_mm_mask_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_maskz_fixupimm_round_ss","","Fix up the lower single-precision (32-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128",3],["__mmask8",6]],["__m128",3]]],[5,"_mm_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_fixupimm_round_sd","","Fix up the lower double-precision (64-bit) floating-point …",null,[[["i32",15],["__m128i",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvtss_sd","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_cvtss_sd","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvtsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_maskz_cvtsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__m128d",3]],["__m128d",3]]],[5,"_mm_mask_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_maskz_cvt_roundss_sd","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__m128d",3]],["__m128",3]]],[5,"_mm_mask_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_maskz_cvt_roundsd_ss","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128",3],["__mmask8",6],["__m128d",3]],["__m128",3]]],[5,"_mm_cvt_roundss_si32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvt_roundss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvt_roundss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["u32",15]]],[5,"_mm_cvtss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvtss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["u32",15]]],[5,"_mm_cvt_roundsd_si32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvt_roundsd_i32","","Convert the lower single-precision (32-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvt_roundsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["u32",15]]],[5,"_mm_cvtsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvtsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["u32",15]]],[5,"_mm_cvt_roundi32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_roundsi32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvt_roundu32_ss","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvti32_ss","","Convert the signed 32-bit integer b to a single-precision …",null,[[["__m128",3],["i32",15]],["__m128",3]]],[5,"_mm_cvti32_sd","","Convert the signed 32-bit integer b to a double-precision …",null,[[["i32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtt_roundss_si32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvtt_roundss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_cvtt_roundss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["u32",15]]],[5,"_mm_cvttss_i32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["i32",15]]],[5,"_mm_cvttss_u32","","Convert the lower single-precision (32-bit) …",null,[[["__m128",3]],["u32",15]]],[5,"_mm_cvtt_roundsd_si32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvtt_roundsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[5,"_mm_cvtt_roundsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["u32",15]]],[5,"_mm_cvttsd_i32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i32",15]]],[5,"_mm_cvttsd_u32","","Convert the lower double-precision (64-bit) …",null,[[["__m128d",3]],["u32",15]]],[5,"_mm_cvtu32_ss","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128",3]],["__m128",3]]],[5,"_mm_cvtu32_sd","","Convert the unsigned 32-bit integer b to a …",null,[[["u32",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtu64_ss","","Convert the unsigned 64-bit integer b to a …",null,[[["__m128",3],["u64",15]],["__m128",3]]],[5,"_mm_cvtu64_sd","","Convert the unsigned 64-bit integer b to a …",null,[[["u64",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_comi_round_ss","","Compare the lower single-precision (32-bit) …",null,[[["__m128",3],["i32",15]],["i32",15]]],[5,"_mm_comi_round_sd","","Compare the lower double-precision (64-bit) …",null,[[["i32",15],["__m128d",3]],["i32",15]]],[17,"_MM_CMPINT_EQ","","Equal",null,null],[17,"_MM_CMPINT_LT","","Less-than",null,null],[17,"_MM_CMPINT_LE","","Less-than-or-equal",null,null],[17,"_MM_CMPINT_FALSE","","False",null,null],[17,"_MM_CMPINT_NE","","Not-equal",null,null],[17,"_MM_CMPINT_NLT","","Not less-than",null,null],[17,"_MM_CMPINT_NLE","","Not less-than-or-equal",null,null],[17,"_MM_CMPINT_TRUE","","True",null,null],[17,"_MM_MANT_NORM_1_2","","interval [1, 2)",null,null],[17,"_MM_MANT_NORM_P5_2","","interval [0.5, 2)",null,null],[17,"_MM_MANT_NORM_P5_1","","interval [0.5, 1)",null,null],[17,"_MM_MANT_NORM_P75_1P5","","interval [0.75, 1.5)",null,null],[17,"_MM_MANT_SIGN_SRC","","sign = sign(SRC)",null,null],[17,"_MM_MANT_SIGN_ZERO","","sign = 0",null,null],[17,"_MM_MANT_SIGN_NAN","","DEST = NaN if sign(SRC) = 1",null,null],[17,"_MM_PERM_AAAA","","",null,null],[17,"_MM_PERM_AAAB","","",null,null],[17,"_MM_PERM_AAAC","","",null,null],[17,"_MM_PERM_AAAD","","",null,null],[17,"_MM_PERM_AABA","","",null,null],[17,"_MM_PERM_AABB","","",null,null],[17,"_MM_PERM_AABC","","",null,null],[17,"_MM_PERM_AABD","","",null,null],[17,"_MM_PERM_AACA","","",null,null],[17,"_MM_PERM_AACB","","",null,null],[17,"_MM_PERM_AACC","","",null,null],[17,"_MM_PERM_AACD","","",null,null],[17,"_MM_PERM_AADA","","",null,null],[17,"_MM_PERM_AADB","","",null,null],[17,"_MM_PERM_AADC","","",null,null],[17,"_MM_PERM_AADD","","",null,null],[17,"_MM_PERM_ABAA","","",null,null],[17,"_MM_PERM_ABAB","","",null,null],[17,"_MM_PERM_ABAC","","",null,null],[17,"_MM_PERM_ABAD","","",null,null],[17,"_MM_PERM_ABBA","","",null,null],[17,"_MM_PERM_ABBB","","",null,null],[17,"_MM_PERM_ABBC","","",null,null],[17,"_MM_PERM_ABBD","","",null,null],[17,"_MM_PERM_ABCA","","",null,null],[17,"_MM_PERM_ABCB","","",null,null],[17,"_MM_PERM_ABCC","","",null,null],[17,"_MM_PERM_ABCD","","",null,null],[17,"_MM_PERM_ABDA","","",null,null],[17,"_MM_PERM_ABDB","","",null,null],[17,"_MM_PERM_ABDC","","",null,null],[17,"_MM_PERM_ABDD","","",null,null],[17,"_MM_PERM_ACAA","","",null,null],[17,"_MM_PERM_ACAB","","",null,null],[17,"_MM_PERM_ACAC","","",null,null],[17,"_MM_PERM_ACAD","","",null,null],[17,"_MM_PERM_ACBA","","",null,null],[17,"_MM_PERM_ACBB","","",null,null],[17,"_MM_PERM_ACBC","","",null,null],[17,"_MM_PERM_ACBD","","",null,null],[17,"_MM_PERM_ACCA","","",null,null],[17,"_MM_PERM_ACCB","","",null,null],[17,"_MM_PERM_ACCC","","",null,null],[17,"_MM_PERM_ACCD","","",null,null],[17,"_MM_PERM_ACDA","","",null,null],[17,"_MM_PERM_ACDB","","",null,null],[17,"_MM_PERM_ACDC","","",null,null],[17,"_MM_PERM_ACDD","","",null,null],[17,"_MM_PERM_ADAA","","",null,null],[17,"_MM_PERM_ADAB","","",null,null],[17,"_MM_PERM_ADAC","","",null,null],[17,"_MM_PERM_ADAD","","",null,null],[17,"_MM_PERM_ADBA","","",null,null],[17,"_MM_PERM_ADBB","","",null,null],[17,"_MM_PERM_ADBC","","",null,null],[17,"_MM_PERM_ADBD","","",null,null],[17,"_MM_PERM_ADCA","","",null,null],[17,"_MM_PERM_ADCB","","",null,null],[17,"_MM_PERM_ADCC","","",null,null],[17,"_MM_PERM_ADCD","","",null,null],[17,"_MM_PERM_ADDA","","",null,null],[17,"_MM_PERM_ADDB","","",null,null],[17,"_MM_PERM_ADDC","","",null,null],[17,"_MM_PERM_ADDD","","",null,null],[17,"_MM_PERM_BAAA","","",null,null],[17,"_MM_PERM_BAAB","","",null,null],[17,"_MM_PERM_BAAC","","",null,null],[17,"_MM_PERM_BAAD","","",null,null],[17,"_MM_PERM_BABA","","",null,null],[17,"_MM_PERM_BABB","","",null,null],[17,"_MM_PERM_BABC","","",null,null],[17,"_MM_PERM_BABD","","",null,null],[17,"_MM_PERM_BACA","","",null,null],[17,"_MM_PERM_BACB","","",null,null],[17,"_MM_PERM_BACC","","",null,null],[17,"_MM_PERM_BACD","","",null,null],[17,"_MM_PERM_BADA","","",null,null],[17,"_MM_PERM_BADB","","",null,null],[17,"_MM_PERM_BADC","","",null,null],[17,"_MM_PERM_BADD","","",null,null],[17,"_MM_PERM_BBAA","","",null,null],[17,"_MM_PERM_BBAB","","",null,null],[17,"_MM_PERM_BBAC","","",null,null],[17,"_MM_PERM_BBAD","","",null,null],[17,"_MM_PERM_BBBA","","",null,null],[17,"_MM_PERM_BBBB","","",null,null],[17,"_MM_PERM_BBBC","","",null,null],[17,"_MM_PERM_BBBD","","",null,null],[17,"_MM_PERM_BBCA","","",null,null],[17,"_MM_PERM_BBCB","","",null,null],[17,"_MM_PERM_BBCC","","",null,null],[17,"_MM_PERM_BBCD","","",null,null],[17,"_MM_PERM_BBDA","","",null,null],[17,"_MM_PERM_BBDB","","",null,null],[17,"_MM_PERM_BBDC","","",null,null],[17,"_MM_PERM_BBDD","","",null,null],[17,"_MM_PERM_BCAA","","",null,null],[17,"_MM_PERM_BCAB","","",null,null],[17,"_MM_PERM_BCAC","","",null,null],[17,"_MM_PERM_BCAD","","",null,null],[17,"_MM_PERM_BCBA","","",null,null],[17,"_MM_PERM_BCBB","","",null,null],[17,"_MM_PERM_BCBC","","",null,null],[17,"_MM_PERM_BCBD","","",null,null],[17,"_MM_PERM_BCCA","","",null,null],[17,"_MM_PERM_BCCB","","",null,null],[17,"_MM_PERM_BCCC","","",null,null],[17,"_MM_PERM_BCCD","","",null,null],[17,"_MM_PERM_BCDA","","",null,null],[17,"_MM_PERM_BCDB","","",null,null],[17,"_MM_PERM_BCDC","","",null,null],[17,"_MM_PERM_BCDD","","",null,null],[17,"_MM_PERM_BDAA","","",null,null],[17,"_MM_PERM_BDAB","","",null,null],[17,"_MM_PERM_BDAC","","",null,null],[17,"_MM_PERM_BDAD","","",null,null],[17,"_MM_PERM_BDBA","","",null,null],[17,"_MM_PERM_BDBB","","",null,null],[17,"_MM_PERM_BDBC","","",null,null],[17,"_MM_PERM_BDBD","","",null,null],[17,"_MM_PERM_BDCA","","",null,null],[17,"_MM_PERM_BDCB","","",null,null],[17,"_MM_PERM_BDCC","","",null,null],[17,"_MM_PERM_BDCD","","",null,null],[17,"_MM_PERM_BDDA","","",null,null],[17,"_MM_PERM_BDDB","","",null,null],[17,"_MM_PERM_BDDC","","",null,null],[17,"_MM_PERM_BDDD","","",null,null],[17,"_MM_PERM_CAAA","","",null,null],[17,"_MM_PERM_CAAB","","",null,null],[17,"_MM_PERM_CAAC","","",null,null],[17,"_MM_PERM_CAAD","","",null,null],[17,"_MM_PERM_CABA","","",null,null],[17,"_MM_PERM_CABB","","",null,null],[17,"_MM_PERM_CABC","","",null,null],[17,"_MM_PERM_CABD","","",null,null],[17,"_MM_PERM_CACA","","",null,null],[17,"_MM_PERM_CACB","","",null,null],[17,"_MM_PERM_CACC","","",null,null],[17,"_MM_PERM_CACD","","",null,null],[17,"_MM_PERM_CADA","","",null,null],[17,"_MM_PERM_CADB","","",null,null],[17,"_MM_PERM_CADC","","",null,null],[17,"_MM_PERM_CADD","","",null,null],[17,"_MM_PERM_CBAA","","",null,null],[17,"_MM_PERM_CBAB","","",null,null],[17,"_MM_PERM_CBAC","","",null,null],[17,"_MM_PERM_CBAD","","",null,null],[17,"_MM_PERM_CBBA","","",null,null],[17,"_MM_PERM_CBBB","","",null,null],[17,"_MM_PERM_CBBC","","",null,null],[17,"_MM_PERM_CBBD","","",null,null],[17,"_MM_PERM_CBCA","","",null,null],[17,"_MM_PERM_CBCB","","",null,null],[17,"_MM_PERM_CBCC","","",null,null],[17,"_MM_PERM_CBCD","","",null,null],[17,"_MM_PERM_CBDA","","",null,null],[17,"_MM_PERM_CBDB","","",null,null],[17,"_MM_PERM_CBDC","","",null,null],[17,"_MM_PERM_CBDD","","",null,null],[17,"_MM_PERM_CCAA","","",null,null],[17,"_MM_PERM_CCAB","","",null,null],[17,"_MM_PERM_CCAC","","",null,null],[17,"_MM_PERM_CCAD","","",null,null],[17,"_MM_PERM_CCBA","","",null,null],[17,"_MM_PERM_CCBB","","",null,null],[17,"_MM_PERM_CCBC","","",null,null],[17,"_MM_PERM_CCBD","","",null,null],[17,"_MM_PERM_CCCA","","",null,null],[17,"_MM_PERM_CCCB","","",null,null],[17,"_MM_PERM_CCCC","","",null,null],[17,"_MM_PERM_CCCD","","",null,null],[17,"_MM_PERM_CCDA","","",null,null],[17,"_MM_PERM_CCDB","","",null,null],[17,"_MM_PERM_CCDC","","",null,null],[17,"_MM_PERM_CCDD","","",null,null],[17,"_MM_PERM_CDAA","","",null,null],[17,"_MM_PERM_CDAB","","",null,null],[17,"_MM_PERM_CDAC","","",null,null],[17,"_MM_PERM_CDAD","","",null,null],[17,"_MM_PERM_CDBA","","",null,null],[17,"_MM_PERM_CDBB","","",null,null],[17,"_MM_PERM_CDBC","","",null,null],[17,"_MM_PERM_CDBD","","",null,null],[17,"_MM_PERM_CDCA","","",null,null],[17,"_MM_PERM_CDCB","","",null,null],[17,"_MM_PERM_CDCC","","",null,null],[17,"_MM_PERM_CDCD","","",null,null],[17,"_MM_PERM_CDDA","","",null,null],[17,"_MM_PERM_CDDB","","",null,null],[17,"_MM_PERM_CDDC","","",null,null],[17,"_MM_PERM_CDDD","","",null,null],[17,"_MM_PERM_DAAA","","",null,null],[17,"_MM_PERM_DAAB","","",null,null],[17,"_MM_PERM_DAAC","","",null,null],[17,"_MM_PERM_DAAD","","",null,null],[17,"_MM_PERM_DABA","","",null,null],[17,"_MM_PERM_DABB","","",null,null],[17,"_MM_PERM_DABC","","",null,null],[17,"_MM_PERM_DABD","","",null,null],[17,"_MM_PERM_DACA","","",null,null],[17,"_MM_PERM_DACB","","",null,null],[17,"_MM_PERM_DACC","","",null,null],[17,"_MM_PERM_DACD","","",null,null],[17,"_MM_PERM_DADA","","",null,null],[17,"_MM_PERM_DADB","","",null,null],[17,"_MM_PERM_DADC","","",null,null],[17,"_MM_PERM_DADD","","",null,null],[17,"_MM_PERM_DBAA","","",null,null],[17,"_MM_PERM_DBAB","","",null,null],[17,"_MM_PERM_DBAC","","",null,null],[17,"_MM_PERM_DBAD","","",null,null],[17,"_MM_PERM_DBBA","","",null,null],[17,"_MM_PERM_DBBB","","",null,null],[17,"_MM_PERM_DBBC","","",null,null],[17,"_MM_PERM_DBBD","","",null,null],[17,"_MM_PERM_DBCA","","",null,null],[17,"_MM_PERM_DBCB","","",null,null],[17,"_MM_PERM_DBCC","","",null,null],[17,"_MM_PERM_DBCD","","",null,null],[17,"_MM_PERM_DBDA","","",null,null],[17,"_MM_PERM_DBDB","","",null,null],[17,"_MM_PERM_DBDC","","",null,null],[17,"_MM_PERM_DBDD","","",null,null],[17,"_MM_PERM_DCAA","","",null,null],[17,"_MM_PERM_DCAB","","",null,null],[17,"_MM_PERM_DCAC","","",null,null],[17,"_MM_PERM_DCAD","","",null,null],[17,"_MM_PERM_DCBA","","",null,null],[17,"_MM_PERM_DCBB","","",null,null],[17,"_MM_PERM_DCBC","","",null,null],[17,"_MM_PERM_DCBD","","",null,null],[17,"_MM_PERM_DCCA","","",null,null],[17,"_MM_PERM_DCCB","","",null,null],[17,"_MM_PERM_DCCC","","",null,null],[17,"_MM_PERM_DCCD","","",null,null],[17,"_MM_PERM_DCDA","","",null,null],[17,"_MM_PERM_DCDB","","",null,null],[17,"_MM_PERM_DCDC","","",null,null],[17,"_MM_PERM_DCDD","","",null,null],[17,"_MM_PERM_DDAA","","",null,null],[17,"_MM_PERM_DDAB","","",null,null],[17,"_MM_PERM_DDAC","","",null,null],[17,"_MM_PERM_DDAD","","",null,null],[17,"_MM_PERM_DDBA","","",null,null],[17,"_MM_PERM_DDBB","","",null,null],[17,"_MM_PERM_DDBC","","",null,null],[17,"_MM_PERM_DDBD","","",null,null],[17,"_MM_PERM_DDCA","","",null,null],[17,"_MM_PERM_DDCB","","",null,null],[17,"_MM_PERM_DDCC","","",null,null],[17,"_MM_PERM_DDCD","","",null,null],[17,"_MM_PERM_DDDA","","",null,null],[17,"_MM_PERM_DDDB","","",null,null],[17,"_MM_PERM_DDDC","","",null,null],[17,"_MM_PERM_DDDD","","",null,null],[5,"_mm512_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_abs_epi16","","Compute the absolute value of packed signed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_abs_epi8","","Compute the absolute value of packed signed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_add_epi16","","Add packed 16-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_add_epi8","","Add packed 8-bit integers in a and b, and store the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epu16","","Add packed unsigned 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epu8","","Add packed unsigned 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epi16","","Add packed signed 16-bit integers in a and b using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_adds_epi8","","Add packed signed 8-bit integers in a and b using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sub_epi16","","Subtract packed 16-bit integers in b from packed 16-bit …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_sub_epi8","","Subtract packed 8-bit integers in b from packed 8-bit …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epu16","","Subtract packed unsigned 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epu8","","Subtract packed unsigned 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epi16","","Subtract packed signed 16-bit integers in b from packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_subs_epi8","","Subtract packed signed 8-bit integers in b from packed …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhi_epu16","","Multiply the packed unsigned 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhi_epi16","","Multiply the packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mulhrs_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mullo_epi16","","Multiply the packed 16-bit integers in a and b, producing …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_max_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_max_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_max_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_max_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_min_epu16","","Compare packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_min_epu8","","Compare packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_min_epi16","","Compare packed signed 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_min_epi8","","Compare packed signed 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_cmplt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmplt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmplt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmplt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmplt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmplt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmplt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmplt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpgt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpgt_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpgt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpgt_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpgt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpgt_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpgt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpgt_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmple_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmple_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmple_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmple_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmple_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmple_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmple_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmple_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpge_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpge_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpge_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpge_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpge_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpge_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpge_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpge_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpeq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpeq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpeq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpeq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpeq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpeq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpeq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpeq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpneq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpneq_epu16_mask","","Compare packed unsigned 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpneq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpneq_epu8_mask","","Compare packed unsigned 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmpneq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_cmpneq_epi16_mask","","Compare packed signed 16-bit integers in a and b for …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_cmpneq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_cmpneq_epi8_mask","","Compare packed signed 8-bit integers in a and b for …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_cmp_epu16_mask","","Compare packed unsigned 16-bit integers in a and b based …",null,[[["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_mask_cmp_epu16_mask","","Compare packed unsigned 16-bit integers in a and b based …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_cmp_epu8_mask","","Compare packed unsigned 8-bit integers in a and b based …",null,[[["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_mask_cmp_epu8_mask","","Compare packed unsigned 8-bit integers in a and b based …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_cmp_epi16_mask","","Compare packed signed 16-bit integers in a and b based on …",null,[[["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_mask_cmp_epi16_mask","","Compare packed signed 16-bit integers in a and b based on …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__mmask32",6]]],[5,"_mm512_cmp_epi8_mask","","Compare packed signed 8-bit integers in a and b based on …",null,[[["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_mask_cmp_epi8_mask","","Compare packed signed 8-bit integers in a and b based on …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__mmask64",6]]],[5,"_mm512_loadu_epi16","","Load 512-bits (composed of 32 packed 16-bit integers) …",null,[[],["__m512i",3]]],[5,"_mm512_loadu_epi8","","Load 512-bits (composed of 64 packed 8-bit integers) from …",null,[[],["__m512i",3]]],[5,"_mm512_storeu_epi16","","Store 512-bits (composed of 32 packed 16-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_storeu_epi8","","Store 512-bits (composed of 64 packed 8-bit integers) …",null,[[["__m512i",3]]]],[5,"_mm512_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_mask_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_madd_epi16","","Multiply packed signed 16-bit integers in a and b, …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_maddubs_epi16","","Vertically multiply each unsigned 8-bit integer from a …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_maddubs_epi16","","Multiply packed unsigned 8-bit integers in a by packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_packs_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_packs_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_packus_epi32","","Convert packed signed 32-bit integers from a and b to …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_packus_epi16","","Convert packed signed 16-bit integers from a and b to …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_avg_epu16","","Average packed unsigned 16-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_avg_epu8","","Average packed unsigned 8-bit integers in a and b, and …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sll_epi16","","Shift packed 16-bit integers in a left by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_slli_epi16","","Shift packed 16-bit integers in a left by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sllv_epi16","","Shift packed 16-bit integers in a left by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srl_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm256_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["i32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_srli_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["__mmask8",6],["i32",15]],["__m128i",3]]],[5,"_mm512_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srlv_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_sra_epi16","","Shift packed 16-bit integers in a right by count while …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["u32",15],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srai_epi16","","Shift packed 16-bit integers in a right by imm8 while …",null,[[["__m128i",3],["u32",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_srav_epi16","","Shift packed 16-bit integers in a right by the amount …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask2_permutex2var_epi16","","Shuffle 16-bit integers in a and b across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_permutexvar_epi16","","Shuffle 16-bit integers in a across lanes using the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_blend_epi16","","Blend packed 16-bit integers from a and b using control …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_blend_epi8","","Blend packed 8-bit integers from a and b using control …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_broadcastw_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3]],["__m512i",3]]],[5,"_mm512_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm256_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm_mask_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_broadcastb_epi8","","Broadcast the low packed 8-bit integer from a to all …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_unpackhi_epi16","","Unpack and interleave 16-bit integers from the high half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_unpackhi_epi8","","Unpack and interleave 8-bit integers from the high half …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_unpacklo_epi16","","Unpack and interleave 16-bit integers from the low half …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_unpacklo_epi8","","Unpack and interleave 8-bit integers from the low half of …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_mov_epi16","","Move packed 16-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_mask_mov_epi8","","Move packed 8-bit integers from a into dst using …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_mov_epi8","","Move packed 8-bit integers from a into dst using zeromask …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m512i",3],["__mmask32",6],["i16",15]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["__mmask32",6],["i16",15]],["__m512i",3]]],[5,"_mm256_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m256i",3],["i16",15],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["i16",15],["__mmask16",6]],["__m256i",3]]],[5,"_mm_mask_set1_epi16","","Broadcast 16-bit integer a to all elements of dst using …",null,[[["__m128i",3],["i16",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_set1_epi16","","Broadcast the low packed 16-bit integer from a to all …",null,[[["i16",15],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m512i",3],["__mmask64",6],["i8",15]],["__m512i",3]]],[5,"_mm512_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__mmask64",6],["i8",15]],["__m512i",3]]],[5,"_mm256_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m256i",3],["__mmask32",6],["i8",15]],["__m256i",3]]],[5,"_mm256_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__mmask32",6],["i8",15]],["__m256i",3]]],[5,"_mm_mask_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["__m128i",3],["i8",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_set1_epi8","","Broadcast 8-bit integer a to all elements of dst using …",null,[[["i8",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shufflelo_epi16","","Shuffle 16-bit integers in the low 64 bits of 128-bit …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_shufflehi_epi16","","Shuffle 16-bit integers in the high 64 bits of 128-bit …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_shuffle_epi8","","Shuffle packed 8-bit integers in a according to shuffle …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_shuffle_epi8","","Shuffle 8-bit integers in a within 128-bit lanes using …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_shuffle_epi8","","Shuffle packed 8-bit integers in a according to shuffle …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_test_epi16_mask","","Compute the bitwise AND of packed 16-bit integers in a …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_test_epi16_mask","","Compute the bitwise AND of packed 16-bit integers in a …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_test_epi8_mask","","Compute the bitwise AND of packed 8-bit integers in a and …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_test_epi8_mask","","Compute the bitwise AND of packed 8-bit integers in a and …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm512_testn_epi16_mask","","Compute the bitwise NAND of packed 16-bit integers in a …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_mask_testn_epi16_mask","","Compute the bitwise NAND of packed 16-bit integers in a …",null,[[["__mmask32",6],["__m512i",3]],["__mmask32",6]]],[5,"_mm512_testn_epi8_mask","","Compute the bitwise NAND of packed 8-bit integers in a …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_testn_epi8_mask","","Compute the bitwise NAND of packed 8-bit integers in a …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_store_mask64","","Store 64-bit mask from a into memory.",null,[[["__mmask64",6]]]],[5,"_store_mask32","","Store 32-bit mask from a into memory.",null,[[["__mmask32",6]]]],[5,"_load_mask64","","Load 64-bit mask from memory into k.",null,[[],["__mmask64",6]]],[5,"_load_mask32","","Load 32-bit mask from memory into k.",null,[[],["__mmask32",6]]],[5,"_mm512_sad_epu8","","Compute the absolute differences of packed unsigned 8-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__m512i",3],["__mmask32",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_dbsad_epu8","","Compute the sum of absolute differences (SADs) of …",null,[[["__mmask32",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_movepi16_mask","","Set each bit of mask register k based on the most …",null,[[["__m512i",3]],["__mmask32",6]]],[5,"_mm512_movepi8_mask","","Set each bit of mask register k based on the most …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_movm_epi16","","Set each packed 16-bit integer in dst to all ones or all …",null,[[["__mmask32",6]],["__m512i",3]]],[5,"_mm512_movm_epi8","","Set each packed 8-bit integer in dst to all ones or all …",null,[[["__mmask64",6]],["__m512i",3]]],[5,"_kadd_mask32","","Add 32-bit masks in a and b, and store the result in k.",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kadd_mask64","","Add 64-bit masks in a and b, and store the result in k.",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kand_mask32","","Compute the bitwise AND of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kand_mask64","","Compute the bitwise AND of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_knot_mask32","","Compute the bitwise NOT of 32-bit mask a, and store the …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_knot_mask64","","Compute the bitwise NOT of 64-bit mask a, and store the …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kandn_mask32","","Compute the bitwise NOT of 32-bit masks a and then AND …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kandn_mask64","","Compute the bitwise NOT of 64-bit masks a and then AND …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kor_mask32","","Compute the bitwise OR of 32-bit masks a and b, and store …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kor_mask64","","Compute the bitwise OR of 64-bit masks a and b, and store …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kxor_mask32","","Compute the bitwise XOR of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kxor_mask64","","Compute the bitwise XOR of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_kxnor_mask32","","Compute the bitwise XNOR of 32-bit masks a and b, and …",null,[[["__mmask32",6]],["__mmask32",6]]],[5,"_kxnor_mask64","","Compute the bitwise XNOR of 64-bit masks a and b, and …",null,[[["__mmask64",6]],["__mmask64",6]]],[5,"_mm512_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtepi16_epi8","","Convert packed 16-bit integers in a to packed 8-bit …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtsepi16_epi8","","Convert packed signed 16-bit integers in a to packed …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__m512i",3]],["__m256i",3]]],[5,"_mm512_mask_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__m256i",3],["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_maskz_cvtusepi16_epi8","","Convert packed unsigned 16-bit integers in a to packed …",null,[[["__mmask32",6],["__m512i",3]],["__m256i",3]]],[5,"_mm512_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__m512i",3],["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepi8_epi16","","Sign extend packed 8-bit integers in a to packed 16-bit …",null,[[["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m256i",3]],["__m512i",3]]],[5,"_mm512_mask_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__m512i",3],["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_maskz_cvtepu8_epi16","","Zero extend packed unsigned 8-bit integers in a to packed …",null,[[["__mmask32",6],["__m256i",3]],["__m512i",3]]],[5,"_mm512_bslli_epi128","","Shift 128-bit lanes in a left by imm8 bytes while …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_bsrli_epi128","","Shift 128-bit lanes in a right by imm8 bytes while …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_alignr_epi8","","Concatenate pairs of 16-byte blocks in a and b into a …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m512i",3]]],[5,"_mm256_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m256i",3]]],[5,"_mm_broadcastmw_epi32","","Broadcast the low 16-bits from input mask k to all 32-bit …",null,[[["__mmask16",6]],["__m128i",3]]],[5,"_mm512_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m512i",3]]],[5,"_mm256_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m256i",3]]],[5,"_mm_broadcastmb_epi64","","Broadcast the low 8-bits from input mask k to all 64-bit …",null,[[["__mmask8",6]],["__m128i",3]]],[5,"_mm512_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_conflict_epi32","","Test each 32-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_conflict_epi64","","Test each 64-bit element of a for equality with all other …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_lzcnt_epi32","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_maskz_lzcnt_epi64","","Counts the number of leading zero bits in each packed …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm256_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm_madd52hi_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_madd52lo_epu64","","Multiply packed unsigned 52-bit integers in each 64-bit …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm512_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__mmask32",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask32",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask16",6]],["__m256i",3]]],[5,"_mm_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi16","","For each packed 16-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi8","","For each packed 8-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m512i",3]],["__mmask64",6]]],[5,"_mm512_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__mmask64",6],["__m512i",3]],["__mmask64",6]]],[5,"_mm256_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m256i",3]],["__mmask32",6]]],[5,"_mm256_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__mmask32",6],["__m256i",3]],["__mmask32",6]]],[5,"_mm_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m128i",3]],["__mmask16",6]]],[5,"_mm_mask_bitshuffle_epi64_mask","","Considers the input <code>b</code> as packed 64-bit integers and <code>c</code> as …",null,[[["__m128i",3],["__mmask16",6]],["__mmask16",6]]],[5,"_mm512_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m512i",3],["__mmask64",6]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__mmask64",6],["__m512i",3]],["__m512i",3]]],[5,"_mm256_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m256i",3],["__mmask32",6]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__mmask32",6],["__m256i",3]],["__m256i",3]]],[5,"_mm_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_mask_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm_maskz_gf2p8mul_epi8","","Performs a multiplication in GF(2^8) on the packed bytes. …",null,[[["__m128i",3],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm256_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__mmask32",6],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m256i",3],["__mmask32",6],["i32",15]],["__m256i",3]]],[5,"_mm_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_gf2p8affine_epi64_epi8","","Performs an affine transformation on the packed bytes in …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__mmask64",6],["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm512_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m512i",3],["__mmask64",6],["i32",15]],["__m512i",3]]],[5,"_mm256_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__mmask32",6],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_mm256_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m256i",3],["__mmask32",6],["i32",15]],["__m256i",3]]],[5,"_mm_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15]],["__m128i",3]]],[5,"_mm_maskz_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm_mask_gf2p8affineinv_epi64_epi8","","Performs an affine transformation on the inverted packed …",null,[[["__m128i",3],["i32",15],["__mmask16",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask16",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi32","","For each packed 32-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm512_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm512_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m512i",3],["__mmask8",6]],["__m512i",3]]],[5,"_mm256_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm256_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m256i",3],["__mmask8",6]],["__m256i",3]]],[5,"_mm_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3]],["__m128i",3]]],[5,"_mm_maskz_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm_mask_popcnt_epi64","","For each packed 64-bit integer maps the value to the …",null,[[["__m128i",3],["__mmask8",6]],["__m128i",3]]],[5,"_mm256_aesenc_epi128","","Performs one round of an AES encryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesenclast_epi128","","Performs the last round of an AES encryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesdec_epi128","","Performs one round of an AES decryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm256_aesdeclast_epi128","","Performs the last round of an AES decryption flow on each …",null,[[["__m256i",3]],["__m256i",3]]],[5,"_mm512_aesenc_epi128","","Performs one round of an AES encryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesenclast_epi128","","Performs the last round of an AES encryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesdec_epi128","","Performs one round of an AES decryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_aesdeclast_epi128","","Performs the last round of an AES decryption flow on each …",null,[[["__m512i",3]],["__m512i",3]]],[5,"_mm512_clmulepi64_epi128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m512i",3],["i32",15]],["__m512i",3]]],[5,"_mm256_clmulepi64_epi128","","Performs a carry-less multiplication of two 64-bit …",null,[[["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_bittest","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandset","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandreset","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[5,"_bittestandcomplement","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i32",15]],["u8",15]]],[17,"_XBEGIN_STARTED","","Transaction successfully started.",null,null],[17,"_XABORT_EXPLICIT","","Transaction explicitly aborted with xabort. The parameter …",null,null],[17,"_XABORT_RETRY","","Transaction retry is possible.",null,null],[17,"_XABORT_CONFLICT","","Transaction abort due to a memory conflict with another …",null,null],[17,"_XABORT_CAPACITY","","Transaction abort due to the transaction using too much …",null,null],[17,"_XABORT_DEBUG","","Transaction abort due to a debug trap.",null,null],[17,"_XABORT_NESTED","","Transaction abort in a inner nested transaction.",null,null],[5,"_xbegin","","Specifies the start of a restricted transactional memory …",null,[[],["u32",15]]],[5,"_xend","","Specifies the end of a restricted transactional memory …",null,[[]]],[5,"_xabort","","Forces a restricted transactional memory (RTM) region to …",null,[[["u32",15]]]],[5,"_xtest","","Queries whether the processor is executing in a …",null,[[],["u8",15]]],[5,"_xabort_code","","Retrieves the parameter passed to [<code>_xabort</code>] when [<code>_xbegin</code>]…",null,[[["u32",15]],["u32",15]]],[5,"_mm_cvtph_ps","","Converts the 4 x 16-bit half-precision float values in …",null,[[["__m128i",3]],["__m128",3]]],[5,"_mm256_cvtph_ps","","Converts the 8 x 16-bit half-precision float values in …",null,[[["__m128i",3]],["__m256",3]]],[5,"_mm_cvtps_ph","","Converts the 4 x 32-bit float values in the 128-bit …",null,[[["__m128",3],["i32",15]],["__m128i",3]]],[5,"_mm256_cvtps_ph","","Converts the 8 x 32-bit float values in the 256-bit …",null,[[["__m256",3],["i32",15]],["__m128i",3]]],[5,"_fxsave64","","Saves the <code>x87</code> FPU, <code>MMX</code> technology, <code>XMM</code>, and <code>MXCSR</code> …",null,[[]]],[5,"_fxrstor64","","Restores the <code>XMM</code>, <code>MMX</code>, <code>MXCSR</code>, and <code>x87</code> FPU registers from …",null,[[]]],[5,"_mm_cvtss_si64","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i64",15]]],[5,"_mm_cvttss_si64","","Converts the lowest 32 bit float in the input vector to a …",null,[[["__m128",3]],["i64",15]]],[5,"_mm_cvtsi64_ss","","Converts a 64 bit integer to a 32 bit float. The result …",null,[[["i64",15],["__m128",3]],["__m128",3]]],[5,"_mm_cvtsd_si64","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i64",15]]],[5,"_mm_cvtsd_si64x","","Alias for <code>_mm_cvtsd_si64</code>",null,[[["__m128d",3]],["i64",15]]],[5,"_mm_cvttsd_si64","","Converts the lower double-precision (64-bit) …",null,[[["__m128d",3]],["i64",15]]],[5,"_mm_cvttsd_si64x","","Alias for <code>_mm_cvttsd_si64</code>",null,[[["__m128d",3]],["i64",15]]],[5,"_mm_stream_si64","","Stores a 64-bit integer value in the specified memory …",null,[[["i64",15]]]],[5,"_mm_cvtsi64_si128","","Returns a vector whose lowest element is <code>a</code> and all higher …",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_cvtsi64x_si128","","Returns a vector whose lowest element is <code>a</code> and all higher …",null,[[["i64",15]],["__m128i",3]]],[5,"_mm_cvtsi128_si64","","Returns the lowest element of <code>a</code>.",null,[[["__m128i",3]],["i64",15]]],[5,"_mm_cvtsi128_si64x","","Returns the lowest element of <code>a</code>.",null,[[["__m128i",3]],["i64",15]]],[5,"_mm_cvtsi64_sd","","Returns <code>a</code> with its lower element replaced by <code>b</code> after …",null,[[["i64",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_cvtsi64x_sd","","Returns <code>a</code> with its lower element replaced by <code>b</code> after …",null,[[["i64",15],["__m128d",3]],["__m128d",3]]],[5,"_mm_extract_epi64","","Extracts an 64-bit integer from <code>a</code> selected with <code>imm8</code>",null,[[["__m128i",3],["i32",15]],["i64",15]]],[5,"_mm_insert_epi64","","Returns a copy of <code>a</code> with the 64-bit integer from <code>i</code> …",null,[[["__m128i",3],["i64",15],["i32",15]],["__m128i",3]]],[5,"_mm_crc32_u64","","Starting with the initial value in <code>crc</code>, return the …",null,[[["u64",15]],["u64",15]]],[5,"_xsave64","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstor64","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[5,"_xsaveopt64","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsavec64","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xsaves64","","Performs a full or partial save of the enabled processor …",null,[[["u64",15]]]],[5,"_xrstors64","","Performs a full or partial restore of the enabled …",null,[[["u64",15]]]],[5,"_lzcnt_u64","","Counts the leading most significant zero bits.",null,[[["u64",15]],["u64",15]]],[5,"_popcnt64","","Counts the bits that are set.",null,[[["i64",15]],["i32",15]]],[5,"_mm256_insert_epi64","","Copies <code>a</code> to result, and insert the 64-bit integer <code>i</code> into …",null,[[["i64",15],["__m256i",3],["i32",15]],["__m256i",3]]],[5,"_bextr_u64","","Extracts bits in range [<code>start</code>, <code>start</code> + <code>length</code>) from <code>a</code> into…",null,[[["u32",15],["u64",15]],["u64",15]]],[5,"_bextr2_u64","","Extracts bits of <code>a</code> specified by <code>control</code> into the least …",null,[[["u64",15]],["u64",15]]],[5,"_andn_u64","","Bitwise logical <code>AND</code> of inverted <code>a</code> with <code>b</code>.",null,[[["u64",15]],["u64",15]]],[5,"_blsi_u64","","Extracts lowest set isolated bit.",null,[[["u64",15]],["u64",15]]],[5,"_blsmsk_u64","","Gets mask up to lowest set bit.",null,[[["u64",15]],["u64",15]]],[5,"_blsr_u64","","Resets the lowest set bit of <code>x</code>.",null,[[["u64",15]],["u64",15]]],[5,"_tzcnt_u64","","Counts the number of trailing least significant zero bits.",null,[[["u64",15]],["u64",15]]],[5,"_mm_tzcnt_64","","Counts the number of trailing least significant zero bits.",null,[[["u64",15]],["i64",15]]],[5,"_mulx_u64","","Unsigned multiply without affecting flags.",null,[[["u64",15],["u64",15]],["u64",15]]],[5,"_bzhi_u64","","Zeroes higher bits of <code>a</code> >= <code>index</code>.",null,[[["u32",15],["u64",15]],["u64",15]]],[5,"_pdep_u64","","Scatter contiguous low order bits of <code>a</code> to the result at …",null,[[["u64",15]],["u64",15]]],[5,"_pext_u64","","Gathers the bits of <code>x</code> specified by the <code>mask</code> into the …",null,[[["u64",15]],["u64",15]]],[5,"_mm256_extract_epi64","","Extracts a 64-bit integer from <code>a</code>, selected with <code>imm8</code>.",null,[[["__m256i",3],["i32",15]],["i64",15]]],[5,"_bswap64","","Returns an integer with the reversed byte order of x",null,[[["i64",15]],["i64",15]]],[5,"_rdrand64_step","","Read a hardware generated 64-bit random value and store …",null,[[["u64",15]],["i32",15]]],[5,"_rdseed64_step","","Read a 64-bit NIST SP800-90B and SP800-90C compliant …",null,[[["u64",15]],["i32",15]]],[5,"cmpxchg16b","","Compares and exchange 16 bytes (128 bits) of data …",null,[[["u128",15],["ordering",4]],["u128",15]]],[5,"_addcarry_u64","","Adds unsigned 64-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u64",15],["u64",15],["u8",15]],["u8",15]]],[5,"_addcarryx_u64","","Adds unsigned 64-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u64",15],["u64",15],["u8",15]],["u8",15]]],[5,"_subborrow_u64","","Adds unsigned 64-bit integers <code>a</code> and <code>b</code> with unsigned 8-bit …",null,[[["u64",15],["u64",15],["u8",15]],["u8",15]]],[5,"_bittest64","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i64",15]],["u8",15]]],[5,"_bittestandset64","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i64",15]],["u8",15]]],[5,"_bittestandreset64","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i64",15]],["u8",15]]],[5,"_bittestandcomplement64","","Returns the bit in position <code>b</code> of the memory addressed by <code>p</code>…",null,[[["i64",15]],["u8",15]]],[0,"arm","core::arch","Platform-specific intrinsics for the <code>arm</code> platform.",null,null],[5,"__breakpoint","core::arch::arm","Inserts a breakpoint instruction.",null,[[["i32",15]]]],[5,"_rev_u16","","Reverse the order of the bytes.",null,[[["u16",15]],["u16",15]]],[5,"_rev_u32","","Reverse the order of the bytes.",null,[[["u32",15]],["u32",15]]],[5,"vand_s8","","Vector bitwise and",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vandq_s8","","Vector bitwise and",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vand_s16","","Vector bitwise and",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vandq_s16","","Vector bitwise and",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vand_s32","","Vector bitwise and",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vandq_s32","","Vector bitwise and",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vand_u8","","Vector bitwise and",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vandq_u8","","Vector bitwise and",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vand_u16","","Vector bitwise and",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vandq_u16","","Vector bitwise and",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vand_u32","","Vector bitwise and",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vandq_u32","","Vector bitwise and",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vand_s64","","Vector bitwise and",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vandq_s64","","Vector bitwise and",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vand_u64","","Vector bitwise and",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vandq_u64","","Vector bitwise and",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vorr_s8","","Vector bitwise or (immediate, inclusive)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vorrq_s8","","Vector bitwise or (immediate, inclusive)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vorr_s16","","Vector bitwise or (immediate, inclusive)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vorrq_s16","","Vector bitwise or (immediate, inclusive)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vorr_s32","","Vector bitwise or (immediate, inclusive)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vorrq_s32","","Vector bitwise or (immediate, inclusive)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vorr_u8","","Vector bitwise or (immediate, inclusive)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vorrq_u8","","Vector bitwise or (immediate, inclusive)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vorr_u16","","Vector bitwise or (immediate, inclusive)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vorrq_u16","","Vector bitwise or (immediate, inclusive)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vorr_u32","","Vector bitwise or (immediate, inclusive)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vorrq_u32","","Vector bitwise or (immediate, inclusive)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vorr_s64","","Vector bitwise or (immediate, inclusive)",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vorrq_s64","","Vector bitwise or (immediate, inclusive)",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vorr_u64","","Vector bitwise or (immediate, inclusive)",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vorrq_u64","","Vector bitwise or (immediate, inclusive)",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"veor_s8","","Vector bitwise exclusive or (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"veorq_s8","","Vector bitwise exclusive or (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"veor_s16","","Vector bitwise exclusive or (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"veorq_s16","","Vector bitwise exclusive or (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"veor_s32","","Vector bitwise exclusive or (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"veorq_s32","","Vector bitwise exclusive or (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"veor_u8","","Vector bitwise exclusive or (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"veorq_u8","","Vector bitwise exclusive or (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"veor_u16","","Vector bitwise exclusive or (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"veorq_u16","","Vector bitwise exclusive or (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"veor_u32","","Vector bitwise exclusive or (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"veorq_u32","","Vector bitwise exclusive or (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"veor_s64","","Vector bitwise exclusive or (vector)",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"veorq_s64","","Vector bitwise exclusive or (vector)",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"veor_u64","","Vector bitwise exclusive or (vector)",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"veorq_u64","","Vector bitwise exclusive or (vector)",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vceq_u8","","Compare bitwise Equal (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vceqq_u8","","Compare bitwise Equal (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vceq_u16","","Compare bitwise Equal (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vceqq_u16","","Compare bitwise Equal (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vceq_u32","","Compare bitwise Equal (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_u32","","Compare bitwise Equal (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vceq_s8","","Compare bitwise Equal (vector)",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vceqq_s8","","Compare bitwise Equal (vector)",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vceq_s16","","Compare bitwise Equal (vector)",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vceqq_s16","","Compare bitwise Equal (vector)",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vceq_s32","","Compare bitwise Equal (vector)",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_s32","","Compare bitwise Equal (vector)",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vceq_f32","","Floating-point compare equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_f32","","Floating-point compare equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_s8","","Compare signed greater than",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcgtq_s8","","Compare signed greater than",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcgt_s16","","Compare signed greater than",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcgtq_s16","","Compare signed greater than",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcgt_s32","","Compare signed greater than",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_s32","","Compare signed greater than",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_u8","","Compare unsigned highe",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcgtq_u8","","Compare unsigned highe",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcgt_u16","","Compare unsigned highe",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcgtq_u16","","Compare unsigned highe",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcgt_u32","","Compare unsigned highe",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_u32","","Compare unsigned highe",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_f32","","Floating-point compare greater than",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_f32","","Floating-point compare greater than",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_s8","","Compare signed less than",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcltq_s8","","Compare signed less than",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vclt_s16","","Compare signed less than",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcltq_s16","","Compare signed less than",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vclt_s32","","Compare signed less than",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_s32","","Compare signed less than",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_u8","","Compare unsigned less than",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcltq_u8","","Compare unsigned less than",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vclt_u16","","Compare unsigned less than",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcltq_u16","","Compare unsigned less than",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vclt_u32","","Compare unsigned less than",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_u32","","Compare unsigned less than",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_f32","","Floating-point compare less than",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_f32","","Floating-point compare less than",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_s8","","Compare signed less than or equal",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcleq_s8","","Compare signed less than or equal",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcle_s16","","Compare signed less than or equal",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcleq_s16","","Compare signed less than or equal",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcle_s32","","Compare signed less than or equal",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_s32","","Compare signed less than or equal",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_u8","","Compare unsigned less than or equal",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcleq_u8","","Compare unsigned less than or equal",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcle_u16","","Compare unsigned less than or equal",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcleq_u16","","Compare unsigned less than or equal",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcle_u32","","Compare unsigned less than or equal",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_u32","","Compare unsigned less than or equal",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_f32","","Floating-point compare less than or equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_f32","","Floating-point compare less than or equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_s8","","Compare signed greater than or equal",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcgeq_s8","","Compare signed greater than or equal",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcge_s16","","Compare signed greater than or equal",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcgeq_s16","","Compare signed greater than or equal",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcge_s32","","Compare signed greater than or equal",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_s32","","Compare signed greater than or equal",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_u8","","Compare unsigned greater than or equal",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcgeq_u8","","Compare unsigned greater than or equal",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcge_u16","","Compare unsigned greater than or equal",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcgeq_u16","","Compare unsigned greater than or equal",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcge_u32","","Compare unsigned greater than or equal",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_u32","","Compare unsigned greater than or equal",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_f32","","Floating-point compare greater than or equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_f32","","Floating-point compare greater than or equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vqsub_u8","","Saturating subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqsubq_u8","","Saturating subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqsub_u16","","Saturating subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vqsubq_u16","","Saturating subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vqsub_u32","","Saturating subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vqsubq_u32","","Saturating subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vqsub_s8","","Saturating subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vqsubq_s8","","Saturating subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vqsub_s16","","Saturating subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vqsubq_s16","","Saturating subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vqsub_s32","","Saturating subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vqsubq_s32","","Saturating subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vhadd_u8","","Halving add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vhaddq_u8","","Halving add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vhadd_u16","","Halving add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vhaddq_u16","","Halving add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vhadd_u32","","Halving add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vhaddq_u32","","Halving add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vhadd_s8","","Halving add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vhaddq_s8","","Halving add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vhadd_s16","","Halving add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vhaddq_s16","","Halving add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vhadd_s32","","Halving add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vhaddq_s32","","Halving add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vrhadd_u8","","Rounding halving add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrhaddq_u8","","Rounding halving add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrhadd_u16","","Rounding halving add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrhaddq_u16","","Rounding halving add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrhadd_u32","","Rounding halving add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vrhaddq_u32","","Rounding halving add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vrhadd_s8","","Rounding halving add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrhaddq_s8","","Rounding halving add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrhadd_s16","","Rounding halving add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vrhaddq_s16","","Rounding halving add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vrhadd_s32","","Rounding halving add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vrhaddq_s32","","Rounding halving add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vqadd_u8","","Saturating add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqaddq_u8","","Saturating add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqadd_u16","","Saturating add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vqaddq_u16","","Saturating add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vqadd_u32","","Saturating add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vqaddq_u32","","Saturating add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vqadd_s8","","Saturating add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vqaddq_s8","","Saturating add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vqadd_s16","","Saturating add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vqaddq_s16","","Saturating add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vqadd_s32","","Saturating add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vqaddq_s32","","Saturating add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmul_s8","","Multiply",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmulq_s8","","Multiply",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmul_s16","","Multiply",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmulq_s16","","Multiply",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmul_s32","","Multiply",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmulq_s32","","Multiply",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmul_u8","","Multiply",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmulq_u8","","Multiply",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmul_u16","","Multiply",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmulq_u16","","Multiply",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmul_u32","","Multiply",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmulq_u32","","Multiply",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmul_f32","","Multiply",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmulq_f32","","Multiply",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vsub_s8","","Subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vsubq_s8","","Subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vsub_s16","","Subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vsubq_s16","","Subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vsub_s32","","Subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vsubq_s32","","Subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vsub_u8","","Subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vsubq_u8","","Subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vsub_u16","","Subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vsubq_u16","","Subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vsub_u32","","Subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vsubq_u32","","Subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vsub_s64","","Subtract",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vsubq_s64","","Subtract",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vsub_u64","","Subtract",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vsubq_u64","","Subtract",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vsub_f32","","Subtract",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vsubq_f32","","Subtract",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vhsub_u8","","Signed halving subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vhsubq_u8","","Signed halving subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vhsub_u16","","Signed halving subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vhsubq_u16","","Signed halving subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vhsub_u32","","Signed halving subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vhsubq_u32","","Signed halving subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vhsub_s8","","Signed halving subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vhsubq_s8","","Signed halving subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vhsub_s16","","Signed halving subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vhsubq_s16","","Signed halving subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vhsub_s32","","Signed halving subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vhsubq_s32","","Signed halving subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmax_s8","","Maximum (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmaxq_s8","","Maximum (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmax_s16","","Maximum (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmaxq_s16","","Maximum (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmax_s32","","Maximum (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmaxq_s32","","Maximum (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmax_u8","","Maximum (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmaxq_u8","","Maximum (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmax_u16","","Maximum (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmaxq_u16","","Maximum (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmax_u32","","Maximum (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmaxq_u32","","Maximum (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmax_f32","","Maximum (vector)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmaxq_f32","","Maximum (vector)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vmin_s8","","Minimum (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vminq_s8","","Minimum (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmin_s16","","Minimum (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vminq_s16","","Minimum (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmin_s32","","Minimum (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vminq_s32","","Minimum (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmin_u8","","Minimum (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vminq_u8","","Minimum (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmin_u16","","Minimum (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vminq_u16","","Minimum (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmin_u32","","Minimum (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vminq_u32","","Minimum (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmin_f32","","Minimum (vector)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vminq_f32","","Minimum (vector)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[3,"int8x8_t","","ARM-specific 64-bit wide vector of eight packed <code>i8</code>.",null,null],[3,"uint8x8_t","","ARM-specific 64-bit wide vector of eight packed <code>u8</code>.",null,null],[3,"poly8x8_t","","ARM-specific 64-bit wide polynomial vector of eight …",null,null],[3,"int16x4_t","","ARM-specific 64-bit wide vector of four packed <code>i16</code>.",null,null],[3,"uint16x4_t","","ARM-specific 64-bit wide vector of four packed <code>u16</code>.",null,null],[3,"poly16x4_t","","ARM-specific 64-bit wide vector of four packed <code>p16</code>.",null,null],[3,"int32x2_t","","ARM-specific 64-bit wide vector of two packed <code>i32</code>.",null,null],[3,"uint32x2_t","","ARM-specific 64-bit wide vector of two packed <code>u32</code>.",null,null],[3,"float32x2_t","","ARM-specific 64-bit wide vector of two packed <code>f32</code>.",null,null],[3,"int64x1_t","","ARM-specific 64-bit wide vector of one packed <code>i64</code>.",null,null],[3,"uint64x1_t","","ARM-specific 64-bit wide vector of one packed <code>u64</code>.",null,null],[3,"poly64x1_t","","ARM-specific 64-bit wide vector of one packed <code>p64</code>.",null,null],[3,"int8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>i8</code>.",null,null],[3,"uint8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>u8</code>.",null,null],[3,"poly8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>p8</code>.",null,null],[3,"int16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>i16</code>.",null,null],[3,"uint16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>u16</code>.",null,null],[3,"poly16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>p16</code>.",null,null],[3,"int32x4_t","","ARM-specific 128-bit wide vector of four packed <code>i32</code>.",null,null],[3,"uint32x4_t","","ARM-specific 128-bit wide vector of four packed <code>u32</code>.",null,null],[3,"float32x4_t","","ARM-specific 128-bit wide vector of four packed <code>f32</code>.",null,null],[3,"int64x2_t","","ARM-specific 128-bit wide vector of two packed <code>i64</code>.",null,null],[3,"uint64x2_t","","ARM-specific 128-bit wide vector of two packed <code>u64</code>.",null,null],[3,"poly64x2_t","","ARM-specific 128-bit wide vector of two packed <code>p64</code>.",null,null],[3,"int8x8x2_t","","ARM-specific type containing two <code>int8x8_t</code> vectors.",null,null],[12,"0","","",131,null],[12,"1","","",131,null],[3,"int8x8x3_t","","ARM-specific type containing three <code>int8x8_t</code> vectors.",null,null],[12,"0","","",132,null],[12,"1","","",132,null],[12,"2","","",132,null],[3,"int8x8x4_t","","ARM-specific type containing four <code>int8x8_t</code> vectors.",null,null],[12,"0","","",133,null],[12,"1","","",133,null],[12,"2","","",133,null],[12,"3","","",133,null],[3,"uint8x8x2_t","","ARM-specific type containing two <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",134,null],[12,"1","","",134,null],[3,"uint8x8x3_t","","ARM-specific type containing three <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",135,null],[12,"1","","",135,null],[12,"2","","",135,null],[3,"uint8x8x4_t","","ARM-specific type containing four <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",136,null],[12,"1","","",136,null],[12,"2","","",136,null],[12,"3","","",136,null],[3,"poly8x8x2_t","","ARM-specific type containing two <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",137,null],[12,"1","","",137,null],[3,"poly8x8x3_t","","ARM-specific type containing three <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",138,null],[12,"1","","",138,null],[12,"2","","",138,null],[3,"poly8x8x4_t","","ARM-specific type containing four <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",139,null],[12,"1","","",139,null],[12,"2","","",139,null],[12,"3","","",139,null],[5,"vld1_lane_s8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int8x8_t",3]],["int8x8_t",3]]],[5,"vld1q_lane_s8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int8x16_t",3]],["int8x16_t",3]]],[5,"vld1_lane_s16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int16x4_t",3]],["int16x4_t",3]]],[5,"vld1q_lane_s16","","Load one single-element structure to one lane of one …",null,[[["int16x8_t",3],["i32",15]],["int16x8_t",3]]],[5,"vld1_lane_s32","","Load one single-element structure to one lane of one …",null,[[["int32x2_t",3],["i32",15]],["int32x2_t",3]]],[5,"vld1q_lane_s32","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int32x4_t",3]],["int32x4_t",3]]],[5,"vld1_lane_s64","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int64x1_t",3]],["int64x1_t",3]]],[5,"vld1q_lane_s64","","Load one single-element structure to one lane of one …",null,[[["int64x2_t",3],["i32",15]],["int64x2_t",3]]],[5,"vld1_lane_u8","","Load one single-element structure to one lane of one …",null,[[["uint8x8_t",3],["i32",15]],["uint8x8_t",3]]],[5,"vld1q_lane_u8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vld1_lane_u16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vld1q_lane_u16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vld1_lane_u32","","Load one single-element structure to one lane of one …",null,[[["uint32x2_t",3],["i32",15]],["uint32x2_t",3]]],[5,"vld1q_lane_u32","","Load one single-element structure to one lane of one …",null,[[["uint32x4_t",3],["i32",15]],["uint32x4_t",3]]],[5,"vld1_lane_u64","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vld1q_lane_u64","","Load one single-element structure to one lane of one …",null,[[["uint64x2_t",3],["i32",15]],["uint64x2_t",3]]],[5,"vld1_lane_p8","","Load one single-element structure to one lane of one …",null,[[["poly8x8_t",3],["i32",15]],["poly8x8_t",3]]],[5,"vld1q_lane_p8","","Load one single-element structure to one lane of one …",null,[[["poly8x16_t",3],["i32",15]],["poly8x16_t",3]]],[5,"vld1_lane_p16","","Load one single-element structure to one lane of one …",null,[[["poly16x4_t",3],["i32",15]],["poly16x4_t",3]]],[5,"vld1q_lane_p16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["poly16x8_t",3]],["poly16x8_t",3]]],[5,"vld1_lane_f32","","Load one single-element structure to one lane of one …",null,[[["float32x2_t",3],["i32",15]],["float32x2_t",3]]],[5,"vld1q_lane_f32","","Load one single-element structure to one lane of one …",null,[[["float32x4_t",3],["i32",15]],["float32x4_t",3]]],[5,"vld1_dup_s8","","Load one single-element structure and Replicate to all …",null,[[],["int8x8_t",3]]],[5,"vld1q_dup_s8","","Load one single-element structure and Replicate to all …",null,[[],["int8x16_t",3]]],[5,"vld1_dup_s16","","Load one single-element structure and Replicate to all …",null,[[],["int16x4_t",3]]],[5,"vld1q_dup_s16","","Load one single-element structure and Replicate to all …",null,[[],["int16x8_t",3]]],[5,"vld1_dup_s32","","Load one single-element structure and Replicate to all …",null,[[],["int32x2_t",3]]],[5,"vld1q_dup_s32","","Load one single-element structure and Replicate to all …",null,[[],["int32x4_t",3]]],[5,"vld1_dup_s64","","Load one single-element structure and Replicate to all …",null,[[],["int64x1_t",3]]],[5,"vld1q_dup_s64","","Load one single-element structure and Replicate to all …",null,[[],["int64x2_t",3]]],[5,"vld1_dup_u8","","Load one single-element structure and Replicate to all …",null,[[],["uint8x8_t",3]]],[5,"vld1q_dup_u8","","Load one single-element structure and Replicate to all …",null,[[],["uint8x16_t",3]]],[5,"vld1_dup_u16","","Load one single-element structure and Replicate to all …",null,[[],["uint16x4_t",3]]],[5,"vld1q_dup_u16","","Load one single-element structure and Replicate to all …",null,[[],["uint16x8_t",3]]],[5,"vld1_dup_u32","","Load one single-element structure and Replicate to all …",null,[[],["uint32x2_t",3]]],[5,"vld1q_dup_u32","","Load one single-element structure and Replicate to all …",null,[[],["uint32x4_t",3]]],[5,"vld1_dup_u64","","Load one single-element structure and Replicate to all …",null,[[],["uint64x1_t",3]]],[5,"vld1q_dup_u64","","Load one single-element structure and Replicate to all …",null,[[],["uint64x2_t",3]]],[5,"vld1_dup_p8","","Load one single-element structure and Replicate to all …",null,[[],["poly8x8_t",3]]],[5,"vld1q_dup_p8","","Load one single-element structure and Replicate to all …",null,[[],["poly8x16_t",3]]],[5,"vld1_dup_p16","","Load one single-element structure and Replicate to all …",null,[[],["poly16x4_t",3]]],[5,"vld1q_dup_p16","","Load one single-element structure and Replicate to all …",null,[[],["poly16x8_t",3]]],[5,"vld1_dup_f32","","Load one single-element structure and Replicate to all …",null,[[],["float32x2_t",3]]],[5,"vld1q_dup_f32","","Load one single-element structure and Replicate to all …",null,[[],["float32x4_t",3]]],[5,"vabs_s8","","Absolute value (wrapping).",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vabs_s16","","Absolute value (wrapping).",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vabs_s32","","Absolute value (wrapping).",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vabsq_s8","","Absolute value (wrapping).",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vabsq_s16","","Absolute value (wrapping).",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vabsq_s32","","Absolute value (wrapping).",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vpadd_s16","","Add pairwise.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpadd_s32","","Add pairwise.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpadd_s8","","Add pairwise.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpadd_u16","","Add pairwise.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpadd_u32","","Add pairwise.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpadd_u8","","Add pairwise.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqmovn_u64","","Unsigned saturating extract narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vadd_s8","","Vector add.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vaddq_s8","","Vector add.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vadd_s16","","Vector add.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vaddq_s16","","Vector add.",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vadd_s32","","Vector add.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vaddq_s32","","Vector add.",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddq_s64","","Vector add.",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vadd_u8","","Vector add.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vaddq_u8","","Vector add.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vadd_u16","","Vector add.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vaddq_u16","","Vector add.",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vadd_u32","","Vector add.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vaddq_u32","","Vector add.",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vaddq_u64","","Vector add.",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vadd_f32","","Vector add.",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vaddq_f32","","Vector add.",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vaddl_s8","","Signed Add Long (vector).",null,[[["int8x8_t",3]],["int16x8_t",3]]],[5,"vaddl_s16","","Signed Add Long (vector).",null,[[["int16x4_t",3]],["int32x4_t",3]]],[5,"vaddl_s32","","Signed Add Long (vector).",null,[[["int32x2_t",3]],["int64x2_t",3]]],[5,"vaddl_u8","","Unsigned Add Long (vector).",null,[[["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vaddl_u16","","Unsigned Add Long (vector).",null,[[["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vaddl_u32","","Unsigned Add Long (vector).",null,[[["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vaddl_high_s8","","Signed Add Long (vector, high half).",null,[[["int8x16_t",3]],["int16x8_t",3]]],[5,"vaddl_high_s16","","Signed Add Long (vector, high half).",null,[[["int16x8_t",3]],["int32x4_t",3]]],[5,"vaddl_high_s32","","Signed Add Long (vector, high half).",null,[[["int32x4_t",3]],["int64x2_t",3]]],[5,"vaddl_high_u8","","Unsigned Add Long (vector, high half).",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vaddl_high_u16","","Unsigned Add Long (vector, high half).",null,[[["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vaddl_high_u32","","Unsigned Add Long (vector, high half).",null,[[["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vaddw_s8","","Signed Add Wide.",null,[[["int16x8_t",3],["int8x8_t",3]],["int16x8_t",3]]],[5,"vaddw_s16","","Signed Add Wide.",null,[[["int16x4_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddw_s32","","Signed Add Wide.",null,[[["int32x2_t",3],["int64x2_t",3]],["int64x2_t",3]]],[5,"vaddw_u8","","Unsigned Add Wide.",null,[[["uint16x8_t",3],["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vaddw_u16","","Unsigned Add Wide.",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vaddw_u32","","Unsigned Add Wide.",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vaddw_high_s8","","Signed Add Wide (high half).",null,[[["int16x8_t",3],["int8x16_t",3]],["int16x8_t",3]]],[5,"vaddw_high_s16","","Signed Add Wide (high half).",null,[[["int16x8_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddw_high_s32","","Signed Add Wide (high half).",null,[[["int64x2_t",3],["int32x4_t",3]],["int64x2_t",3]]],[5,"vaddw_high_u8","","Unsigned Add Wide (high half).",null,[[["uint16x8_t",3],["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vaddw_high_u16","","Unsigned Add Wide (high half).",null,[[["uint32x4_t",3],["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vaddw_high_u32","","Unsigned Add Wide (high half).",null,[[["uint64x2_t",3],["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vaddhn_s16","","Add returning High Narrow.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vaddhn_s32","","Add returning High Narrow.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vaddhn_s64","","Add returning High Narrow.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vaddhn_u16","","Add returning High Narrow.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vaddhn_u32","","Add returning High Narrow.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vaddhn_u64","","Add returning High Narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vaddhn_high_s16","","Add returning High Narrow (high half).",null,[[["int16x8_t",3],["int8x8_t",3]],["int8x16_t",3]]],[5,"vaddhn_high_s32","","Add returning High Narrow (high half).",null,[[["int32x4_t",3],["int16x4_t",3]],["int16x8_t",3]]],[5,"vaddhn_high_s64","","Add returning High Narrow (high half).",null,[[["int32x2_t",3],["int64x2_t",3]],["int32x4_t",3]]],[5,"vaddhn_high_u16","","Add returning High Narrow (high half).",null,[[["uint8x8_t",3],["uint16x8_t",3]],["uint8x16_t",3]]],[5,"vaddhn_high_u32","","Add returning High Narrow (high half).",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint16x8_t",3]]],[5,"vaddhn_high_u64","","Add returning High Narrow (high half).",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint32x4_t",3]]],[5,"vraddhn_s16","","Rounding Add returning High Narrow.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vraddhn_s32","","Rounding Add returning High Narrow.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vraddhn_s64","","Rounding Add returning High Narrow.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vraddhn_u16","","Rounding Add returning High Narrow.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vraddhn_u32","","Rounding Add returning High Narrow.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vraddhn_u64","","Rounding Add returning High Narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vraddhn_high_s16","","Rounding Add returning High Narrow (high half).",null,[[["int16x8_t",3],["int8x8_t",3]],["int8x16_t",3]]],[5,"vraddhn_high_s32","","Rounding Add returning High Narrow (high half).",null,[[["int32x4_t",3],["int16x4_t",3]],["int16x8_t",3]]],[5,"vraddhn_high_s64","","Rounding Add returning High Narrow (high half).",null,[[["int32x2_t",3],["int64x2_t",3]],["int32x4_t",3]]],[5,"vraddhn_high_u16","","Rounding Add returning High Narrow (high half).",null,[[["uint8x8_t",3],["uint16x8_t",3]],["uint8x16_t",3]]],[5,"vraddhn_high_u32","","Rounding Add returning High Narrow (high half).",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint16x8_t",3]]],[5,"vraddhn_high_u64","","Rounding Add returning High Narrow (high half).",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint32x4_t",3]]],[5,"vpaddl_s8","","Signed Add Long Pairwise.",null,[[["int8x8_t",3]],["int16x4_t",3]]],[5,"vpaddl_s16","","Signed Add Long Pairwise.",null,[[["int16x4_t",3]],["int32x2_t",3]]],[5,"vpaddl_s32","","Signed Add Long Pairwise.",null,[[["int32x2_t",3]],["int64x1_t",3]]],[5,"vpaddlq_s8","","Signed Add Long Pairwise.",null,[[["int8x16_t",3]],["int16x8_t",3]]],[5,"vpaddlq_s16","","Signed Add Long Pairwise.",null,[[["int16x8_t",3]],["int32x4_t",3]]],[5,"vpaddlq_s32","","Signed Add Long Pairwise.",null,[[["int32x4_t",3]],["int64x2_t",3]]],[5,"vpaddl_u8","","Unsigned Add Long Pairwise.",null,[[["uint8x8_t",3]],["uint16x4_t",3]]],[5,"vpaddl_u16","","Unsigned Add Long Pairwise.",null,[[["uint16x4_t",3]],["uint32x2_t",3]]],[5,"vpaddl_u32","","Unsigned Add Long Pairwise.",null,[[["uint32x2_t",3]],["uint64x1_t",3]]],[5,"vpaddlq_u8","","Unsigned Add Long Pairwise.",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vpaddlq_u16","","Unsigned Add Long Pairwise.",null,[[["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vpaddlq_u32","","Unsigned Add Long Pairwise.",null,[[["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vpadal_s8","","Signed Add and Accumulate Long Pairwise.",null,[[["int8x8_t",3],["int16x4_t",3]],["int16x4_t",3]]],[5,"vpadal_s16","","Signed Add and Accumulate Long Pairwise.",null,[[["int32x2_t",3],["int16x4_t",3]],["int32x2_t",3]]],[5,"vpadal_s32","","Signed Add and Accumulate Long Pairwise.",null,[[["int32x2_t",3],["int64x1_t",3]],["int64x1_t",3]]],[5,"vpadalq_s8","","Signed Add and Accumulate Long Pairwise.",null,[[["int16x8_t",3],["int8x16_t",3]],["int16x8_t",3]]],[5,"vpadalq_s16","","Signed Add and Accumulate Long Pairwise.",null,[[["int16x8_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vpadalq_s32","","Signed Add and Accumulate Long Pairwise.",null,[[["int64x2_t",3],["int32x4_t",3]],["int64x2_t",3]]],[5,"vpadal_u8","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint8x8_t",3],["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpadal_u16","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x2_t",3],["uint16x4_t",3]],["uint32x2_t",3]]],[5,"vpadal_u32","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x2_t",3],["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vpadalq_u8","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint16x8_t",3],["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vpadalq_u16","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x4_t",3],["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vpadalq_u32","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint64x2_t",3],["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vmovn_s16","","Vector narrow integer.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vmovn_s32","","Vector narrow integer.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vmovn_s64","","Vector narrow integer.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vmovn_u16","","Vector narrow integer.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vmovn_u32","","Vector narrow integer.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vmovn_u64","","Vector narrow integer.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vmovl_s8","","Vector long move.",null,[[["int8x8_t",3]],["int16x8_t",3]]],[5,"vmovl_s16","","Vector long move.",null,[[["int16x4_t",3]],["int32x4_t",3]]],[5,"vmovl_s32","","Vector long move.",null,[[["int32x2_t",3]],["int64x2_t",3]]],[5,"vmovl_u8","","Vector long move.",null,[[["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vmovl_u16","","Vector long move.",null,[[["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vmovl_u32","","Vector long move.",null,[[["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vrsqrte_f32","","Reciprocal square-root estimate.",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmvn_s8","","Vector bitwise not.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmvnq_s8","","Vector bitwise not.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmvn_s16","","Vector bitwise not.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmvnq_s16","","Vector bitwise not.",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmvn_s32","","Vector bitwise not.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmvnq_s32","","Vector bitwise not.",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmvn_u8","","Vector bitwise not.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmvnq_u8","","Vector bitwise not.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmvn_u16","","Vector bitwise not.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmvnq_u16","","Vector bitwise not.",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmvn_u32","","Vector bitwise not.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmvnq_u32","","Vector bitwise not.",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmvn_p8","","Vector bitwise not.",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vmvnq_p8","","Vector bitwise not.",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vpmin_s8","","Folding minimum of adjacent pairs",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpmin_s16","","Folding minimum of adjacent pairs",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpmin_s32","","Folding minimum of adjacent pairs",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpmin_u8","","Folding minimum of adjacent pairs",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vpmin_u16","","Folding minimum of adjacent pairs",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpmin_u32","","Folding minimum of adjacent pairs",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpmin_f32","","Folding minimum of adjacent pairs",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vpmax_s8","","Folding maximum of adjacent pairs",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpmax_s16","","Folding maximum of adjacent pairs",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpmax_s32","","Folding maximum of adjacent pairs",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpmax_u8","","Folding maximum of adjacent pairs",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vpmax_u16","","Folding maximum of adjacent pairs",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpmax_u32","","Folding maximum of adjacent pairs",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpmax_f32","","Folding maximum of adjacent pairs",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vgetq_lane_u64","","Move vector element to general-purpose register",null,[[["uint64x2_t",3],["i32",15]],["u64",15]]],[5,"vget_lane_u64","","Move vector element to general-purpose register",null,[[["uint64x1_t",3],["i32",15]],["u64",15]]],[5,"vgetq_lane_u16","","Move vector element to general-purpose register",null,[[["uint16x8_t",3],["i32",15]],["u16",15]]],[5,"vgetq_lane_u32","","Move vector element to general-purpose register",null,[[["uint32x4_t",3],["i32",15]],["u32",15]]],[5,"vgetq_lane_s32","","Move vector element to general-purpose register",null,[[["i32",15],["int32x4_t",3]],["i32",15]]],[5,"vget_lane_u8","","Move vector element to general-purpose register",null,[[["uint8x8_t",3],["i32",15]],["u8",15]]],[5,"vdupq_n_s8","","Duplicate vector element to vector or scalar",null,[[["i8",15]],["int8x16_t",3]]],[5,"vdupq_n_u8","","Duplicate vector element to vector or scalar",null,[[["u8",15]],["uint8x16_t",3]]],[5,"vmovq_n_u8","","Duplicate vector element to vector or scalar",null,[[["u8",15]],["uint8x16_t",3]]],[5,"vreinterpret_u64_u32","","Vector reinterpret cast operation",null,[[["uint32x2_t",3]],["uint64x1_t",3]]],[5,"vreinterpretq_s8_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["int8x16_t",3]]],[5,"vreinterpretq_u16_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vreinterpretq_u32_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint32x4_t",3]]],[5,"vreinterpretq_u64_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint64x2_t",3]]],[5,"vreinterpretq_u8_s8","","Vector reinterpret cast operation",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vshrq_n_u8","","Unsigned shift right",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vshlq_n_u8","","Shift right",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vextq_s8","","Extract vector from pair of vectors",null,[[["int8x16_t",3],["i32",15]],["int8x16_t",3]]],[5,"vextq_u8","","Extract vector from pair of vectors",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcnt_s8","","Population count per byte.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vcntq_s8","","Population count per byte.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vcnt_u8","","Population count per byte.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcntq_u8","","Population count per byte.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcnt_p8","","Population count per byte.",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vcntq_p8","","Population count per byte.",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev16_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev16q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev16_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev16q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev16_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev16q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev32_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev32q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev32_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev32q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev32_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrev32q_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrev32_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev32q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev64_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev64q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev64_s16","","Reversing vector elements (swap endianness)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vrev64q_s16","","Reversing vector elements (swap endianness)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vrev64_s32","","Reversing vector elements (swap endianness)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vrev64q_s32","","Reversing vector elements (swap endianness)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vrev64_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev64q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev64_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrev64q_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrev64_u32","","Reversing vector elements (swap endianness)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vrev64q_u32","","Reversing vector elements (swap endianness)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vrev64_f32","","Reversing vector elements (swap endianness)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vrev64q_f32","","Reversing vector elements (swap endianness)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vrev64_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev64q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev64_p16","","Reversing vector elements (swap endianness)",null,[[["poly16x4_t",3]],["poly16x4_t",3]]],[5,"vrev64q_p16","","Reversing vector elements (swap endianness)",null,[[["poly16x8_t",3]],["poly16x8_t",3]]],[3,"SY","","Full system is the required shareability domain, reads …",null,null],[5,"__dmb","","Generates a DMB (data memory barrier) instruction or …",null,[[]]],[5,"__dsb","","Generates a DSB (data synchronization barrier) …",null,[[]]],[5,"__isb","","Generates an ISB (instruction synchronization barrier) …",null,[[]]],[5,"__nop","","Generates an unspecified no-op instruction.",null,[[]]],[3,"APSR","","Application Program Status Register",null,null],[5,"__rsr","","Reads a 32-bit system register",null,[[],["u32",15]]],[5,"__rsrp","","Reads a system register containing an address",null,[[]]],[5,"__wsr","","Writes a 32-bit system register",null,[[["u32",15]]]],[5,"__wsrp","","Writes a system register containing an address",null,[[]]],[0,"aarch64","core::arch","Platform-specific intrinsics for the <code>aarch64</code> platform.",null,null],[5,"_rev_u64","core::arch::aarch64","Reverse the order of the bytes.",null,[[["u64",15]],["u64",15]]],[5,"_clz_u64","","Count Leading Zeros.",null,[[["u64",15]],["u64",15]]],[5,"_rbit_u64","","Reverse the bit order.",null,[[["u64",15]],["u64",15]]],[5,"_cls_u32","","Counts the leading most significant bits set.",null,[[["u32",15]],["u32",15]]],[5,"_cls_u64","","Counts the leading most significant bits set.",null,[[["u64",15]],["u64",15]]],[5,"vceq_u64","","Compare bitwise Equal (vector)",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vceqq_u64","","Compare bitwise Equal (vector)",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vceq_s64","","Compare bitwise Equal (vector)",null,[[["int64x1_t",3]],["uint64x1_t",3]]],[5,"vceqq_s64","","Compare bitwise Equal (vector)",null,[[["int64x2_t",3]],["uint64x2_t",3]]],[5,"vceq_p64","","Compare bitwise Equal (vector)",null,[[["poly64x1_t",3]],["uint64x1_t",3]]],[5,"vceqq_p64","","Compare bitwise Equal (vector)",null,[[["poly64x2_t",3]],["uint64x2_t",3]]],[5,"vceq_f64","","Floating-point compare equal",null,[[["float64x1_t",3]],["uint64x1_t",3]]],[5,"vceqq_f64","","Floating-point compare equal",null,[[["float64x2_t",3]],["uint64x2_t",3]]],[5,"vcgt_s64","","Compare signed greater than",null,[[["int64x1_t",3]],["uint64x1_t",3]]],[5,"vcgtq_s64","","Compare signed greater than",null,[[["int64x2_t",3]],["uint64x2_t",3]]],[5,"vcgt_u64","","Compare unsigned highe",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vcgtq_u64","","Compare unsigned highe",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vcgt_f64","","Floating-point compare greater than",null,[[["float64x1_t",3]],["uint64x1_t",3]]],[5,"vcgtq_f64","","Floating-point compare greater than",null,[[["float64x2_t",3]],["uint64x2_t",3]]],[5,"vclt_s64","","Compare signed less than",null,[[["int64x1_t",3]],["uint64x1_t",3]]],[5,"vcltq_s64","","Compare signed less than",null,[[["int64x2_t",3]],["uint64x2_t",3]]],[5,"vclt_u64","","Compare unsigned less than",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vcltq_u64","","Compare unsigned less than",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vclt_f64","","Floating-point compare less than",null,[[["float64x1_t",3]],["uint64x1_t",3]]],[5,"vcltq_f64","","Floating-point compare less than",null,[[["float64x2_t",3]],["uint64x2_t",3]]],[5,"vcle_s64","","Compare signed less than or equal",null,[[["int64x1_t",3]],["uint64x1_t",3]]],[5,"vcleq_s64","","Compare signed less than or equal",null,[[["int64x2_t",3]],["uint64x2_t",3]]],[5,"vcle_u64","","Compare unsigned less than or equal",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vcleq_u64","","Compare unsigned less than or equal",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vcle_f64","","Floating-point compare less than or equal",null,[[["float64x1_t",3]],["uint64x1_t",3]]],[5,"vcleq_f64","","Floating-point compare less than or equal",null,[[["float64x2_t",3]],["uint64x2_t",3]]],[5,"vcge_s64","","Compare signed greater than or equal",null,[[["int64x1_t",3]],["uint64x1_t",3]]],[5,"vcgeq_s64","","Compare signed greater than or equal",null,[[["int64x2_t",3]],["uint64x2_t",3]]],[5,"vcge_u64","","Compare unsigned greater than or equal",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vcgeq_u64","","Compare unsigned greater than or equal",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vcge_f64","","Floating-point compare greater than or equal",null,[[["float64x1_t",3]],["uint64x1_t",3]]],[5,"vcgeq_f64","","Floating-point compare greater than or equal",null,[[["float64x2_t",3]],["uint64x2_t",3]]],[5,"vmul_f64","","Multiply",null,[[["float64x1_t",3]],["float64x1_t",3]]],[5,"vmulq_f64","","Multiply",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vsub_f64","","Subtract",null,[[["float64x1_t",3]],["float64x1_t",3]]],[5,"vsubq_f64","","Subtract",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vmax_f64","","Maximum (vector)",null,[[["float64x1_t",3]],["float64x1_t",3]]],[5,"vmaxq_f64","","Maximum (vector)",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vmin_f64","","Minimum (vector)",null,[[["float64x1_t",3]],["float64x1_t",3]]],[5,"vminq_f64","","Minimum (vector)",null,[[["float64x2_t",3]],["float64x2_t",3]]],[3,"float64x1_t","","ARM-specific 64-bit wide vector of one packed <code>f64</code>.",null,null],[3,"float64x2_t","","ARM-specific 128-bit wide vector of two packed <code>f64</code>.",null,null],[3,"int8x16x2_t","","ARM-specific type containing two <code>int8x16_t</code> vectors.",null,null],[12,"0","","",140,null],[12,"1","","",140,null],[3,"int8x16x3_t","","ARM-specific type containing three <code>int8x16_t</code> vectors.",null,null],[12,"0","","",141,null],[12,"1","","",141,null],[12,"2","","",141,null],[3,"int8x16x4_t","","ARM-specific type containing four <code>int8x16_t</code> vectors.",null,null],[12,"0","","",142,null],[12,"1","","",142,null],[12,"2","","",142,null],[12,"3","","",142,null],[3,"uint8x16x2_t","","ARM-specific type containing two <code>uint8x16_t</code> vectors.",null,null],[12,"0","","",143,null],[12,"1","","",143,null],[3,"uint8x16x3_t","","ARM-specific type containing three <code>uint8x16_t</code> vectors.",null,null],[12,"0","","",144,null],[12,"1","","",144,null],[12,"2","","",144,null],[3,"uint8x16x4_t","","ARM-specific type containing four <code>uint8x16_t</code> vectors.",null,null],[12,"0","","",145,null],[12,"1","","",145,null],[12,"2","","",145,null],[12,"3","","",145,null],[3,"poly8x16x2_t","","ARM-specific type containing two <code>poly8x16_t</code> vectors.",null,null],[12,"0","","",146,null],[12,"1","","",146,null],[3,"poly8x16x3_t","","ARM-specific type containing three <code>poly8x16_t</code> vectors.",null,null],[12,"0","","",147,null],[12,"1","","",147,null],[12,"2","","",147,null],[3,"poly8x16x4_t","","ARM-specific type containing four <code>poly8x16_t</code> vectors.",null,null],[12,"0","","",148,null],[12,"1","","",148,null],[12,"2","","",148,null],[12,"3","","",148,null],[5,"vld1_s8","","Load multiple single-element structures to one, two, …",null,[[],["int8x8_t",3]]],[5,"vld1q_s8","","Load multiple single-element structures to one, two, …",null,[[],["int8x16_t",3]]],[5,"vld1_s16","","Load multiple single-element structures to one, two, …",null,[[],["int16x4_t",3]]],[5,"vld1q_s16","","Load multiple single-element structures to one, two, …",null,[[],["int16x8_t",3]]],[5,"vld1_s32","","Load multiple single-element structures to one, two, …",null,[[],["int32x2_t",3]]],[5,"vld1q_s32","","Load multiple single-element structures to one, two, …",null,[[],["int32x4_t",3]]],[5,"vld1_s64","","Load multiple single-element structures to one, two, …",null,[[],["int64x1_t",3]]],[5,"vld1q_s64","","Load multiple single-element structures to one, two, …",null,[[],["int64x2_t",3]]],[5,"vld1_u8","","Load multiple single-element structures to one, two, …",null,[[],["uint8x8_t",3]]],[5,"vld1q_u8","","Load multiple single-element structures to one, two, …",null,[[],["uint8x16_t",3]]],[5,"vld1_u16","","Load multiple single-element structures to one, two, …",null,[[],["uint16x4_t",3]]],[5,"vld1q_u16","","Load multiple single-element structures to one, two, …",null,[[],["uint16x8_t",3]]],[5,"vld1_u32","","Load multiple single-element structures to one, two, …",null,[[],["uint32x2_t",3]]],[5,"vld1q_u32","","Load multiple single-element structures to one, two, …",null,[[],["uint32x4_t",3]]],[5,"vld1_u64","","Load multiple single-element structures to one, two, …",null,[[],["uint64x1_t",3]]],[5,"vld1q_u64","","Load multiple single-element structures to one, two, …",null,[[],["uint64x2_t",3]]],[5,"vld1_p8","","Load multiple single-element structures to one, two, …",null,[[],["poly8x8_t",3]]],[5,"vld1q_p8","","Load multiple single-element structures to one, two, …",null,[[],["poly8x16_t",3]]],[5,"vld1_p16","","Load multiple single-element structures to one, two, …",null,[[],["poly16x4_t",3]]],[5,"vld1q_p16","","Load multiple single-element structures to one, two, …",null,[[],["poly16x8_t",3]]],[5,"vld1_f32","","Load multiple single-element structures to one, two, …",null,[[],["float32x2_t",3]]],[5,"vld1q_f32","","Load multiple single-element structures to one, two, …",null,[[],["float32x4_t",3]]],[5,"vld1_f64","","Load multiple single-element structures to one, two, …",null,[[],["float64x1_t",3]]],[5,"vld1q_f64","","Load multiple single-element structures to one, two, …",null,[[],["float64x2_t",3]]],[5,"vabsd_s64","","Absolute Value (wrapping).",null,[[["i64",15]],["i64",15]]],[5,"vabs_s64","","Absolute Value (wrapping).",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vabsq_s64","","Absolute Value (wrapping).",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vuqadd_s8","","Signed saturating Accumulate of Unsigned value.",null,[[["uint8x8_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vuqaddq_s8","","Signed saturating Accumulate of Unsigned value.",null,[[["int8x16_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vuqadd_s16","","Signed saturating Accumulate of Unsigned value.",null,[[["uint16x4_t",3],["int16x4_t",3]],["int16x4_t",3]]],[5,"vuqaddq_s16","","Signed saturating Accumulate of Unsigned value.",null,[[["int16x8_t",3],["uint16x8_t",3]],["int16x8_t",3]]],[5,"vuqadd_s32","","Signed saturating Accumulate of Unsigned value.",null,[[["int32x2_t",3],["uint32x2_t",3]],["int32x2_t",3]]],[5,"vuqaddq_s32","","Signed saturating Accumulate of Unsigned value.",null,[[["uint32x4_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vuqadd_s64","","Signed saturating Accumulate of Unsigned value.",null,[[["uint64x1_t",3],["int64x1_t",3]],["int64x1_t",3]]],[5,"vuqaddq_s64","","Signed saturating Accumulate of Unsigned value.",null,[[["uint64x2_t",3],["int64x2_t",3]],["int64x2_t",3]]],[5,"vsqadd_u8","","Unsigned saturating Accumulate of Signed value.",null,[[["uint8x8_t",3],["int8x8_t",3]],["uint8x8_t",3]]],[5,"vsqaddq_u8","","Unsigned saturating Accumulate of Signed value.",null,[[["int8x16_t",3],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vsqadd_u16","","Unsigned saturating Accumulate of Signed value.",null,[[["uint16x4_t",3],["int16x4_t",3]],["uint16x4_t",3]]],[5,"vsqaddq_u16","","Unsigned saturating Accumulate of Signed value.",null,[[["uint16x8_t",3],["int16x8_t",3]],["uint16x8_t",3]]],[5,"vsqadd_u32","","Unsigned saturating Accumulate of Signed value.",null,[[["int32x2_t",3],["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vsqaddq_u32","","Unsigned saturating Accumulate of Signed value.",null,[[["uint32x4_t",3],["int32x4_t",3]],["uint32x4_t",3]]],[5,"vsqadd_u64","","Unsigned saturating Accumulate of Signed value.",null,[[["uint64x1_t",3],["int64x1_t",3]],["uint64x1_t",3]]],[5,"vsqaddq_u64","","Unsigned saturating Accumulate of Signed value.",null,[[["uint64x2_t",3],["int64x2_t",3]],["uint64x2_t",3]]],[5,"vpaddq_s16","","Add pairwise",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vpaddq_u16","","Add pairwise",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vpaddq_s32","","Add pairwise",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vpaddq_u32","","Add pairwise",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vpaddq_s8","","Add pairwise",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vpaddq_u8","","Add pairwise",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vpaddd_s64","","Add pairwise",null,[[["int64x2_t",3]],["i64",15]]],[5,"vpaddd_u64","","Add pairwise",null,[[["uint64x2_t",3]],["u64",15]]],[5,"vaddv_s16","","Add across vector",null,[[["int16x4_t",3]],["i16",15]]],[5,"vaddv_s32","","Add across vector",null,[[["int32x2_t",3]],["i32",15]]],[5,"vaddv_s8","","Add across vector",null,[[["int8x8_t",3]],["i8",15]]],[5,"vaddv_u16","","Add across vector",null,[[["uint16x4_t",3]],["u16",15]]],[5,"vaddv_u32","","Add across vector",null,[[["uint32x2_t",3]],["u32",15]]],[5,"vaddv_u8","","Add across vector",null,[[["uint8x8_t",3]],["u8",15]]],[5,"vaddvq_s16","","Add across vector",null,[[["int16x8_t",3]],["i16",15]]],[5,"vaddvq_s32","","Add across vector",null,[[["int32x4_t",3]],["i32",15]]],[5,"vaddvq_s8","","Add across vector",null,[[["int8x16_t",3]],["i8",15]]],[5,"vaddvq_u16","","Add across vector",null,[[["uint16x8_t",3]],["u16",15]]],[5,"vaddvq_u32","","Add across vector",null,[[["uint32x4_t",3]],["u32",15]]],[5,"vaddvq_u8","","Add across vector",null,[[["uint8x16_t",3]],["u8",15]]],[5,"vaddvq_s64","","Add across vector",null,[[["int64x2_t",3]],["i64",15]]],[5,"vaddvq_u64","","Add across vector",null,[[["uint64x2_t",3]],["u64",15]]],[5,"vmull_p64","","Polynomial multiply long",null,[[["u64",15]],["u128",15]]],[5,"vadd_f64","","Vector add.",null,[[["float64x1_t",3]],["float64x1_t",3]]],[5,"vaddq_f64","","Vector add.",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vadd_s64","","Vector add.",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vadd_u64","","Vector add.",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vaddd_s64","","Vector add.",null,[[["i64",15]],["i64",15]]],[5,"vaddd_u64","","Vector add.",null,[[["u64",15]],["u64",15]]],[5,"vmaxv_s8","","Horizontal vector max.",null,[[["int8x8_t",3]],["i8",15]]],[5,"vmaxvq_s8","","Horizontal vector max.",null,[[["int8x16_t",3]],["i8",15]]],[5,"vmaxv_s16","","Horizontal vector max.",null,[[["int16x4_t",3]],["i16",15]]],[5,"vmaxvq_s16","","Horizontal vector max.",null,[[["int16x8_t",3]],["i16",15]]],[5,"vmaxv_s32","","Horizontal vector max.",null,[[["int32x2_t",3]],["i32",15]]],[5,"vmaxvq_s32","","Horizontal vector max.",null,[[["int32x4_t",3]],["i32",15]]],[5,"vmaxv_u8","","Horizontal vector max.",null,[[["uint8x8_t",3]],["u8",15]]],[5,"vmaxvq_u8","","Horizontal vector max.",null,[[["uint8x16_t",3]],["u8",15]]],[5,"vmaxv_u16","","Horizontal vector max.",null,[[["uint16x4_t",3]],["u16",15]]],[5,"vmaxvq_u16","","Horizontal vector max.",null,[[["uint16x8_t",3]],["u16",15]]],[5,"vmaxv_u32","","Horizontal vector max.",null,[[["uint32x2_t",3]],["u32",15]]],[5,"vmaxvq_u32","","Horizontal vector max.",null,[[["uint32x4_t",3]],["u32",15]]],[5,"vmaxv_f32","","Horizontal vector max.",null,[[["float32x2_t",3]],["f32",15]]],[5,"vmaxvq_f32","","Horizontal vector max.",null,[[["float32x4_t",3]],["f32",15]]],[5,"vmaxvq_f64","","Horizontal vector max.",null,[[["float64x2_t",3]],["f64",15]]],[5,"vminv_s8","","Horizontal vector min.",null,[[["int8x8_t",3]],["i8",15]]],[5,"vminvq_s8","","Horizontal vector min.",null,[[["int8x16_t",3]],["i8",15]]],[5,"vminv_s16","","Horizontal vector min.",null,[[["int16x4_t",3]],["i16",15]]],[5,"vminvq_s16","","Horizontal vector min.",null,[[["int16x8_t",3]],["i16",15]]],[5,"vminv_s32","","Horizontal vector min.",null,[[["int32x2_t",3]],["i32",15]]],[5,"vminvq_s32","","Horizontal vector min.",null,[[["int32x4_t",3]],["i32",15]]],[5,"vminv_u8","","Horizontal vector min.",null,[[["uint8x8_t",3]],["u8",15]]],[5,"vminvq_u8","","Horizontal vector min.",null,[[["uint8x16_t",3]],["u8",15]]],[5,"vminv_u16","","Horizontal vector min.",null,[[["uint16x4_t",3]],["u16",15]]],[5,"vminvq_u16","","Horizontal vector min.",null,[[["uint16x8_t",3]],["u16",15]]],[5,"vminv_u32","","Horizontal vector min.",null,[[["uint32x2_t",3]],["u32",15]]],[5,"vminvq_u32","","Horizontal vector min.",null,[[["uint32x4_t",3]],["u32",15]]],[5,"vminv_f32","","Horizontal vector min.",null,[[["float32x2_t",3]],["f32",15]]],[5,"vminvq_f32","","Horizontal vector min.",null,[[["float32x4_t",3]],["f32",15]]],[5,"vminvq_f64","","Horizontal vector min.",null,[[["float64x2_t",3]],["f64",15]]],[5,"vpminq_s8","","Folding minimum of adjacent pairs",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vpminq_s16","","Folding minimum of adjacent pairs",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vpminq_s32","","Folding minimum of adjacent pairs",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vpminq_u8","","Folding minimum of adjacent pairs",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vpminq_u16","","Folding minimum of adjacent pairs",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vpminq_u32","","Folding minimum of adjacent pairs",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vpminq_f32","","Folding minimum of adjacent pairs",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vpminq_f64","","Folding minimum of adjacent pairs",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vpmaxq_s8","","Folding maximum of adjacent pairs",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vpmaxq_s16","","Folding maximum of adjacent pairs",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vpmaxq_s32","","Folding maximum of adjacent pairs",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vpmaxq_u8","","Folding maximum of adjacent pairs",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vpmaxq_u16","","Folding maximum of adjacent pairs",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vpmaxq_u32","","Folding maximum of adjacent pairs",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vpmaxq_f32","","Folding maximum of adjacent pairs",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vpmaxq_f64","","Folding maximum of adjacent pairs",null,[[["float64x2_t",3]],["float64x2_t",3]]],[5,"vcombine_s8","","Vector combine",null,[[["int8x8_t",3]],["int8x16_t",3]]],[5,"vcombine_s16","","Vector combine",null,[[["int16x4_t",3]],["int16x8_t",3]]],[5,"vcombine_s32","","Vector combine",null,[[["int32x2_t",3]],["int32x4_t",3]]],[5,"vcombine_s64","","Vector combine",null,[[["int64x1_t",3]],["int64x2_t",3]]],[5,"vcombine_u8","","Vector combine",null,[[["uint8x8_t",3]],["uint8x16_t",3]]],[5,"vcombine_u16","","Vector combine",null,[[["uint16x4_t",3]],["uint16x8_t",3]]],[5,"vcombine_u32","","Vector combine",null,[[["uint32x2_t",3]],["uint32x4_t",3]]],[5,"vcombine_u64","","Vector combine",null,[[["uint64x1_t",3]],["uint64x2_t",3]]],[5,"vcombine_p64","","Vector combine",null,[[["poly64x1_t",3]],["poly64x2_t",3]]],[5,"vcombine_f32","","Vector combine",null,[[["float32x2_t",3]],["float32x4_t",3]]],[5,"vcombine_p8","","Vector combine",null,[[["poly8x8_t",3]],["poly8x16_t",3]]],[5,"vcombine_p16","","Vector combine",null,[[["poly16x4_t",3]],["poly16x8_t",3]]],[5,"vcombine_f64","","Vector combine",null,[[["float64x1_t",3]],["float64x2_t",3]]],[5,"vtbl1_s8","","Table look-up",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbl1_u8","","Table look-up",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vtbl1_p8","","Table look-up",null,[[["poly8x8_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vtbl2_s8","","Table look-up",null,[[["int8x8x2_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbl2_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x8x2_t",3]],["uint8x8_t",3]]],[5,"vtbl2_p8","","Table look-up",null,[[["uint8x8_t",3],["poly8x8x2_t",3]],["poly8x8_t",3]]],[5,"vtbl3_s8","","Table look-up",null,[[["int8x8x3_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbl3_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x8x3_t",3]],["uint8x8_t",3]]],[5,"vtbl3_p8","","Table look-up",null,[[["poly8x8x3_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vtbl4_s8","","Table look-up",null,[[["int8x8x4_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbl4_u8","","Table look-up",null,[[["uint8x8x4_t",3],["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vtbl4_p8","","Table look-up",null,[[["poly8x8x4_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vtbx1_s8","","Extended table look-up",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbx1_u8","","Extended table look-up",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vtbx1_p8","","Extended table look-up",null,[[["poly8x8_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vtbx2_s8","","Extended table look-up",null,[[["int8x8x2_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbx2_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x8x2_t",3]],["uint8x8_t",3]]],[5,"vtbx2_p8","","Extended table look-up",null,[[["poly8x8_t",3],["uint8x8_t",3],["poly8x8x2_t",3]],["poly8x8_t",3]]],[5,"vtbx3_s8","","Extended table look-up",null,[[["int8x8_t",3],["int8x8x3_t",3]],["int8x8_t",3]]],[5,"vtbx3_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x8x3_t",3]],["uint8x8_t",3]]],[5,"vtbx3_p8","","Extended table look-up",null,[[["poly8x8_t",3],["poly8x8x3_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vtbx4_s8","","Extended table look-up",null,[[["int8x8x4_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vtbx4_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x8x4_t",3]],["uint8x8_t",3]]],[5,"vtbx4_p8","","Extended table look-up",null,[[["poly8x8_t",3],["poly8x8x4_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbl1_s8","","Table look-up",null,[[["int8x16_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbl1q_s8","","Table look-up",null,[[["int8x16_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbl1_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x16_t",3]],["uint8x8_t",3]]],[5,"vqtbl1q_u8","","Table look-up",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbl1_p8","","Table look-up",null,[[["poly8x16_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbl1q_p8","","Table look-up",null,[[["poly8x16_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbx1_s8","","Extended table look-up",null,[[["int8x16_t",3],["int8x8_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbx1q_s8","","Extended table look-up",null,[[["int8x16_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbx1_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x16_t",3]],["uint8x8_t",3]]],[5,"vqtbx1q_u8","","Extended table look-up",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbx1_p8","","Extended table look-up",null,[[["poly8x8_t",3],["poly8x16_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbx1q_p8","","Extended table look-up",null,[[["poly8x16_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbl2_s8","","Table look-up",null,[[["int8x16x2_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbl2q_s8","","Table look-up",null,[[["int8x16x2_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbl2_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x16x2_t",3]],["uint8x8_t",3]]],[5,"vqtbl2q_u8","","Table look-up",null,[[["uint8x16x2_t",3],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbl2_p8","","Table look-up",null,[[["uint8x8_t",3],["poly8x16x2_t",3]],["poly8x8_t",3]]],[5,"vqtbl2q_p8","","Table look-up",null,[[["poly8x16x2_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbx2_s8","","Extended table look-up",null,[[["int8x16x2_t",3],["int8x8_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbx2q_s8","","Extended table look-up",null,[[["int8x16_t",3],["int8x16x2_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbx2_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x16x2_t",3]],["uint8x8_t",3]]],[5,"vqtbx2q_u8","","Extended table look-up",null,[[["uint8x16x2_t",3],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbx2_p8","","Extended table look-up",null,[[["poly8x8_t",3],["uint8x8_t",3],["poly8x16x2_t",3]],["poly8x8_t",3]]],[5,"vqtbx2q_p8","","Extended table look-up",null,[[["poly8x16_t",3],["poly8x16x2_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbl3_s8","","Table look-up",null,[[["int8x16x3_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbl3q_s8","","Table look-up",null,[[["int8x16x3_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbl3_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x16x3_t",3]],["uint8x8_t",3]]],[5,"vqtbl3q_u8","","Table look-up",null,[[["uint8x16_t",3],["uint8x16x3_t",3]],["uint8x16_t",3]]],[5,"vqtbl3_p8","","Table look-up",null,[[["poly8x16x3_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbl3q_p8","","Table look-up",null,[[["poly8x16x3_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbx3_s8","","Extended table look-up",null,[[["int8x16x3_t",3],["int8x8_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbx3q_s8","","Extended table look-up",null,[[["int8x16_t",3],["int8x16x3_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbx3_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x16x3_t",3]],["uint8x8_t",3]]],[5,"vqtbx3q_u8","","Extended table look-up",null,[[["uint8x16x3_t",3],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbx3_p8","","Extended table look-up",null,[[["poly8x8_t",3],["poly8x16x3_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbx3q_p8","","Extended table look-up",null,[[["poly8x16_t",3],["poly8x16x3_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbl4_s8","","Table look-up",null,[[["int8x16x4_t",3],["uint8x8_t",3]],["int8x8_t",3]]],[5,"vqtbl4q_s8","","Table look-up",null,[[["int8x16x4_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbl4_u8","","Table look-up",null,[[["uint8x8_t",3],["uint8x16x4_t",3]],["uint8x8_t",3]]],[5,"vqtbl4q_u8","","Table look-up",null,[[["uint8x16_t",3],["uint8x16x4_t",3]],["uint8x16_t",3]]],[5,"vqtbl4_p8","","Table look-up",null,[[["poly8x16x4_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbl4q_p8","","Table look-up",null,[[["poly8x16x4_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vqtbx4_s8","","Extended table look-up",null,[[["int8x16x4_t",3],["uint8x8_t",3],["int8x8_t",3]],["int8x8_t",3]]],[5,"vqtbx4q_s8","","Extended table look-up",null,[[["int8x16x4_t",3],["int8x16_t",3],["uint8x16_t",3]],["int8x16_t",3]]],[5,"vqtbx4_u8","","Extended table look-up",null,[[["uint8x8_t",3],["uint8x16x4_t",3]],["uint8x8_t",3]]],[5,"vqtbx4q_u8","","Extended table look-up",null,[[["uint8x16x4_t",3],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqtbx4_p8","","Extended table look-up",null,[[["poly8x8_t",3],["poly8x16x4_t",3],["uint8x8_t",3]],["poly8x8_t",3]]],[5,"vqtbx4q_p8","","Extended table look-up",null,[[["poly8x16_t",3],["poly8x16x4_t",3],["uint8x16_t",3]],["poly8x16_t",3]]],[5,"vcvtq_s32_f32","","",null,[[["float32x4_t",3]],["int32x4_t",3]]],[5,"vcvtq_u32_f32","","Floating-point Convert to Unsigned fixed-point, rounding …",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vsli_n_s8","","Shift Left and Insert (immediate)",null,[[["int8x8_t",3],["i32",15]],["int8x8_t",3]]],[5,"vsliq_n_s8","","Shift Left and Insert (immediate)",null,[[["int8x16_t",3],["i32",15]],["int8x16_t",3]]],[5,"vsli_n_s16","","Shift Left and Insert (immediate)",null,[[["i32",15],["int16x4_t",3]],["int16x4_t",3]]],[5,"vsliq_n_s16","","Shift Left and Insert (immediate)",null,[[["int16x8_t",3],["i32",15]],["int16x8_t",3]]],[5,"vsli_n_s32","","Shift Left and Insert (immediate)",null,[[["int32x2_t",3],["i32",15]],["int32x2_t",3]]],[5,"vsliq_n_s32","","Shift Left and Insert (immediate)",null,[[["i32",15],["int32x4_t",3]],["int32x4_t",3]]],[5,"vsli_n_s64","","Shift Left and Insert (immediate)",null,[[["i32",15],["int64x1_t",3]],["int64x1_t",3]]],[5,"vsliq_n_s64","","Shift Left and Insert (immediate)",null,[[["int64x2_t",3],["i32",15]],["int64x2_t",3]]],[5,"vsli_n_u8","","Shift Left and Insert (immediate)",null,[[["uint8x8_t",3],["i32",15]],["uint8x8_t",3]]],[5,"vsliq_n_u8","","Shift Left and Insert (immediate)",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vsli_n_u16","","Shift Left and Insert (immediate)",null,[[["uint16x4_t",3],["i32",15]],["uint16x4_t",3]]],[5,"vsliq_n_u16","","Shift Left and Insert (immediate)",null,[[["uint16x8_t",3],["i32",15]],["uint16x8_t",3]]],[5,"vsli_n_u32","","Shift Left and Insert (immediate)",null,[[["uint32x2_t",3],["i32",15]],["uint32x2_t",3]]],[5,"vsliq_n_u32","","Shift Left and Insert (immediate)",null,[[["uint32x4_t",3],["i32",15]],["uint32x4_t",3]]],[5,"vsli_n_u64","","Shift Left and Insert (immediate)",null,[[["uint64x1_t",3],["i32",15]],["uint64x1_t",3]]],[5,"vsliq_n_u64","","Shift Left and Insert (immediate)",null,[[["uint64x2_t",3],["i32",15]],["uint64x2_t",3]]],[5,"vsli_n_p8","","Shift Left and Insert (immediate)",null,[[["poly8x8_t",3],["i32",15]],["poly8x8_t",3]]],[5,"vsliq_n_p8","","Shift Left and Insert (immediate)",null,[[["poly8x16_t",3],["i32",15]],["poly8x16_t",3]]],[5,"vsli_n_p16","","Shift Left and Insert (immediate)",null,[[["poly16x4_t",3],["i32",15]],["poly16x4_t",3]]],[5,"vsliq_n_p16","","Shift Left and Insert (immediate)",null,[[["poly16x8_t",3],["i32",15]],["poly16x8_t",3]]],[5,"vsri_n_s8","","Shift Right and Insert (immediate)",null,[[["int8x8_t",3],["i32",15]],["int8x8_t",3]]],[5,"vsriq_n_s8","","Shift Right and Insert (immediate)",null,[[["int8x16_t",3],["i32",15]],["int8x16_t",3]]],[5,"vsri_n_s16","","Shift Right and Insert (immediate)",null,[[["i32",15],["int16x4_t",3]],["int16x4_t",3]]],[5,"vsriq_n_s16","","Shift Right and Insert (immediate)",null,[[["int16x8_t",3],["i32",15]],["int16x8_t",3]]],[5,"vsri_n_s32","","Shift Right and Insert (immediate)",null,[[["int32x2_t",3],["i32",15]],["int32x2_t",3]]],[5,"vsriq_n_s32","","Shift Right and Insert (immediate)",null,[[["i32",15],["int32x4_t",3]],["int32x4_t",3]]],[5,"vsri_n_s64","","Shift Right and Insert (immediate)",null,[[["i32",15],["int64x1_t",3]],["int64x1_t",3]]],[5,"vsriq_n_s64","","Shift Right and Insert (immediate)",null,[[["int64x2_t",3],["i32",15]],["int64x2_t",3]]],[5,"vsri_n_u8","","Shift Right and Insert (immediate)",null,[[["uint8x8_t",3],["i32",15]],["uint8x8_t",3]]],[5,"vsriq_n_u8","","Shift Right and Insert (immediate)",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vsri_n_u16","","Shift Right and Insert (immediate)",null,[[["uint16x4_t",3],["i32",15]],["uint16x4_t",3]]],[5,"vsriq_n_u16","","Shift Right and Insert (immediate)",null,[[["uint16x8_t",3],["i32",15]],["uint16x8_t",3]]],[5,"vsri_n_u32","","Shift Right and Insert (immediate)",null,[[["uint32x2_t",3],["i32",15]],["uint32x2_t",3]]],[5,"vsriq_n_u32","","Shift Right and Insert (immediate)",null,[[["uint32x4_t",3],["i32",15]],["uint32x4_t",3]]],[5,"vsri_n_u64","","Shift Right and Insert (immediate)",null,[[["uint64x1_t",3],["i32",15]],["uint64x1_t",3]]],[5,"vsriq_n_u64","","Shift Right and Insert (immediate)",null,[[["uint64x2_t",3],["i32",15]],["uint64x2_t",3]]],[5,"vsri_n_p8","","Shift Right and Insert (immediate)",null,[[["poly8x8_t",3],["i32",15]],["poly8x8_t",3]]],[5,"vsriq_n_p8","","Shift Right and Insert (immediate)",null,[[["poly8x16_t",3],["i32",15]],["poly8x16_t",3]]],[5,"vsri_n_p16","","Shift Right and Insert (immediate)",null,[[["poly16x4_t",3],["i32",15]],["poly16x4_t",3]]],[5,"vsriq_n_p16","","Shift Right and Insert (immediate)",null,[[["poly16x8_t",3],["i32",15]],["poly16x8_t",3]]],[17,"_TMSTART_SUCCESS","","Transaction successfully started.",null,null],[17,"_TMFAILURE_REASON","","Extraction mask for failure reason",null,null],[17,"_TMFAILURE_RTRY","","Transaction retry is possible.",null,null],[17,"_TMFAILURE_CNCL","","Transaction executed a TCANCEL instruction",null,null],[17,"_TMFAILURE_MEM","","Transaction aborted because a conflict occurred",null,null],[17,"_TMFAILURE_IMP","","Fallback error type for any other reason",null,null],[17,"_TMFAILURE_ERR","","Transaction aborted because a non-permissible operation …",null,null],[17,"_TMFAILURE_SIZE","","Transaction aborted due to read or write set limit was …",null,null],[17,"_TMFAILURE_NEST","","Transaction aborted due to transactional nesting level …",null,null],[17,"_TMFAILURE_DBG","","Transaction aborted due to a debug trap.",null,null],[17,"_TMFAILURE_INT","","Transaction failed from interrupt",null,null],[17,"_TMFAILURE_TRIVIAL","","Indicates a TRIVIAL version of TM is available",null,null],[5,"__tstart","","Starts a new transaction. When the transaction starts …",null,[[],["u64",15]]],[5,"__tcommit","","Commits the current transaction. For a nested …",null,[[]]],[5,"__tcancel","","Cancels the current transaction and discards all state …",null,[[["u64",15]]]],[5,"__ttest","","Tests if executing inside a transaction. If no …",null,[[],["u64",15]]],[5,"__crc32d","","CRC32 single round checksum for quad words (64 bits).",null,[[["u32",15],["u64",15]],["u32",15]]],[5,"__crc32cd","","CRC32-C single round checksum for quad words (64 bits).",null,[[["u32",15],["u64",15]],["u32",15]]],[17,"_PREFETCH_READ","","See <code>prefetch</code>.",null,null],[17,"_PREFETCH_WRITE","","See <code>prefetch</code>.",null,null],[17,"_PREFETCH_LOCALITY0","","See <code>prefetch</code>.",null,null],[17,"_PREFETCH_LOCALITY1","","See <code>prefetch</code>.",null,null],[17,"_PREFETCH_LOCALITY2","","See <code>prefetch</code>.",null,null],[17,"_PREFETCH_LOCALITY3","","See <code>prefetch</code>.",null,null],[5,"_prefetch","","Fetch the cache line that contains address <code>p</code> using the …",null,[[["i32",15]]]],[3,"SY","","Full system is the required shareability domain, reads …",null,null],[5,"__dmb","","Generates a DMB (data memory barrier) instruction or …",null,[[]]],[5,"__dsb","","Generates a DSB (data synchronization barrier) …",null,[[]]],[5,"__isb","","Generates an ISB (instruction synchronization barrier) …",null,[[]]],[5,"__nop","","Generates an unspecified no-op instruction.",null,[[]]],[3,"APSR","","Application Program Status Register",null,null],[5,"__rsr","","Reads a 32-bit system register",null,[[],["u32",15]]],[5,"__rsrp","","Reads a system register containing an address",null,[[]]],[5,"__wsr","","Writes a 32-bit system register",null,[[["u32",15]]]],[5,"__wsrp","","Writes a system register containing an address",null,[[]]],[5,"brk","","Generates the trap instruction <code>BRK 1</code>",null,[[]]],[5,"__breakpoint","","Inserts a breakpoint instruction.",null,[[["i32",15]]]],[5,"_rev_u16","","Reverse the order of the bytes.",null,[[["u16",15]],["u16",15]]],[5,"_rev_u32","","Reverse the order of the bytes.",null,[[["u32",15]],["u32",15]]],[5,"vand_s8","","Vector bitwise and",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vandq_s8","","Vector bitwise and",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vand_s16","","Vector bitwise and",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vandq_s16","","Vector bitwise and",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vand_s32","","Vector bitwise and",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vandq_s32","","Vector bitwise and",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vand_u8","","Vector bitwise and",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vandq_u8","","Vector bitwise and",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vand_u16","","Vector bitwise and",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vandq_u16","","Vector bitwise and",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vand_u32","","Vector bitwise and",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vandq_u32","","Vector bitwise and",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vand_s64","","Vector bitwise and",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vandq_s64","","Vector bitwise and",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vand_u64","","Vector bitwise and",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vandq_u64","","Vector bitwise and",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vorr_s8","","Vector bitwise or (immediate, inclusive)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vorrq_s8","","Vector bitwise or (immediate, inclusive)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vorr_s16","","Vector bitwise or (immediate, inclusive)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vorrq_s16","","Vector bitwise or (immediate, inclusive)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vorr_s32","","Vector bitwise or (immediate, inclusive)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vorrq_s32","","Vector bitwise or (immediate, inclusive)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vorr_u8","","Vector bitwise or (immediate, inclusive)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vorrq_u8","","Vector bitwise or (immediate, inclusive)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vorr_u16","","Vector bitwise or (immediate, inclusive)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vorrq_u16","","Vector bitwise or (immediate, inclusive)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vorr_u32","","Vector bitwise or (immediate, inclusive)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vorrq_u32","","Vector bitwise or (immediate, inclusive)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vorr_s64","","Vector bitwise or (immediate, inclusive)",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vorrq_s64","","Vector bitwise or (immediate, inclusive)",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vorr_u64","","Vector bitwise or (immediate, inclusive)",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vorrq_u64","","Vector bitwise or (immediate, inclusive)",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"veor_s8","","Vector bitwise exclusive or (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"veorq_s8","","Vector bitwise exclusive or (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"veor_s16","","Vector bitwise exclusive or (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"veorq_s16","","Vector bitwise exclusive or (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"veor_s32","","Vector bitwise exclusive or (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"veorq_s32","","Vector bitwise exclusive or (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"veor_u8","","Vector bitwise exclusive or (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"veorq_u8","","Vector bitwise exclusive or (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"veor_u16","","Vector bitwise exclusive or (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"veorq_u16","","Vector bitwise exclusive or (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"veor_u32","","Vector bitwise exclusive or (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"veorq_u32","","Vector bitwise exclusive or (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"veor_s64","","Vector bitwise exclusive or (vector)",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"veorq_s64","","Vector bitwise exclusive or (vector)",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"veor_u64","","Vector bitwise exclusive or (vector)",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"veorq_u64","","Vector bitwise exclusive or (vector)",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vceq_u8","","Compare bitwise Equal (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vceqq_u8","","Compare bitwise Equal (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vceq_u16","","Compare bitwise Equal (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vceqq_u16","","Compare bitwise Equal (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vceq_u32","","Compare bitwise Equal (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_u32","","Compare bitwise Equal (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vceq_s8","","Compare bitwise Equal (vector)",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vceqq_s8","","Compare bitwise Equal (vector)",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vceq_s16","","Compare bitwise Equal (vector)",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vceqq_s16","","Compare bitwise Equal (vector)",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vceq_s32","","Compare bitwise Equal (vector)",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_s32","","Compare bitwise Equal (vector)",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vceq_f32","","Floating-point compare equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vceqq_f32","","Floating-point compare equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_s8","","Compare signed greater than",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcgtq_s8","","Compare signed greater than",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcgt_s16","","Compare signed greater than",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcgtq_s16","","Compare signed greater than",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcgt_s32","","Compare signed greater than",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_s32","","Compare signed greater than",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_u8","","Compare unsigned highe",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcgtq_u8","","Compare unsigned highe",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcgt_u16","","Compare unsigned highe",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcgtq_u16","","Compare unsigned highe",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcgt_u32","","Compare unsigned highe",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_u32","","Compare unsigned highe",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcgt_f32","","Floating-point compare greater than",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcgtq_f32","","Floating-point compare greater than",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_s8","","Compare signed less than",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcltq_s8","","Compare signed less than",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vclt_s16","","Compare signed less than",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcltq_s16","","Compare signed less than",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vclt_s32","","Compare signed less than",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_s32","","Compare signed less than",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_u8","","Compare unsigned less than",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcltq_u8","","Compare unsigned less than",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vclt_u16","","Compare unsigned less than",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcltq_u16","","Compare unsigned less than",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vclt_u32","","Compare unsigned less than",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_u32","","Compare unsigned less than",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vclt_f32","","Floating-point compare less than",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcltq_f32","","Floating-point compare less than",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_s8","","Compare signed less than or equal",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcleq_s8","","Compare signed less than or equal",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcle_s16","","Compare signed less than or equal",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcleq_s16","","Compare signed less than or equal",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcle_s32","","Compare signed less than or equal",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_s32","","Compare signed less than or equal",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_u8","","Compare unsigned less than or equal",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcleq_u8","","Compare unsigned less than or equal",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcle_u16","","Compare unsigned less than or equal",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcleq_u16","","Compare unsigned less than or equal",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcle_u32","","Compare unsigned less than or equal",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_u32","","Compare unsigned less than or equal",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcle_f32","","Floating-point compare less than or equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcleq_f32","","Floating-point compare less than or equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_s8","","Compare signed greater than or equal",null,[[["int8x8_t",3]],["uint8x8_t",3]]],[5,"vcgeq_s8","","Compare signed greater than or equal",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vcge_s16","","Compare signed greater than or equal",null,[[["int16x4_t",3]],["uint16x4_t",3]]],[5,"vcgeq_s16","","Compare signed greater than or equal",null,[[["int16x8_t",3]],["uint16x8_t",3]]],[5,"vcge_s32","","Compare signed greater than or equal",null,[[["int32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_s32","","Compare signed greater than or equal",null,[[["int32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_u8","","Compare unsigned greater than or equal",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcgeq_u8","","Compare unsigned greater than or equal",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcge_u16","","Compare unsigned greater than or equal",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vcgeq_u16","","Compare unsigned greater than or equal",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vcge_u32","","Compare unsigned greater than or equal",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_u32","","Compare unsigned greater than or equal",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vcge_f32","","Floating-point compare greater than or equal",null,[[["float32x2_t",3]],["uint32x2_t",3]]],[5,"vcgeq_f32","","Floating-point compare greater than or equal",null,[[["float32x4_t",3]],["uint32x4_t",3]]],[5,"vqsub_u8","","Saturating subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqsubq_u8","","Saturating subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqsub_u16","","Saturating subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vqsubq_u16","","Saturating subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vqsub_u32","","Saturating subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vqsubq_u32","","Saturating subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vqsub_s8","","Saturating subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vqsubq_s8","","Saturating subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vqsub_s16","","Saturating subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vqsubq_s16","","Saturating subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vqsub_s32","","Saturating subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vqsubq_s32","","Saturating subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vhadd_u8","","Halving add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vhaddq_u8","","Halving add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vhadd_u16","","Halving add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vhaddq_u16","","Halving add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vhadd_u32","","Halving add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vhaddq_u32","","Halving add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vhadd_s8","","Halving add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vhaddq_s8","","Halving add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vhadd_s16","","Halving add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vhaddq_s16","","Halving add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vhadd_s32","","Halving add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vhaddq_s32","","Halving add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vrhadd_u8","","Rounding halving add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrhaddq_u8","","Rounding halving add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrhadd_u16","","Rounding halving add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrhaddq_u16","","Rounding halving add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrhadd_u32","","Rounding halving add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vrhaddq_u32","","Rounding halving add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vrhadd_s8","","Rounding halving add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrhaddq_s8","","Rounding halving add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrhadd_s16","","Rounding halving add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vrhaddq_s16","","Rounding halving add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vrhadd_s32","","Rounding halving add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vrhaddq_s32","","Rounding halving add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vqadd_u8","","Saturating add",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqaddq_u8","","Saturating add",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vqadd_u16","","Saturating add",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vqaddq_u16","","Saturating add",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vqadd_u32","","Saturating add",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vqaddq_u32","","Saturating add",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vqadd_s8","","Saturating add",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vqaddq_s8","","Saturating add",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vqadd_s16","","Saturating add",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vqaddq_s16","","Saturating add",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vqadd_s32","","Saturating add",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vqaddq_s32","","Saturating add",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmul_s8","","Multiply",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmulq_s8","","Multiply",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmul_s16","","Multiply",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmulq_s16","","Multiply",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmul_s32","","Multiply",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmulq_s32","","Multiply",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmul_u8","","Multiply",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmulq_u8","","Multiply",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmul_u16","","Multiply",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmulq_u16","","Multiply",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmul_u32","","Multiply",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmulq_u32","","Multiply",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmul_f32","","Multiply",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmulq_f32","","Multiply",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vsub_s8","","Subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vsubq_s8","","Subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vsub_s16","","Subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vsubq_s16","","Subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vsub_s32","","Subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vsubq_s32","","Subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vsub_u8","","Subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vsubq_u8","","Subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vsub_u16","","Subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vsubq_u16","","Subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vsub_u32","","Subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vsubq_u32","","Subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vsub_s64","","Subtract",null,[[["int64x1_t",3]],["int64x1_t",3]]],[5,"vsubq_s64","","Subtract",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vsub_u64","","Subtract",null,[[["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vsubq_u64","","Subtract",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vsub_f32","","Subtract",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vsubq_f32","","Subtract",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vhsub_u8","","Signed halving subtract",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vhsubq_u8","","Signed halving subtract",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vhsub_u16","","Signed halving subtract",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vhsubq_u16","","Signed halving subtract",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vhsub_u32","","Signed halving subtract",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vhsubq_u32","","Signed halving subtract",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vhsub_s8","","Signed halving subtract",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vhsubq_s8","","Signed halving subtract",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vhsub_s16","","Signed halving subtract",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vhsubq_s16","","Signed halving subtract",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vhsub_s32","","Signed halving subtract",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vhsubq_s32","","Signed halving subtract",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmax_s8","","Maximum (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmaxq_s8","","Maximum (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmax_s16","","Maximum (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmaxq_s16","","Maximum (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmax_s32","","Maximum (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmaxq_s32","","Maximum (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmax_u8","","Maximum (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmaxq_u8","","Maximum (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmax_u16","","Maximum (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmaxq_u16","","Maximum (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmax_u32","","Maximum (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmaxq_u32","","Maximum (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmax_f32","","Maximum (vector)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmaxq_f32","","Maximum (vector)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vmin_s8","","Minimum (vector)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vminq_s8","","Minimum (vector)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmin_s16","","Minimum (vector)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vminq_s16","","Minimum (vector)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmin_s32","","Minimum (vector)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vminq_s32","","Minimum (vector)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmin_u8","","Minimum (vector)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vminq_u8","","Minimum (vector)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmin_u16","","Minimum (vector)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vminq_u16","","Minimum (vector)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmin_u32","","Minimum (vector)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vminq_u32","","Minimum (vector)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmin_f32","","Minimum (vector)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vminq_f32","","Minimum (vector)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[3,"int8x8_t","","ARM-specific 64-bit wide vector of eight packed <code>i8</code>.",null,null],[3,"uint8x8_t","","ARM-specific 64-bit wide vector of eight packed <code>u8</code>.",null,null],[3,"poly8x8_t","","ARM-specific 64-bit wide polynomial vector of eight …",null,null],[3,"int16x4_t","","ARM-specific 64-bit wide vector of four packed <code>i16</code>.",null,null],[3,"uint16x4_t","","ARM-specific 64-bit wide vector of four packed <code>u16</code>.",null,null],[3,"poly16x4_t","","ARM-specific 64-bit wide vector of four packed <code>p16</code>.",null,null],[3,"int32x2_t","","ARM-specific 64-bit wide vector of two packed <code>i32</code>.",null,null],[3,"uint32x2_t","","ARM-specific 64-bit wide vector of two packed <code>u32</code>.",null,null],[3,"float32x2_t","","ARM-specific 64-bit wide vector of two packed <code>f32</code>.",null,null],[3,"int64x1_t","","ARM-specific 64-bit wide vector of one packed <code>i64</code>.",null,null],[3,"uint64x1_t","","ARM-specific 64-bit wide vector of one packed <code>u64</code>.",null,null],[3,"poly64x1_t","","ARM-specific 64-bit wide vector of one packed <code>p64</code>.",null,null],[3,"int8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>i8</code>.",null,null],[3,"uint8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>u8</code>.",null,null],[3,"poly8x16_t","","ARM-specific 128-bit wide vector of sixteen packed <code>p8</code>.",null,null],[3,"int16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>i16</code>.",null,null],[3,"uint16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>u16</code>.",null,null],[3,"poly16x8_t","","ARM-specific 128-bit wide vector of eight packed <code>p16</code>.",null,null],[3,"int32x4_t","","ARM-specific 128-bit wide vector of four packed <code>i32</code>.",null,null],[3,"uint32x4_t","","ARM-specific 128-bit wide vector of four packed <code>u32</code>.",null,null],[3,"float32x4_t","","ARM-specific 128-bit wide vector of four packed <code>f32</code>.",null,null],[3,"int64x2_t","","ARM-specific 128-bit wide vector of two packed <code>i64</code>.",null,null],[3,"uint64x2_t","","ARM-specific 128-bit wide vector of two packed <code>u64</code>.",null,null],[3,"poly64x2_t","","ARM-specific 128-bit wide vector of two packed <code>p64</code>.",null,null],[3,"int8x8x2_t","","ARM-specific type containing two <code>int8x8_t</code> vectors.",null,null],[12,"0","","",131,null],[12,"1","","",131,null],[3,"int8x8x3_t","","ARM-specific type containing three <code>int8x8_t</code> vectors.",null,null],[12,"0","","",132,null],[12,"1","","",132,null],[12,"2","","",132,null],[3,"int8x8x4_t","","ARM-specific type containing four <code>int8x8_t</code> vectors.",null,null],[12,"0","","",133,null],[12,"1","","",133,null],[12,"2","","",133,null],[12,"3","","",133,null],[3,"uint8x8x2_t","","ARM-specific type containing two <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",134,null],[12,"1","","",134,null],[3,"uint8x8x3_t","","ARM-specific type containing three <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",135,null],[12,"1","","",135,null],[12,"2","","",135,null],[3,"uint8x8x4_t","","ARM-specific type containing four <code>uint8x8_t</code> vectors.",null,null],[12,"0","","",136,null],[12,"1","","",136,null],[12,"2","","",136,null],[12,"3","","",136,null],[3,"poly8x8x2_t","","ARM-specific type containing two <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",137,null],[12,"1","","",137,null],[3,"poly8x8x3_t","","ARM-specific type containing three <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",138,null],[12,"1","","",138,null],[12,"2","","",138,null],[3,"poly8x8x4_t","","ARM-specific type containing four <code>poly8x8_t</code> vectors.",null,null],[12,"0","","",139,null],[12,"1","","",139,null],[12,"2","","",139,null],[12,"3","","",139,null],[5,"vld1_lane_s8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int8x8_t",3]],["int8x8_t",3]]],[5,"vld1q_lane_s8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int8x16_t",3]],["int8x16_t",3]]],[5,"vld1_lane_s16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int16x4_t",3]],["int16x4_t",3]]],[5,"vld1q_lane_s16","","Load one single-element structure to one lane of one …",null,[[["int16x8_t",3],["i32",15]],["int16x8_t",3]]],[5,"vld1_lane_s32","","Load one single-element structure to one lane of one …",null,[[["int32x2_t",3],["i32",15]],["int32x2_t",3]]],[5,"vld1q_lane_s32","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int32x4_t",3]],["int32x4_t",3]]],[5,"vld1_lane_s64","","Load one single-element structure to one lane of one …",null,[[["i32",15],["int64x1_t",3]],["int64x1_t",3]]],[5,"vld1q_lane_s64","","Load one single-element structure to one lane of one …",null,[[["int64x2_t",3],["i32",15]],["int64x2_t",3]]],[5,"vld1_lane_u8","","Load one single-element structure to one lane of one …",null,[[["uint8x8_t",3],["i32",15]],["uint8x8_t",3]]],[5,"vld1q_lane_u8","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vld1_lane_u16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vld1q_lane_u16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vld1_lane_u32","","Load one single-element structure to one lane of one …",null,[[["uint32x2_t",3],["i32",15]],["uint32x2_t",3]]],[5,"vld1q_lane_u32","","Load one single-element structure to one lane of one …",null,[[["uint32x4_t",3],["i32",15]],["uint32x4_t",3]]],[5,"vld1_lane_u64","","Load one single-element structure to one lane of one …",null,[[["i32",15],["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vld1q_lane_u64","","Load one single-element structure to one lane of one …",null,[[["uint64x2_t",3],["i32",15]],["uint64x2_t",3]]],[5,"vld1_lane_p8","","Load one single-element structure to one lane of one …",null,[[["poly8x8_t",3],["i32",15]],["poly8x8_t",3]]],[5,"vld1q_lane_p8","","Load one single-element structure to one lane of one …",null,[[["poly8x16_t",3],["i32",15]],["poly8x16_t",3]]],[5,"vld1_lane_p16","","Load one single-element structure to one lane of one …",null,[[["poly16x4_t",3],["i32",15]],["poly16x4_t",3]]],[5,"vld1q_lane_p16","","Load one single-element structure to one lane of one …",null,[[["i32",15],["poly16x8_t",3]],["poly16x8_t",3]]],[5,"vld1_lane_f32","","Load one single-element structure to one lane of one …",null,[[["float32x2_t",3],["i32",15]],["float32x2_t",3]]],[5,"vld1q_lane_f32","","Load one single-element structure to one lane of one …",null,[[["float32x4_t",3],["i32",15]],["float32x4_t",3]]],[5,"vld1_dup_s8","","Load one single-element structure and Replicate to all …",null,[[],["int8x8_t",3]]],[5,"vld1q_dup_s8","","Load one single-element structure and Replicate to all …",null,[[],["int8x16_t",3]]],[5,"vld1_dup_s16","","Load one single-element structure and Replicate to all …",null,[[],["int16x4_t",3]]],[5,"vld1q_dup_s16","","Load one single-element structure and Replicate to all …",null,[[],["int16x8_t",3]]],[5,"vld1_dup_s32","","Load one single-element structure and Replicate to all …",null,[[],["int32x2_t",3]]],[5,"vld1q_dup_s32","","Load one single-element structure and Replicate to all …",null,[[],["int32x4_t",3]]],[5,"vld1_dup_s64","","Load one single-element structure and Replicate to all …",null,[[],["int64x1_t",3]]],[5,"vld1q_dup_s64","","Load one single-element structure and Replicate to all …",null,[[],["int64x2_t",3]]],[5,"vld1_dup_u8","","Load one single-element structure and Replicate to all …",null,[[],["uint8x8_t",3]]],[5,"vld1q_dup_u8","","Load one single-element structure and Replicate to all …",null,[[],["uint8x16_t",3]]],[5,"vld1_dup_u16","","Load one single-element structure and Replicate to all …",null,[[],["uint16x4_t",3]]],[5,"vld1q_dup_u16","","Load one single-element structure and Replicate to all …",null,[[],["uint16x8_t",3]]],[5,"vld1_dup_u32","","Load one single-element structure and Replicate to all …",null,[[],["uint32x2_t",3]]],[5,"vld1q_dup_u32","","Load one single-element structure and Replicate to all …",null,[[],["uint32x4_t",3]]],[5,"vld1_dup_u64","","Load one single-element structure and Replicate to all …",null,[[],["uint64x1_t",3]]],[5,"vld1q_dup_u64","","Load one single-element structure and Replicate to all …",null,[[],["uint64x2_t",3]]],[5,"vld1_dup_p8","","Load one single-element structure and Replicate to all …",null,[[],["poly8x8_t",3]]],[5,"vld1q_dup_p8","","Load one single-element structure and Replicate to all …",null,[[],["poly8x16_t",3]]],[5,"vld1_dup_p16","","Load one single-element structure and Replicate to all …",null,[[],["poly16x4_t",3]]],[5,"vld1q_dup_p16","","Load one single-element structure and Replicate to all …",null,[[],["poly16x8_t",3]]],[5,"vld1_dup_f32","","Load one single-element structure and Replicate to all …",null,[[],["float32x2_t",3]]],[5,"vld1q_dup_f32","","Load one single-element structure and Replicate to all …",null,[[],["float32x4_t",3]]],[5,"vabs_s8","","Absolute value (wrapping).",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vabs_s16","","Absolute value (wrapping).",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vabs_s32","","Absolute value (wrapping).",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vabsq_s8","","Absolute value (wrapping).",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vabsq_s16","","Absolute value (wrapping).",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vabsq_s32","","Absolute value (wrapping).",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vpadd_s16","","Add pairwise.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpadd_s32","","Add pairwise.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpadd_s8","","Add pairwise.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpadd_u16","","Add pairwise.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpadd_u32","","Add pairwise.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpadd_u8","","Add pairwise.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vqmovn_u64","","Unsigned saturating extract narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vadd_s8","","Vector add.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vaddq_s8","","Vector add.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vadd_s16","","Vector add.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vaddq_s16","","Vector add.",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vadd_s32","","Vector add.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vaddq_s32","","Vector add.",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddq_s64","","Vector add.",null,[[["int64x2_t",3]],["int64x2_t",3]]],[5,"vadd_u8","","Vector add.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vaddq_u8","","Vector add.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vadd_u16","","Vector add.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vaddq_u16","","Vector add.",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vadd_u32","","Vector add.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vaddq_u32","","Vector add.",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vaddq_u64","","Vector add.",null,[[["uint64x2_t",3]],["uint64x2_t",3]]],[5,"vadd_f32","","Vector add.",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vaddq_f32","","Vector add.",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vaddl_s8","","Signed Add Long (vector).",null,[[["int8x8_t",3]],["int16x8_t",3]]],[5,"vaddl_s16","","Signed Add Long (vector).",null,[[["int16x4_t",3]],["int32x4_t",3]]],[5,"vaddl_s32","","Signed Add Long (vector).",null,[[["int32x2_t",3]],["int64x2_t",3]]],[5,"vaddl_u8","","Unsigned Add Long (vector).",null,[[["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vaddl_u16","","Unsigned Add Long (vector).",null,[[["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vaddl_u32","","Unsigned Add Long (vector).",null,[[["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vaddl_high_s8","","Signed Add Long (vector, high half).",null,[[["int8x16_t",3]],["int16x8_t",3]]],[5,"vaddl_high_s16","","Signed Add Long (vector, high half).",null,[[["int16x8_t",3]],["int32x4_t",3]]],[5,"vaddl_high_s32","","Signed Add Long (vector, high half).",null,[[["int32x4_t",3]],["int64x2_t",3]]],[5,"vaddl_high_u8","","Unsigned Add Long (vector, high half).",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vaddl_high_u16","","Unsigned Add Long (vector, high half).",null,[[["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vaddl_high_u32","","Unsigned Add Long (vector, high half).",null,[[["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vaddw_s8","","Signed Add Wide.",null,[[["int16x8_t",3],["int8x8_t",3]],["int16x8_t",3]]],[5,"vaddw_s16","","Signed Add Wide.",null,[[["int16x4_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddw_s32","","Signed Add Wide.",null,[[["int32x2_t",3],["int64x2_t",3]],["int64x2_t",3]]],[5,"vaddw_u8","","Unsigned Add Wide.",null,[[["uint16x8_t",3],["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vaddw_u16","","Unsigned Add Wide.",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vaddw_u32","","Unsigned Add Wide.",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vaddw_high_s8","","Signed Add Wide (high half).",null,[[["int16x8_t",3],["int8x16_t",3]],["int16x8_t",3]]],[5,"vaddw_high_s16","","Signed Add Wide (high half).",null,[[["int16x8_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vaddw_high_s32","","Signed Add Wide (high half).",null,[[["int64x2_t",3],["int32x4_t",3]],["int64x2_t",3]]],[5,"vaddw_high_u8","","Unsigned Add Wide (high half).",null,[[["uint16x8_t",3],["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vaddw_high_u16","","Unsigned Add Wide (high half).",null,[[["uint32x4_t",3],["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vaddw_high_u32","","Unsigned Add Wide (high half).",null,[[["uint64x2_t",3],["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vaddhn_s16","","Add returning High Narrow.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vaddhn_s32","","Add returning High Narrow.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vaddhn_s64","","Add returning High Narrow.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vaddhn_u16","","Add returning High Narrow.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vaddhn_u32","","Add returning High Narrow.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vaddhn_u64","","Add returning High Narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vaddhn_high_s16","","Add returning High Narrow (high half).",null,[[["int16x8_t",3],["int8x8_t",3]],["int8x16_t",3]]],[5,"vaddhn_high_s32","","Add returning High Narrow (high half).",null,[[["int32x4_t",3],["int16x4_t",3]],["int16x8_t",3]]],[5,"vaddhn_high_s64","","Add returning High Narrow (high half).",null,[[["int32x2_t",3],["int64x2_t",3]],["int32x4_t",3]]],[5,"vaddhn_high_u16","","Add returning High Narrow (high half).",null,[[["uint8x8_t",3],["uint16x8_t",3]],["uint8x16_t",3]]],[5,"vaddhn_high_u32","","Add returning High Narrow (high half).",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint16x8_t",3]]],[5,"vaddhn_high_u64","","Add returning High Narrow (high half).",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint32x4_t",3]]],[5,"vraddhn_s16","","Rounding Add returning High Narrow.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vraddhn_s32","","Rounding Add returning High Narrow.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vraddhn_s64","","Rounding Add returning High Narrow.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vraddhn_u16","","Rounding Add returning High Narrow.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vraddhn_u32","","Rounding Add returning High Narrow.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vraddhn_u64","","Rounding Add returning High Narrow.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vraddhn_high_s16","","Rounding Add returning High Narrow (high half).",null,[[["int16x8_t",3],["int8x8_t",3]],["int8x16_t",3]]],[5,"vraddhn_high_s32","","Rounding Add returning High Narrow (high half).",null,[[["int32x4_t",3],["int16x4_t",3]],["int16x8_t",3]]],[5,"vraddhn_high_s64","","Rounding Add returning High Narrow (high half).",null,[[["int32x2_t",3],["int64x2_t",3]],["int32x4_t",3]]],[5,"vraddhn_high_u16","","Rounding Add returning High Narrow (high half).",null,[[["uint8x8_t",3],["uint16x8_t",3]],["uint8x16_t",3]]],[5,"vraddhn_high_u32","","Rounding Add returning High Narrow (high half).",null,[[["uint32x4_t",3],["uint16x4_t",3]],["uint16x8_t",3]]],[5,"vraddhn_high_u64","","Rounding Add returning High Narrow (high half).",null,[[["uint64x2_t",3],["uint32x2_t",3]],["uint32x4_t",3]]],[5,"vpaddl_s8","","Signed Add Long Pairwise.",null,[[["int8x8_t",3]],["int16x4_t",3]]],[5,"vpaddl_s16","","Signed Add Long Pairwise.",null,[[["int16x4_t",3]],["int32x2_t",3]]],[5,"vpaddl_s32","","Signed Add Long Pairwise.",null,[[["int32x2_t",3]],["int64x1_t",3]]],[5,"vpaddlq_s8","","Signed Add Long Pairwise.",null,[[["int8x16_t",3]],["int16x8_t",3]]],[5,"vpaddlq_s16","","Signed Add Long Pairwise.",null,[[["int16x8_t",3]],["int32x4_t",3]]],[5,"vpaddlq_s32","","Signed Add Long Pairwise.",null,[[["int32x4_t",3]],["int64x2_t",3]]],[5,"vpaddl_u8","","Unsigned Add Long Pairwise.",null,[[["uint8x8_t",3]],["uint16x4_t",3]]],[5,"vpaddl_u16","","Unsigned Add Long Pairwise.",null,[[["uint16x4_t",3]],["uint32x2_t",3]]],[5,"vpaddl_u32","","Unsigned Add Long Pairwise.",null,[[["uint32x2_t",3]],["uint64x1_t",3]]],[5,"vpaddlq_u8","","Unsigned Add Long Pairwise.",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vpaddlq_u16","","Unsigned Add Long Pairwise.",null,[[["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vpaddlq_u32","","Unsigned Add Long Pairwise.",null,[[["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vpadal_s8","","Signed Add and Accumulate Long Pairwise.",null,[[["int8x8_t",3],["int16x4_t",3]],["int16x4_t",3]]],[5,"vpadal_s16","","Signed Add and Accumulate Long Pairwise.",null,[[["int32x2_t",3],["int16x4_t",3]],["int32x2_t",3]]],[5,"vpadal_s32","","Signed Add and Accumulate Long Pairwise.",null,[[["int32x2_t",3],["int64x1_t",3]],["int64x1_t",3]]],[5,"vpadalq_s8","","Signed Add and Accumulate Long Pairwise.",null,[[["int16x8_t",3],["int8x16_t",3]],["int16x8_t",3]]],[5,"vpadalq_s16","","Signed Add and Accumulate Long Pairwise.",null,[[["int16x8_t",3],["int32x4_t",3]],["int32x4_t",3]]],[5,"vpadalq_s32","","Signed Add and Accumulate Long Pairwise.",null,[[["int64x2_t",3],["int32x4_t",3]],["int64x2_t",3]]],[5,"vpadal_u8","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint8x8_t",3],["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpadal_u16","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x2_t",3],["uint16x4_t",3]],["uint32x2_t",3]]],[5,"vpadal_u32","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x2_t",3],["uint64x1_t",3]],["uint64x1_t",3]]],[5,"vpadalq_u8","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint16x8_t",3],["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vpadalq_u16","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint32x4_t",3],["uint16x8_t",3]],["uint32x4_t",3]]],[5,"vpadalq_u32","","Unsigned Add and Accumulate Long Pairwise.",null,[[["uint64x2_t",3],["uint32x4_t",3]],["uint64x2_t",3]]],[5,"vmovn_s16","","Vector narrow integer.",null,[[["int16x8_t",3]],["int8x8_t",3]]],[5,"vmovn_s32","","Vector narrow integer.",null,[[["int32x4_t",3]],["int16x4_t",3]]],[5,"vmovn_s64","","Vector narrow integer.",null,[[["int64x2_t",3]],["int32x2_t",3]]],[5,"vmovn_u16","","Vector narrow integer.",null,[[["uint16x8_t",3]],["uint8x8_t",3]]],[5,"vmovn_u32","","Vector narrow integer.",null,[[["uint32x4_t",3]],["uint16x4_t",3]]],[5,"vmovn_u64","","Vector narrow integer.",null,[[["uint64x2_t",3]],["uint32x2_t",3]]],[5,"vmovl_s8","","Vector long move.",null,[[["int8x8_t",3]],["int16x8_t",3]]],[5,"vmovl_s16","","Vector long move.",null,[[["int16x4_t",3]],["int32x4_t",3]]],[5,"vmovl_s32","","Vector long move.",null,[[["int32x2_t",3]],["int64x2_t",3]]],[5,"vmovl_u8","","Vector long move.",null,[[["uint8x8_t",3]],["uint16x8_t",3]]],[5,"vmovl_u16","","Vector long move.",null,[[["uint16x4_t",3]],["uint32x4_t",3]]],[5,"vmovl_u32","","Vector long move.",null,[[["uint32x2_t",3]],["uint64x2_t",3]]],[5,"vrsqrte_f32","","Reciprocal square-root estimate.",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vmvn_s8","","Vector bitwise not.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vmvnq_s8","","Vector bitwise not.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vmvn_s16","","Vector bitwise not.",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vmvnq_s16","","Vector bitwise not.",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vmvn_s32","","Vector bitwise not.",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vmvnq_s32","","Vector bitwise not.",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vmvn_u8","","Vector bitwise not.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vmvnq_u8","","Vector bitwise not.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vmvn_u16","","Vector bitwise not.",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vmvnq_u16","","Vector bitwise not.",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vmvn_u32","","Vector bitwise not.",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vmvnq_u32","","Vector bitwise not.",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vmvn_p8","","Vector bitwise not.",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vmvnq_p8","","Vector bitwise not.",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vpmin_s8","","Folding minimum of adjacent pairs",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpmin_s16","","Folding minimum of adjacent pairs",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpmin_s32","","Folding minimum of adjacent pairs",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpmin_u8","","Folding minimum of adjacent pairs",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vpmin_u16","","Folding minimum of adjacent pairs",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpmin_u32","","Folding minimum of adjacent pairs",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpmin_f32","","Folding minimum of adjacent pairs",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vpmax_s8","","Folding maximum of adjacent pairs",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vpmax_s16","","Folding maximum of adjacent pairs",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vpmax_s32","","Folding maximum of adjacent pairs",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vpmax_u8","","Folding maximum of adjacent pairs",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vpmax_u16","","Folding maximum of adjacent pairs",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vpmax_u32","","Folding maximum of adjacent pairs",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vpmax_f32","","Folding maximum of adjacent pairs",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vgetq_lane_u64","","Move vector element to general-purpose register",null,[[["uint64x2_t",3],["i32",15]],["u64",15]]],[5,"vget_lane_u64","","Move vector element to general-purpose register",null,[[["uint64x1_t",3],["i32",15]],["u64",15]]],[5,"vgetq_lane_u16","","Move vector element to general-purpose register",null,[[["uint16x8_t",3],["i32",15]],["u16",15]]],[5,"vgetq_lane_u32","","Move vector element to general-purpose register",null,[[["uint32x4_t",3],["i32",15]],["u32",15]]],[5,"vgetq_lane_s32","","Move vector element to general-purpose register",null,[[["i32",15],["int32x4_t",3]],["i32",15]]],[5,"vget_lane_u8","","Move vector element to general-purpose register",null,[[["uint8x8_t",3],["i32",15]],["u8",15]]],[5,"vdupq_n_s8","","Duplicate vector element to vector or scalar",null,[[["i8",15]],["int8x16_t",3]]],[5,"vdupq_n_u8","","Duplicate vector element to vector or scalar",null,[[["u8",15]],["uint8x16_t",3]]],[5,"vmovq_n_u8","","Duplicate vector element to vector or scalar",null,[[["u8",15]],["uint8x16_t",3]]],[5,"vreinterpret_u64_u32","","Vector reinterpret cast operation",null,[[["uint32x2_t",3]],["uint64x1_t",3]]],[5,"vreinterpretq_s8_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["int8x16_t",3]]],[5,"vreinterpretq_u16_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint16x8_t",3]]],[5,"vreinterpretq_u32_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint32x4_t",3]]],[5,"vreinterpretq_u64_u8","","Vector reinterpret cast operation",null,[[["uint8x16_t",3]],["uint64x2_t",3]]],[5,"vreinterpretq_u8_s8","","Vector reinterpret cast operation",null,[[["int8x16_t",3]],["uint8x16_t",3]]],[5,"vshrq_n_u8","","Unsigned shift right",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vshlq_n_u8","","Shift right",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vextq_s8","","Extract vector from pair of vectors",null,[[["int8x16_t",3],["i32",15]],["int8x16_t",3]]],[5,"vextq_u8","","Extract vector from pair of vectors",null,[[["i32",15],["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcnt_s8","","Population count per byte.",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vcntq_s8","","Population count per byte.",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vcnt_u8","","Population count per byte.",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vcntq_u8","","Population count per byte.",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vcnt_p8","","Population count per byte.",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vcntq_p8","","Population count per byte.",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev16_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev16q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev16_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev16q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev16_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev16q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev32_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev32q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev32_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev32q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev32_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrev32q_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrev32_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev32q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev64_s8","","Reversing vector elements (swap endianness)",null,[[["int8x8_t",3]],["int8x8_t",3]]],[5,"vrev64q_s8","","Reversing vector elements (swap endianness)",null,[[["int8x16_t",3]],["int8x16_t",3]]],[5,"vrev64_s16","","Reversing vector elements (swap endianness)",null,[[["int16x4_t",3]],["int16x4_t",3]]],[5,"vrev64q_s16","","Reversing vector elements (swap endianness)",null,[[["int16x8_t",3]],["int16x8_t",3]]],[5,"vrev64_s32","","Reversing vector elements (swap endianness)",null,[[["int32x2_t",3]],["int32x2_t",3]]],[5,"vrev64q_s32","","Reversing vector elements (swap endianness)",null,[[["int32x4_t",3]],["int32x4_t",3]]],[5,"vrev64_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x8_t",3]],["uint8x8_t",3]]],[5,"vrev64q_u8","","Reversing vector elements (swap endianness)",null,[[["uint8x16_t",3]],["uint8x16_t",3]]],[5,"vrev64_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x4_t",3]],["uint16x4_t",3]]],[5,"vrev64q_u16","","Reversing vector elements (swap endianness)",null,[[["uint16x8_t",3]],["uint16x8_t",3]]],[5,"vrev64_u32","","Reversing vector elements (swap endianness)",null,[[["uint32x2_t",3]],["uint32x2_t",3]]],[5,"vrev64q_u32","","Reversing vector elements (swap endianness)",null,[[["uint32x4_t",3]],["uint32x4_t",3]]],[5,"vrev64_f32","","Reversing vector elements (swap endianness)",null,[[["float32x2_t",3]],["float32x2_t",3]]],[5,"vrev64q_f32","","Reversing vector elements (swap endianness)",null,[[["float32x4_t",3]],["float32x4_t",3]]],[5,"vrev64_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x8_t",3]],["poly8x8_t",3]]],[5,"vrev64q_p8","","Reversing vector elements (swap endianness)",null,[[["poly8x16_t",3]],["poly8x16_t",3]]],[5,"vrev64_p16","","Reversing vector elements (swap endianness)",null,[[["poly16x4_t",3]],["poly16x4_t",3]]],[5,"vrev64q_p16","","Reversing vector elements (swap endianness)",null,[[["poly16x8_t",3]],["poly16x8_t",3]]],[3,"SY","","Full system is the required shareability domain, reads …",null,null],[5,"__dmb","","Generates a DMB (data memory barrier) instruction or …",null,[[]]],[5,"__dsb","","Generates a DSB (data synchronization barrier) …",null,[[]]],[5,"__isb","","Generates an ISB (instruction synchronization barrier) …",null,[[]]],[5,"__nop","","Generates an unspecified no-op instruction.",null,[[]]],[3,"APSR","","Application Program Status Register",null,null],[5,"__rsr","","Reads a 32-bit system register",null,[[],["u32",15]]],[5,"__rsrp","","Reads a system register containing an address",null,[[]]],[5,"__wsr","","Writes a 32-bit system register",null,[[["u32",15]]]],[5,"__wsrp","","Writes a system register containing an address",null,[[]]],[0,"wasm32","core::arch","Platform-specific intrinsics for the <code>wasm32</code> platform.",null,null],[5,"memory_atomic_wait32","core::arch::wasm32","Corresponding intrinsic to wasm\'s <code>memory.atomic.wait32</code> …",null,[[["i64",15],["i32",15]],["i32",15]]],[5,"memory_atomic_wait64","","Corresponding intrinsic to wasm\'s <code>memory.atomic.wait64</code> …",null,[[["i64",15]],["i32",15]]],[5,"memory_atomic_notify","","Corresponding intrinsic to wasm\'s <code>memory.atomic.notify</code> …",null,[[["u32",15]],["u32",15]]],[3,"v128","","WASM-specific 128-bit wide SIMD vector type.",null,null],[5,"v128_load","","Loads a <code>v128</code> vector from the given heap address.",null,[[],["v128",3]]],[5,"i16x8_load8x8_s","","Load eight 8-bit integers and sign extend each one to a …",null,[[],["v128",3]]],[5,"i16x8_load8x8_u","","Load eight 8-bit integers and zero extend each one to a …",null,[[],["v128",3]]],[5,"i32x4_load16x4_s","","Load four 16-bit integers and sign extend each one to a …",null,[[],["v128",3]]],[5,"i32x4_load16x4_u","","Load four 16-bit integers and zero extend each one to a …",null,[[],["v128",3]]],[5,"i64x2_load32x2_s","","Load two 32-bit integers and sign extend each one to a …",null,[[],["v128",3]]],[5,"i64x2_load32x2_u","","Load two 32-bit integers and zero extend each one to a …",null,[[],["v128",3]]],[5,"v8x16_load_splat","","Load a single element and splat to all lanes of a v128 …",null,[[],["v128",3]]],[5,"v16x8_load_splat","","Load a single element and splat to all lanes of a v128 …",null,[[],["v128",3]]],[5,"v32x4_load_splat","","Load a single element and splat to all lanes of a v128 …",null,[[],["v128",3]]],[5,"v64x2_load_splat","","Load a single element and splat to all lanes of a v128 …",null,[[],["v128",3]]],[5,"v128_store","","Stores a <code>v128</code> vector to the given heap address.",null,[[["v128",3]]]],[5,"i8x16_const","","Materializes a constant SIMD value from the immediate …",null,[[["i8",15]],["v128",3]]],[5,"i16x8_const","","Materializes a constant SIMD value from the immediate …",null,[[["i16",15]],["v128",3]]],[5,"i32x4_const","","Materializes a constant SIMD value from the immediate …",null,[[["i32",15]],["v128",3]]],[5,"i64x2_const","","Materializes a constant SIMD value from the immediate …",null,[[["i64",15]],["v128",3]]],[5,"f32x4_const","","Materializes a constant SIMD value from the immediate …",null,[[["f32",15]],["v128",3]]],[5,"f64x2_const","","Materializes a constant SIMD value from the immediate …",null,[[["f64",15]],["v128",3]]],[5,"v8x16_shuffle","","Returns a new vector with lanes selected from the lanes …",null,[[["v128",3]],["v128",3]]],[5,"v16x8_shuffle","","Same as [<code>v8x16_shuffle</code>], except operates as if the inputs …",null,[[["v128",3]],["v128",3]]],[5,"v32x4_shuffle","","Same as [<code>v8x16_shuffle</code>], except operates as if the inputs …",null,[[["v128",3]],["v128",3]]],[5,"v64x2_shuffle","","Same as [<code>v8x16_shuffle</code>], except operates as if the inputs …",null,[[["v128",3]],["v128",3]]],[5,"v8x16_swizzle","","Returns a new vector with lanes selected from the lanes …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_splat","","Creates a vector with identical lanes.",null,[[["i8",15]],["v128",3]]],[5,"i16x8_splat","","Creates a vector with identical lanes.",null,[[["i16",15]],["v128",3]]],[5,"i32x4_splat","","Creates a vector with identical lanes.",null,[[["i32",15]],["v128",3]]],[5,"i64x2_splat","","Creates a vector with identical lanes.",null,[[["i64",15]],["v128",3]]],[5,"f32x4_splat","","Creates a vector with identical lanes.",null,[[["f32",15]],["v128",3]]],[5,"f64x2_splat","","Creates a vector with identical lanes.",null,[[["f64",15]],["v128",3]]],[5,"i8x16_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 16 …",null,[[["v128",3]],["i8",15]]],[5,"i8x16_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 16 …",null,[[["v128",3],["i8",15]],["v128",3]]],[5,"i16x8_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 8 …",null,[[["v128",3]],["i16",15]]],[5,"i16x8_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 8 …",null,[[["i16",15],["v128",3]],["v128",3]]],[5,"i32x4_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 4 …",null,[[["v128",3]],["i32",15]]],[5,"i32x4_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 4 …",null,[[["v128",3],["i32",15]],["v128",3]]],[5,"i64x2_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 2 …",null,[[["v128",3]],["i64",15]]],[5,"i64x2_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 2 …",null,[[["i64",15],["v128",3]],["v128",3]]],[5,"f32x4_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 4 …",null,[[["v128",3]],["f32",15]]],[5,"f32x4_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 4 …",null,[[["v128",3],["f32",15]],["v128",3]]],[5,"f64x2_extract_lane","","Extracts a lane from a 128-bit vector interpreted as 2 …",null,[[["v128",3]],["f64",15]]],[5,"f64x2_replace_lane","","Replaces a lane from a 128-bit vector interpreted as 2 …",null,[[["f64",15],["v128",3]],["v128",3]]],[5,"i8x16_eq","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_ne","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_lt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_lt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_gt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_gt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_le_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_le_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_ge_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_ge_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_eq","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_ne","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_lt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_lt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_gt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_gt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_le_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_le_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_ge_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_ge_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_eq","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_ne","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_lt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_lt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_gt_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_gt_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_le_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_le_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_ge_s","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_ge_u","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_eq","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_ne","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_lt","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_gt","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_le","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_ge","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_eq","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_ne","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_lt","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_gt","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_le","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_ge","","Compares two 128-bit vectors as if they were two vectors …",null,[[["v128",3]],["v128",3]]],[5,"v128_not","","Flips each bit of the 128-bit input vector.",null,[[["v128",3]],["v128",3]]],[5,"v128_and","","Performs a bitwise and of the two input 128-bit vectors, …",null,[[["v128",3]],["v128",3]]],[5,"v128_andnot","","Bitwise AND of bits of <code>a</code> and the logical inverse of bits …",null,[[["v128",3]],["v128",3]]],[5,"v128_or","","Performs a bitwise or of the two input 128-bit vectors, …",null,[[["v128",3]],["v128",3]]],[5,"v128_xor","","Performs a bitwise xor of the two input 128-bit vectors, …",null,[[["v128",3]],["v128",3]]],[5,"v128_bitselect","","Use the bitmask in <code>c</code> to select bits from <code>v1</code> when 1 and <code>v2</code> …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_abs","","Lane-wise wrapping absolute value.",null,[[["v128",3]],["v128",3]]],[5,"i8x16_neg","","Negates a 128-bit vectors intepreted as sixteen 8-bit …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_any_true","","Returns 1 if any lane is nonzero or 0 if all lanes are …",null,[[["v128",3]],["i32",15]]],[5,"i8x16_all_true","","Returns 1 if all lanes are nonzero or 0 if any lane is …",null,[[["v128",3]],["i32",15]]],[5,"i8x16_narrow_i16x8_s","","Converts two input vectors into a smaller lane vector by …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_narrow_i16x8_u","","Converts two input vectors into a smaller lane vector by …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_shl","","Shifts each lane to the left by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i8x16_shr_s","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i8x16_shr_u","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i8x16_add","","Adds two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_add_saturate_s","","Adds two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_add_saturate_u","","Adds two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_sub","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_sub_saturate_s","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_sub_saturate_u","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_min_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_min_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_max_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_max_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i8x16_avgr_u","","Lane-wise rounding average.",null,[[["v128",3]],["v128",3]]],[5,"i16x8_abs","","Lane-wise wrapping absolute value.",null,[[["v128",3]],["v128",3]]],[5,"i16x8_neg","","Negates a 128-bit vectors intepreted as eight 16-bit …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_any_true","","Returns 1 if any lane is nonzero or 0 if all lanes are …",null,[[["v128",3]],["i32",15]]],[5,"i16x8_all_true","","Returns 1 if all lanes are nonzero or 0 if any lane is …",null,[[["v128",3]],["i32",15]]],[5,"i16x8_narrow_i32x4_s","","Converts two input vectors into a smaller lane vector by …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_narrow_i32x4_u","","Converts two input vectors into a smaller lane vector by …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_widen_low_i8x16_s","","Converts low half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_widen_high_i8x16_s","","Converts high half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_widen_low_i8x16_u","","Converts low half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_widen_high_i8x16_u","","Converts high half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_shl","","Shifts each lane to the left by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i16x8_shr_s","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i16x8_shr_u","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i16x8_add","","Adds two 128-bit vectors as if they were two packed eight …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_add_saturate_s","","Adds two 128-bit vectors as if they were two packed eight …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_add_saturate_u","","Adds two 128-bit vectors as if they were two packed eight …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_sub","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_sub_saturate_s","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_sub_saturate_u","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_mul","","Multiplies two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_min_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_min_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_max_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_max_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i16x8_avgr_u","","Lane-wise rounding average.",null,[[["v128",3]],["v128",3]]],[5,"i32x4_abs","","Lane-wise wrapping absolute value.",null,[[["v128",3]],["v128",3]]],[5,"i32x4_neg","","Negates a 128-bit vectors intepreted as four 32-bit …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_any_true","","Returns 1 if any lane is nonzero or 0 if all lanes are …",null,[[["v128",3]],["i32",15]]],[5,"i32x4_all_true","","Returns 1 if all lanes are nonzero or 0 if any lane is …",null,[[["v128",3]],["i32",15]]],[5,"i32x4_widen_low_i16x8_s","","Converts low half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_widen_high_i16x8_s","","Converts high half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_widen_low_i16x8_u","","Converts low half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_widen_high_i16x8_u","","Converts high half of the smaller lane vector to a larger …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_shl","","Shifts each lane to the left by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i32x4_shr_s","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i32x4_shr_u","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i32x4_add","","Adds two 128-bit vectors as if they were two packed four …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_sub","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_mul","","Multiplies two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_min_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_min_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_max_s","","Compares lane-wise signed integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_max_u","","Compares lane-wise unsigned integers, and returns the …",null,[[["v128",3]],["v128",3]]],[5,"i64x2_neg","","Negates a 128-bit vectors intepreted as two 64-bit signed …",null,[[["v128",3]],["v128",3]]],[5,"i64x2_shl","","Shifts each lane to the left by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i64x2_shr_s","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i64x2_shr_u","","Shifts each lane to the right by the specified number of …",null,[[["u32",15],["v128",3]],["v128",3]]],[5,"i64x2_add","","Adds two 128-bit vectors as if they were two packed two …",null,[[["v128",3]],["v128",3]]],[5,"i64x2_sub","","Subtracts two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"i64x2_mul","","Multiplies two 128-bit vectors as if they were two packed …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_abs","","Calculates the absolute value of each lane of a 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_neg","","Negates each lane of a 128-bit vector interpreted as four …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_sqrt","","Calculates the square root of each lane of a 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_add","","Adds pairwise lanes of two 128-bit vectors interpreted as …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_sub","","Subtracts pairwise lanes of two 128-bit vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_mul","","Multiplies pairwise lanes of two 128-bit vectors …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_div","","Divides pairwise lanes of two 128-bit vectors interpreted …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_min","","Calculates the minimum of pairwise lanes of two 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_max","","Calculates the maximum of pairwise lanes of two 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_abs","","Calculates the absolute value of each lane of a 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_neg","","Negates each lane of a 128-bit vector interpreted as two …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_sqrt","","Calculates the square root of each lane of a 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_add","","Adds pairwise lanes of two 128-bit vectors interpreted as …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_sub","","Subtracts pairwise lanes of two 128-bit vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_mul","","Multiplies pairwise lanes of two 128-bit vectors …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_div","","Divides pairwise lanes of two 128-bit vectors interpreted …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_min","","Calculates the minimum of pairwise lanes of two 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"f64x2_max","","Calculates the maximum of pairwise lanes of two 128-bit …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_trunc_sat_f32x4_s","","Converts a 128-bit vector interpreted as four 32-bit …",null,[[["v128",3]],["v128",3]]],[5,"i32x4_trunc_sat_f32x4_u","","Converts a 128-bit vector interpreted as four 32-bit …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_convert_i32x4_s","","Converts a 128-bit vector interpreted as four 32-bit …",null,[[["v128",3]],["v128",3]]],[5,"f32x4_convert_i32x4_u","","Converts a 128-bit vector interpreted as four 32-bit …",null,[[["v128",3]],["v128",3]]],[5,"memory_size","","Corresponding intrinsic to wasm\'s <code>memory.size</code> instruction",null,[[["u32",15]],["usize",15]]],[5,"memory_grow","","Corresponding intrinsic to wasm\'s <code>memory.grow</code> instruction",null,[[["u32",15],["usize",15]],["usize",15]]],[5,"unreachable","","Generates the trap instruction <code>UNREACHABLE</code>",null,[[]]],[0,"mips","core::arch","Platform-specific intrinsics for the <code>mips</code> platform.",null,null],[5,"break_","core::arch::mips","Generates the trap instruction <code>BREAK</code>",null,[[]]],[0,"mips64","core::arch","Platform-specific intrinsics for the <code>mips64</code> platform.",null,null],[5,"break_","core::arch::mips64","Generates the trap instruction <code>BREAK</code>",null,[[]]],[0,"powerpc","core::arch","Platform-specific intrinsics for the <code>PowerPC</code> platform.",null,null],[3,"vector_signed_long","core::arch::powerpc","PowerPC-specific 128-bit wide vector of two packed <code>i64</code>",null,null],[3,"vector_unsigned_long","","PowerPC-specific 128-bit wide vector of two packed <code>u64</code>",null,null],[3,"vector_bool_long","","PowerPC-specific 128-bit wide vector mask of two elements",null,null],[3,"vector_double","","PowerPC-specific 128-bit wide vector of two packed <code>f64</code>",null,null],[5,"vec_xxpermdi","","Vector permute.",null,[[["u8",15]]]],[5,"trap","","Generates the trap instruction <code>TRAP</code>",null,[[]]],[0,"powerpc64","core::arch","Platform-specific intrinsics for the <code>PowerPC64</code> platform.",null,null],[3,"vector_signed_long","core::arch::powerpc64","PowerPC-specific 128-bit wide vector of two packed <code>i64</code>",null,null],[3,"vector_unsigned_long","","PowerPC-specific 128-bit wide vector of two packed <code>u64</code>",null,null],[3,"vector_bool_long","","PowerPC-specific 128-bit wide vector mask of two elements",null,null],[3,"vector_double","","PowerPC-specific 128-bit wide vector of two packed <code>f64</code>",null,null],[5,"vec_xxpermdi","","Vector permute.",null,[[["u8",15]]]],[5,"trap","","Generates the trap instruction <code>TRAP</code>",null,[[]]],[0,"nvptx","core::arch","Platform-specific intrinsics for the <code>NVPTX</code> platform.",null,null],[5,"vprintf","core::arch::nvptx","Print formatted output from a kernel to a host-side …",null,null],[5,"malloc","","Allocate memory dynamically from a fixed-size heap in …",null,null],[5,"free","","Free previously dynamically allocated memory.",null,null],[5,"_syncthreads","","Synchronizes all threads in the block.",null,[[]]],[5,"_block_dim_x","","x-th thread-block dimension.",null,[[],["i32",15]]],[5,"_block_dim_y","","y-th thread-block dimension.",null,[[],["i32",15]]],[5,"_block_dim_z","","z-th thread-block dimension.",null,[[],["i32",15]]],[5,"_block_idx_x","","x-th thread-block index.",null,[[],["i32",15]]],[5,"_block_idx_y","","y-th thread-block index.",null,[[],["i32",15]]],[5,"_block_idx_z","","z-th thread-block index.",null,[[],["i32",15]]],[5,"_grid_dim_x","","x-th block-grid dimension.",null,[[],["i32",15]]],[5,"_grid_dim_y","","y-th block-grid dimension.",null,[[],["i32",15]]],[5,"_grid_dim_z","","z-th block-grid dimension.",null,[[],["i32",15]]],[5,"_thread_idx_x","","x-th thread index.",null,[[],["i32",15]]],[5,"_thread_idx_y","","y-th thread index.",null,[[],["i32",15]]],[5,"_thread_idx_z","","z-th thread index.",null,[[],["i32",15]]],[5,"trap","","Generates the trap instruction <code>TRAP</code>",null,[[]]],[5,"__assert_fail","","Syscall to be used whenever the <em>assert expression …",null,[[["u32",15]]]],[14,"panic","core","Panics the current thread.",null,null],[14,"assert_eq","","Asserts that two expressions are equal to each other …",null,null],[14,"assert_ne","","Asserts that two expressions are not equal to each other …",null,null],[14,"debug_assert","","Asserts that a boolean expression is <code>true</code> at runtime.",null,null],[14,"debug_assert_eq","","Asserts that two expressions are equal to each other.",null,null],[14,"debug_assert_ne","","Asserts that two expressions are not equal to each other.",null,null],[14,"matches","","Returns whether the given expression matches any of the …",null,null],[14,"try","","Unwraps a result or propagates its error.",null,null],[14,"write","","Writes formatted data into a buffer.",null,null],[14,"writeln","","Write formatted data into a buffer, with a newline …",null,null],[14,"unreachable","","Indicates unreachable code.",null,null],[14,"unimplemented","","Indicates unimplemented code by panicking with a message …",null,null],[14,"todo","","Indicates unfinished code.",null,null],[14,"compile_error","","Causes compilation to fail with the given error message …",null,null],[14,"format_args","","Constructs parameters for the other string-formatting …",null,null],[14,"format_args_nl","","Same as <code>format_args</code>, but adds a newline in the end.",null,null],[14,"env","","Inspects an environment variable at compile time.",null,null],[14,"option_env","","Optionally inspects an environment variable at compile …",null,null],[14,"concat_idents","","Concatenates identifiers into one identifier.",null,null],[14,"concat","","Concatenates literals into a static string slice.",null,null],[14,"line","","Expands to the line number on which it was invoked.",null,null],[14,"column","","Expands to the column number at which it was invoked.",null,null],[14,"file","","Expands to the file name in which it was invoked.",null,null],[14,"stringify","","Stringifies its arguments.",null,null],[14,"include_str","","Includes a UTF-8 encoded file as a string.",null,null],[14,"include_bytes","","Includes a file as a reference to a byte array.",null,null],[14,"module_path","","Expands to a string that represents the current module …",null,null],[14,"cfg","","Evaluates boolean combinations of configuration flags at …",null,null],[14,"include","","Parses a file as an expression or an item according to …",null,null],[14,"assert","","Asserts that a boolean expression is <code>true</code> at runtime.",null,null],[14,"asm","","Inline assembly.",null,null],[14,"llvm_asm","","LLVM-style inline assembly.",null,null],[14,"global_asm","","Module-level inline assembly.",null,null],[14,"log_syntax","","Prints passed tokens into the standard output.",null,null],[14,"trace_macros","","Enables or disables tracing functionality used for …",null,null],[11,"borrow","core::num","",149,[[]]],[11,"borrow_mut","","",149,[[]]],[11,"into","","",149,[[]]],[11,"from","","",149,[[]]],[11,"try_into","","",149,[[],["result",4]]],[11,"try_from","","",149,[[],["result",4]]],[11,"type_id","","",149,[[],["typeid",3]]],[11,"borrow","","",150,[[]]],[11,"borrow_mut","","",150,[[]]],[11,"into","","",150,[[]]],[11,"from","","",150,[[]]],[11,"from","","",150,[[]]],[11,"try_into","","",150,[[],["result",4]]],[11,"try_from","","",150,[[],["result",4]]],[11,"type_id","","",150,[[],["typeid",3]]],[11,"borrow","","",151,[[]]],[11,"borrow_mut","","",151,[[]]],[11,"into","","",151,[[]]],[11,"from","","",151,[[]]],[11,"try_into","","",151,[[],["result",4]]],[11,"try_from","","",151,[[],["result",4]]],[11,"type_id","","",151,[[],["typeid",3]]],[11,"borrow","","",1,[[]]],[11,"borrow_mut","","",1,[[]]],[11,"into","","",1,[[]]],[11,"from","","",1,[[]]],[11,"try_into","","",1,[[],["result",4]]],[11,"try_from","","",1,[[],["result",4]]],[11,"type_id","","",1,[[],["typeid",3]]],[11,"borrow","","",152,[[]]],[11,"borrow_mut","","",152,[[]]],[11,"into","","",152,[[]]],[11,"from","","",152,[[]]],[11,"try_into","","",152,[[],["result",4]]],[11,"try_from","","",152,[[],["result",4]]],[11,"type_id","","",152,[[],["typeid",3]]],[11,"borrow","","",153,[[]]],[11,"borrow_mut","","",153,[[]]],[11,"into","","",153,[[]]],[11,"from","","",153,[[]]],[11,"try_into","","",153,[[],["result",4]]],[11,"try_from","","",153,[[],["result",4]]],[11,"type_id","","",153,[[],["typeid",3]]],[11,"borrow","","",154,[[]]],[11,"borrow_mut","","",154,[[]]],[11,"into","","",154,[[]]],[11,"from","","",154,[[]]],[11,"try_into","","",154,[[],["result",4]]],[11,"try_from","","",154,[[],["result",4]]],[11,"type_id","","",154,[[],["typeid",3]]],[11,"borrow","","",155,[[]]],[11,"borrow_mut","","",155,[[]]],[11,"into","","",155,[[]]],[11,"from","","",155,[[]]],[11,"try_into","","",155,[[],["result",4]]],[11,"try_from","","",155,[[],["result",4]]],[11,"type_id","","",155,[[],["typeid",3]]],[11,"borrow","","",156,[[]]],[11,"borrow_mut","","",156,[[]]],[11,"into","","",156,[[]]],[11,"from","","",156,[[]]],[11,"try_into","","",156,[[],["result",4]]],[11,"try_from","","",156,[[],["result",4]]],[11,"type_id","","",156,[[],["typeid",3]]],[11,"borrow","","",157,[[]]],[11,"borrow_mut","","",157,[[]]],[11,"into","","",157,[[]]],[11,"from","","",157,[[]]],[11,"try_into","","",157,[[],["result",4]]],[11,"try_from","","",157,[[],["result",4]]],[11,"type_id","","",157,[[],["typeid",3]]],[11,"borrow","","",158,[[]]],[11,"borrow_mut","","",158,[[]]],[11,"into","","",158,[[]]],[11,"from","","",158,[[]]],[11,"try_into","","",158,[[],["result",4]]],[11,"try_from","","",158,[[],["result",4]]],[11,"type_id","","",158,[[],["typeid",3]]],[11,"borrow","","",159,[[]]],[11,"borrow_mut","","",159,[[]]],[11,"into","","",159,[[]]],[11,"from","","",159,[[]]],[11,"try_into","","",159,[[],["result",4]]],[11,"try_from","","",159,[[],["result",4]]],[11,"type_id","","",159,[[],["typeid",3]]],[11,"borrow","","",160,[[]]],[11,"borrow_mut","","",160,[[]]],[11,"into","","",160,[[]]],[11,"from","","",160,[[]]],[11,"try_into","","",160,[[],["result",4]]],[11,"try_from","","",160,[[],["result",4]]],[11,"type_id","","",160,[[],["typeid",3]]],[11,"borrow","","",161,[[]]],[11,"borrow_mut","","",161,[[]]],[11,"into","","",161,[[]]],[11,"from","","",161,[[]]],[11,"try_into","","",161,[[],["result",4]]],[11,"try_from","","",161,[[],["result",4]]],[11,"type_id","","",161,[[],["typeid",3]]],[11,"borrow","","",162,[[]]],[11,"borrow_mut","","",162,[[]]],[11,"into","","",162,[[]]],[11,"from","","",162,[[]]],[11,"try_into","","",162,[[],["result",4]]],[11,"try_from","","",162,[[],["result",4]]],[11,"type_id","","",162,[[],["typeid",3]]],[11,"borrow","","",163,[[]]],[11,"borrow_mut","","",163,[[]]],[11,"into","","",163,[[]]],[11,"from","","",163,[[]]],[11,"try_into","","",163,[[],["result",4]]],[11,"try_from","","",163,[[],["result",4]]],[11,"type_id","","",163,[[],["typeid",3]]],[11,"borrow","","",0,[[]]],[11,"borrow_mut","","",0,[[]]],[11,"into","","",0,[[]]],[11,"from","","",0,[[]]],[11,"try_into","","",0,[[],["result",4]]],[11,"try_from","","",0,[[],["result",4]]],[11,"type_id","","",0,[[],["typeid",3]]],[11,"borrow","","",2,[[]]],[11,"borrow_mut","","",2,[[]]],[11,"into","","",2,[[]]],[11,"from","","",2,[[]]],[11,"try_into","","",2,[[],["result",4]]],[11,"try_from","","",2,[[],["result",4]]],[11,"type_id","","",2,[[],["typeid",3]]],[11,"borrow","core::mem","",164,[[]]],[11,"borrow_mut","","",164,[[]]],[11,"into","","",164,[[]]],[11,"from","","",164,[[]]],[11,"try_into","","",164,[[],["result",4]]],[11,"try_from","","",164,[[],["result",4]]],[11,"type_id","","",164,[[],["typeid",3]]],[11,"borrow","","",165,[[]]],[11,"borrow_mut","","",165,[[]]],[11,"into","","",165,[[]]],[11,"from","","",165,[[]]],[11,"try_into","","",165,[[],["result",4]]],[11,"try_from","","",165,[[],["result",4]]],[11,"type_id","","",165,[[],["typeid",3]]],[11,"borrow","","",166,[[]]],[11,"borrow_mut","","",166,[[]]],[11,"into","","",166,[[]]],[11,"from","","",166,[[]]],[11,"try_into","","",166,[[],["result",4]]],[11,"try_from","","",166,[[],["result",4]]],[11,"type_id","","",166,[[],["typeid",3]]],[11,"borrow","core::ptr","",167,[[]]],[11,"borrow_mut","","",167,[[]]],[11,"into","","",167,[[]]],[11,"from","","",167,[[]]],[11,"try_into","","",167,[[],["result",4]]],[11,"try_from","","",167,[[],["result",4]]],[11,"type_id","","",167,[[],["typeid",3]]],[11,"borrow","core::cmp","",7,[[]]],[11,"borrow_mut","","",7,[[]]],[11,"into","","",7,[[]]],[11,"from","","",7,[[]]],[11,"try_into","","",7,[[],["result",4]]],[11,"try_from","","",7,[[],["result",4]]],[11,"type_id","","",7,[[],["typeid",3]]],[11,"borrow","","",8,[[]]],[11,"borrow_mut","","",8,[[]]],[11,"into","","",8,[[]]],[11,"from","","",8,[[]]],[11,"try_into","","",8,[[],["result",4]]],[11,"try_from","","",8,[[],["result",4]]],[11,"type_id","","",8,[[],["typeid",3]]],[11,"borrow","core::convert","",168,[[]]],[11,"borrow_mut","","",168,[[]]],[11,"into","","",168,[[]]],[11,"from","","",168,[[]]],[11,"from","","",168,[[]]],[11,"try_into","","",168,[[],["result",4]]],[11,"try_from","","",168,[[],["result",4]]],[11,"type_id","","",168,[[],["typeid",3]]],[11,"borrow","core::marker","",169,[[]]],[11,"borrow_mut","","",169,[[]]],[11,"into","","",169,[[]]],[11,"from","","",169,[[]]],[11,"try_into","","",169,[[],["result",4]]],[11,"try_from","","",169,[[],["result",4]]],[11,"type_id","","",169,[[],["typeid",3]]],[11,"borrow","","",170,[[]]],[11,"borrow_mut","","",170,[[]]],[11,"into","","",170,[[]]],[11,"from","","",170,[[]]],[11,"try_into","","",170,[[],["result",4]]],[11,"try_from","","",170,[[],["result",4]]],[11,"type_id","","",170,[[],["typeid",3]]],[11,"borrow","core::ops","",58,[[]]],[11,"borrow_mut","","",58,[[]]],[11,"into","","",58,[[]]],[11,"from","","",58,[[]]],[11,"try_into","","",58,[[],["result",4]]],[11,"try_from","","",58,[[],["result",4]]],[11,"type_id","","",58,[[],["typeid",3]]],[11,"borrow","","",57,[[]]],[11,"borrow_mut","","",57,[[]]],[11,"into","","",57,[[]]],[11,"from","","",57,[[]]],[11,"try_into","","",57,[[],["result",4]]],[11,"try_from","","",57,[[],["result",4]]],[11,"type_id","","",57,[[],["typeid",3]]],[11,"borrow","","",171,[[]]],[11,"borrow_mut","","",171,[[]]],[11,"into","","",171,[[]]],[11,"from","","",171,[[]]],[11,"try_into","","",171,[[],["result",4]]],[11,"try_from","","",171,[[],["result",4]]],[11,"type_id","","",171,[[],["typeid",3]]],[11,"borrow","","",49,[[]]],[11,"borrow_mut","","",49,[[]]],[11,"into","","",49,[[]]],[11,"from","","",49,[[]]],[11,"try_into","","",49,[[],["result",4]]],[11,"try_from","","",49,[[],["result",4]]],[11,"type_id","","",49,[[],["typeid",3]]],[11,"borrow","","",50,[[]]],[11,"borrow_mut","","",50,[[]]],[11,"into","","",50,[[]]],[11,"from","","",50,[[]]],[11,"try_into","","",50,[[],["result",4]]],[11,"try_from","","",50,[[],["result",4]]],[11,"type_id","","",50,[[],["typeid",3]]],[11,"borrow","","",51,[[]]],[11,"borrow_mut","","",51,[[]]],[11,"into","","",51,[[]]],[11,"from","","",51,[[]]],[11,"try_into","","",51,[[],["result",4]]],[11,"try_from","","",51,[[],["result",4]]],[11,"type_id","","",51,[[],["typeid",3]]],[11,"borrow","","",172,[[]]],[11,"borrow_mut","","",172,[[]]],[11,"into","","",172,[[]]],[11,"from","","",172,[[]]],[11,"try_into","","",172,[[],["result",4]]],[11,"try_from","","",172,[[],["result",4]]],[11,"type_id","","",172,[[],["typeid",3]]],[11,"borrow","","",54,[[]]],[11,"borrow_mut","","",54,[[]]],[11,"into","","",54,[[]]],[11,"from","","",54,[[]]],[11,"try_into","","",54,[[],["result",4]]],[11,"try_from","","",54,[[],["result",4]]],[11,"type_id","","",54,[[],["typeid",3]]],[11,"borrow","","",52,[[]]],[11,"borrow_mut","","",52,[[]]],[11,"into","","",52,[[]]],[11,"from","","",52,[[]]],[11,"try_into","","",52,[[],["result",4]]],[11,"try_from","","",52,[[],["result",4]]],[11,"type_id","","",52,[[],["typeid",3]]],[11,"borrow","core::any","",60,[[]]],[11,"borrow_mut","","",60,[[]]],[11,"into","","",60,[[]]],[11,"from","","",60,[[]]],[11,"try_into","","",60,[[],["result",4]]],[11,"try_from","","",60,[[],["result",4]]],[11,"type_id","","",60,[[],["typeid",3]]],[11,"borrow","core::array","",173,[[]]],[11,"borrow_mut","","",173,[[]]],[11,"into","","",173,[[]]],[11,"from","","",173,[[]]],[11,"try_into","","",173,[[],["result",4]]],[11,"try_from","","",173,[[],["result",4]]],[11,"type_id","","",173,[[],["typeid",3]]],[11,"borrow","","",174,[[]]],[11,"borrow_mut","","",174,[[]]],[11,"into","","",174,[[]]],[11,"from","","",174,[[]]],[11,"try_into","","",174,[[],["result",4]]],[11,"try_from","","",174,[[],["result",4]]],[11,"type_id","","",174,[[],["typeid",3]]],[11,"borrow","core::ascii","",175,[[]]],[11,"borrow_mut","","",175,[[]]],[11,"into","","",175,[[]]],[11,"from","","",175,[[]]],[11,"try_into","","",175,[[],["result",4]]],[11,"try_from","","",175,[[],["result",4]]],[11,"type_id","","",175,[[],["typeid",3]]],[11,"borrow","core::cell","",62,[[]]],[11,"borrow_mut","","",62,[[]]],[11,"into","","",62,[[]]],[11,"from","","",62,[[]]],[11,"from","","",62,[[]]],[11,"try_into","","",62,[[],["result",4]]],[11,"try_from","","",62,[[],["result",4]]],[11,"type_id","","",62,[[],["typeid",3]]],[11,"borrow","","",63,[[]]],[11,"borrow_mut","","",63,[[]]],[11,"into","","",63,[[]]],[11,"from","","",63,[[]]],[11,"from","","",63,[[]]],[11,"try_into","","",63,[[],["result",4]]],[11,"try_from","","",63,[[],["result",4]]],[11,"type_id","","",63,[[],["typeid",3]]],[11,"borrow","","",176,[[]]],[11,"borrow_mut","","",176,[[]]],[11,"into","","",176,[[]]],[11,"from","","",176,[[]]],[11,"try_into","","",176,[[],["result",4]]],[11,"try_from","","",176,[[],["result",4]]],[11,"type_id","","",176,[[],["typeid",3]]],[11,"borrow","","",177,[[]]],[11,"borrow_mut","","",177,[[]]],[11,"into","","",177,[[]]],[11,"from","","",177,[[]]],[11,"try_into","","",177,[[],["result",4]]],[11,"try_from","","",177,[[],["result",4]]],[11,"type_id","","",177,[[],["typeid",3]]],[11,"borrow","","",64,[[]]],[11,"borrow_mut","","",64,[[]]],[11,"into","","",64,[[]]],[11,"from","","",64,[[]]],[11,"try_into","","",64,[[],["result",4]]],[11,"try_from","","",64,[[],["result",4]]],[11,"type_id","","",64,[[],["typeid",3]]],[11,"borrow","","",178,[[]]],[11,"borrow_mut","","",178,[[]]],[11,"into","","",178,[[]]],[11,"from","","",178,[[]]],[11,"try_into","","",178,[[],["result",4]]],[11,"try_from","","",178,[[],["result",4]]],[11,"type_id","","",178,[[],["typeid",3]]],[11,"borrow","","",65,[[]]],[11,"borrow_mut","","",65,[[]]],[11,"into","","",65,[[]]],[11,"from","","",65,[[]]],[11,"from","","",65,[[]]],[11,"try_into","","",65,[[],["result",4]]],[11,"try_from","","",65,[[],["result",4]]],[11,"type_id","","",65,[[],["typeid",3]]],[11,"borrow","core::char","",179,[[]]],[11,"borrow_mut","","",179,[[]]],[11,"into","","",179,[[]]],[11,"from","","",179,[[]]],[11,"try_into","","",179,[[],["result",4]]],[11,"try_from","","",179,[[],["result",4]]],[11,"type_id","","",179,[[],["typeid",3]]],[11,"borrow","","",180,[[]]],[11,"borrow_mut","","",180,[[]]],[11,"into","","",180,[[]]],[11,"from","","",180,[[]]],[11,"try_into","","",180,[[],["result",4]]],[11,"try_from","","",180,[[],["result",4]]],[11,"type_id","","",180,[[],["typeid",3]]],[11,"borrow","","",181,[[]]],[11,"borrow_mut","","",181,[[]]],[11,"into","","",181,[[]]],[11,"from","","",181,[[]]],[11,"try_into","","",181,[[],["result",4]]],[11,"try_from","","",181,[[],["result",4]]],[11,"type_id","","",181,[[],["typeid",3]]],[11,"borrow","","",182,[[]]],[11,"borrow_mut","","",182,[[]]],[11,"into","","",182,[[]]],[11,"from","","",182,[[]]],[11,"try_into","","",182,[[],["result",4]]],[11,"try_from","","",182,[[],["result",4]]],[11,"type_id","","",182,[[],["typeid",3]]],[11,"borrow","","",183,[[]]],[11,"borrow_mut","","",183,[[]]],[11,"into","","",183,[[]]],[11,"from","","",183,[[]]],[11,"try_into","","",183,[[],["result",4]]],[11,"try_from","","",183,[[],["result",4]]],[11,"type_id","","",183,[[],["typeid",3]]],[11,"borrow","","",184,[[]]],[11,"borrow_mut","","",184,[[]]],[11,"into","","",184,[[]]],[11,"from","","",184,[[]]],[11,"try_into","","",184,[[],["result",4]]],[11,"try_from","","",184,[[],["result",4]]],[11,"type_id","","",184,[[],["typeid",3]]],[11,"borrow","","",185,[[]]],[11,"borrow_mut","","",185,[[]]],[11,"into","","",185,[[]]],[11,"from","","",185,[[]]],[11,"try_into","","",185,[[],["result",4]]],[11,"try_from","","",185,[[],["result",4]]],[11,"type_id","","",185,[[],["typeid",3]]],[11,"borrow","","",186,[[]]],[11,"borrow_mut","","",186,[[]]],[11,"into","","",186,[[]]],[11,"from","","",186,[[]]],[11,"try_into","","",186,[[],["result",4]]],[11,"try_from","","",186,[[],["result",4]]],[11,"type_id","","",186,[[],["typeid",3]]],[11,"borrow","","",187,[[]]],[11,"borrow_mut","","",187,[[]]],[11,"into","","",187,[[]]],[11,"from","","",187,[[]]],[11,"try_into","","",187,[[],["result",4]]],[11,"try_from","","",187,[[],["result",4]]],[11,"type_id","","",187,[[],["typeid",3]]],[11,"borrow","core::ffi","",188,[[]]],[11,"borrow_mut","","",188,[[]]],[11,"into","","",188,[[]]],[11,"from","","",188,[[]]],[11,"try_into","","",188,[[],["result",4]]],[11,"try_from","","",188,[[],["result",4]]],[11,"type_id","","",188,[[],["typeid",3]]],[11,"borrow","","",66,[[]]],[11,"borrow_mut","","",66,[[]]],[11,"into","","",66,[[]]],[11,"from","","",66,[[]]],[11,"try_into","","",66,[[],["result",4]]],[11,"try_from","","",66,[[],["result",4]]],[11,"type_id","","",66,[[],["typeid",3]]],[11,"borrow","","",189,[[]]],[11,"borrow_mut","","",189,[[]]],[11,"into","","",189,[[]]],[11,"from","","",189,[[]]],[11,"try_into","","",189,[[],["result",4]]],[11,"try_from","","",189,[[],["result",4]]],[11,"type_id","","",189,[[],["typeid",3]]],[11,"borrow","core::iter","",190,[[]]],[11,"borrow_mut","","",190,[[]]],[11,"into","","",190,[[]]],[11,"from","","",190,[[]]],[11,"try_into","","",190,[[],["result",4]]],[11,"try_from","","",190,[[],["result",4]]],[11,"type_id","","",190,[[],["typeid",3]]],[11,"borrow","","",191,[[]]],[11,"borrow_mut","","",191,[[]]],[11,"into","","",191,[[]]],[11,"from","","",191,[[]]],[11,"try_into","","",191,[[],["result",4]]],[11,"try_from","","",191,[[],["result",4]]],[11,"type_id","","",191,[[],["typeid",3]]],[11,"borrow","","",192,[[]]],[11,"borrow_mut","","",192,[[]]],[11,"into","","",192,[[]]],[11,"from","","",192,[[]]],[11,"try_into","","",192,[[],["result",4]]],[11,"try_from","","",192,[[],["result",4]]],[11,"type_id","","",192,[[],["typeid",3]]],[11,"borrow","","",193,[[]]],[11,"borrow_mut","","",193,[[]]],[11,"into","","",193,[[]]],[11,"from","","",193,[[]]],[11,"try_into","","",193,[[],["result",4]]],[11,"try_from","","",193,[[],["result",4]]],[11,"type_id","","",193,[[],["typeid",3]]],[11,"borrow","","",194,[[]]],[11,"borrow_mut","","",194,[[]]],[11,"into","","",194,[[]]],[11,"from","","",194,[[]]],[11,"try_into","","",194,[[],["result",4]]],[11,"try_from","","",194,[[],["result",4]]],[11,"type_id","","",194,[[],["typeid",3]]],[11,"borrow","","",195,[[]]],[11,"borrow_mut","","",195,[[]]],[11,"into","","",195,[[]]],[11,"from","","",195,[[]]],[11,"try_into","","",195,[[],["result",4]]],[11,"try_from","","",195,[[],["result",4]]],[11,"type_id","","",195,[[],["typeid",3]]],[11,"borrow","","",196,[[]]],[11,"borrow_mut","","",196,[[]]],[11,"into","","",196,[[]]],[11,"from","","",196,[[]]],[11,"try_into","","",196,[[],["result",4]]],[11,"try_from","","",196,[[],["result",4]]],[11,"type_id","","",196,[[],["typeid",3]]],[11,"borrow","","",197,[[]]],[11,"borrow_mut","","",197,[[]]],[11,"into","","",197,[[]]],[11,"from","","",197,[[]]],[11,"try_into","","",197,[[],["result",4]]],[11,"try_from","","",197,[[],["result",4]]],[11,"type_id","","",197,[[],["typeid",3]]],[11,"borrow","","",198,[[]]],[11,"borrow_mut","","",198,[[]]],[11,"into","","",198,[[]]],[11,"from","","",198,[[]]],[11,"try_into","","",198,[[],["result",4]]],[11,"try_from","","",198,[[],["result",4]]],[11,"type_id","","",198,[[],["typeid",3]]],[11,"borrow","","",199,[[]]],[11,"borrow_mut","","",199,[[]]],[11,"into","","",199,[[]]],[11,"from","","",199,[[]]],[11,"try_into","","",199,[[],["result",4]]],[11,"try_from","","",199,[[],["result",4]]],[11,"type_id","","",199,[[],["typeid",3]]],[11,"borrow","","",200,[[]]],[11,"borrow_mut","","",200,[[]]],[11,"into","","",200,[[]]],[11,"from","","",200,[[]]],[11,"try_into","","",200,[[],["result",4]]],[11,"try_from","","",200,[[],["result",4]]],[11,"type_id","","",200,[[],["typeid",3]]],[11,"borrow","","",201,[[]]],[11,"borrow_mut","","",201,[[]]],[11,"into","","",201,[[]]],[11,"from","","",201,[[]]],[11,"try_into","","",201,[[],["result",4]]],[11,"try_from","","",201,[[],["result",4]]],[11,"type_id","","",201,[[],["typeid",3]]],[11,"borrow","","",202,[[]]],[11,"borrow_mut","","",202,[[]]],[11,"into","","",202,[[]]],[11,"from","","",202,[[]]],[11,"try_into","","",202,[[],["result",4]]],[11,"try_from","","",202,[[],["result",4]]],[11,"type_id","","",202,[[],["typeid",3]]],[11,"borrow","","",203,[[]]],[11,"borrow_mut","","",203,[[]]],[11,"into","","",203,[[]]],[11,"from","","",203,[[]]],[11,"try_into","","",203,[[],["result",4]]],[11,"try_from","","",203,[[],["result",4]]],[11,"type_id","","",203,[[],["typeid",3]]],[11,"borrow","","",204,[[]]],[11,"borrow_mut","","",204,[[]]],[11,"into","","",204,[[]]],[11,"from","","",204,[[]]],[11,"try_into","","",204,[[],["result",4]]],[11,"try_from","","",204,[[],["result",4]]],[11,"type_id","","",204,[[],["typeid",3]]],[11,"borrow","","",205,[[]]],[11,"borrow_mut","","",205,[[]]],[11,"into","","",205,[[]]],[11,"from","","",205,[[]]],[11,"try_into","","",205,[[],["result",4]]],[11,"try_from","","",205,[[],["result",4]]],[11,"type_id","","",205,[[],["typeid",3]]],[11,"borrow","","",206,[[]]],[11,"borrow_mut","","",206,[[]]],[11,"into","","",206,[[]]],[11,"from","","",206,[[]]],[11,"try_into","","",206,[[],["result",4]]],[11,"try_from","","",206,[[],["result",4]]],[11,"type_id","","",206,[[],["typeid",3]]],[11,"borrow","","",207,[[]]],[11,"borrow_mut","","",207,[[]]],[11,"into","","",207,[[]]],[11,"from","","",207,[[]]],[11,"try_into","","",207,[[],["result",4]]],[11,"try_from","","",207,[[],["result",4]]],[11,"type_id","","",207,[[],["typeid",3]]],[11,"borrow","","",208,[[]]],[11,"borrow_mut","","",208,[[]]],[11,"into","","",208,[[]]],[11,"from","","",208,[[]]],[11,"try_into","","",208,[[],["result",4]]],[11,"try_from","","",208,[[],["result",4]]],[11,"type_id","","",208,[[],["typeid",3]]],[11,"borrow","","",209,[[]]],[11,"borrow_mut","","",209,[[]]],[11,"into","","",209,[[]]],[11,"from","","",209,[[]]],[11,"try_into","","",209,[[],["result",4]]],[11,"try_from","","",209,[[],["result",4]]],[11,"type_id","","",209,[[],["typeid",3]]],[11,"borrow","","",210,[[]]],[11,"borrow_mut","","",210,[[]]],[11,"into","","",210,[[]]],[11,"from","","",210,[[]]],[11,"try_into","","",210,[[],["result",4]]],[11,"try_from","","",210,[[],["result",4]]],[11,"type_id","","",210,[[],["typeid",3]]],[11,"borrow","","",211,[[]]],[11,"borrow_mut","","",211,[[]]],[11,"into","","",211,[[]]],[11,"from","","",211,[[]]],[11,"try_into","","",211,[[],["result",4]]],[11,"try_from","","",211,[[],["result",4]]],[11,"type_id","","",211,[[],["typeid",3]]],[11,"borrow","","",212,[[]]],[11,"borrow_mut","","",212,[[]]],[11,"into","","",212,[[]]],[11,"from","","",212,[[]]],[11,"try_into","","",212,[[],["result",4]]],[11,"try_from","","",212,[[],["result",4]]],[11,"type_id","","",212,[[],["typeid",3]]],[11,"borrow","","",213,[[]]],[11,"borrow_mut","","",213,[[]]],[11,"into","","",213,[[]]],[11,"from","","",213,[[]]],[11,"try_into","","",213,[[],["result",4]]],[11,"try_from","","",213,[[],["result",4]]],[11,"type_id","","",213,[[],["typeid",3]]],[11,"borrow","","",214,[[]]],[11,"borrow_mut","","",214,[[]]],[11,"into","","",214,[[]]],[11,"from","","",214,[[]]],[11,"try_into","","",214,[[],["result",4]]],[11,"try_from","","",214,[[],["result",4]]],[11,"type_id","","",214,[[],["typeid",3]]],[11,"borrow","","",215,[[]]],[11,"borrow_mut","","",215,[[]]],[11,"into","","",215,[[]]],[11,"from","","",215,[[]]],[11,"try_into","","",215,[[],["result",4]]],[11,"try_from","","",215,[[],["result",4]]],[11,"type_id","","",215,[[],["typeid",3]]],[11,"borrow","","",216,[[]]],[11,"borrow_mut","","",216,[[]]],[11,"into","","",216,[[]]],[11,"from","","",216,[[]]],[11,"try_into","","",216,[[],["result",4]]],[11,"try_from","","",216,[[],["result",4]]],[11,"type_id","","",216,[[],["typeid",3]]],[11,"borrow","","",217,[[]]],[11,"borrow_mut","","",217,[[]]],[11,"into","","",217,[[]]],[11,"from","","",217,[[]]],[11,"try_into","","",217,[[],["result",4]]],[11,"try_from","","",217,[[],["result",4]]],[11,"type_id","","",217,[[],["typeid",3]]],[11,"borrow","","",218,[[]]],[11,"borrow_mut","","",218,[[]]],[11,"into","","",218,[[]]],[11,"from","","",218,[[]]],[11,"try_into","","",218,[[],["result",4]]],[11,"try_from","","",218,[[],["result",4]]],[11,"type_id","","",218,[[],["typeid",3]]],[11,"borrow","","",219,[[]]],[11,"borrow_mut","","",219,[[]]],[11,"into","","",219,[[]]],[11,"from","","",219,[[]]],[11,"try_into","","",219,[[],["result",4]]],[11,"try_from","","",219,[[],["result",4]]],[11,"type_id","","",219,[[],["typeid",3]]],[11,"borrow","","",220,[[]]],[11,"borrow_mut","","",220,[[]]],[11,"into","","",220,[[]]],[11,"from","","",220,[[]]],[11,"try_into","","",220,[[],["result",4]]],[11,"try_from","","",220,[[],["result",4]]],[11,"type_id","","",220,[[],["typeid",3]]],[11,"borrow","core::lazy","",77,[[]]],[11,"borrow_mut","","",77,[[]]],[11,"into","","",77,[[]]],[11,"from","","",77,[[]]],[11,"from","","",77,[[]]],[11,"try_into","","",77,[[],["result",4]]],[11,"try_from","","",77,[[],["result",4]]],[11,"type_id","","",77,[[],["typeid",3]]],[11,"borrow","","",78,[[]]],[11,"borrow_mut","","",78,[[]]],[11,"into","","",78,[[]]],[11,"from","","",78,[[]]],[11,"try_into","","",78,[[],["result",4]]],[11,"try_from","","",78,[[],["result",4]]],[11,"type_id","","",78,[[],["typeid",3]]],[11,"borrow","core::option","",79,[[]]],[11,"borrow_mut","","",79,[[]]],[11,"into","","",79,[[]]],[11,"from","","",79,[[]]],[11,"from","","",79,[[]]],[11,"try_into","","",79,[[],["result",4]]],[11,"try_from","","",79,[[],["result",4]]],[11,"type_id","","",79,[[],["typeid",3]]],[11,"borrow","","",221,[[]]],[11,"borrow_mut","","",221,[[]]],[11,"into","","",221,[[]]],[11,"from","","",221,[[]]],[11,"try_into","","",221,[[],["result",4]]],[11,"try_from","","",221,[[],["result",4]]],[11,"type_id","","",221,[[],["typeid",3]]],[11,"borrow","","",222,[[]]],[11,"borrow_mut","","",222,[[]]],[11,"into","","",222,[[]]],[11,"from","","",222,[[]]],[11,"try_into","","",222,[[],["result",4]]],[11,"try_from","","",222,[[],["result",4]]],[11,"type_id","","",222,[[],["typeid",3]]],[11,"borrow","","",223,[[]]],[11,"borrow_mut","","",223,[[]]],[11,"into","","",223,[[]]],[11,"from","","",223,[[]]],[11,"try_into","","",223,[[],["result",4]]],[11,"try_from","","",223,[[],["result",4]]],[11,"type_id","","",223,[[],["typeid",3]]],[11,"borrow","","",224,[[]]],[11,"borrow_mut","","",224,[[]]],[11,"into","","",224,[[]]],[11,"from","","",224,[[]]],[11,"try_into","","",224,[[],["result",4]]],[11,"try_from","","",224,[[],["result",4]]],[11,"type_id","","",224,[[],["typeid",3]]],[11,"borrow","core::panic","",80,[[]]],[11,"borrow_mut","","",80,[[]]],[11,"into","","",80,[[]]],[11,"from","","",80,[[]]],[11,"try_into","","",80,[[],["result",4]]],[11,"try_from","","",80,[[],["result",4]]],[11,"type_id","","",80,[[],["typeid",3]]],[11,"borrow","","",81,[[]]],[11,"borrow_mut","","",81,[[]]],[11,"into","","",81,[[]]],[11,"from","","",81,[[]]],[11,"try_into","","",81,[[],["result",4]]],[11,"try_from","","",81,[[],["result",4]]],[11,"type_id","","",81,[[],["typeid",3]]],[11,"borrow","core::pin","",82,[[]]],[11,"borrow_mut","","",82,[[]]],[11,"into","","",82,[[]]],[11,"from","","",82,[[]]],[11,"try_into","","",82,[[],["result",4]]],[11,"try_from","","",82,[[],["result",4]]],[11,"type_id","","",82,[[],["typeid",3]]],[11,"borrow","core::raw","",83,[[]]],[11,"borrow_mut","","",83,[[]]],[11,"into","","",83,[[]]],[11,"from","","",83,[[]]],[11,"try_into","","",83,[[],["result",4]]],[11,"try_from","","",83,[[],["result",4]]],[11,"type_id","","",83,[[],["typeid",3]]],[11,"borrow","core::result","",84,[[]]],[11,"borrow_mut","","",84,[[]]],[11,"into","","",84,[[]]],[11,"from","","",84,[[]]],[11,"try_into","","",84,[[],["result",4]]],[11,"try_from","","",84,[[],["result",4]]],[11,"type_id","","",84,[[],["typeid",3]]],[11,"borrow","","",225,[[]]],[11,"borrow_mut","","",225,[[]]],[11,"into","","",225,[[]]],[11,"from","","",225,[[]]],[11,"try_into","","",225,[[],["result",4]]],[11,"try_from","","",225,[[],["result",4]]],[11,"type_id","","",225,[[],["typeid",3]]],[11,"borrow","","",226,[[]]],[11,"borrow_mut","","",226,[[]]],[11,"into","","",226,[[]]],[11,"from","","",226,[[]]],[11,"try_into","","",226,[[],["result",4]]],[11,"try_from","","",226,[[],["result",4]]],[11,"type_id","","",226,[[],["typeid",3]]],[11,"borrow","","",227,[[]]],[11,"borrow_mut","","",227,[[]]],[11,"into","","",227,[[]]],[11,"from","","",227,[[]]],[11,"try_into","","",227,[[],["result",4]]],[11,"try_from","","",227,[[],["result",4]]],[11,"type_id","","",227,[[],["typeid",3]]],[11,"borrow","core::sync::atomic","",87,[[]]],[11,"borrow_mut","","",87,[[]]],[11,"into","","",87,[[]]],[11,"from","","",87,[[]]],[11,"try_into","","",87,[[],["result",4]]],[11,"try_from","","",87,[[],["result",4]]],[11,"type_id","","",87,[[],["typeid",3]]],[11,"borrow","","",88,[[]]],[11,"borrow_mut","","",88,[[]]],[11,"into","","",88,[[]]],[11,"from","","",88,[[]]],[11,"try_into","","",88,[[],["result",4]]],[11,"try_from","","",88,[[],["result",4]]],[11,"type_id","","",88,[[],["typeid",3]]],[11,"borrow","","",86,[[]]],[11,"borrow_mut","","",86,[[]]],[11,"into","","",86,[[]]],[11,"from","","",86,[[]]],[11,"try_into","","",86,[[],["result",4]]],[11,"try_from","","",86,[[],["result",4]]],[11,"type_id","","",86,[[],["typeid",3]]],[11,"borrow","","",89,[[]]],[11,"borrow_mut","","",89,[[]]],[11,"into","","",89,[[]]],[11,"from","","",89,[[]]],[11,"try_into","","",89,[[],["result",4]]],[11,"try_from","","",89,[[],["result",4]]],[11,"type_id","","",89,[[],["typeid",3]]],[11,"borrow","","",90,[[]]],[11,"borrow_mut","","",90,[[]]],[11,"into","","",90,[[]]],[11,"from","","",90,[[]]],[11,"try_into","","",90,[[],["result",4]]],[11,"try_from","","",90,[[],["result",4]]],[11,"type_id","","",90,[[],["typeid",3]]],[11,"borrow","","",91,[[]]],[11,"borrow_mut","","",91,[[]]],[11,"into","","",91,[[]]],[11,"from","","",91,[[]]],[11,"try_into","","",91,[[],["result",4]]],[11,"try_from","","",91,[[],["result",4]]],[11,"type_id","","",91,[[],["typeid",3]]],[11,"borrow","","",92,[[]]],[11,"borrow_mut","","",92,[[]]],[11,"into","","",92,[[]]],[11,"from","","",92,[[]]],[11,"try_into","","",92,[[],["result",4]]],[11,"try_from","","",92,[[],["result",4]]],[11,"type_id","","",92,[[],["typeid",3]]],[11,"borrow","","",93,[[]]],[11,"borrow_mut","","",93,[[]]],[11,"into","","",93,[[]]],[11,"from","","",93,[[]]],[11,"try_into","","",93,[[],["result",4]]],[11,"try_from","","",93,[[],["result",4]]],[11,"type_id","","",93,[[],["typeid",3]]],[11,"borrow","","",94,[[]]],[11,"borrow_mut","","",94,[[]]],[11,"into","","",94,[[]]],[11,"from","","",94,[[]]],[11,"try_into","","",94,[[],["result",4]]],[11,"try_from","","",94,[[],["result",4]]],[11,"type_id","","",94,[[],["typeid",3]]],[11,"borrow","","",95,[[]]],[11,"borrow_mut","","",95,[[]]],[11,"into","","",95,[[]]],[11,"from","","",95,[[]]],[11,"try_into","","",95,[[],["result",4]]],[11,"try_from","","",95,[[],["result",4]]],[11,"type_id","","",95,[[],["typeid",3]]],[11,"borrow","","",96,[[]]],[11,"borrow_mut","","",96,[[]]],[11,"into","","",96,[[]]],[11,"from","","",96,[[]]],[11,"try_into","","",96,[[],["result",4]]],[11,"try_from","","",96,[[],["result",4]]],[11,"type_id","","",96,[[],["typeid",3]]],[11,"borrow","","",97,[[]]],[11,"borrow_mut","","",97,[[]]],[11,"into","","",97,[[]]],[11,"from","","",97,[[]]],[11,"try_into","","",97,[[],["result",4]]],[11,"try_from","","",97,[[],["result",4]]],[11,"type_id","","",97,[[],["typeid",3]]],[11,"borrow","","",98,[[]]],[11,"borrow_mut","","",98,[[]]],[11,"into","","",98,[[]]],[11,"from","","",98,[[]]],[11,"try_into","","",98,[[],["result",4]]],[11,"try_from","","",98,[[],["result",4]]],[11,"type_id","","",98,[[],["typeid",3]]],[11,"borrow","core::fmt","",228,[[]]],[11,"borrow_mut","","",228,[[]]],[11,"into","","",228,[[]]],[11,"from","","",228,[[]]],[11,"try_into","","",228,[[],["result",4]]],[11,"try_from","","",228,[[],["result",4]]],[11,"type_id","","",228,[[],["typeid",3]]],[11,"borrow","","",229,[[]]],[11,"borrow_mut","","",229,[[]]],[11,"into","","",229,[[]]],[11,"from","","",229,[[]]],[11,"try_into","","",229,[[],["result",4]]],[11,"try_from","","",229,[[],["result",4]]],[11,"type_id","","",229,[[],["typeid",3]]],[11,"borrow","","",230,[[]]],[11,"borrow_mut","","",230,[[]]],[11,"into","","",230,[[]]],[11,"from","","",230,[[]]],[11,"try_into","","",230,[[],["result",4]]],[11,"try_from","","",230,[[],["result",4]]],[11,"type_id","","",230,[[],["typeid",3]]],[11,"borrow","","",231,[[]]],[11,"borrow_mut","","",231,[[]]],[11,"into","","",231,[[]]],[11,"from","","",231,[[]]],[11,"try_into","","",231,[[],["result",4]]],[11,"try_from","","",231,[[],["result",4]]],[11,"type_id","","",231,[[],["typeid",3]]],[11,"borrow","","",232,[[]]],[11,"borrow_mut","","",232,[[]]],[11,"into","","",232,[[]]],[11,"from","","",232,[[]]],[11,"try_into","","",232,[[],["result",4]]],[11,"try_from","","",232,[[],["result",4]]],[11,"type_id","","",232,[[],["typeid",3]]],[11,"borrow","","",99,[[]]],[11,"borrow_mut","","",99,[[]]],[11,"into","","",99,[[]]],[11,"from","","",99,[[]]],[11,"try_into","","",99,[[],["result",4]]],[11,"try_from","","",99,[[],["result",4]]],[11,"type_id","","",99,[[],["typeid",3]]],[11,"borrow","","",233,[[]]],[11,"borrow_mut","","",233,[[]]],[11,"into","","",233,[[]]],[11,"from","","",233,[[]]],[11,"try_into","","",233,[[],["result",4]]],[11,"try_from","","",233,[[],["result",4]]],[11,"type_id","","",233,[[],["typeid",3]]],[11,"borrow","","",111,[[]]],[11,"borrow_mut","","",111,[[]]],[11,"into","","",111,[[]]],[11,"from","","",111,[[]]],[11,"try_into","","",111,[[],["result",4]]],[11,"try_from","","",111,[[],["result",4]]],[11,"type_id","","",111,[[],["typeid",3]]],[11,"borrow","","",101,[[]]],[11,"borrow_mut","","",101,[[]]],[11,"into","","",101,[[]]],[11,"from","","",101,[[]]],[11,"try_into","","",101,[[],["result",4]]],[11,"try_from","","",101,[[],["result",4]]],[11,"type_id","","",101,[[],["typeid",3]]],[11,"borrow","core::hash","",234,[[]]],[11,"borrow_mut","","",234,[[]]],[11,"into","","",234,[[]]],[11,"from","","",234,[[]]],[11,"try_into","","",234,[[],["result",4]]],[11,"try_from","","",234,[[],["result",4]]],[11,"type_id","","",234,[[],["typeid",3]]],[11,"borrow","","",235,[[]]],[11,"borrow_mut","","",235,[[]]],[11,"into","","",235,[[]]],[11,"from","","",235,[[]]],[11,"try_into","","",235,[[],["result",4]]],[11,"try_from","","",235,[[],["result",4]]],[11,"type_id","","",235,[[],["typeid",3]]],[11,"borrow","core::slice","",236,[[]]],[11,"borrow_mut","","",236,[[]]],[11,"into","","",236,[[]]],[11,"from","","",236,[[]]],[11,"try_into","","",236,[[],["result",4]]],[11,"try_from","","",236,[[],["result",4]]],[11,"type_id","","",236,[[],["typeid",3]]],[11,"borrow","","",237,[[]]],[11,"borrow_mut","","",237,[[]]],[11,"into","","",237,[[]]],[11,"from","","",237,[[]]],[11,"try_into","","",237,[[],["result",4]]],[11,"try_from","","",237,[[],["result",4]]],[11,"type_id","","",237,[[],["typeid",3]]],[11,"borrow","","",238,[[]]],[11,"borrow_mut","","",238,[[]]],[11,"into","","",238,[[]]],[11,"from","","",238,[[]]],[11,"try_into","","",238,[[],["result",4]]],[11,"try_from","","",238,[[],["result",4]]],[11,"type_id","","",238,[[],["typeid",3]]],[11,"borrow","","",239,[[]]],[11,"borrow_mut","","",239,[[]]],[11,"into","","",239,[[]]],[11,"from","","",239,[[]]],[11,"try_into","","",239,[[],["result",4]]],[11,"try_from","","",239,[[],["result",4]]],[11,"type_id","","",239,[[],["typeid",3]]],[11,"borrow","","",240,[[]]],[11,"borrow_mut","","",240,[[]]],[11,"into","","",240,[[]]],[11,"from","","",240,[[]]],[11,"try_into","","",240,[[],["result",4]]],[11,"try_from","","",240,[[],["result",4]]],[11,"type_id","","",240,[[],["typeid",3]]],[11,"borrow","","",241,[[]]],[11,"borrow_mut","","",241,[[]]],[11,"into","","",241,[[]]],[11,"from","","",241,[[]]],[11,"try_into","","",241,[[],["result",4]]],[11,"try_from","","",241,[[],["result",4]]],[11,"type_id","","",241,[[],["typeid",3]]],[11,"borrow","","",242,[[]]],[11,"borrow_mut","","",242,[[]]],[11,"into","","",242,[[]]],[11,"from","","",242,[[]]],[11,"try_into","","",242,[[],["result",4]]],[11,"try_from","","",242,[[],["result",4]]],[11,"type_id","","",242,[[],["typeid",3]]],[11,"borrow","","",243,[[]]],[11,"borrow_mut","","",243,[[]]],[11,"into","","",243,[[]]],[11,"from","","",243,[[]]],[11,"try_into","","",243,[[],["result",4]]],[11,"try_from","","",243,[[],["result",4]]],[11,"type_id","","",243,[[],["typeid",3]]],[11,"borrow","","",244,[[]]],[11,"borrow_mut","","",244,[[]]],[11,"into","","",244,[[]]],[11,"from","","",244,[[]]],[11,"try_into","","",244,[[],["result",4]]],[11,"try_from","","",244,[[],["result",4]]],[11,"type_id","","",244,[[],["typeid",3]]],[11,"borrow","","",245,[[]]],[11,"borrow_mut","","",245,[[]]],[11,"into","","",245,[[]]],[11,"from","","",245,[[]]],[11,"try_into","","",245,[[],["result",4]]],[11,"try_from","","",245,[[],["result",4]]],[11,"type_id","","",245,[[],["typeid",3]]],[11,"borrow","","",246,[[]]],[11,"borrow_mut","","",246,[[]]],[11,"into","","",246,[[]]],[11,"from","","",246,[[]]],[11,"try_into","","",246,[[],["result",4]]],[11,"try_from","","",246,[[],["result",4]]],[11,"type_id","","",246,[[],["typeid",3]]],[11,"borrow","","",247,[[]]],[11,"borrow_mut","","",247,[[]]],[11,"into","","",247,[[]]],[11,"from","","",247,[[]]],[11,"try_into","","",247,[[],["result",4]]],[11,"try_from","","",247,[[],["result",4]]],[11,"type_id","","",247,[[],["typeid",3]]],[11,"borrow","","",248,[[]]],[11,"borrow_mut","","",248,[[]]],[11,"into","","",248,[[]]],[11,"from","","",248,[[]]],[11,"try_into","","",248,[[],["result",4]]],[11,"try_from","","",248,[[],["result",4]]],[11,"type_id","","",248,[[],["typeid",3]]],[11,"borrow","","",249,[[]]],[11,"borrow_mut","","",249,[[]]],[11,"into","","",249,[[]]],[11,"from","","",249,[[]]],[11,"try_into","","",249,[[],["result",4]]],[11,"try_from","","",249,[[],["result",4]]],[11,"type_id","","",249,[[],["typeid",3]]],[11,"borrow","","",250,[[]]],[11,"borrow_mut","","",250,[[]]],[11,"into","","",250,[[]]],[11,"from","","",250,[[]]],[11,"try_into","","",250,[[],["result",4]]],[11,"try_from","","",250,[[],["result",4]]],[11,"type_id","","",250,[[],["typeid",3]]],[11,"borrow","","",251,[[]]],[11,"borrow_mut","","",251,[[]]],[11,"into","","",251,[[]]],[11,"from","","",251,[[]]],[11,"try_into","","",251,[[],["result",4]]],[11,"try_from","","",251,[[],["result",4]]],[11,"type_id","","",251,[[],["typeid",3]]],[11,"borrow","","",252,[[]]],[11,"borrow_mut","","",252,[[]]],[11,"into","","",252,[[]]],[11,"from","","",252,[[]]],[11,"try_into","","",252,[[],["result",4]]],[11,"try_from","","",252,[[],["result",4]]],[11,"type_id","","",252,[[],["typeid",3]]],[11,"borrow","","",253,[[]]],[11,"borrow_mut","","",253,[[]]],[11,"into","","",253,[[]]],[11,"from","","",253,[[]]],[11,"try_into","","",253,[[],["result",4]]],[11,"try_from","","",253,[[],["result",4]]],[11,"type_id","","",253,[[],["typeid",3]]],[11,"borrow","","",254,[[]]],[11,"borrow_mut","","",254,[[]]],[11,"into","","",254,[[]]],[11,"from","","",254,[[]]],[11,"try_into","","",254,[[],["result",4]]],[11,"try_from","","",254,[[],["result",4]]],[11,"type_id","","",254,[[],["typeid",3]]],[11,"borrow","","",255,[[]]],[11,"borrow_mut","","",255,[[]]],[11,"into","","",255,[[]]],[11,"from","","",255,[[]]],[11,"try_into","","",255,[[],["result",4]]],[11,"try_from","","",255,[[],["result",4]]],[11,"type_id","","",255,[[],["typeid",3]]],[11,"borrow","","",256,[[]]],[11,"borrow_mut","","",256,[[]]],[11,"into","","",256,[[]]],[11,"from","","",256,[[]]],[11,"try_into","","",256,[[],["result",4]]],[11,"try_from","","",256,[[],["result",4]]],[11,"type_id","","",256,[[],["typeid",3]]],[11,"borrow","","",257,[[]]],[11,"borrow_mut","","",257,[[]]],[11,"into","","",257,[[]]],[11,"from","","",257,[[]]],[11,"try_into","","",257,[[],["result",4]]],[11,"try_from","","",257,[[],["result",4]]],[11,"type_id","","",257,[[],["typeid",3]]],[11,"borrow","","",258,[[]]],[11,"borrow_mut","","",258,[[]]],[11,"into","","",258,[[]]],[11,"from","","",258,[[]]],[11,"try_into","","",258,[[],["result",4]]],[11,"try_from","","",258,[[],["result",4]]],[11,"type_id","","",258,[[],["typeid",3]]],[11,"borrow","","",259,[[]]],[11,"borrow_mut","","",259,[[]]],[11,"into","","",259,[[]]],[11,"from","","",259,[[]]],[11,"try_into","","",259,[[],["result",4]]],[11,"try_from","","",259,[[],["result",4]]],[11,"type_id","","",259,[[],["typeid",3]]],[11,"borrow","","",260,[[]]],[11,"borrow_mut","","",260,[[]]],[11,"into","","",260,[[]]],[11,"from","","",260,[[]]],[11,"try_into","","",260,[[],["result",4]]],[11,"try_from","","",260,[[],["result",4]]],[11,"type_id","","",260,[[],["typeid",3]]],[11,"borrow","","",261,[[]]],[11,"borrow_mut","","",261,[[]]],[11,"into","","",261,[[]]],[11,"from","","",261,[[]]],[11,"try_into","","",261,[[],["result",4]]],[11,"try_from","","",261,[[],["result",4]]],[11,"type_id","","",261,[[],["typeid",3]]],[11,"borrow","core::str","",262,[[]]],[11,"borrow_mut","","",262,[[]]],[11,"into","","",262,[[]]],[11,"from","","",262,[[]]],[11,"try_into","","",262,[[],["result",4]]],[11,"try_from","","",262,[[],["result",4]]],[11,"type_id","","",262,[[],["typeid",3]]],[11,"borrow","","",263,[[]]],[11,"borrow_mut","","",263,[[]]],[11,"into","","",263,[[]]],[11,"from","","",263,[[]]],[11,"try_into","","",263,[[],["result",4]]],[11,"try_from","","",263,[[],["result",4]]],[11,"type_id","","",263,[[],["typeid",3]]],[11,"borrow","","",264,[[]]],[11,"borrow_mut","","",264,[[]]],[11,"into","","",264,[[]]],[11,"from","","",264,[[]]],[11,"try_into","","",264,[[],["result",4]]],[11,"try_from","","",264,[[],["result",4]]],[11,"type_id","","",264,[[],["typeid",3]]],[11,"borrow","","",265,[[]]],[11,"borrow_mut","","",265,[[]]],[11,"into","","",265,[[]]],[11,"from","","",265,[[]]],[11,"try_into","","",265,[[],["result",4]]],[11,"try_from","","",265,[[],["result",4]]],[11,"type_id","","",265,[[],["typeid",3]]],[11,"borrow","","",266,[[]]],[11,"borrow_mut","","",266,[[]]],[11,"into","","",266,[[]]],[11,"from","","",266,[[]]],[11,"try_into","","",266,[[],["result",4]]],[11,"try_from","","",266,[[],["result",4]]],[11,"type_id","","",266,[[],["typeid",3]]],[11,"borrow","","",267,[[]]],[11,"borrow_mut","","",267,[[]]],[11,"into","","",267,[[]]],[11,"from","","",267,[[]]],[11,"try_into","","",267,[[],["result",4]]],[11,"try_from","","",267,[[],["result",4]]],[11,"type_id","","",267,[[],["typeid",3]]],[11,"borrow","","",268,[[]]],[11,"borrow_mut","","",268,[[]]],[11,"into","","",268,[[]]],[11,"from","","",268,[[]]],[11,"try_into","","",268,[[],["result",4]]],[11,"try_from","","",268,[[],["result",4]]],[11,"type_id","","",268,[[],["typeid",3]]],[11,"borrow","","",269,[[]]],[11,"borrow_mut","","",269,[[]]],[11,"into","","",269,[[]]],[11,"from","","",269,[[]]],[11,"try_into","","",269,[[],["result",4]]],[11,"try_from","","",269,[[],["result",4]]],[11,"type_id","","",269,[[],["typeid",3]]],[11,"borrow","","",270,[[]]],[11,"borrow_mut","","",270,[[]]],[11,"into","","",270,[[]]],[11,"from","","",270,[[]]],[11,"try_into","","",270,[[],["result",4]]],[11,"try_from","","",270,[[],["result",4]]],[11,"type_id","","",270,[[],["typeid",3]]],[11,"borrow","","",271,[[]]],[11,"borrow_mut","","",271,[[]]],[11,"into","","",271,[[]]],[11,"from","","",271,[[]]],[11,"try_into","","",271,[[],["result",4]]],[11,"try_from","","",271,[[],["result",4]]],[11,"type_id","","",271,[[],["typeid",3]]],[11,"borrow","","",272,[[]]],[11,"borrow_mut","","",272,[[]]],[11,"into","","",272,[[]]],[11,"from","","",272,[[]]],[11,"try_into","","",272,[[],["result",4]]],[11,"try_from","","",272,[[],["result",4]]],[11,"type_id","","",272,[[],["typeid",3]]],[11,"borrow","","",273,[[]]],[11,"borrow_mut","","",273,[[]]],[11,"into","","",273,[[]]],[11,"from","","",273,[[]]],[11,"try_into","","",273,[[],["result",4]]],[11,"try_from","","",273,[[],["result",4]]],[11,"type_id","","",273,[[],["typeid",3]]],[11,"borrow","","",274,[[]]],[11,"borrow_mut","","",274,[[]]],[11,"into","","",274,[[]]],[11,"from","","",274,[[]]],[11,"try_into","","",274,[[],["result",4]]],[11,"try_from","","",274,[[],["result",4]]],[11,"type_id","","",274,[[],["typeid",3]]],[11,"borrow","","",275,[[]]],[11,"borrow_mut","","",275,[[]]],[11,"into","","",275,[[]]],[11,"from","","",275,[[]]],[11,"try_into","","",275,[[],["result",4]]],[11,"try_from","","",275,[[],["result",4]]],[11,"type_id","","",275,[[],["typeid",3]]],[11,"borrow","","",276,[[]]],[11,"borrow_mut","","",276,[[]]],[11,"into","","",276,[[]]],[11,"from","","",276,[[]]],[11,"try_into","","",276,[[],["result",4]]],[11,"try_from","","",276,[[],["result",4]]],[11,"type_id","","",276,[[],["typeid",3]]],[11,"borrow","","",277,[[]]],[11,"borrow_mut","","",277,[[]]],[11,"into","","",277,[[]]],[11,"from","","",277,[[]]],[11,"try_into","","",277,[[],["result",4]]],[11,"try_from","","",277,[[],["result",4]]],[11,"type_id","","",277,[[],["typeid",3]]],[11,"borrow","","",278,[[]]],[11,"borrow_mut","","",278,[[]]],[11,"into","","",278,[[]]],[11,"from","","",278,[[]]],[11,"try_into","","",278,[[],["result",4]]],[11,"try_from","","",278,[[],["result",4]]],[11,"type_id","","",278,[[],["typeid",3]]],[11,"borrow","","",279,[[]]],[11,"borrow_mut","","",279,[[]]],[11,"into","","",279,[[]]],[11,"from","","",279,[[]]],[11,"try_into","","",279,[[],["result",4]]],[11,"try_from","","",279,[[],["result",4]]],[11,"type_id","","",279,[[],["typeid",3]]],[11,"borrow","","",280,[[]]],[11,"borrow_mut","","",280,[[]]],[11,"into","","",280,[[]]],[11,"from","","",280,[[]]],[11,"try_into","","",280,[[],["result",4]]],[11,"try_from","","",280,[[],["result",4]]],[11,"type_id","","",280,[[],["typeid",3]]],[11,"borrow","","",281,[[]]],[11,"borrow_mut","","",281,[[]]],[11,"into","","",281,[[]]],[11,"from","","",281,[[]]],[11,"try_into","","",281,[[],["result",4]]],[11,"try_from","","",281,[[],["result",4]]],[11,"type_id","","",281,[[],["typeid",3]]],[11,"borrow","","",282,[[]]],[11,"borrow_mut","","",282,[[]]],[11,"into","","",282,[[]]],[11,"from","","",282,[[]]],[11,"try_into","","",282,[[],["result",4]]],[11,"try_from","","",282,[[],["result",4]]],[11,"type_id","","",282,[[],["typeid",3]]],[11,"borrow","","",283,[[]]],[11,"borrow_mut","","",283,[[]]],[11,"into","","",283,[[]]],[11,"from","","",283,[[]]],[11,"try_into","","",283,[[],["result",4]]],[11,"try_from","","",283,[[],["result",4]]],[11,"type_id","","",283,[[],["typeid",3]]],[11,"borrow","","",284,[[]]],[11,"borrow_mut","","",284,[[]]],[11,"into","","",284,[[]]],[11,"from","","",284,[[]]],[11,"try_into","","",284,[[],["result",4]]],[11,"try_from","","",284,[[],["result",4]]],[11,"type_id","","",284,[[],["typeid",3]]],[11,"borrow","","",285,[[]]],[11,"borrow_mut","","",285,[[]]],[11,"into","","",285,[[]]],[11,"from","","",285,[[]]],[11,"try_into","","",285,[[],["result",4]]],[11,"try_from","","",285,[[],["result",4]]],[11,"type_id","","",285,[[],["typeid",3]]],[11,"borrow","core::str::pattern","",118,[[]]],[11,"borrow_mut","","",118,[[]]],[11,"into","","",118,[[]]],[11,"from","","",118,[[]]],[11,"try_into","","",118,[[],["result",4]]],[11,"try_from","","",118,[[],["result",4]]],[11,"type_id","","",118,[[],["typeid",3]]],[11,"borrow","","",286,[[]]],[11,"borrow_mut","","",286,[[]]],[11,"into","","",286,[[]]],[11,"from","","",286,[[]]],[11,"try_into","","",286,[[],["result",4]]],[11,"try_from","","",286,[[],["result",4]]],[11,"type_id","","",286,[[],["typeid",3]]],[11,"borrow","","",287,[[]]],[11,"borrow_mut","","",287,[[]]],[11,"into","","",287,[[]]],[11,"from","","",287,[[]]],[11,"try_into","","",287,[[],["result",4]]],[11,"try_from","","",287,[[],["result",4]]],[11,"type_id","","",287,[[],["typeid",3]]],[11,"borrow","","",288,[[]]],[11,"borrow_mut","","",288,[[]]],[11,"into","","",288,[[]]],[11,"from","","",288,[[]]],[11,"try_into","","",288,[[],["result",4]]],[11,"try_from","","",288,[[],["result",4]]],[11,"type_id","","",288,[[],["typeid",3]]],[11,"borrow","","",289,[[]]],[11,"borrow_mut","","",289,[[]]],[11,"into","","",289,[[]]],[11,"from","","",289,[[]]],[11,"try_into","","",289,[[],["result",4]]],[11,"try_from","","",289,[[],["result",4]]],[11,"type_id","","",289,[[],["typeid",3]]],[11,"borrow","core::str::lossy","",121,[[]]],[11,"borrow_mut","","",121,[[]]],[11,"type_id","","",121,[[],["typeid",3]]],[11,"borrow","","",290,[[]]],[11,"borrow_mut","","",290,[[]]],[11,"into","","",290,[[]]],[11,"from","","",290,[[]]],[11,"try_into","","",290,[[],["result",4]]],[11,"try_from","","",290,[[],["result",4]]],[11,"type_id","","",290,[[],["typeid",3]]],[11,"borrow","","",122,[[]]],[11,"borrow_mut","","",122,[[]]],[11,"into","","",122,[[]]],[11,"from","","",122,[[]]],[11,"try_into","","",122,[[],["result",4]]],[11,"try_from","","",122,[[],["result",4]]],[11,"type_id","","",122,[[],["typeid",3]]],[11,"borrow","core::time","",124,[[]]],[11,"borrow_mut","","",124,[[]]],[11,"into","","",124,[[]]],[11,"from","","",124,[[]]],[11,"try_into","","",124,[[],["result",4]]],[11,"try_from","","",124,[[],["result",4]]],[11,"type_id","","",124,[[],["typeid",3]]],[11,"borrow","core::future","",291,[[]]],[11,"borrow_mut","","",291,[[]]],[11,"into","","",291,[[]]],[11,"from","","",291,[[]]],[11,"try_into","","",291,[[],["result",4]]],[11,"try_from","","",291,[[],["result",4]]],[11,"type_id","","",291,[[],["typeid",3]]],[11,"borrow","","",292,[[]]],[11,"borrow_mut","","",292,[[]]],[11,"into","","",292,[[]]],[11,"from","","",292,[[]]],[11,"try_into","","",292,[[],["result",4]]],[11,"try_from","","",292,[[],["result",4]]],[11,"type_id","","",292,[[],["typeid",3]]],[11,"borrow","","",293,[[]]],[11,"borrow_mut","","",293,[[]]],[11,"into","","",293,[[]]],[11,"from","","",293,[[]]],[11,"try_into","","",293,[[],["result",4]]],[11,"try_from","","",293,[[],["result",4]]],[11,"type_id","","",293,[[],["typeid",3]]],[11,"borrow","core::task","",127,[[]]],[11,"borrow_mut","","",127,[[]]],[11,"into","","",127,[[]]],[11,"from","","",127,[[]]],[11,"from","","",127,[[]]],[11,"try_into","","",127,[[],["result",4]]],[11,"try_from","","",127,[[],["result",4]]],[11,"type_id","","",127,[[],["typeid",3]]],[11,"borrow","","",294,[[]]],[11,"borrow_mut","","",294,[[]]],[11,"into","","",294,[[]]],[11,"from","","",294,[[]]],[11,"try_into","","",294,[[],["result",4]]],[11,"try_from","","",294,[[],["result",4]]],[11,"type_id","","",294,[[],["typeid",3]]],[11,"borrow","","",295,[[]]],[11,"borrow_mut","","",295,[[]]],[11,"into","","",295,[[]]],[11,"from","","",295,[[]]],[11,"try_into","","",295,[[],["result",4]]],[11,"try_from","","",295,[[],["result",4]]],[11,"type_id","","",295,[[],["typeid",3]]],[11,"borrow","","",296,[[]]],[11,"borrow_mut","","",296,[[]]],[11,"into","","",296,[[]]],[11,"from","","",296,[[]]],[11,"try_into","","",296,[[],["result",4]]],[11,"try_from","","",296,[[],["result",4]]],[11,"type_id","","",296,[[],["typeid",3]]],[11,"borrow","","",297,[[]]],[11,"borrow_mut","","",297,[[]]],[11,"into","","",297,[[]]],[11,"from","","",297,[[]]],[11,"try_into","","",297,[[],["result",4]]],[11,"try_from","","",297,[[],["result",4]]],[11,"type_id","","",297,[[],["typeid",3]]],[11,"borrow","core::alloc","",298,[[]]],[11,"borrow_mut","","",298,[[]]],[11,"into","","",298,[[]]],[11,"from","","",298,[[]]],[11,"try_into","","",298,[[],["result",4]]],[11,"try_from","","",298,[[],["result",4]]],[11,"type_id","","",298,[[],["typeid",3]]],[11,"borrow","","",299,[[]]],[11,"borrow_mut","","",299,[[]]],[11,"into","","",299,[[]]],[11,"from","","",299,[[]]],[11,"try_into","","",299,[[],["result",4]]],[11,"try_from","","",299,[[],["result",4]]],[11,"type_id","","",299,[[],["typeid",3]]],[11,"borrow","","",300,[[]]],[11,"borrow_mut","","",300,[[]]],[11,"into","","",300,[[]]],[11,"from","","",300,[[]]],[11,"try_into","","",300,[[],["result",4]]],[11,"try_from","","",300,[[],["result",4]]],[11,"type_id","","",300,[[],["typeid",3]]],[11,"borrow","core::arch::arm","",301,[[]]],[11,"borrow_mut","","",301,[[]]],[11,"into","","",301,[[]]],[11,"from","","",301,[[]]],[11,"try_into","","",301,[[],["result",4]]],[11,"try_from","","",301,[[],["result",4]]],[11,"type_id","","",301,[[],["typeid",3]]],[11,"borrow","","",302,[[]]],[11,"borrow_mut","","",302,[[]]],[11,"into","","",302,[[]]],[11,"from","","",302,[[]]],[11,"try_into","","",302,[[],["result",4]]],[11,"try_from","","",302,[[],["result",4]]],[11,"type_id","","",302,[[],["typeid",3]]],[11,"borrow","core::arch::x86","",130,[[]]],[11,"borrow_mut","","",130,[[]]],[11,"into","","",130,[[]]],[11,"from","","",130,[[]]],[11,"try_into","","",130,[[],["result",4]]],[11,"try_from","","",130,[[],["result",4]]],[11,"type_id","","",130,[[],["typeid",3]]],[11,"borrow","","",303,[[]]],[11,"borrow_mut","","",303,[[]]],[11,"into","","",303,[[]]],[11,"from","","",303,[[]]],[11,"try_into","","",303,[[],["result",4]]],[11,"try_from","","",303,[[],["result",4]]],[11,"type_id","","",303,[[],["typeid",3]]],[11,"borrow","","",304,[[]]],[11,"borrow_mut","","",304,[[]]],[11,"into","","",304,[[]]],[11,"from","","",304,[[]]],[11,"try_into","","",304,[[],["result",4]]],[11,"try_from","","",304,[[],["result",4]]],[11,"type_id","","",304,[[],["typeid",3]]],[11,"borrow","","",305,[[]]],[11,"borrow_mut","","",305,[[]]],[11,"into","","",305,[[]]],[11,"from","","",305,[[]]],[11,"try_into","","",305,[[],["result",4]]],[11,"try_from","","",305,[[],["result",4]]],[11,"type_id","","",305,[[],["typeid",3]]],[11,"borrow","","",306,[[]]],[11,"borrow_mut","","",306,[[]]],[11,"into","","",306,[[]]],[11,"from","","",306,[[]]],[11,"try_into","","",306,[[],["result",4]]],[11,"try_from","","",306,[[],["result",4]]],[11,"type_id","","",306,[[],["typeid",3]]],[11,"borrow","","",307,[[]]],[11,"borrow_mut","","",307,[[]]],[11,"into","","",307,[[]]],[11,"from","","",307,[[]]],[11,"try_into","","",307,[[],["result",4]]],[11,"try_from","","",307,[[],["result",4]]],[11,"type_id","","",307,[[],["typeid",3]]],[11,"borrow","","",308,[[]]],[11,"borrow_mut","","",308,[[]]],[11,"into","","",308,[[]]],[11,"from","","",308,[[]]],[11,"try_into","","",308,[[],["result",4]]],[11,"try_from","","",308,[[],["result",4]]],[11,"type_id","","",308,[[],["typeid",3]]],[11,"borrow","","",309,[[]]],[11,"borrow_mut","","",309,[[]]],[11,"into","","",309,[[]]],[11,"from","","",309,[[]]],[11,"try_into","","",309,[[],["result",4]]],[11,"try_from","","",309,[[],["result",4]]],[11,"type_id","","",309,[[],["typeid",3]]],[11,"borrow","","",310,[[]]],[11,"borrow_mut","","",310,[[]]],[11,"into","","",310,[[]]],[11,"from","","",310,[[]]],[11,"try_into","","",310,[[],["result",4]]],[11,"try_from","","",310,[[],["result",4]]],[11,"type_id","","",310,[[],["typeid",3]]],[11,"borrow","","",311,[[]]],[11,"borrow_mut","","",311,[[]]],[11,"into","","",311,[[]]],[11,"from","","",311,[[]]],[11,"try_into","","",311,[[],["result",4]]],[11,"try_from","","",311,[[],["result",4]]],[11,"type_id","","",311,[[],["typeid",3]]],[11,"borrow","core::arch::aarch64","",312,[[]]],[11,"borrow_mut","","",312,[[]]],[11,"into","","",312,[[]]],[11,"from","","",312,[[]]],[11,"try_into","","",312,[[],["result",4]]],[11,"try_from","","",312,[[],["result",4]]],[11,"type_id","","",312,[[],["typeid",3]]],[11,"borrow","","",313,[[]]],[11,"borrow_mut","","",313,[[]]],[11,"into","","",313,[[]]],[11,"from","","",313,[[]]],[11,"try_into","","",313,[[],["result",4]]],[11,"try_from","","",313,[[],["result",4]]],[11,"type_id","","",313,[[],["typeid",3]]],[11,"borrow","","",140,[[]]],[11,"borrow_mut","","",140,[[]]],[11,"into","","",140,[[]]],[11,"from","","",140,[[]]],[11,"try_into","","",140,[[],["result",4]]],[11,"try_from","","",140,[[],["result",4]]],[11,"type_id","","",140,[[],["typeid",3]]],[11,"borrow","","",141,[[]]],[11,"borrow_mut","","",141,[[]]],[11,"into","","",141,[[]]],[11,"from","","",141,[[]]],[11,"try_into","","",141,[[],["result",4]]],[11,"try_from","","",141,[[],["result",4]]],[11,"type_id","","",141,[[],["typeid",3]]],[11,"borrow","","",142,[[]]],[11,"borrow_mut","","",142,[[]]],[11,"into","","",142,[[]]],[11,"from","","",142,[[]]],[11,"try_into","","",142,[[],["result",4]]],[11,"try_from","","",142,[[],["result",4]]],[11,"type_id","","",142,[[],["typeid",3]]],[11,"borrow","","",143,[[]]],[11,"borrow_mut","","",143,[[]]],[11,"into","","",143,[[]]],[11,"from","","",143,[[]]],[11,"try_into","","",143,[[],["result",4]]],[11,"try_from","","",143,[[],["result",4]]],[11,"type_id","","",143,[[],["typeid",3]]],[11,"borrow","","",144,[[]]],[11,"borrow_mut","","",144,[[]]],[11,"into","","",144,[[]]],[11,"from","","",144,[[]]],[11,"try_into","","",144,[[],["result",4]]],[11,"try_from","","",144,[[],["result",4]]],[11,"type_id","","",144,[[],["typeid",3]]],[11,"borrow","","",145,[[]]],[11,"borrow_mut","","",145,[[]]],[11,"into","","",145,[[]]],[11,"from","","",145,[[]]],[11,"try_into","","",145,[[],["result",4]]],[11,"try_from","","",145,[[],["result",4]]],[11,"type_id","","",145,[[],["typeid",3]]],[11,"borrow","","",146,[[]]],[11,"borrow_mut","","",146,[[]]],[11,"into","","",146,[[]]],[11,"from","","",146,[[]]],[11,"try_into","","",146,[[],["result",4]]],[11,"try_from","","",146,[[],["result",4]]],[11,"type_id","","",146,[[],["typeid",3]]],[11,"borrow","","",147,[[]]],[11,"borrow_mut","","",147,[[]]],[11,"into","","",147,[[]]],[11,"from","","",147,[[]]],[11,"try_into","","",147,[[],["result",4]]],[11,"try_from","","",147,[[],["result",4]]],[11,"type_id","","",147,[[],["typeid",3]]],[11,"borrow","","",148,[[]]],[11,"borrow_mut","","",148,[[]]],[11,"into","","",148,[[]]],[11,"from","","",148,[[]]],[11,"try_into","","",148,[[],["result",4]]],[11,"try_from","","",148,[[],["result",4]]],[11,"type_id","","",148,[[],["typeid",3]]],[11,"borrow","core::arch::arm","",314,[[]]],[11,"borrow_mut","","",314,[[]]],[11,"into","","",314,[[]]],[11,"from","","",314,[[]]],[11,"try_into","","",314,[[],["result",4]]],[11,"try_from","","",314,[[],["result",4]]],[11,"type_id","","",314,[[],["typeid",3]]],[11,"borrow","","",315,[[]]],[11,"borrow_mut","","",315,[[]]],[11,"into","","",315,[[]]],[11,"from","","",315,[[]]],[11,"try_into","","",315,[[],["result",4]]],[11,"try_from","","",315,[[],["result",4]]],[11,"type_id","","",315,[[],["typeid",3]]],[11,"borrow","","",316,[[]]],[11,"borrow_mut","","",316,[[]]],[11,"into","","",316,[[]]],[11,"from","","",316,[[]]],[11,"try_into","","",316,[[],["result",4]]],[11,"try_from","","",316,[[],["result",4]]],[11,"type_id","","",316,[[],["typeid",3]]],[11,"borrow","","",317,[[]]],[11,"borrow_mut","","",317,[[]]],[11,"into","","",317,[[]]],[11,"from","","",317,[[]]],[11,"try_into","","",317,[[],["result",4]]],[11,"try_from","","",317,[[],["result",4]]],[11,"type_id","","",317,[[],["typeid",3]]],[11,"borrow","","",318,[[]]],[11,"borrow_mut","","",318,[[]]],[11,"into","","",318,[[]]],[11,"from","","",318,[[]]],[11,"try_into","","",318,[[],["result",4]]],[11,"try_from","","",318,[[],["result",4]]],[11,"type_id","","",318,[[],["typeid",3]]],[11,"borrow","","",319,[[]]],[11,"borrow_mut","","",319,[[]]],[11,"into","","",319,[[]]],[11,"from","","",319,[[]]],[11,"try_into","","",319,[[],["result",4]]],[11,"try_from","","",319,[[],["result",4]]],[11,"type_id","","",319,[[],["typeid",3]]],[11,"borrow","","",320,[[]]],[11,"borrow_mut","","",320,[[]]],[11,"into","","",320,[[]]],[11,"from","","",320,[[]]],[11,"try_into","","",320,[[],["result",4]]],[11,"try_from","","",320,[[],["result",4]]],[11,"type_id","","",320,[[],["typeid",3]]],[11,"borrow","","",321,[[]]],[11,"borrow_mut","","",321,[[]]],[11,"into","","",321,[[]]],[11,"from","","",321,[[]]],[11,"try_into","","",321,[[],["result",4]]],[11,"try_from","","",321,[[],["result",4]]],[11,"type_id","","",321,[[],["typeid",3]]],[11,"borrow","","",322,[[]]],[11,"borrow_mut","","",322,[[]]],[11,"into","","",322,[[]]],[11,"from","","",322,[[]]],[11,"try_into","","",322,[[],["result",4]]],[11,"try_from","","",322,[[],["result",4]]],[11,"type_id","","",322,[[],["typeid",3]]],[11,"borrow","","",323,[[]]],[11,"borrow_mut","","",323,[[]]],[11,"into","","",323,[[]]],[11,"from","","",323,[[]]],[11,"try_into","","",323,[[],["result",4]]],[11,"try_from","","",323,[[],["result",4]]],[11,"type_id","","",323,[[],["typeid",3]]],[11,"borrow","","",324,[[]]],[11,"borrow_mut","","",324,[[]]],[11,"into","","",324,[[]]],[11,"from","","",324,[[]]],[11,"try_into","","",324,[[],["result",4]]],[11,"try_from","","",324,[[],["result",4]]],[11,"type_id","","",324,[[],["typeid",3]]],[11,"borrow","","",325,[[]]],[11,"borrow_mut","","",325,[[]]],[11,"into","","",325,[[]]],[11,"from","","",325,[[]]],[11,"try_into","","",325,[[],["result",4]]],[11,"try_from","","",325,[[],["result",4]]],[11,"type_id","","",325,[[],["typeid",3]]],[11,"borrow","","",326,[[]]],[11,"borrow_mut","","",326,[[]]],[11,"into","","",326,[[]]],[11,"from","","",326,[[]]],[11,"try_into","","",326,[[],["result",4]]],[11,"try_from","","",326,[[],["result",4]]],[11,"type_id","","",326,[[],["typeid",3]]],[11,"borrow","","",327,[[]]],[11,"borrow_mut","","",327,[[]]],[11,"into","","",327,[[]]],[11,"from","","",327,[[]]],[11,"try_into","","",327,[[],["result",4]]],[11,"try_from","","",327,[[],["result",4]]],[11,"type_id","","",327,[[],["typeid",3]]],[11,"borrow","","",328,[[]]],[11,"borrow_mut","","",328,[[]]],[11,"into","","",328,[[]]],[11,"from","","",328,[[]]],[11,"try_into","","",328,[[],["result",4]]],[11,"try_from","","",328,[[],["result",4]]],[11,"type_id","","",328,[[],["typeid",3]]],[11,"borrow","","",329,[[]]],[11,"borrow_mut","","",329,[[]]],[11,"into","","",329,[[]]],[11,"from","","",329,[[]]],[11,"try_into","","",329,[[],["result",4]]],[11,"try_from","","",329,[[],["result",4]]],[11,"type_id","","",329,[[],["typeid",3]]],[11,"borrow","","",330,[[]]],[11,"borrow_mut","","",330,[[]]],[11,"into","","",330,[[]]],[11,"from","","",330,[[]]],[11,"try_into","","",330,[[],["result",4]]],[11,"try_from","","",330,[[],["result",4]]],[11,"type_id","","",330,[[],["typeid",3]]],[11,"borrow","","",331,[[]]],[11,"borrow_mut","","",331,[[]]],[11,"into","","",331,[[]]],[11,"from","","",331,[[]]],[11,"try_into","","",331,[[],["result",4]]],[11,"try_from","","",331,[[],["result",4]]],[11,"type_id","","",331,[[],["typeid",3]]],[11,"borrow","","",332,[[]]],[11,"borrow_mut","","",332,[[]]],[11,"into","","",332,[[]]],[11,"from","","",332,[[]]],[11,"try_into","","",332,[[],["result",4]]],[11,"try_from","","",332,[[],["result",4]]],[11,"type_id","","",332,[[],["typeid",3]]],[11,"borrow","","",333,[[]]],[11,"borrow_mut","","",333,[[]]],[11,"into","","",333,[[]]],[11,"from","","",333,[[]]],[11,"try_into","","",333,[[],["result",4]]],[11,"try_from","","",333,[[],["result",4]]],[11,"type_id","","",333,[[],["typeid",3]]],[11,"borrow","","",334,[[]]],[11,"borrow_mut","","",334,[[]]],[11,"into","","",334,[[]]],[11,"from","","",334,[[]]],[11,"try_into","","",334,[[],["result",4]]],[11,"try_from","","",334,[[],["result",4]]],[11,"type_id","","",334,[[],["typeid",3]]],[11,"borrow","","",335,[[]]],[11,"borrow_mut","","",335,[[]]],[11,"into","","",335,[[]]],[11,"from","","",335,[[]]],[11,"try_into","","",335,[[],["result",4]]],[11,"try_from","","",335,[[],["result",4]]],[11,"type_id","","",335,[[],["typeid",3]]],[11,"borrow","","",336,[[]]],[11,"borrow_mut","","",336,[[]]],[11,"into","","",336,[[]]],[11,"from","","",336,[[]]],[11,"try_into","","",336,[[],["result",4]]],[11,"try_from","","",336,[[],["result",4]]],[11,"type_id","","",336,[[],["typeid",3]]],[11,"borrow","","",337,[[]]],[11,"borrow_mut","","",337,[[]]],[11,"into","","",337,[[]]],[11,"from","","",337,[[]]],[11,"try_into","","",337,[[],["result",4]]],[11,"try_from","","",337,[[],["result",4]]],[11,"type_id","","",337,[[],["typeid",3]]],[11,"borrow","","",131,[[]]],[11,"borrow_mut","","",131,[[]]],[11,"into","","",131,[[]]],[11,"from","","",131,[[]]],[11,"try_into","","",131,[[],["result",4]]],[11,"try_from","","",131,[[],["result",4]]],[11,"type_id","","",131,[[],["typeid",3]]],[11,"borrow","","",132,[[]]],[11,"borrow_mut","","",132,[[]]],[11,"into","","",132,[[]]],[11,"from","","",132,[[]]],[11,"try_into","","",132,[[],["result",4]]],[11,"try_from","","",132,[[],["result",4]]],[11,"type_id","","",132,[[],["typeid",3]]],[11,"borrow","","",133,[[]]],[11,"borrow_mut","","",133,[[]]],[11,"into","","",133,[[]]],[11,"from","","",133,[[]]],[11,"try_into","","",133,[[],["result",4]]],[11,"try_from","","",133,[[],["result",4]]],[11,"type_id","","",133,[[],["typeid",3]]],[11,"borrow","","",134,[[]]],[11,"borrow_mut","","",134,[[]]],[11,"into","","",134,[[]]],[11,"from","","",134,[[]]],[11,"try_into","","",134,[[],["result",4]]],[11,"try_from","","",134,[[],["result",4]]],[11,"type_id","","",134,[[],["typeid",3]]],[11,"borrow","","",135,[[]]],[11,"borrow_mut","","",135,[[]]],[11,"into","","",135,[[]]],[11,"from","","",135,[[]]],[11,"try_into","","",135,[[],["result",4]]],[11,"try_from","","",135,[[],["result",4]]],[11,"type_id","","",135,[[],["typeid",3]]],[11,"borrow","","",136,[[]]],[11,"borrow_mut","","",136,[[]]],[11,"into","","",136,[[]]],[11,"from","","",136,[[]]],[11,"try_into","","",136,[[],["result",4]]],[11,"try_from","","",136,[[],["result",4]]],[11,"type_id","","",136,[[],["typeid",3]]],[11,"borrow","","",137,[[]]],[11,"borrow_mut","","",137,[[]]],[11,"into","","",137,[[]]],[11,"from","","",137,[[]]],[11,"try_into","","",137,[[],["result",4]]],[11,"try_from","","",137,[[],["result",4]]],[11,"type_id","","",137,[[],["typeid",3]]],[11,"borrow","","",138,[[]]],[11,"borrow_mut","","",138,[[]]],[11,"into","","",138,[[]]],[11,"from","","",138,[[]]],[11,"try_into","","",138,[[],["result",4]]],[11,"try_from","","",138,[[],["result",4]]],[11,"type_id","","",138,[[],["typeid",3]]],[11,"borrow","","",139,[[]]],[11,"borrow_mut","","",139,[[]]],[11,"into","","",139,[[]]],[11,"from","","",139,[[]]],[11,"try_into","","",139,[[],["result",4]]],[11,"try_from","","",139,[[],["result",4]]],[11,"type_id","","",139,[[],["typeid",3]]],[11,"borrow","core::arch::wasm32","",338,[[]]],[11,"borrow_mut","","",338,[[]]],[11,"into","","",338,[[]]],[11,"from","","",338,[[]]],[11,"try_into","","",338,[[],["result",4]]],[11,"try_from","","",338,[[],["result",4]]],[11,"type_id","","",338,[[],["typeid",3]]],[11,"borrow","core::arch::powerpc","",339,[[]]],[11,"borrow_mut","","",339,[[]]],[11,"into","","",339,[[]]],[11,"from","","",339,[[]]],[11,"try_into","","",339,[[],["result",4]]],[11,"try_from","","",339,[[],["result",4]]],[11,"type_id","","",339,[[],["typeid",3]]],[11,"borrow","","",340,[[]]],[11,"borrow_mut","","",340,[[]]],[11,"into","","",340,[[]]],[11,"from","","",340,[[]]],[11,"try_into","","",340,[[],["result",4]]],[11,"try_from","","",340,[[],["result",4]]],[11,"type_id","","",340,[[],["typeid",3]]],[11,"borrow","","",341,[[]]],[11,"borrow_mut","","",341,[[]]],[11,"into","","",341,[[]]],[11,"from","","",341,[[]]],[11,"try_into","","",341,[[],["result",4]]],[11,"try_from","","",341,[[],["result",4]]],[11,"type_id","","",341,[[],["typeid",3]]],[11,"borrow","","",342,[[]]],[11,"borrow_mut","","",342,[[]]],[11,"into","","",342,[[]]],[11,"from","","",342,[[]]],[11,"try_into","","",342,[[],["result",4]]],[11,"try_from","","",342,[[],["result",4]]],[11,"type_id","","",342,[[],["typeid",3]]],[11,"clone","core::num","",149,[[],["parsefloaterror",3]]],[11,"clone","","",150,[[],["tryfrominterror",3]]],[11,"clone","","",151,[[],["parseinterror",3]]],[11,"clone","","",1,[[],["interrorkind",4]]],[11,"clone","","",152,[[],["nonzerou8",3]]],[11,"clone","","",153,[[],["nonzerou16",3]]],[11,"clone","","",154,[[],["nonzerou32",3]]],[11,"clone","","",155,[[],["nonzerou64",3]]],[11,"clone","","",156,[[],["nonzerou128",3]]],[11,"clone","","",157,[[],["nonzerousize",3]]],[11,"clone","","",158,[[],["nonzeroi8",3]]],[11,"clone","","",159,[[],["nonzeroi16",3]]],[11,"clone","","",160,[[],["nonzeroi32",3]]],[11,"clone","","",161,[[],["nonzeroi64",3]]],[11,"clone","","",162,[[],["nonzeroi128",3]]],[11,"clone","","",163,[[],["nonzeroisize",3]]],[11,"clone","","",0,[[],["wrapping",3]]],[11,"clone","","",2,[[],["fpcategory",4]]],[11,"clone","core::mem","",164,[[],["manuallydrop",3]]],[11,"clone","","",165,[[]]],[11,"clone","","",166,[[]]],[11,"clone","core::ptr","",167,[[]]],[11,"clone","core::cmp","",7,[[],["ordering",4]]],[11,"clone","","",8,[[],["reverse",3]]],[11,"clone","core::convert","",168,[[],["infallible",4]]],[11,"clone","core::marker","",169,[[]]],[11,"clone","","",170,[[],["phantompinned",3]]],[11,"clone","core::ops","",58,[[],["controlflow",4]]],[11,"clone","","",57,[[],["generatorstate",4]]],[11,"clone","","",171,[[],["rangefull",3]]],[11,"clone","","",49,[[],["range",3]]],[11,"clone","","",50,[[],["rangefrom",3]]],[11,"clone","","",51,[[],["rangeto",3]]],[11,"clone","","",172,[[],["rangeinclusive",3]]],[11,"clone","","",54,[[],["rangetoinclusive",3]]],[11,"clone","","",52,[[],["bound",4]]],[11,"clone","core::any","",60,[[],["typeid",3]]],[11,"clone","core::array","",173,[[]]],[11,"clone","","",174,[[],["tryfromsliceerror",3]]],[11,"clone","core::ascii","",175,[[],["escapedefault",3]]],[11,"clone","core::cell","",62,[[],["cell",3]]],[11,"clone","","PanicsPanics if the value is currently mutably borrowed.",63,[[],["refcell",3]]],[11,"clone","core::char","",179,[[],["parsecharerror",3]]],[11,"clone","","",180,[[],["chartryfromerror",3]]],[11,"clone","","",181,[[],["decodeutf16",3]]],[11,"clone","","",182,[[],["decodeutf16error",3]]],[11,"clone","","",183,[[],["escapeunicode",3]]],[11,"clone","","",184,[[],["escapedefault",3]]],[11,"clone","","",185,[[],["escapedebug",3]]],[11,"clone","","",186,[[],["tolowercase",3]]],[11,"clone","","",187,[[],["touppercase",3]]],[11,"clone","core::ffi","",66,[[]]],[11,"clone","core::iter","",190,[[],["chain",3]]],[11,"clone","","",191,[[],["cloned",3]]],[11,"clone","","",192,[[],["copied",3]]],[11,"clone","","",193,[[],["cycle",3]]],[11,"clone","","",194,[[],["enumerate",3]]],[11,"clone","","",195,[[],["filter",3]]],[11,"clone","","",196,[[],["filtermap",3]]],[11,"clone","","",197,[[]]],[11,"clone","","",198,[[]]],[11,"clone","","",199,[[],["fuse",3]]],[11,"clone","","",200,[[],["inspect",3]]],[11,"clone","","",201,[[],["intersperse",3]]],[11,"clone","","",202,[[]]],[11,"clone","","",203,[[],["map",3]]],[11,"clone","","",204,[[],["mapwhile",3]]],[11,"clone","","",205,[[],["peekable",3]]],[11,"clone","","",206,[[],["rev",3]]],[11,"clone","","",207,[[],["scan",3]]],[11,"clone","","",208,[[],["skip",3]]],[11,"clone","","",209,[[],["skipwhile",3]]],[11,"clone","","",210,[[],["stepby",3]]],[11,"clone","","",211,[[],["take",3]]],[11,"clone","","",212,[[],["takewhile",3]]],[11,"clone","","",213,[[],["zip",3]]],[11,"clone","","",214,[[],["empty",3]]],[11,"clone","","",215,[[],["fromfn",3]]],[11,"clone","","",216,[[],["once",3]]],[11,"clone","","",217,[[],["oncewith",3]]],[11,"clone","","",218,[[],["repeat",3]]],[11,"clone","","",219,[[],["repeatwith",3]]],[11,"clone","","",220,[[],["successors",3]]],[11,"clone","core::lazy","",77,[[],["oncecell",3]]],[11,"clone","core::option","",79,[[]]],[11,"clone_from","","",79,[[]]],[11,"clone","","",221,[[]]],[11,"clone","","",223,[[],["intoiter",3]]],[11,"clone","","",224,[[],["noneerror",3]]],[11,"clone","core::panic","",81,[[],["location",3]]],[11,"clone","core::pin","",82,[[],["pin",3]]],[11,"clone","core::raw","",83,[[],["traitobject",3]]],[11,"clone","core::result","",84,[[]]],[11,"clone_from","","",84,[[]]],[11,"clone","","",225,[[]]],[11,"clone","","",227,[[],["intoiter",3]]],[11,"clone","core::sync::atomic","",86,[[],["ordering",4]]],[11,"clone","core::fmt","",233,[[],["error",3]]],[11,"clone","","",101,[[],["arguments",3]]],[11,"clone","core::hash","",234,[[],["siphasher",3]]],[11,"clone","","",235,[[],["buildhasherdefault",3]]],[11,"clone","core::slice","",236,[[]]],[11,"clone","","",238,[[]]],[11,"clone","","",239,[[]]],[11,"clone","","",242,[[],["rsplit",3]]],[11,"clone","","",248,[[]]],[11,"clone","","",249,[[]]],[11,"clone","","",251,[[]]],[11,"clone","","",253,[[],["arraywindows",3]]],[11,"clone","","",254,[[]]],[11,"clone","","",256,[[]]],[11,"clone","","",258,[[],["rchunksexact",3]]],[11,"clone","core::str","",262,[[],["utf8error",3]]],[11,"clone","","",263,[[],["parseboolerror",3]]],[11,"clone","","",264,[[],["chars",3]]],[11,"clone","","",265,[[],["charindices",3]]],[11,"clone","","",266,[[],["bytes",3]]],[11,"clone","","",267,[[]]],[11,"clone","","",268,[[]]],[11,"clone","","",269,[[]]],[11,"clone","","",270,[[]]],[11,"clone","","",271,[[]]],[11,"clone","","",272,[[]]],[11,"clone","","",273,[[]]],[11,"clone","","",274,[[]]],[11,"clone","","",275,[[]]],[11,"clone","","",276,[[]]],[11,"clone","","",277,[[],["lines",3]]],[11,"clone","","",278,[[],["linesany",3]]],[11,"clone","","",279,[[],["splitwhitespace",3]]],[11,"clone","","",280,[[],["splitasciiwhitespace",3]]],[11,"clone","","",281,[[]]],[11,"clone","","",282,[[],["encodeutf16",3]]],[11,"clone","","",283,[[],["escapedebug",3]]],[11,"clone","","",284,[[],["escapedefault",3]]],[11,"clone","","",285,[[],["escapeunicode",3]]],[11,"clone","core::str::pattern","",118,[[],["searchstep",4]]],[11,"clone","","",286,[[],["charsearcher",3]]],[11,"clone","","",287,[[],["charslicesearcher",3]]],[11,"clone","","",288,[[],["charpredicatesearcher",3]]],[11,"clone","","",289,[[],["strsearcher",3]]],[11,"clone","core::time","",124,[[],["duration",3]]],[11,"clone","core::future","",291,[[]]],[11,"clone","","",293,[[],["ready",3]]],[11,"clone","core::task","",127,[[],["poll",4]]],[11,"clone","","",295,[[],["rawwakervtable",3]]],[11,"clone","","",297,[[]]],[11,"clone","core::alloc","",298,[[],["layout",3]]],[11,"clone","","",299,[[],["layouterror",3]]],[11,"clone","","",300,[[],["allocerror",3]]],[11,"clone","core::arch::x86","",303,[[],["__m128i",3]]],[11,"clone","","",304,[[],["__m128",3]]],[11,"clone","","",305,[[],["__m128d",3]]],[11,"clone","","",306,[[],["__m256i",3]]],[11,"clone","","",307,[[],["__m256",3]]],[11,"clone","","",308,[[],["__m256d",3]]],[11,"clone","","",309,[[],["__m512i",3]]],[11,"clone","","",310,[[],["__m512",3]]],[11,"clone","","",311,[[],["__m512d",3]]],[11,"clone","","",130,[[],["cpuidresult",3]]],[11,"clone","core::arch::aarch64","",312,[[],["float64x1_t",3]]],[11,"clone","","",313,[[],["float64x2_t",3]]],[11,"clone","","",140,[[],["int8x16x2_t",3]]],[11,"clone","","",141,[[],["int8x16x3_t",3]]],[11,"clone","","",142,[[],["int8x16x4_t",3]]],[11,"clone","","",143,[[],["uint8x16x2_t",3]]],[11,"clone","","",144,[[],["uint8x16x3_t",3]]],[11,"clone","","",145,[[],["uint8x16x4_t",3]]],[11,"clone","","",146,[[],["poly8x16x2_t",3]]],[11,"clone","","",147,[[],["poly8x16x3_t",3]]],[11,"clone","","",148,[[],["poly8x16x4_t",3]]],[11,"clone","core::arch::arm","",314,[[],["int8x8_t",3]]],[11,"clone","","",315,[[],["uint8x8_t",3]]],[11,"clone","","",316,[[],["poly8x8_t",3]]],[11,"clone","","",317,[[],["int16x4_t",3]]],[11,"clone","","",318,[[],["uint16x4_t",3]]],[11,"clone","","",319,[[],["poly16x4_t",3]]],[11,"clone","","",320,[[],["int32x2_t",3]]],[11,"clone","","",321,[[],["uint32x2_t",3]]],[11,"clone","","",322,[[],["float32x2_t",3]]],[11,"clone","","",323,[[],["int64x1_t",3]]],[11,"clone","","",324,[[],["uint64x1_t",3]]],[11,"clone","","",325,[[],["poly64x1_t",3]]],[11,"clone","","",326,[[],["int8x16_t",3]]],[11,"clone","","",327,[[],["uint8x16_t",3]]],[11,"clone","","",328,[[],["poly8x16_t",3]]],[11,"clone","","",329,[[],["int16x8_t",3]]],[11,"clone","","",330,[[],["uint16x8_t",3]]],[11,"clone","","",331,[[],["poly16x8_t",3]]],[11,"clone","","",332,[[],["int32x4_t",3]]],[11,"clone","","",333,[[],["uint32x4_t",3]]],[11,"clone","","",334,[[],["float32x4_t",3]]],[11,"clone","","",335,[[],["int64x2_t",3]]],[11,"clone","","",336,[[],["uint64x2_t",3]]],[11,"clone","","",337,[[],["poly64x2_t",3]]],[11,"clone","","",131,[[],["int8x8x2_t",3]]],[11,"clone","","",132,[[],["int8x8x3_t",3]]],[11,"clone","","",133,[[],["int8x8x4_t",3]]],[11,"clone","","",134,[[],["uint8x8x2_t",3]]],[11,"clone","","",135,[[],["uint8x8x3_t",3]]],[11,"clone","","",136,[[],["uint8x8x4_t",3]]],[11,"clone","","",137,[[],["poly8x8x2_t",3]]],[11,"clone","","",138,[[],["poly8x8x3_t",3]]],[11,"clone","","",139,[[],["poly8x8x4_t",3]]],[11,"clone","core::arch::wasm32","",338,[[],["v128",3]]],[11,"clone","core::arch::powerpc","",339,[[],["vector_signed_long",3]]],[11,"clone","","",340,[[],["vector_unsigned_long",3]]],[11,"clone","","",341,[[],["vector_bool_long",3]]],[11,"clone","","",342,[[],["vector_double",3]]],[11,"eq","core::num","",149,[[["parsefloaterror",3]],["bool",15]]],[11,"ne","","",149,[[["parsefloaterror",3]],["bool",15]]],[11,"eq","","",150,[[["tryfrominterror",3]],["bool",15]]],[11,"ne","","",150,[[["tryfrominterror",3]],["bool",15]]],[11,"eq","","",151,[[["parseinterror",3]],["bool",15]]],[11,"ne","","",151,[[["parseinterror",3]],["bool",15]]],[11,"eq","","",1,[[["interrorkind",4]],["bool",15]]],[11,"eq","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"ne","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"eq","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"ne","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"eq","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"ne","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"eq","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"ne","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"eq","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"ne","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"eq","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"ne","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"eq","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"ne","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"eq","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"ne","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"eq","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"ne","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"eq","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"ne","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"eq","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"ne","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"eq","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"ne","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"eq","","",0,[[["wrapping",3]],["bool",15]]],[11,"ne","","",0,[[["wrapping",3]],["bool",15]]],[11,"eq","","",2,[[["fpcategory",4]],["bool",15]]],[11,"eq","core::mem","",164,[[["manuallydrop",3]],["bool",15]]],[11,"ne","","",164,[[["manuallydrop",3]],["bool",15]]],[11,"eq","","",166,[[],["bool",15]]],[11,"eq","core::ptr","",167,[[],["bool",15]]],[11,"eq","core::cmp","",7,[[["ordering",4]],["bool",15]]],[11,"eq","","",8,[[["reverse",3]],["bool",15]]],[11,"ne","","",8,[[["reverse",3]],["bool",15]]],[11,"eq","core::convert","",168,[[["infallible",4]],["bool",15]]],[11,"eq","core::marker","",169,[[["phantomdata",3]],["bool",15]]],[11,"eq","","",170,[[["phantompinned",3]],["bool",15]]],[11,"eq","core::ops","",58,[[["controlflow",4]],["bool",15]]],[11,"ne","","",58,[[["controlflow",4]],["bool",15]]],[11,"eq","","",57,[[["generatorstate",4]],["bool",15]]],[11,"ne","","",57,[[["generatorstate",4]],["bool",15]]],[11,"eq","","",171,[[["rangefull",3]],["bool",15]]],[11,"eq","","",49,[[["range",3]],["bool",15]]],[11,"ne","","",49,[[["range",3]],["bool",15]]],[11,"eq","","",50,[[["rangefrom",3]],["bool",15]]],[11,"ne","","",50,[[["rangefrom",3]],["bool",15]]],[11,"eq","","",51,[[["rangeto",3]],["bool",15]]],[11,"ne","","",51,[[["rangeto",3]],["bool",15]]],[11,"eq","","",172,[[["rangeinclusive",3]],["bool",15]]],[11,"ne","","",172,[[["rangeinclusive",3]],["bool",15]]],[11,"eq","","",54,[[["rangetoinclusive",3]],["bool",15]]],[11,"ne","","",54,[[["rangetoinclusive",3]],["bool",15]]],[11,"eq","","",52,[[["bound",4]],["bool",15]]],[11,"ne","","",52,[[["bound",4]],["bool",15]]],[11,"eq","core::any","",60,[[["typeid",3]],["bool",15]]],[11,"ne","","",60,[[["typeid",3]],["bool",15]]],[11,"eq","core::cell","",62,[[["cell",3]],["bool",15]]],[11,"eq","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["bool",15]]],[11,"eq","core::char","",179,[[["parsecharerror",3]],["bool",15]]],[11,"ne","","",179,[[["parsecharerror",3]],["bool",15]]],[11,"eq","","",180,[[["chartryfromerror",3]],["bool",15]]],[11,"ne","","",180,[[["chartryfromerror",3]],["bool",15]]],[11,"eq","","",182,[[["decodeutf16error",3]],["bool",15]]],[11,"ne","","",182,[[["decodeutf16error",3]],["bool",15]]],[11,"eq","core::lazy","",77,[[],["bool",15]]],[11,"eq","core::option","",79,[[["option",4]],["bool",15]]],[11,"ne","","",79,[[["option",4]],["bool",15]]],[11,"eq","","",224,[[["noneerror",3]],["bool",15]]],[11,"eq","core::panic","",81,[[["location",3]],["bool",15]]],[11,"ne","","",81,[[["location",3]],["bool",15]]],[11,"eq","core::pin","",82,[[["pin",3]],["bool",15]]],[11,"ne","","",82,[[["pin",3]],["bool",15]]],[11,"eq","core::result","",84,[[["result",4]],["bool",15]]],[11,"ne","","",84,[[["result",4]],["bool",15]]],[11,"eq","core::sync::atomic","",86,[[["ordering",4]],["bool",15]]],[11,"eq","core::fmt","",233,[[["error",3]],["bool",15]]],[11,"eq","core::hash","",235,[[["buildhasherdefault",3]],["bool",15]]],[11,"eq","core::str","",262,[[["utf8error",3]],["bool",15]]],[11,"ne","","",262,[[["utf8error",3]],["bool",15]]],[11,"eq","","",263,[[["parseboolerror",3]],["bool",15]]],[11,"ne","","",263,[[["parseboolerror",3]],["bool",15]]],[11,"eq","core::str::pattern","",118,[[["searchstep",4]],["bool",15]]],[11,"ne","","",118,[[["searchstep",4]],["bool",15]]],[11,"eq","core::str::lossy","",122,[[["utf8lossychunk",3]],["bool",15]]],[11,"ne","","",122,[[["utf8lossychunk",3]],["bool",15]]],[11,"eq","core::time","",124,[[["duration",3]],["bool",15]]],[11,"ne","","",124,[[["duration",3]],["bool",15]]],[11,"eq","core::task","",127,[[["poll",4]],["bool",15]]],[11,"ne","","",127,[[["poll",4]],["bool",15]]],[11,"eq","","",294,[[["rawwaker",3]],["bool",15]]],[11,"ne","","",294,[[["rawwaker",3]],["bool",15]]],[11,"eq","","",295,[[["rawwakervtable",3]],["bool",15]]],[11,"ne","","",295,[[["rawwakervtable",3]],["bool",15]]],[11,"eq","core::alloc","",298,[[["layout",3]],["bool",15]]],[11,"ne","","",298,[[["layout",3]],["bool",15]]],[11,"eq","","",299,[[["layouterror",3]],["bool",15]]],[11,"ne","","",299,[[["layouterror",3]],["bool",15]]],[11,"eq","","",300,[[["allocerror",3]],["bool",15]]],[11,"eq","core::arch::x86","",130,[[["cpuidresult",3]],["bool",15]]],[11,"ne","","",130,[[["cpuidresult",3]],["bool",15]]],[11,"cmp","core::num","",152,[[["nonzerou8",3]],["ordering",4]]],[11,"cmp","","",153,[[["nonzerou16",3]],["ordering",4]]],[11,"cmp","","",154,[[["nonzerou32",3]],["ordering",4]]],[11,"cmp","","",155,[[["nonzerou64",3]],["ordering",4]]],[11,"cmp","","",156,[[["nonzerou128",3]],["ordering",4]]],[11,"cmp","","",157,[[["nonzerousize",3]],["ordering",4]]],[11,"cmp","","",158,[[["nonzeroi8",3]],["ordering",4]]],[11,"cmp","","",159,[[["nonzeroi16",3]],["ordering",4]]],[11,"cmp","","",160,[[["nonzeroi32",3]],["ordering",4]]],[11,"cmp","","",161,[[["nonzeroi64",3]],["ordering",4]]],[11,"cmp","","",162,[[["nonzeroi128",3]],["ordering",4]]],[11,"cmp","","",163,[[["nonzeroisize",3]],["ordering",4]]],[11,"cmp","","",0,[[["wrapping",3]],["ordering",4]]],[11,"cmp","core::mem","",164,[[["manuallydrop",3]],["ordering",4]]],[11,"cmp","core::ptr","",167,[[],["ordering",4]]],[11,"cmp","core::cmp","",8,[[["reverse",3]],["ordering",4]]],[11,"cmp","","",7,[[["ordering",4]],["ordering",4]]],[11,"cmp","core::convert","",168,[[],["ordering",4]]],[11,"cmp","core::marker","",169,[[["phantomdata",3]],["ordering",4]]],[11,"cmp","","",170,[[["phantompinned",3]],["ordering",4]]],[11,"cmp","core::ops","",57,[[["generatorstate",4]],["ordering",4]]],[11,"cmp","core::any","",60,[[["typeid",3]],["ordering",4]]],[11,"cmp","core::cell","",62,[[["cell",3]],["ordering",4]]],[11,"cmp","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["ordering",4]]],[11,"cmp","core::option","",79,[[["option",4]],["ordering",4]]],[11,"cmp","","",224,[[["noneerror",3]],["ordering",4]]],[11,"cmp","core::panic","",81,[[["location",3]],["ordering",4]]],[11,"cmp","core::pin","",82,[[],["ordering",4]]],[11,"cmp","core::result","",84,[[["result",4]],["ordering",4]]],[11,"cmp","core::fmt","",233,[[["error",3]],["ordering",4]]],[11,"cmp","core::time","",124,[[["duration",3]],["ordering",4]]],[11,"cmp","core::task","",127,[[["poll",4]],["ordering",4]]],[11,"cmp","core::arch::x86","",130,[[["cpuidresult",3]],["ordering",4]]],[11,"partial_cmp","core::num","",152,[[["nonzerou8",3]],[["option",4],["ordering",4]]]],[11,"lt","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"le","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"gt","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"ge","","",152,[[["nonzerou8",3]],["bool",15]]],[11,"partial_cmp","","",153,[[["nonzerou16",3]],[["option",4],["ordering",4]]]],[11,"lt","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"le","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"gt","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"ge","","",153,[[["nonzerou16",3]],["bool",15]]],[11,"partial_cmp","","",154,[[["nonzerou32",3]],[["option",4],["ordering",4]]]],[11,"lt","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"le","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"gt","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"ge","","",154,[[["nonzerou32",3]],["bool",15]]],[11,"partial_cmp","","",155,[[["nonzerou64",3]],[["option",4],["ordering",4]]]],[11,"lt","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"le","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"gt","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"ge","","",155,[[["nonzerou64",3]],["bool",15]]],[11,"partial_cmp","","",156,[[["nonzerou128",3]],[["option",4],["ordering",4]]]],[11,"lt","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"le","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"gt","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"ge","","",156,[[["nonzerou128",3]],["bool",15]]],[11,"partial_cmp","","",157,[[["nonzerousize",3]],[["option",4],["ordering",4]]]],[11,"lt","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"le","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"gt","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"ge","","",157,[[["nonzerousize",3]],["bool",15]]],[11,"partial_cmp","","",158,[[["nonzeroi8",3]],[["option",4],["ordering",4]]]],[11,"lt","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"le","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"gt","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"ge","","",158,[[["nonzeroi8",3]],["bool",15]]],[11,"partial_cmp","","",159,[[["nonzeroi16",3]],[["option",4],["ordering",4]]]],[11,"lt","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"le","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"gt","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"ge","","",159,[[["nonzeroi16",3]],["bool",15]]],[11,"partial_cmp","","",160,[[["nonzeroi32",3]],[["option",4],["ordering",4]]]],[11,"lt","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"le","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"gt","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"ge","","",160,[[["nonzeroi32",3]],["bool",15]]],[11,"partial_cmp","","",161,[[["nonzeroi64",3]],[["option",4],["ordering",4]]]],[11,"lt","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"le","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"gt","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"ge","","",161,[[["nonzeroi64",3]],["bool",15]]],[11,"partial_cmp","","",162,[[["nonzeroi128",3]],[["option",4],["ordering",4]]]],[11,"lt","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"le","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"gt","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"ge","","",162,[[["nonzeroi128",3]],["bool",15]]],[11,"partial_cmp","","",163,[[["nonzeroisize",3]],[["option",4],["ordering",4]]]],[11,"lt","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"le","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"gt","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"ge","","",163,[[["nonzeroisize",3]],["bool",15]]],[11,"partial_cmp","","",0,[[["wrapping",3]],[["option",4],["ordering",4]]]],[11,"lt","","",0,[[["wrapping",3]],["bool",15]]],[11,"le","","",0,[[["wrapping",3]],["bool",15]]],[11,"gt","","",0,[[["wrapping",3]],["bool",15]]],[11,"ge","","",0,[[["wrapping",3]],["bool",15]]],[11,"partial_cmp","core::mem","",164,[[["manuallydrop",3]],[["option",4],["ordering",4]]]],[11,"lt","","",164,[[["manuallydrop",3]],["bool",15]]],[11,"le","","",164,[[["manuallydrop",3]],["bool",15]]],[11,"gt","","",164,[[["manuallydrop",3]],["bool",15]]],[11,"ge","","",164,[[["manuallydrop",3]],["bool",15]]],[11,"partial_cmp","core::ptr","",167,[[],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::cmp","",8,[[["reverse",3]],[["option",4],["ordering",4]]]],[11,"lt","","",8,[[],["bool",15]]],[11,"le","","",8,[[],["bool",15]]],[11,"gt","","",8,[[],["bool",15]]],[11,"ge","","",8,[[],["bool",15]]],[11,"partial_cmp","","",7,[[["ordering",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::convert","",168,[[],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::marker","",169,[[["phantomdata",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",170,[[["phantompinned",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::ops","",57,[[["generatorstate",4]],[["option",4],["ordering",4]]]],[11,"lt","","",57,[[["generatorstate",4]],["bool",15]]],[11,"le","","",57,[[["generatorstate",4]],["bool",15]]],[11,"gt","","",57,[[["generatorstate",4]],["bool",15]]],[11,"ge","","",57,[[["generatorstate",4]],["bool",15]]],[11,"partial_cmp","core::any","",60,[[["typeid",3]],[["option",4],["ordering",4]]]],[11,"lt","","",60,[[["typeid",3]],["bool",15]]],[11,"le","","",60,[[["typeid",3]],["bool",15]]],[11,"gt","","",60,[[["typeid",3]],["bool",15]]],[11,"ge","","",60,[[["typeid",3]],["bool",15]]],[11,"partial_cmp","core::cell","",62,[[["cell",3]],[["option",4],["ordering",4]]]],[11,"lt","","",62,[[["cell",3]],["bool",15]]],[11,"le","","",62,[[["cell",3]],["bool",15]]],[11,"gt","","",62,[[["cell",3]],["bool",15]]],[11,"ge","","",62,[[["cell",3]],["bool",15]]],[11,"partial_cmp","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],[["option",4],["ordering",4]]]],[11,"lt","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["bool",15]]],[11,"le","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["bool",15]]],[11,"gt","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["bool",15]]],[11,"ge","","PanicsPanics if the value in either <code>RefCell</code> is currently …",63,[[["refcell",3]],["bool",15]]],[11,"partial_cmp","core::option","",79,[[["option",4]],[["option",4],["ordering",4]]]],[11,"lt","","",79,[[["option",4]],["bool",15]]],[11,"le","","",79,[[["option",4]],["bool",15]]],[11,"gt","","",79,[[["option",4]],["bool",15]]],[11,"ge","","",79,[[["option",4]],["bool",15]]],[11,"partial_cmp","","",224,[[["noneerror",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::panic","",81,[[["location",3]],[["option",4],["ordering",4]]]],[11,"lt","","",81,[[["location",3]],["bool",15]]],[11,"le","","",81,[[["location",3]],["bool",15]]],[11,"gt","","",81,[[["location",3]],["bool",15]]],[11,"ge","","",81,[[["location",3]],["bool",15]]],[11,"partial_cmp","core::pin","",82,[[["pin",3]],[["ordering",4],["option",4]]]],[11,"lt","","",82,[[["pin",3]],["bool",15]]],[11,"le","","",82,[[["pin",3]],["bool",15]]],[11,"gt","","",82,[[["pin",3]],["bool",15]]],[11,"ge","","",82,[[["pin",3]],["bool",15]]],[11,"partial_cmp","core::result","",84,[[["result",4]],[["option",4],["ordering",4]]]],[11,"lt","","",84,[[["result",4]],["bool",15]]],[11,"le","","",84,[[["result",4]],["bool",15]]],[11,"gt","","",84,[[["result",4]],["bool",15]]],[11,"ge","","",84,[[["result",4]],["bool",15]]],[11,"partial_cmp","core::fmt","",233,[[["error",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","core::time","",124,[[["duration",3]],[["option",4],["ordering",4]]]],[11,"lt","","",124,[[["duration",3]],["bool",15]]],[11,"le","","",124,[[["duration",3]],["bool",15]]],[11,"gt","","",124,[[["duration",3]],["bool",15]]],[11,"ge","","",124,[[["duration",3]],["bool",15]]],[11,"partial_cmp","core::task","",127,[[["poll",4]],[["option",4],["ordering",4]]]],[11,"lt","","",127,[[["poll",4]],["bool",15]]],[11,"le","","",127,[[["poll",4]],["bool",15]]],[11,"gt","","",127,[[["poll",4]],["bool",15]]],[11,"ge","","",127,[[["poll",4]],["bool",15]]],[11,"partial_cmp","core::arch::x86","",130,[[["cpuidresult",3]],[["option",4],["ordering",4]]]],[11,"lt","","",130,[[["cpuidresult",3]],["bool",15]]],[11,"le","","",130,[[["cpuidresult",3]],["bool",15]]],[11,"gt","","",130,[[["cpuidresult",3]],["bool",15]]],[11,"ge","","",130,[[["cpuidresult",3]],["bool",15]]],[11,"as_ref","core::slice","",236,[[]]],[11,"from","core::num","",150,[[["infallible",4]],["tryfrominterror",3]]],[11,"from","","",150,[[],["tryfrominterror",3]]],[11,"from","core::ptr","",167,[[]]],[11,"from","","",167,[[]]],[11,"from","core::num","",153,[[["nonzerou8",3]]]],[11,"from","","",154,[[["nonzerou8",3]]]],[11,"from","","",155,[[["nonzerou8",3]]]],[11,"from","","",156,[[["nonzerou8",3]]]],[11,"from","","",157,[[["nonzerou8",3]]]],[11,"from","","",154,[[["nonzerou16",3]]]],[11,"from","","",155,[[["nonzerou16",3]]]],[11,"from","","",156,[[["nonzerou16",3]]]],[11,"from","","",157,[[["nonzerou16",3]]]],[11,"from","","",155,[[["nonzerou32",3]]]],[11,"from","","",156,[[["nonzerou32",3]]]],[11,"from","","",156,[[["nonzerou64",3]]]],[11,"from","","",159,[[["nonzeroi8",3]]]],[11,"from","","",160,[[["nonzeroi8",3]]]],[11,"from","","",161,[[["nonzeroi8",3]]]],[11,"from","","",162,[[["nonzeroi8",3]]]],[11,"from","","",163,[[["nonzeroi8",3]]]],[11,"from","","",160,[[["nonzeroi16",3]]]],[11,"from","","",161,[[["nonzeroi16",3]]]],[11,"from","","",162,[[["nonzeroi16",3]]]],[11,"from","","",163,[[["nonzeroi16",3]]]],[11,"from","","",161,[[["nonzeroi32",3]]]],[11,"from","","",162,[[["nonzeroi32",3]]]],[11,"from","","",162,[[["nonzeroi64",3]]]],[11,"from","","",159,[[["nonzerou8",3]]]],[11,"from","","",160,[[["nonzerou8",3]]]],[11,"from","","",161,[[["nonzerou8",3]]]],[11,"from","","",162,[[["nonzerou8",3]]]],[11,"from","","",163,[[["nonzerou8",3]]]],[11,"from","","",160,[[["nonzerou16",3]]]],[11,"from","","",161,[[["nonzerou16",3]]]],[11,"from","","",162,[[["nonzerou16",3]]]],[11,"from","","",161,[[["nonzerou32",3]]]],[11,"from","","",162,[[["nonzerou32",3]]]],[11,"from","","",162,[[["nonzerou64",3]]]],[11,"from","core::convert","",168,[[]]],[11,"from","core::array","",174,[[["infallible",4]],["tryfromsliceerror",3]]],[11,"from","core::cell","",62,[[],["cell",3]]],[11,"from","","",63,[[],["refcell",3]]],[11,"from","","",65,[[],["unsafecell",3]]],[11,"from","core::lazy","",77,[[]]],[11,"from","core::option","Copies <code>val</code> into a new <code>Some</code>.",79,[[],["option",4]]],[11,"from","","Converts from <code>&Option<T></code> to <code>Option<&T></code>.",79,[[["option",4]],["option",4]]],[11,"from","","Converts from <code>&mut Option<T></code> to <code>Option<&mut T></code>",79,[[["option",4]],["option",4]]],[11,"from","core::sync::atomic","Converts a <code>bool</code> into an <code>AtomicBool</code>.",87,[[["bool",15]]]],[11,"from","","",88,[[]]],[11,"from","","Converts an <code>i8</code> into an <code>AtomicI8</code>.",89,[[["i8",15]]]],[11,"from","","Converts an <code>u8</code> into an <code>AtomicU8</code>.",90,[[["u8",15]]]],[11,"from","","Converts an <code>i16</code> into an <code>AtomicI16</code>.",91,[[["i16",15]]]],[11,"from","","Converts an <code>u16</code> into an <code>AtomicU16</code>.",92,[[["u16",15]]]],[11,"from","","Converts an <code>i32</code> into an <code>AtomicI32</code>.",93,[[["i32",15]]]],[11,"from","","Converts an <code>u32</code> into an <code>AtomicU32</code>.",94,[[["u32",15]]]],[11,"from","","Converts an <code>i64</code> into an <code>AtomicI64</code>.",95,[[["i64",15]]]],[11,"from","","Converts an <code>u64</code> into an <code>AtomicU64</code>.",96,[[["u64",15]]]],[11,"from","","Converts an <code>isize</code> into an <code>AtomicIsize</code>.",97,[[["isize",15]]]],[11,"from","","Converts an <code>usize</code> into an <code>AtomicUsize</code>.",98,[[["usize",15]]]],[11,"from","core::task","Convert to a <code>Ready</code> variant.",127,[[],["poll",4]]],[11,"try_from","core::num","",152,[[["u8",15]],["result",4]]],[11,"try_from","","",153,[[["u16",15]],["result",4]]],[11,"try_from","","",154,[[["u32",15]],["result",4]]],[11,"try_from","","",155,[[["u64",15]],["result",4]]],[11,"try_from","","",156,[[["u128",15]],["result",4]]],[11,"try_from","","",157,[[["usize",15]],["result",4]]],[11,"try_from","","",158,[[["i8",15]],["result",4]]],[11,"try_from","","",159,[[["i16",15]],["result",4]]],[11,"try_from","","",160,[[["i32",15]],["result",4]]],[11,"try_from","","",161,[[["i64",15]],["result",4]]],[11,"try_from","","",162,[[["i128",15]],["result",4]]],[11,"try_from","","",163,[[["isize",15]],["result",4]]],[11,"try_from","","",152,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",152,[[["nonzerou16",3]],["result",4]]],[11,"try_from","","",152,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",152,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",152,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",152,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",152,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",152,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",152,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",152,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",152,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",153,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",153,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",153,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",153,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",153,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",154,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",154,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",154,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",154,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",155,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",155,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",155,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",156,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",156,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroi8",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",157,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",157,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",157,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",157,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerou8",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerou16",3]],["result",4]]],[11,"try_from","","",158,[[["nonzeroi16",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",158,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",158,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",158,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",158,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",158,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",159,[[["nonzerou16",3]],["result",4]]],[11,"try_from","","",159,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",159,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",159,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",159,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",159,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",159,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",159,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",159,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",160,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",160,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",160,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",160,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",160,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",160,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",160,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",161,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",161,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",161,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",161,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",161,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",162,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",162,[[["nonzerousize",3]],["result",4]]],[11,"try_from","","",162,[[["nonzeroisize",3]],["result",4]]],[11,"try_from","","",163,[[["nonzerou16",3]],["result",4]]],[11,"try_from","","",163,[[["nonzerou32",3]],["result",4]]],[11,"try_from","","",163,[[["nonzeroi32",3]],["result",4]]],[11,"try_from","","",163,[[["nonzerou64",3]],["result",4]]],[11,"try_from","","",163,[[["nonzeroi64",3]],["result",4]]],[11,"try_from","","",163,[[["nonzerou128",3]],["result",4]]],[11,"try_from","","",163,[[["nonzeroi128",3]],["result",4]]],[11,"try_from","","",163,[[["nonzerousize",3]],["result",4]]],[11,"default","","",0,[[],["wrapping",3]]],[11,"default","core::mem","",164,[[],["manuallydrop",3]]],[11,"default","core::cmp","",8,[[],["reverse",3]]],[11,"default","core::marker","",169,[[]]],[11,"default","","",170,[[],["phantompinned",3]]],[11,"default","core::ops","",171,[[],["rangefull",3]]],[11,"default","","",49,[[],["range",3]]],[11,"default","core::cell","Creates a <code>Cell<T></code>, with the <code>Default</code> value for T.",62,[[],["cell",3]]],[11,"default","","Creates a <code>RefCell<T></code>, with the <code>Default</code> value for T.",63,[[],["refcell",3]]],[11,"default","","Creates an <code>UnsafeCell</code>, with the <code>Default</code> value for T.",65,[[],["unsafecell",3]]],[11,"default","core::iter","",214,[[],["empty",3]]],[11,"default","core::lazy","",77,[[]]],[11,"default","","Creates a new lazy value using <code>Default</code> as the …",78,[[],["lazy",3]]],[11,"default","core::option","Returns [<code>None</code>][Option::None].",79,[[],["option",4]]],[11,"default","core::sync::atomic","Creates an <code>AtomicBool</code> initialized to <code>false</code>.",87,[[]]],[11,"default","","Creates a null <code>AtomicPtr<T></code>.",88,[[],["atomicptr",3]]],[11,"default","","",89,[[]]],[11,"default","","",90,[[]]],[11,"default","","",91,[[]]],[11,"default","","",92,[[]]],[11,"default","","",93,[[]]],[11,"default","","",94,[[]]],[11,"default","","",95,[[]]],[11,"default","","",96,[[]]],[11,"default","","",97,[[]]],[11,"default","","",98,[[]]],[11,"default","core::fmt","",233,[[],["error",3]]],[11,"default","core::hash","",234,[[],["siphasher",3]]],[11,"default","","",235,[[],["buildhasherdefault",3]]],[11,"default","core::time","",124,[[],["duration",3]]],[11,"add","core::num","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"add","","",0,[[["wrapping",3]]]],[11,"add","core::time","",124,[[["duration",3]],["duration",3]]],[11,"sub","core::num","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"sub","","",0,[[["wrapping",3]]]],[11,"sub","core::time","",124,[[["duration",3]],["duration",3]]],[11,"mul","core::num","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"mul","","",0,[[["wrapping",3]]]],[11,"mul","core::time","",124,[[["u32",15]],["duration",3]]],[11,"div","core::num","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"div","","",0,[[["wrapping",3]]]],[11,"div","core::time","",124,[[["u32",15]],["duration",3]]],[11,"rem","core::num","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"rem","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"rem","","",0,[[["wrapping",3]]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"neg","","",0,[[]]],[11,"add_assign","","",0,[[["wrapping",3],["usize",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"add_assign","","",0,[[["wrapping",3]]]],[11,"add_assign","core::time","",124,[[["duration",3]]]],[11,"sub_assign","core::num","",0,[[["wrapping",3],["usize",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"sub_assign","","",0,[[["wrapping",3]]]],[11,"sub_assign","core::time","",124,[[["duration",3]]]],[11,"mul_assign","core::num","",0,[[["wrapping",3],["usize",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"mul_assign","","",0,[[["wrapping",3]]]],[11,"mul_assign","core::time","",124,[[["u32",15]]]],[11,"div_assign","core::num","",0,[[["wrapping",3],["usize",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"div_assign","","",0,[[["wrapping",3]]]],[11,"div_assign","core::time","",124,[[["u32",15]]]],[11,"rem_assign","core::num","",0,[[["wrapping",3],["usize",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"rem_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"rem_assign","","",0,[[["wrapping",3]]]],[11,"not","","",0,[[],[["wrapping",3],["usize",15]]]],[11,"not","","",0,[[],[["u8",15],["wrapping",3]]]],[11,"not","","",0,[[],[["wrapping",3],["u16",15]]]],[11,"not","","",0,[[],[["wrapping",3],["u32",15]]]],[11,"not","","",0,[[],[["wrapping",3],["u64",15]]]],[11,"not","","",0,[[],[["u128",15],["wrapping",3]]]],[11,"not","","",0,[[],[["wrapping",3],["isize",15]]]],[11,"not","","",0,[[],[["i8",15],["wrapping",3]]]],[11,"not","","",0,[[],[["i16",15],["wrapping",3]]]],[11,"not","","",0,[[],[["i32",15],["wrapping",3]]]],[11,"not","","",0,[[],[["i64",15],["wrapping",3]]]],[11,"not","","",0,[[],[["wrapping",3],["i128",15]]]],[11,"bitand","","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitand","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"bitand","","",0,[[["wrapping",3]]]],[11,"bitor","","",152,[[]]],[11,"bitor","","",152,[[["u8",15]]]],[11,"bitor","","",153,[[]]],[11,"bitor","","",153,[[["u16",15]]]],[11,"bitor","","",154,[[]]],[11,"bitor","","",154,[[["u32",15]]]],[11,"bitor","","",155,[[]]],[11,"bitor","","",155,[[["u64",15]]]],[11,"bitor","","",156,[[]]],[11,"bitor","","",156,[[["u128",15]]]],[11,"bitor","","",157,[[]]],[11,"bitor","","",157,[[["usize",15]]]],[11,"bitor","","",158,[[]]],[11,"bitor","","",158,[[["i8",15]]]],[11,"bitor","","",159,[[]]],[11,"bitor","","",159,[[["i16",15]]]],[11,"bitor","","",160,[[]]],[11,"bitor","","",160,[[["i32",15]]]],[11,"bitor","","",161,[[]]],[11,"bitor","","",161,[[["i64",15]]]],[11,"bitor","","",162,[[]]],[11,"bitor","","",162,[[["i128",15]]]],[11,"bitor","","",163,[[]]],[11,"bitor","","",163,[[["isize",15]]]],[11,"bitor","","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitor","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"bitor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["u64",15]],[["wrapping",3],["u64",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["u128",15],["wrapping",3]],[["u128",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["isize",15]],[["wrapping",3],["isize",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["i16",15],["wrapping",3]],[["i16",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["i32",15]],[["i32",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"bitxor","","",0,[[["wrapping",3],["i128",15]],[["wrapping",3],["i128",15]]]],[11,"bitxor","","",0,[[["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]],[["u8",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["u16",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["u32",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["u64",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["u128",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["usize",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["i8",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["i16",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["i32",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["i64",15],["wrapping",3]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["i128",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shl","","",0,[[["usize",15]],[["wrapping",3],["isize",15]]]],[11,"shl","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["u8",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["u16",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["u32",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["u64",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["u128",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["usize",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["i8",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["i16",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["i32",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["i64",15],["wrapping",3]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["i128",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"shr","","",0,[[["usize",15]],[["wrapping",3],["isize",15]]]],[11,"shr","","",0,[[["usize",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["usize",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitand_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"bitand_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",152,[[]]],[11,"bitor_assign","","",152,[[["u8",15]]]],[11,"bitor_assign","","",153,[[]]],[11,"bitor_assign","","",153,[[["u16",15]]]],[11,"bitor_assign","","",154,[[]]],[11,"bitor_assign","","",154,[[["u32",15]]]],[11,"bitor_assign","","",155,[[]]],[11,"bitor_assign","","",155,[[["u64",15]]]],[11,"bitor_assign","","",156,[[]]],[11,"bitor_assign","","",156,[[["u128",15]]]],[11,"bitor_assign","","",157,[[]]],[11,"bitor_assign","","",157,[[["usize",15]]]],[11,"bitor_assign","","",158,[[]]],[11,"bitor_assign","","",158,[[["i8",15]]]],[11,"bitor_assign","","",159,[[]]],[11,"bitor_assign","","",159,[[["i16",15]]]],[11,"bitor_assign","","",160,[[]]],[11,"bitor_assign","","",160,[[["i32",15]]]],[11,"bitor_assign","","",161,[[]]],[11,"bitor_assign","","",161,[[["i64",15]]]],[11,"bitor_assign","","",162,[[]]],[11,"bitor_assign","","",162,[[["i128",15]]]],[11,"bitor_assign","","",163,[[]]],[11,"bitor_assign","","",163,[[["isize",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["usize",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitor_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"bitor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["usize",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["u8",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["u16",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["u32",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["u64",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["u128",15],["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["isize",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["i8",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["i16",15],["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["i32",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["i64",15],["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"bitxor_assign","","",0,[[["wrapping",3],["i128",15]]]],[11,"bitxor_assign","","",0,[[["wrapping",3]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shl_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"shr_assign","","",0,[[["usize",15]]]],[11,"deref","core::mem","",164,[[]]],[11,"deref","core::cell","",64,[[]]],[11,"deref","","",178,[[]]],[11,"deref","core::ffi","",189,[[],["valistimpl",3]]],[11,"deref","core::lazy","",78,[[]]],[11,"deref","core::pin","",82,[[]]],[11,"deref_mut","core::mem","",164,[[]]],[11,"deref_mut","core::cell","",178,[[]]],[11,"deref_mut","core::ffi","",189,[[],["valistimpl",3]]],[11,"deref_mut","core::pin","",82,[[]]],[11,"drop","core::array","",173,[[]]],[11,"drop","core::ffi","",66,[[]]],[11,"drop","core::task","",297,[[]]],[11,"resume","core::pin","",82,[[["pin",3]],["generatorstate",4]]],[11,"start_bound","core::ops","",171,[[],["bound",4]]],[11,"end_bound","","",171,[[],["bound",4]]],[11,"start_bound","","",50,[[],["bound",4]]],[11,"end_bound","","",50,[[],["bound",4]]],[11,"start_bound","","",51,[[],["bound",4]]],[11,"end_bound","","",51,[[],["bound",4]]],[11,"start_bound","","",49,[[],["bound",4]]],[11,"end_bound","","",49,[[],["bound",4]]],[11,"start_bound","","",172,[[],["bound",4]]],[11,"end_bound","","",172,[[],["bound",4]]],[11,"start_bound","","",54,[[],["bound",4]]],[11,"end_bound","","",54,[[],["bound",4]]],[11,"start_bound","","",50,[[],["bound",4]]],[11,"end_bound","","",50,[[],["bound",4]]],[11,"start_bound","","",51,[[],["bound",4]]],[11,"end_bound","","",51,[[],["bound",4]]],[11,"start_bound","","",49,[[],["bound",4]]],[11,"end_bound","","",49,[[],["bound",4]]],[11,"start_bound","","",172,[[],["bound",4]]],[11,"end_bound","","",172,[[],["bound",4]]],[11,"start_bound","","",54,[[],["bound",4]]],[11,"end_bound","","",54,[[],["bound",4]]],[11,"into_result","","",58,[[],["result",4]]],[11,"from_error","","",58,[[]]],[11,"from_ok","","",58,[[]]],[11,"into_result","core::option","",79,[[],[["noneerror",3],["result",4]]]],[11,"from_ok","","",79,[[]]],[11,"from_error","","",79,[[["noneerror",3]]]],[11,"into_result","core::result","",84,[[]]],[11,"from_ok","","",84,[[]]],[11,"from_error","","",84,[[]]],[11,"into_result","core::task","",127,[[],["result",4]]],[11,"from_error","","",127,[[]]],[11,"from_ok","","",127,[[]]],[11,"into_result","","",127,[[],["result",4]]],[11,"from_error","","",127,[[]]],[11,"from_ok","","",127,[[]]],[11,"as_inner","core::iter","",194,[[]]],[11,"as_inner","","",195,[[]]],[11,"as_inner","","",196,[[]]],[11,"as_inner","","",199,[[]]],[11,"as_inner","","",200,[[]]],[11,"as_inner","","",203,[[]]],[11,"as_inner","","",204,[[]]],[11,"as_inner","","",205,[[]]],[11,"as_inner","","",207,[[]]],[11,"as_inner","","",208,[[]]],[11,"as_inner","","",209,[[]]],[11,"as_inner","","",211,[[]]],[11,"as_inner","","",212,[[]]],[11,"as_inner","","",213,[[]]],[11,"sum","core::num","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","","",0,[[["iterator",8]]]],[11,"sum","core::result","Takes each element in the [<code>Iterator</code>]: if it is an [<code>Err</code>], …",84,[[],["result",4]]],[11,"sum","core::option","Takes each element in the [<code>Iterator</code>]: if it is a [<code>None</code>], …",79,[[],["option",4]]],[11,"sum","core::time","",124,[[["iterator",8]],["duration",3]]],[11,"sum","","",124,[[["iterator",8]],["duration",3]]],[11,"product","core::num","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","","",0,[[["iterator",8]]]],[11,"product","core::result","Takes each element in the [<code>Iterator</code>]: if it is an [<code>Err</code>], …",84,[[],["result",4]]],[11,"product","core::option","Takes each element in the [<code>Iterator</code>]: if it is a [<code>None</code>], …",79,[[],["option",4]]],[11,"from_iter","","Takes each element in the [<code>Iterator</code>]: if it is [<code>None</code>][…",79,[[["intoiterator",8]],["option",4]]],[11,"from_iter","core::result","Takes each element in the <code>Iterator</code>: if it is an <code>Err</code>, no …",84,[[["intoiterator",8]],["result",4]]],[11,"into_iter","core::option","Returns a consuming iterator over the possibly contained …",79,[[],["intoiter",3]]],[11,"into_iter","core::result","Returns a consuming iterator over the possibly contained …",84,[[],["intoiter",3]]],[11,"next_back","core::array","",173,[[],["option",4]]],[11,"next_back","core::ascii","",175,[[],[["u8",15],["option",4]]]],[11,"next_back","core::iter","",190,[[],["option",4]]],[11,"advance_back_by","","",190,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth_back","","",190,[[["usize",15]],["option",4]]],[11,"rfind","","",190,[[],["option",4]]],[11,"try_rfold","","",190,[[]]],[11,"rfold","","",190,[[]]],[11,"next_back","","",191,[[],["option",4]]],[11,"try_rfold","","",191,[[]]],[11,"rfold","","",191,[[]]],[11,"next_back","","",192,[[],["option",4]]],[11,"try_rfold","","",192,[[]]],[11,"rfold","","",192,[[]]],[11,"next_back","","",194,[[],["option",4]]],[11,"nth_back","","",194,[[["usize",15]],["option",4]]],[11,"try_rfold","","",194,[[]]],[11,"rfold","","",194,[[]]],[11,"next_back","","",195,[[],["option",4]]],[11,"try_rfold","","",195,[[]]],[11,"rfold","","",195,[[]]],[11,"next_back","","",196,[[],["option",4]]],[11,"try_rfold","","",196,[[]]],[11,"rfold","","",196,[[]]],[11,"next_back","","",197,[[],["option",4]]],[11,"try_rfold","","",197,[[]]],[11,"rfold","","",197,[[]]],[11,"next_back","","",198,[[],["option",4]]],[11,"try_rfold","","",198,[[]]],[11,"rfold","","",198,[[]]],[11,"next_back","","",199,[[],["option",4]]],[11,"nth_back","","",199,[[["usize",15]],["option",4]]],[11,"try_rfold","","",199,[[]]],[11,"rfold","","",199,[[]]],[11,"rfind","","",199,[[],["option",4]]],[11,"next_back","","",200,[[],["option",4]]],[11,"try_rfold","","",200,[[]]],[11,"rfold","","",200,[[]]],[11,"next_back","","",203,[[],["option",4]]],[11,"try_rfold","","",203,[[]]],[11,"rfold","","",203,[[]]],[11,"next_back","","",205,[[],["option",4]]],[11,"try_rfold","","",205,[[]]],[11,"rfold","","",205,[[]]],[11,"next_back","","",206,[[],["option",4]]],[11,"advance_back_by","","",206,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth_back","","",206,[[["usize",15]],["option",4]]],[11,"try_rfold","","",206,[[]]],[11,"rfold","","",206,[[]]],[11,"rfind","","",206,[[],["option",4]]],[11,"next_back","","",208,[[],["option",4]]],[11,"nth_back","","",208,[[["usize",15]],["option",4]]],[11,"try_rfold","","",208,[[]]],[11,"rfold","","",208,[[]]],[11,"next_back","","",210,[[],["option",4]]],[11,"nth_back","","",210,[[["usize",15]],["option",4]]],[11,"try_rfold","","",210,[[]]],[11,"rfold","","",210,[[]]],[11,"next_back","","",211,[[],["option",4]]],[11,"nth_back","","",211,[[["usize",15]],["option",4]]],[11,"try_rfold","","",211,[[]]],[11,"rfold","","",211,[[]]],[11,"next_back","","",213,[[],["option",4]]],[11,"next_back","core::ops","",49,[[],["option",4]]],[11,"nth_back","","",49,[[["usize",15]],["option",4]]],[11,"next_back","","",172,[[],["option",4]]],[11,"nth_back","","",172,[[["usize",15]],["option",4]]],[11,"try_rfold","","",172,[[]]],[11,"rfold","","",172,[[]]],[11,"next_back","core::iter","",214,[[],["option",4]]],[11,"next_back","","",216,[[],["option",4]]],[11,"next_back","","",217,[[],["option",4]]],[11,"next_back","","",218,[[],["option",4]]],[11,"next_back","core::option","",221,[[],["option",4]]],[11,"next_back","","",222,[[],["option",4]]],[11,"next_back","","",223,[[],["option",4]]],[11,"next_back","core::result","",225,[[],["option",4]]],[11,"next_back","","",226,[[],["option",4]]],[11,"next_back","","",227,[[],["option",4]]],[11,"next_back","core::slice","",236,[[],["option",4]]],[11,"nth_back","","",236,[[["usize",15]],["option",4]]],[11,"next_back","","",237,[[],["option",4]]],[11,"nth_back","","",237,[[["usize",15]],["option",4]]],[11,"next_back","","",238,[[],["option",4]]],[11,"next_back","","",239,[[],["option",4]]],[11,"next_back","","",240,[[],["option",4]]],[11,"next_back","","",241,[[],["option",4]]],[11,"next_back","","",242,[[],["option",4]]],[11,"next_back","","",243,[[],["option",4]]],[11,"next_back","","",248,[[],["option",4]]],[11,"nth_back","","",248,[[["usize",15]],["option",4]]],[11,"next_back","","",249,[[],["option",4]]],[11,"nth_back","","",249,[[["usize",15]],["option",4]]],[11,"next_back","","",250,[[],["option",4]]],[11,"nth_back","","",250,[[["usize",15]],["option",4]]],[11,"next_back","","",251,[[],["option",4]]],[11,"nth_back","","",251,[[["usize",15]],["option",4]]],[11,"next_back","","",252,[[],["option",4]]],[11,"nth_back","","",252,[[["usize",15]],["option",4]]],[11,"next_back","","",253,[[],["option",4]]],[11,"nth_back","","",253,[[["usize",15]],["option",4]]],[11,"next_back","","",254,[[],["option",4]]],[11,"nth_back","","",254,[[["usize",15]],["option",4]]],[11,"next_back","","",255,[[],["option",4]]],[11,"nth_back","","",255,[[["usize",15]],["option",4]]],[11,"next_back","","",256,[[],["option",4]]],[11,"nth_back","","",256,[[["usize",15]],["option",4]]],[11,"next_back","","",257,[[],["option",4]]],[11,"nth_back","","",257,[[["usize",15]],["option",4]]],[11,"next_back","","",258,[[],["option",4]]],[11,"nth_back","","",258,[[["usize",15]],["option",4]]],[11,"next_back","","",259,[[],["option",4]]],[11,"nth_back","","",259,[[["usize",15]],["option",4]]],[11,"next_back","","",260,[[],["option",4]]],[11,"next_back","","",261,[[],["option",4]]],[11,"next_back","core::str","",264,[[],[["option",4],["char",15]]]],[11,"next_back","","",265,[[],["option",4]]],[11,"next_back","","",266,[[],[["u8",15],["option",4]]]],[11,"nth_back","","",266,[[["usize",15]],["option",4]]],[11,"rfind","","",266,[[],["option",4]]],[11,"next_back","","",267,[[],[["str",15],["option",4]]]],[11,"next_back","","",268,[[],[["str",15],["option",4]]]],[11,"next_back","","",269,[[],[["str",15],["option",4]]]],[11,"next_back","","",270,[[],[["str",15],["option",4]]]],[11,"next_back","","",273,[[],["option",4]]],[11,"next_back","","",274,[[],["option",4]]],[11,"next_back","","",275,[[],[["str",15],["option",4]]]],[11,"next_back","","",276,[[],[["str",15],["option",4]]]],[11,"next_back","","",277,[[],[["str",15],["option",4]]]],[11,"next_back","","",278,[[],[["str",15],["option",4]]]],[11,"next_back","","",279,[[],[["str",15],["option",4]]]],[11,"next_back","","",280,[[],[["str",15],["option",4]]]],[11,"next_back","","",281,[[],[["str",15],["option",4]]]],[11,"len","core::array","",173,[[],["usize",15]]],[11,"is_empty","","",173,[[],["bool",15]]],[11,"len","core::char","",183,[[],["usize",15]]],[11,"len","","",184,[[],["usize",15]]],[11,"len","core::iter","",191,[[],["usize",15]]],[11,"is_empty","","",191,[[],["bool",15]]],[11,"len","","",192,[[],["usize",15]]],[11,"is_empty","","",192,[[],["bool",15]]],[11,"len","","",194,[[],["usize",15]]],[11,"is_empty","","",194,[[],["bool",15]]],[11,"len","","",199,[[],["usize",15]]],[11,"is_empty","","",199,[[],["bool",15]]],[11,"len","","",200,[[],["usize",15]]],[11,"is_empty","","",200,[[],["bool",15]]],[11,"len","","",203,[[],["usize",15]]],[11,"is_empty","","",203,[[],["bool",15]]],[11,"len","","",206,[[],["usize",15]]],[11,"is_empty","","",206,[[],["bool",15]]],[11,"len","","",214,[[],["usize",15]]],[11,"len","","",216,[[],["usize",15]]],[11,"len","","",217,[[],["usize",15]]],[11,"len","core::slice","",236,[[],["usize",15]]],[11,"is_empty","","",236,[[],["bool",15]]],[11,"len","","",237,[[],["usize",15]]],[11,"is_empty","","",237,[[],["bool",15]]],[11,"is_empty","","",251,[[],["bool",15]]],[11,"is_empty","","",252,[[],["bool",15]]],[11,"is_empty","","",253,[[],["bool",15]]],[11,"is_empty","","",254,[[],["bool",15]]],[11,"is_empty","","",255,[[],["bool",15]]],[11,"is_empty","","",258,[[],["bool",15]]],[11,"is_empty","","",259,[[],["bool",15]]],[11,"len","core::str","",266,[[],["usize",15]]],[11,"is_empty","","",266,[[],["bool",15]]],[11,"next","core::array","",173,[[],["option",4]]],[11,"size_hint","","",173,[[]]],[11,"count","","",173,[[],["usize",15]]],[11,"last","","",173,[[],["option",4]]],[11,"next","core::ascii","",175,[[],[["u8",15],["option",4]]]],[11,"size_hint","","",175,[[]]],[11,"last","","",175,[[],[["u8",15],["option",4]]]],[11,"next","core::char","",181,[[],[["result",4],["option",4]]]],[11,"size_hint","","",181,[[]]],[11,"next","","",183,[[],[["option",4],["char",15]]]],[11,"size_hint","","",183,[[]]],[11,"count","","",183,[[],["usize",15]]],[11,"last","","",183,[[],[["option",4],["char",15]]]],[11,"next","","",184,[[],[["option",4],["char",15]]]],[11,"size_hint","","",184,[[]]],[11,"count","","",184,[[],["usize",15]]],[11,"nth","","",184,[[["usize",15]],[["option",4],["char",15]]]],[11,"last","","",184,[[],[["option",4],["char",15]]]],[11,"next","","",185,[[],[["option",4],["char",15]]]],[11,"size_hint","","",185,[[]]],[11,"next","","",186,[[],[["option",4],["char",15]]]],[11,"size_hint","","",186,[[]]],[11,"next","","",187,[[],[["option",4],["char",15]]]],[11,"size_hint","","",187,[[]]],[11,"next","core::iter","",190,[[],["option",4]]],[11,"count","","",190,[[],["usize",15]]],[11,"try_fold","","",190,[[]]],[11,"fold","","",190,[[]]],[11,"advance_by","","",190,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth","","",190,[[["usize",15]],["option",4]]],[11,"find","","",190,[[],["option",4]]],[11,"last","","",190,[[],["option",4]]],[11,"size_hint","","",190,[[]]],[11,"next","","",191,[[],["option",4]]],[11,"size_hint","","",191,[[]]],[11,"try_fold","","",191,[[]]],[11,"fold","","",191,[[]]],[11,"__iterator_get_unchecked","","",191,[[["usize",15]]]],[11,"next","","",192,[[],["option",4]]],[11,"size_hint","","",192,[[]]],[11,"try_fold","","",192,[[]]],[11,"fold","","",192,[[]]],[11,"nth","","",192,[[["usize",15]],["option",4]]],[11,"last","","",192,[[],["option",4]]],[11,"count","","",192,[[],["usize",15]]],[11,"__iterator_get_unchecked","","",192,[[["usize",15]]]],[11,"next","","",193,[[],["option",4]]],[11,"size_hint","","",193,[[]]],[11,"try_fold","","",193,[[]]],[11,"next","","Overflow BehaviorThe method does no guarding against …",194,[[],["option",4]]],[11,"size_hint","","",194,[[]]],[11,"nth","","",194,[[["usize",15]],["option",4]]],[11,"count","","",194,[[],["usize",15]]],[11,"try_fold","","",194,[[]]],[11,"fold","","",194,[[]]],[11,"__iterator_get_unchecked","","",194,[[["usize",15]]]],[11,"next","","",195,[[],["option",4]]],[11,"size_hint","","",195,[[]]],[11,"count","","",195,[[],["usize",15]]],[11,"try_fold","","",195,[[]]],[11,"fold","","",195,[[]]],[11,"next","","",196,[[],["option",4]]],[11,"size_hint","","",196,[[]]],[11,"try_fold","","",196,[[]]],[11,"fold","","",196,[[]]],[11,"next","","",197,[[],["option",4]]],[11,"size_hint","","",197,[[]]],[11,"try_fold","","",197,[[]]],[11,"fold","","",197,[[]]],[11,"next","","",198,[[],["option",4]]],[11,"size_hint","","",198,[[]]],[11,"try_fold","","",198,[[]]],[11,"fold","","",198,[[]]],[11,"next","","",199,[[],["option",4]]],[11,"nth","","",199,[[["usize",15]],["option",4]]],[11,"last","","",199,[[],["option",4]]],[11,"count","","",199,[[],["usize",15]]],[11,"size_hint","","",199,[[]]],[11,"try_fold","","",199,[[]]],[11,"fold","","",199,[[]]],[11,"find","","",199,[[],["option",4]]],[11,"__iterator_get_unchecked","","",199,[[["usize",15]]]],[11,"next","","",200,[[],["option",4]]],[11,"size_hint","","",200,[[]]],[11,"try_fold","","",200,[[]]],[11,"fold","","",200,[[]]],[11,"next","","",201,[[],["option",4]]],[11,"fold","","",201,[[]]],[11,"size_hint","","",201,[[]]],[11,"next","","",202,[[],["option",4]]],[11,"fold","","",202,[[]]],[11,"size_hint","","",202,[[]]],[11,"next","","",203,[[],["option",4]]],[11,"size_hint","","",203,[[]]],[11,"try_fold","","",203,[[]]],[11,"fold","","",203,[[]]],[11,"__iterator_get_unchecked","","",203,[[["usize",15]]]],[11,"next","","",204,[[],["option",4]]],[11,"size_hint","","",204,[[]]],[11,"try_fold","","",204,[[]]],[11,"fold","","",204,[[]]],[11,"next","","",205,[[],["option",4]]],[11,"count","","",205,[[],["usize",15]]],[11,"nth","","",205,[[["usize",15]],["option",4]]],[11,"last","","",205,[[],["option",4]]],[11,"size_hint","","",205,[[]]],[11,"try_fold","","",205,[[]]],[11,"fold","","",205,[[]]],[11,"next","","",206,[[],["option",4]]],[11,"size_hint","","",206,[[]]],[11,"advance_by","","",206,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth","","",206,[[["usize",15]],["option",4]]],[11,"try_fold","","",206,[[]]],[11,"fold","","",206,[[]]],[11,"find","","",206,[[],["option",4]]],[11,"next","","",207,[[],["option",4]]],[11,"size_hint","","",207,[[]]],[11,"try_fold","","",207,[[]]],[11,"fold","","",207,[[]]],[11,"next","","",208,[[],["option",4]]],[11,"nth","","",208,[[["usize",15]],["option",4]]],[11,"count","","",208,[[],["usize",15]]],[11,"last","","",208,[[],["option",4]]],[11,"size_hint","","",208,[[]]],[11,"try_fold","","",208,[[]]],[11,"fold","","",208,[[]]],[11,"next","","",209,[[],["option",4]]],[11,"size_hint","","",209,[[]]],[11,"try_fold","","",209,[[]]],[11,"fold","","",209,[[]]],[11,"next","","",210,[[],["option",4]]],[11,"size_hint","","",210,[[]]],[11,"nth","","",210,[[["usize",15]],["option",4]]],[11,"try_fold","","",210,[[]]],[11,"fold","","",210,[[]]],[11,"next","","",211,[[],["option",4]]],[11,"nth","","",211,[[["usize",15]],["option",4]]],[11,"size_hint","","",211,[[]]],[11,"try_fold","","",211,[[]]],[11,"fold","","",211,[[]]],[11,"next","","",212,[[],["option",4]]],[11,"size_hint","","",212,[[]]],[11,"try_fold","","",212,[[]]],[11,"fold","","",212,[[]]],[11,"next","","",213,[[],["option",4]]],[11,"size_hint","","",213,[[]]],[11,"nth","","",213,[[["usize",15]],["option",4]]],[11,"__iterator_get_unchecked","","",213,[[["usize",15]]]],[11,"next","core::ops","",49,[[],["option",4]]],[11,"size_hint","","",49,[[]]],[11,"nth","","",49,[[["usize",15]],["option",4]]],[11,"last","","",49,[[],["option",4]]],[11,"min","","",49,[[],["option",4]]],[11,"max","","",49,[[],["option",4]]],[11,"next","","",50,[[],["option",4]]],[11,"size_hint","","",50,[[]]],[11,"nth","","",50,[[["usize",15]],["option",4]]],[11,"next","","",172,[[],["option",4]]],[11,"size_hint","","",172,[[]]],[11,"nth","","",172,[[["usize",15]],["option",4]]],[11,"try_fold","","",172,[[]]],[11,"fold","","",172,[[]]],[11,"last","","",172,[[],["option",4]]],[11,"min","","",172,[[],["option",4]]],[11,"max","","",172,[[],["option",4]]],[11,"next","core::iter","",214,[[],["option",4]]],[11,"size_hint","","",214,[[]]],[11,"next","","",215,[[],["option",4]]],[11,"next","","",216,[[],["option",4]]],[11,"size_hint","","",216,[[]]],[11,"next","","",217,[[],["option",4]]],[11,"size_hint","","",217,[[]]],[11,"next","","",218,[[],["option",4]]],[11,"size_hint","","",218,[[]]],[11,"next","","",219,[[],["option",4]]],[11,"size_hint","","",219,[[]]],[11,"next","","",220,[[],["option",4]]],[11,"size_hint","","",220,[[]]],[11,"next","core::option","",221,[[],["option",4]]],[11,"size_hint","","",221,[[]]],[11,"next","","",222,[[],["option",4]]],[11,"size_hint","","",222,[[]]],[11,"next","","",223,[[],["option",4]]],[11,"size_hint","","",223,[[]]],[11,"next","core::result","",225,[[],["option",4]]],[11,"size_hint","","",225,[[]]],[11,"next","","",226,[[],["option",4]]],[11,"size_hint","","",226,[[]]],[11,"next","","",227,[[],["option",4]]],[11,"size_hint","","",227,[[]]],[11,"next","core::slice","",236,[[],["option",4]]],[11,"size_hint","","",236,[[]]],[11,"count","","",236,[[],["usize",15]]],[11,"nth","","",236,[[["usize",15]],["option",4]]],[11,"last","","",236,[[],["option",4]]],[11,"for_each","","",236,[[]]],[11,"all","","",236,[[],["bool",15]]],[11,"any","","",236,[[],["bool",15]]],[11,"find","","",236,[[],["option",4]]],[11,"find_map","","",236,[[],["option",4]]],[11,"position","","",236,[[],[["usize",15],["option",4]]]],[11,"rposition","","",236,[[],[["usize",15],["option",4]]]],[11,"is_sorted_by","","",236,[[],["bool",15]]],[11,"next","","",237,[[],["option",4]]],[11,"size_hint","","",237,[[]]],[11,"count","","",237,[[],["usize",15]]],[11,"nth","","",237,[[["usize",15]],["option",4]]],[11,"last","","",237,[[],["option",4]]],[11,"for_each","","",237,[[]]],[11,"all","","",237,[[],["bool",15]]],[11,"any","","",237,[[],["bool",15]]],[11,"find","","",237,[[],["option",4]]],[11,"find_map","","",237,[[],["option",4]]],[11,"position","","",237,[[],[["usize",15],["option",4]]]],[11,"rposition","","",237,[[],[["usize",15],["option",4]]]],[11,"next","","",238,[[],["option",4]]],[11,"size_hint","","",238,[[]]],[11,"next","","",239,[[],["option",4]]],[11,"size_hint","","",239,[[]]],[11,"next","","",240,[[],["option",4]]],[11,"size_hint","","",240,[[]]],[11,"next","","",241,[[],["option",4]]],[11,"size_hint","","",241,[[]]],[11,"next","","",242,[[],["option",4]]],[11,"size_hint","","",242,[[]]],[11,"next","","",243,[[],["option",4]]],[11,"size_hint","","",243,[[]]],[11,"next","","",244,[[],["option",4]]],[11,"size_hint","","",244,[[]]],[11,"next","","",245,[[],["option",4]]],[11,"size_hint","","",245,[[]]],[11,"next","","",246,[[],["option",4]]],[11,"size_hint","","",246,[[]]],[11,"next","","",247,[[],["option",4]]],[11,"size_hint","","",247,[[]]],[11,"next","","",248,[[],["option",4]]],[11,"size_hint","","",248,[[]]],[11,"count","","",248,[[],["usize",15]]],[11,"nth","","",248,[[["usize",15]],["option",4]]],[11,"last","","",248,[[],["option",4]]],[11,"next","","",249,[[],["option",4]]],[11,"size_hint","","",249,[[]]],[11,"count","","",249,[[],["usize",15]]],[11,"nth","","",249,[[["usize",15]],["option",4]]],[11,"last","","",249,[[],["option",4]]],[11,"next","","",250,[[],["option",4]]],[11,"size_hint","","",250,[[]]],[11,"count","","",250,[[],["usize",15]]],[11,"nth","","",250,[[["usize",15]],["option",4]]],[11,"last","","",250,[[],["option",4]]],[11,"next","","",251,[[],["option",4]]],[11,"size_hint","","",251,[[]]],[11,"count","","",251,[[],["usize",15]]],[11,"nth","","",251,[[["usize",15]],["option",4]]],[11,"last","","",251,[[],["option",4]]],[11,"next","","",252,[[],["option",4]]],[11,"size_hint","","",252,[[]]],[11,"count","","",252,[[],["usize",15]]],[11,"nth","","",252,[[["usize",15]],["option",4]]],[11,"last","","",252,[[],["option",4]]],[11,"next","","",253,[[],["option",4]]],[11,"size_hint","","",253,[[]]],[11,"count","","",253,[[],["usize",15]]],[11,"nth","","",253,[[["usize",15]],["option",4]]],[11,"last","","",253,[[],["option",4]]],[11,"next","","",254,[[],["option",4]]],[11,"size_hint","","",254,[[]]],[11,"count","","",254,[[],["usize",15]]],[11,"nth","","",254,[[["usize",15]],["option",4]]],[11,"last","","",254,[[],["option",4]]],[11,"__iterator_get_unchecked","","",254,[[["usize",15]]]],[11,"next","","",255,[[],["option",4]]],[11,"size_hint","","",255,[[]]],[11,"count","","",255,[[],["usize",15]]],[11,"nth","","",255,[[["usize",15]],["option",4]]],[11,"last","","",255,[[],["option",4]]],[11,"__iterator_get_unchecked","","",255,[[["usize",15]]]],[11,"next","","",256,[[],["option",4]]],[11,"size_hint","","",256,[[]]],[11,"count","","",256,[[],["usize",15]]],[11,"nth","","",256,[[["usize",15]],["option",4]]],[11,"last","","",256,[[],["option",4]]],[11,"next","","",257,[[],["option",4]]],[11,"size_hint","","",257,[[]]],[11,"count","","",257,[[],["usize",15]]],[11,"nth","","",257,[[["usize",15]],["option",4]]],[11,"last","","",257,[[],["option",4]]],[11,"next","","",258,[[],["option",4]]],[11,"size_hint","","",258,[[]]],[11,"count","","",258,[[],["usize",15]]],[11,"nth","","",258,[[["usize",15]],["option",4]]],[11,"last","","",258,[[],["option",4]]],[11,"next","","",259,[[],["option",4]]],[11,"size_hint","","",259,[[]]],[11,"count","","",259,[[],["usize",15]]],[11,"nth","","",259,[[["usize",15]],["option",4]]],[11,"last","","",259,[[],["option",4]]],[11,"next","","",260,[[],["option",4]]],[11,"size_hint","","",260,[[]]],[11,"last","","",260,[[],["option",4]]],[11,"next","","",261,[[],["option",4]]],[11,"size_hint","","",261,[[]]],[11,"last","","",261,[[],["option",4]]],[11,"next","core::str","",264,[[],[["option",4],["char",15]]]],[11,"count","","",264,[[],["usize",15]]],[11,"size_hint","","",264,[[]]],[11,"last","","",264,[[],[["option",4],["char",15]]]],[11,"next","","",265,[[],["option",4]]],[11,"count","","",265,[[],["usize",15]]],[11,"size_hint","","",265,[[]]],[11,"last","","",265,[[],["option",4]]],[11,"next","","",266,[[],[["u8",15],["option",4]]]],[11,"size_hint","","",266,[[]]],[11,"count","","",266,[[],["usize",15]]],[11,"last","","",266,[[],["option",4]]],[11,"nth","","",266,[[["usize",15]],["option",4]]],[11,"all","","",266,[[],["bool",15]]],[11,"any","","",266,[[],["bool",15]]],[11,"find","","",266,[[],["option",4]]],[11,"position","","",266,[[],[["usize",15],["option",4]]]],[11,"rposition","","",266,[[],[["usize",15],["option",4]]]],[11,"__iterator_get_unchecked","","",266,[[["usize",15]],["u8",15]]],[11,"next","","",267,[[],[["str",15],["option",4]]]],[11,"next","","",268,[[],[["str",15],["option",4]]]],[11,"next","","",269,[[],[["str",15],["option",4]]]],[11,"next","","",270,[[],[["str",15],["option",4]]]],[11,"next","","",271,[[],[["str",15],["option",4]]]],[11,"next","","",272,[[],[["str",15],["option",4]]]],[11,"next","","",273,[[],["option",4]]],[11,"next","","",274,[[],["option",4]]],[11,"next","","",275,[[],[["str",15],["option",4]]]],[11,"next","","",276,[[],[["str",15],["option",4]]]],[11,"next","","",277,[[],[["str",15],["option",4]]]],[11,"size_hint","","",277,[[]]],[11,"last","","",277,[[],[["str",15],["option",4]]]],[11,"next","","",278,[[],[["str",15],["option",4]]]],[11,"size_hint","","",278,[[]]],[11,"next","","",279,[[],[["str",15],["option",4]]]],[11,"size_hint","","",279,[[]]],[11,"last","","",279,[[],[["str",15],["option",4]]]],[11,"next","","",280,[[],[["str",15],["option",4]]]],[11,"size_hint","","",280,[[]]],[11,"last","","",280,[[],[["str",15],["option",4]]]],[11,"next","","",281,[[],[["str",15],["option",4]]]],[11,"next","","",282,[[],[["option",4],["u16",15]]]],[11,"size_hint","","",282,[[]]],[11,"next","","",283,[[],[["option",4],["char",15]]]],[11,"size_hint","","",283,[[]]],[11,"try_fold","","",283,[[]]],[11,"fold","","",283,[[]]],[11,"next","","",284,[[],[["option",4],["char",15]]]],[11,"size_hint","","",284,[[]]],[11,"try_fold","","",284,[[]]],[11,"fold","","",284,[[]]],[11,"next","","",285,[[],[["option",4],["char",15]]]],[11,"size_hint","","",285,[[]]],[11,"try_fold","","",285,[[]]],[11,"fold","","",285,[[]]],[11,"next","core::str::lossy","",290,[[],[["utf8lossychunk",3],["option",4]]]],[11,"poll_next","core::pin","",82,[[["pin",3],["context",3]],[["option",4],["poll",4]]]],[11,"size_hint","","",82,[[]]],[11,"write_str","core::fmt","",111,[[["str",15]],["result",6]]],[11,"write_char","","",111,[[["char",15]],["result",6]]],[11,"write_fmt","","",111,[[["arguments",3]],["result",6]]],[11,"fmt","core::num","",149,[[["formatter",3]],["result",6]]],[11,"fmt","","",150,[[["formatter",3]],["result",6]]],[11,"fmt","","",151,[[["formatter",3]],["result",6]]],[11,"fmt","","",1,[[["formatter",3]],["result",6]]],[11,"fmt","","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",2,[[["formatter",3]],["result",6]]],[11,"fmt","core::mem","",164,[[["formatter",3]],["result",6]]],[11,"fmt","","",165,[[["formatter",3]],["result",6]]],[11,"fmt","","",166,[[["formatter",3]],["result",6]]],[11,"fmt","core::ptr","",167,[[["formatter",3]],["result",6]]],[11,"fmt","core::cmp","",7,[[["formatter",3]],["result",6]]],[11,"fmt","","",8,[[["formatter",3]],["result",6]]],[11,"fmt","core::convert","",168,[[["formatter",3]],["result",6]]],[11,"fmt","core::marker","",170,[[["formatter",3]],["result",6]]],[11,"fmt","core::ops","",58,[[["formatter",3]],["result",6]]],[11,"fmt","","",57,[[["formatter",3]],["result",6]]],[11,"fmt","","",171,[[["formatter",3]],["result",6]]],[11,"fmt","","",49,[[["formatter",3]],["result",6]]],[11,"fmt","","",50,[[["formatter",3]],["result",6]]],[11,"fmt","","",51,[[["formatter",3]],["result",6]]],[11,"fmt","","",172,[[["formatter",3]],["result",6]]],[11,"fmt","","",54,[[["formatter",3]],["result",6]]],[11,"fmt","","",52,[[["formatter",3]],["result",6]]],[11,"fmt","core::any","",59,[[["formatter",3]],["result",6]]],[11,"fmt","","",59,[[["formatter",3]],["result",6]]],[11,"fmt","","",59,[[["formatter",3]],["result",6]]],[11,"fmt","","",60,[[["formatter",3]],["result",6]]],[11,"fmt","core::array","",173,[[["formatter",3]],["result",6]]],[11,"fmt","","",174,[[["formatter",3]],["result",6]]],[11,"fmt","core::ascii","",175,[[["formatter",3]],["result",6]]],[11,"fmt","core::cell","",176,[[["formatter",3]],["result",6]]],[11,"fmt","","",177,[[["formatter",3]],["result",6]]],[11,"fmt","core::char","",179,[[["formatter",3]],["result",6]]],[11,"fmt","","",180,[[["formatter",3]],["result",6]]],[11,"fmt","","",181,[[["formatter",3]],["result",6]]],[11,"fmt","","",182,[[["formatter",3]],["result",6]]],[11,"fmt","","",183,[[["formatter",3]],["result",6]]],[11,"fmt","","",184,[[["formatter",3]],["result",6]]],[11,"fmt","","",185,[[["formatter",3]],["result",6]]],[11,"fmt","","",186,[[["formatter",3]],["result",6]]],[11,"fmt","","",187,[[["formatter",3]],["result",6]]],[11,"fmt","core::ffi","",188,[[["formatter",3]],["result",6]]],[11,"fmt","","",66,[[["formatter",3]],["result",6]]],[11,"fmt","","",189,[[["formatter",3]],["result",6]]],[11,"fmt","core::iter","",190,[[["formatter",3]],["result",6]]],[11,"fmt","","",191,[[["formatter",3]],["result",6]]],[11,"fmt","","",192,[[["formatter",3]],["result",6]]],[11,"fmt","","",193,[[["formatter",3]],["result",6]]],[11,"fmt","","",194,[[["formatter",3]],["result",6]]],[11,"fmt","","",195,[[["formatter",3]],["result",6]]],[11,"fmt","","",196,[[["formatter",3]],["result",6]]],[11,"fmt","","",197,[[["formatter",3]],["result",6]]],[11,"fmt","","",198,[[["formatter",3]],["result",6]]],[11,"fmt","","",199,[[["formatter",3]],["result",6]]],[11,"fmt","","",200,[[["formatter",3]],["result",6]]],[11,"fmt","","",201,[[["formatter",3]],["result",6]]],[11,"fmt","","",202,[[["formatter",3]],["result",6]]],[11,"fmt","","",203,[[["formatter",3]],["result",6]]],[11,"fmt","","",204,[[["formatter",3]],["result",6]]],[11,"fmt","","",205,[[["formatter",3]],["result",6]]],[11,"fmt","","",206,[[["formatter",3]],["result",6]]],[11,"fmt","","",207,[[["formatter",3]],["result",6]]],[11,"fmt","","",208,[[["formatter",3]],["result",6]]],[11,"fmt","","",209,[[["formatter",3]],["result",6]]],[11,"fmt","","",210,[[["formatter",3]],["result",6]]],[11,"fmt","","",211,[[["formatter",3]],["result",6]]],[11,"fmt","","",212,[[["formatter",3]],["result",6]]],[11,"fmt","","",213,[[["formatter",3]],["result",6]]],[11,"fmt","","",214,[[["formatter",3]],["result",6]]],[11,"fmt","","",215,[[["formatter",3]],["result",6]]],[11,"fmt","","",216,[[["formatter",3]],["result",6]]],[11,"fmt","","",217,[[["formatter",3]],["result",6]]],[11,"fmt","","",218,[[["formatter",3]],["result",6]]],[11,"fmt","","",219,[[["formatter",3]],["result",6]]],[11,"fmt","","",220,[[["formatter",3]],["result",6]]],[11,"fmt","core::lazy","",77,[[["formatter",3]],["result",6]]],[11,"fmt","","",78,[[["formatter",3]],["result",6]]],[11,"fmt","core::option","",79,[[["formatter",3]],["result",6]]],[11,"fmt","","",221,[[["formatter",3]],["result",6]]],[11,"fmt","","",222,[[["formatter",3]],["result",6]]],[11,"fmt","","",223,[[["formatter",3]],["result",6]]],[11,"fmt","","",224,[[["formatter",3]],["result",6]]],[11,"fmt","core::panic","",80,[[["formatter",3]],["result",6]]],[11,"fmt","","",81,[[["formatter",3]],["result",6]]],[11,"fmt","core::pin","",82,[[["formatter",3]],["result",6]]],[11,"fmt","core::result","",84,[[["formatter",3]],["result",6]]],[11,"fmt","","",225,[[["formatter",3]],["result",6]]],[11,"fmt","","",226,[[["formatter",3]],["result",6]]],[11,"fmt","","",227,[[["formatter",3]],["result",6]]],[11,"fmt","core::sync::atomic","",86,[[["formatter",3]],["result",6]]],[11,"fmt","","",89,[[["formatter",3]],["result",6]]],[11,"fmt","","",90,[[["formatter",3]],["result",6]]],[11,"fmt","","",91,[[["formatter",3]],["result",6]]],[11,"fmt","","",92,[[["formatter",3]],["result",6]]],[11,"fmt","","",93,[[["formatter",3]],["result",6]]],[11,"fmt","","",94,[[["formatter",3]],["result",6]]],[11,"fmt","","",95,[[["formatter",3]],["result",6]]],[11,"fmt","","",96,[[["formatter",3]],["result",6]]],[11,"fmt","","",97,[[["formatter",3]],["result",6]]],[11,"fmt","","",98,[[["formatter",3]],["result",6]]],[11,"fmt","","",87,[[["formatter",3]],["result",6]]],[11,"fmt","","",88,[[["formatter",3]],["result",6]]],[11,"fmt","core::fmt","",99,[[["formatter",3]],["result",6]]],[11,"fmt","","",233,[[["formatter",3]],["result",6]]],[11,"fmt","","",101,[[["formatter",3]],["result",6]]],[11,"fmt","core::marker","",169,[[["formatter",3]],["result",6]]],[11,"fmt","core::cell","",62,[[["formatter",3]],["result",6]]],[11,"fmt","","",63,[[["formatter",3]],["result",6]]],[11,"fmt","","",64,[[["formatter",3]],["result",6]]],[11,"fmt","","",178,[[["formatter",3]],["result",6]]],[11,"fmt","","",65,[[["formatter",3]],["result",6]]],[11,"fmt","core::hash","",234,[[["formatter",3]],["result",6]]],[11,"fmt","","",235,[[["formatter",3]],["result",6]]],[11,"fmt","core::slice","",236,[[["formatter",3]],["result",6]]],[11,"fmt","","",237,[[["formatter",3]],["result",6]]],[11,"fmt","","",238,[[["formatter",3]],["result",6]]],[11,"fmt","","",239,[[["formatter",3]],["result",6]]],[11,"fmt","","",240,[[["formatter",3]],["result",6]]],[11,"fmt","","",241,[[["formatter",3]],["result",6]]],[11,"fmt","","",242,[[["formatter",3]],["result",6]]],[11,"fmt","","",243,[[["formatter",3]],["result",6]]],[11,"fmt","","",244,[[["formatter",3]],["result",6]]],[11,"fmt","","",245,[[["formatter",3]],["result",6]]],[11,"fmt","","",246,[[["formatter",3]],["result",6]]],[11,"fmt","","",247,[[["formatter",3]],["result",6]]],[11,"fmt","","",248,[[["formatter",3]],["result",6]]],[11,"fmt","","",249,[[["formatter",3]],["result",6]]],[11,"fmt","","",250,[[["formatter",3]],["result",6]]],[11,"fmt","","",251,[[["formatter",3]],["result",6]]],[11,"fmt","","",252,[[["formatter",3]],["result",6]]],[11,"fmt","","",253,[[["formatter",3]],["result",6]]],[11,"fmt","","",254,[[["formatter",3]],["result",6]]],[11,"fmt","","",255,[[["formatter",3]],["result",6]]],[11,"fmt","","",256,[[["formatter",3]],["result",6]]],[11,"fmt","","",257,[[["formatter",3]],["result",6]]],[11,"fmt","","",258,[[["formatter",3]],["result",6]]],[11,"fmt","","",259,[[["formatter",3]],["result",6]]],[11,"fmt","","",260,[[["formatter",3]],["result",6]]],[11,"fmt","","",261,[[["formatter",3]],["result",6]]],[11,"fmt","core::str","",262,[[["formatter",3]],["result",6]]],[11,"fmt","","",263,[[["formatter",3]],["result",6]]],[11,"fmt","","",264,[[["formatter",3]],["result",6]]],[11,"fmt","","",265,[[["formatter",3]],["result",6]]],[11,"fmt","","",266,[[["formatter",3]],["result",6]]],[11,"fmt","","",267,[[["formatter",3]],["result",6]]],[11,"fmt","","",268,[[["formatter",3]],["result",6]]],[11,"fmt","","",269,[[["formatter",3]],["result",6]]],[11,"fmt","","",270,[[["formatter",3]],["result",6]]],[11,"fmt","","",271,[[["formatter",3]],["result",6]]],[11,"fmt","","",272,[[["formatter",3]],["result",6]]],[11,"fmt","","",273,[[["formatter",3]],["result",6]]],[11,"fmt","","",274,[[["formatter",3]],["result",6]]],[11,"fmt","","",275,[[["formatter",3]],["result",6]]],[11,"fmt","","",276,[[["formatter",3]],["result",6]]],[11,"fmt","","",277,[[["formatter",3]],["result",6]]],[11,"fmt","","",278,[[["formatter",3]],["result",6]]],[11,"fmt","","",279,[[["formatter",3]],["result",6]]],[11,"fmt","","",280,[[["formatter",3]],["result",6]]],[11,"fmt","","",281,[[["formatter",3]],["result",6]]],[11,"fmt","","",282,[[["formatter",3]],["result",6]]],[11,"fmt","","",283,[[["formatter",3]],["result",6]]],[11,"fmt","","",284,[[["formatter",3]],["result",6]]],[11,"fmt","","",285,[[["formatter",3]],["result",6]]],[11,"fmt","core::str::pattern","",118,[[["formatter",3]],["result",6]]],[11,"fmt","","",286,[[["formatter",3]],["result",6]]],[11,"fmt","","",287,[[["formatter",3]],["result",6]]],[11,"fmt","","",288,[[["formatter",3]],["result",6]]],[11,"fmt","","",289,[[["formatter",3]],["result",6]]],[11,"fmt","core::str::lossy","",122,[[["formatter",3]],["result",6]]],[11,"fmt","","",121,[[["formatter",3]],["result",6]]],[11,"fmt","core::time","",124,[[["formatter",3]],["result",6]]],[11,"fmt","core::future","",291,[[["formatter",3]],["result",6]]],[11,"fmt","","",292,[[["formatter",3]],["result",6]]],[11,"fmt","","",293,[[["formatter",3]],["result",6]]],[11,"fmt","core::task","",127,[[["formatter",3]],["result",6]]],[11,"fmt","","",294,[[["formatter",3]],["result",6]]],[11,"fmt","","",295,[[["formatter",3]],["result",6]]],[11,"fmt","","",296,[[["formatter",3]],["result",6]]],[11,"fmt","","",297,[[["formatter",3]],["result",6]]],[11,"fmt","core::alloc","",298,[[["formatter",3]],["result",6]]],[11,"fmt","","",299,[[["formatter",3]],["result",6]]],[11,"fmt","","",300,[[["formatter",3]],["result",6]]],[11,"fmt","core::arch::x86","",303,[[["formatter",3]],["result",6]]],[11,"fmt","","",304,[[["formatter",3]],["result",6]]],[11,"fmt","","",305,[[["formatter",3]],["result",6]]],[11,"fmt","","",306,[[["formatter",3]],["result",6]]],[11,"fmt","","",307,[[["formatter",3]],["result",6]]],[11,"fmt","","",308,[[["formatter",3]],["result",6]]],[11,"fmt","","",309,[[["formatter",3]],["result",6]]],[11,"fmt","","",310,[[["formatter",3]],["result",6]]],[11,"fmt","","",311,[[["formatter",3]],["result",6]]],[11,"fmt","","",130,[[["formatter",3]],["result",6]]],[11,"fmt","core::arch::aarch64","",312,[[["formatter",3]],["result",6]]],[11,"fmt","","",313,[[["formatter",3]],["result",6]]],[11,"fmt","core::arch::arm","",314,[[["formatter",3]],["result",6]]],[11,"fmt","","",315,[[["formatter",3]],["result",6]]],[11,"fmt","","",316,[[["formatter",3]],["result",6]]],[11,"fmt","","",317,[[["formatter",3]],["result",6]]],[11,"fmt","","",318,[[["formatter",3]],["result",6]]],[11,"fmt","","",319,[[["formatter",3]],["result",6]]],[11,"fmt","","",320,[[["formatter",3]],["result",6]]],[11,"fmt","","",321,[[["formatter",3]],["result",6]]],[11,"fmt","","",322,[[["formatter",3]],["result",6]]],[11,"fmt","","",323,[[["formatter",3]],["result",6]]],[11,"fmt","","",324,[[["formatter",3]],["result",6]]],[11,"fmt","","",325,[[["formatter",3]],["result",6]]],[11,"fmt","","",326,[[["formatter",3]],["result",6]]],[11,"fmt","","",327,[[["formatter",3]],["result",6]]],[11,"fmt","","",328,[[["formatter",3]],["result",6]]],[11,"fmt","","",329,[[["formatter",3]],["result",6]]],[11,"fmt","","",330,[[["formatter",3]],["result",6]]],[11,"fmt","","",331,[[["formatter",3]],["result",6]]],[11,"fmt","","",332,[[["formatter",3]],["result",6]]],[11,"fmt","","",333,[[["formatter",3]],["result",6]]],[11,"fmt","","",334,[[["formatter",3]],["result",6]]],[11,"fmt","","",335,[[["formatter",3]],["result",6]]],[11,"fmt","","",336,[[["formatter",3]],["result",6]]],[11,"fmt","","",337,[[["formatter",3]],["result",6]]],[11,"fmt","core::arch::wasm32","",338,[[["formatter",3]],["result",6]]],[11,"fmt","core::arch::powerpc","",339,[[["formatter",3]],["result",6]]],[11,"fmt","","",340,[[["formatter",3]],["result",6]]],[11,"fmt","","",341,[[["formatter",3]],["result",6]]],[11,"fmt","","",342,[[["formatter",3]],["result",6]]],[11,"fmt","core::num","",149,[[["formatter",3]],["result",6]]],[11,"fmt","","",150,[[["formatter",3]],["result",6]]],[11,"fmt","","",151,[[["formatter",3]],["result",6]]],[11,"fmt","","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","core::convert","",168,[[["formatter",3]],["result",6]]],[11,"fmt","core::array","",174,[[["formatter",3]],["result",6]]],[11,"fmt","core::ascii","",175,[[["formatter",3]],["result",6]]],[11,"fmt","core::cell","",176,[[["formatter",3]],["result",6]]],[11,"fmt","","",177,[[["formatter",3]],["result",6]]],[11,"fmt","","",64,[[["formatter",3]],["result",6]]],[11,"fmt","","",178,[[["formatter",3]],["result",6]]],[11,"fmt","core::char","",179,[[["formatter",3]],["result",6]]],[11,"fmt","","",180,[[["formatter",3]],["result",6]]],[11,"fmt","","",182,[[["formatter",3]],["result",6]]],[11,"fmt","","",183,[[["formatter",3]],["result",6]]],[11,"fmt","","",184,[[["formatter",3]],["result",6]]],[11,"fmt","","",185,[[["formatter",3]],["result",6]]],[11,"fmt","","",186,[[["formatter",3]],["result",6]]],[11,"fmt","","",187,[[["formatter",3]],["result",6]]],[11,"fmt","core::panic","",80,[[["formatter",3]],["result",6]]],[11,"fmt","","",81,[[["formatter",3]],["result",6]]],[11,"fmt","core::pin","",82,[[["formatter",3]],["result",6]]],[11,"fmt","core::fmt","",101,[[["formatter",3]],["result",6]]],[11,"fmt","","",233,[[["formatter",3]],["result",6]]],[11,"fmt","core::str","",262,[[["formatter",3]],["result",6]]],[11,"fmt","","",263,[[["formatter",3]],["result",6]]],[11,"fmt","","",283,[[["formatter",3]],["result",6]]],[11,"fmt","","",284,[[["formatter",3]],["result",6]]],[11,"fmt","","",285,[[["formatter",3]],["result",6]]],[11,"fmt","core::str::lossy","",121,[[["formatter",3]],["result",6]]],[11,"fmt","core::alloc","",299,[[["formatter",3]],["result",6]]],[11,"fmt","","",300,[[["formatter",3]],["result",6]]],[11,"fmt","core::num","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",152,[[["formatter",3]],["result",6]]],[11,"fmt","","",153,[[["formatter",3]],["result",6]]],[11,"fmt","","",154,[[["formatter",3]],["result",6]]],[11,"fmt","","",155,[[["formatter",3]],["result",6]]],[11,"fmt","","",156,[[["formatter",3]],["result",6]]],[11,"fmt","","",157,[[["formatter",3]],["result",6]]],[11,"fmt","","",158,[[["formatter",3]],["result",6]]],[11,"fmt","","",159,[[["formatter",3]],["result",6]]],[11,"fmt","","",160,[[["formatter",3]],["result",6]]],[11,"fmt","","",161,[[["formatter",3]],["result",6]]],[11,"fmt","","",162,[[["formatter",3]],["result",6]]],[11,"fmt","","",163,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","core::ptr","",167,[[["formatter",3]],["result",6]]],[11,"fmt","core::pin","",82,[[["formatter",3]],["result",6]]],[11,"fmt","core::sync::atomic","",88,[[["formatter",3]],["result",6]]],[11,"hash","core::num","",152,[[]]],[11,"hash","","",153,[[]]],[11,"hash","","",154,[[]]],[11,"hash","","",155,[[]]],[11,"hash","","",156,[[]]],[11,"hash","","",157,[[]]],[11,"hash","","",158,[[]]],[11,"hash","","",159,[[]]],[11,"hash","","",160,[[]]],[11,"hash","","",161,[[]]],[11,"hash","","",162,[[]]],[11,"hash","","",163,[[]]],[11,"hash","","",0,[[]]],[11,"hash","core::mem","",164,[[]]],[11,"hash","","",166,[[]]],[11,"hash","core::ptr","",167,[[]]],[11,"hash","core::cmp","",7,[[]]],[11,"hash","","",8,[[]]],[11,"hash","core::convert","",168,[[]]],[11,"hash","core::marker","",169,[[]]],[11,"hash","","",170,[[]]],[11,"hash","core::ops","",57,[[]]],[11,"hash","","",171,[[]]],[11,"hash","","",49,[[]]],[11,"hash","","",50,[[]]],[11,"hash","","",51,[[]]],[11,"hash","","",172,[[]]],[11,"hash","","",54,[[]]],[11,"hash","","",52,[[]]],[11,"hash","core::any","",60,[[]]],[11,"hash","core::option","",79,[[]]],[11,"hash","","",224,[[]]],[11,"hash","core::panic","",81,[[]]],[11,"hash","core::pin","",82,[[]]],[11,"hash","core::result","",84,[[]]],[11,"hash","core::sync::atomic","",86,[[]]],[11,"hash","core::fmt","",233,[[]]],[11,"hash","core::time","",124,[[]]],[11,"hash","core::task","",127,[[]]],[11,"write","core::hash","",234,[[]]],[11,"finish","","",234,[[],["u64",15]]],[11,"build_hasher","","",235,[[]]],[11,"get","core::ops","",49,[[],["option",4]]],[11,"get_mut","","",49,[[],["option",4]]],[11,"get_unchecked","","",49,[[]]],[11,"get_unchecked_mut","","",49,[[]]],[11,"index","","",49,[[]]],[11,"index_mut","","",49,[[]]],[11,"get","","",51,[[],["option",4]]],[11,"get_mut","","",51,[[],["option",4]]],[11,"get_unchecked","","",51,[[]]],[11,"get_unchecked_mut","","",51,[[]]],[11,"index","","",51,[[]]],[11,"index_mut","","",51,[[]]],[11,"get","","",50,[[],["option",4]]],[11,"get_mut","","",50,[[],["option",4]]],[11,"get_unchecked","","",50,[[]]],[11,"get_unchecked_mut","","",50,[[]]],[11,"index","","",50,[[]]],[11,"index_mut","","",50,[[]]],[11,"get","","",171,[[],["option",4]]],[11,"get_mut","","",171,[[],["option",4]]],[11,"get_unchecked","","",171,[[]]],[11,"get_unchecked_mut","","",171,[[]]],[11,"index","","",171,[[]]],[11,"index_mut","","",171,[[]]],[11,"get","","",172,[[],["option",4]]],[11,"get_mut","","",172,[[],["option",4]]],[11,"get_unchecked","","",172,[[]]],[11,"get_unchecked_mut","","",172,[[]]],[11,"index","","",172,[[]]],[11,"index_mut","","",172,[[]]],[11,"get","","",54,[[],["option",4]]],[11,"get_mut","","",54,[[],["option",4]]],[11,"get_unchecked","","",54,[[]]],[11,"get_unchecked_mut","","",54,[[]]],[11,"index","","",54,[[]]],[11,"index_mut","","",54,[[]]],[11,"get","","",171,[[["str",15]],["option",4]]],[11,"get_mut","","",171,[[["str",15]],["option",4]]],[11,"get_unchecked","","",171,[[]]],[11,"get_unchecked_mut","","",171,[[]]],[11,"index","","",171,[[["str",15]]]],[11,"index_mut","","",171,[[["str",15]]]],[11,"get","","",49,[[["str",15]],["option",4]]],[11,"get_mut","","",49,[[["str",15]],["option",4]]],[11,"get_unchecked","","",49,[[]]],[11,"get_unchecked_mut","","",49,[[]]],[11,"index","","",49,[[["str",15]]]],[11,"index_mut","","",49,[[["str",15]]]],[11,"get","","",51,[[["str",15]],["option",4]]],[11,"get_mut","","",51,[[["str",15]],["option",4]]],[11,"get_unchecked","","",51,[[]]],[11,"get_unchecked_mut","","",51,[[]]],[11,"index","","",51,[[["str",15]]]],[11,"index_mut","","",51,[[["str",15]]]],[11,"get","","",50,[[["str",15]],["option",4]]],[11,"get_mut","","",50,[[["str",15]],["option",4]]],[11,"get_unchecked","","",50,[[]]],[11,"get_unchecked_mut","","",50,[[]]],[11,"index","","",50,[[["str",15]]]],[11,"index_mut","","",50,[[["str",15]]]],[11,"get","","",172,[[["str",15]],["option",4]]],[11,"get_mut","","",172,[[["str",15]],["option",4]]],[11,"get_unchecked","","",172,[[]]],[11,"get_unchecked_mut","","",172,[[]]],[11,"index","","",172,[[["str",15]]]],[11,"index_mut","","",172,[[["str",15]]]],[11,"get","","",54,[[["str",15]],["option",4]]],[11,"get_mut","","",54,[[["str",15]],["option",4]]],[11,"get_unchecked","","",54,[[]]],[11,"get_unchecked_mut","","",54,[[]]],[11,"index","","",54,[[["str",15]]]],[11,"index_mut","","",54,[[["str",15]]]],[11,"from_str","core::num","",152,[[["str",15]],["result",4]]],[11,"from_str","","",153,[[["str",15]],["result",4]]],[11,"from_str","","",154,[[["str",15]],["result",4]]],[11,"from_str","","",155,[[["str",15]],["result",4]]],[11,"from_str","","",156,[[["str",15]],["result",4]]],[11,"from_str","","",157,[[["str",15]],["result",4]]],[11,"from_str","","",158,[[["str",15]],["result",4]]],[11,"from_str","","",159,[[["str",15]],["result",4]]],[11,"from_str","","",160,[[["str",15]],["result",4]]],[11,"from_str","","",161,[[["str",15]],["result",4]]],[11,"from_str","","",162,[[["str",15]],["result",4]]],[11,"from_str","","",163,[[["str",15]],["result",4]]],[11,"haystack","core::str::pattern","",286,[[],["str",15]]],[11,"next","","",286,[[],["searchstep",4]]],[11,"next_match","","",286,[[],["option",4]]],[11,"haystack","","",287,[[],["str",15]]],[11,"next","","",287,[[],["searchstep",4]]],[11,"next_match","","",287,[[],["option",4]]],[11,"next_reject","","",287,[[],["option",4]]],[11,"haystack","","",288,[[],["str",15]]],[11,"next","","",288,[[],["searchstep",4]]],[11,"next_match","","",288,[[],["option",4]]],[11,"next_reject","","",288,[[],["option",4]]],[11,"haystack","","",289,[[],["str",15]]],[11,"next","","",289,[[],["searchstep",4]]],[11,"next_match","","",289,[[],["option",4]]],[11,"next_back","","",286,[[],["searchstep",4]]],[11,"next_match_back","","",286,[[],["option",4]]],[11,"next_back","","",287,[[],["searchstep",4]]],[11,"next_match_back","","",287,[[],["option",4]]],[11,"next_reject_back","","",287,[[],["option",4]]],[11,"next_back","","",288,[[],["searchstep",4]]],[11,"next_match_back","","",288,[[],["option",4]]],[11,"next_reject_back","","",288,[[],["option",4]]],[11,"next_back","","",289,[[],["searchstep",4]]],[11,"next_match_back","","",289,[[],["option",4]]],[11,"poll","core::pin","",82,[[["pin",3],["context",3]],["poll",4]]],[11,"poll","core::future","",291,[[["pin",3],["context",3]],["poll",4]]],[11,"poll","","",292,[[["pin",3],["context",3]],["poll",4]]],[11,"poll","","",293,[[["pin",3],["context",3]],["poll",4]]],[11,"kind","core::num","Outputs the detailed cause of parsing an integer failing.",151,[[],["interrorkind",4]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",152,[[["u8",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",152,[[["u8",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",152,[[],["u8",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",153,[[["u16",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",153,[[["u16",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",153,[[],["u16",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",154,[[["u32",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",154,[[["u32",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",154,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",155,[[["u64",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",155,[[["u64",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",155,[[],["u64",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",156,[[["u128",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",156,[[["u128",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",156,[[],["u128",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",157,[[["usize",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",157,[[["usize",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",157,[[],["usize",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",158,[[["i8",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",158,[[["i8",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",158,[[],["i8",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",159,[[["i16",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",159,[[["i16",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",159,[[],["i16",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",160,[[["i32",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",160,[[["i32",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",160,[[],["i32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",161,[[["i64",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",161,[[["i64",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",161,[[],["i64",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",162,[[["i128",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",162,[[["i128",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",162,[[],["i128",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",163,[[["isize",15]]]],[11,"new","","Creates a non-zero if the given value is not zero.",163,[[["isize",15]],["option",4]]],[11,"get","","Returns the value as a primitive type.",163,[[],["isize",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",152,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",152,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",153,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",153,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",154,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",154,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",155,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",155,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",156,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",156,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",157,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",157,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",158,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",158,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",159,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",159,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",160,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",160,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",161,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",161,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",162,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",162,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",163,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",163,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",152,[[],["bool",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",153,[[],["bool",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",154,[[],["bool",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",155,[[],["bool",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",156,[[],["bool",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",157,[[],["bool",15]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",0,null],[18,"MAX","","Returns the largest value that can be represented by this …",0,null],[11,"count_ones","","Returns the number of ones in the binary representation …",0,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",0,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",0,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",0,[[["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",0,[[]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",0,[[]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",0,[[]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",0,[[]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",0,[[]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",0,[[]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",0,[[["u32",15]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["wrapping",3],["isize",15]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["wrapping",3],["isize",15]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["i8",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["i8",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["i16",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["i16",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["i32",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["i32",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["i64",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["i64",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",0,[[],[["wrapping",3],["i128",15]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",0,[[],[["wrapping",3],["i128",15]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",0,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",0,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",0,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",0,[[]]],[11,"new","core::mem","Wrap a value to be manually dropped.",164,[[],["manuallydrop",3]]],[11,"into_inner","","Extracts the value from the <code>ManuallyDrop</code> container.",164,[[["manuallydrop",3]]]],[11,"take","","Takes the value from the <code>ManuallyDrop<T></code> container out.",164,[[["manuallydrop",3]]]],[11,"drop","","Manually drops the contained value. This is exactly …",164,[[["manuallydrop",3]]]],[11,"new","","Creates a new <code>MaybeUninit<T></code> initialized with the given …",165,[[],["maybeuninit",19]]],[11,"uninit","","Creates a new <code>MaybeUninit<T></code> in an uninitialized state.",165,[[],["maybeuninit",19]]],[11,"uninit_array","","Create a new array of <code>MaybeUninit<T></code> items, in an …",165,[[]]],[11,"zeroed","","Creates a new <code>MaybeUninit<T></code> in an uninitialized state, …",165,[[],["maybeuninit",19]]],[11,"write","","Sets the value of the <code>MaybeUninit<T></code>. This overwrites any …",165,[[]]],[11,"as_ptr","","Gets a pointer to the contained value. Reading from this …",165,[[]]],[11,"as_mut_ptr","","Gets a mutable pointer to the contained value. Reading …",165,[[]]],[11,"assume_init","","Extracts the value from the <code>MaybeUninit<T></code> container. …",165,[[]]],[11,"assume_init_read","","Reads the value from the <code>MaybeUninit<T></code> container. The …",165,[[]]],[11,"assume_init_drop","","Drops the contained value in place.",165,[[]]],[11,"assume_init_ref","","Gets a shared reference to the contained value.",165,[[]]],[11,"assume_init_mut","","Gets a mutable (unique) reference to the contained value.",165,[[]]],[11,"array_assume_init","","Extracts the values from an array of <code>MaybeUninit</code> …",165,[[]]],[11,"slice_assume_init_ref","","Assuming all the elements are initialized, get a slice to …",165,[[]]],[11,"slice_assume_init_mut","","Assuming all the elements are initialized, get a mutable …",165,[[]]],[11,"slice_as_ptr","","Gets a pointer to the first element of the array.",165,[[]]],[11,"slice_as_mut_ptr","","Gets a mutable pointer to the first element of the array.",165,[[]]],[11,"write_slice","","Copies the elements from <code>src</code> to <code>this</code>, returning a mutable …",165,[[]]],[11,"write_slice_cloned","","Clones the elements from <code>src</code> to <code>this</code>, returning a mutable …",165,[[]]],[11,"dangling","core::ptr","Creates a new <code>NonNull</code> that is dangling, but well-aligned.",167,[[]]],[11,"as_uninit_ref","","Returns a shared references to the value. In contrast to …",167,[[],["maybeuninit",19]]],[11,"as_uninit_mut","","Returns a unique references to the value. In contrast to …",167,[[],["maybeuninit",19]]],[11,"new_unchecked","","Creates a new <code>NonNull</code>.",167,[[]]],[11,"new","","Creates a new <code>NonNull</code> if <code>ptr</code> is non-null.",167,[[],["option",4]]],[11,"as_ptr","","Acquires the underlying <code>*mut</code> pointer.",167,[[]]],[11,"as_ref","","Returns a shared reference to the value. If the value may …",167,[[]]],[11,"as_mut","","Returns a unique reference to the value. If the value may …",167,[[]]],[11,"cast","","Casts to a pointer of another type.",167,[[],["nonnull",3]]],[11,"slice_from_raw_parts","","Creates a non-null raw slice from a thin pointer and a …",167,[[["nonnull",3],["usize",15]]]],[11,"len","","Returns the length of a non-null raw slice.",167,[[],["usize",15]]],[11,"as_non_null_ptr","","Returns a non-null pointer to the slice\'s buffer.",167,[[],["nonnull",3]]],[11,"as_mut_ptr","","Returns a raw pointer to the slice\'s buffer.",167,[[]]],[11,"as_uninit_slice","","Returns a shared reference to a slice of possibly …",167,[[]]],[11,"as_uninit_slice_mut","","Returns a unique reference to a slice of possibly …",167,[[]]],[11,"get_unchecked_mut","","Returns a raw pointer to an element or subslice, without …",167,[[],["nonnull",3]]],[11,"is_break","core::ops","Returns <code>true</code> if this is a <code>Break</code> variant.",58,[[],["bool",15]]],[11,"is_continue","","Returns <code>true</code> if this is a <code>Continue</code> variant.",58,[[],["bool",15]]],[11,"break_value","","Converts the <code>ControlFlow</code> into an <code>Option</code> which is <code>Some</code> if …",58,[[],["option",4]]],[11,"map_break","","Maps <code>ControlFlow<B, C></code> to <code>ControlFlow<T, C></code> by applying a …",58,[[],["controlflow",4]]],[11,"from_try","","Create a <code>ControlFlow</code> from any type implementing <code>Try</code>.",58,[[]]],[11,"into_try","","Convert a <code>ControlFlow</code> into any type implementing <code>Try</code>;",58,[[]]],[18,"CONTINUE","","It\'s frequently the case that there\'s no value needed …",58,null],[18,"BREAK","","APIs like <code>try_for_each</code> don\'t need values with <code>Break</code>, so …",58,null],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",49,[[],["bool",15]]],[11,"is_empty","","Returns <code>true</code> if the range contains no items.",49,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",50,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",51,[[],["bool",15]]],[11,"new","","Creates a new inclusive range. Equivalent to writing …",172,[[]]],[11,"start","","Returns the lower bound of the range (inclusive).",172,[[]]],[11,"end","","Returns the upper bound of the range (inclusive).",172,[[]]],[11,"into_inner","","Destructures the <code>RangeInclusive</code> into (lower bound, upper …",172,[[]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",172,[[],["bool",15]]],[11,"is_empty","","Returns <code>true</code> if the range contains no items.",172,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",54,[[],["bool",15]]],[11,"as_ref","","Converts from <code>&Bound<T></code> to <code>Bound<&T></code>.",52,[[],["bound",4]]],[11,"as_mut","","Converts from <code>&mut Bound<T></code> to <code>Bound<&T></code>.",52,[[],["bound",4]]],[11,"cloned","","Map a <code>Bound<&T></code> to a <code>Bound<T></code> by cloning the contents of …",52,[[],["bound",4]]],[11,"assert_len","","Performs bounds-checking of this range.",53,[[["usize",15]],[["usize",15],["range",3]]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",53,[[],["bool",15]]],[11,"new","core::array","Creates a new iterator over the given <code>array</code>.",173,[[]]],[11,"as_slice","","Returns an immutable slice of all elements that have not …",173,[[]]],[11,"as_mut_slice","","Returns a mutable slice of all elements that have not …",173,[[]]],[11,"map","core::cell","Makes a new <code>RefMut</code> for a component of the borrowed data, …",178,[[["refmut",3]],[["refmut",3],["sized",8]]]],[11,"filter_map","","Makes a new <code>RefMut</code> for an optional component of the …",178,[[["refmut",3]],[["result",4],["refmut",3]]]],[11,"map_split","","Splits a <code>RefMut</code> into multiple <code>RefMut</code>s for different …",178,[[["refmut",3]]]],[11,"leak","","Convert into a mutable reference to the underlying data.",178,[[["refmut",3]]]],[11,"unpaired_surrogate","core::char","Returns the unpaired surrogate which caused this error.",182,[[],["u16",15]]],[11,"peek","core::iter","Returns a reference to the next() value without advancing …",205,[[],["option",4]]],[11,"peek_mut","","Returns a mutable reference to the next() value without …",205,[[],["option",4]]],[11,"next_if","","Consume and return the next value of this iterator if a …",205,[[],["option",4]]],[11,"next_if_eq","","Consume and return the next item if it is equal to …",205,[[],["option",4]]],[11,"forward","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"forward_unchecked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"backward","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"backward_unchecked","","Returns the value that would be obtained by taking the <em>…",68,[[["usize",15]]]],[11,"extend_one","","Extends a collection with exactly one element.",71,[[]]],[11,"extend_reserve","","Reserves capacity in a collection for the given number of …",71,[[["usize",15]]]],[11,"advance_back_by","","Advances the iterator from the back by <code>n</code> elements.",69,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth_back","","Returns the <code>n</code>th element from the end of the iterator.",69,[[["usize",15]],["option",4]]],[11,"try_rfold","","This is the reverse version of [<code>Iterator::try_fold()</code>]: it …",69,[[]]],[11,"rfold","","An iterator method that reduces the iterator\'s elements …",69,[[]]],[11,"rfind","","Searches for an element of an iterator from the back that …",69,[[],["option",4]]],[11,"len","","Returns the exact length of the iterator.",70,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the iterator is empty.",70,[[],["bool",15]]],[11,"size_hint","","Returns the bounds on the remaining length of the …",67,[[]]],[11,"count","","Consumes the iterator, counting the number of iterations …",67,[[],["usize",15]]],[11,"last","","Consumes the iterator, returning the last element.",67,[[],["option",4]]],[11,"advance_by","","Advances the iterator by <code>n</code> elements.",67,[[["usize",15]],[["result",4],["usize",15]]]],[11,"nth","","Returns the <code>n</code>th element of the iterator.",67,[[["usize",15]],["option",4]]],[11,"step_by","","Creates an iterator starting at the same point, but …",67,[[["usize",15]],["stepby",3]]],[11,"chain","","Takes two iterators and creates a new iterator over both …",67,[[],["chain",3]]],[11,"zip","","\'Zips up\' two iterators into a single iterator of pairs.",67,[[],["zip",3]]],[11,"intersperse","","Creates a new iterator which places a copy of <code>separator</code> …",67,[[],["intersperse",3]]],[11,"intersperse_with","","Creates a new iterator which places an item generated by …",67,[[],["interspersewith",3]]],[11,"map","","Takes a closure and creates an iterator which calls that …",67,[[],["map",3]]],[11,"for_each","","Calls a closure on each element of an iterator.",67,[[]]],[11,"filter","","Creates an iterator which uses a closure to determine if …",67,[[],["filter",3]]],[11,"filter_map","","Creates an iterator that both filters and maps.",67,[[],["filtermap",3]]],[11,"enumerate","","Creates an iterator which gives the current iteration …",67,[[],["enumerate",3]]],[11,"peekable","","Creates an iterator which can use <code>peek</code> to look at the …",67,[[],["peekable",3]]],[11,"skip_while","","Creates an iterator that <code>skip</code>s elements based on a …",67,[[],["skipwhile",3]]],[11,"take_while","","Creates an iterator that yields elements based on a …",67,[[],["takewhile",3]]],[11,"map_while","","Creates an iterator that both yields elements based on a …",67,[[],["mapwhile",3]]],[11,"skip","","Creates an iterator that skips the first <code>n</code> elements.",67,[[["usize",15]],["skip",3]]],[11,"take","","Creates an iterator that yields its first <code>n</code> elements.",67,[[["usize",15]],["take",3]]],[11,"scan","","An iterator adaptor similar to <code>fold</code> that holds internal …",67,[[],["scan",3]]],[11,"flat_map","","Creates an iterator that works like map, but flattens …",67,[[],["flatmap",3]]],[11,"flatten","","Creates an iterator that flattens nested structure.",67,[[],["flatten",3]]],[11,"fuse","","Creates an iterator which ends after the first [<code>None</code>].",67,[[],["fuse",3]]],[11,"inspect","","Does something with each element of an iterator, passing …",67,[[],["inspect",3]]],[11,"by_ref","","Borrows an iterator, rather than consuming it.",67,[[]]],[11,"collect","","Transforms an iterator into a collection.",67,[[],["fromiterator",8]]],[11,"partition","","Consumes an iterator, creating two collections from it.",67,[[]]],[11,"partition_in_place","","Reorders the elements of this iterator <em>in-place</em> according …",67,[[],["usize",15]]],[11,"is_partitioned","","Checks if the elements of this iterator are partitioned …",67,[[],["bool",15]]],[11,"try_fold","","An iterator method that applies a function as long as it …",67,[[]]],[11,"try_for_each","","An iterator method that applies a fallible function to …",67,[[]]],[11,"fold","","Folds every element into an accumulator by applying an …",67,[[]]],[11,"reduce","","Reduces the elements to a single one, by repeatedly …",67,[[],["option",4]]],[11,"all","","Tests if every element of the iterator matches a …",67,[[],["bool",15]]],[11,"any","","Tests if any element of the iterator matches a predicate.",67,[[],["bool",15]]],[11,"find","","Searches for an element of an iterator that satisfies a …",67,[[],["option",4]]],[11,"find_map","","Applies function to the elements of iterator and returns …",67,[[],["option",4]]],[11,"try_find","","Applies function to the elements of iterator and returns …",67,[[],[["result",4],["option",4]]]],[11,"position","","Searches for an element in an iterator, returning its …",67,[[],[["usize",15],["option",4]]]],[11,"rposition","","Searches for an element in an iterator from the right, …",67,[[],[["usize",15],["option",4]]]],[11,"max","","Returns the maximum element of an iterator.",67,[[],["option",4]]],[11,"min","","Returns the minimum element of an iterator.",67,[[],["option",4]]],[11,"max_by_key","","Returns the element that gives the maximum value from the …",67,[[],["option",4]]],[11,"max_by","","Returns the element that gives the maximum value with …",67,[[],["option",4]]],[11,"min_by_key","","Returns the element that gives the minimum value from the …",67,[[],["option",4]]],[11,"min_by","","Returns the element that gives the minimum value with …",67,[[],["option",4]]],[11,"rev","","Reverses an iterator\'s direction.",67,[[],["rev",3]]],[11,"unzip","","Converts an iterator of pairs into a pair of containers.",67,[[]]],[11,"copied","","Creates an iterator which copies all of its elements.",67,[[],["copied",3]]],[11,"cloned","","Creates an iterator which <code>clone</code>s all of its elements.",67,[[],["cloned",3]]],[11,"cycle","","Repeats an iterator endlessly.",67,[[],["cycle",3]]],[11,"sum","","Sums the elements of an iterator.",67,[[]]],[11,"product","","Iterates over the entire iterator, multiplying all the …",67,[[]]],[11,"cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],["ordering",4]]],[11,"cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],["ordering",4]]],[11,"partial_cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],[["option",4],["ordering",4]]]],[11,"partial_cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",67,[[],[["option",4],["ordering",4]]]],[11,"eq","","Determines if the elements of this [<code>Iterator</code>] are equal …",67,[[],["bool",15]]],[11,"eq_by","","Determines if the elements of this [<code>Iterator</code>] are equal …",67,[[],["bool",15]]],[11,"ne","","Determines if the elements of this [<code>Iterator</code>] are unequal …",67,[[],["bool",15]]],[11,"lt","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"le","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"gt","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"ge","","Determines if the elements of this [<code>Iterator</code>] are …",67,[[],["bool",15]]],[11,"is_sorted","","Checks if the elements of this iterator are sorted.",67,[[],["bool",15]]],[11,"is_sorted_by","","Checks if the elements of this iterator are sorted using …",67,[[],["bool",15]]],[11,"is_sorted_by_key","","Checks if the elements of this iterator are sorted using …",67,[[],["bool",15]]],[11,"size_hint","core::stream","Returns the bounds on the remaining length of the stream.",85,[[]]],[11,"field","core::fmt","Adds a new field to the generated struct output.",228,[[["debug",8],["str",15]]]],[11,"finish_non_exhaustive","","Marks the struct as non-exhaustive, indicating to the …",228,[[],["result",6]]],[11,"finish","","Finishes output and returns any error encountered.",228,[[],["result",6]]],[11,"field","","Adds a new field to the generated tuple struct output.",229,[[["debug",8]]]],[11,"finish","","Finishes output and returns any error encountered.",229,[[],["result",6]]],[11,"entry","","Adds a new entry to the set output.",230,[[["debug",8]]]],[11,"entries","","Adds the contents of an iterator of entries to the set …",230,[[]]],[11,"finish","","Finishes output and returns any error encountered.",230,[[],["result",6]]],[11,"entry","","Adds a new entry to the list output.",231,[[["debug",8]]]],[11,"entries","","Adds the contents of an iterator of entries to the list …",231,[[]]],[11,"finish","","Finishes output and returns any error encountered.",231,[[],["result",6]]],[11,"entry","","Adds a new entry to the map output.",232,[[["debug",8]]]],[11,"key","","Adds the key part of a new entry to the map output.",232,[[["debug",8]]]],[11,"value","","Adds the value part of a new entry to the map output.",232,[[["debug",8]]]],[11,"entries","","Adds the contents of an iterator of entries to the map …",232,[[]]],[11,"finish","","Finishes output and returns any error encountered.",232,[[],["result",6]]],[11,"new","core::hash","Creates a new <code>SipHasher</code> with the two initial keys set to …",234,[[],["siphasher",3]]],[11,"new_with_keys","","Creates a <code>SipHasher</code> that is keyed off the provided keys.",234,[[["u64",15]],["siphasher",3]]],[11,"as_slice","core::slice","Views the underlying data as a subslice of the original …",236,[[]]],[11,"into_slice","","Views the underlying data as a subslice of the original …",237,[[]]],[11,"as_slice","","Views the underlying data as a subslice of the original …",237,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",251,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",252,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",254,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",255,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",258,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",259,[[]]],[11,"valid_up_to","core::str","Returns the index in the given string up to which valid …",262,[[],["usize",15]]],[11,"error_len","","Provides more information about the failure:",262,[[],[["usize",15],["option",4]]]],[11,"as_str","","Views the underlying data as a subslice of the original …",264,[[],["str",15]]],[11,"as_str","","Views the underlying data as a subslice of the original …",265,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",267,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",268,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",269,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",270,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",271,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",272,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",281,[[],["str",15]]],[11,"map","core::task","Changes the ready value of this <code>Poll</code> with the closure …",127,[[],["poll",4]]],[11,"is_ready","","Returns <code>true</code> if this is <code>Poll::Ready</code>",127,[[],["bool",15]]],[11,"is_pending","","Returns <code>true</code> if this is <code>Poll::Pending</code>",127,[[],["bool",15]]],[11,"map_ok","","Changes the success value of this <code>Poll</code> with the closure …",127,[[],[["poll",4],["result",4]]]],[11,"map_err","","Changes the error value of this <code>Poll</code> with the closure …",127,[[],[["result",4],["poll",4]]]],[11,"map_ok","","Changes the success value of this <code>Poll</code> with the closure …",127,[[],[["option",4],["poll",4]]]],[11,"map_err","","Changes the error value of this <code>Poll</code> with the closure …",127,[[],[["poll",4],["option",4]]]],[11,"new","","Creates a new <code>RawWaker</code> from the provided <code>data</code> pointer and …",294,[[["rawwakervtable",3]],["rawwaker",3]]],[11,"new","","Creates a new <code>RawWakerVTable</code> from the provided <code>clone</code>, <code>wake</code>…",295,[[]]],[11,"from_waker","","Create a new <code>Context</code> from a <code>&Waker</code>.",296,[[["waker",3]]]],[11,"waker","","Returns a reference to the <code>Waker</code> for the current task.",296,[[],["waker",3]]],[11,"wake","","Wake up the task associated with this <code>Waker</code>.",297,[[]]],[11,"wake_by_ref","","Wake up the task associated with this <code>Waker</code> without …",297,[[]]],[11,"will_wake","","Returns <code>true</code> if this <code>Waker</code> and another <code>Waker</code> have awoken …",297,[[["waker",3]],["bool",15]]],[11,"from_raw","","Creates a new <code>Waker</code> from [<code>RawWaker</code>].",297,[[["rawwaker",3]],["waker",3]]],[11,"alloc_zeroed","core::alloc","Behaves like <code>alloc</code>, but also ensures that the contents …",128,[[["layout",3]]]],[11,"realloc","","Shrink or grow a block of memory to the given <code>new_size</code>. …",128,[[["layout",3],["usize",15]]]],[11,"from_size_align","","Constructs a <code>Layout</code> from a given <code>size</code> and <code>align</code>, or …",298,[[["usize",15]],[["layouterror",3],["result",4]]]],[11,"from_size_align_unchecked","","Creates a layout, bypassing all checks.",298,[[["usize",15]]]],[11,"size","","The minimum size in bytes for a memory block of this …",298,[[],["usize",15]]],[11,"align","","The minimum byte alignment for a memory block of this …",298,[[],["usize",15]]],[11,"new","","Constructs a <code>Layout</code> suitable for holding a value of type <code>T</code>…",298,[[]]],[11,"for_value","","Produces layout describing a record that could be used to …",298,[[]]],[11,"for_value_raw","","Produces layout describing a record that could be used to …",298,[[]]],[11,"dangling","","Creates a <code>NonNull</code> that is dangling, but well-aligned for …",298,[[],[["nonnull",3],["u8",15]]]],[11,"align_to","","Creates a layout describing the record that can hold a …",298,[[["usize",15]],[["layouterror",3],["result",4]]]],[11,"padding_needed_for","","Returns the amount of padding we must insert after <code>self</code> …",298,[[["usize",15]],["usize",15]]],[11,"pad_to_align","","Creates a layout by rounding the size of this layout up …",298,[[],["layout",3]]],[11,"repeat","","Creates a layout describing the record for <code>n</code> instances of …",298,[[["usize",15]],[["result",4],["layouterror",3]]]],[11,"extend","","Creates a layout describing the record for <code>self</code> followed …",298,[[],[["result",4],["layouterror",3]]]],[11,"repeat_packed","","Creates a layout describing the record for <code>n</code> instances of …",298,[[["usize",15]],[["layouterror",3],["result",4]]]],[11,"extend_packed","","Creates a layout describing the record for <code>self</code> followed …",298,[[],[["layouterror",3],["result",4]]]],[11,"array","","Creates a layout describing the record for a <code>[T; n]</code>.",298,[[["usize",15]],[["layouterror",3],["result",4]]]]],"p":[[3,"Wrapping"],[4,"IntErrorKind"],[4,"FpCategory"],[8,"Borrow"],[8,"BorrowMut"],[8,"Clone"],[8,"PartialEq"],[4,"Ordering"],[3,"Reverse"],[8,"Ord"],[8,"PartialOrd"],[8,"AsRef"],[8,"AsMut"],[8,"Into"],[8,"From"],[8,"TryInto"],[8,"TryFrom"],[8,"Default"],[8,"DiscriminantKind"],[8,"Add"],[8,"Div"],[8,"Mul"],[8,"Neg"],[8,"Rem"],[8,"Sub"],[8,"AddAssign"],[8,"DivAssign"],[8,"MulAssign"],[8,"RemAssign"],[8,"SubAssign"],[8,"BitAnd"],[8,"BitOr"],[8,"BitXor"],[8,"Not"],[8,"Shl"],[8,"Shr"],[8,"BitAndAssign"],[8,"BitOrAssign"],[8,"BitXorAssign"],[8,"ShlAssign"],[8,"ShrAssign"],[8,"Deref"],[8,"DerefMut"],[8,"Drop"],[8,"Fn"],[8,"FnMut"],[8,"FnOnce"],[8,"Index"],[8,"IndexMut"],[3,"Range"],[3,"RangeFrom"],[3,"RangeTo"],[4,"Bound"],[8,"RangeBounds"],[3,"RangeToInclusive"],[8,"Try"],[8,"Generator"],[4,"GeneratorState"],[4,"ControlFlow"],[8,"Any"],[3,"TypeId"],[8,"FixedSizeArray"],[3,"Cell"],[3,"RefCell"],[3,"Ref"],[3,"UnsafeCell"],[3,"VaListImpl"],[8,"Iterator"],[8,"Step"],[8,"DoubleEndedIterator"],[8,"ExactSizeIterator"],[8,"Extend"],[8,"FromIterator"],[8,"IntoIterator"],[8,"Product"],[8,"Sum"],[8,"SourceIter"],[3,"OnceCell"],[3,"Lazy"],[4,"Option"],[3,"PanicInfo"],[3,"Location"],[3,"Pin"],[3,"TraitObject"],[4,"Result"],[8,"Stream"],[4,"Ordering"],[3,"AtomicBool"],[3,"AtomicPtr"],[3,"AtomicI8"],[3,"AtomicU8"],[3,"AtomicI16"],[3,"AtomicU16"],[3,"AtomicI32"],[3,"AtomicU32"],[3,"AtomicI64"],[3,"AtomicU64"],[3,"AtomicIsize"],[3,"AtomicUsize"],[4,"Alignment"],[8,"Write"],[3,"Arguments"],[8,"Debug"],[8,"Display"],[8,"Octal"],[8,"Binary"],[8,"LowerHex"],[8,"UpperHex"],[8,"Pointer"],[8,"LowerExp"],[8,"UpperExp"],[3,"Formatter"],[8,"Hash"],[8,"Hasher"],[8,"BuildHasher"],[8,"SliceIndex"],[8,"SlicePattern"],[8,"Pattern"],[4,"SearchStep"],[8,"Searcher"],[8,"ReverseSearcher"],[3,"Utf8Lossy"],[3,"Utf8LossyChunk"],[8,"FromStr"],[3,"Duration"],[8,"Future"],[8,"IntoFuture"],[4,"Poll"],[8,"GlobalAlloc"],[8,"Allocator"],[3,"CpuidResult"],[3,"int8x8x2_t"],[3,"int8x8x3_t"],[3,"int8x8x4_t"],[3,"uint8x8x2_t"],[3,"uint8x8x3_t"],[3,"uint8x8x4_t"],[3,"poly8x8x2_t"],[3,"poly8x8x3_t"],[3,"poly8x8x4_t"],[3,"int8x16x2_t"],[3,"int8x16x3_t"],[3,"int8x16x4_t"],[3,"uint8x16x2_t"],[3,"uint8x16x3_t"],[3,"uint8x16x4_t"],[3,"poly8x16x2_t"],[3,"poly8x16x3_t"],[3,"poly8x16x4_t"],[3,"ParseFloatError"],[3,"TryFromIntError"],[3,"ParseIntError"],[3,"NonZeroU8"],[3,"NonZeroU16"],[3,"NonZeroU32"],[3,"NonZeroU64"],[3,"NonZeroU128"],[3,"NonZeroUsize"],[3,"NonZeroI8"],[3,"NonZeroI16"],[3,"NonZeroI32"],[3,"NonZeroI64"],[3,"NonZeroI128"],[3,"NonZeroIsize"],[3,"ManuallyDrop"],[19,"MaybeUninit"],[3,"Discriminant"],[3,"NonNull"],[4,"Infallible"],[3,"PhantomData"],[3,"PhantomPinned"],[3,"RangeFull"],[3,"RangeInclusive"],[3,"IntoIter"],[3,"TryFromSliceError"],[3,"EscapeDefault"],[3,"BorrowError"],[3,"BorrowMutError"],[3,"RefMut"],[3,"ParseCharError"],[3,"CharTryFromError"],[3,"DecodeUtf16"],[3,"DecodeUtf16Error"],[3,"EscapeUnicode"],[3,"EscapeDefault"],[3,"EscapeDebug"],[3,"ToLowercase"],[3,"ToUppercase"],[4,"c_void"],[3,"VaList"],[3,"Chain"],[3,"Cloned"],[3,"Copied"],[3,"Cycle"],[3,"Enumerate"],[3,"Filter"],[3,"FilterMap"],[3,"FlatMap"],[3,"Flatten"],[3,"Fuse"],[3,"Inspect"],[3,"Intersperse"],[3,"IntersperseWith"],[3,"Map"],[3,"MapWhile"],[3,"Peekable"],[3,"Rev"],[3,"Scan"],[3,"Skip"],[3,"SkipWhile"],[3,"StepBy"],[3,"Take"],[3,"TakeWhile"],[3,"Zip"],[3,"Empty"],[3,"FromFn"],[3,"Once"],[3,"OnceWith"],[3,"Repeat"],[3,"RepeatWith"],[3,"Successors"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"NoneError"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"DebugStruct"],[3,"DebugTuple"],[3,"DebugSet"],[3,"DebugList"],[3,"DebugMap"],[3,"Error"],[3,"SipHasher"],[3,"BuildHasherDefault"],[3,"Iter"],[3,"IterMut"],[3,"Split"],[3,"SplitInclusive"],[3,"SplitMut"],[3,"SplitInclusiveMut"],[3,"RSplit"],[3,"RSplitMut"],[3,"SplitN"],[3,"RSplitN"],[3,"SplitNMut"],[3,"RSplitNMut"],[3,"Windows"],[3,"Chunks"],[3,"ChunksMut"],[3,"ChunksExact"],[3,"ChunksExactMut"],[3,"ArrayWindows"],[3,"ArrayChunks"],[3,"ArrayChunksMut"],[3,"RChunks"],[3,"RChunksMut"],[3,"RChunksExact"],[3,"RChunksExactMut"],[3,"GroupBy"],[3,"GroupByMut"],[3,"Utf8Error"],[3,"ParseBoolError"],[3,"Chars"],[3,"CharIndices"],[3,"Bytes"],[3,"Split"],[3,"RSplit"],[3,"SplitTerminator"],[3,"RSplitTerminator"],[3,"SplitN"],[3,"RSplitN"],[3,"MatchIndices"],[3,"RMatchIndices"],[3,"Matches"],[3,"RMatches"],[3,"Lines"],[3,"LinesAny"],[3,"SplitWhitespace"],[3,"SplitAsciiWhitespace"],[3,"SplitInclusive"],[3,"EncodeUtf16"],[3,"EscapeDebug"],[3,"EscapeDefault"],[3,"EscapeUnicode"],[3,"CharSearcher"],[3,"CharSliceSearcher"],[3,"CharPredicateSearcher"],[3,"StrSearcher"],[3,"Utf8LossyChunksIter"],[3,"Pending"],[3,"PollFn"],[3,"Ready"],[3,"RawWaker"],[3,"RawWakerVTable"],[3,"Context"],[3,"Waker"],[3,"Layout"],[3,"LayoutError"],[3,"AllocError"],[3,"SY"],[3,"APSR"],[3,"__m128i"],[3,"__m128"],[3,"__m128d"],[3,"__m256i"],[3,"__m256"],[3,"__m256d"],[3,"__m512i"],[3,"__m512"],[3,"__m512d"],[3,"float64x1_t"],[3,"float64x2_t"],[3,"int8x8_t"],[3,"uint8x8_t"],[3,"poly8x8_t"],[3,"int16x4_t"],[3,"uint16x4_t"],[3,"poly16x4_t"],[3,"int32x2_t"],[3,"uint32x2_t"],[3,"float32x2_t"],[3,"int64x1_t"],[3,"uint64x1_t"],[3,"poly64x1_t"],[3,"int8x16_t"],[3,"uint8x16_t"],[3,"poly8x16_t"],[3,"int16x8_t"],[3,"uint16x8_t"],[3,"poly16x8_t"],[3,"int32x4_t"],[3,"uint32x4_t"],[3,"float32x4_t"],[3,"int64x2_t"],[3,"uint64x2_t"],[3,"poly64x2_t"],[3,"v128"],[3,"vector_signed_long"],[3,"vector_unsigned_long"],[3,"vector_bool_long"],[3,"vector_double"]],"a":{"!=":[409,412],"%":[499,511],"%=":[511],"&":[515],"&*":[543],"&=":[533],"*":[493,509,543,546],"*=":[509],"+":[487,505],"+=":[505],"-":[496,502,513],"-=":[513],"..":[562,565,567,568],"..=":[579,580],"/":[490,507],"/=":[507],"<":[428,433],"<<":[527],"<<=":[539],"<=":[428,433],"==":[409,412],">":[428,433],">=":[428,433],">>":[530],">>=":[541],"?":[582,9825],"[":[557,560],"[]":[557,560],"]":[557,560],"^":[521],"^=":[537],"chr":[676],"compare_and_swap":[1009,1010],"delete":[370],"inject":[731,14470],"length":[800,14435],"memcpy":[347,376],"memmove":[348,377],"popcnt":[14135,14149,14163,14177,14191,14205,14219,14233,14247,14261,14275,14289],"popcount":[14135,14149,14163,14177,14191,14205,14219,14233,14247,14261,14275,14289],"reduce":[731,14470],"{:?}":[1270],"{}":[1272],"|":[518],"|=":[535]}},\
"proc_macro":{"doc":"A support library for macro authors when defining new …","i":[[0,"token_stream","proc_macro","Public implementation details for the <code>TokenStream</code> type, …",null,null],[3,"IntoIter","proc_macro::token_stream","An iterator over <code>TokenStream</code>\'s <code>TokenTree</code>s. The iteration …",null,null],[0,"tracked_env","proc_macro","Tracked access to environment variables.",null,null],[5,"var","proc_macro::tracked_env","Retrieve an environment variable and add it to build …",null,[[["asref",8],["osstr",3],["str",15],["asref",8]],[["string",3],["varerror",4],["result",4]]]],[3,"Diagnostic","proc_macro","A structure representing a diagnostic message and …",null,null],[4,"Level","","An enum representing a diagnostic level.",null,null],[13,"Error","","An error.",0,null],[13,"Warning","","A warning.",0,null],[13,"Note","","A note.",0,null],[13,"Help","","A help message.",0,null],[8,"MultiSpan","","Trait implemented by types that can be converted into a …",null,null],[10,"into_spans","","Converts <code>self</code> into a <code>Vec<Span></code>.",1,[[],[["span",3],["vec",3]]]],[5,"is_available","","Determines whether proc_macro has been made accessible to …",null,[[],["bool",15]]],[3,"TokenStream","","The main type provided by this crate, representing an …",null,null],[3,"LexError","","Error returned from <code>TokenStream::from_str</code>.",null,null],[11,"new","","Returns an empty <code>TokenStream</code> containing no token trees.",2,[[],["tokenstream",3]]],[11,"is_empty","","Checks if this <code>TokenStream</code> is empty.",2,[[],["bool",15]]],[5,"quote","","Quote a <code>TokenStream</code> into a <code>TokenStream</code>. This is the …",null,[[["tokenstream",3]],["tokenstream",3]]],[5,"quote_span","","Quote a <code>Span</code> into a <code>TokenStream</code>. This is needed to …",null,[[["span",3]],["tokenstream",3]]],[3,"Span","","A region of source code, along with macro expansion …",null,null],[11,"def_site","","A span that resolves at the macro definition site.",3,[[],["span",3]]],[11,"call_site","","The span of the invocation of the current procedural …",3,[[],["span",3]]],[11,"mixed_site","","A span that represents <code>macro_rules</code> hygiene, and sometimes …",3,[[],["span",3]]],[11,"source_file","","The original source file into which this span points.",3,[[],["sourcefile",3]]],[11,"parent","","The <code>Span</code> for the tokens in the previous macro expansion …",3,[[],[["span",3],["option",4]]]],[11,"source","","The span for the origin source code that <code>self</code> was …",3,[[],["span",3]]],[11,"start","","Gets the starting line/column in the source file for this …",3,[[],["linecolumn",3]]],[11,"end","","Gets the ending line/column in the source file for this …",3,[[],["linecolumn",3]]],[11,"join","","Creates a new span encompassing <code>self</code> and <code>other</code>.",3,[[["span",3]],[["span",3],["option",4]]]],[11,"resolved_at","","Creates a new span with the same line/column information …",3,[[["span",3]],["span",3]]],[11,"located_at","","Creates a new span with the same name resolution behavior …",3,[[["span",3]],["span",3]]],[11,"eq","","Compares to spans to see if they\'re equal.",3,[[["span",3]],["bool",15]]],[11,"source_text","","Returns the source text behind a span. This preserves the …",3,[[],[["string",3],["option",4]]]],[11,"error","","Creates a new <code>Diagnostic</code> with the given <code>message</code> at the …",3,[[["string",3],["into",8]],["diagnostic",3]]],[11,"warning","","Creates a new <code>Diagnostic</code> with the given <code>message</code> at the …",3,[[["string",3],["into",8]],["diagnostic",3]]],[11,"note","","Creates a new <code>Diagnostic</code> with the given <code>message</code> at the …",3,[[["string",3],["into",8]],["diagnostic",3]]],[11,"help","","Creates a new <code>Diagnostic</code> with the given <code>message</code> at the …",3,[[["string",3],["into",8]],["diagnostic",3]]],[3,"LineColumn","","A line-column pair representing the start or end of a <code>Span</code>…",null,null],[12,"line","","The 1-indexed line in the source file on which the span …",4,null],[12,"column","","The 0-indexed column (in UTF-8 characters) in the source …",4,null],[3,"SourceFile","","The source file of a given <code>Span</code>.",null,null],[11,"path","","Gets the path to this source file.",5,[[],["pathbuf",3]]],[11,"is_real","","Returns <code>true</code> if this source file is a real source file, …",5,[[],["bool",15]]],[4,"TokenTree","","A single token or a delimited sequence of token trees …",null,null],[13,"Group","","A token stream surrounded by bracket delimiters.",6,null],[13,"Ident","","An identifier.",6,null],[13,"Punct","","A single punctuation character (<code>+</code>, <code>,</code>, <code>$</code>, etc.).",6,null],[13,"Literal","","A literal character (<code>\'a\'</code>), string (<code>\\\"hello\\\"</code>), number (<code>2.3</code>…",6,null],[11,"span","","Returns the span of this tree, delegating to the <code>span</code> …",6,[[],["span",3]]],[11,"set_span","","Configures the span for <em>only this token</em>.",6,[[["span",3]]]],[3,"Group","","A delimited token stream.",null,null],[4,"Delimiter","","Describes how a sequence of token trees is delimited.",null,null],[13,"Parenthesis","","<code>( ... )</code>",7,null],[13,"Brace","","<code>{ ... }</code>",7,null],[13,"Bracket","","<code>[ ... ]</code>",7,null],[13,"None","","<code>Ø ... Ø</code> An implicit delimiter, that may, for example, …",7,null],[11,"new","","Creates a new <code>Group</code> with the given delimiter and token …",8,[[["tokenstream",3],["delimiter",4]],["group",3]]],[11,"delimiter","","Returns the delimiter of this <code>Group</code>",8,[[],["delimiter",4]]],[11,"stream","","Returns the <code>TokenStream</code> of tokens that are delimited in …",8,[[],["tokenstream",3]]],[11,"span","","Returns the span for the delimiters of this token stream, …",8,[[],["span",3]]],[11,"span_open","","Returns the span pointing to the opening delimiter of …",8,[[],["span",3]]],[11,"span_close","","Returns the span pointing to the closing delimiter of …",8,[[],["span",3]]],[11,"set_span","","Configures the span for this <code>Group</code>\'s delimiters, but not …",8,[[["span",3]]]],[3,"Punct","","An <code>Punct</code> is an single punctuation character like <code>+</code>, <code>-</code> or <code>#</code>…",null,null],[4,"Spacing","","Whether an <code>Punct</code> is followed immediately by another <code>Punct</code> …",null,null],[13,"Alone","","e.g., <code>+</code> is <code>Alone</code> in <code>+ =</code>, <code>+ident</code> or <code>+()</code>.",9,null],[13,"Joint","","e.g., <code>+</code> is <code>Joint</code> in <code>+=</code> or <code>\'#</code>. Additionally, single quote <code>\'</code>…",9,null],[11,"new","","Creates a new <code>Punct</code> from the given character and spacing. …",10,[[["char",15],["spacing",4]],["punct",3]]],[11,"as_char","","Returns the value of this punctuation character as <code>char</code>.",10,[[],["char",15]]],[11,"spacing","","Returns the spacing of this punctuation character, …",10,[[],["spacing",4]]],[11,"span","","Returns the span for this punctuation character.",10,[[],["span",3]]],[11,"set_span","","Configure the span for this punctuation character.",10,[[["span",3]]]],[3,"Ident","","An identifier (<code>ident</code>).",null,null],[11,"new","","Creates a new <code>Ident</code> with the given <code>string</code> as well as the …",11,[[["span",3],["str",15]],["ident",3]]],[11,"new_raw","","Same as <code>Ident::new</code>, but creates a raw identifier (<code>r#ident</code>…",11,[[["span",3],["str",15]],["ident",3]]],[11,"span","","Returns the span of this <code>Ident</code>, encompassing the entire …",11,[[],["span",3]]],[11,"set_span","","Configures the span of this <code>Ident</code>, possibly changing its …",11,[[["span",3]]]],[3,"Literal","","A literal string (<code>\\\"hello\\\"</code>), byte string (<code>b\\\"hello\\\"</code>), …",null,null],[11,"u8_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["u8",15]],["literal",3]]],[11,"u16_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["u16",15]],["literal",3]]],[11,"u32_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["u32",15]],["literal",3]]],[11,"u64_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["u64",15]],["literal",3]]],[11,"u128_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["u128",15]],["literal",3]]],[11,"usize_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["usize",15]],["literal",3]]],[11,"i8_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["i8",15]],["literal",3]]],[11,"i16_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["i16",15]],["literal",3]]],[11,"i32_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["i32",15]],["literal",3]]],[11,"i64_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["i64",15]],["literal",3]]],[11,"i128_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["i128",15]],["literal",3]]],[11,"isize_suffixed","","Creates a new suffixed integer literal with the specified …",12,[[["isize",15]],["literal",3]]],[11,"u8_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["u8",15]],["literal",3]]],[11,"u16_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["u16",15]],["literal",3]]],[11,"u32_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["u32",15]],["literal",3]]],[11,"u64_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["u64",15]],["literal",3]]],[11,"u128_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["u128",15]],["literal",3]]],[11,"usize_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["usize",15]],["literal",3]]],[11,"i8_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["i8",15]],["literal",3]]],[11,"i16_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["i16",15]],["literal",3]]],[11,"i32_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["i32",15]],["literal",3]]],[11,"i64_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["i64",15]],["literal",3]]],[11,"i128_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["i128",15]],["literal",3]]],[11,"isize_unsuffixed","","Creates a new unsuffixed integer literal with the …",12,[[["isize",15]],["literal",3]]],[11,"f32_unsuffixed","","Creates a new unsuffixed floating-point literal.",12,[[["f32",15]],["literal",3]]],[11,"f32_suffixed","","Creates a new suffixed floating-point literal.",12,[[["f32",15]],["literal",3]]],[11,"f64_unsuffixed","","Creates a new unsuffixed floating-point literal.",12,[[["f64",15]],["literal",3]]],[11,"f64_suffixed","","Creates a new suffixed floating-point literal.",12,[[["f64",15]],["literal",3]]],[11,"string","","String literal.",12,[[["str",15]],["literal",3]]],[11,"character","","Character literal.",12,[[["char",15]],["literal",3]]],[11,"byte_string","","Byte string literal.",12,[[],["literal",3]]],[11,"span","","Returns the span encompassing this literal.",12,[[],["span",3]]],[11,"set_span","","Configures the span associated for this literal.",12,[[["span",3]]]],[11,"subspan","","Returns a <code>Span</code> that is a subset of <code>self.span()</code> containing …",12,[[["rangebounds",8],["usize",15]],[["span",3],["option",4]]]],[14,"quote","","<code>quote!(..)</code> accepts arbitrary tokens and expands into a …",null,null],[11,"from","","",0,[[]]],[11,"into","","",0,[[]]],[11,"to_owned","","",0,[[]]],[11,"clone_into","","",0,[[]]],[11,"borrow","","",0,[[]]],[11,"borrow_mut","","",0,[[]]],[11,"try_from","","",0,[[],["result",4]]],[11,"try_into","","",0,[[],["result",4]]],[11,"type_id","","",0,[[],["typeid",3]]],[11,"from","","",13,[[]]],[11,"into","","",13,[[]]],[11,"to_owned","","",13,[[]]],[11,"clone_into","","",13,[[]]],[11,"borrow","","",13,[[]]],[11,"borrow_mut","","",13,[[]]],[11,"try_from","","",13,[[],["result",4]]],[11,"try_into","","",13,[[],["result",4]]],[11,"type_id","","",13,[[],["typeid",3]]],[11,"from","proc_macro::token_stream","",14,[[]]],[11,"into","","",14,[[]]],[11,"into_iter","","",14,[[]]],[11,"to_owned","","",14,[[]]],[11,"clone_into","","",14,[[]]],[11,"borrow","","",14,[[]]],[11,"borrow_mut","","",14,[[]]],[11,"try_from","","",14,[[],["result",4]]],[11,"try_into","","",14,[[],["result",4]]],[11,"type_id","","",14,[[],["typeid",3]]],[11,"from","proc_macro","",2,[[]]],[11,"into","","",2,[[]]],[11,"to_owned","","",2,[[]]],[11,"clone_into","","",2,[[]]],[11,"to_string","","",2,[[],["string",3]]],[11,"borrow","","",2,[[]]],[11,"borrow_mut","","",2,[[]]],[11,"try_from","","",2,[[],["result",4]]],[11,"try_into","","",2,[[],["result",4]]],[11,"type_id","","",2,[[],["typeid",3]]],[11,"from","","",15,[[]]],[11,"into","","",15,[[]]],[11,"to_string","","",15,[[],["string",3]]],[11,"borrow","","",15,[[]]],[11,"borrow_mut","","",15,[[]]],[11,"try_from","","",15,[[],["result",4]]],[11,"try_into","","",15,[[],["result",4]]],[11,"type_id","","",15,[[],["typeid",3]]],[11,"from","","",3,[[]]],[11,"into","","",3,[[]]],[11,"to_owned","","",3,[[]]],[11,"clone_into","","",3,[[]]],[11,"borrow","","",3,[[]]],[11,"borrow_mut","","",3,[[]]],[11,"try_from","","",3,[[],["result",4]]],[11,"try_into","","",3,[[],["result",4]]],[11,"type_id","","",3,[[],["typeid",3]]],[11,"from","","",4,[[]]],[11,"into","","",4,[[]]],[11,"to_owned","","",4,[[]]],[11,"clone_into","","",4,[[]]],[11,"borrow","","",4,[[]]],[11,"borrow_mut","","",4,[[]]],[11,"try_from","","",4,[[],["result",4]]],[11,"try_into","","",4,[[],["result",4]]],[11,"type_id","","",4,[[],["typeid",3]]],[11,"from","","",5,[[]]],[11,"into","","",5,[[]]],[11,"to_owned","","",5,[[]]],[11,"clone_into","","",5,[[]]],[11,"borrow","","",5,[[]]],[11,"borrow_mut","","",5,[[]]],[11,"try_from","","",5,[[],["result",4]]],[11,"try_into","","",5,[[],["result",4]]],[11,"type_id","","",5,[[],["typeid",3]]],[11,"from","","",6,[[]]],[11,"into","","",6,[[]]],[11,"to_owned","","",6,[[]]],[11,"clone_into","","",6,[[]]],[11,"to_string","","",6,[[],["string",3]]],[11,"borrow","","",6,[[]]],[11,"borrow_mut","","",6,[[]]],[11,"try_from","","",6,[[],["result",4]]],[11,"try_into","","",6,[[],["result",4]]],[11,"type_id","","",6,[[],["typeid",3]]],[11,"from","","",8,[[]]],[11,"into","","",8,[[]]],[11,"to_owned","","",8,[[]]],[11,"clone_into","","",8,[[]]],[11,"to_string","","",8,[[],["string",3]]],[11,"borrow","","",8,[[]]],[11,"borrow_mut","","",8,[[]]],[11,"try_from","","",8,[[],["result",4]]],[11,"try_into","","",8,[[],["result",4]]],[11,"type_id","","",8,[[],["typeid",3]]],[11,"from","","",7,[[]]],[11,"into","","",7,[[]]],[11,"to_owned","","",7,[[]]],[11,"clone_into","","",7,[[]]],[11,"borrow","","",7,[[]]],[11,"borrow_mut","","",7,[[]]],[11,"try_from","","",7,[[],["result",4]]],[11,"try_into","","",7,[[],["result",4]]],[11,"type_id","","",7,[[],["typeid",3]]],[11,"from","","",10,[[]]],[11,"into","","",10,[[]]],[11,"to_owned","","",10,[[]]],[11,"clone_into","","",10,[[]]],[11,"to_string","","",10,[[],["string",3]]],[11,"borrow","","",10,[[]]],[11,"borrow_mut","","",10,[[]]],[11,"try_from","","",10,[[],["result",4]]],[11,"try_into","","",10,[[],["result",4]]],[11,"type_id","","",10,[[],["typeid",3]]],[11,"from","","",9,[[]]],[11,"into","","",9,[[]]],[11,"to_owned","","",9,[[]]],[11,"clone_into","","",9,[[]]],[11,"borrow","","",9,[[]]],[11,"borrow_mut","","",9,[[]]],[11,"try_from","","",9,[[],["result",4]]],[11,"try_into","","",9,[[],["result",4]]],[11,"type_id","","",9,[[],["typeid",3]]],[11,"from","","",11,[[]]],[11,"into","","",11,[[]]],[11,"to_owned","","",11,[[]]],[11,"clone_into","","",11,[[]]],[11,"to_string","","",11,[[],["string",3]]],[11,"borrow","","",11,[[]]],[11,"borrow_mut","","",11,[[]]],[11,"try_from","","",11,[[],["result",4]]],[11,"try_into","","",11,[[],["result",4]]],[11,"type_id","","",11,[[],["typeid",3]]],[11,"from","","",12,[[]]],[11,"into","","",12,[[]]],[11,"to_owned","","",12,[[]]],[11,"clone_into","","",12,[[]]],[11,"to_string","","",12,[[],["string",3]]],[11,"borrow","","",12,[[]]],[11,"borrow_mut","","",12,[[]]],[11,"try_from","","",12,[[],["result",4]]],[11,"try_into","","",12,[[],["result",4]]],[11,"type_id","","",12,[[],["typeid",3]]],[11,"into_spans","","",3,[[],[["span",3],["vec",3]]]],[11,"from","","",2,[[["tokentree",4]],["tokenstream",3]]],[11,"from","","",6,[[["group",3]],["tokentree",4]]],[11,"from","","",6,[[["ident",3]],["tokentree",4]]],[11,"from","","",6,[[["punct",3]],["tokentree",4]]],[11,"from","","",6,[[["literal",3]],["tokentree",4]]],[11,"extend","","",2,[[["intoiterator",8]]]],[11,"extend","","",2,[[["intoiterator",8]]]],[11,"into_iter","","",2,[[],["intoiter",3]]],[11,"next","proc_macro::token_stream","",14,[[],[["option",4],["tokentree",4]]]],[11,"clone","proc_macro","",0,[[],["level",4]]],[11,"clone","","",13,[[],["diagnostic",3]]],[11,"clone","","",2,[[],["tokenstream",3]]],[11,"clone","proc_macro::token_stream","",14,[[],["intoiter",3]]],[11,"clone","proc_macro","",3,[[],["span",3]]],[11,"clone","","",4,[[],["linecolumn",3]]],[11,"clone","","",5,[[],["sourcefile",3]]],[11,"clone","","",6,[[],["tokentree",4]]],[11,"clone","","",8,[[],["group",3]]],[11,"clone","","",7,[[],["delimiter",4]]],[11,"clone","","",10,[[],["punct",3]]],[11,"clone","","",9,[[],["spacing",4]]],[11,"clone","","",11,[[],["ident",3]]],[11,"clone","","",12,[[],["literal",3]]],[11,"default","","",2,[[]]],[11,"cmp","","",4,[[],["ordering",4]]],[11,"eq","","",4,[[["linecolumn",3]],["bool",15]]],[11,"ne","","",4,[[["linecolumn",3]],["bool",15]]],[11,"eq","","",5,[[],["bool",15]]],[11,"eq","","",7,[[["delimiter",4]],["bool",15]]],[11,"eq","","",9,[[["spacing",4]],["bool",15]]],[11,"eq","","",10,[[["char",15]],["bool",15]]],[11,"partial_cmp","","",4,[[],[["option",4],["ordering",4]]]],[11,"to_string","","",2,[[],["string",3]]],[11,"to_string","","",6,[[],["string",3]]],[11,"to_string","","",8,[[],["string",3]]],[11,"to_string","","",10,[[],["string",3]]],[11,"to_string","","",11,[[],["string",3]]],[11,"to_string","","",12,[[],["string",3]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",13,[[["formatter",3]],["result",6]]],[11,"fmt","","",15,[[["formatter",3]],["result",6]]],[11,"fmt","","",2,[[["formatter",3]],["result",6]]],[11,"fmt","","",3,[[["formatter",3]],["result",6]]],[11,"fmt","","",4,[[["formatter",3]],["result",6]]],[11,"fmt","","",5,[[["formatter",3]],["result",6]]],[11,"fmt","","",6,[[["formatter",3]],["result",6]]],[11,"fmt","","",7,[[["formatter",3]],["result",6]]],[11,"fmt","","",8,[[["formatter",3]],["result",6]]],[11,"fmt","","",9,[[["formatter",3]],["result",6]]],[11,"fmt","","",10,[[["formatter",3]],["result",6]]],[11,"fmt","","",11,[[["formatter",3]],["result",6]]],[11,"fmt","","",12,[[["formatter",3]],["result",6]]],[11,"fmt","","",15,[[["formatter",3]],["result",6]]],[11,"fmt","","",2,[[["formatter",3]],["result",6]]],[11,"fmt","","",6,[[["formatter",3]],["result",6]]],[11,"fmt","","",8,[[["formatter",3]],["result",6]]],[11,"fmt","","",10,[[["formatter",3]],["result",6]]],[11,"fmt","","",11,[[["formatter",3]],["result",6]]],[11,"fmt","","",12,[[["formatter",3]],["result",6]]],[11,"from_str","","",2,[[["str",15]],[["tokenstream",3],["lexerror",3],["result",4]]]],[11,"from_iter","","",2,[[["intoiterator",8]]]],[11,"from_iter","","",2,[[["intoiterator",8]]]],[11,"new","","Creates a new diagnostic with the given <code>level</code> and <code>message</code>.",13,[[["string",3],["level",4],["into",8]],["diagnostic",3]]],[11,"spanned","","Creates a new diagnostic with the given <code>level</code> and <code>message</code> …",13,[[["level",4]],["diagnostic",3]]],[11,"span_error","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[],["diagnostic",3]]],[11,"error","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[["string",3],["into",8]],["diagnostic",3]]],[11,"span_warning","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[],["diagnostic",3]]],[11,"warning","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[["string",3],["into",8]],["diagnostic",3]]],[11,"span_note","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[],["diagnostic",3]]],[11,"note","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[["string",3],["into",8]],["diagnostic",3]]],[11,"span_help","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[],["diagnostic",3]]],[11,"help","","Adds a new child diagnostic message to <code>self</code> with the level…",13,[[["string",3],["into",8]],["diagnostic",3]]],[11,"level","","Returns the diagnostic <code>level</code> for <code>self</code>.",13,[[],["level",4]]],[11,"set_level","","Sets the level in <code>self</code> to <code>level</code>.",13,[[["level",4]]]],[11,"message","","Returns the message in <code>self</code>.",13,[[],["str",15]]],[11,"set_message","","Sets the message in <code>self</code> to <code>message</code>.",13,[[["string",3],["into",8]]]],[11,"spans","","Returns the <code>Span</code>s in <code>self</code>.",13,[[]]],[11,"set_spans","","Sets the <code>Span</code>s in <code>self</code> to <code>spans</code>.",13,[[["multispan",8]]]],[11,"children","","Returns an iterator over the children diagnostics of <code>self</code>.",13,[[],["children",3]]],[11,"emit","","Emit the diagnostic.",13,[[]]]],"p":[[4,"Level"],[8,"MultiSpan"],[3,"TokenStream"],[3,"Span"],[3,"LineColumn"],[3,"SourceFile"],[4,"TokenTree"],[4,"Delimiter"],[3,"Group"],[4,"Spacing"],[3,"Punct"],[3,"Ident"],[3,"Literal"],[3,"Diagnostic"],[3,"IntoIter"],[3,"LexError"]]},\
"std":{"doc":"The Rust Standard LibraryThe Rust Standard Library is the …","i":[[0,"prelude","std","The Rust PreludeRust comes with a variety of things in …",null,null],[0,"v1","std::prelude","The first version of the prelude of The Rust Standard …",null,null],[0,"f32","std","Constants specific to the <code>f32</code> single-precision floating …",null,null],[0,"consts","std::f32","Basic mathematical constants.",null,null],[17,"PI","std::f32::consts","Archimedes\' constant (π)",null,null],[17,"TAU","","The full circle constant (τ)",null,null],[17,"FRAC_PI_2","","π/2",null,null],[17,"FRAC_PI_3","","π/3",null,null],[17,"FRAC_PI_4","","π/4",null,null],[17,"FRAC_PI_6","","π/6",null,null],[17,"FRAC_PI_8","","π/8",null,null],[17,"FRAC_1_PI","","1/π",null,null],[17,"FRAC_2_PI","","2/π",null,null],[17,"FRAC_2_SQRT_PI","","2/sqrt(π)",null,null],[17,"SQRT_2","","sqrt(2)",null,null],[17,"FRAC_1_SQRT_2","","1/sqrt(2)",null,null],[17,"E","","Euler\'s number (e)",null,null],[17,"LOG2_E","","log2(e)",null,null],[17,"LOG2_10","","log2(10)",null,null],[17,"LOG10_E","","log10(e)",null,null],[17,"LOG10_2","","log10(2)",null,null],[17,"LN_2","","ln(2)",null,null],[17,"LN_10","","ln(10)",null,null],[17,"DIGITS","std::f32","Approximate number of significant digits in base 10. Use …",null,null],[17,"EPSILON","","Machine epsilon value for <code>f32</code>. Use <code>f32::EPSILON</code> instead.",null,null],[17,"INFINITY","","Infinity (∞). Use <code>f32::INFINITY</code> instead.",null,null],[17,"MANTISSA_DIGITS","","Number of significant digits in base 2. Use …",null,null],[17,"MAX","","Largest finite <code>f32</code> value. Use <code>f32::MAX</code> instead.",null,null],[17,"MAX_10_EXP","","Maximum possible power of 10 exponent. Use <code>f32::MAX_10_EXP</code>…",null,null],[17,"MAX_EXP","","Maximum possible power of 2 exponent. Use <code>f32::MAX_EXP</code> …",null,null],[17,"MIN","","Smallest finite <code>f32</code> value. Use <code>f32::MIN</code> instead.",null,null],[17,"MIN_10_EXP","","Minimum possible normal power of 10 exponent. Use …",null,null],[17,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",null,null],[17,"MIN_POSITIVE","","Smallest positive normal <code>f32</code> value. Use <code>f32::MIN_POSITIVE</code> …",null,null],[17,"NAN","","Not a Number (NaN). Use <code>f32::NAN</code> instead.",null,null],[17,"NEG_INFINITY","","Negative infinity (−∞). Use <code>f32::NEG_INFINITY</code> instead.",null,null],[17,"RADIX","","The radix or base of the internal representation of <code>f32</code>. …",null,null],[0,"f64","std","Constants specific to the <code>f64</code> double-precision floating …",null,null],[0,"consts","std::f64","Basic mathematical constants.",null,null],[17,"PI","std::f64::consts","Archimedes\' constant (π)",null,null],[17,"TAU","","The full circle constant (τ)",null,null],[17,"FRAC_PI_2","","π/2",null,null],[17,"FRAC_PI_3","","π/3",null,null],[17,"FRAC_PI_4","","π/4",null,null],[17,"FRAC_PI_6","","π/6",null,null],[17,"FRAC_PI_8","","π/8",null,null],[17,"FRAC_1_PI","","1/π",null,null],[17,"FRAC_2_PI","","2/π",null,null],[17,"FRAC_2_SQRT_PI","","2/sqrt(π)",null,null],[17,"SQRT_2","","sqrt(2)",null,null],[17,"FRAC_1_SQRT_2","","1/sqrt(2)",null,null],[17,"E","","Euler\'s number (e)",null,null],[17,"LOG2_10","","log2(10)",null,null],[17,"LOG2_E","","log2(e)",null,null],[17,"LOG10_2","","log10(2)",null,null],[17,"LOG10_E","","log10(e)",null,null],[17,"LN_2","","ln(2)",null,null],[17,"LN_10","","ln(10)",null,null],[17,"DIGITS","std::f64","Approximate number of significant digits in base 10. Use …",null,null],[17,"EPSILON","","Machine epsilon value for <code>f64</code>. Use <code>f64::EPSILON</code> instead.",null,null],[17,"INFINITY","","Infinity (∞). Use <code>f64::INFINITY</code> instead.",null,null],[17,"MANTISSA_DIGITS","","Number of significant digits in base 2. Use …",null,null],[17,"MAX","","Largest finite <code>f64</code> value. Use <code>f64::MAX</code> instead.",null,null],[17,"MAX_10_EXP","","Maximum possible power of 10 exponent. Use <code>f64::MAX_10_EXP</code>…",null,null],[17,"MAX_EXP","","Maximum possible power of 2 exponent. Use <code>f64::MAX_EXP</code> …",null,null],[17,"MIN","","Smallest finite <code>f64</code> value. Use <code>f64::MIN</code> instead.",null,null],[17,"MIN_10_EXP","","Minimum possible normal power of 10 exponent. Use …",null,null],[17,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",null,null],[17,"MIN_POSITIVE","","Smallest positive normal <code>f64</code> value. Use <code>f64::MIN_POSITIVE</code> …",null,null],[17,"NAN","","Not a Number (NaN). Use <code>f64::NAN</code> instead.",null,null],[17,"NEG_INFINITY","","Negative infinity (−∞). Use <code>f64::NEG_INFINITY</code> instead.",null,null],[17,"RADIX","","The radix or base of the internal representation of <code>f64</code>. …",null,null],[0,"thread","std","Native threads.",null,null],[3,"AccessError","std::thread","An error returned by <code>LocalKey::try_with</code>.",null,null],[3,"LocalKey","","A thread local storage key which owns its contents.",null,null],[5,"available_concurrency","","Returns the number of hardware threads available to the …",null,[[],[["nonzerousize",3],["result",6]]]],[3,"Builder","","Thread factory, which can be used in order to configure …",null,null],[11,"new","","Generates the base configuration for spawning a thread, …",0,[[],["builder",3]]],[11,"name","","Names the thread-to-be. Currently the name is used for …",0,[[["string",3]],["builder",3]]],[11,"stack_size","","Sets the size of the stack (in bytes) for the new thread.",0,[[["usize",15]],["builder",3]]],[11,"spawn","","Spawns a new thread by taking ownership of the <code>Builder</code>, …",0,[[],[["result",6],["joinhandle",3]]]],[11,"spawn_unchecked","","Spawns a new thread without any lifetime restrictions by …",0,[[],[["result",6],["joinhandle",3]]]],[5,"spawn","","Spawns a new thread, returning a [<code>JoinHandle</code>] for it.",null,[[],["joinhandle",3]]],[5,"current","","Gets a handle to the thread that invokes it.",null,[[],["thread",3]]],[5,"yield_now","","Cooperatively gives up a timeslice to the OS scheduler.",null,[[]]],[5,"panicking","","Determines whether the current thread is unwinding …",null,[[],["bool",15]]],[5,"sleep_ms","","Puts the current thread to sleep for at least the …",null,[[["u32",15]]]],[5,"sleep","","Puts the current thread to sleep for at least the …",null,[[["duration",3]]]],[5,"park","","Blocks unless or until the current thread\'s token is made …",null,[[]]],[5,"park_timeout_ms","","Use [<code>park_timeout</code>].",null,[[["u32",15]]]],[5,"park_timeout","","Blocks unless or until the current thread\'s token is made …",null,[[["duration",3]]]],[3,"ThreadId","","A unique identifier for a running thread.",null,null],[11,"as_u64","","This returns a numeric identifier for the thread …",1,[[],["nonzerou64",3]]],[3,"Thread","","A handle to a thread.",null,null],[11,"unpark","","Atomically makes the handle\'s token available if it is …",2,[[]]],[11,"id","","Gets the thread\'s unique identifier.",2,[[],["threadid",3]]],[11,"name","","Gets the thread\'s name.",2,[[],[["option",4],["str",15]]]],[6,"Result","","A specialized <code>Result</code> type for threads.",null,null],[3,"JoinHandle","","An owned permission to join on a thread (block on its …",null,null],[11,"thread","","Extracts a handle to the underlying thread.",3,[[],["thread",3]]],[11,"join","","Waits for the associated thread to finish.",3,[[],["result",6]]],[0,"ascii","std","Operations on ASCII strings and characters.",null,null],[5,"escape_default","std::ascii","Returns an iterator that produces an escaped version of a …",null,[[["u8",15]],["escapedefault",3]]],[3,"EscapeDefault","","An iterator over the escaped version of a byte.",null,null],[8,"AsciiExt","","Extension methods for ASCII-subset only operations.",null,null],[16,"Owned","","Container type for copied ASCII characters.",4,null],[10,"is_ascii","","Checks if the value is within the ASCII range.",4,[[],["bool",15]]],[10,"to_ascii_uppercase","","Makes a copy of the value in its ASCII upper case …",4,[[]]],[10,"to_ascii_lowercase","","Makes a copy of the value in its ASCII lower case …",4,[[]]],[10,"eq_ignore_ascii_case","","Checks that two values are an ASCII case-insensitive …",4,[[],["bool",15]]],[10,"make_ascii_uppercase","","Converts this type to its ASCII upper case equivalent …",4,[[]]],[10,"make_ascii_lowercase","","Converts this type to its ASCII lower case equivalent …",4,[[]]],[0,"backtrace","std","Support for capturing a stack backtrace of an OS thread",null,null],[3,"Backtrace","std::backtrace","A captured OS thread stack backtrace.",null,null],[4,"BacktraceStatus","","The current status of a backtrace, indicating whether it …",null,null],[13,"Unsupported","","Capturing a backtrace is not supported, likely because …",5,null],[13,"Disabled","","Capturing a backtrace has been disabled through either the…",5,null],[13,"Captured","","A backtrace has been captured and the <code>Backtrace</code> should …",5,null],[3,"BacktraceFrame","","A single frame of a backtrace.",null,null],[11,"capture","","Capture a stack backtrace of the current thread.",6,[[],["backtrace",3]]],[11,"force_capture","","Forcibly captures a full backtrace, regardless of …",6,[[],["backtrace",3]]],[11,"disabled","","Forcibly captures a disabled backtrace, regardless of …",6,[[],["backtrace",3]]],[11,"status","","Returns the status of this backtrace, indicating whether …",6,[[],["backtracestatus",4]]],[11,"frames","","Returns an iterator over the backtrace frames.",6,[[]]],[0,"collections","std","Collection types.",null,null],[0,"hash_map","std::collections","A hash map implemented with quadratic probing and SIMD …",null,null],[3,"HashMap","std::collections::hash_map","A hash map implemented with quadratic probing and SIMD …",null,null],[3,"Iter","","An iterator over the entries of a <code>HashMap</code>.",null,null],[3,"IterMut","","A mutable iterator over the entries of a <code>HashMap</code>.",null,null],[3,"IntoIter","","An owning iterator over the entries of a <code>HashMap</code>.",null,null],[3,"Keys","","An iterator over the keys of a <code>HashMap</code>.",null,null],[3,"Values","","An iterator over the values of a <code>HashMap</code>.",null,null],[3,"Drain","","A draining iterator over the entries of a <code>HashMap</code>.",null,null],[3,"DrainFilter","","A draining, filtering iterator over the entries of a …",null,null],[3,"ValuesMut","","A mutable iterator over the values of a <code>HashMap</code>.",null,null],[3,"IntoKeys","","An owning iterator over the keys of a <code>HashMap</code>.",null,null],[3,"IntoValues","","An owning iterator over the values of a <code>HashMap</code>.",null,null],[3,"RawEntryBuilderMut","","A builder for computing where in a HashMap a key-value …",null,null],[4,"RawEntryMut","","A view into a single entry in a map, which may either be …",null,null],[13,"Occupied","","An occupied entry.",7,null],[13,"Vacant","","A vacant entry.",7,null],[3,"RawOccupiedEntryMut","","A view into an occupied entry in a <code>HashMap</code>. It is part of …",null,null],[3,"RawVacantEntryMut","","A view into a vacant entry in a <code>HashMap</code>. It is part of …",null,null],[3,"RawEntryBuilder","","A builder for computing where in a HashMap a key-value …",null,null],[4,"Entry","","A view into a single entry in a map, which may either be …",null,null],[13,"Occupied","","An occupied entry.",8,null],[13,"Vacant","","A vacant entry.",8,null],[3,"OccupiedEntry","","A view into an occupied entry in a <code>HashMap</code>. It is part of …",null,null],[3,"VacantEntry","","A view into a vacant entry in a <code>HashMap</code>. It is part of …",null,null],[3,"RandomState","","<code>RandomState</code> is the default state for [<code>HashMap</code>] types.",null,null],[3,"DefaultHasher","","The default [<code>Hasher</code>] used by [<code>RandomState</code>].",null,null],[0,"hash_set","std::collections","A hash set implemented as a <code>HashMap</code> where the value is <code>()</code>.",null,null],[3,"HashSet","std::collections::hash_set","A hash set implemented as a <code>HashMap</code> where the value is <code>()</code>.",null,null],[3,"Iter","","An iterator over the items of a <code>HashSet</code>.",null,null],[3,"IntoIter","","An owning iterator over the items of a <code>HashSet</code>.",null,null],[3,"Drain","","A draining iterator over the items of a <code>HashSet</code>.",null,null],[3,"DrainFilter","","A draining, filtering iterator over the items of a <code>HashSet</code>…",null,null],[3,"Intersection","","A lazy iterator producing elements in the intersection of …",null,null],[3,"Difference","","A lazy iterator producing elements in the difference of …",null,null],[3,"SymmetricDifference","","A lazy iterator producing elements in the symmetric …",null,null],[3,"Union","","A lazy iterator producing elements in the union of <code>HashSet</code>…",null,null],[0,"binary_heap","std::collections","A priority queue implemented with a binary heap.",null,null],[3,"BinaryHeap","std::collections::binary_heap","A priority queue implemented with a binary heap.",null,null],[3,"PeekMut","","Structure wrapping a mutable reference to the greatest …",null,null],[3,"Iter","","An iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"IntoIterSorted","","",null,null],[3,"Drain","","A draining iterator over the elements of a <code>BinaryHeap</code>.",null,null],[3,"DrainSorted","","A draining iterator over the elements of a <code>BinaryHeap</code>.",null,null],[0,"btree_map","std::collections","A map based on a B-Tree.",null,null],[4,"Entry","std::collections::btree_map","A view into a single entry in a map, which may either be …",null,null],[13,"Vacant","","A vacant entry.",9,null],[13,"Occupied","","An occupied entry.",9,null],[3,"OccupiedEntry","","A view into an occupied entry in a <code>BTreeMap</code>. It is part …",null,null],[3,"VacantEntry","","A view into a vacant entry in a <code>BTreeMap</code>. It is part of …",null,null],[3,"BTreeMap","","A map based on a B-Tree.",null,null],[3,"Iter","","An iterator over the entries of a <code>BTreeMap</code>.",null,null],[3,"IntoIter","","An owning iterator over the entries of a <code>BTreeMap</code>.",null,null],[3,"Keys","","An iterator over the keys of a <code>BTreeMap</code>.",null,null],[3,"Values","","An iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"ValuesMut","","A mutable iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"IntoKeys","","An owning iterator over the keys of a <code>BTreeMap</code>.",null,null],[3,"IntoValues","","An owning iterator over the values of a <code>BTreeMap</code>.",null,null],[3,"Range","","An iterator over a sub-range of entries in a <code>BTreeMap</code>.",null,null],[3,"RangeMut","","A mutable iterator over a sub-range of entries in a …",null,null],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on BTreeMap.",null,null],[3,"IterMut","","A mutable iterator over the entries of a <code>BTreeMap</code>.",null,null],[0,"btree_set","std::collections","A set based on a B-Tree.",null,null],[3,"Iter","std::collections::btree_set","An iterator over the items of a <code>BTreeSet</code>.",null,null],[3,"Difference","","A lazy iterator producing elements in the difference of …",null,null],[3,"SymmetricDifference","","A lazy iterator producing elements in the symmetric …",null,null],[3,"Intersection","","A lazy iterator producing elements in the intersection of …",null,null],[3,"Union","","A lazy iterator producing elements in the union of …",null,null],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on BTreeSet.",null,null],[3,"BTreeSet","","A set based on a B-Tree.",null,null],[3,"IntoIter","","An owning iterator over the items of a <code>BTreeSet</code>.",null,null],[3,"Range","","An iterator over a sub-range of items in a <code>BTreeSet</code>.",null,null],[0,"linked_list","std::collections","A doubly-linked list with owned nodes.",null,null],[3,"LinkedList","std::collections::linked_list","A doubly-linked list with owned nodes.",null,null],[3,"Iter","","An iterator over the elements of a <code>LinkedList</code>.",null,null],[3,"IterMut","","A mutable iterator over the elements of a <code>LinkedList</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>LinkedList</code>.",null,null],[3,"Cursor","","A cursor over a <code>LinkedList</code>.",null,null],[3,"CursorMut","","A cursor over a <code>LinkedList</code> with editing operations.",null,null],[3,"DrainFilter","","An iterator produced by calling <code>drain_filter</code> on …",null,null],[0,"vec_deque","std::collections","A double-ended queue implemented with a growable ring …",null,null],[3,"VecDeque","std::collections::vec_deque","A double-ended queue implemented with a growable ring …",null,null],[3,"Drain","","A draining iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"IterMut","","A mutable iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"IntoIter","","An owning iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"Iter","","An iterator over the elements of a <code>VecDeque</code>.",null,null],[3,"BTreeMap","std::collections","A map based on a B-Tree.",null,null],[3,"BTreeSet","","A set based on a B-Tree.",null,null],[3,"BinaryHeap","","A priority queue implemented with a binary heap.",null,null],[3,"LinkedList","","A doubly-linked list with owned nodes.",null,null],[3,"VecDeque","","A double-ended queue implemented with a growable ring …",null,null],[3,"HashMap","","A hash map implemented with quadratic probing and SIMD …",null,null],[3,"HashSet","","A hash set implemented as a <code>HashMap</code> where the value is <code>()</code>.",null,null],[4,"TryReserveError","","The error type for <code>try_reserve</code> methods.",null,null],[13,"CapacityOverflow","","Error due to the computed capacity exceeding the …",10,null],[13,"AllocError","","The memory allocator returned an error",10,null],[12,"layout","std::collections::TryReserveError","The layout of allocation request that failed",11,null],[0,"env","std","Inspection and manipulation of the process\'s environment.",null,null],[0,"consts","std::env","Constants associated with the current target",null,null],[17,"ARCH","std::env::consts","A string describing the architecture of the CPU that is …",null,null],[17,"FAMILY","","The family of the operating system. Example value is <code>unix</code>.",null,null],[17,"OS","","A string describing the specific operating system in use. …",null,null],[17,"DLL_PREFIX","","Specifies the filename prefix used for shared libraries …",null,null],[17,"DLL_SUFFIX","","Specifies the filename suffix used for shared libraries …",null,null],[17,"DLL_EXTENSION","","Specifies the file extension used for shared libraries on …",null,null],[17,"EXE_SUFFIX","","Specifies the filename suffix used for executable …",null,null],[17,"EXE_EXTENSION","","Specifies the file extension, if any, used for executable …",null,null],[5,"current_dir","std::env","Returns the current working directory as a [<code>PathBuf</code>].",null,[[],[["pathbuf",3],["result",6]]]],[5,"set_current_dir","","Changes the current working directory to the specified …",null,[[["asref",8],["path",3]],["result",6]]],[3,"Vars","","An iterator over a snapshot of the environment variables …",null,null],[3,"VarsOs","","An iterator over a snapshot of the environment variables …",null,null],[5,"vars","","Returns an iterator of (variable, value) pairs of …",null,[[],["vars",3]]],[5,"vars_os","","Returns an iterator of (variable, value) pairs of OS …",null,[[],["varsos",3]]],[5,"var","","Fetches the environment variable <code>key</code> from the current …",null,[[["asref",8],["osstr",3]],[["result",4],["string",3],["varerror",4]]]],[5,"var_os","","Fetches the environment variable <code>key</code> from the current …",null,[[["asref",8],["osstr",3]],[["osstring",3],["option",4]]]],[4,"VarError","","The error type for operations interacting with …",null,null],[13,"NotPresent","","The specified environment variable was not present in the …",12,null],[13,"NotUnicode","","The specified environment variable was found, but it did …",12,null],[5,"set_var","","Sets the environment variable <code>k</code> to the value <code>v</code> for the …",null,[[["asref",8],["osstr",3]]]],[5,"remove_var","","Removes an environment variable from the environment of …",null,[[["asref",8],["osstr",3]]]],[3,"SplitPaths","","An iterator that splits an environment variable into …",null,null],[5,"split_paths","","Parses input according to platform conventions for the …",null,[[],["splitpaths",3]]],[3,"JoinPathsError","","The error type for operations on the <code>PATH</code> variable. …",null,null],[5,"join_paths","","Joins a collection of [<code>Path</code>]s appropriately for the <code>PATH</code> …",null,[[],[["osstring",3],["result",4],["joinpathserror",3]]]],[5,"home_dir","","Returns the path of the current user\'s home directory if …",null,[[],[["option",4],["pathbuf",3]]]],[5,"temp_dir","","Returns the path of a temporary directory.",null,[[],["pathbuf",3]]],[5,"current_exe","","Returns the full filesystem path of the current running …",null,[[],[["pathbuf",3],["result",6]]]],[3,"Args","","An iterator over the arguments of a process, yielding a […",null,null],[3,"ArgsOs","","An iterator over the arguments of a process, yielding an […",null,null],[5,"args","","Returns the arguments that this program was started with …",null,[[],["args",3]]],[5,"args_os","","Returns the arguments which this program was started with …",null,[[],["argsos",3]]],[0,"error","std","Traits for working with Errors.",null,null],[8,"Error","std::error","<code>Error</code> is a trait representing the basic expectations for …",null,null],[11,"source","","The lower-level source of this error, if any.",13,[[],[["option",4],["error",8]]]],[11,"backtrace","","Returns a stack backtrace, if available, of where this …",13,[[],[["backtrace",3],["option",4]]]],[11,"description","","",13,[[],["str",15]]],[11,"cause","","",13,[[],[["error",8],["option",4]]]],[11,"is","","Returns <code>true</code> if the boxed type is the same as <code>T</code>",13,[[],["bool",15]]],[11,"downcast_ref","","Returns some reference to the boxed value if it is of …",13,[[],["option",4]]],[11,"downcast_mut","","Returns some mutable reference to the boxed value if it …",13,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>dyn Error</code>.",13,[[],["option",4]]],[11,"downcast","","Attempts to downcast the box to a concrete type.",13,[[["box",3]],[["result",4],["box",3],["box",3]]]],[11,"chain","","Returns an iterator starting with the current error and …",13,[[],["chain",3]]],[3,"Chain","","An iterator over an [<code>Error</code>] and its sources.",null,null],[11,"downcast","","Attempts to downcast the box to a concrete type.",13,[[["box",3]],[["box",3],["box",3],["result",4]]]],[11,"downcast","","Attempts to downcast the box to a concrete type.",13,[[["box",3]],[["result",4],["box",3],["box",3]]]],[0,"ffi","std","Utilities related to FFI bindings.",null,null],[3,"FromBytesWithNulError","std::ffi","An error indicating that a nul byte was not in the …",null,null],[3,"FromVecWithNulError","","An error indicating that a nul byte was not in the …",null,null],[3,"CStr","","Representation of a borrowed C string.",null,null],[3,"CString","","A type representing an owned, C-compatible, …",null,null],[3,"IntoStringError","","An error indicating invalid UTF-8 when converting a […",null,null],[3,"NulError","","An error indicating that an interior nul byte was found.",null,null],[3,"OsStr","","Borrowed reference to an OS string (see [<code>OsString</code>]).",null,null],[3,"OsString","","A type that can represent owned, mutable platform-native …",null,null],[4,"c_void","","Equivalent to C\'s <code>void</code> type when used as a pointer.",null,null],[3,"VaList","","A wrapper for a <code>va_list</code>",null,null],[3,"VaListImpl","","x86_64 ABI implementation of a <code>va_list</code>.",null,null],[0,"fs","std","Filesystem manipulation operations.",null,null],[3,"File","std::fs","A reference to an open file on the filesystem.",null,null],[3,"Metadata","","Metadata information about a file.",null,null],[3,"ReadDir","","Iterator over the entries in a directory.",null,null],[3,"DirEntry","","Entries returned by the [<code>ReadDir</code>] iterator.",null,null],[3,"OpenOptions","","Options and flags which can be used to configure how a …",null,null],[3,"Permissions","","Representation of the various permissions on a file.",null,null],[3,"FileType","","A structure representing a type of file with accessors …",null,null],[3,"DirBuilder","","A builder used to create directories in various manners.",null,null],[5,"read","","Read the entire contents of a file into a bytes vector.",null,[[["asref",8],["path",3]],[["vec",3],["result",6]]]],[5,"read_to_string","","Read the entire contents of a file into a string.",null,[[["asref",8],["path",3]],[["string",3],["result",6]]]],[5,"write","","Write a slice as the entire contents of a file.",null,[[["asref",8],["asref",8],["path",3]],["result",6]]],[11,"open","","Attempts to open a file in read-only mode.",14,[[["asref",8],["path",3]],[["file",3],["result",6]]]],[11,"create","","Opens a file in write-only mode.",14,[[["asref",8],["path",3]],[["file",3],["result",6]]]],[11,"with_options","","Returns a new OpenOptions object.",14,[[],["openoptions",3]]],[11,"sync_all","","Attempts to sync all OS-internal metadata to disk.",14,[[],["result",6]]],[11,"sync_data","","This function is similar to <code>sync_all</code>, except that it may …",14,[[],["result",6]]],[11,"set_len","","Truncates or extends the underlying file, updating the …",14,[[["u64",15]],["result",6]]],[11,"metadata","","Queries metadata about the underlying file.",14,[[],[["result",6],["metadata",3]]]],[11,"try_clone","","Creates a new <code>File</code> instance that shares the same …",14,[[],[["file",3],["result",6]]]],[11,"set_permissions","","Changes the permissions on the underlying file.",14,[[["permissions",3]],["result",6]]],[11,"new","","Creates a blank new set of options ready for …",15,[[]]],[11,"read","","Sets the option for read access.",15,[[["bool",15]]]],[11,"write","","Sets the option for write access.",15,[[["bool",15]]]],[11,"append","","Sets the option for the append mode.",15,[[["bool",15]]]],[11,"truncate","","Sets the option for truncating a previous file.",15,[[["bool",15]]]],[11,"create","","Sets the option to create a new file, or open it if it …",15,[[["bool",15]]]],[11,"create_new","","Sets the option to create a new file, failing if it …",15,[[["bool",15]]]],[11,"open","","Opens a file at <code>path</code> with the options specified by <code>self</code>.",15,[[["asref",8],["path",3]],[["file",3],["result",6]]]],[11,"file_type","","Returns the file type for this metadata.",16,[[],["filetype",3]]],[11,"is_dir","","Returns <code>true</code> if this metadata is for a directory. The …",16,[[],["bool",15]]],[11,"is_file","","Returns <code>true</code> if this metadata is for a regular file. The …",16,[[],["bool",15]]],[11,"len","","Returns the size of the file, in bytes, this metadata is …",16,[[],["u64",15]]],[11,"permissions","","Returns the permissions of the file this metadata is for.",16,[[],["permissions",3]]],[11,"modified","","Returns the last modification time listed in this …",16,[[],[["systemtime",3],["result",6]]]],[11,"accessed","","Returns the last access time of this metadata.",16,[[],[["systemtime",3],["result",6]]]],[11,"created","","Returns the creation time listed in this metadata.",16,[[],[["systemtime",3],["result",6]]]],[11,"readonly","","Returns <code>true</code> if these permissions describe a readonly …",17,[[],["bool",15]]],[11,"set_readonly","","Modifies the readonly flag for this set of permissions. …",17,[[["bool",15]]]],[11,"is_dir","","Tests whether this file type represents a directory. The …",18,[[],["bool",15]]],[11,"is_file","","Tests whether this file type represents a regular file. …",18,[[],["bool",15]]],[11,"is_symlink","","Tests whether this file type represents a symbolic link. …",18,[[],["bool",15]]],[11,"path","","Returns the full path to the file that this entry …",19,[[],["pathbuf",3]]],[11,"metadata","","Returns the metadata for the file that this entry points …",19,[[],[["result",6],["metadata",3]]]],[11,"file_type","","Returns the file type for the file that this entry points …",19,[[],[["filetype",3],["result",6]]]],[11,"file_name","","Returns the bare file name of this directory entry …",19,[[],["osstring",3]]],[5,"remove_file","","Removes a file from the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[5,"metadata","","Given a path, query the file system to get information …",null,[[["asref",8],["path",3]],[["result",6],["metadata",3]]]],[5,"symlink_metadata","","Query the metadata about a file without following …",null,[[["asref",8],["path",3]],[["result",6],["metadata",3]]]],[5,"rename","","Rename a file or directory to a new name, replacing the …",null,[[["asref",8],["path",3]],["result",6]]],[5,"copy","","Copies the contents of one file to another. This function …",null,[[["asref",8],["path",3]],[["u64",15],["result",6]]]],[5,"hard_link","","Creates a new hard link on the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[5,"soft_link","","Creates a new symbolic link on the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[5,"read_link","","Reads a symbolic link, returning the file that the link …",null,[[["asref",8],["path",3]],[["pathbuf",3],["result",6]]]],[5,"canonicalize","","Returns the canonical, absolute form of a path with all …",null,[[["asref",8],["path",3]],[["pathbuf",3],["result",6]]]],[5,"create_dir","","Creates a new, empty directory at the provided path",null,[[["asref",8],["path",3]],["result",6]]],[5,"create_dir_all","","Recursively create a directory and all of its parent …",null,[[["asref",8],["path",3]],["result",6]]],[5,"remove_dir","","Removes an empty directory.",null,[[["asref",8],["path",3]],["result",6]]],[5,"remove_dir_all","","Removes a directory at this path, after removing all its …",null,[[["asref",8],["path",3]],["result",6]]],[5,"read_dir","","Returns an iterator over the entries within a directory.",null,[[["asref",8],["path",3]],[["result",6],["readdir",3]]]],[5,"set_permissions","","Changes the permissions found on a file or a directory.",null,[[["asref",8],["path",3],["permissions",3]],["result",6]]],[11,"new","","Creates a new set of options with default mode/security …",20,[[],["dirbuilder",3]]],[11,"recursive","","Indicates that directories should be created recursively, …",20,[[["bool",15]]]],[11,"create","","Creates the specified directory with the options …",20,[[["asref",8],["path",3]],["result",6]]],[0,"io","std","Traits, helpers, and type definitions for core I/O …",null,null],[0,"prelude","std::io","The I/O Prelude.",null,null],[3,"IntoInnerError","","An error returned by [<code>BufWriter::into_inner</code>] which …",null,null],[3,"BufReader","","The <code>BufReader<R></code> struct adds buffering to any reader.",null,null],[3,"BufWriter","","Wraps a writer and buffers its output.",null,null],[3,"LineWriter","","Wraps a writer and buffers output to it, flushing …",null,null],[5,"copy","","Copies the entire contents of a reader into a writer.",null,[[],[["result",6],["u64",15]]]],[3,"Cursor","","A <code>Cursor</code> wraps an in-memory buffer and provides it with a …",null,null],[3,"Error","","The error type for I/O operations of the <code>Read</code>, <code>Write</code>, <code>Seek</code>…",null,null],[4,"ErrorKind","","A list specifying general categories of I/O error.",null,null],[13,"NotFound","","An entity was not found, often a file.",21,null],[13,"PermissionDenied","","The operation lacked the necessary privileges to complete.",21,null],[13,"ConnectionRefused","","The connection was refused by the remote server.",21,null],[13,"ConnectionReset","","The connection was reset by the remote server.",21,null],[13,"ConnectionAborted","","The connection was aborted (terminated) by the remote …",21,null],[13,"NotConnected","","The network operation failed because it was not connected …",21,null],[13,"AddrInUse","","A socket address could not be bound because the address …",21,null],[13,"AddrNotAvailable","","A nonexistent interface was requested or the requested …",21,null],[13,"BrokenPipe","","The operation failed because a pipe was closed.",21,null],[13,"AlreadyExists","","An entity already exists, often a file.",21,null],[13,"WouldBlock","","The operation needs to block to complete, but the …",21,null],[13,"InvalidInput","","A parameter was incorrect.",21,null],[13,"InvalidData","","Data not valid for the operation were encountered.",21,null],[13,"TimedOut","","The I/O operation\'s timeout expired, causing it to be …",21,null],[13,"WriteZero","","An error returned when an operation could not be …",21,null],[13,"Interrupted","","This operation was interrupted.",21,null],[13,"Other","","Any I/O error not part of this list.",21,null],[13,"UnexpectedEof","","An error returned when an operation could not be …",21,null],[6,"Result","","A specialized <code>Result</code> type for I/O operations.",null,null],[5,"stderr","","Constructs a new handle to the standard error of the …",null,[[],["stderr",3]]],[5,"stdin","","Constructs a new handle to the standard input of the …",null,[[],["stdin",3]]],[5,"stdout","","Constructs a new handle to the standard output of the …",null,[[],["stdout",3]]],[3,"Stderr","","A handle to the standard error stream of a process.",null,null],[3,"Stdin","","A handle to the standard input stream of a process.",null,null],[3,"Stdout","","A handle to the global standard output stream of the …",null,null],[3,"StderrLock","","A locked reference to the <code>Stderr</code> handle.",null,null],[3,"StdinLock","","A locked reference to the <code>Stdin</code> handle.",null,null],[3,"StdoutLock","","A locked reference to the <code>Stdout</code> handle.",null,null],[5,"empty","","Constructs a new handle to an empty reader.",null,[[],["empty",3]]],[5,"repeat","","Creates an instance of a reader that infinitely repeats …",null,[[["u8",15]],["repeat",3]]],[5,"sink","","Creates an instance of a writer which will successfully …",null,[[],["sink",3]]],[3,"Empty","","A reader which is always at EOF.",null,null],[3,"Repeat","","A reader which yields one byte over and over and over and …",null,null],[3,"Sink","","A writer which will move data into the void.",null,null],[8,"Read","","The <code>Read</code> trait allows for reading bytes from a source.",null,null],[10,"read","","Pull some bytes from this source into the specified …",22,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","Like <code>read</code>, except that it reads into a slice of buffers.",22,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","Determines if this <code>Read</code>er has an efficient <code>read_vectored</code> …",22,[[],["bool",15]]],[11,"initializer","","Determines if this <code>Read</code>er can work with buffers of …",22,[[],["initializer",3]]],[11,"read_to_end","","Read all bytes until EOF in this source, placing them …",22,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read_to_string","","Read all bytes until EOF in this source, appending them …",22,[[["string",3]],[["result",6],["usize",15]]]],[11,"read_exact","","Read the exact number of bytes required to fill <code>buf</code>.",22,[[],["result",6]]],[11,"by_ref","","Creates a \\\"by reference\\\" adaptor for this instance of <code>Read</code>…",22,[[]]],[11,"bytes","","Transforms this <code>Read</code> instance to an [<code>Iterator</code>] over its …",22,[[],["bytes",3]]],[11,"chain","","Creates an adaptor which will chain this stream with …",22,[[["read",8]],[["chain",3],["read",8]]]],[11,"take","","Creates an adaptor which will read at most <code>limit</code> bytes …",22,[[["u64",15]],["take",3]]],[5,"read_to_string","","Read all bytes from a [reader][Read] into a new [<code>String</code>].",null,[[],[["result",6],["string",3]]]],[3,"IoSliceMut","","A buffer type used with <code>Read::read_vectored</code>.",null,null],[11,"new","","Creates a new <code>IoSliceMut</code> wrapping a byte slice.",23,[[],["ioslicemut",3]]],[11,"advance","","Advance the internal cursor of the slice.",23,[[["usize",15]]]],[3,"IoSlice","","A buffer type used with <code>Write::write_vectored</code>.",null,null],[11,"new","","Creates a new <code>IoSlice</code> wrapping a byte slice.",24,[[],["ioslice",3]]],[11,"advance","","Advance the internal cursor of the slice.",24,[[["usize",15]]]],[3,"Initializer","","A type used to conditionally initialize buffers passed to …",null,null],[11,"zeroing","","Returns a new <code>Initializer</code> which will zero out buffers.",25,[[],["initializer",3]]],[11,"nop","","Returns a new <code>Initializer</code> which will not zero out buffers.",25,[[],["initializer",3]]],[11,"should_initialize","","Indicates if a buffer should be initialized.",25,[[],["bool",15]]],[11,"initialize","","Initializes a buffer if necessary.",25,[[]]],[8,"Write","","A trait for objects which are byte-oriented sinks.",null,null],[10,"write","","Write a buffer into this writer, returning how many bytes …",26,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","Like <code>write</code>, except that it writes from a slice of buffers.",26,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","Determines if this <code>Write</code>r has an efficient <code>write_vectored</code> …",26,[[],["bool",15]]],[10,"flush","","Flush this output stream, ensuring that all …",26,[[],["result",6]]],[11,"write_all","","Attempts to write an entire buffer into this writer.",26,[[],["result",6]]],[11,"write_all_vectored","","Attempts to write multiple buffers into this writer.",26,[[],["result",6]]],[11,"write_fmt","","Writes a formatted string into this writer, returning any …",26,[[["arguments",3]],["result",6]]],[11,"by_ref","","Creates a \\\"by reference\\\" adaptor for this instance of …",26,[[]]],[8,"Seek","","The <code>Seek</code> trait provides a cursor which can be moved …",null,null],[10,"seek","","Seek to an offset, in bytes, in a stream.",27,[[["seekfrom",4]],[["result",6],["u64",15]]]],[11,"stream_len","","Returns the length of this stream (in bytes).",27,[[],[["result",6],["u64",15]]]],[11,"stream_position","","Returns the current seek position from the start of the …",27,[[],[["result",6],["u64",15]]]],[4,"SeekFrom","","Enumeration of possible methods to seek within an I/O …",null,null],[13,"Start","","Sets the offset to the provided number of bytes.",28,null],[13,"End","","Sets the offset to the size of this object plus the …",28,null],[13,"Current","","Sets the offset to the current position plus the …",28,null],[8,"BufRead","","A <code>BufRead</code> is a type of <code>Read</code>er which has an internal …",null,null],[10,"fill_buf","","Returns the contents of the internal buffer, filling it …",29,[[],["result",6]]],[10,"consume","","Tells this buffer that <code>amt</code> bytes have been consumed from …",29,[[["usize",15]]]],[11,"read_until","","Read all bytes into <code>buf</code> until the delimiter <code>byte</code> or EOF …",29,[[["vec",3],["u8",15]],[["result",6],["usize",15]]]],[11,"read_line","","Read all bytes until a newline (the <code>0xA</code> byte) is reached, …",29,[[["string",3]],[["result",6],["usize",15]]]],[11,"split","","Returns an iterator over the contents of this reader …",29,[[["u8",15]],["split",3]]],[11,"lines","","Returns an iterator over the lines of this reader.",29,[[],["lines",3]]],[3,"Chain","","Adaptor to chain together two readers.",null,null],[11,"into_inner","","Consumes the <code>Chain</code>, returning the wrapped readers.",30,[[]]],[11,"get_ref","","Gets references to the underlying readers in this <code>Chain</code>.",30,[[]]],[11,"get_mut","","Gets mutable references to the underlying readers in this …",30,[[]]],[3,"Take","","Reader adaptor which limits the bytes read from an …",null,null],[11,"limit","","Returns the number of bytes that can be read before this …",31,[[],["u64",15]]],[11,"set_limit","","Sets the number of bytes that can be read before this …",31,[[["u64",15]]]],[11,"into_inner","","Consumes the <code>Take</code>, returning the wrapped reader.",31,[[]]],[11,"get_ref","","Gets a reference to the underlying reader.",31,[[]]],[11,"get_mut","","Gets a mutable reference to the underlying reader.",31,[[]]],[3,"Bytes","","An iterator over <code>u8</code> values of a reader.",null,null],[3,"Split","","An iterator over the contents of an instance of <code>BufRead</code> …",null,null],[3,"Lines","","An iterator over the lines of an instance of <code>BufRead</code>.",null,null],[0,"net","std","Networking primitives for TCP/UDP communication.",null,null],[4,"SocketAddr","std::net","An internet socket address, either IPv4 or IPv6.",null,null],[13,"V4","","An IPv4 socket address.",32,null],[13,"V6","","An IPv6 socket address.",32,null],[3,"SocketAddrV4","","An IPv4 socket address.",null,null],[3,"SocketAddrV6","","An IPv6 socket address.",null,null],[8,"ToSocketAddrs","","A trait for objects which can be converted or resolved to …",null,null],[16,"Iter","","Returned iterator over socket addresses which this type …",33,null],[10,"to_socket_addrs","","Converts this object to an iterator of resolved <code>SocketAddr</code>…",33,[[],["result",6]]],[4,"IpAddr","","An IP address, either IPv4 or IPv6.",null,null],[13,"V4","","An IPv4 address.",34,null],[13,"V6","","An IPv6 address.",34,null],[3,"Ipv4Addr","","An IPv4 address.",null,null],[3,"Ipv6Addr","","An IPv6 address.",null,null],[4,"Ipv6MulticastScope","","",null,null],[13,"InterfaceLocal","","",35,null],[13,"LinkLocal","","",35,null],[13,"RealmLocal","","",35,null],[13,"AdminLocal","","",35,null],[13,"SiteLocal","","",35,null],[13,"OrganizationLocal","","",35,null],[13,"Global","","",35,null],[3,"AddrParseError","","An error which can be returned when parsing an IP address …",null,null],[3,"Incoming","","An iterator that infinitely <code>accept</code>s connections on a […",null,null],[3,"TcpListener","","A TCP socket server, listening for connections.",null,null],[3,"TcpStream","","A TCP stream between a local and a remote socket.",null,null],[3,"UdpSocket","","A UDP socket.",null,null],[4,"Shutdown","","Possible values which can be passed to the […",null,null],[13,"Read","","The reading portion of the [<code>TcpStream</code>] should be shut …",36,null],[13,"Write","","The writing portion of the [<code>TcpStream</code>] should be shut …",36,null],[13,"Both","","Both the reading and the writing portions of the […",36,null],[0,"num","std","Additional functionality for numerics.",null,null],[3,"Wrapping","std::num","Provides intentionally-wrapped arithmetic on <code>T</code>.",null,null],[12,"0","","",37,null],[4,"FpCategory","","A classification of floating point numbers.",null,null],[13,"Nan","","\\\"Not a Number\\\", often obtained by dividing by zero.",38,null],[13,"Infinite","","Positive or negative infinity.",38,null],[13,"Zero","","Positive or negative zero.",38,null],[13,"Subnormal","","De-normalized floating point representation (less precise …",38,null],[13,"Normal","","A regular floating point number.",38,null],[3,"ParseFloatError","","An error which can be returned when parsing a float.",null,null],[3,"ParseIntError","","An error which can be returned when parsing an integer.",null,null],[3,"TryFromIntError","","The error type returned when a checked integral type …",null,null],[3,"NonZeroI128","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI16","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI32","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI64","","An integer that is known not to equal zero.",null,null],[3,"NonZeroI8","","An integer that is known not to equal zero.",null,null],[3,"NonZeroIsize","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU128","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU16","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU32","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU64","","An integer that is known not to equal zero.",null,null],[3,"NonZeroU8","","An integer that is known not to equal zero.",null,null],[3,"NonZeroUsize","","An integer that is known not to equal zero.",null,null],[4,"IntErrorKind","","Enum to store the various types of errors that can cause …",null,null],[13,"Empty","","Value being parsed is empty.",39,null],[13,"InvalidDigit","","Contains an invalid digit in its context.",39,null],[13,"PosOverflow","","Integer is too large to store in target integer type.",39,null],[13,"NegOverflow","","Integer is too small to store in target integer type.",39,null],[13,"Zero","","Value was Zero",39,null],[0,"os","std","OS-specific functionality.",null,null],[0,"unix","std::os","Platform-specific extensions to <code>std</code> for Unix platforms.",null,null],[0,"ffi","std::os::unix","Unix-specific extension to the primitives in the <code>std::ffi</code> …",null,null],[8,"OsStringExt","std::os::unix::ffi","Platform-specific extensions to [<code>OsString</code>].",null,null],[10,"from_vec","","Creates an [<code>OsString</code>] from a byte vector.",40,[[["vec",3],["u8",15]]]],[10,"into_vec","","Yields the underlying byte vector of this [<code>OsString</code>].",40,[[],[["vec",3],["u8",15]]]],[8,"OsStrExt","","Platform-specific extensions to [<code>OsStr</code>].",null,null],[10,"from_bytes","","Creates an [<code>OsStr</code>] from a byte slice.",41,[[]]],[10,"as_bytes","","Gets the underlying byte view of the [<code>OsStr</code>] slice.",41,[[]]],[0,"fs","std::os::unix","Unix-specific extensions to primitives in the <code>std::fs</code> …",null,null],[8,"FileExt","std::os::unix::fs","Unix-specific extensions to [<code>fs::File</code>].",null,null],[10,"read_at","","Reads a number of bytes starting from a given offset.",42,[[["u64",15]],[["result",6],["usize",15]]]],[11,"read_exact_at","","Reads the exact number of byte required to fill <code>buf</code> from …",42,[[["u64",15]],["result",6]]],[10,"write_at","","Writes a number of bytes starting from a given offset.",42,[[["u64",15]],[["result",6],["usize",15]]]],[11,"write_all_at","","Attempts to write an entire buffer starting from a given …",42,[[["u64",15]],["result",6]]],[8,"PermissionsExt","","Unix-specific extensions to [<code>fs::Permissions</code>].",null,null],[10,"mode","","Returns the underlying raw <code>st_mode</code> bits that contain the …",43,[[],["u32",15]]],[10,"set_mode","","Sets the underlying raw bits for this set of permissions.",43,[[["u32",15]]]],[10,"from_mode","","Creates a new instance of <code>Permissions</code> from the given set …",43,[[["u32",15]]]],[8,"OpenOptionsExt","","Unix-specific extensions to [<code>fs::OpenOptions</code>].",null,null],[10,"mode","","Sets the mode bits that a new file will be created with.",44,[[["u32",15]]]],[10,"custom_flags","","Pass custom flags to the <code>flags</code> argument of <code>open</code>.",44,[[["i32",15]]]],[8,"MetadataExt","","Unix-specific extensions to [<code>fs::Metadata</code>].",null,null],[10,"dev","","Returns the ID of the device containing the file.",45,[[],["u64",15]]],[10,"ino","","Returns the inode number.",45,[[],["u64",15]]],[10,"mode","","Returns the rights applied to this file.",45,[[],["u32",15]]],[10,"nlink","","Returns the number of hard links pointing to this file.",45,[[],["u64",15]]],[10,"uid","","Returns the user ID of the owner of this file.",45,[[],["u32",15]]],[10,"gid","","Returns the group ID of the owner of this file.",45,[[],["u32",15]]],[10,"rdev","","Returns the device ID of this file (if it is a special …",45,[[],["u64",15]]],[10,"size","","Returns the total size of this file in bytes.",45,[[],["u64",15]]],[10,"atime","","Returns the last access time of the file, in seconds …",45,[[],["i64",15]]],[10,"atime_nsec","","Returns the last access time of the file, in nanoseconds …",45,[[],["i64",15]]],[10,"mtime","","Returns the last modification time of the file, in …",45,[[],["i64",15]]],[10,"mtime_nsec","","Returns the last modification time of the file, in …",45,[[],["i64",15]]],[10,"ctime","","Returns the last status change time of the file, in …",45,[[],["i64",15]]],[10,"ctime_nsec","","Returns the last status change time of the file, in …",45,[[],["i64",15]]],[10,"blksize","","Returns the block size for filesystem I/O.",45,[[],["u64",15]]],[10,"blocks","","Returns the number of blocks allocated to the file, in …",45,[[],["u64",15]]],[8,"FileTypeExt","","Unix-specific extensions for [<code>fs::FileType</code>].",null,null],[10,"is_block_device","","Returns <code>true</code> if this file type is a block device.",46,[[],["bool",15]]],[10,"is_char_device","","Returns <code>true</code> if this file type is a char device.",46,[[],["bool",15]]],[10,"is_fifo","","Returns <code>true</code> if this file type is a fifo.",46,[[],["bool",15]]],[10,"is_socket","","Returns <code>true</code> if this file type is a socket.",46,[[],["bool",15]]],[8,"DirEntryExt","","Unix-specific extension methods for [<code>fs::DirEntry</code>].",null,null],[10,"ino","","Returns the underlying <code>d_ino</code> field in the contained <code>dirent</code>…",47,[[],["u64",15]]],[5,"symlink","","Creates a new symbolic link on the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[8,"DirBuilderExt","","Unix-specific extensions to [<code>fs::DirBuilder</code>].",null,null],[10,"mode","","Sets the mode to create new directories with. This option …",48,[[["u32",15]]]],[0,"io","std::os::unix","Unix-specific extensions to general I/O primitives.",null,null],[6,"RawFd","std::os::unix::io","Raw file descriptors.",null,null],[8,"AsRawFd","","A trait to extract the raw unix file descriptor from an …",null,null],[10,"as_raw_fd","","Extracts the raw file descriptor.",49,[[],["rawfd",6]]],[8,"FromRawFd","","A trait to express the ability to construct an object …",null,null],[10,"from_raw_fd","","Constructs a new instance of <code>Self</code> from the given raw file …",50,[[["rawfd",6]]]],[8,"IntoRawFd","","A trait to express the ability to consume an object and …",null,null],[10,"into_raw_fd","","Consumes this object, returning the raw underlying file …",51,[[],["rawfd",6]]],[0,"net","std::os::unix","Unix-specific networking functionality",null,null],[3,"SocketAddr","std::os::unix::net","An address associated with a Unix socket.",null,null],[3,"SocketCred","","Unix credential.",null,null],[3,"ScmRights","","This control message contains file descriptors.",null,null],[3,"ScmCredentials","","This control message contains unix credentials.",null,null],[4,"AncillaryError","","The error type which is returned from parsing the type a …",null,null],[13,"Unknown","","",52,null],[12,"cmsg_level","std::os::unix::net::AncillaryError","",53,null],[12,"cmsg_type","","",53,null],[4,"AncillaryData","std::os::unix::net","This enum represent one control message of variable type.",null,null],[13,"ScmRights","","",54,null],[13,"ScmCredentials","","",54,null],[3,"Messages","","This struct is used to iterate through the control …",null,null],[3,"SocketAncillary","","A Unix socket Ancillary data struct.",null,null],[3,"UnixDatagram","","A Unix datagram socket.",null,null],[3,"UnixListener","","A structure representing a Unix domain socket server.",null,null],[3,"Incoming","","An iterator over incoming connections to a [<code>UnixListener</code>].",null,null],[3,"UCred","","Credentials for a UNIX process for credentials passing.",null,null],[12,"uid","","The UID part of the peer credential. This is the …",55,null],[12,"gid","","The GID part of the peer credential. This is the …",55,null],[12,"pid","","The PID part of the peer credential. This field is …",55,null],[3,"UnixStream","","A Unix stream socket.",null,null],[0,"process","std::os::unix","Unix-specific extensions to primitives in the <code>std::process</code>…",null,null],[8,"CommandExt","std::os::unix::process","Unix-specific extensions to the [<code>process::Command</code>] …",null,null],[10,"uid","","Sets the child process\'s user ID. This translates to a …",56,[[["u32",15]],["command",3]]],[10,"gid","","Similar to <code>uid</code>, but sets the group ID of the child …",56,[[["u32",15]],["command",3]]],[10,"groups","","Sets the supplementary group IDs for the calling process. …",56,[[],["command",3]]],[10,"pre_exec","","Schedules a closure to be run just before the <code>exec</code> …",56,[[],["command",3]]],[11,"before_exec","","Schedules a closure to be run just before the <code>exec</code> …",56,[[],["command",3]]],[10,"exec","","Performs all the required setup by this <code>Command</code>, followed …",56,[[],["error",3]]],[10,"arg0","","Set executable argument",56,[[],["command",3]]],[8,"ExitStatusExt","","Unix-specific extensions to [<code>process::ExitStatus</code>].",null,null],[10,"from_raw","","Creates a new <code>ExitStatus</code> from the raw underlying <code>i32</code> …",57,[[["i32",15]]]],[10,"signal","","If the process was terminated by a signal, returns that …",57,[[],[["option",4],["i32",15]]]],[10,"core_dumped","","If the process was terminated by a signal, says whether …",57,[[],["bool",15]]],[10,"stopped_signal","","If the process was stopped by a signal, returns that …",57,[[],[["option",4],["i32",15]]]],[10,"continued","","Whether the process was continued from a stopped status.",57,[[],["bool",15]]],[10,"into_raw","","Returns the underlying raw <code>wait</code> status.",57,[[],["i32",15]]],[5,"parent_id","","Returns the OS-assigned process identifier associated …",null,[[],["u32",15]]],[0,"raw","std::os::unix","Unix-specific primitives available on all unix platforms.",null,null],[6,"uid_t","std::os::unix::raw","",null,null],[6,"gid_t","","",null,null],[6,"pid_t","","",null,null],[6,"pthread_t","","",null,null],[6,"blkcnt_t","","",null,null],[6,"time_t","","",null,null],[6,"blksize_t","","",null,null],[6,"dev_t","","",null,null],[6,"ino_t","","",null,null],[6,"mode_t","","",null,null],[6,"nlink_t","","",null,null],[6,"off_t","","",null,null],[0,"thread","std::os::unix","Unix-specific extensions to primitives in the <code>std::thread</code> …",null,null],[6,"RawPthread","std::os::unix::thread","",null,null],[8,"JoinHandleExt","","Unix-specific extensions to [<code>JoinHandle</code>].",null,null],[10,"as_pthread_t","","Extracts the raw pthread_t without taking ownership",58,[[],["rawpthread",6]]],[10,"into_pthread_t","","Consumes the thread, returning the raw pthread_t",58,[[],["rawpthread",6]]],[0,"ucred","std::os::unix","Unix peer credentials.",null,null],[0,"impl_linux","std::os::unix::ucred","",null,null],[5,"peer_cred","std::os::unix::ucred::impl_linux","",null,[[["unixstream",3]],[["result",6],["ucred",3]]]],[3,"UCred","std::os::unix::ucred","Credentials for a UNIX process for credentials passing.",null,null],[12,"uid","","The UID part of the peer credential. This is the …",55,null],[12,"gid","","The GID part of the peer credential. This is the …",55,null],[12,"pid","","The PID part of the peer credential. This field is …",55,null],[5,"peer_cred","","",null,[[["unixstream",3]],[["result",6],["ucred",3]]]],[0,"prelude","std::os::unix","A prelude for conveniently writing platform-specific code.",null,null],[0,"windows","std::os","Platform-specific extensions to <code>std</code> for Windows.",null,null],[0,"ffi","std::os::windows","Windows-specific extensions to the primitives in the …",null,null],[3,"EncodeWide","std::os::windows::ffi","Generates a wide character sequence for potentially …",null,null],[8,"OsStringExt","","Windows-specific extensions to [<code>OsString</code>].",null,null],[10,"from_wide","","Creates an <code>OsString</code> from a potentially ill-formed UTF-16 …",59,[[]]],[8,"OsStrExt","","Windows-specific extensions to [<code>OsStr</code>].",null,null],[10,"encode_wide","","Re-encodes an <code>OsStr</code> as a wide character sequence, i.e., …",60,[[],["encodewide",3]]],[0,"fs","std::os::windows","Windows-specific extensions for the primitives in the …",null,null],[8,"FileExt","std::os::windows::fs","Windows-specific extensions to [<code>fs::File</code>].",null,null],[10,"seek_read","","Seeks to a given position and reads a number of bytes.",61,[[["u64",15]],[["result",6],["usize",15]]]],[10,"seek_write","","Seeks to a given position and writes a number of bytes.",61,[[["u64",15]],[["result",6],["usize",15]]]],[8,"OpenOptionsExt","","Windows-specific extensions to [<code>fs::OpenOptions</code>].",null,null],[10,"access_mode","","Overrides the <code>dwDesiredAccess</code> argument to the call to …",62,[[["u32",15]]]],[10,"share_mode","","Overrides the <code>dwShareMode</code> argument to the call to …",62,[[["u32",15]]]],[10,"custom_flags","","Sets extra flags for the <code>dwFileFlags</code> argument to the call …",62,[[["u32",15]]]],[10,"attributes","","Sets the <code>dwFileAttributes</code> argument to the call to …",62,[[["u32",15]]]],[10,"security_qos_flags","","Sets the <code>dwSecurityQosFlags</code> argument to the call to …",62,[[["u32",15]]]],[8,"MetadataExt","","Windows-specific extensions to [<code>fs::Metadata</code>].",null,null],[10,"file_attributes","","Returns the value of the <code>dwFileAttributes</code> field of this …",63,[[],["u32",15]]],[10,"creation_time","","Returns the value of the <code>ftCreationTime</code> field of this …",63,[[],["u64",15]]],[10,"last_access_time","","Returns the value of the <code>ftLastAccessTime</code> field of this …",63,[[],["u64",15]]],[10,"last_write_time","","Returns the value of the <code>ftLastWriteTime</code> field of this …",63,[[],["u64",15]]],[10,"file_size","","Returns the value of the <code>nFileSize{High,Low}</code> fields of …",63,[[],["u64",15]]],[10,"volume_serial_number","","Returns the value of the <code>dwVolumeSerialNumber</code> field of …",63,[[],[["option",4],["u32",15]]]],[10,"number_of_links","","Returns the value of the <code>nNumberOfLinks</code> field of this …",63,[[],[["option",4],["u32",15]]]],[10,"file_index","","Returns the value of the <code>nFileIndex{Low,High}</code> fields of …",63,[[],[["u64",15],["option",4]]]],[8,"FileTypeExt","","Windows-specific extensions to [<code>fs::FileType</code>].",null,null],[10,"is_symlink_dir","","Returns <code>true</code> if this file type is a symbolic link that is …",64,[[],["bool",15]]],[10,"is_symlink_file","","Returns <code>true</code> if this file type is a symbolic link that is …",64,[[],["bool",15]]],[5,"symlink_file","","Creates a new file symbolic link on the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[5,"symlink_dir","","Creates a new directory symlink on the filesystem.",null,[[["asref",8],["path",3]],["result",6]]],[0,"io","std::os::windows","Windows-specific extensions to general I/O primitives.",null,null],[6,"RawHandle","std::os::windows::io","Raw HANDLEs.",null,null],[6,"RawSocket","","Raw SOCKETs.",null,null],[8,"AsRawHandle","","Extracts raw handles.",null,null],[10,"as_raw_handle","","Extracts the raw handle, without taking any ownership.",65,[[],["rawhandle",6]]],[8,"FromRawHandle","","Construct I/O objects from raw handles.",null,null],[10,"from_raw_handle","","Constructs a new I/O object from the specified raw handle.",66,[[["rawhandle",6]]]],[8,"IntoRawHandle","","A trait to express the ability to consume an object and …",null,null],[10,"into_raw_handle","","Consumes this object, returning the raw underlying handle.",67,[[],["rawhandle",6]]],[8,"AsRawSocket","","Extracts raw sockets.",null,null],[10,"as_raw_socket","","Extracts the underlying raw socket from this object.",68,[[],["rawsocket",6]]],[8,"FromRawSocket","","Creates I/O objects from raw sockets.",null,null],[10,"from_raw_socket","","Creates a new I/O object from the given raw socket.",69,[[["rawsocket",6]]]],[8,"IntoRawSocket","","A trait to express the ability to consume an object and …",null,null],[10,"into_raw_socket","","Consumes this object, returning the raw underlying socket.",70,[[],["rawsocket",6]]],[0,"process","std::os::windows","Extensions to <code>std::process</code> for Windows.",null,null],[8,"ExitStatusExt","std::os::windows::process","Windows-specific extensions to [<code>process::ExitStatus</code>].",null,null],[10,"from_raw","","Creates a new <code>ExitStatus</code> from the raw underlying <code>u32</code> …",71,[[["u32",15]]]],[8,"CommandExt","","Windows-specific extensions to the [<code>process::Command</code>] …",null,null],[10,"creation_flags","","Sets the process creation flags to be passed to …",72,[[["u32",15]],["command",3]]],[0,"raw","std::os::windows","Windows-specific primitives.",null,null],[6,"HANDLE","std::os::windows::raw","",null,null],[6,"SOCKET","","",null,null],[0,"thread","std::os::windows","Extensions to <code>std::thread</code> for Windows.",null,null],[0,"prelude","","A prelude for conveniently writing platform-specific code.",null,null],[0,"linux","std::os","Linux-specific definitions.",null,null],[0,"fs","std::os::linux","Linux-specific extensions to primitives in the <code>std::fs</code> …",null,null],[8,"MetadataExt","std::os::linux::fs","OS-specific extensions to <code>fs::Metadata</code>.",null,null],[10,"as_raw_stat","","Gain a reference to the underlying <code>stat</code> structure which …",73,[[],["stat",3]]],[10,"st_dev","","Returns the device ID on which this file resides.",73,[[],["u64",15]]],[10,"st_ino","","Returns the inode number.",73,[[],["u64",15]]],[10,"st_mode","","Returns the file type and mode.",73,[[],["u32",15]]],[10,"st_nlink","","Returns the number of hard links to file.",73,[[],["u64",15]]],[10,"st_uid","","Returns the user ID of the file owner.",73,[[],["u32",15]]],[10,"st_gid","","Returns the group ID of the file owner.",73,[[],["u32",15]]],[10,"st_rdev","","Returns the device ID that this file represents. Only …",73,[[],["u64",15]]],[10,"st_size","","Returns the size of the file (if it is a regular file or …",73,[[],["u64",15]]],[10,"st_atime","","Returns the last access time of the file, in seconds …",73,[[],["i64",15]]],[10,"st_atime_nsec","","Returns the last access time of the file, in nanoseconds …",73,[[],["i64",15]]],[10,"st_mtime","","Returns the last modification time of the file, in …",73,[[],["i64",15]]],[10,"st_mtime_nsec","","Returns the last modification time of the file, in …",73,[[],["i64",15]]],[10,"st_ctime","","Returns the last status change time of the file, in …",73,[[],["i64",15]]],[10,"st_ctime_nsec","","Returns the last status change time of the file, in …",73,[[],["i64",15]]],[10,"st_blksize","","Returns the \\\"preferred\\\" block size for efficient …",73,[[],["u64",15]]],[10,"st_blocks","","Returns the number of blocks allocated to the file, …",73,[[],["u64",15]]],[0,"raw","std::os::linux","Linux-specific raw type definitions.",null,null],[6,"dev_t","std::os::linux::raw","",null,null],[6,"mode_t","","",null,null],[6,"pthread_t","","",null,null],[6,"blkcnt_t","","",null,null],[6,"blksize_t","","",null,null],[6,"ino_t","","",null,null],[6,"nlink_t","","",null,null],[6,"off_t","","",null,null],[3,"stat","","",null,null],[12,"st_dev","","",74,null],[12,"st_ino","","",74,null],[12,"st_nlink","","",74,null],[12,"st_mode","","",74,null],[12,"st_uid","","",74,null],[12,"st_gid","","",74,null],[12,"__pad0","","",74,null],[12,"st_rdev","","",74,null],[12,"st_size","","",74,null],[12,"st_blksize","","",74,null],[12,"st_blocks","","",74,null],[12,"st_atime","","",74,null],[12,"st_atime_nsec","","",74,null],[12,"st_mtime","","",74,null],[12,"st_mtime_nsec","","",74,null],[12,"st_ctime","","",74,null],[12,"st_ctime_nsec","","",74,null],[12,"__unused","","",74,null],[6,"time_t","","",null,null],[0,"raw","std::os","Platform-specific types, as defined by C.",null,null],[6,"c_char","std::os::raw","Equivalent to C\'s <code>char</code> type.",null,null],[6,"c_schar","","Equivalent to C\'s <code>signed char</code> type.",null,null],[6,"c_uchar","","Equivalent to C\'s <code>unsigned char</code> type.",null,null],[6,"c_short","","Equivalent to C\'s <code>signed short</code> (<code>short</code>) type.",null,null],[6,"c_ushort","","Equivalent to C\'s <code>unsigned short</code> type.",null,null],[6,"c_int","","Equivalent to C\'s <code>signed int</code> (<code>int</code>) type.",null,null],[6,"c_uint","","Equivalent to C\'s <code>unsigned int</code> type.",null,null],[6,"c_long","","Equivalent to C\'s <code>signed long</code> (<code>long</code>) type.",null,null],[6,"c_ulong","","Equivalent to C\'s <code>unsigned long</code> type.",null,null],[6,"c_longlong","","Equivalent to C\'s <code>signed long long</code> (<code>long long</code>) type.",null,null],[6,"c_ulonglong","","Equivalent to C\'s <code>unsigned long long</code> type.",null,null],[6,"c_float","","Equivalent to C\'s <code>float</code> type.",null,null],[6,"c_double","","Equivalent to C\'s <code>double</code> type.",null,null],[0,"panic","std","Panic support in the standard library.",null,null],[5,"set_hook","std::panic","Registers a custom panic hook, replacing any that was …",null,[[["box",3],["fn",8]]]],[5,"take_hook","","Unregisters the current panic hook, returning it.",null,[[],[["box",3],["fn",8]]]],[3,"Location","","A struct containing information about the location of a …",null,null],[3,"PanicInfo","","A struct providing information about a panic.",null,null],[5,"panic_any","","Panic the current thread with the given message as the …",null,[[["any",8],["send",8]]]],[8,"UnwindSafe","","A marker trait which represents \\\"panic safe\\\" types in …",null,null],[8,"RefUnwindSafe","","A marker trait representing types where a shared …",null,null],[3,"AssertUnwindSafe","","A simple wrapper around a type to assert that it is …",null,null],[12,"0","","",75,null],[5,"catch_unwind","","Invokes a closure, capturing the cause of an unwinding …",null,[[["unwindsafe",8],["fnonce",8]],["result",6]]],[5,"resume_unwind","","Triggers a panic without invoking the panic hook.",null,[[["box",3],["any",8]]]],[0,"path","std","Cross-platform path manipulation.",null,null],[4,"Prefix","std::path","Windows path prefixes, e.g., <code>C:</code> or <code>\\\\\\\\server\\\\share</code>.",null,null],[13,"Verbatim","","Verbatim prefix, e.g., <code>\\\\\\\\?\\\\cat_pics</code>.",76,null],[13,"VerbatimUNC","","Verbatim prefix using Windows\' <em><strong>U</strong>niform <strong>N</strong>aming <strong>C</strong>onvention</em>, …",76,null],[13,"VerbatimDisk","","Verbatim disk prefix, e.g., <code>\\\\\\\\?\\\\C:</code>.",76,null],[13,"DeviceNS","","Device namespace prefix, e.g., <code>\\\\\\\\.\\\\COM42</code>.",76,null],[13,"UNC","","Prefix using Windows\' <em><strong>U</strong>niform <strong>N</strong>aming <strong>C</strong>onvention</em>, e.g. …",76,null],[13,"Disk","","Prefix <code>C:</code> for the given disk drive.",76,null],[11,"is_verbatim","","Determines if the prefix is verbatim, i.e., begins with …",76,[[],["bool",15]]],[5,"is_separator","","Determines whether the character is one of the permitted …",null,[[["char",15]],["bool",15]]],[17,"MAIN_SEPARATOR","","The primary separator of path components for the current …",null,null],[3,"PrefixComponent","","A structure wrapping a Windows path prefix as well as its …",null,null],[11,"kind","","Returns the parsed prefix data.",77,[[],["prefix",4]]],[11,"as_os_str","","Returns the raw [<code>OsStr</code>] slice for this prefix.",77,[[],["osstr",3]]],[4,"Component","","A single component of a path.",null,null],[13,"Prefix","","A Windows path prefix, e.g., <code>C:</code> or <code>\\\\\\\\server\\\\share</code>.",78,null],[13,"RootDir","","The root directory component, appears after any prefix …",78,null],[13,"CurDir","","A reference to the current directory, i.e., <code>.</code>.",78,null],[13,"ParentDir","","A reference to the parent directory, i.e., <code>..</code>.",78,null],[13,"Normal","","A normal component, e.g., <code>a</code> and <code>b</code> in <code>a/b</code>.",78,null],[11,"as_os_str","","Extracts the underlying [<code>OsStr</code>] slice.",78,[[],["osstr",3]]],[3,"Components","","An iterator over the [<code>Component</code>]s of a [<code>Path</code>].",null,null],[3,"Iter","","An iterator over the [<code>Component</code>]s of a [<code>Path</code>], as [<code>OsStr</code>] …",null,null],[11,"as_path","","Extracts a slice corresponding to the portion of the path …",79,[[],["path",3]]],[11,"as_path","","Extracts a slice corresponding to the portion of the path …",80,[[],["path",3]]],[3,"Ancestors","","An iterator over [<code>Path</code>] and its ancestors.",null,null],[3,"PathBuf","","An owned, mutable path (akin to [<code>String</code>]).",null,null],[11,"new","","Allocates an empty <code>PathBuf</code>.",81,[[],["pathbuf",3]]],[11,"with_capacity","","Creates a new <code>PathBuf</code> with a given capacity used to …",81,[[["usize",15]],["pathbuf",3]]],[11,"as_path","","Coerces to a [<code>Path</code>] slice.",81,[[],["path",3]]],[11,"push","","Extends <code>self</code> with <code>path</code>.",81,[[["asref",8],["path",3]]]],[11,"pop","","Truncates <code>self</code> to <code>self.parent</code>.",81,[[],["bool",15]]],[11,"set_file_name","","Updates <code>self.file_name</code> to <code>file_name</code>.",81,[[["asref",8],["osstr",3]]]],[11,"set_extension","","Updates <code>self.extension</code> to <code>extension</code>.",81,[[["asref",8],["osstr",3]],["bool",15]]],[11,"into_os_string","","Consumes the <code>PathBuf</code>, yielding its internal [<code>OsString</code>] …",81,[[],["osstring",3]]],[11,"into_boxed_path","","Converts this <code>PathBuf</code> into a boxed [<code>Path</code>].",81,[[],[["path",3],["box",3]]]],[11,"capacity","","Invokes <code>capacity</code> on the underlying instance of [<code>OsString</code>].",81,[[],["usize",15]]],[11,"clear","","Invokes <code>clear</code> on the underlying instance of [<code>OsString</code>].",81,[[]]],[11,"reserve","","Invokes <code>reserve</code> on the underlying instance of [<code>OsString</code>].",81,[[["usize",15]]]],[11,"reserve_exact","","Invokes <code>reserve_exact</code> on the underlying instance of […",81,[[["usize",15]]]],[11,"shrink_to_fit","","Invokes <code>shrink_to_fit</code> on the underlying instance of […",81,[[]]],[11,"shrink_to","","Invokes <code>shrink_to</code> on the underlying instance of [<code>OsString</code>]…",81,[[["usize",15]]]],[3,"Path","","A slice of a path (akin to [<code>str</code>]).",null,null],[3,"StripPrefixError","","An error returned from [<code>Path::strip_prefix</code>] if the prefix …",null,null],[11,"new","","Directly wraps a string slice as a <code>Path</code> slice.",82,[[],["path",3]]],[11,"as_os_str","","Yields the underlying [<code>OsStr</code>] slice.",82,[[],["osstr",3]]],[11,"to_str","","Yields a <code>&str</code> slice if the <code>Path</code> is valid unicode.",82,[[],[["option",4],["str",15]]]],[11,"to_string_lossy","","Converts a <code>Path</code> to a [<code>Cow<str></code>].",82,[[],[["cow",4],["str",15]]]],[11,"to_path_buf","","Converts a <code>Path</code> to an owned [<code>PathBuf</code>].",82,[[],["pathbuf",3]]],[11,"is_absolute","","Returns <code>true</code> if the <code>Path</code> is absolute, i.e., if it is …",82,[[],["bool",15]]],[11,"is_relative","","Returns <code>true</code> if the <code>Path</code> is relative, i.e., not absolute.",82,[[],["bool",15]]],[11,"has_root","","Returns <code>true</code> if the <code>Path</code> has a root.",82,[[],["bool",15]]],[11,"parent","","Returns the <code>Path</code> without its final component, if there is …",82,[[],[["option",4],["path",3]]]],[11,"ancestors","","Produces an iterator over <code>Path</code> and its ancestors.",82,[[],["ancestors",3]]],[11,"file_name","","Returns the final component of the <code>Path</code>, if there is one.",82,[[],[["option",4],["osstr",3]]]],[11,"strip_prefix","","Returns a path that, when joined onto <code>base</code>, yields <code>self</code>.",82,[[],[["path",3],["result",4],["stripprefixerror",3]]]],[11,"starts_with","","Determines whether <code>base</code> is a prefix of <code>self</code>.",82,[[["asref",8],["path",3]],["bool",15]]],[11,"ends_with","","Determines whether <code>child</code> is a suffix of <code>self</code>.",82,[[["asref",8],["path",3]],["bool",15]]],[11,"file_stem","","Extracts the stem (non-extension) portion of …",82,[[],[["option",4],["osstr",3]]]],[11,"extension","","Extracts the extension of <code>self.file_name</code>, if possible.",82,[[],[["option",4],["osstr",3]]]],[11,"join","","Creates an owned [<code>PathBuf</code>] with <code>path</code> adjoined to <code>self</code>.",82,[[["asref",8],["path",3]],["pathbuf",3]]],[11,"with_file_name","","Creates an owned [<code>PathBuf</code>] like <code>self</code> but with the given …",82,[[["asref",8],["osstr",3]],["pathbuf",3]]],[11,"with_extension","","Creates an owned [<code>PathBuf</code>] like <code>self</code> but with the given …",82,[[["asref",8],["osstr",3]],["pathbuf",3]]],[11,"components","","Produces an iterator over the [<code>Component</code>]s of the path.",82,[[],["components",3]]],[11,"iter","","Produces an iterator over the path\'s components viewed as …",82,[[],["iter",3]]],[11,"display","","Returns an object that implements <code>Display</code> for safely …",82,[[],["display",3]]],[11,"metadata","","Queries the file system to get information about a file, …",82,[[],[["metadata",3],["result",6]]]],[11,"symlink_metadata","","Queries the metadata about a file without following …",82,[[],[["metadata",3],["result",6]]]],[11,"canonicalize","","Returns the canonical, absolute form of the path with all …",82,[[],[["pathbuf",3],["result",6]]]],[11,"read_link","","Reads a symbolic link, returning the file that the link …",82,[[],[["pathbuf",3],["result",6]]]],[11,"read_dir","","Returns an iterator over the entries within a directory.",82,[[],[["readdir",3],["result",6]]]],[11,"exists","","Returns <code>true</code> if the path points at an existing entity.",82,[[],["bool",15]]],[11,"is_file","","Returns <code>true</code> if the path exists on disk and is pointing …",82,[[],["bool",15]]],[11,"is_dir","","Returns <code>true</code> if the path exists on disk and is pointing …",82,[[],["bool",15]]],[11,"into_path_buf","","Converts a <code>Box<Path></code> into a [<code>PathBuf</code>] without copying or …",82,[[["path",3],["box",3]],["pathbuf",3]]],[3,"Display","","Helper struct for safely printing paths with <code>format!</code> and …",null,null],[0,"process","std","A module for working with processes.",null,null],[3,"CommandEnvs","std::process","An iterator over the command environment variables.",null,null],[3,"Child","","Representation of a running or exited child process.",null,null],[12,"stdin","","The handle for writing to the child\'s standard input …",83,null],[12,"stdout","","The handle for reading from the child\'s standard output …",83,null],[12,"stderr","","The handle for reading from the child\'s standard error …",83,null],[3,"ChildStdin","","A handle to a child process\'s standard input (stdin).",null,null],[3,"ChildStdout","","A handle to a child process\'s standard output (stdout).",null,null],[3,"ChildStderr","","A handle to a child process\'s stderr.",null,null],[3,"Command","","A process builder, providing fine-grained control over …",null,null],[11,"new","","Constructs a new <code>Command</code> for launching the program at …",84,[[["asref",8],["osstr",3]],["command",3]]],[11,"arg","","Adds an argument to pass to the program.",84,[[["asref",8],["osstr",3]],["command",3]]],[11,"args","","Adds multiple arguments to pass to the program.",84,[[],["command",3]]],[11,"env","","Inserts or updates an environment variable mapping.",84,[[],["command",3]]],[11,"envs","","Adds or updates multiple environment variable mappings.",84,[[],["command",3]]],[11,"env_remove","","Removes an environment variable mapping.",84,[[["asref",8],["osstr",3]],["command",3]]],[11,"env_clear","","Clears the entire environment map for the child process.",84,[[],["command",3]]],[11,"current_dir","","Sets the working directory for the child process.",84,[[["asref",8],["path",3]],["command",3]]],[11,"stdin","","Configuration for the child process\'s standard input …",84,[[["into",8],["stdio",3]],["command",3]]],[11,"stdout","","Configuration for the child process\'s standard output …",84,[[["into",8],["stdio",3]],["command",3]]],[11,"stderr","","Configuration for the child process\'s standard error …",84,[[["into",8],["stdio",3]],["command",3]]],[11,"spawn","","Executes the command as a child process, returning a …",84,[[],[["child",3],["result",6]]]],[11,"output","","Executes the command as a child process, waiting for it …",84,[[],[["result",6],["output",3]]]],[11,"status","","Executes a command as a child process, waiting for it to …",84,[[],[["exitstatus",3],["result",6]]]],[11,"get_program","","Returns the path to the program that was given to […",84,[[],["osstr",3]]],[11,"get_args","","Returns an iterator of the arguments that will be passed …",84,[[],["commandargs",3]]],[11,"get_envs","","Returns an iterator of the environment variables that …",84,[[],["commandenvs",3]]],[11,"get_current_dir","","Returns the working directory for the child process.",84,[[],[["option",4],["path",3]]]],[3,"CommandArgs","","An iterator over the command arguments.",null,null],[3,"Output","","The output of a finished process.",null,null],[12,"status","","The status (exit code) of the process.",85,null],[12,"stdout","","The data that the process wrote to stdout.",85,null],[12,"stderr","","The data that the process wrote to stderr.",85,null],[3,"Stdio","","Describes what to do with a standard I/O stream for a …",null,null],[11,"piped","","A new pipe should be arranged to connect the parent and …",86,[[],["stdio",3]]],[11,"inherit","","The child inherits from the corresponding parent …",86,[[],["stdio",3]]],[11,"null","","This stream will be ignored. This is the equivalent of …",86,[[],["stdio",3]]],[3,"ExitStatus","","Describes the result of a process after it has terminated.",null,null],[11,"success","","Was termination successful? Signal termination is not …",87,[[],["bool",15]]],[11,"code","","Returns the exit code of the process, if any.",87,[[],[["option",4],["i32",15]]]],[3,"ExitCode","","This type represents the status code a process can return …",null,null],[18,"SUCCESS","","The canonical ExitCode for successful termination on this …",88,null],[18,"FAILURE","","The canonical ExitCode for unsuccessful termination on …",88,null],[11,"kill","","Forces the child process to exit. If the child has …",83,[[],["result",6]]],[11,"id","","Returns the OS-assigned process identifier associated …",83,[[],["u32",15]]],[11,"wait","","Waits for the child to exit completely, returning the …",83,[[],[["exitstatus",3],["result",6]]]],[11,"try_wait","","Attempts to collect the exit status of the child if it …",83,[[],[["option",4],["result",6]]]],[11,"wait_with_output","","Simultaneously waits for the child to exit and collect …",83,[[],[["result",6],["output",3]]]],[5,"exit","","Terminates the current process with the specified exit …",null,[[["i32",15]]]],[5,"abort","","Terminates the process in an abnormal fashion.",null,[[]]],[5,"id","","Returns the OS-assigned process identifier associated …",null,[[],["u32",15]]],[8,"Termination","","A trait for implementing arbitrary return types in the …",null,null],[10,"report","","Is called to get the representation of the value as …",89,[[],["i32",15]]],[0,"sync","std","Useful synchronization primitives.",null,null],[0,"mpsc","std::sync","Multi-producer, single-consumer FIFO queue communication …",null,null],[3,"Receiver","std::sync::mpsc","The receiving half of Rust\'s [<code>channel</code>] (or [<code>sync_channel</code>]…",null,null],[3,"Iter","","An iterator over messages on a [<code>Receiver</code>], created by <code>iter</code>…",null,null],[3,"TryIter","","An iterator that attempts to yield all pending values for …",null,null],[3,"IntoIter","","An owning iterator over messages on a [<code>Receiver</code>], created …",null,null],[3,"Sender","","The sending-half of Rust\'s asynchronous [<code>channel</code>] type. …",null,null],[3,"SyncSender","","The sending-half of Rust\'s synchronous [<code>sync_channel</code>] …",null,null],[3,"SendError","","An error returned from the [<code>Sender::send</code>] or […",null,null],[12,"0","","",90,null],[3,"RecvError","","An error returned from the <code>recv</code> function on a [<code>Receiver</code>].",null,null],[4,"TryRecvError","","This enumeration is the list of the possible reasons that …",null,null],[13,"Empty","","This <strong>channel</strong> is currently empty, but the <strong>Sender</strong>(s) have …",91,null],[13,"Disconnected","","The <strong>channel</strong>\'s sending half has become disconnected, and …",91,null],[4,"RecvTimeoutError","","This enumeration is the list of possible errors that made …",null,null],[13,"Timeout","","This <strong>channel</strong> is currently empty, but the <strong>Sender</strong>(s) have …",92,null],[13,"Disconnected","","The <strong>channel</strong>\'s sending half has become disconnected, and …",92,null],[4,"TrySendError","","This enumeration is the list of the possible error …",null,null],[13,"Full","","The data could not be sent on the [<code>sync_channel</code>] because …",93,null],[13,"Disconnected","","This [<code>sync_channel</code>]\'s receiving half has disconnected, so …",93,null],[5,"channel","","Creates a new asynchronous channel, returning the …",null,[[]]],[5,"sync_channel","","Creates a new synchronous, bounded channel. All data sent …",null,[[["usize",15]]]],[11,"send","","Attempts to send a value on this channel, returning it …",94,[[],[["result",4],["senderror",3]]]],[11,"send","","Sends a value on this synchronous channel.",95,[[],[["result",4],["senderror",3]]]],[11,"try_send","","Attempts to send a value on this channel without blocking.",95,[[],[["result",4],["trysenderror",4]]]],[11,"try_recv","","Attempts to return a pending value on this receiver …",96,[[],[["tryrecverror",4],["result",4]]]],[11,"recv","","Attempts to wait for a value on this receiver, returning …",96,[[],[["result",4],["recverror",3]]]],[11,"recv_timeout","","Attempts to wait for a value on this receiver, returning …",96,[[["duration",3]],[["result",4],["recvtimeouterror",4]]]],[11,"recv_deadline","","Attempts to wait for a value on this receiver, returning …",96,[[["instant",3]],[["result",4],["recvtimeouterror",4]]]],[11,"iter","","Returns an iterator that will block waiting for messages, …",96,[[],["iter",3]]],[11,"try_iter","","Returns an iterator that will attempt to yield all …",96,[[],["tryiter",3]]],[3,"Arc","std::sync","A thread-safe reference-counting pointer. \'Arc\' stands …",null,null],[3,"Weak","","<code>Weak</code> is a version of [<code>Arc</code>] that holds a non-owning …",null,null],[0,"atomic","","Atomic types",null,null],[3,"AtomicBool","std::sync::atomic","A boolean type which can be safely shared between threads.",null,null],[3,"AtomicPtr","","A raw pointer type which can be safely shared between …",null,null],[4,"Ordering","","Atomic memory orderings",null,null],[13,"Relaxed","","No ordering constraints, only atomic operations.",97,null],[13,"Release","","When coupled with a store, all previous operations become …",97,null],[13,"Acquire","","When coupled with a load, if the loaded value was written …",97,null],[13,"AcqRel","","Has the effects of both [<code>Acquire</code>] and [<code>Release</code>] together: …",97,null],[13,"SeqCst","","Like [<code>Acquire</code>]/[<code>Release</code>]/[<code>AcqRel</code>] (for load, store, and …",97,null],[17,"ATOMIC_BOOL_INIT","","An [<code>AtomicBool</code>] initialized to <code>false</code>.",null,null],[3,"AtomicI8","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I8_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicU8","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U8_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicI16","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I16_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicU16","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U16_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicI32","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I32_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicU32","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U32_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicI64","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_I64_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicU64","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_U64_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicIsize","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_ISIZE_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[3,"AtomicUsize","","An integer type which can be safely shared between …",null,null],[17,"ATOMIC_USIZE_INIT","","An atomic integer initialized to <code>0</code>.",null,null],[5,"fence","","An atomic fence.",null,[[["ordering",4]]]],[5,"compiler_fence","","A compiler memory fence.",null,[[["ordering",4]]]],[5,"spin_loop_hint","","Signals the processor that it is inside a busy-wait …",null,[[]]],[3,"Barrier","std::sync","A barrier enables multiple threads to synchronize the …",null,null],[3,"BarrierWaitResult","","A <code>BarrierWaitResult</code> is returned by [<code>Barrier::wait()</code>] when …",null,null],[3,"Condvar","","A Condition Variable",null,null],[3,"WaitTimeoutResult","","A type indicating whether a timed wait on a condition …",null,null],[3,"Mutex","","A mutual exclusion primitive useful for protecting shared …",null,null],[3,"MutexGuard","","An RAII implementation of a \\\"scoped lock\\\" of a mutex. …",null,null],[3,"Once","","A synchronization primitive which can be used to run a …",null,null],[3,"OnceState","","State yielded to [<code>Once::call_once_force()</code>]’s closure …",null,null],[17,"ONCE_INIT","","Initialization value for static [<code>Once</code>] values.",null,null],[3,"RwLock","","A reader-writer lock",null,null],[3,"RwLockReadGuard","","RAII structure used to release the shared read access of …",null,null],[3,"RwLockWriteGuard","","RAII structure used to release the exclusive write access …",null,null],[6,"LockResult","","A type alias for the result of a lock method which can be …",null,null],[3,"PoisonError","","A type of error which can be returned whenever a lock is …",null,null],[4,"TryLockError","","An enumeration of possible errors associated with a […",null,null],[13,"Poisoned","","The lock could not be acquired because another thread …",98,null],[13,"WouldBlock","","The lock could not be acquired at this time because the …",98,null],[6,"TryLockResult","","A type alias for the result of a nonblocking locking …",null,null],[0,"time","std","Temporal quantification.",null,null],[3,"Duration","std::time","A <code>Duration</code> type to represent a span of time, typically …",null,null],[3,"Instant","","A measurement of a monotonically nondecreasing clock. …",null,null],[3,"SystemTime","","A measurement of the system clock, useful for talking to …",null,null],[3,"SystemTimeError","","An error returned from the <code>duration_since</code> and <code>elapsed</code> …",null,null],[11,"now","","Returns an instant corresponding to \\\"now\\\".",99,[[],["instant",3]]],[11,"duration_since","","Returns the amount of time elapsed from another instant …",99,[[["instant",3]],["duration",3]]],[11,"checked_duration_since","","Returns the amount of time elapsed from another instant …",99,[[["instant",3]],[["option",4],["duration",3]]]],[11,"saturating_duration_since","","Returns the amount of time elapsed from another instant …",99,[[["instant",3]],["duration",3]]],[11,"elapsed","","Returns the amount of time elapsed since this instant was …",99,[[],["duration",3]]],[11,"checked_add","","Returns <code>Some(t)</code> where <code>t</code> is the time <code>self + duration</code> if <code>t</code> …",99,[[["duration",3]],[["instant",3],["option",4]]]],[11,"checked_sub","","Returns <code>Some(t)</code> where <code>t</code> is the time <code>self - duration</code> if <code>t</code> …",99,[[["duration",3]],[["instant",3],["option",4]]]],[18,"UNIX_EPOCH","","An anchor in time which can be used to create new …",100,null],[11,"now","","Returns the system time corresponding to \\\"now\\\".",100,[[],["systemtime",3]]],[11,"duration_since","","Returns the amount of time elapsed from an earlier point …",100,[[["systemtime",3]],[["systemtimeerror",3],["result",4],["duration",3]]]],[11,"elapsed","","Returns the difference between the clock time when this …",100,[[],[["systemtimeerror",3],["result",4],["duration",3]]]],[11,"checked_add","","Returns <code>Some(t)</code> where <code>t</code> is the time <code>self + duration</code> if <code>t</code> …",100,[[["duration",3]],[["option",4],["systemtime",3]]]],[11,"checked_sub","","Returns <code>Some(t)</code> where <code>t</code> is the time <code>self - duration</code> if <code>t</code> …",100,[[["duration",3]],[["option",4],["systemtime",3]]]],[17,"UNIX_EPOCH","","An anchor in time which can be used to create new …",null,null],[11,"duration","","Returns the positive duration which represents how far …",101,[[],["duration",3]]],[0,"lazy","std","Lazy values and one-time initialization of static data.",null,null],[3,"OnceCell","std::lazy","A cell which can be written to only once.",null,null],[3,"Lazy","","A value which is initialized on the first access.",null,null],[3,"SyncOnceCell","","A synchronization primitive which can be written to only …",null,null],[11,"new","","Creates a new empty cell.",102,[[],["synconcecell",3]]],[11,"get","","Gets the reference to the underlying value.",102,[[],["option",4]]],[11,"get_mut","","Gets the mutable reference to the underlying value.",102,[[],["option",4]]],[11,"set","","Sets the contents of this cell to <code>value</code>.",102,[[],["result",4]]],[11,"get_or_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",102,[[]]],[11,"get_or_try_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",102,[[],["result",4]]],[11,"into_inner","","Consumes the <code>SyncOnceCell</code>, returning the wrapped value. …",102,[[],["option",4]]],[11,"take","","Takes the value out of this <code>SyncOnceCell</code>, moving it back …",102,[[],["option",4]]],[3,"SyncLazy","","A value which is initialized on the first access.",null,null],[11,"new","","Creates a new lazy value with the given initializing …",103,[[],["synclazy",3]]],[11,"force","","Forces the evaluation of this lazy value and returns a …",103,[[["synclazy",3]]]],[0,"task","std","Types and Traits for working with asynchronous tasks.",null,null],[4,"Poll","std::task","Indicates whether a value is available or if the current …",null,null],[13,"Ready","","Represents that a value is immediately ready.",104,null],[13,"Pending","","Represents that a value is not ready yet.",104,null],[3,"Context","","The <code>Context</code> of an asynchronous task.",null,null],[3,"RawWaker","","A <code>RawWaker</code> allows the implementor of a task executor to …",null,null],[3,"RawWakerVTable","","A virtual function pointer table (vtable) that specifies …",null,null],[3,"Waker","","A <code>Waker</code> is a handle for waking up a task by notifying its …",null,null],[14,"ready","","Extracts the successful type of a <code>Poll<T></code>.",null,null],[8,"Wake","","The implementation of waking a task on an executor.",null,null],[10,"wake","","Wake this task.",105,[[["arc",3]]]],[11,"wake_by_ref","","Wake this task without consuming the waker.",105,[[["arc",3]]]],[11,"new","std::sync","Creates a <code>PoisonError</code>.",106,[[],["poisonerror",3]]],[11,"into_inner","","Consumes this error indicating that a lock is poisoned, …",106,[[]]],[11,"get_ref","","Reaches into this error indicating that a lock is …",106,[[]]],[11,"get_mut","","Reaches into this error indicating that a lock is …",106,[[]]],[11,"read_exact_at","std::os::unix::fs","Reads the exact number of byte required to fill <code>buf</code> from …",42,[[["u64",15]],["result",6]]],[11,"write_all_at","","Attempts to write an entire buffer starting from a given …",42,[[["u64",15]],["result",6]]],[11,"is_unnamed","std::os::unix::net","Returns <code>true</code> if the address is unnamed.",107,[[],["bool",15]]],[11,"as_pathname","","Returns the contents of this address if it is a <code>pathname</code> …",107,[[],[["option",4],["path",3]]]],[11,"new","","Create a Unix credential struct.",108,[[],["socketcred",3]]],[11,"set_pid","","Set the PID.",108,[[["pid_t",6]]]],[11,"get_pid","","Get the current PID.",108,[[],["pid_t",6]]],[11,"set_uid","","Set the UID.",108,[[["uid_t",6]]]],[11,"get_uid","","Get the current UID.",108,[[],["uid_t",6]]],[11,"set_gid","","Set the GID.",108,[[["gid_t",6]]]],[11,"get_gid","","Get the current GID.",108,[[],["gid_t",6]]],[11,"new","","Create an ancillary data with the given buffer.",109,[[]]],[11,"capacity","","Returns the capacity of the buffer.",109,[[],["usize",15]]],[11,"len","","Returns the number of used bytes.",109,[[],["usize",15]]],[11,"messages","","Returns the iterator of the control messages.",109,[[],["messages",3]]],[11,"truncated","","Is <code>true</code> if during a recv operation the ancillary was …",109,[[],["bool",15]]],[11,"add_fds","","Add file descriptors to the ancillary data.",109,[[],["bool",15]]],[11,"add_creds","","Add credentials to the ancillary data.",109,[[],["bool",15]]],[11,"clear","","Clears the ancillary data, removing all values.",109,[[]]],[11,"bind","","Creates a Unix datagram socket bound to the given path.",110,[[["asref",8],["path",3]],[["result",6],["unixdatagram",3]]]],[11,"unbound","","Creates a Unix Datagram socket which is not bound to any …",110,[[],[["result",6],["unixdatagram",3]]]],[11,"pair","","Creates an unnamed pair of connected sockets.",110,[[],["result",6]]],[11,"connect","","Connects the socket to the specified address.",110,[[["asref",8],["path",3]],["result",6]]],[11,"try_clone","","Creates a new independently owned handle to the …",110,[[],[["result",6],["unixdatagram",3]]]],[11,"local_addr","","Returns the address of this socket.",110,[[],[["socketaddr",3],["result",6]]]],[11,"peer_addr","","Returns the address of this socket\'s peer.",110,[[],[["socketaddr",3],["result",6]]]],[11,"recv_from","","Receives data from the socket.",110,[[],["result",6]]],[11,"recv","","Receives data from the socket.",110,[[],[["result",6],["usize",15]]]],[11,"recv_vectored_with_ancillary_from","","Receives data and ancillary data from socket.",110,[[["socketancillary",3]],["result",6]]],[11,"recv_vectored_with_ancillary","","Receives data and ancillary data from socket.",110,[[["socketancillary",3]],["result",6]]],[11,"send_to","","Sends data on the socket to the specified address.",110,[[["asref",8],["path",3]],[["result",6],["usize",15]]]],[11,"send","","Sends data on the socket to the socket\'s peer.",110,[[],[["result",6],["usize",15]]]],[11,"send_vectored_with_ancillary_to","","Sends data and ancillary data on the socket to the …",110,[[["asref",8],["socketancillary",3],["path",3]],[["result",6],["usize",15]]]],[11,"send_vectored_with_ancillary","","Sends data and ancillary data on the socket.",110,[[["socketancillary",3]],[["result",6],["usize",15]]]],[11,"set_read_timeout","","Sets the read timeout for the socket.",110,[[["option",4],["duration",3]],["result",6]]],[11,"set_write_timeout","","Sets the write timeout for the socket.",110,[[["option",4],["duration",3]],["result",6]]],[11,"read_timeout","","Returns the read timeout of this socket.",110,[[],[["option",4],["result",6]]]],[11,"write_timeout","","Returns the write timeout of this socket.",110,[[],[["option",4],["result",6]]]],[11,"set_nonblocking","","Moves the socket into or out of nonblocking mode.",110,[[["bool",15]],["result",6]]],[11,"set_passcred","","Moves the socket to pass unix credentials as control …",110,[[["bool",15]],["result",6]]],[11,"passcred","","Get the current value of the socket for passing unix …",110,[[],[["result",6],["bool",15]]]],[11,"take_error","","Returns the value of the <code>SO_ERROR</code> option.",110,[[],[["option",4],["result",6]]]],[11,"shutdown","","Shut down the read, write, or both halves of this …",110,[[["shutdown",4]],["result",6]]],[11,"peek","","Receives data on the socket from the remote address to …",110,[[],[["result",6],["usize",15]]]],[11,"peek_from","","Receives a single datagram message on the socket, without …",110,[[],["result",6]]],[11,"bind","","Creates a new <code>UnixListener</code> bound to the specified socket.",111,[[["asref",8],["path",3]],[["result",6],["unixlistener",3]]]],[11,"accept","","Accepts a new incoming connection to this listener.",111,[[],["result",6]]],[11,"try_clone","","Creates a new independently owned handle to the …",111,[[],[["result",6],["unixlistener",3]]]],[11,"local_addr","","Returns the local socket address of this listener.",111,[[],[["socketaddr",3],["result",6]]]],[11,"set_nonblocking","","Moves the socket into or out of nonblocking mode.",111,[[["bool",15]],["result",6]]],[11,"take_error","","Returns the value of the <code>SO_ERROR</code> option.",111,[[],[["option",4],["result",6]]]],[11,"incoming","","Returns an iterator over incoming connections.",111,[[],["incoming",3]]],[11,"connect","","Connects to the socket named by <code>path</code>.",112,[[["asref",8],["path",3]],[["result",6],["unixstream",3]]]],[11,"pair","","Creates an unnamed pair of connected sockets.",112,[[],["result",6]]],[11,"try_clone","","Creates a new independently owned handle to the …",112,[[],[["result",6],["unixstream",3]]]],[11,"local_addr","","Returns the socket address of the local half of this …",112,[[],[["socketaddr",3],["result",6]]]],[11,"peer_addr","","Returns the socket address of the remote half of this …",112,[[],[["socketaddr",3],["result",6]]]],[11,"peer_cred","","Gets the peer credentials for this Unix domain socket.",112,[[],[["result",6],["ucred",3]]]],[11,"set_read_timeout","","Sets the read timeout for the socket.",112,[[["option",4],["duration",3]],["result",6]]],[11,"set_write_timeout","","Sets the write timeout for the socket.",112,[[["option",4],["duration",3]],["result",6]]],[11,"read_timeout","","Returns the read timeout of this socket.",112,[[],[["option",4],["result",6]]]],[11,"write_timeout","","Returns the write timeout of this socket.",112,[[],[["option",4],["result",6]]]],[11,"set_nonblocking","","Moves the socket into or out of nonblocking mode.",112,[[["bool",15]],["result",6]]],[11,"set_passcred","","Moves the socket to pass unix credentials as control …",112,[[["bool",15]],["result",6]]],[11,"passcred","","Get the current value of the socket for passing unix …",112,[[],[["result",6],["bool",15]]]],[11,"take_error","","Returns the value of the <code>SO_ERROR</code> option.",112,[[],[["option",4],["result",6]]]],[11,"shutdown","","Shuts down the read, write, or both halves of this …",112,[[["shutdown",4]],["result",6]]],[11,"peek","","Receives data on the socket from the remote address to …",112,[[],[["result",6],["usize",15]]]],[11,"recv_vectored_with_ancillary","","Receives data and ancillary data from socket.",112,[[["socketancillary",3]],[["result",6],["usize",15]]]],[11,"send_vectored_with_ancillary","","Sends data and ancillary data on the socket.",112,[[["socketancillary",3]],[["result",6],["usize",15]]]],[11,"before_exec","std::os::unix::process","Schedules a closure to be run just before the <code>exec</code> …",56,[[],["command",3]]],[0,"alloc","std","Memory allocation APIs.",null,null],[3,"Global","std::alloc","The global memory allocator.",null,null],[5,"alloc","","Allocate memory with the global allocator.",null,[[["layout",3]]]],[5,"dealloc","","Deallocate memory with the global allocator.",null,[[["layout",3]]]],[5,"realloc","","Reallocate memory with the global allocator.",null,[[["usize",15],["layout",3]]]],[5,"alloc_zeroed","","Allocate zero-initialized memory with the global …",null,[[["layout",3]]]],[5,"handle_alloc_error","","Abort on memory allocation error or failure.",null,[[["layout",3]]]],[3,"AllocError","","The <code>AllocError</code> error indicates an allocation failure that …",null,null],[8,"Allocator","","An implementation of <code>Allocator</code> can allocate, grow, …",null,null],[10,"allocate","","Attempts to allocate a block of memory.",113,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"allocate_zeroed","","Behaves like <code>allocate</code>, but also ensures that the returned …",113,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[10,"deallocate","","Deallocates the memory referenced by <code>ptr</code>.",113,[[["layout",3],["nonnull",3],["u8",15]]]],[11,"grow","","Attempts to extend the memory block.",113,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"grow_zeroed","","Behaves like <code>grow</code>, but also ensures that the new contents …",113,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"shrink","","Attempts to shrink the memory block.",113,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"by_ref","","Creates a \\\"by reference\\\" adaptor for this instance of …",113,[[]]],[8,"GlobalAlloc","","A memory allocator that can be registered as the standard …",null,null],[10,"alloc","","Allocate memory as described by the given <code>layout</code>.",114,[[["layout",3]]]],[10,"dealloc","","Deallocate the block of memory at the given <code>ptr</code> pointer …",114,[[["layout",3]]]],[11,"alloc_zeroed","","Behaves like <code>alloc</code>, but also ensures that the contents …",114,[[["layout",3]]]],[11,"realloc","","Shrink or grow a block of memory to the given <code>new_size</code>. …",114,[[["usize",15],["layout",3]]]],[3,"Layout","","Layout of a block of memory.",null,null],[6,"LayoutErr","","",null,null],[3,"LayoutError","","The parameters given to <code>Layout::from_size_align</code> or some …",null,null],[3,"System","","The default memory allocator provided by the operating …",null,null],[5,"set_alloc_error_hook","","Registers a custom allocation error hook, replacing any …",null,[[]]],[5,"take_alloc_error_hook","","Unregisters the current allocation error hook, returning …",null,[[]]],[0,"borrow","std","A module for working with borrowed data.",null,null],[8,"ToOwned","std::borrow","A generalization of <code>Clone</code> to borrowed data.",null,null],[16,"Owned","","The resulting type after obtaining ownership.",115,null],[10,"to_owned","","Creates owned data from borrowed data, usually by cloning.",115,[[]]],[11,"clone_into","","Uses borrowed data to replace owned data, usually by …",115,[[]]],[4,"Cow","","A clone-on-write smart pointer.",null,null],[13,"Borrowed","","Borrowed data.",116,null],[13,"Owned","","Owned data.",116,null],[8,"Borrow","","A trait for borrowing data.",null,null],[10,"borrow","","Immutably borrows from an owned value.",117,[[]]],[8,"BorrowMut","","A trait for mutably borrowing data.",null,null],[10,"borrow_mut","","Mutably borrows from an owned value.",118,[[]]],[0,"boxed","std","A pointer type for heap allocation.",null,null],[3,"Box","std::boxed","A pointer type for heap allocation.",null,null],[0,"fmt","std","Utilities for formatting and printing <code>String</code>s.",null,null],[5,"format","std::fmt","The <code>format</code> function takes an [<code>Arguments</code>] struct and …",null,[[["arguments",3]],["string",3]]],[4,"Alignment","","Possible alignments returned by <code>Formatter::align</code>",null,null],[13,"Left","","Indication that contents should be left-aligned.",119,null],[13,"Right","","Indication that contents should be right-aligned.",119,null],[13,"Center","","Indication that contents should be center-aligned.",119,null],[3,"Error","","The error type which is returned from formatting a …",null,null],[5,"write","","The <code>write</code> function takes an output stream, and an …",null,[[["arguments",3],["write",8]],[["error",3],["result",4]]]],[3,"Arguments","","This structure represents a safely precompiled version of …",null,null],[8,"Binary","","<code>b</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",120,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Octal","","<code>o</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",121,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Debug","","<code>?</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",122,[[["formatter",3]],[["error",3],["result",4]]]],[14,"Debug","","Derive macro generating an impl of the trait <code>Debug</code>.",null,null],[8,"Display","","Format trait for an empty format, <code>{}</code>.",null,null],[10,"fmt","","Formats the value using the given formatter.",123,[[["formatter",3]],[["error",3],["result",4]]]],[3,"DebugList","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugMap","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugSet","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugStruct","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"DebugTuple","","A struct to help with <code>fmt::Debug</code> implementations.",null,null],[3,"Formatter","","Configuration for formatting.",null,null],[6,"Result","","The type returned by formatter methods.",null,null],[8,"Write","","A trait for writing or formatting into Unicode-accepting …",null,null],[10,"write_str","","Writes a string slice into this writer, returning whether …",124,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","Writes a [<code>char</code>] into this writer, returning whether the …",124,[[["char",15]],[["error",3],["result",4]]]],[11,"write_fmt","","Glue for usage of the [<code>write!</code>] macro with implementors of …",124,[[["arguments",3]],[["error",3],["result",4]]]],[8,"LowerExp","","<code>e</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",125,[[["formatter",3]],[["error",3],["result",4]]]],[8,"UpperExp","","<code>E</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",126,[[["formatter",3]],[["error",3],["result",4]]]],[8,"LowerHex","","<code>x</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",127,[[["formatter",3]],[["error",3],["result",4]]]],[8,"Pointer","","<code>p</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",128,[[["formatter",3]],[["error",3],["result",4]]]],[8,"UpperHex","","<code>X</code> formatting.",null,null],[10,"fmt","","Formats the value using the given formatter.",129,[[["formatter",3]],[["error",3],["result",4]]]],[14,"format","std","Creates a <code>String</code> using interpolation of runtime …",null,null],[0,"rc","","Single-threaded reference-counting pointers. \'Rc\' stands …",null,null],[3,"Rc","std::rc","A single-threaded reference-counting pointer. \'Rc\' stands …",null,null],[3,"Weak","","<code>Weak</code> is a version of [<code>Rc</code>] that holds a non-owning …",null,null],[0,"slice","std","A dynamically-sized view into a contiguous sequence, <code>[T]</code>.",null,null],[8,"Concat","std::slice","Helper trait for <code>[T]::concat</code>.",null,null],[16,"Output","","The resulting type after concatenation",130,null],[10,"concat","","Implementation of <code>[T]::concat</code>",130,[[]]],[8,"Join","","Helper trait for <code>[T]::join</code>",null,null],[16,"Output","","The resulting type after concatenation",131,null],[10,"join","","Implementation of <code>[T]::join</code>",131,[[]]],[3,"ArrayChunks","","An iterator over a slice in (non-overlapping) chunks (<code>N</code> …",null,null],[3,"ArrayChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ArrayWindows","","A windowed iterator over a slice in overlapping chunks (<code>N</code> …",null,null],[8,"SliceIndex","","A helper trait used for indexing operations.",null,null],[16,"Output","","The output type returned by methods.",132,null],[10,"get","","Returns a shared reference to the output at this …",132,[[],["option",4]]],[10,"get_mut","","Returns a mutable reference to the output at this …",132,[[],["option",4]]],[10,"get_unchecked","","Returns a shared reference to the output at this …",132,[[]]],[10,"get_unchecked_mut","","Returns a mutable reference to the output at this …",132,[[]]],[10,"index","","Returns a shared reference to the output at this …",132,[[]]],[10,"index_mut","","Returns a mutable reference to the output at this …",132,[[]]],[5,"from_mut","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"from_ref","","Converts a reference to T into a slice of length 1 …",null,[[]]],[5,"from_raw_parts","","Forms a slice from a pointer and a length.",null,[[["usize",15]]]],[5,"from_raw_parts_mut","","Performs the same functionality as [<code>from_raw_parts</code>], …",null,[[["usize",15]]]],[3,"Chunks","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"Windows","","An iterator over overlapping subslices of length <code>size</code>.",null,null],[3,"ChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"ChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"ChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"Split","","An iterator over subslices separated by elements that …",null,null],[3,"SplitMut","","An iterator over the mutable subslices of the vector …",null,null],[3,"GroupBy","","An iterator over slice in (non-overlapping) chunks …",null,null],[3,"GroupByMut","","An iterator over slice in (non-overlapping) mutable …",null,null],[3,"Iter","","Immutable slice iterator",null,null],[3,"IterMut","","Mutable slice iterator.",null,null],[3,"RChunks","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExact","","An iterator over a slice in (non-overlapping) chunks (…",null,null],[3,"RChunksExactMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RChunksMut","","An iterator over a slice in (non-overlapping) mutable …",null,null],[3,"RSplit","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitMut","","An iterator over the subslices of the vector which are …",null,null],[3,"RSplitN","","An iterator over subslices separated by elements that …",null,null],[3,"RSplitNMut","","An iterator over subslices separated by elements that …",null,null],[3,"SplitN","","An iterator over subslices separated by elements that …",null,null],[3,"SplitNMut","","An iterator over subslices separated by elements that …",null,null],[0,"str","std","Unicode string slices.",null,null],[5,"from_boxed_utf8_unchecked","std::str","Converts a boxed slice of bytes to a boxed string slice …",null,[[["global",3],["box",3]],[["box",3],["global",3],["str",15]]]],[0,"pattern","","The string Pattern API.",null,null],[8,"Pattern","std::str::pattern","A string pattern.",null,null],[16,"Searcher","","Associated searcher for this pattern",133,null],[10,"into_searcher","","Constructs the associated searcher from <code>self</code> and the …",133,[[["str",15]]]],[11,"is_contained_in","","Checks whether the pattern matches anywhere in the …",133,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","Checks whether the pattern matches at the front of the …",133,[[["str",15]],["bool",15]]],[11,"is_suffix_of","","Checks whether the pattern matches at the back of the …",133,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","Removes the pattern from the front of haystack, if it …",133,[[["str",15]],[["str",15],["option",4]]]],[11,"strip_suffix_of","","Removes the pattern from the back of haystack, if it …",133,[[["str",15]],[["str",15],["option",4]]]],[4,"SearchStep","","Result of calling [<code>Searcher::next()</code>] or […",null,null],[13,"Match","","Expresses that a match of the pattern has been found at …",134,null],[13,"Reject","","Expresses that <code>haystack[a..b]</code> has been rejected as a …",134,null],[13,"Done","","Expresses that every byte of the haystack has been …",134,null],[8,"Searcher","","A searcher for a string pattern.",null,null],[10,"haystack","","Getter for the underlying string to be searched in",135,[[],["str",15]]],[10,"next","","Performs the next search step starting from the front.",135,[[],["searchstep",4]]],[11,"next_match","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",135,[[],["option",4]]],[11,"next_reject","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",135,[[],["option",4]]],[8,"ReverseSearcher","","A reverse searcher for a string pattern.",null,null],[10,"next_back","","Performs the next search step starting from the back.",136,[[],["searchstep",4]]],[11,"next_match_back","","Finds the next [<code>Match</code>][SearchStep::Match] result. See […",136,[[],["option",4]]],[11,"next_reject_back","","Finds the next [<code>Reject</code>][SearchStep::Reject] result. See […",136,[[],["option",4]]],[8,"DoubleEndedSearcher","","A marker trait to express that a [<code>ReverseSearcher</code>] can be …",null,null],[3,"CharSearcher","","Associated type for <code><char as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharSliceSearcher","","Associated type for <code><&[char] as Pattern<\'a>>::Searcher</code>.",null,null],[3,"CharPredicateSearcher","","Associated type for <code><F as Pattern<\'a>>::Searcher</code>.",null,null],[3,"StrSearcher","","Associated type for <code><&str as Pattern<\'a>>::Searcher</code>.",null,null],[3,"EncodeUtf16","std::str","An iterator of [<code>u16</code>] over the string encoded as UTF-16.",null,null],[3,"SplitAsciiWhitespace","","An iterator over the non-ASCII-whitespace substrings of a …",null,null],[3,"SplitWhitespace","","An iterator over the non-whitespace substrings of a …",null,null],[5,"from_utf8","","Converts a slice of bytes to a string slice.",null,[[],[["utf8error",3],["result",4],["str",15]]]],[5,"from_utf8_mut","","Converts a mutable slice of bytes to a mutable string …",null,[[],[["utf8error",3],["str",15],["result",4]]]],[3,"Bytes","","An iterator over the bytes of a string slice.",null,null],[3,"CharIndices","","An iterator over the <code>char</code>s of a string slice, and their …",null,null],[3,"Chars","","An iterator over the <code>char</code>s of a string slice.",null,null],[5,"from_utf8_unchecked","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[5,"from_utf8_unchecked_mut","","Converts a slice of bytes to a string slice without …",null,[[],["str",15]]],[3,"ParseBoolError","","An error returned when parsing a <code>bool</code> using <code>from_str</code> fails",null,null],[3,"EscapeDebug","","The return type of [<code>str::escape_debug</code>].",null,null],[3,"EscapeDefault","","The return type of [<code>str::escape_default</code>].",null,null],[3,"EscapeUnicode","","The return type of [<code>str::escape_unicode</code>].",null,null],[8,"FromStr","","Parse a value from a string",null,null],[16,"Err","","The associated error which can be returned from parsing.",137,null],[10,"from_str","","Parses a string <code>s</code> to return a value of this type.",137,[[["str",15]],["result",4]]],[3,"Utf8Error","","Errors which can occur when attempting to interpret a …",null,null],[3,"Lines","","An iterator over the lines of a string, as string slices.",null,null],[3,"LinesAny","","Created with the method <code>lines_any</code>.",null,null],[3,"MatchIndices","","Created with the method <code>match_indices</code>.",null,null],[3,"RMatchIndices","","Created with the method <code>rmatch_indices</code>.",null,null],[3,"Matches","","Created with the method <code>matches</code>.",null,null],[3,"RMatches","","Created with the method <code>rmatches</code>.",null,null],[3,"RSplit","","Created with the method <code>rsplit</code>.",null,null],[3,"Split","","Created with the method <code>split</code>.",null,null],[3,"RSplitN","","Created with the method <code>rsplitn</code>.",null,null],[3,"SplitN","","Created with the method <code>splitn</code>.",null,null],[3,"RSplitTerminator","","Created with the method <code>rsplit_terminator</code>.",null,null],[3,"SplitTerminator","","Created with the method <code>split_terminator</code>.",null,null],[0,"string","std","A UTF-8–encoded, growable string.",null,null],[3,"String","std::string","A UTF-8–encoded, growable string.",null,null],[3,"FromUtf8Error","","A possible error value when converting a <code>String</code> from a …",null,null],[3,"FromUtf16Error","","A possible error value when converting a <code>String</code> from a …",null,null],[6,"ParseError","","A type alias for <code>Infallible</code>.",null,null],[8,"ToString","","A trait for converting a value to a <code>String</code>.",null,null],[10,"to_string","","Converts the given value to a <code>String</code>.",138,[[],["string",3]]],[3,"Drain","","A draining iterator for <code>String</code>.",null,null],[0,"vec","std","A contiguous growable array type with heap-allocated …",null,null],[3,"Vec","std::vec","A contiguous growable array type, written <code>Vec<T></code> but …",null,null],[3,"DrainFilter","","An iterator which uses a closure to determine if an …",null,null],[3,"Splice","","A splicing iterator for <code>Vec</code>.",null,null],[3,"Drain","","A draining iterator for <code>Vec<T></code>.",null,null],[3,"IntoIter","","An iterator that moves out of a vector.",null,null],[14,"vec","std","Creates a <code>Vec</code> containing the arguments.",null,null],[0,"any","","This module implements the <code>Any</code> trait, which enables …",null,null],[8,"Any","std::any","A trait to emulate dynamic typing.",null,null],[10,"type_id","","Gets the <code>TypeId</code> of <code>self</code>.",139,[[],["typeid",3]]],[3,"TypeId","","A <code>TypeId</code> represents a globally unique identifier for a …",null,null],[5,"type_name","","Returns the name of a type as a string slice.",null,[[],["str",15]]],[5,"type_name_of_val","","Returns the name of the type of the pointed-to value as a …",null,[[],["str",15]]],[0,"array","std","Implementations of things like <code>Eq</code> for fixed-length arrays …",null,null],[5,"from_ref","std::array","Converts a reference to <code>T</code> into a reference to an array of …",null,[[]]],[5,"from_mut","","Converts a mutable reference to <code>T</code> into a mutable …",null,[[]]],[8,"FixedSizeArray","","Utility trait implemented only on arrays of fixed size",null,null],[10,"as_slice","","Converts the array to immutable slice",140,[[]]],[10,"as_mut_slice","","Converts the array to mutable slice",140,[[]]],[3,"TryFromSliceError","","The error type returned when a conversion from a slice to …",null,null],[3,"IntoIter","","A by-value array iterator.",null,null],[0,"cell","std","Shareable mutable containers.",null,null],[3,"Cell","std::cell","A mutable memory location.",null,null],[3,"RefCell","","A mutable memory location with dynamically checked borrow …",null,null],[3,"BorrowError","","An error returned by [<code>RefCell::try_borrow</code>].",null,null],[3,"BorrowMutError","","An error returned by [<code>RefCell::try_borrow_mut</code>].",null,null],[3,"Ref","","Wraps a borrowed reference to a value in a <code>RefCell</code> box. A …",null,null],[3,"RefMut","","A wrapper type for a mutably borrowed value from a …",null,null],[3,"UnsafeCell","","The core primitive for interior mutability in Rust.",null,null],[0,"char","std","A character type.",null,null],[17,"MAX","std::char","The highest valid code point a <code>char</code> can have.",null,null],[17,"REPLACEMENT_CHARACTER","","<code>U+FFFD REPLACEMENT CHARACTER</code> (�) is used in Unicode to …",null,null],[3,"EscapeUnicode","","Returns an iterator that yields the hexadecimal Unicode …",null,null],[3,"EscapeDefault","","An iterator that yields the literal escape code of a <code>char</code>.",null,null],[3,"EscapeDebug","","An iterator that yields the literal escape code of a <code>char</code>.",null,null],[3,"ToLowercase","","Returns an iterator that yields the lowercase equivalent …",null,null],[3,"ToUppercase","","Returns an iterator that yields the uppercase equivalent …",null,null],[5,"from_u32_unchecked","","Converts a <code>u32</code> to a <code>char</code>, ignoring validity.",null,[[["u32",15]],["char",15]]],[3,"CharTryFromError","","The error type returned when a conversion from u32 to …",null,null],[3,"ParseCharError","","An error which can be returned when parsing a char.",null,null],[5,"from_digit","","Converts a digit in the given radix to a <code>char</code>.",null,[[["u32",15]],[["option",4],["char",15]]]],[5,"from_u32","","Converts a <code>u32</code> to a <code>char</code>.",null,[[["u32",15]],[["option",4],["char",15]]]],[5,"decode_utf16","","Creates an iterator over the UTF-16 encoded code points …",null,[[],["decodeutf16",3]]],[3,"DecodeUtf16","","An iterator that decodes UTF-16 encoded code points from …",null,null],[3,"DecodeUtf16Error","","An error that can be returned when decoding UTF-16 code …",null,null],[17,"UNICODE_VERSION","","The version of Unicode that the Unicode parts of <code>char</code> and …",null,null],[0,"clone","std","The <code>Clone</code> trait for types that cannot be \'implicitly …",null,null],[8,"Clone","std::clone","A common trait for the ability to explicitly duplicate an …",null,null],[10,"clone","","Returns a copy of the value.",141,[[]]],[11,"clone_from","","Performs copy-assignment from <code>source</code>.",141,[[]]],[14,"Clone","","Derive macro generating an impl of the trait <code>Clone</code>.",null,null],[0,"cmp","std","Functionality for ordering and comparison.",null,null],[8,"PartialEq","std::cmp","Trait for equality comparisons which are partial …",null,null],[10,"eq","","This method tests for <code>self</code> and <code>other</code> values to be equal, …",142,[[],["bool",15]]],[11,"ne","","This method tests for <code>!=</code>.",142,[[],["bool",15]]],[8,"Eq","","Trait for equality comparisons which are equivalence …",null,null],[4,"Ordering","","An <code>Ordering</code> is the result of a comparison between two …",null,null],[13,"Less","","An ordering where a compared value is less than another.",143,null],[13,"Equal","","An ordering where a compared value is equal to another.",143,null],[13,"Greater","","An ordering where a compared value is greater than …",143,null],[3,"Reverse","","A helper struct for reverse ordering.",null,null],[12,"0","","",144,null],[8,"Ord","","Trait for types that form a total order.",null,null],[10,"cmp","","This method returns an [<code>Ordering</code>] between <code>self</code> and <code>other</code>.",145,[[],["ordering",4]]],[11,"max","","Compares and returns the maximum of two values.",145,[[]]],[11,"min","","Compares and returns the minimum of two values.",145,[[]]],[11,"clamp","","Restrict a value to a certain interval.",145,[[]]],[8,"PartialOrd","","Trait for values that can be compared for a sort-order.",null,null],[10,"partial_cmp","","This method returns an ordering between <code>self</code> and <code>other</code> …",146,[[],[["ordering",4],["option",4]]]],[11,"lt","","This method tests less than (for <code>self</code> and <code>other</code>) and is …",146,[[],["bool",15]]],[11,"le","","This method tests less than or equal to (for <code>self</code> and …",146,[[],["bool",15]]],[11,"gt","","This method tests greater than (for <code>self</code> and <code>other</code>) and …",146,[[],["bool",15]]],[11,"ge","","This method tests greater than or equal to (for <code>self</code> and …",146,[[],["bool",15]]],[5,"min","","Compares and returns the minimum of two values.",null,[[]]],[5,"min_by","","Returns the minimum of two values with respect to the …",null,[[]]],[5,"min_by_key","","Returns the element that gives the minimum value from the …",null,[[]]],[5,"max","","Compares and returns the maximum of two values.",null,[[]]],[5,"max_by","","Returns the maximum of two values with respect to the …",null,[[]]],[5,"max_by_key","","Returns the element that gives the maximum value from the …",null,[[]]],[14,"PartialEq","","Derive macro generating an impl of the trait <code>PartialEq</code>.",null,null],[14,"Eq","","Derive macro generating an impl of the trait <code>Eq</code>.",null,null],[14,"Ord","","Derive macro generating an impl of the trait <code>Ord</code>.",null,null],[14,"PartialOrd","","Derive macro generating an impl of the trait <code>PartialOrd</code>.",null,null],[0,"convert","std","Traits for conversions between types.",null,null],[5,"identity","std::convert","The identity function.",null,[[]]],[8,"AsRef","","Used to do a cheap reference-to-reference conversion.",null,null],[10,"as_ref","","Performs the conversion.",147,[[]]],[8,"AsMut","","Used to do a cheap mutable-to-mutable reference …",null,null],[10,"as_mut","","Performs the conversion.",148,[[]]],[8,"Into","","A value-to-value conversion that consumes the input …",null,null],[10,"into","","Performs the conversion.",149,[[]]],[8,"From","","Used to do value-to-value conversions while consuming the …",null,null],[10,"from","","Performs the conversion.",150,[[]]],[8,"TryInto","","An attempted conversion that consumes <code>self</code>, which may or …",null,null],[16,"Error","","The type returned in the event of a conversion error.",151,null],[10,"try_into","","Performs the conversion.",151,[[],["result",4]]],[8,"TryFrom","","Simple and safe type conversions that may fail in a …",null,null],[16,"Error","","The type returned in the event of a conversion error.",152,null],[10,"try_from","","Performs the conversion.",152,[[],["result",4]]],[4,"Infallible","","The error type for errors that can never happen.",null,null],[8,"FloatToInt","","Supporting trait for inherent methods of <code>f32</code> and <code>f64</code> such …",null,null],[0,"default","std","The <code>Default</code> trait for types which may have meaningful …",null,null],[8,"Default","std::default","A trait for giving a type a useful default value.",null,null],[10,"default","","Returns the \\\"default value\\\" for a type.",153,[[]]],[5,"default","","Return the default value of a type according to the …",null,[[]]],[14,"Default","","Derive macro generating an impl of the trait <code>Default</code>.",null,null],[0,"future","std","Asynchronous values.",null,null],[8,"Future","std::future","A future represents an asynchronous computation.",null,null],[16,"Output","","The type of value produced on completion.",154,null],[10,"poll","","Attempt to resolve the future to a final value, …",154,[[["context",3],["pin",3]],["poll",4]]],[8,"IntoFuture","","Conversion into a <code>Future</code>.",null,null],[16,"Output","","The output that the future will produce on completion.",155,null],[16,"Future","","Which kind of future are we turning this into?",155,null],[10,"into_future","","Creates a future from a value.",155,[[]]],[5,"pending","","Creates a future which never resolves, representing a …",null,[[],["pending",3]]],[3,"Pending","","Creates a future which never resolves, representing a …",null,null],[5,"ready","","Creates a future that is immediately ready with a value.",null,[[],["ready",3]]],[3,"Ready","","Creates a future that is immediately ready with a value.",null,null],[5,"poll_fn","","Creates a future that wraps a function returning [<code>Poll</code>].",null,[[],["pollfn",3]]],[3,"PollFn","","A Future that wraps a function returning [<code>Poll</code>].",null,null],[0,"hash","std","Generic hashing support.",null,null],[8,"Hash","std::hash","A hashable type.",null,null],[10,"hash","","Feeds this value into the given [<code>Hasher</code>].",156,[[]]],[11,"hash_slice","","Feeds a slice of this type into the given [<code>Hasher</code>].",156,[[]]],[8,"Hasher","","A trait for hashing an arbitrary stream of bytes.",null,null],[10,"finish","","Returns the hash value for the values written so far.",157,[[],["u64",15]]],[10,"write","","Writes some data into this <code>Hasher</code>.",157,[[]]],[11,"write_u8","","Writes a single <code>u8</code> into this hasher.",157,[[["u8",15]]]],[11,"write_u16","","Writes a single <code>u16</code> into this hasher.",157,[[["u16",15]]]],[11,"write_u32","","Writes a single <code>u32</code> into this hasher.",157,[[["u32",15]]]],[11,"write_u64","","Writes a single <code>u64</code> into this hasher.",157,[[["u64",15]]]],[11,"write_u128","","Writes a single <code>u128</code> into this hasher.",157,[[["u128",15]]]],[11,"write_usize","","Writes a single <code>usize</code> into this hasher.",157,[[["usize",15]]]],[11,"write_i8","","Writes a single <code>i8</code> into this hasher.",157,[[["i8",15]]]],[11,"write_i16","","Writes a single <code>i16</code> into this hasher.",157,[[["i16",15]]]],[11,"write_i32","","Writes a single <code>i32</code> into this hasher.",157,[[["i32",15]]]],[11,"write_i64","","Writes a single <code>i64</code> into this hasher.",157,[[["i64",15]]]],[11,"write_i128","","Writes a single <code>i128</code> into this hasher.",157,[[["i128",15]]]],[11,"write_isize","","Writes a single <code>isize</code> into this hasher.",157,[[["isize",15]]]],[8,"BuildHasher","","A trait for creating instances of [<code>Hasher</code>].",null,null],[16,"Hasher","","Type of the hasher that will be created.",158,null],[10,"build_hasher","","Creates a new hasher.",158,[[]]],[3,"BuildHasherDefault","","Used to create a default [<code>BuildHasher</code>] instance for types …",null,null],[3,"SipHasher","","An implementation of SipHash 2-4.",null,null],[14,"Hash","","Derive macro generating an impl of the trait <code>Hash</code>.",null,null],[0,"hint","std","Hints to compiler that affects how code should be emitted …",null,null],[5,"unreachable_unchecked","std::hint","Informs the compiler that this point in the code is not …",null,[[]]],[5,"spin_loop","","Emits a machine instruction to signal the processor that …",null,[[]]],[5,"black_box","","An identity function that <em><strong>hints</strong></em> to the compiler to be …",null,[[]]],[0,"i128","std","Constants for the 128-bit signed integer type.",null,null],[17,"MIN","std::i128","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i16","std","Constants for the 16-bit signed integer type.",null,null],[17,"MIN","std::i16","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i32","std","Constants for the 32-bit signed integer type.",null,null],[17,"MIN","std::i32","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i64","std","Constants for the 64-bit signed integer type.",null,null],[17,"MIN","std::i64","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"i8","std","Constants for the 8-bit signed integer type.",null,null],[17,"MIN","std::i8","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"intrinsics","std","Compiler intrinsics.",null,null],[5,"atomic_cxchg","std::intrinsics","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_acq","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_rel","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_acqrel","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_relaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_failacq","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_acq_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchg_acqrel_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_acq","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_rel","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_acqrel","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_relaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_failacq","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_acq_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_cxchgweak_acqrel_failrelaxed","","Stores a value if the current value is the same as the <code>old</code>…",null,[[]]],[5,"atomic_load","","Loads the current value of the pointer.",null,[[]]],[5,"atomic_load_acq","","Loads the current value of the pointer.",null,[[]]],[5,"atomic_load_relaxed","","Loads the current value of the pointer.",null,[[]]],[5,"atomic_load_unordered","","",null,[[]]],[5,"atomic_store","","Stores the value at the specified memory location.",null,[[]]],[5,"atomic_store_rel","","Stores the value at the specified memory location.",null,[[]]],[5,"atomic_store_relaxed","","Stores the value at the specified memory location.",null,[[]]],[5,"atomic_store_unordered","","",null,[[]]],[5,"atomic_xchg","","Stores the value at the specified memory location, …",null,[[]]],[5,"atomic_xchg_acq","","Stores the value at the specified memory location, …",null,[[]]],[5,"atomic_xchg_rel","","Stores the value at the specified memory location, …",null,[[]]],[5,"atomic_xchg_acqrel","","Stores the value at the specified memory location, …",null,[[]]],[5,"atomic_xchg_relaxed","","Stores the value at the specified memory location, …",null,[[]]],[5,"atomic_xadd","","Adds to the current value, returning the previous value.",null,[[]]],[5,"atomic_xadd_acq","","Adds to the current value, returning the previous value.",null,[[]]],[5,"atomic_xadd_rel","","Adds to the current value, returning the previous value.",null,[[]]],[5,"atomic_xadd_acqrel","","Adds to the current value, returning the previous value.",null,[[]]],[5,"atomic_xadd_relaxed","","Adds to the current value, returning the previous value.",null,[[]]],[5,"atomic_xsub","","Subtract from the current value, returning the previous …",null,[[]]],[5,"atomic_xsub_acq","","Subtract from the current value, returning the previous …",null,[[]]],[5,"atomic_xsub_rel","","Subtract from the current value, returning the previous …",null,[[]]],[5,"atomic_xsub_acqrel","","Subtract from the current value, returning the previous …",null,[[]]],[5,"atomic_xsub_relaxed","","Subtract from the current value, returning the previous …",null,[[]]],[5,"atomic_and","","Bitwise and with the current value, returning the …",null,[[]]],[5,"atomic_and_acq","","Bitwise and with the current value, returning the …",null,[[]]],[5,"atomic_and_rel","","Bitwise and with the current value, returning the …",null,[[]]],[5,"atomic_and_acqrel","","Bitwise and with the current value, returning the …",null,[[]]],[5,"atomic_and_relaxed","","Bitwise and with the current value, returning the …",null,[[]]],[5,"atomic_nand","","Bitwise nand with the current value, returning the …",null,[[]]],[5,"atomic_nand_acq","","Bitwise nand with the current value, returning the …",null,[[]]],[5,"atomic_nand_rel","","Bitwise nand with the current value, returning the …",null,[[]]],[5,"atomic_nand_acqrel","","Bitwise nand with the current value, returning the …",null,[[]]],[5,"atomic_nand_relaxed","","Bitwise nand with the current value, returning the …",null,[[]]],[5,"atomic_or","","Bitwise or with the current value, returning the previous …",null,[[]]],[5,"atomic_or_acq","","Bitwise or with the current value, returning the previous …",null,[[]]],[5,"atomic_or_rel","","Bitwise or with the current value, returning the previous …",null,[[]]],[5,"atomic_or_acqrel","","Bitwise or with the current value, returning the previous …",null,[[]]],[5,"atomic_or_relaxed","","Bitwise or with the current value, returning the previous …",null,[[]]],[5,"atomic_xor","","Bitwise xor with the current value, returning the …",null,[[]]],[5,"atomic_xor_acq","","Bitwise xor with the current value, returning the …",null,[[]]],[5,"atomic_xor_rel","","Bitwise xor with the current value, returning the …",null,[[]]],[5,"atomic_xor_acqrel","","Bitwise xor with the current value, returning the …",null,[[]]],[5,"atomic_xor_relaxed","","Bitwise xor with the current value, returning the …",null,[[]]],[5,"atomic_max","","Maximum with the current value using a signed comparison.",null,[[]]],[5,"atomic_max_acq","","Maximum with the current value using a signed comparison.",null,[[]]],[5,"atomic_max_rel","","Maximum with the current value using a signed comparison.",null,[[]]],[5,"atomic_max_acqrel","","Maximum with the current value using a signed comparison.",null,[[]]],[5,"atomic_max_relaxed","","Maximum with the current value.",null,[[]]],[5,"atomic_min","","Minimum with the current value using a signed comparison.",null,[[]]],[5,"atomic_min_acq","","Minimum with the current value using a signed comparison.",null,[[]]],[5,"atomic_min_rel","","Minimum with the current value using a signed comparison.",null,[[]]],[5,"atomic_min_acqrel","","Minimum with the current value using a signed comparison.",null,[[]]],[5,"atomic_min_relaxed","","Minimum with the current value using a signed comparison.",null,[[]]],[5,"atomic_umin","","Minimum with the current value using an unsigned …",null,[[]]],[5,"atomic_umin_acq","","Minimum with the current value using an unsigned …",null,[[]]],[5,"atomic_umin_rel","","Minimum with the current value using an unsigned …",null,[[]]],[5,"atomic_umin_acqrel","","Minimum with the current value using an unsigned …",null,[[]]],[5,"atomic_umin_relaxed","","Minimum with the current value using an unsigned …",null,[[]]],[5,"atomic_umax","","Maximum with the current value using an unsigned …",null,[[]]],[5,"atomic_umax_acq","","Maximum with the current value using an unsigned …",null,[[]]],[5,"atomic_umax_rel","","Maximum with the current value using an unsigned …",null,[[]]],[5,"atomic_umax_acqrel","","Maximum with the current value using an unsigned …",null,[[]]],[5,"atomic_umax_relaxed","","Maximum with the current value using an unsigned …",null,[[]]],[5,"prefetch_read_data","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,[[["i32",15]]]],[5,"prefetch_write_data","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,[[["i32",15]]]],[5,"prefetch_read_instruction","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,[[["i32",15]]]],[5,"prefetch_write_instruction","","The <code>prefetch</code> intrinsic is a hint to the code generator to …",null,[[["i32",15]]]],[5,"atomic_fence","","An atomic fence.",null,[[]]],[5,"atomic_fence_acq","","An atomic fence.",null,[[]]],[5,"atomic_fence_rel","","An atomic fence.",null,[[]]],[5,"atomic_fence_acqrel","","An atomic fence.",null,[[]]],[5,"atomic_singlethreadfence","","A compiler-only memory barrier.",null,[[]]],[5,"atomic_singlethreadfence_acq","","A compiler-only memory barrier.",null,[[]]],[5,"atomic_singlethreadfence_rel","","A compiler-only memory barrier.",null,[[]]],[5,"atomic_singlethreadfence_acqrel","","A compiler-only memory barrier.",null,[[]]],[5,"rustc_peek","","Magic intrinsic that derives its meaning from attributes …",null,[[]]],[5,"abort","","Aborts the execution of the process.",null,[[]]],[5,"unreachable","","Informs the optimizer that this point in the code is not …",null,[[]]],[5,"assume","","Informs the optimizer that a condition is always true. If …",null,[[["bool",15]]]],[5,"likely","","Hints to the compiler that branch condition is likely to …",null,[[["bool",15]],["bool",15]]],[5,"unlikely","","Hints to the compiler that branch condition is likely to …",null,[[["bool",15]],["bool",15]]],[5,"breakpoint","","Executes a breakpoint trap, for inspection by a debugger.",null,[[]]],[5,"size_of","","The size of a type in bytes.",null,[[],["usize",15]]],[5,"min_align_of","","The minimum alignment of a type.",null,[[],["usize",15]]],[5,"pref_align_of","","The preferred alignment of a type.",null,[[],["usize",15]]],[5,"size_of_val","","The size of the referenced value in bytes.",null,[[],["usize",15]]],[5,"min_align_of_val","","The required alignment of the referenced value.",null,[[],["usize",15]]],[5,"type_name","","Gets a static string slice containing the name of a type.",null,[[],["str",15]]],[5,"type_id","","Gets an identifier which is globally unique to the …",null,[[],["u64",15]]],[5,"assert_inhabited","","A guard for unsafe functions that cannot ever be executed …",null,[[]]],[5,"assert_zero_valid","","A guard for unsafe functions that cannot ever be executed …",null,[[]]],[5,"assert_uninit_valid","","A guard for unsafe functions that cannot ever be executed …",null,[[]]],[5,"caller_location","","Gets a reference to a static <code>Location</code> indicating where it …",null,[[],["location",3]]],[5,"forget","","Moves a value out of scope without running drop glue.",null,[[]]],[5,"transmute","","Reinterprets the bits of a value of one type as another …",null,[[]]],[5,"needs_drop","","Returns <code>true</code> if the actual type given as <code>T</code> requires drop …",null,[[],["bool",15]]],[5,"offset","","Calculates the offset from a pointer.",null,[[["isize",15]]]],[5,"arith_offset","","Calculates the offset from a pointer, potentially …",null,[[["isize",15]]]],[5,"volatile_copy_nonoverlapping_memory","","Equivalent to the appropriate <code>llvm.memcpy.p0i8.0i8.*</code> …",null,[[["usize",15]]]],[5,"volatile_copy_memory","","Equivalent to the appropriate <code>llvm.memmove.p0i8.0i8.*</code> …",null,[[["usize",15]]]],[5,"volatile_set_memory","","Equivalent to the appropriate <code>llvm.memset.p0i8.*</code> …",null,[[["usize",15],["u8",15]]]],[5,"volatile_load","","Performs a volatile load from the <code>src</code> pointer.",null,[[]]],[5,"volatile_store","","Performs a volatile store to the <code>dst</code> pointer.",null,[[]]],[5,"unaligned_volatile_load","","Performs a volatile load from the <code>src</code> pointer The pointer …",null,[[]]],[5,"unaligned_volatile_store","","Performs a volatile store to the <code>dst</code> pointer. The pointer …",null,[[]]],[5,"sqrtf32","","Returns the square root of an <code>f32</code>",null,[[["f32",15]],["f32",15]]],[5,"sqrtf64","","Returns the square root of an <code>f64</code>",null,[[["f64",15]],["f64",15]]],[5,"powif32","","Raises an <code>f32</code> to an integer power.",null,[[["f32",15],["i32",15]],["f32",15]]],[5,"powif64","","Raises an <code>f64</code> to an integer power.",null,[[["f64",15],["i32",15]],["f64",15]]],[5,"sinf32","","Returns the sine of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"sinf64","","Returns the sine of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"cosf32","","Returns the cosine of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"cosf64","","Returns the cosine of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"powf32","","Raises an <code>f32</code> to an <code>f32</code> power.",null,[[["f32",15]],["f32",15]]],[5,"powf64","","Raises an <code>f64</code> to an <code>f64</code> power.",null,[[["f64",15]],["f64",15]]],[5,"expf32","","Returns the exponential of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"expf64","","Returns the exponential of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"exp2f32","","Returns 2 raised to the power of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"exp2f64","","Returns 2 raised to the power of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"logf32","","Returns the natural logarithm of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"logf64","","Returns the natural logarithm of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"log10f32","","Returns the base 10 logarithm of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"log10f64","","Returns the base 10 logarithm of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"log2f32","","Returns the base 2 logarithm of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"log2f64","","Returns the base 2 logarithm of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"fmaf32","","Returns <code>a * b + c</code> for <code>f32</code> values.",null,[[["f32",15]],["f32",15]]],[5,"fmaf64","","Returns <code>a * b + c</code> for <code>f64</code> values.",null,[[["f64",15]],["f64",15]]],[5,"fabsf32","","Returns the absolute value of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"fabsf64","","Returns the absolute value of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"minnumf32","","Returns the minimum of two <code>f32</code> values.",null,[[["f32",15]],["f32",15]]],[5,"minnumf64","","Returns the minimum of two <code>f64</code> values.",null,[[["f64",15]],["f64",15]]],[5,"maxnumf32","","Returns the maximum of two <code>f32</code> values.",null,[[["f32",15]],["f32",15]]],[5,"maxnumf64","","Returns the maximum of two <code>f64</code> values.",null,[[["f64",15]],["f64",15]]],[5,"copysignf32","","Copies the sign from <code>y</code> to <code>x</code> for <code>f32</code> values.",null,[[["f32",15]],["f32",15]]],[5,"copysignf64","","Copies the sign from <code>y</code> to <code>x</code> for <code>f64</code> values.",null,[[["f64",15]],["f64",15]]],[5,"floorf32","","Returns the largest integer less than or equal to an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"floorf64","","Returns the largest integer less than or equal to an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"ceilf32","","Returns the smallest integer greater than or equal to an …",null,[[["f32",15]],["f32",15]]],[5,"ceilf64","","Returns the smallest integer greater than or equal to an …",null,[[["f64",15]],["f64",15]]],[5,"truncf32","","Returns the integer part of an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"truncf64","","Returns the integer part of an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"rintf32","","Returns the nearest integer to an <code>f32</code>. May raise an …",null,[[["f32",15]],["f32",15]]],[5,"rintf64","","Returns the nearest integer to an <code>f64</code>. May raise an …",null,[[["f64",15]],["f64",15]]],[5,"nearbyintf32","","Returns the nearest integer to an <code>f32</code>.",null,[[["f32",15]],["f32",15]]],[5,"nearbyintf64","","Returns the nearest integer to an <code>f64</code>.",null,[[["f64",15]],["f64",15]]],[5,"roundf32","","Returns the nearest integer to an <code>f32</code>. Rounds half-way …",null,[[["f32",15]],["f32",15]]],[5,"roundf64","","Returns the nearest integer to an <code>f64</code>. Rounds half-way …",null,[[["f64",15]],["f64",15]]],[5,"fadd_fast","","Float addition that allows optimizations based on …",null,[[]]],[5,"fsub_fast","","Float subtraction that allows optimizations based on …",null,[[]]],[5,"fmul_fast","","Float multiplication that allows optimizations based on …",null,[[]]],[5,"fdiv_fast","","Float division that allows optimizations based on …",null,[[]]],[5,"frem_fast","","Float remainder that allows optimizations based on …",null,[[]]],[5,"float_to_int_unchecked","","Convert with LLVM’s fptoui/fptosi, which may return …",null,[[]]],[5,"ctpop","","Returns the number of bits set in an integer type <code>T</code>",null,[[]]],[5,"ctlz","","Returns the number of leading unset bits (zeroes) in an …",null,[[]]],[5,"ctlz_nonzero","","Like <code>ctlz</code>, but extra-unsafe as it returns <code>undef</code> when …",null,[[]]],[5,"cttz","","Returns the number of trailing unset bits (zeroes) in an …",null,[[]]],[5,"cttz_nonzero","","Like <code>cttz</code>, but extra-unsafe as it returns <code>undef</code> when …",null,[[]]],[5,"bswap","","Reverses the bytes in an integer type <code>T</code>.",null,[[]]],[5,"bitreverse","","Reverses the bits in an integer type <code>T</code>.",null,[[]]],[5,"add_with_overflow","","Performs checked integer addition.",null,[[]]],[5,"sub_with_overflow","","Performs checked integer subtraction",null,[[]]],[5,"mul_with_overflow","","Performs checked integer multiplication",null,[[]]],[5,"exact_div","","Performs an exact division, resulting in undefined …",null,[[]]],[5,"unchecked_div","","Performs an unchecked division, resulting in undefined …",null,[[]]],[5,"unchecked_rem","","Returns the remainder of an unchecked division, resulting …",null,[[]]],[5,"unchecked_shl","","Performs an unchecked left shift, resulting in undefined …",null,[[]]],[5,"unchecked_shr","","Performs an unchecked right shift, resulting in undefined …",null,[[]]],[5,"unchecked_add","","Returns the result of an unchecked addition, resulting in …",null,[[]]],[5,"unchecked_sub","","Returns the result of an unchecked subtraction, resulting …",null,[[]]],[5,"unchecked_mul","","Returns the result of an unchecked multiplication, …",null,[[]]],[5,"rotate_left","","Performs rotate left.",null,[[]]],[5,"rotate_right","","Performs rotate right.",null,[[]]],[5,"wrapping_add","","Returns (a + b) mod 2N, where N is the width of T in bits.",null,[[]]],[5,"wrapping_sub","","Returns (a - b) mod 2N, where N is the width of T in bits.",null,[[]]],[5,"wrapping_mul","","Returns (a * b) mod 2N, where N is the width of T in bits.",null,[[]]],[5,"saturating_add","","Computes <code>a + b</code>, saturating at numeric bounds.",null,[[]]],[5,"saturating_sub","","Computes <code>a - b</code>, saturating at numeric bounds.",null,[[]]],[5,"discriminant_value","","Returns the value of the discriminant for the variant in …",null,[[]]],[5,"variant_count","","Returns the number of variants of the type <code>T</code> cast to a …",null,[[],["usize",15]]],[5,"try","","Rust\'s \\\"try catch\\\" construct which invokes the function …",null,[[],["i32",15]]],[5,"nontemporal_store","","Emits a <code>!nontemporal</code> store according to LLVM (see their …",null,[[]]],[5,"ptr_offset_from","","See documentation of <code><*const T>::offset_from</code> for details.",null,[[],["isize",15]]],[5,"ptr_guaranteed_eq","","See documentation of <code><*const T>::guaranteed_eq</code> for …",null,[[],["bool",15]]],[5,"ptr_guaranteed_ne","","See documentation of <code><*const T>::guaranteed_ne</code> for …",null,[[],["bool",15]]],[5,"const_allocate","","Allocate at compile time. Should not be called at runtime.",null,[[["usize",15]]]],[5,"copy_nonoverlapping","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"copy","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"write_bytes","","Sets <code>count * size_of::<T>()</code> bytes of memory starting at …",null,[[["usize",15],["u8",15]]]],[5,"drop_in_place","","Executes the destructor (if any) of the pointed-to value.",null,[[]]],[0,"isize","std","Constants for the pointer-sized signed integer type.",null,null],[17,"MIN","std::isize","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"iter","std","Composable external iteration.",null,null],[8,"Iterator","std::iter","An interface for dealing with iterators.",null,null],[16,"Item","","The type of the elements being iterated over.",159,null],[10,"next","","Advances the iterator and returns the next value.",159,[[],["option",4]]],[11,"size_hint","","Returns the bounds on the remaining length of the …",159,[[]]],[11,"count","","Consumes the iterator, counting the number of iterations …",159,[[],["usize",15]]],[11,"last","","Consumes the iterator, returning the last element.",159,[[],["option",4]]],[11,"advance_by","","Advances the iterator by <code>n</code> elements.",159,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth","","Returns the <code>n</code>th element of the iterator.",159,[[["usize",15]],["option",4]]],[11,"step_by","","Creates an iterator starting at the same point, but …",159,[[["usize",15]],["stepby",3]]],[11,"chain","","Takes two iterators and creates a new iterator over both …",159,[[],["chain",3]]],[11,"zip","","\'Zips up\' two iterators into a single iterator of pairs.",159,[[],["zip",3]]],[11,"intersperse","","Creates a new iterator which places a copy of <code>separator</code> …",159,[[],["intersperse",3]]],[11,"intersperse_with","","Creates a new iterator which places an item generated by …",159,[[],["interspersewith",3]]],[11,"map","","Takes a closure and creates an iterator which calls that …",159,[[],["map",3]]],[11,"for_each","","Calls a closure on each element of an iterator.",159,[[]]],[11,"filter","","Creates an iterator which uses a closure to determine if …",159,[[],["filter",3]]],[11,"filter_map","","Creates an iterator that both filters and maps.",159,[[],["filtermap",3]]],[11,"enumerate","","Creates an iterator which gives the current iteration …",159,[[],["enumerate",3]]],[11,"peekable","","Creates an iterator which can use <code>peek</code> to look at the …",159,[[],["peekable",3]]],[11,"skip_while","","Creates an iterator that <code>skip</code>s elements based on a …",159,[[],["skipwhile",3]]],[11,"take_while","","Creates an iterator that yields elements based on a …",159,[[],["takewhile",3]]],[11,"map_while","","Creates an iterator that both yields elements based on a …",159,[[],["mapwhile",3]]],[11,"skip","","Creates an iterator that skips the first <code>n</code> elements.",159,[[["usize",15]],["skip",3]]],[11,"take","","Creates an iterator that yields its first <code>n</code> elements.",159,[[["usize",15]],["take",3]]],[11,"scan","","An iterator adaptor similar to <code>fold</code> that holds internal …",159,[[],["scan",3]]],[11,"flat_map","","Creates an iterator that works like map, but flattens …",159,[[],["flatmap",3]]],[11,"flatten","","Creates an iterator that flattens nested structure.",159,[[],["flatten",3]]],[11,"fuse","","Creates an iterator which ends after the first [<code>None</code>].",159,[[],["fuse",3]]],[11,"inspect","","Does something with each element of an iterator, passing …",159,[[],["inspect",3]]],[11,"by_ref","","Borrows an iterator, rather than consuming it.",159,[[]]],[11,"collect","","Transforms an iterator into a collection.",159,[[]]],[11,"partition","","Consumes an iterator, creating two collections from it.",159,[[]]],[11,"partition_in_place","","Reorders the elements of this iterator <em>in-place</em> according …",159,[[],["usize",15]]],[11,"is_partitioned","","Checks if the elements of this iterator are partitioned …",159,[[],["bool",15]]],[11,"try_fold","","An iterator method that applies a function as long as it …",159,[[]]],[11,"try_for_each","","An iterator method that applies a fallible function to …",159,[[]]],[11,"fold","","Folds every element into an accumulator by applying an …",159,[[]]],[11,"reduce","","Reduces the elements to a single one, by repeatedly …",159,[[],["option",4]]],[11,"all","","Tests if every element of the iterator matches a …",159,[[],["bool",15]]],[11,"any","","Tests if any element of the iterator matches a predicate.",159,[[],["bool",15]]],[11,"find","","Searches for an element of an iterator that satisfies a …",159,[[],["option",4]]],[11,"find_map","","Applies function to the elements of iterator and returns …",159,[[],["option",4]]],[11,"try_find","","Applies function to the elements of iterator and returns …",159,[[],[["result",4],["option",4]]]],[11,"position","","Searches for an element in an iterator, returning its …",159,[[],[["usize",15],["option",4]]]],[11,"rposition","","Searches for an element in an iterator from the right, …",159,[[],[["usize",15],["option",4]]]],[11,"max","","Returns the maximum element of an iterator.",159,[[],["option",4]]],[11,"min","","Returns the minimum element of an iterator.",159,[[],["option",4]]],[11,"max_by_key","","Returns the element that gives the maximum value from the …",159,[[],["option",4]]],[11,"max_by","","Returns the element that gives the maximum value with …",159,[[],["option",4]]],[11,"min_by_key","","Returns the element that gives the minimum value from the …",159,[[],["option",4]]],[11,"min_by","","Returns the element that gives the minimum value with …",159,[[],["option",4]]],[11,"rev","","Reverses an iterator\'s direction.",159,[[],["rev",3]]],[11,"unzip","","Converts an iterator of pairs into a pair of containers.",159,[[]]],[11,"copied","","Creates an iterator which copies all of its elements.",159,[[],["copied",3]]],[11,"cloned","","Creates an iterator which <code>clone</code>s all of its elements.",159,[[],["cloned",3]]],[11,"cycle","","Repeats an iterator endlessly.",159,[[],["cycle",3]]],[11,"sum","","Sums the elements of an iterator.",159,[[]]],[11,"product","","Iterates over the entire iterator, multiplying all the …",159,[[]]],[11,"cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",159,[[],["ordering",4]]],[11,"cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",159,[[],["ordering",4]]],[11,"partial_cmp","","Lexicographically compares the elements of this [<code>Iterator</code>]…",159,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp_by","","Lexicographically compares the elements of this [<code>Iterator</code>]…",159,[[],[["ordering",4],["option",4]]]],[11,"eq","","Determines if the elements of this [<code>Iterator</code>] are equal …",159,[[],["bool",15]]],[11,"eq_by","","Determines if the elements of this [<code>Iterator</code>] are equal …",159,[[],["bool",15]]],[11,"ne","","Determines if the elements of this [<code>Iterator</code>] are unequal …",159,[[],["bool",15]]],[11,"lt","","Determines if the elements of this [<code>Iterator</code>] are …",159,[[],["bool",15]]],[11,"le","","Determines if the elements of this [<code>Iterator</code>] are …",159,[[],["bool",15]]],[11,"gt","","Determines if the elements of this [<code>Iterator</code>] are …",159,[[],["bool",15]]],[11,"ge","","Determines if the elements of this [<code>Iterator</code>] are …",159,[[],["bool",15]]],[11,"is_sorted","","Checks if the elements of this iterator are sorted.",159,[[],["bool",15]]],[11,"is_sorted_by","","Checks if the elements of this iterator are sorted using …",159,[[],["bool",15]]],[11,"is_sorted_by_key","","Checks if the elements of this iterator are sorted using …",159,[[],["bool",15]]],[8,"Step","","Objects that have a notion of <em>successor</em> and <em>predecessor</em> …",null,null],[10,"steps_between","","Returns the number of <em>successor</em> steps required to get …",160,[[],[["usize",15],["option",4]]]],[10,"forward_checked","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]],["option",4]]],[11,"forward","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]]]],[11,"forward_unchecked","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]]]],[10,"backward_checked","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]],["option",4]]],[11,"backward","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]]]],[11,"backward_unchecked","","Returns the value that would be obtained by taking the <em>…",160,[[["usize",15]]]],[5,"empty","","Creates an iterator that yields nothing.",null,[[],["empty",3]]],[3,"Empty","","An iterator that yields nothing.",null,null],[5,"from_fn","","Creates a new iterator where each iteration calls the …",null,[[],["fromfn",3]]],[3,"FromFn","","An iterator where each iteration calls the provided …",null,null],[5,"once","","Creates an iterator that yields an element exactly once.",null,[[],["once",3]]],[3,"Once","","An iterator that yields an element exactly once.",null,null],[5,"once_with","","Creates an iterator that lazily generates a value exactly …",null,[[],["oncewith",3]]],[3,"OnceWith","","An iterator that yields a single element of type <code>A</code> by …",null,null],[5,"repeat","","Creates a new iterator that endlessly repeats a single …",null,[[],["repeat",3]]],[3,"Repeat","","An iterator that repeats an element endlessly.",null,null],[5,"repeat_with","","Creates a new iterator that repeats elements of type <code>A</code> …",null,[[],["repeatwith",3]]],[3,"RepeatWith","","An iterator that repeats elements of type <code>A</code> endlessly by …",null,null],[5,"successors","","Creates a new iterator where each successive item is …",null,[[["option",4]],["successors",3]]],[3,"Successors","","An new iterator where each successive item is computed …",null,null],[8,"FusedIterator","","An iterator that always continues to yield <code>None</code> when …",null,null],[8,"InPlaceIterable","","An iterator that when yielding an item will have taken at …",null,null],[8,"TrustedLen","","An iterator that reports an accurate length using …",null,null],[8,"DoubleEndedIterator","","An iterator able to yield elements from both ends.",null,null],[10,"next_back","","Removes and returns an element from the end of the …",161,[[],["option",4]]],[11,"advance_back_by","","Advances the iterator from the back by <code>n</code> elements.",161,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth_back","","Returns the <code>n</code>th element from the end of the iterator.",161,[[["usize",15]],["option",4]]],[11,"try_rfold","","This is the reverse version of [<code>Iterator::try_fold()</code>]: it …",161,[[]]],[11,"rfold","","An iterator method that reduces the iterator\'s elements …",161,[[]]],[11,"rfind","","Searches for an element of an iterator from the back that …",161,[[],["option",4]]],[8,"ExactSizeIterator","","An iterator that knows its exact length.",null,null],[11,"len","","Returns the exact length of the iterator.",162,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the iterator is empty.",162,[[],["bool",15]]],[8,"Extend","","Extend a collection with the contents of an iterator.",null,null],[10,"extend","","Extends a collection with the contents of an iterator.",163,[[]]],[11,"extend_one","","Extends a collection with exactly one element.",163,[[]]],[11,"extend_reserve","","Reserves capacity in a collection for the given number of …",163,[[["usize",15]]]],[8,"FromIterator","","Conversion from an [<code>Iterator</code>].",null,null],[10,"from_iter","","Creates a value from an iterator.",164,[[]]],[8,"IntoIterator","","Conversion into an [<code>Iterator</code>].",null,null],[16,"Item","","The type of the elements being iterated over.",165,null],[16,"IntoIter","","Which kind of iterator are we turning this into?",165,null],[10,"into_iter","","Creates an iterator from a value.",165,[[]]],[8,"Product","","Trait to represent types that can be created by …",null,null],[10,"product","","Method which takes an iterator and generates <code>Self</code> from …",166,[[]]],[8,"Sum","","Trait to represent types that can be created by summing …",null,null],[10,"sum","","Method which takes an iterator and generates <code>Self</code> from …",167,[[]]],[3,"Cloned","","An iterator that clones the elements of an underlying …",null,null],[3,"Copied","","An iterator that copies the elements of an underlying …",null,null],[3,"Flatten","","An iterator that flattens one level of nesting in an …",null,null],[3,"MapWhile","","An iterator that only accepts elements while <code>predicate</code> …",null,null],[8,"SourceIter","","This trait provides transitive access to source-stage in …",null,null],[16,"Source","","A source stage in an iterator pipeline.",168,null],[10,"as_inner","","Retrieve the source of an iterator pipeline.",168,[[]]],[3,"StepBy","","An iterator for stepping iterators by a custom amount.",null,null],[3,"Chain","","An iterator that links two iterators together, in a chain.",null,null],[3,"Cycle","","An iterator that repeats endlessly.",null,null],[3,"Enumerate","","An iterator that yields the current count and the element …",null,null],[3,"Filter","","An iterator that filters the elements of <code>iter</code> with …",null,null],[3,"FilterMap","","An iterator that uses <code>f</code> to both filter and map elements …",null,null],[3,"FlatMap","","An iterator that maps each element to an iterator, and …",null,null],[3,"Fuse","","An iterator that yields <code>None</code> forever after the underlying …",null,null],[3,"Inspect","","An iterator that calls a function with a reference to …",null,null],[3,"Map","","An iterator that maps the values of <code>iter</code> with <code>f</code>.",null,null],[3,"Peekable","","An iterator with a <code>peek()</code> that returns an optional …",null,null],[3,"Rev","","A double-ended iterator with the direction inverted.",null,null],[3,"Scan","","An iterator to maintain state while iterating another …",null,null],[3,"Skip","","An iterator that skips over <code>n</code> elements of <code>iter</code>.",null,null],[3,"SkipWhile","","An iterator that rejects elements while <code>predicate</code> returns …",null,null],[3,"Take","","An iterator that only iterates over the first <code>n</code> …",null,null],[3,"TakeWhile","","An iterator that only accepts elements while <code>predicate</code> …",null,null],[3,"Zip","","An iterator that iterates two other iterators …",null,null],[3,"Intersperse","","An iterator adapter that places a separator between all …",null,null],[3,"IntersperseWith","","An iterator adapter that places a separator between all …",null,null],[0,"marker","std","Primitive traits and types representing basic properties …",null,null],[8,"Send","std::marker","Types that can be transferred across thread boundaries.",null,null],[8,"Sized","","Types with a constant size known at compile time.",null,null],[8,"Unsize","","Types that can be \\\"unsized\\\" to a dynamically-sized type.",null,null],[8,"StructuralPartialEq","","Required trait for constants used in pattern matches.",null,null],[8,"StructuralEq","","Required trait for constants used in pattern matches.",null,null],[8,"Copy","","Types whose values can be duplicated simply by copying …",null,null],[8,"Sync","","Types for which it is safe to share references between …",null,null],[3,"PhantomData","","Zero-sized type used to mark things that \\\"act like\\\" they …",null,null],[8,"DiscriminantKind","","Compiler-internal trait used to indicate the type of enum …",null,null],[16,"Discriminant","","The type of the discriminant, which must satisfy the trait…",169,null],[8,"Unpin","","Types that can be safely moved after being pinned.",null,null],[3,"PhantomPinned","","A marker type which does not implement <code>Unpin</code>.",null,null],[14,"Copy","","Derive macro generating an impl of the trait <code>Copy</code>.",null,null],[0,"mem","std","Basic functions for dealing with memory.",null,null],[5,"forget","std::mem","Takes ownership and \\\"forgets\\\" about the value <strong>without …",null,[[]]],[5,"forget_unsized","","Like [<code>forget</code>], but also accepts unsized values.",null,[[]]],[5,"size_of","","Returns the size of a type in bytes.",null,[[],["usize",15]]],[5,"size_of_val","","Returns the size of the pointed-to value in bytes.",null,[[],["usize",15]]],[5,"size_of_val_raw","","Returns the size of the pointed-to value in bytes.",null,[[],["usize",15]]],[5,"min_align_of","","Returns the ABI-required minimum alignment of a type.",null,[[],["usize",15]]],[5,"min_align_of_val","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"align_of","","Returns the ABI-required minimum alignment of a type.",null,[[],["usize",15]]],[5,"align_of_val","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"align_of_val_raw","","Returns the ABI-required minimum alignment of the type of …",null,[[],["usize",15]]],[5,"needs_drop","","Returns <code>true</code> if dropping values of type <code>T</code> matters.",null,[[],["bool",15]]],[5,"zeroed","","Returns the value of type <code>T</code> represented by the all-zero …",null,[[]]],[5,"uninitialized","","Bypasses Rust\'s normal memory-initialization checks by …",null,[[]]],[5,"swap","","Swaps the values at two mutable locations, without …",null,[[]]],[5,"take","","Replaces <code>dest</code> with the default value of <code>T</code>, returning the …",null,[[]]],[5,"replace","","Moves <code>src</code> into the referenced <code>dest</code>, returning the …",null,[[]]],[5,"drop","","Disposes of a value.",null,[[]]],[5,"transmute_copy","","Interprets <code>src</code> as having type <code>&U</code>, and then reads <code>src</code> …",null,[[]]],[3,"Discriminant","","Opaque type representing the discriminant of an enum.",null,null],[5,"discriminant","","Returns a value uniquely identifying the enum variant in <code>v</code>…",null,[[],["discriminant",3]]],[5,"variant_count","","Returns the number of variants in the enum type <code>T</code>.",null,[[],["usize",15]]],[3,"ManuallyDrop","","A wrapper to inhibit compiler from automatically calling <code>T</code>…",null,null],[19,"MaybeUninit","","A wrapper type to construct uninitialized instances of <code>T</code>.",null,null],[5,"transmute","","Reinterprets the bits of a value of one type as another …",null,[[]]],[0,"ops","std","Overloadable operators.",null,null],[8,"Add","std::ops","The addition operator <code>+</code>.",null,null],[16,"Output","","The resulting type after applying the <code>+</code> operator.",170,null],[10,"add","","Performs the <code>+</code> operation.",170,[[]]],[8,"Div","","The division operator <code>/</code>.",null,null],[16,"Output","","The resulting type after applying the <code>/</code> operator.",171,null],[10,"div","","Performs the <code>/</code> operation.",171,[[]]],[8,"Mul","","The multiplication operator <code>*</code>.",null,null],[16,"Output","","The resulting type after applying the <code>*</code> operator.",172,null],[10,"mul","","Performs the <code>*</code> operation.",172,[[]]],[8,"Neg","","The unary negation operator <code>-</code>.",null,null],[16,"Output","","The resulting type after applying the <code>-</code> operator.",173,null],[10,"neg","","Performs the unary <code>-</code> operation.",173,[[]]],[8,"Rem","","The remainder operator <code>%</code>.",null,null],[16,"Output","","The resulting type after applying the <code>%</code> operator.",174,null],[10,"rem","","Performs the <code>%</code> operation.",174,[[]]],[8,"Sub","","The subtraction operator <code>-</code>.",null,null],[16,"Output","","The resulting type after applying the <code>-</code> operator.",175,null],[10,"sub","","Performs the <code>-</code> operation.",175,[[]]],[8,"AddAssign","","The addition assignment operator <code>+=</code>.",null,null],[10,"add_assign","","Performs the <code>+=</code> operation.",176,[[]]],[8,"DivAssign","","The division assignment operator <code>/=</code>.",null,null],[10,"div_assign","","Performs the <code>/=</code> operation.",177,[[]]],[8,"MulAssign","","The multiplication assignment operator <code>*=</code>.",null,null],[10,"mul_assign","","Performs the <code>*=</code> operation.",178,[[]]],[8,"RemAssign","","The remainder assignment operator <code>%=</code>.",null,null],[10,"rem_assign","","Performs the <code>%=</code> operation.",179,[[]]],[8,"SubAssign","","The subtraction assignment operator <code>-=</code>.",null,null],[10,"sub_assign","","Performs the <code>-=</code> operation.",180,[[]]],[8,"BitAnd","","The bitwise AND operator <code>&</code>.",null,null],[16,"Output","","The resulting type after applying the <code>&</code> operator.",181,null],[10,"bitand","","Performs the <code>&</code> operation.",181,[[]]],[8,"BitOr","","The bitwise OR operator <code>|</code>.",null,null],[16,"Output","","The resulting type after applying the <code>|</code> operator.",182,null],[10,"bitor","","Performs the <code>|</code> operation.",182,[[]]],[8,"BitXor","","The bitwise XOR operator <code>^</code>.",null,null],[16,"Output","","The resulting type after applying the <code>^</code> operator.",183,null],[10,"bitxor","","Performs the <code>^</code> operation.",183,[[]]],[8,"Not","","The unary logical negation operator <code>!</code>.",null,null],[16,"Output","","The resulting type after applying the <code>!</code> operator.",184,null],[10,"not","","Performs the unary <code>!</code> operation.",184,[[]]],[8,"Shl","","The left shift operator <code><<</code>. Note that because this trait …",null,null],[16,"Output","","The resulting type after applying the <code><<</code> operator.",185,null],[10,"shl","","Performs the <code><<</code> operation.",185,[[]]],[8,"Shr","","The right shift operator <code>>></code>. Note that because this trait …",null,null],[16,"Output","","The resulting type after applying the <code>>></code> operator.",186,null],[10,"shr","","Performs the <code>>></code> operation.",186,[[]]],[8,"BitAndAssign","","The bitwise AND assignment operator <code>&=</code>.",null,null],[10,"bitand_assign","","Performs the <code>&=</code> operation.",187,[[]]],[8,"BitOrAssign","","The bitwise OR assignment operator <code>|=</code>.",null,null],[10,"bitor_assign","","Performs the <code>|=</code> operation.",188,[[]]],[8,"BitXorAssign","","The bitwise XOR assignment operator <code>^=</code>.",null,null],[10,"bitxor_assign","","Performs the <code>^=</code> operation.",189,[[]]],[8,"ShlAssign","","The left shift assignment operator <code><<=</code>.",null,null],[10,"shl_assign","","Performs the <code><<=</code> operation.",190,[[]]],[8,"ShrAssign","","The right shift assignment operator <code>>>=</code>.",null,null],[10,"shr_assign","","Performs the <code>>>=</code> operation.",191,[[]]],[8,"Deref","","Used for immutable dereferencing operations, like <code>*v</code>.",null,null],[16,"Target","","The resulting type after dereferencing.",192,null],[10,"deref","","Dereferences the value.",192,[[]]],[8,"DerefMut","","Used for mutable dereferencing operations, like in <code>*v = 1;</code>…",null,null],[10,"deref_mut","","Mutably dereferences the value.",193,[[]]],[8,"Drop","","Custom code within the destructor.",null,null],[10,"drop","","Executes the destructor for this type.",194,[[]]],[8,"Fn","","The version of the call operator that takes an immutable …",null,null],[10,"call","","Performs the call operation.",195,[[]]],[8,"FnMut","","The version of the call operator that takes a mutable …",null,null],[10,"call_mut","","Performs the call operation.",196,[[]]],[8,"FnOnce","","The version of the call operator that takes a by-value …",null,null],[16,"Output","","The returned type after the call operator is used.",197,null],[10,"call_once","","Performs the call operation.",197,[[]]],[8,"Index","","Used for indexing operations (<code>container[index]</code>) in …",null,null],[16,"Output","","The returned type after indexing.",198,null],[10,"index","","Performs the indexing (<code>container[index]</code>) operation.",198,[[]]],[8,"IndexMut","","Used for indexing operations (<code>container[index]</code>) in …",null,null],[10,"index_mut","","Performs the mutable indexing (<code>container[index]</code>) …",199,[[]]],[3,"Range","","A (half-open) range bounded inclusively below and …",null,null],[12,"start","","The lower bound of the range (inclusive).",200,null],[12,"end","","The upper bound of the range (exclusive).",200,null],[3,"RangeFrom","","A range only bounded inclusively below (<code>start..</code>).",null,null],[12,"start","","The lower bound of the range (inclusive).",201,null],[3,"RangeFull","","An unbounded range (<code>..</code>).",null,null],[3,"RangeTo","","A range only bounded exclusively above (<code>..end</code>).",null,null],[12,"end","","The upper bound of the range (exclusive).",202,null],[4,"Bound","","An endpoint of a range of keys.",null,null],[13,"Included","","An inclusive bound.",203,null],[13,"Excluded","","An exclusive bound.",203,null],[13,"Unbounded","","An infinite endpoint. Indicates that there is no bound in …",203,null],[8,"RangeBounds","","<code>RangeBounds</code> is implemented by Rust\'s built-in range …",null,null],[10,"start_bound","","Start index bound.",204,[[],["bound",4]]],[10,"end_bound","","End index bound.",204,[[],["bound",4]]],[11,"assert_len","","Performs bounds-checking of this range.",204,[[["usize",15]],[["usize",15],["range",3]]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",204,[[],["bool",15]]],[3,"RangeInclusive","","A range bounded inclusively below and above (<code>start..=end</code>).",null,null],[3,"RangeToInclusive","","A range only bounded inclusively above (<code>..=end</code>).",null,null],[12,"end","","The upper bound of the range (inclusive)",205,null],[8,"Try","","A trait for customizing the behavior of the <code>?</code> operator.",null,null],[16,"Ok","","The type of this value when viewed as successful.",206,null],[16,"Error","","The type of this value when viewed as failed.",206,null],[10,"into_result","","Applies the \\\"?\\\" operator. A return of <code>Ok(t)</code> means that the…",206,[[],["result",4]]],[10,"from_error","","Wrap an error value to construct the composite result. …",206,[[]]],[10,"from_ok","","Wrap an OK value to construct the composite result. For …",206,[[]]],[8,"Generator","","The trait implemented by builtin generator types.",null,null],[16,"Yield","","The type of value this generator yields.",207,null],[16,"Return","","The type of value this generator returns.",207,null],[10,"resume","","Resumes the execution of this generator.",207,[[["pin",3]],["generatorstate",4]]],[4,"GeneratorState","","The result of a generator resumption.",null,null],[13,"Yielded","","The generator suspended with a value.",208,null],[13,"Complete","","The generator completed with a return value.",208,null],[8,"CoerceUnsized","","Trait that indicates that this is a pointer or a wrapper …",null,null],[8,"DispatchFromDyn","","This is used for object safety, to check that a method\'s …",null,null],[4,"ControlFlow","","Used to make try_fold closures more like normal loops",null,null],[13,"Continue","","Continue in the loop, using the given value for the next …",209,null],[13,"Break","","Exit the loop, yielding the given value",209,null],[0,"option","std","Optional values.",null,null],[4,"Option","std::option","The <code>Option</code> type. See the module level documentation for …",null,null],[13,"None","","No value",210,null],[13,"Some","","Some value <code>T</code>",210,null],[3,"Iter","","An iterator over a reference to the [<code>Some</code>] variant of an […",null,null],[3,"IterMut","","An iterator over a mutable reference to the [<code>Some</code>] …",null,null],[3,"IntoIter","","An iterator over the value in [<code>Some</code>] variant of an [<code>Option</code>…",null,null],[3,"NoneError","","The error type that results from applying the try …",null,null],[0,"pin","std","Types that pin data to its location in memory.",null,null],[3,"Pin","std::pin","A pinned pointer.",null,null],[0,"ptr","std","Manually manage memory through raw pointers.",null,null],[5,"drop_in_place","std::ptr","Executes the destructor (if any) of the pointed-to value.",null,[[]]],[5,"null","","Creates a null raw pointer.",null,[[]]],[5,"null_mut","","Creates a null mutable raw pointer.",null,[[]]],[5,"slice_from_raw_parts","","Forms a raw slice from a pointer and a length.",null,[[["usize",15]]]],[5,"slice_from_raw_parts_mut","","Performs the same functionality as [<code>slice_from_raw_parts</code>]…",null,[[["usize",15]]]],[5,"swap","","Swaps the values at two mutable locations of the same …",null,[[]]],[5,"swap_nonoverlapping","","Swaps <code>count * size_of::<T>()</code> bytes between the two …",null,[[["usize",15]]]],[5,"replace","","Moves <code>src</code> into the pointed <code>dst</code>, returning the previous <code>dst</code>…",null,[[]]],[5,"read","","Reads the value from <code>src</code> without moving it. This leaves …",null,[[]]],[5,"read_unaligned","","Reads the value from <code>src</code> without moving it. This leaves …",null,[[]]],[5,"write","","Overwrites a memory location with the given value without …",null,[[]]],[5,"write_unaligned","","Overwrites a memory location with the given value without …",null,[[]]],[5,"read_volatile","","Performs a volatile read of the value from <code>src</code> without …",null,[[]]],[5,"write_volatile","","Performs a volatile write of a memory location with the …",null,[[]]],[5,"eq","","Compares raw pointers for equality.",null,[[],["bool",15]]],[5,"hash","","Hash a raw pointer.",null,[[]]],[5,"copy_nonoverlapping","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"copy","","Copies <code>count * size_of::<T>()</code> bytes from <code>src</code> to <code>dst</code>. The …",null,[[["usize",15]]]],[5,"write_bytes","","Sets <code>count * size_of::<T>()</code> bytes of memory starting at …",null,[[["usize",15],["u8",15]]]],[3,"NonNull","","<code>*mut T</code> but non-zero and covariant.",null,null],[14,"addr_of","","Create a <code>const</code> raw pointer to a place, without creating …",null,null],[14,"addr_of_mut","","Create a <code>mut</code> raw pointer to a place, without creating an …",null,null],[0,"raw","std","Contains struct definitions for the layout of compiler …",null,null],[3,"TraitObject","std::raw","The representation of a trait object like <code>&dyn SomeTrait</code>.",null,null],[12,"data","","",211,null],[12,"vtable","","",211,null],[0,"result","std","Error handling with the <code>Result</code> type.",null,null],[4,"Result","std::result","<code>Result</code> is a type that represents either success ([<code>Ok</code>]) or …",null,null],[13,"Ok","","Contains the success value",212,null],[13,"Err","","Contains the error value",212,null],[3,"Iter","","An iterator over a reference to the [<code>Ok</code>] variant of a […",null,null],[3,"IterMut","","An iterator over a mutable reference to the [<code>Ok</code>] variant …",null,null],[3,"IntoIter","","An iterator over the value in a [<code>Ok</code>] variant of a [<code>Result</code>]…",null,null],[0,"stream","std","Composable asynchronous iteration.",null,null],[8,"Stream","std::stream","An interface for dealing with asynchronous iterators.",null,null],[16,"Item","","The type of items yielded by the stream.",213,null],[10,"poll_next","","Attempt to pull out the next value of this stream, …",213,[[["context",3],["pin",3]],[["poll",4],["option",4]]]],[11,"size_hint","","Returns the bounds on the remaining length of the stream.",213,[[]]],[0,"u128","std","Constants for the 128-bit unsigned integer type.",null,null],[17,"MIN","std::u128","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u16","std","Constants for the 16-bit unsigned integer type.",null,null],[17,"MIN","std::u16","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u32","std","Constants for the 32-bit unsigned integer type.",null,null],[17,"MIN","std::u32","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u64","std","Constants for the 64-bit unsigned integer type.",null,null],[17,"MIN","std::u64","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"u8","std","Constants for the 8-bit unsigned integer type.",null,null],[17,"MIN","std::u8","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[0,"usize","std","Constants for the pointer-sized unsigned integer type.",null,null],[17,"MIN","std::usize","The smallest value that can be represented by this …",null,null],[17,"MAX","","The largest value that can be represented by this integer …",null,null],[14,"assert_eq","std","Asserts that two expressions are equal to each other …",null,null],[14,"assert_ne","","Asserts that two expressions are not equal to each other …",null,null],[14,"debug_assert","","Asserts that a boolean expression is <code>true</code> at runtime.",null,null],[14,"debug_assert_eq","","Asserts that two expressions are equal to each other.",null,null],[14,"debug_assert_ne","","Asserts that two expressions are not equal to each other.",null,null],[14,"matches","","Returns whether the given expression matches any of the …",null,null],[14,"try","","Unwraps a result or propagates its error.",null,null],[14,"todo","","Indicates unfinished code.",null,null],[14,"unimplemented","","Indicates unimplemented code by panicking with a message …",null,null],[14,"unreachable","","Indicates unreachable code.",null,null],[14,"write","","Writes formatted data into a buffer.",null,null],[14,"writeln","","Write formatted data into a buffer, with a newline …",null,null],[14,"asm","","Inline assembly.",null,null],[14,"assert","","Asserts that a boolean expression is <code>true</code> at runtime.",null,null],[14,"cfg","","Evaluates boolean combinations of configuration flags at …",null,null],[14,"column","","Expands to the column number at which it was invoked.",null,null],[14,"compile_error","","Causes compilation to fail with the given error message …",null,null],[14,"concat","","Concatenates literals into a static string slice.",null,null],[14,"concat_idents","","Concatenates identifiers into one identifier.",null,null],[14,"env","","Inspects an environment variable at compile time.",null,null],[14,"file","","Expands to the file name in which it was invoked.",null,null],[14,"format_args","","Constructs parameters for the other string-formatting …",null,null],[14,"format_args_nl","","Same as <code>format_args</code>, but adds a newline in the end.",null,null],[14,"global_asm","","Module-level inline assembly.",null,null],[14,"include","","Parses a file as an expression or an item according to …",null,null],[14,"include_bytes","","Includes a file as a reference to a byte array.",null,null],[14,"include_str","","Includes a UTF-8 encoded file as a string.",null,null],[14,"line","","Expands to the line number on which it was invoked.",null,null],[14,"llvm_asm","","LLVM-style inline assembly.",null,null],[14,"log_syntax","","Prints passed tokens into the standard output.",null,null],[14,"module_path","","Expands to a string that represents the current module …",null,null],[14,"option_env","","Optionally inspects an environment variable at compile …",null,null],[14,"stringify","","Stringifies its arguments.",null,null],[14,"trace_macros","","Enables or disables tracing functionality used for …",null,null],[0,"primitive","","This module reexports the primitive types to allow usage …",null,null],[14,"panic","","Panics the current thread.",null,null],[14,"print","","Prints to the standard output.",null,null],[14,"println","","Prints to the standard output, with a newline.",null,null],[14,"eprint","","Prints to the standard error.",null,null],[14,"eprintln","","Prints to the standard error, with a newline.",null,null],[14,"dbg","","Prints and returns the value of a given expression for …",null,null],[14,"thread_local","","Declare a new thread local storage key of type …",null,null],[14,"is_arm_feature_detected","","Prevents compilation if <code>is_arm_feature_detected</code> is used …",null,null],[14,"is_aarch64_feature_detected","","Prevents compilation if <code>is_aarch64_feature_detected</code> is …",null,null],[14,"is_powerpc_feature_detected","","Prevents compilation if <code>is_powerpc_feature_detected</code> is …",null,null],[14,"is_powerpc64_feature_detected","","Prevents compilation if <code>is_powerpc64_feature_detected</code> is …",null,null],[14,"is_mips_feature_detected","","Prevents compilation if <code>is_mips_feature_detected</code> is used …",null,null],[14,"is_mips64_feature_detected","","Prevents compilation if <code>is_mips64_feature_detected</code> is …",null,null],[14,"is_x86_feature_detected","","A macro to test at <em>runtime</em> whether a CPU feature is …",null,null],[15,"bool","","The boolean type.",null,null],[15,"never","","The <code>!</code> type, also called \\\"never\\\".",null,null],[15,"char","","A character type.",null,null],[15,"unit","","The <code>()</code> type, also called \\\"unit\\\".",null,null],[15,"pointer","","Raw, unsafe pointers, <code>*const T</code>, and <code>*mut T</code>.",null,null],[15,"array","","A fixed-size array, denoted <code>[T; N]</code>, for the element type, …",null,null],[15,"slice","","A dynamically-sized view into a contiguous sequence, <code>[T]</code>. …",null,null],[15,"str","","String slices.",null,null],[15,"tuple","","A finite heterogeneous sequence, <code>(T, U, ..)</code>.",null,null],[15,"f32","","A 32-bit floating point type (specifically, the …",null,null],[15,"f64","","A 64-bit floating point type (specifically, the …",null,null],[15,"i8","","The 8-bit signed integer type.",null,null],[15,"i16","","The 16-bit signed integer type.",null,null],[15,"i32","","The 32-bit signed integer type.",null,null],[15,"i64","","The 64-bit signed integer type.",null,null],[15,"i128","","The 128-bit signed integer type.",null,null],[15,"u8","","The 8-bit unsigned integer type.",null,null],[15,"u16","","The 16-bit unsigned integer type.",null,null],[15,"u32","","The 32-bit unsigned integer type.",null,null],[15,"u64","","The 64-bit unsigned integer type.",null,null],[15,"u128","","The 128-bit unsigned integer type.",null,null],[15,"isize","","The pointer-sized signed integer type.",null,null],[15,"usize","","The pointer-sized unsigned integer type.",null,null],[15,"reference","","References, both shared and mutable.",null,null],[15,"fn","","Function pointers, like <code>fn(usize) -> bool</code>.",null,null],[21,"as","","Cast between types, or rename an import.",null,null],[21,"break","","Exit early from a loop.",null,null],[21,"const","","Compile-time constants and compile-time evaluable …",null,null],[21,"continue","","Skip to the next iteration of a loop.",null,null],[21,"crate","","A Rust binary or library.",null,null],[21,"else","","What expression to evaluate when an <code>if</code> condition …",null,null],[21,"enum","","A type that can be any one of several variants.",null,null],[21,"extern","","Link to or import external code.",null,null],[21,"false","","A value of type [<code>bool</code>] representing logical <strong>false</strong>.",null,null],[21,"fn","","A function or function pointer.",null,null],[21,"for","","Iteration with <code>in</code>, trait implementation with <code>impl</code>, or …",null,null],[21,"if","","Evaluate a block if a condition holds.",null,null],[21,"impl","","Implement some functionality for a type.",null,null],[21,"in","","Iterate over a series of values with <code>for</code>.",null,null],[21,"let","","Bind a value to a variable.",null,null],[21,"while","","Loop while a condition is upheld.",null,null],[21,"loop","","Loop indefinitely.",null,null],[21,"match","","Control flow based on pattern matching.",null,null],[21,"mod","","Organize code into modules.",null,null],[21,"move","","Capture a closure\'s environment by value.",null,null],[21,"mut","","A mutable variable, reference, or pointer.",null,null],[21,"pub","","Make an item visible to others.",null,null],[21,"ref","","Bind by reference during pattern matching.",null,null],[21,"return","","Return a value from a function.",null,null],[21,"self","","The receiver of a method, or the current module.",null,null],[21,"Self","","The implementing type within a <code>trait</code> or <code>impl</code> block, or …",null,null],[21,"static","","A static item is a value which is valid for the entire …",null,null],[21,"struct","","A type that is composed of other types.",null,null],[21,"super","","The parent of the current module.",null,null],[21,"trait","","A common interface for a group of types.",null,null],[21,"true","","A value of type [<code>bool</code>] representing logical <strong>true</strong>.",null,null],[21,"type","","Define an alias for an existing type.",null,null],[21,"unsafe","","Code or interfaces whose memory safety cannot be verified …",null,null],[21,"use","","Import or rename items from other crates or modules.",null,null],[21,"where","","Add constraints that must be upheld to use an item.",null,null],[21,"async","","Return a <code>Future</code> instead of blocking the current thread.",null,null],[21,"await","","Suspend execution until the result of a <code>Future</code> is ready.",null,null],[21,"dyn","","<code>dyn</code> is a prefix of a trait object\'s type.",null,null],[21,"union","","The Rust equivalent of a C-style union.",null,null],[11,"from","std::thread","",214,[[]]],[11,"borrow","","",214,[[]]],[11,"borrow_mut","","",214,[[]]],[11,"try_from","","",214,[[],["result",4]]],[11,"into","","",214,[[]]],[11,"try_into","","",214,[[],["result",4]]],[11,"type_id","","",214,[[],["typeid",3]]],[11,"from","","",215,[[]]],[11,"borrow","","",215,[[]]],[11,"borrow_mut","","",215,[[]]],[11,"try_from","","",215,[[],["result",4]]],[11,"into","","",215,[[]]],[11,"try_into","","",215,[[],["result",4]]],[11,"type_id","","",215,[[],["typeid",3]]],[11,"to_owned","","",215,[[]]],[11,"clone_into","","",215,[[]]],[11,"to_string","","",215,[[],["string",3]]],[11,"from","","",0,[[]]],[11,"borrow","","",0,[[]]],[11,"borrow_mut","","",0,[[]]],[11,"try_from","","",0,[[],["result",4]]],[11,"into","","",0,[[]]],[11,"try_into","","",0,[[],["result",4]]],[11,"type_id","","",0,[[],["typeid",3]]],[11,"from","","",1,[[]]],[11,"borrow","","",1,[[]]],[11,"borrow_mut","","",1,[[]]],[11,"try_from","","",1,[[],["result",4]]],[11,"into","","",1,[[]]],[11,"try_into","","",1,[[],["result",4]]],[11,"type_id","","",1,[[],["typeid",3]]],[11,"to_owned","","",1,[[]]],[11,"clone_into","","",1,[[]]],[11,"from","","",2,[[]]],[11,"borrow","","",2,[[]]],[11,"borrow_mut","","",2,[[]]],[11,"try_from","","",2,[[],["result",4]]],[11,"into","","",2,[[]]],[11,"try_into","","",2,[[],["result",4]]],[11,"type_id","","",2,[[],["typeid",3]]],[11,"to_owned","","",2,[[]]],[11,"clone_into","","",2,[[]]],[11,"from","","",3,[[]]],[11,"borrow","","",3,[[]]],[11,"borrow_mut","","",3,[[]]],[11,"try_from","","",3,[[],["result",4]]],[11,"into","","",3,[[]]],[11,"try_into","","",3,[[],["result",4]]],[11,"type_id","","",3,[[],["typeid",3]]],[11,"from","std::ascii","",216,[[]]],[11,"borrow","","",216,[[]]],[11,"borrow_mut","","",216,[[]]],[11,"try_from","","",216,[[],["result",4]]],[11,"into","","",216,[[]]],[11,"try_into","","",216,[[],["result",4]]],[11,"into_iter","","",216,[[]]],[11,"type_id","","",216,[[],["typeid",3]]],[11,"to_owned","","",216,[[]]],[11,"clone_into","","",216,[[]]],[11,"to_string","","",216,[[],["string",3]]],[11,"from","std::backtrace","",6,[[]]],[11,"borrow","","",6,[[]]],[11,"borrow_mut","","",6,[[]]],[11,"try_from","","",6,[[],["result",4]]],[11,"into","","",6,[[]]],[11,"try_into","","",6,[[],["result",4]]],[11,"type_id","","",6,[[],["typeid",3]]],[11,"to_string","","",6,[[],["string",3]]],[11,"from","","",5,[[]]],[11,"borrow","","",5,[[]]],[11,"borrow_mut","","",5,[[]]],[11,"try_from","","",5,[[],["result",4]]],[11,"into","","",5,[[]]],[11,"try_into","","",5,[[],["result",4]]],[11,"type_id","","",5,[[],["typeid",3]]],[11,"from","","",217,[[]]],[11,"borrow","","",217,[[]]],[11,"borrow_mut","","",217,[[]]],[11,"try_from","","",217,[[],["result",4]]],[11,"into","","",217,[[]]],[11,"try_into","","",217,[[],["result",4]]],[11,"type_id","","",217,[[],["typeid",3]]],[11,"from","std::collections::hash_map","",218,[[]]],[11,"borrow","","",218,[[]]],[11,"borrow_mut","","",218,[[]]],[11,"try_from","","",218,[[],["result",4]]],[11,"into","","",218,[[]]],[11,"try_into","","",218,[[],["result",4]]],[11,"type_id","","",218,[[],["typeid",3]]],[11,"to_owned","","",218,[[]]],[11,"clone_into","","",218,[[]]],[11,"from","","",219,[[]]],[11,"borrow","","",219,[[]]],[11,"borrow_mut","","",219,[[]]],[11,"try_from","","",219,[[],["result",4]]],[11,"into","","",219,[[]]],[11,"try_into","","",219,[[],["result",4]]],[11,"into_iter","","",219,[[]]],[11,"type_id","","",219,[[],["typeid",3]]],[11,"to_owned","","",219,[[]]],[11,"clone_into","","",219,[[]]],[11,"from","","",220,[[]]],[11,"borrow","","",220,[[]]],[11,"borrow_mut","","",220,[[]]],[11,"try_from","","",220,[[],["result",4]]],[11,"into","","",220,[[]]],[11,"try_into","","",220,[[],["result",4]]],[11,"into_iter","","",220,[[]]],[11,"type_id","","",220,[[],["typeid",3]]],[11,"from","","",221,[[]]],[11,"borrow","","",221,[[]]],[11,"borrow_mut","","",221,[[]]],[11,"try_from","","",221,[[],["result",4]]],[11,"into","","",221,[[]]],[11,"try_into","","",221,[[],["result",4]]],[11,"into_iter","","",221,[[]]],[11,"type_id","","",221,[[],["typeid",3]]],[11,"from","","",222,[[]]],[11,"borrow","","",222,[[]]],[11,"borrow_mut","","",222,[[]]],[11,"try_from","","",222,[[],["result",4]]],[11,"into","","",222,[[]]],[11,"try_into","","",222,[[],["result",4]]],[11,"into_iter","","",222,[[]]],[11,"type_id","","",222,[[],["typeid",3]]],[11,"to_owned","","",222,[[]]],[11,"clone_into","","",222,[[]]],[11,"from","","",223,[[]]],[11,"borrow","","",223,[[]]],[11,"borrow_mut","","",223,[[]]],[11,"try_from","","",223,[[],["result",4]]],[11,"into","","",223,[[]]],[11,"try_into","","",223,[[],["result",4]]],[11,"into_iter","","",223,[[]]],[11,"type_id","","",223,[[],["typeid",3]]],[11,"to_owned","","",223,[[]]],[11,"clone_into","","",223,[[]]],[11,"from","","",224,[[]]],[11,"borrow","","",224,[[]]],[11,"borrow_mut","","",224,[[]]],[11,"try_from","","",224,[[],["result",4]]],[11,"into","","",224,[[]]],[11,"try_into","","",224,[[],["result",4]]],[11,"into_iter","","",224,[[]]],[11,"type_id","","",224,[[],["typeid",3]]],[11,"from","","",225,[[]]],[11,"borrow","","",225,[[]]],[11,"borrow_mut","","",225,[[]]],[11,"try_from","","",225,[[],["result",4]]],[11,"into","","",225,[[]]],[11,"try_into","","",225,[[],["result",4]]],[11,"into_iter","","",225,[[]]],[11,"type_id","","",225,[[],["typeid",3]]],[11,"from","","",226,[[]]],[11,"borrow","","",226,[[]]],[11,"borrow_mut","","",226,[[]]],[11,"try_from","","",226,[[],["result",4]]],[11,"into","","",226,[[]]],[11,"try_into","","",226,[[],["result",4]]],[11,"into_iter","","",226,[[]]],[11,"type_id","","",226,[[],["typeid",3]]],[11,"from","","",227,[[]]],[11,"borrow","","",227,[[]]],[11,"borrow_mut","","",227,[[]]],[11,"try_from","","",227,[[],["result",4]]],[11,"into","","",227,[[]]],[11,"try_into","","",227,[[],["result",4]]],[11,"into_iter","","",227,[[]]],[11,"type_id","","",227,[[],["typeid",3]]],[11,"from","","",228,[[]]],[11,"borrow","","",228,[[]]],[11,"borrow_mut","","",228,[[]]],[11,"try_from","","",228,[[],["result",4]]],[11,"into","","",228,[[]]],[11,"try_into","","",228,[[],["result",4]]],[11,"into_iter","","",228,[[]]],[11,"type_id","","",228,[[],["typeid",3]]],[11,"from","","",229,[[]]],[11,"borrow","","",229,[[]]],[11,"borrow_mut","","",229,[[]]],[11,"try_from","","",229,[[],["result",4]]],[11,"into","","",229,[[]]],[11,"try_into","","",229,[[],["result",4]]],[11,"type_id","","",229,[[],["typeid",3]]],[11,"from","","",7,[[]]],[11,"borrow","","",7,[[]]],[11,"borrow_mut","","",7,[[]]],[11,"try_from","","",7,[[],["result",4]]],[11,"into","","",7,[[]]],[11,"try_into","","",7,[[],["result",4]]],[11,"type_id","","",7,[[],["typeid",3]]],[11,"from","","",230,[[]]],[11,"borrow","","",230,[[]]],[11,"borrow_mut","","",230,[[]]],[11,"try_from","","",230,[[],["result",4]]],[11,"into","","",230,[[]]],[11,"try_into","","",230,[[],["result",4]]],[11,"type_id","","",230,[[],["typeid",3]]],[11,"from","","",231,[[]]],[11,"borrow","","",231,[[]]],[11,"borrow_mut","","",231,[[]]],[11,"try_from","","",231,[[],["result",4]]],[11,"into","","",231,[[]]],[11,"try_into","","",231,[[],["result",4]]],[11,"type_id","","",231,[[],["typeid",3]]],[11,"from","","",232,[[]]],[11,"borrow","","",232,[[]]],[11,"borrow_mut","","",232,[[]]],[11,"try_from","","",232,[[],["result",4]]],[11,"into","","",232,[[]]],[11,"try_into","","",232,[[],["result",4]]],[11,"type_id","","",232,[[],["typeid",3]]],[11,"from","","",8,[[]]],[11,"borrow","","",8,[[]]],[11,"borrow_mut","","",8,[[]]],[11,"try_from","","",8,[[],["result",4]]],[11,"into","","",8,[[]]],[11,"try_into","","",8,[[],["result",4]]],[11,"type_id","","",8,[[],["typeid",3]]],[11,"from","","",233,[[]]],[11,"borrow","","",233,[[]]],[11,"borrow_mut","","",233,[[]]],[11,"try_from","","",233,[[],["result",4]]],[11,"into","","",233,[[]]],[11,"try_into","","",233,[[],["result",4]]],[11,"type_id","","",233,[[],["typeid",3]]],[11,"from","","",234,[[]]],[11,"borrow","","",234,[[]]],[11,"borrow_mut","","",234,[[]]],[11,"try_from","","",234,[[],["result",4]]],[11,"into","","",234,[[]]],[11,"try_into","","",234,[[],["result",4]]],[11,"type_id","","",234,[[],["typeid",3]]],[11,"from","","",235,[[]]],[11,"borrow","","",235,[[]]],[11,"borrow_mut","","",235,[[]]],[11,"try_from","","",235,[[],["result",4]]],[11,"into","","",235,[[]]],[11,"try_into","","",235,[[],["result",4]]],[11,"type_id","","",235,[[],["typeid",3]]],[11,"to_owned","","",235,[[]]],[11,"clone_into","","",235,[[]]],[11,"from","","",236,[[]]],[11,"borrow","","",236,[[]]],[11,"borrow_mut","","",236,[[]]],[11,"try_from","","",236,[[],["result",4]]],[11,"into","","",236,[[]]],[11,"try_into","","",236,[[],["result",4]]],[11,"type_id","","",236,[[],["typeid",3]]],[11,"to_owned","","",236,[[]]],[11,"clone_into","","",236,[[]]],[11,"from","std::collections::hash_set","",237,[[]]],[11,"borrow","","",237,[[]]],[11,"borrow_mut","","",237,[[]]],[11,"try_from","","",237,[[],["result",4]]],[11,"into","","",237,[[]]],[11,"try_into","","",237,[[],["result",4]]],[11,"type_id","","",237,[[],["typeid",3]]],[11,"to_owned","","",237,[[]]],[11,"clone_into","","",237,[[]]],[11,"from","","",238,[[]]],[11,"borrow","","",238,[[]]],[11,"borrow_mut","","",238,[[]]],[11,"try_from","","",238,[[],["result",4]]],[11,"into","","",238,[[]]],[11,"try_into","","",238,[[],["result",4]]],[11,"into_iter","","",238,[[]]],[11,"type_id","","",238,[[],["typeid",3]]],[11,"to_owned","","",238,[[]]],[11,"clone_into","","",238,[[]]],[11,"from","","",239,[[]]],[11,"borrow","","",239,[[]]],[11,"borrow_mut","","",239,[[]]],[11,"try_from","","",239,[[],["result",4]]],[11,"into","","",239,[[]]],[11,"try_into","","",239,[[],["result",4]]],[11,"into_iter","","",239,[[]]],[11,"type_id","","",239,[[],["typeid",3]]],[11,"from","","",240,[[]]],[11,"borrow","","",240,[[]]],[11,"borrow_mut","","",240,[[]]],[11,"try_from","","",240,[[],["result",4]]],[11,"into","","",240,[[]]],[11,"try_into","","",240,[[],["result",4]]],[11,"into_iter","","",240,[[]]],[11,"type_id","","",240,[[],["typeid",3]]],[11,"from","","",241,[[]]],[11,"borrow","","",241,[[]]],[11,"borrow_mut","","",241,[[]]],[11,"try_from","","",241,[[],["result",4]]],[11,"into","","",241,[[]]],[11,"try_into","","",241,[[],["result",4]]],[11,"into_iter","","",241,[[]]],[11,"type_id","","",241,[[],["typeid",3]]],[11,"from","","",242,[[]]],[11,"borrow","","",242,[[]]],[11,"borrow_mut","","",242,[[]]],[11,"try_from","","",242,[[],["result",4]]],[11,"into","","",242,[[]]],[11,"try_into","","",242,[[],["result",4]]],[11,"into_iter","","",242,[[]]],[11,"type_id","","",242,[[],["typeid",3]]],[11,"to_owned","","",242,[[]]],[11,"clone_into","","",242,[[]]],[11,"from","","",243,[[]]],[11,"borrow","","",243,[[]]],[11,"borrow_mut","","",243,[[]]],[11,"try_from","","",243,[[],["result",4]]],[11,"into","","",243,[[]]],[11,"try_into","","",243,[[],["result",4]]],[11,"into_iter","","",243,[[]]],[11,"type_id","","",243,[[],["typeid",3]]],[11,"to_owned","","",243,[[]]],[11,"clone_into","","",243,[[]]],[11,"from","","",244,[[]]],[11,"borrow","","",244,[[]]],[11,"borrow_mut","","",244,[[]]],[11,"try_from","","",244,[[],["result",4]]],[11,"into","","",244,[[]]],[11,"try_into","","",244,[[],["result",4]]],[11,"into_iter","","",244,[[]]],[11,"type_id","","",244,[[],["typeid",3]]],[11,"to_owned","","",244,[[]]],[11,"clone_into","","",244,[[]]],[11,"from","","",245,[[]]],[11,"borrow","","",245,[[]]],[11,"borrow_mut","","",245,[[]]],[11,"try_from","","",245,[[],["result",4]]],[11,"into","","",245,[[]]],[11,"try_into","","",245,[[],["result",4]]],[11,"into_iter","","",245,[[]]],[11,"type_id","","",245,[[],["typeid",3]]],[11,"to_owned","","",245,[[]]],[11,"clone_into","","",245,[[]]],[11,"from","std::collections","",246,[[]]],[11,"borrow","","",246,[[]]],[11,"borrow_mut","","",246,[[]]],[11,"try_from","","",246,[[],["result",4]]],[11,"into","","",246,[[]]],[11,"try_into","","",246,[[],["result",4]]],[11,"type_id","","",246,[[],["typeid",3]]],[11,"to_owned","","",246,[[]]],[11,"clone_into","","",246,[[]]],[11,"from","std::collections::binary_heap","",247,[[]]],[11,"borrow","","",247,[[]]],[11,"borrow_mut","","",247,[[]]],[11,"try_from","","",247,[[],["result",4]]],[11,"into","","",247,[[]]],[11,"try_into","","",247,[[],["result",4]]],[11,"type_id","","",247,[[],["typeid",3]]],[11,"from","","",248,[[]]],[11,"borrow","","",248,[[]]],[11,"borrow_mut","","",248,[[]]],[11,"try_from","","",248,[[],["result",4]]],[11,"into","","",248,[[]]],[11,"try_into","","",248,[[],["result",4]]],[11,"into_iter","","",248,[[]]],[11,"type_id","","",248,[[],["typeid",3]]],[11,"to_owned","","",248,[[]]],[11,"clone_into","","",248,[[]]],[11,"from","","",249,[[]]],[11,"borrow","","",249,[[]]],[11,"borrow_mut","","",249,[[]]],[11,"try_from","","",249,[[],["result",4]]],[11,"into","","",249,[[]]],[11,"try_into","","",249,[[],["result",4]]],[11,"into_iter","","",249,[[]]],[11,"type_id","","",249,[[],["typeid",3]]],[11,"to_owned","","",249,[[]]],[11,"clone_into","","",249,[[]]],[11,"from","","",250,[[]]],[11,"borrow","","",250,[[]]],[11,"borrow_mut","","",250,[[]]],[11,"try_from","","",250,[[],["result",4]]],[11,"into","","",250,[[]]],[11,"try_into","","",250,[[],["result",4]]],[11,"into_iter","","",250,[[]]],[11,"type_id","","",250,[[],["typeid",3]]],[11,"to_owned","","",250,[[]]],[11,"clone_into","","",250,[[]]],[11,"from","","",251,[[]]],[11,"borrow","","",251,[[]]],[11,"borrow_mut","","",251,[[]]],[11,"try_from","","",251,[[],["result",4]]],[11,"into","","",251,[[]]],[11,"try_into","","",251,[[],["result",4]]],[11,"into_iter","","",251,[[]]],[11,"type_id","","",251,[[],["typeid",3]]],[11,"from","","",252,[[]]],[11,"borrow","","",252,[[]]],[11,"borrow_mut","","",252,[[]]],[11,"try_from","","",252,[[],["result",4]]],[11,"into","","",252,[[]]],[11,"try_into","","",252,[[],["result",4]]],[11,"into_iter","","",252,[[]]],[11,"type_id","","",252,[[],["typeid",3]]],[11,"from","std::collections::btree_map","",9,[[]]],[11,"borrow","","",9,[[]]],[11,"borrow_mut","","",9,[[]]],[11,"try_from","","",9,[[],["result",4]]],[11,"into","","",9,[[]]],[11,"try_into","","",9,[[],["result",4]]],[11,"type_id","","",9,[[],["typeid",3]]],[11,"from","","",253,[[]]],[11,"borrow","","",253,[[]]],[11,"borrow_mut","","",253,[[]]],[11,"try_from","","",253,[[],["result",4]]],[11,"into","","",253,[[]]],[11,"try_into","","",253,[[],["result",4]]],[11,"type_id","","",253,[[],["typeid",3]]],[11,"from","","",254,[[]]],[11,"borrow","","",254,[[]]],[11,"borrow_mut","","",254,[[]]],[11,"try_from","","",254,[[],["result",4]]],[11,"into","","",254,[[]]],[11,"try_into","","",254,[[],["result",4]]],[11,"type_id","","",254,[[],["typeid",3]]],[11,"from","std::collections","",255,[[]]],[11,"borrow","","",255,[[]]],[11,"borrow_mut","","",255,[[]]],[11,"try_from","","",255,[[],["result",4]]],[11,"into","","",255,[[]]],[11,"try_into","","",255,[[],["result",4]]],[11,"type_id","","",255,[[],["typeid",3]]],[11,"to_owned","","",255,[[]]],[11,"clone_into","","",255,[[]]],[11,"from","std::collections::btree_map","",256,[[]]],[11,"borrow","","",256,[[]]],[11,"borrow_mut","","",256,[[]]],[11,"try_from","","",256,[[],["result",4]]],[11,"into","","",256,[[]]],[11,"try_into","","",256,[[],["result",4]]],[11,"into_iter","","",256,[[]]],[11,"type_id","","",256,[[],["typeid",3]]],[11,"to_owned","","",256,[[]]],[11,"clone_into","","",256,[[]]],[11,"from","","",257,[[]]],[11,"borrow","","",257,[[]]],[11,"borrow_mut","","",257,[[]]],[11,"try_from","","",257,[[],["result",4]]],[11,"into","","",257,[[]]],[11,"try_into","","",257,[[],["result",4]]],[11,"into_iter","","",257,[[]]],[11,"type_id","","",257,[[],["typeid",3]]],[11,"from","","",258,[[]]],[11,"borrow","","",258,[[]]],[11,"borrow_mut","","",258,[[]]],[11,"try_from","","",258,[[],["result",4]]],[11,"into","","",258,[[]]],[11,"try_into","","",258,[[],["result",4]]],[11,"into_iter","","",258,[[]]],[11,"type_id","","",258,[[],["typeid",3]]],[11,"to_owned","","",258,[[]]],[11,"clone_into","","",258,[[]]],[11,"from","","",259,[[]]],[11,"borrow","","",259,[[]]],[11,"borrow_mut","","",259,[[]]],[11,"try_from","","",259,[[],["result",4]]],[11,"into","","",259,[[]]],[11,"try_into","","",259,[[],["result",4]]],[11,"into_iter","","",259,[[]]],[11,"type_id","","",259,[[],["typeid",3]]],[11,"to_owned","","",259,[[]]],[11,"clone_into","","",259,[[]]],[11,"from","","",260,[[]]],[11,"borrow","","",260,[[]]],[11,"borrow_mut","","",260,[[]]],[11,"try_from","","",260,[[],["result",4]]],[11,"into","","",260,[[]]],[11,"try_into","","",260,[[],["result",4]]],[11,"into_iter","","",260,[[]]],[11,"type_id","","",260,[[],["typeid",3]]],[11,"from","","",261,[[]]],[11,"borrow","","",261,[[]]],[11,"borrow_mut","","",261,[[]]],[11,"try_from","","",261,[[],["result",4]]],[11,"into","","",261,[[]]],[11,"try_into","","",261,[[],["result",4]]],[11,"into_iter","","",261,[[]]],[11,"type_id","","",261,[[],["typeid",3]]],[11,"from","","",262,[[]]],[11,"borrow","","",262,[[]]],[11,"borrow_mut","","",262,[[]]],[11,"try_from","","",262,[[],["result",4]]],[11,"into","","",262,[[]]],[11,"try_into","","",262,[[],["result",4]]],[11,"into_iter","","",262,[[]]],[11,"type_id","","",262,[[],["typeid",3]]],[11,"from","","",263,[[]]],[11,"borrow","","",263,[[]]],[11,"borrow_mut","","",263,[[]]],[11,"try_from","","",263,[[],["result",4]]],[11,"into","","",263,[[]]],[11,"try_into","","",263,[[],["result",4]]],[11,"into_iter","","",263,[[]]],[11,"type_id","","",263,[[],["typeid",3]]],[11,"to_owned","","",263,[[]]],[11,"clone_into","","",263,[[]]],[11,"from","","",264,[[]]],[11,"borrow","","",264,[[]]],[11,"borrow_mut","","",264,[[]]],[11,"try_from","","",264,[[],["result",4]]],[11,"into","","",264,[[]]],[11,"try_into","","",264,[[],["result",4]]],[11,"into_iter","","",264,[[]]],[11,"type_id","","",264,[[],["typeid",3]]],[11,"from","","",265,[[]]],[11,"borrow","","",265,[[]]],[11,"borrow_mut","","",265,[[]]],[11,"try_from","","",265,[[],["result",4]]],[11,"into","","",265,[[]]],[11,"try_into","","",265,[[],["result",4]]],[11,"into_iter","","",265,[[]]],[11,"type_id","","",265,[[],["typeid",3]]],[11,"from","","",266,[[]]],[11,"borrow","","",266,[[]]],[11,"borrow_mut","","",266,[[]]],[11,"try_from","","",266,[[],["result",4]]],[11,"into","","",266,[[]]],[11,"try_into","","",266,[[],["result",4]]],[11,"into_iter","","",266,[[]]],[11,"type_id","","",266,[[],["typeid",3]]],[11,"from","std::collections::btree_set","",267,[[]]],[11,"borrow","","",267,[[]]],[11,"borrow_mut","","",267,[[]]],[11,"try_from","","",267,[[],["result",4]]],[11,"into","","",267,[[]]],[11,"try_into","","",267,[[],["result",4]]],[11,"into_iter","","",267,[[]]],[11,"type_id","","",267,[[],["typeid",3]]],[11,"to_owned","","",267,[[]]],[11,"clone_into","","",267,[[]]],[11,"from","","",268,[[]]],[11,"borrow","","",268,[[]]],[11,"borrow_mut","","",268,[[]]],[11,"try_from","","",268,[[],["result",4]]],[11,"into","","",268,[[]]],[11,"try_into","","",268,[[],["result",4]]],[11,"into_iter","","",268,[[]]],[11,"type_id","","",268,[[],["typeid",3]]],[11,"to_owned","","",268,[[]]],[11,"clone_into","","",268,[[]]],[11,"from","","",269,[[]]],[11,"borrow","","",269,[[]]],[11,"borrow_mut","","",269,[[]]],[11,"try_from","","",269,[[],["result",4]]],[11,"into","","",269,[[]]],[11,"try_into","","",269,[[],["result",4]]],[11,"into_iter","","",269,[[]]],[11,"type_id","","",269,[[],["typeid",3]]],[11,"to_owned","","",269,[[]]],[11,"clone_into","","",269,[[]]],[11,"from","","",270,[[]]],[11,"borrow","","",270,[[]]],[11,"borrow_mut","","",270,[[]]],[11,"try_from","","",270,[[],["result",4]]],[11,"into","","",270,[[]]],[11,"try_into","","",270,[[],["result",4]]],[11,"into_iter","","",270,[[]]],[11,"type_id","","",270,[[],["typeid",3]]],[11,"to_owned","","",270,[[]]],[11,"clone_into","","",270,[[]]],[11,"from","","",271,[[]]],[11,"borrow","","",271,[[]]],[11,"borrow_mut","","",271,[[]]],[11,"try_from","","",271,[[],["result",4]]],[11,"into","","",271,[[]]],[11,"try_into","","",271,[[],["result",4]]],[11,"into_iter","","",271,[[]]],[11,"type_id","","",271,[[],["typeid",3]]],[11,"to_owned","","",271,[[]]],[11,"clone_into","","",271,[[]]],[11,"from","","",272,[[]]],[11,"borrow","","",272,[[]]],[11,"borrow_mut","","",272,[[]]],[11,"try_from","","",272,[[],["result",4]]],[11,"into","","",272,[[]]],[11,"try_into","","",272,[[],["result",4]]],[11,"into_iter","","",272,[[]]],[11,"type_id","","",272,[[],["typeid",3]]],[11,"from","std::collections","",273,[[]]],[11,"borrow","","",273,[[]]],[11,"borrow_mut","","",273,[[]]],[11,"try_from","","",273,[[],["result",4]]],[11,"into","","",273,[[]]],[11,"try_into","","",273,[[],["result",4]]],[11,"type_id","","",273,[[],["typeid",3]]],[11,"to_owned","","",273,[[]]],[11,"clone_into","","",273,[[]]],[11,"from","std::collections::btree_set","",274,[[]]],[11,"borrow","","",274,[[]]],[11,"borrow_mut","","",274,[[]]],[11,"try_from","","",274,[[],["result",4]]],[11,"into","","",274,[[]]],[11,"try_into","","",274,[[],["result",4]]],[11,"into_iter","","",274,[[]]],[11,"type_id","","",274,[[],["typeid",3]]],[11,"from","","",275,[[]]],[11,"borrow","","",275,[[]]],[11,"borrow_mut","","",275,[[]]],[11,"try_from","","",275,[[],["result",4]]],[11,"into","","",275,[[]]],[11,"try_into","","",275,[[],["result",4]]],[11,"into_iter","","",275,[[]]],[11,"type_id","","",275,[[],["typeid",3]]],[11,"to_owned","","",275,[[]]],[11,"clone_into","","",275,[[]]],[11,"from","std::collections","",276,[[]]],[11,"borrow","","",276,[[]]],[11,"borrow_mut","","",276,[[]]],[11,"try_from","","",276,[[],["result",4]]],[11,"into","","",276,[[]]],[11,"try_into","","",276,[[],["result",4]]],[11,"type_id","","",276,[[],["typeid",3]]],[11,"to_owned","","",276,[[]]],[11,"clone_into","","",276,[[]]],[11,"from","std::collections::linked_list","",277,[[]]],[11,"borrow","","",277,[[]]],[11,"borrow_mut","","",277,[[]]],[11,"try_from","","",277,[[],["result",4]]],[11,"into","","",277,[[]]],[11,"try_into","","",277,[[],["result",4]]],[11,"into_iter","","",277,[[]]],[11,"type_id","","",277,[[],["typeid",3]]],[11,"to_owned","","",277,[[]]],[11,"clone_into","","",277,[[]]],[11,"from","","",278,[[]]],[11,"borrow","","",278,[[]]],[11,"borrow_mut","","",278,[[]]],[11,"try_from","","",278,[[],["result",4]]],[11,"into","","",278,[[]]],[11,"try_into","","",278,[[],["result",4]]],[11,"into_iter","","",278,[[]]],[11,"type_id","","",278,[[],["typeid",3]]],[11,"from","","",279,[[]]],[11,"borrow","","",279,[[]]],[11,"borrow_mut","","",279,[[]]],[11,"try_from","","",279,[[],["result",4]]],[11,"into","","",279,[[]]],[11,"try_into","","",279,[[],["result",4]]],[11,"into_iter","","",279,[[]]],[11,"type_id","","",279,[[],["typeid",3]]],[11,"to_owned","","",279,[[]]],[11,"clone_into","","",279,[[]]],[11,"from","","",280,[[]]],[11,"borrow","","",280,[[]]],[11,"borrow_mut","","",280,[[]]],[11,"try_from","","",280,[[],["result",4]]],[11,"into","","",280,[[]]],[11,"try_into","","",280,[[],["result",4]]],[11,"type_id","","",280,[[],["typeid",3]]],[11,"to_owned","","",280,[[]]],[11,"clone_into","","",280,[[]]],[11,"from","","",281,[[]]],[11,"borrow","","",281,[[]]],[11,"borrow_mut","","",281,[[]]],[11,"try_from","","",281,[[],["result",4]]],[11,"into","","",281,[[]]],[11,"try_into","","",281,[[],["result",4]]],[11,"type_id","","",281,[[],["typeid",3]]],[11,"from","","",282,[[]]],[11,"borrow","","",282,[[]]],[11,"borrow_mut","","",282,[[]]],[11,"try_from","","",282,[[],["result",4]]],[11,"into","","",282,[[]]],[11,"try_into","","",282,[[],["result",4]]],[11,"into_iter","","",282,[[]]],[11,"type_id","","",282,[[],["typeid",3]]],[11,"from","std::collections","",283,[[]]],[11,"borrow","","",283,[[]]],[11,"borrow_mut","","",283,[[]]],[11,"try_from","","",283,[[],["result",4]]],[11,"into","","",283,[[]]],[11,"try_into","","",283,[[],["result",4]]],[11,"type_id","","",283,[[],["typeid",3]]],[11,"to_owned","","",283,[[]]],[11,"clone_into","","",283,[[]]],[11,"from","std::collections::vec_deque","",284,[[]]],[11,"borrow","","",284,[[]]],[11,"borrow_mut","","",284,[[]]],[11,"try_from","","",284,[[],["result",4]]],[11,"into","","",284,[[]]],[11,"try_into","","",284,[[],["result",4]]],[11,"into_iter","","",284,[[]]],[11,"type_id","","",284,[[],["typeid",3]]],[11,"from","","",285,[[]]],[11,"borrow","","",285,[[]]],[11,"borrow_mut","","",285,[[]]],[11,"try_from","","",285,[[],["result",4]]],[11,"into","","",285,[[]]],[11,"try_into","","",285,[[],["result",4]]],[11,"into_iter","","",285,[[]]],[11,"type_id","","",285,[[],["typeid",3]]],[11,"from","","",286,[[]]],[11,"borrow","","",286,[[]]],[11,"borrow_mut","","",286,[[]]],[11,"try_from","","",286,[[],["result",4]]],[11,"into","","",286,[[]]],[11,"try_into","","",286,[[],["result",4]]],[11,"into_iter","","",286,[[]]],[11,"type_id","","",286,[[],["typeid",3]]],[11,"to_owned","","",286,[[]]],[11,"clone_into","","",286,[[]]],[11,"from","","",287,[[]]],[11,"borrow","","",287,[[]]],[11,"borrow_mut","","",287,[[]]],[11,"try_from","","",287,[[],["result",4]]],[11,"into","","",287,[[]]],[11,"try_into","","",287,[[],["result",4]]],[11,"into_iter","","",287,[[]]],[11,"type_id","","",287,[[],["typeid",3]]],[11,"to_owned","","",287,[[]]],[11,"clone_into","","",287,[[]]],[11,"from","std::collections","",10,[[]]],[11,"borrow","","",10,[[]]],[11,"borrow_mut","","",10,[[]]],[11,"try_from","","",10,[[],["result",4]]],[11,"into","","",10,[[]]],[11,"try_into","","",10,[[],["result",4]]],[11,"type_id","","",10,[[],["typeid",3]]],[11,"to_owned","","",10,[[]]],[11,"clone_into","","",10,[[]]],[11,"to_string","","",10,[[],["string",3]]],[11,"from","std::env","",288,[[]]],[11,"borrow","","",288,[[]]],[11,"borrow_mut","","",288,[[]]],[11,"try_from","","",288,[[],["result",4]]],[11,"into","","",288,[[]]],[11,"try_into","","",288,[[],["result",4]]],[11,"into_iter","","",288,[[]]],[11,"type_id","","",288,[[],["typeid",3]]],[11,"from","","",289,[[]]],[11,"borrow","","",289,[[]]],[11,"borrow_mut","","",289,[[]]],[11,"try_from","","",289,[[],["result",4]]],[11,"into","","",289,[[]]],[11,"try_into","","",289,[[],["result",4]]],[11,"into_iter","","",289,[[]]],[11,"type_id","","",289,[[],["typeid",3]]],[11,"from","","",12,[[]]],[11,"borrow","","",12,[[]]],[11,"borrow_mut","","",12,[[]]],[11,"try_from","","",12,[[],["result",4]]],[11,"into","","",12,[[]]],[11,"try_into","","",12,[[],["result",4]]],[11,"type_id","","",12,[[],["typeid",3]]],[11,"to_owned","","",12,[[]]],[11,"clone_into","","",12,[[]]],[11,"to_string","","",12,[[],["string",3]]],[11,"from","","",290,[[]]],[11,"borrow","","",290,[[]]],[11,"borrow_mut","","",290,[[]]],[11,"try_from","","",290,[[],["result",4]]],[11,"into","","",290,[[]]],[11,"try_into","","",290,[[],["result",4]]],[11,"into_iter","","",290,[[]]],[11,"type_id","","",290,[[],["typeid",3]]],[11,"from","","",291,[[]]],[11,"borrow","","",291,[[]]],[11,"borrow_mut","","",291,[[]]],[11,"try_from","","",291,[[],["result",4]]],[11,"into","","",291,[[]]],[11,"try_into","","",291,[[],["result",4]]],[11,"type_id","","",291,[[],["typeid",3]]],[11,"to_string","","",291,[[],["string",3]]],[11,"from","","",292,[[]]],[11,"borrow","","",292,[[]]],[11,"borrow_mut","","",292,[[]]],[11,"try_from","","",292,[[],["result",4]]],[11,"into","","",292,[[]]],[11,"try_into","","",292,[[],["result",4]]],[11,"into_iter","","",292,[[]]],[11,"type_id","","",292,[[],["typeid",3]]],[11,"from","","",293,[[]]],[11,"borrow","","",293,[[]]],[11,"borrow_mut","","",293,[[]]],[11,"try_from","","",293,[[],["result",4]]],[11,"into","","",293,[[]]],[11,"try_into","","",293,[[],["result",4]]],[11,"into_iter","","",293,[[]]],[11,"type_id","","",293,[[],["typeid",3]]],[11,"from","std::error","",294,[[]]],[11,"borrow","","",294,[[]]],[11,"borrow_mut","","",294,[[]]],[11,"try_from","","",294,[[],["result",4]]],[11,"into","","",294,[[]]],[11,"try_into","","",294,[[],["result",4]]],[11,"into_iter","","",294,[[]]],[11,"type_id","","",294,[[],["typeid",3]]],[11,"to_owned","","",294,[[]]],[11,"clone_into","","",294,[[]]],[11,"from","std::ffi","",295,[[]]],[11,"borrow","","",295,[[]]],[11,"borrow_mut","","",295,[[]]],[11,"try_from","","",295,[[],["result",4]]],[11,"into","","",295,[[]]],[11,"try_into","","",295,[[],["result",4]]],[11,"type_id","","",295,[[],["typeid",3]]],[11,"to_owned","","",295,[[]]],[11,"clone_into","","",295,[[]]],[11,"borrow","","",296,[[]]],[11,"borrow_mut","","",296,[[]]],[11,"type_id","","",296,[[],["typeid",3]]],[11,"from","","",297,[[]]],[11,"borrow","","",297,[[]]],[11,"borrow_mut","","",297,[[]]],[11,"try_from","","",297,[[],["result",4]]],[11,"into","","",297,[[]]],[11,"try_into","","",297,[[],["result",4]]],[11,"type_id","","",297,[[],["typeid",3]]],[11,"to_owned","","",297,[[]]],[11,"clone_into","","",297,[[]]],[11,"to_string","","",297,[[],["string",3]]],[11,"from","","",298,[[]]],[11,"borrow","","",298,[[]]],[11,"borrow_mut","","",298,[[]]],[11,"try_from","","",298,[[],["result",4]]],[11,"into","","",298,[[]]],[11,"try_into","","",298,[[],["result",4]]],[11,"type_id","","",298,[[],["typeid",3]]],[11,"to_owned","","",298,[[]]],[11,"clone_into","","",298,[[]]],[11,"to_string","","",298,[[],["string",3]]],[11,"from","","",299,[[]]],[11,"borrow","","",299,[[]]],[11,"borrow_mut","","",299,[[]]],[11,"try_from","","",299,[[],["result",4]]],[11,"into","","",299,[[]]],[11,"try_into","","",299,[[],["result",4]]],[11,"type_id","","",299,[[],["typeid",3]]],[11,"to_owned","","",299,[[]]],[11,"clone_into","","",299,[[]]],[11,"to_string","","",299,[[],["string",3]]],[11,"from","","",300,[[]]],[11,"borrow","","",300,[[]]],[11,"borrow_mut","","",300,[[]]],[11,"try_from","","",300,[[],["result",4]]],[11,"into","","",300,[[]]],[11,"try_into","","",300,[[],["result",4]]],[11,"type_id","","",300,[[],["typeid",3]]],[11,"to_owned","","",300,[[]]],[11,"clone_into","","",300,[[]]],[11,"to_string","","",300,[[],["string",3]]],[11,"from","","",301,[[]]],[11,"borrow","","",301,[[]]],[11,"borrow_mut","","",301,[[]]],[11,"try_from","","",301,[[],["result",4]]],[11,"into","","",301,[[]]],[11,"try_into","","",301,[[],["result",4]]],[11,"type_id","","",301,[[],["typeid",3]]],[11,"to_owned","","",301,[[]]],[11,"clone_into","","",301,[[]]],[11,"borrow","","",302,[[]]],[11,"borrow_mut","","",302,[[]]],[11,"type_id","","",302,[[],["typeid",3]]],[11,"from","","",303,[[]]],[11,"borrow","","",303,[[]]],[11,"borrow_mut","","",303,[[]]],[11,"try_from","","",303,[[],["result",4]]],[11,"into","","",303,[[]]],[11,"try_into","","",303,[[],["result",4]]],[11,"type_id","","",303,[[],["typeid",3]]],[11,"from","","",304,[[]]],[11,"borrow","","",304,[[]]],[11,"borrow_mut","","",304,[[]]],[11,"try_from","","",304,[[],["result",4]]],[11,"into","","",304,[[]]],[11,"try_into","","",304,[[],["result",4]]],[11,"type_id","","",304,[[],["typeid",3]]],[11,"from","","",305,[[]]],[11,"borrow","","",305,[[]]],[11,"borrow_mut","","",305,[[]]],[11,"try_from","","",305,[[],["result",4]]],[11,"into","","",305,[[]]],[11,"try_into","","",305,[[],["result",4]]],[11,"type_id","","",305,[[],["typeid",3]]],[11,"to_owned","","",305,[[]]],[11,"clone_into","","",305,[[]]],[11,"from","std::fs","",14,[[]]],[11,"borrow","","",14,[[]]],[11,"borrow_mut","","",14,[[]]],[11,"try_from","","",14,[[],["result",4]]],[11,"into","","",14,[[]]],[11,"try_into","","",14,[[],["result",4]]],[11,"type_id","","",14,[[],["typeid",3]]],[11,"from","","",16,[[]]],[11,"borrow","","",16,[[]]],[11,"borrow_mut","","",16,[[]]],[11,"try_from","","",16,[[],["result",4]]],[11,"into","","",16,[[]]],[11,"try_into","","",16,[[],["result",4]]],[11,"type_id","","",16,[[],["typeid",3]]],[11,"to_owned","","",16,[[]]],[11,"clone_into","","",16,[[]]],[11,"from","","",306,[[]]],[11,"borrow","","",306,[[]]],[11,"borrow_mut","","",306,[[]]],[11,"try_from","","",306,[[],["result",4]]],[11,"into","","",306,[[]]],[11,"try_into","","",306,[[],["result",4]]],[11,"into_iter","","",306,[[]]],[11,"type_id","","",306,[[],["typeid",3]]],[11,"from","","",19,[[]]],[11,"borrow","","",19,[[]]],[11,"borrow_mut","","",19,[[]]],[11,"try_from","","",19,[[],["result",4]]],[11,"into","","",19,[[]]],[11,"try_into","","",19,[[],["result",4]]],[11,"type_id","","",19,[[],["typeid",3]]],[11,"from","","",15,[[]]],[11,"borrow","","",15,[[]]],[11,"borrow_mut","","",15,[[]]],[11,"try_from","","",15,[[],["result",4]]],[11,"into","","",15,[[]]],[11,"try_into","","",15,[[],["result",4]]],[11,"type_id","","",15,[[],["typeid",3]]],[11,"to_owned","","",15,[[]]],[11,"clone_into","","",15,[[]]],[11,"from","","",17,[[]]],[11,"borrow","","",17,[[]]],[11,"borrow_mut","","",17,[[]]],[11,"try_from","","",17,[[],["result",4]]],[11,"into","","",17,[[]]],[11,"try_into","","",17,[[],["result",4]]],[11,"type_id","","",17,[[],["typeid",3]]],[11,"to_owned","","",17,[[]]],[11,"clone_into","","",17,[[]]],[11,"from","","",18,[[]]],[11,"borrow","","",18,[[]]],[11,"borrow_mut","","",18,[[]]],[11,"try_from","","",18,[[],["result",4]]],[11,"into","","",18,[[]]],[11,"try_into","","",18,[[],["result",4]]],[11,"type_id","","",18,[[],["typeid",3]]],[11,"to_owned","","",18,[[]]],[11,"clone_into","","",18,[[]]],[11,"from","","",20,[[]]],[11,"borrow","","",20,[[]]],[11,"borrow_mut","","",20,[[]]],[11,"try_from","","",20,[[],["result",4]]],[11,"into","","",20,[[]]],[11,"try_into","","",20,[[],["result",4]]],[11,"type_id","","",20,[[],["typeid",3]]],[11,"from","std::io","",307,[[]]],[11,"borrow","","",307,[[]]],[11,"borrow_mut","","",307,[[]]],[11,"try_from","","",307,[[],["result",4]]],[11,"into","","",307,[[]]],[11,"try_into","","",307,[[],["result",4]]],[11,"type_id","","",307,[[],["typeid",3]]],[11,"from","","",308,[[]]],[11,"borrow","","",308,[[]]],[11,"borrow_mut","","",308,[[]]],[11,"try_from","","",308,[[],["result",4]]],[11,"into","","",308,[[]]],[11,"try_into","","",308,[[],["result",4]]],[11,"type_id","","",308,[[],["typeid",3]]],[11,"from","","",309,[[]]],[11,"borrow","","",309,[[]]],[11,"borrow_mut","","",309,[[]]],[11,"try_from","","",309,[[],["result",4]]],[11,"into","","",309,[[]]],[11,"try_into","","",309,[[],["result",4]]],[11,"type_id","","",309,[[],["typeid",3]]],[11,"from","","",310,[[]]],[11,"borrow","","",310,[[]]],[11,"borrow_mut","","",310,[[]]],[11,"try_from","","",310,[[],["result",4]]],[11,"into","","",310,[[]]],[11,"try_into","","",310,[[],["result",4]]],[11,"type_id","","",310,[[],["typeid",3]]],[11,"to_string","","",310,[[],["string",3]]],[11,"from","","",311,[[]]],[11,"borrow","","",311,[[]]],[11,"borrow_mut","","",311,[[]]],[11,"try_from","","",311,[[],["result",4]]],[11,"into","","",311,[[]]],[11,"try_into","","",311,[[],["result",4]]],[11,"type_id","","",311,[[],["typeid",3]]],[11,"to_owned","","",311,[[]]],[11,"clone_into","","",311,[[]]],[11,"from","","",312,[[]]],[11,"borrow","","",312,[[]]],[11,"borrow_mut","","",312,[[]]],[11,"try_from","","",312,[[],["result",4]]],[11,"into","","",312,[[]]],[11,"try_into","","",312,[[],["result",4]]],[11,"type_id","","",312,[[],["typeid",3]]],[11,"to_string","","",312,[[],["string",3]]],[11,"from","","",21,[[]]],[11,"borrow","","",21,[[]]],[11,"borrow_mut","","",21,[[]]],[11,"try_from","","",21,[[],["result",4]]],[11,"into","","",21,[[]]],[11,"try_into","","",21,[[],["result",4]]],[11,"type_id","","",21,[[],["typeid",3]]],[11,"to_owned","","",21,[[]]],[11,"clone_into","","",21,[[]]],[11,"from","","",313,[[]]],[11,"borrow","","",313,[[]]],[11,"borrow_mut","","",313,[[]]],[11,"try_from","","",313,[[],["result",4]]],[11,"into","","",313,[[]]],[11,"try_into","","",313,[[],["result",4]]],[11,"type_id","","",313,[[],["typeid",3]]],[11,"from","","",314,[[]]],[11,"borrow","","",314,[[]]],[11,"borrow_mut","","",314,[[]]],[11,"try_from","","",314,[[],["result",4]]],[11,"into","","",314,[[]]],[11,"try_into","","",314,[[],["result",4]]],[11,"type_id","","",314,[[],["typeid",3]]],[11,"from","","",315,[[]]],[11,"borrow","","",315,[[]]],[11,"borrow_mut","","",315,[[]]],[11,"try_from","","",315,[[],["result",4]]],[11,"into","","",315,[[]]],[11,"try_into","","",315,[[],["result",4]]],[11,"type_id","","",315,[[],["typeid",3]]],[11,"from","","",316,[[]]],[11,"borrow","","",316,[[]]],[11,"borrow_mut","","",316,[[]]],[11,"try_from","","",316,[[],["result",4]]],[11,"into","","",316,[[]]],[11,"try_into","","",316,[[],["result",4]]],[11,"type_id","","",316,[[],["typeid",3]]],[11,"from","","",317,[[]]],[11,"borrow","","",317,[[]]],[11,"borrow_mut","","",317,[[]]],[11,"try_from","","",317,[[],["result",4]]],[11,"into","","",317,[[]]],[11,"try_into","","",317,[[],["result",4]]],[11,"type_id","","",317,[[],["typeid",3]]],[11,"from","","",318,[[]]],[11,"borrow","","",318,[[]]],[11,"borrow_mut","","",318,[[]]],[11,"try_from","","",318,[[],["result",4]]],[11,"into","","",318,[[]]],[11,"try_into","","",318,[[],["result",4]]],[11,"type_id","","",318,[[],["typeid",3]]],[11,"from","","",319,[[]]],[11,"borrow","","",319,[[]]],[11,"borrow_mut","","",319,[[]]],[11,"try_from","","",319,[[],["result",4]]],[11,"into","","",319,[[]]],[11,"try_into","","",319,[[],["result",4]]],[11,"type_id","","",319,[[],["typeid",3]]],[11,"from","","",320,[[]]],[11,"borrow","","",320,[[]]],[11,"borrow_mut","","",320,[[]]],[11,"try_from","","",320,[[],["result",4]]],[11,"into","","",320,[[]]],[11,"try_into","","",320,[[],["result",4]]],[11,"type_id","","",320,[[],["typeid",3]]],[11,"from","","",321,[[]]],[11,"borrow","","",321,[[]]],[11,"borrow_mut","","",321,[[]]],[11,"try_from","","",321,[[],["result",4]]],[11,"into","","",321,[[]]],[11,"try_into","","",321,[[],["result",4]]],[11,"type_id","","",321,[[],["typeid",3]]],[11,"from","","",23,[[]]],[11,"borrow","","",23,[[]]],[11,"borrow_mut","","",23,[[]]],[11,"try_from","","",23,[[],["result",4]]],[11,"into","","",23,[[]]],[11,"try_into","","",23,[[],["result",4]]],[11,"type_id","","",23,[[],["typeid",3]]],[11,"from","","",24,[[]]],[11,"borrow","","",24,[[]]],[11,"borrow_mut","","",24,[[]]],[11,"try_from","","",24,[[],["result",4]]],[11,"into","","",24,[[]]],[11,"try_into","","",24,[[],["result",4]]],[11,"type_id","","",24,[[],["typeid",3]]],[11,"to_owned","","",24,[[]]],[11,"clone_into","","",24,[[]]],[11,"from","","",25,[[]]],[11,"borrow","","",25,[[]]],[11,"borrow_mut","","",25,[[]]],[11,"try_from","","",25,[[],["result",4]]],[11,"into","","",25,[[]]],[11,"try_into","","",25,[[],["result",4]]],[11,"type_id","","",25,[[],["typeid",3]]],[11,"from","","",28,[[]]],[11,"borrow","","",28,[[]]],[11,"borrow_mut","","",28,[[]]],[11,"try_from","","",28,[[],["result",4]]],[11,"into","","",28,[[]]],[11,"try_into","","",28,[[],["result",4]]],[11,"type_id","","",28,[[],["typeid",3]]],[11,"to_owned","","",28,[[]]],[11,"clone_into","","",28,[[]]],[11,"from","","",30,[[]]],[11,"borrow","","",30,[[]]],[11,"borrow_mut","","",30,[[]]],[11,"try_from","","",30,[[],["result",4]]],[11,"into","","",30,[[]]],[11,"try_into","","",30,[[],["result",4]]],[11,"type_id","","",30,[[],["typeid",3]]],[11,"from","","",31,[[]]],[11,"borrow","","",31,[[]]],[11,"borrow_mut","","",31,[[]]],[11,"try_from","","",31,[[],["result",4]]],[11,"into","","",31,[[]]],[11,"try_into","","",31,[[],["result",4]]],[11,"type_id","","",31,[[],["typeid",3]]],[11,"from","","",322,[[]]],[11,"borrow","","",322,[[]]],[11,"borrow_mut","","",322,[[]]],[11,"try_from","","",322,[[],["result",4]]],[11,"into","","",322,[[]]],[11,"try_into","","",322,[[],["result",4]]],[11,"into_iter","","",322,[[]]],[11,"type_id","","",322,[[],["typeid",3]]],[11,"from","","",323,[[]]],[11,"borrow","","",323,[[]]],[11,"borrow_mut","","",323,[[]]],[11,"try_from","","",323,[[],["result",4]]],[11,"into","","",323,[[]]],[11,"try_into","","",323,[[],["result",4]]],[11,"into_iter","","",323,[[]]],[11,"type_id","","",323,[[],["typeid",3]]],[11,"from","","",324,[[]]],[11,"borrow","","",324,[[]]],[11,"borrow_mut","","",324,[[]]],[11,"try_from","","",324,[[],["result",4]]],[11,"into","","",324,[[]]],[11,"try_into","","",324,[[],["result",4]]],[11,"into_iter","","",324,[[]]],[11,"type_id","","",324,[[],["typeid",3]]],[11,"from","std::net","",32,[[]]],[11,"borrow","","",32,[[]]],[11,"borrow_mut","","",32,[[]]],[11,"try_from","","",32,[[],["result",4]]],[11,"into","","",32,[[]]],[11,"try_into","","",32,[[],["result",4]]],[11,"type_id","","",32,[[],["typeid",3]]],[11,"to_owned","","",32,[[]]],[11,"clone_into","","",32,[[]]],[11,"to_string","","",32,[[],["string",3]]],[11,"from","","",325,[[]]],[11,"borrow","","",325,[[]]],[11,"borrow_mut","","",325,[[]]],[11,"try_from","","",325,[[],["result",4]]],[11,"into","","",325,[[]]],[11,"try_into","","",325,[[],["result",4]]],[11,"type_id","","",325,[[],["typeid",3]]],[11,"to_owned","","",325,[[]]],[11,"clone_into","","",325,[[]]],[11,"to_string","","",325,[[],["string",3]]],[11,"from","","",326,[[]]],[11,"borrow","","",326,[[]]],[11,"borrow_mut","","",326,[[]]],[11,"try_from","","",326,[[],["result",4]]],[11,"into","","",326,[[]]],[11,"try_into","","",326,[[],["result",4]]],[11,"type_id","","",326,[[],["typeid",3]]],[11,"to_owned","","",326,[[]]],[11,"clone_into","","",326,[[]]],[11,"to_string","","",326,[[],["string",3]]],[11,"from","","",34,[[]]],[11,"borrow","","",34,[[]]],[11,"borrow_mut","","",34,[[]]],[11,"try_from","","",34,[[],["result",4]]],[11,"into","","",34,[[]]],[11,"try_into","","",34,[[],["result",4]]],[11,"type_id","","",34,[[],["typeid",3]]],[11,"to_owned","","",34,[[]]],[11,"clone_into","","",34,[[]]],[11,"to_string","","",34,[[],["string",3]]],[11,"from","","",327,[[]]],[11,"borrow","","",327,[[]]],[11,"borrow_mut","","",327,[[]]],[11,"try_from","","",327,[[],["result",4]]],[11,"into","","",327,[[]]],[11,"try_into","","",327,[[],["result",4]]],[11,"type_id","","",327,[[],["typeid",3]]],[11,"to_owned","","",327,[[]]],[11,"clone_into","","",327,[[]]],[11,"to_string","","",327,[[],["string",3]]],[11,"from","","",328,[[]]],[11,"borrow","","",328,[[]]],[11,"borrow_mut","","",328,[[]]],[11,"try_from","","",328,[[],["result",4]]],[11,"into","","",328,[[]]],[11,"try_into","","",328,[[],["result",4]]],[11,"type_id","","",328,[[],["typeid",3]]],[11,"to_owned","","",328,[[]]],[11,"clone_into","","",328,[[]]],[11,"to_string","","",328,[[],["string",3]]],[11,"from","","",35,[[]]],[11,"borrow","","",35,[[]]],[11,"borrow_mut","","",35,[[]]],[11,"try_from","","",35,[[],["result",4]]],[11,"into","","",35,[[]]],[11,"try_into","","",35,[[],["result",4]]],[11,"type_id","","",35,[[],["typeid",3]]],[11,"to_owned","","",35,[[]]],[11,"clone_into","","",35,[[]]],[11,"from","","",329,[[]]],[11,"borrow","","",329,[[]]],[11,"borrow_mut","","",329,[[]]],[11,"try_from","","",329,[[],["result",4]]],[11,"into","","",329,[[]]],[11,"try_into","","",329,[[],["result",4]]],[11,"type_id","","",329,[[],["typeid",3]]],[11,"to_owned","","",329,[[]]],[11,"clone_into","","",329,[[]]],[11,"to_string","","",329,[[],["string",3]]],[11,"from","","",330,[[]]],[11,"borrow","","",330,[[]]],[11,"borrow_mut","","",330,[[]]],[11,"try_from","","",330,[[],["result",4]]],[11,"into","","",330,[[]]],[11,"try_into","","",330,[[],["result",4]]],[11,"type_id","","",330,[[],["typeid",3]]],[11,"from","","",331,[[]]],[11,"borrow","","",331,[[]]],[11,"borrow_mut","","",331,[[]]],[11,"try_from","","",331,[[],["result",4]]],[11,"into","","",331,[[]]],[11,"try_into","","",331,[[],["result",4]]],[11,"type_id","","",331,[[],["typeid",3]]],[11,"from","","",332,[[]]],[11,"borrow","","",332,[[]]],[11,"borrow_mut","","",332,[[]]],[11,"try_from","","",332,[[],["result",4]]],[11,"into","","",332,[[]]],[11,"try_into","","",332,[[],["result",4]]],[11,"into_iter","","",332,[[]]],[11,"type_id","","",332,[[],["typeid",3]]],[11,"from","","",333,[[]]],[11,"borrow","","",333,[[]]],[11,"borrow_mut","","",333,[[]]],[11,"try_from","","",333,[[],["result",4]]],[11,"into","","",333,[[]]],[11,"try_into","","",333,[[],["result",4]]],[11,"type_id","","",333,[[],["typeid",3]]],[11,"from","","",36,[[]]],[11,"borrow","","",36,[[]]],[11,"borrow_mut","","",36,[[]]],[11,"try_from","","",36,[[],["result",4]]],[11,"into","","",36,[[]]],[11,"try_into","","",36,[[],["result",4]]],[11,"type_id","","",36,[[],["typeid",3]]],[11,"to_owned","","",36,[[]]],[11,"clone_into","","",36,[[]]],[11,"from","std::num","",37,[[]]],[11,"borrow","","",37,[[]]],[11,"borrow_mut","","",37,[[]]],[11,"try_from","","",37,[[],["result",4]]],[11,"into","","",37,[[]]],[11,"try_into","","",37,[[],["result",4]]],[11,"type_id","","",37,[[],["typeid",3]]],[11,"to_owned","","",37,[[]]],[11,"clone_into","","",37,[[]]],[11,"to_string","","",37,[[],["string",3]]],[11,"from","","",38,[[]]],[11,"borrow","","",38,[[]]],[11,"borrow_mut","","",38,[[]]],[11,"try_from","","",38,[[],["result",4]]],[11,"into","","",38,[[]]],[11,"try_into","","",38,[[],["result",4]]],[11,"type_id","","",38,[[],["typeid",3]]],[11,"to_owned","","",38,[[]]],[11,"clone_into","","",38,[[]]],[11,"from","","",334,[[]]],[11,"borrow","","",334,[[]]],[11,"borrow_mut","","",334,[[]]],[11,"try_from","","",334,[[],["result",4]]],[11,"into","","",334,[[]]],[11,"try_into","","",334,[[],["result",4]]],[11,"type_id","","",334,[[],["typeid",3]]],[11,"to_owned","","",334,[[]]],[11,"clone_into","","",334,[[]]],[11,"to_string","","",334,[[],["string",3]]],[11,"from","","",335,[[]]],[11,"borrow","","",335,[[]]],[11,"borrow_mut","","",335,[[]]],[11,"try_from","","",335,[[],["result",4]]],[11,"into","","",335,[[]]],[11,"try_into","","",335,[[],["result",4]]],[11,"type_id","","",335,[[],["typeid",3]]],[11,"to_owned","","",335,[[]]],[11,"clone_into","","",335,[[]]],[11,"to_string","","",335,[[],["string",3]]],[11,"from","","",336,[[]]],[11,"from","","",336,[[]]],[11,"borrow","","",336,[[]]],[11,"borrow_mut","","",336,[[]]],[11,"try_from","","",336,[[],["result",4]]],[11,"into","","",336,[[]]],[11,"try_into","","",336,[[],["result",4]]],[11,"type_id","","",336,[[],["typeid",3]]],[11,"to_owned","","",336,[[]]],[11,"clone_into","","",336,[[]]],[11,"to_string","","",336,[[],["string",3]]],[11,"from","","",337,[[]]],[11,"borrow","","",337,[[]]],[11,"borrow_mut","","",337,[[]]],[11,"try_from","","",337,[[],["result",4]]],[11,"into","","",337,[[]]],[11,"try_into","","",337,[[],["result",4]]],[11,"type_id","","",337,[[],["typeid",3]]],[11,"to_owned","","",337,[[]]],[11,"clone_into","","",337,[[]]],[11,"to_string","","",337,[[],["string",3]]],[11,"from","","",338,[[]]],[11,"borrow","","",338,[[]]],[11,"borrow_mut","","",338,[[]]],[11,"try_from","","",338,[[],["result",4]]],[11,"into","","",338,[[]]],[11,"try_into","","",338,[[],["result",4]]],[11,"type_id","","",338,[[],["typeid",3]]],[11,"to_owned","","",338,[[]]],[11,"clone_into","","",338,[[]]],[11,"to_string","","",338,[[],["string",3]]],[11,"from","","",339,[[]]],[11,"borrow","","",339,[[]]],[11,"borrow_mut","","",339,[[]]],[11,"try_from","","",339,[[],["result",4]]],[11,"into","","",339,[[]]],[11,"try_into","","",339,[[],["result",4]]],[11,"type_id","","",339,[[],["typeid",3]]],[11,"to_owned","","",339,[[]]],[11,"clone_into","","",339,[[]]],[11,"to_string","","",339,[[],["string",3]]],[11,"from","","",340,[[]]],[11,"borrow","","",340,[[]]],[11,"borrow_mut","","",340,[[]]],[11,"try_from","","",340,[[],["result",4]]],[11,"into","","",340,[[]]],[11,"try_into","","",340,[[],["result",4]]],[11,"type_id","","",340,[[],["typeid",3]]],[11,"to_owned","","",340,[[]]],[11,"clone_into","","",340,[[]]],[11,"to_string","","",340,[[],["string",3]]],[11,"from","","",341,[[]]],[11,"borrow","","",341,[[]]],[11,"borrow_mut","","",341,[[]]],[11,"try_from","","",341,[[],["result",4]]],[11,"into","","",341,[[]]],[11,"try_into","","",341,[[],["result",4]]],[11,"type_id","","",341,[[],["typeid",3]]],[11,"to_owned","","",341,[[]]],[11,"clone_into","","",341,[[]]],[11,"to_string","","",341,[[],["string",3]]],[11,"from","","",342,[[]]],[11,"borrow","","",342,[[]]],[11,"borrow_mut","","",342,[[]]],[11,"try_from","","",342,[[],["result",4]]],[11,"into","","",342,[[]]],[11,"try_into","","",342,[[],["result",4]]],[11,"type_id","","",342,[[],["typeid",3]]],[11,"to_owned","","",342,[[]]],[11,"clone_into","","",342,[[]]],[11,"to_string","","",342,[[],["string",3]]],[11,"from","","",343,[[]]],[11,"borrow","","",343,[[]]],[11,"borrow_mut","","",343,[[]]],[11,"try_from","","",343,[[],["result",4]]],[11,"into","","",343,[[]]],[11,"try_into","","",343,[[],["result",4]]],[11,"type_id","","",343,[[],["typeid",3]]],[11,"to_owned","","",343,[[]]],[11,"clone_into","","",343,[[]]],[11,"to_string","","",343,[[],["string",3]]],[11,"from","","",344,[[]]],[11,"borrow","","",344,[[]]],[11,"borrow_mut","","",344,[[]]],[11,"try_from","","",344,[[],["result",4]]],[11,"into","","",344,[[]]],[11,"try_into","","",344,[[],["result",4]]],[11,"type_id","","",344,[[],["typeid",3]]],[11,"to_owned","","",344,[[]]],[11,"clone_into","","",344,[[]]],[11,"to_string","","",344,[[],["string",3]]],[11,"from","","",345,[[]]],[11,"borrow","","",345,[[]]],[11,"borrow_mut","","",345,[[]]],[11,"try_from","","",345,[[],["result",4]]],[11,"into","","",345,[[]]],[11,"try_into","","",345,[[],["result",4]]],[11,"type_id","","",345,[[],["typeid",3]]],[11,"to_owned","","",345,[[]]],[11,"clone_into","","",345,[[]]],[11,"to_string","","",345,[[],["string",3]]],[11,"from","","",346,[[]]],[11,"borrow","","",346,[[]]],[11,"borrow_mut","","",346,[[]]],[11,"try_from","","",346,[[],["result",4]]],[11,"into","","",346,[[]]],[11,"try_into","","",346,[[],["result",4]]],[11,"type_id","","",346,[[],["typeid",3]]],[11,"to_owned","","",346,[[]]],[11,"clone_into","","",346,[[]]],[11,"to_string","","",346,[[],["string",3]]],[11,"from","","",347,[[]]],[11,"borrow","","",347,[[]]],[11,"borrow_mut","","",347,[[]]],[11,"try_from","","",347,[[],["result",4]]],[11,"into","","",347,[[]]],[11,"try_into","","",347,[[],["result",4]]],[11,"type_id","","",347,[[],["typeid",3]]],[11,"to_owned","","",347,[[]]],[11,"clone_into","","",347,[[]]],[11,"to_string","","",347,[[],["string",3]]],[11,"from","","",348,[[]]],[11,"borrow","","",348,[[]]],[11,"borrow_mut","","",348,[[]]],[11,"try_from","","",348,[[],["result",4]]],[11,"into","","",348,[[]]],[11,"try_into","","",348,[[],["result",4]]],[11,"type_id","","",348,[[],["typeid",3]]],[11,"to_owned","","",348,[[]]],[11,"clone_into","","",348,[[]]],[11,"to_string","","",348,[[],["string",3]]],[11,"from","","",39,[[]]],[11,"borrow","","",39,[[]]],[11,"borrow_mut","","",39,[[]]],[11,"try_from","","",39,[[],["result",4]]],[11,"into","","",39,[[]]],[11,"try_into","","",39,[[],["result",4]]],[11,"type_id","","",39,[[],["typeid",3]]],[11,"to_owned","","",39,[[]]],[11,"clone_into","","",39,[[]]],[11,"from","std::os::unix::net","",107,[[]]],[11,"borrow","","",107,[[]]],[11,"borrow_mut","","",107,[[]]],[11,"try_from","","",107,[[],["result",4]]],[11,"into","","",107,[[]]],[11,"try_into","","",107,[[],["result",4]]],[11,"type_id","","",107,[[],["typeid",3]]],[11,"to_owned","","",107,[[]]],[11,"clone_into","","",107,[[]]],[11,"from","","",108,[[]]],[11,"borrow","","",108,[[]]],[11,"borrow_mut","","",108,[[]]],[11,"try_from","","",108,[[],["result",4]]],[11,"into","","",108,[[]]],[11,"try_into","","",108,[[],["result",4]]],[11,"type_id","","",108,[[],["typeid",3]]],[11,"to_owned","","",108,[[]]],[11,"clone_into","","",108,[[]]],[11,"from","","",349,[[]]],[11,"borrow","","",349,[[]]],[11,"borrow_mut","","",349,[[]]],[11,"try_from","","",349,[[],["result",4]]],[11,"into","","",349,[[]]],[11,"try_into","","",349,[[],["result",4]]],[11,"into_iter","","",349,[[]]],[11,"type_id","","",349,[[],["typeid",3]]],[11,"from","","",350,[[]]],[11,"borrow","","",350,[[]]],[11,"borrow_mut","","",350,[[]]],[11,"try_from","","",350,[[],["result",4]]],[11,"into","","",350,[[]]],[11,"try_into","","",350,[[],["result",4]]],[11,"into_iter","","",350,[[]]],[11,"type_id","","",350,[[],["typeid",3]]],[11,"from","","",52,[[]]],[11,"borrow","","",52,[[]]],[11,"borrow_mut","","",52,[[]]],[11,"try_from","","",52,[[],["result",4]]],[11,"into","","",52,[[]]],[11,"try_into","","",52,[[],["result",4]]],[11,"type_id","","",52,[[],["typeid",3]]],[11,"from","","",54,[[]]],[11,"borrow","","",54,[[]]],[11,"borrow_mut","","",54,[[]]],[11,"try_from","","",54,[[],["result",4]]],[11,"into","","",54,[[]]],[11,"try_into","","",54,[[],["result",4]]],[11,"type_id","","",54,[[],["typeid",3]]],[11,"from","","",351,[[]]],[11,"borrow","","",351,[[]]],[11,"borrow_mut","","",351,[[]]],[11,"try_from","","",351,[[],["result",4]]],[11,"into","","",351,[[]]],[11,"try_into","","",351,[[],["result",4]]],[11,"into_iter","","",351,[[]]],[11,"type_id","","",351,[[],["typeid",3]]],[11,"from","","",109,[[]]],[11,"borrow","","",109,[[]]],[11,"borrow_mut","","",109,[[]]],[11,"try_from","","",109,[[],["result",4]]],[11,"into","","",109,[[]]],[11,"try_into","","",109,[[],["result",4]]],[11,"type_id","","",109,[[],["typeid",3]]],[11,"from","","",110,[[]]],[11,"borrow","","",110,[[]]],[11,"borrow_mut","","",110,[[]]],[11,"try_from","","",110,[[],["result",4]]],[11,"into","","",110,[[]]],[11,"try_into","","",110,[[],["result",4]]],[11,"type_id","","",110,[[],["typeid",3]]],[11,"from","","",111,[[]]],[11,"borrow","","",111,[[]]],[11,"borrow_mut","","",111,[[]]],[11,"try_from","","",111,[[],["result",4]]],[11,"into","","",111,[[]]],[11,"try_into","","",111,[[],["result",4]]],[11,"type_id","","",111,[[],["typeid",3]]],[11,"from","","",352,[[]]],[11,"borrow","","",352,[[]]],[11,"borrow_mut","","",352,[[]]],[11,"try_from","","",352,[[],["result",4]]],[11,"into","","",352,[[]]],[11,"try_into","","",352,[[],["result",4]]],[11,"into_iter","","",352,[[]]],[11,"type_id","","",352,[[],["typeid",3]]],[11,"from","","",55,[[]]],[11,"borrow","","",55,[[]]],[11,"borrow_mut","","",55,[[]]],[11,"try_from","","",55,[[],["result",4]]],[11,"into","","",55,[[]]],[11,"try_into","","",55,[[],["result",4]]],[11,"type_id","","",55,[[],["typeid",3]]],[11,"to_owned","","",55,[[]]],[11,"clone_into","","",55,[[]]],[11,"from","","",112,[[]]],[11,"borrow","","",112,[[]]],[11,"borrow_mut","","",112,[[]]],[11,"try_from","","",112,[[],["result",4]]],[11,"into","","",112,[[]]],[11,"try_into","","",112,[[],["result",4]]],[11,"type_id","","",112,[[],["typeid",3]]],[11,"from","std::os::windows::ffi","",353,[[]]],[11,"borrow","","",353,[[]]],[11,"borrow_mut","","",353,[[]]],[11,"try_from","","",353,[[],["result",4]]],[11,"into","","",353,[[]]],[11,"try_into","","",353,[[],["result",4]]],[11,"into_iter","","",353,[[]]],[11,"type_id","","",353,[[],["typeid",3]]],[11,"to_owned","","",353,[[]]],[11,"clone_into","","",353,[[]]],[11,"from","std::os::linux::raw","",74,[[]]],[11,"borrow","","",74,[[]]],[11,"borrow_mut","","",74,[[]]],[11,"try_from","","",74,[[],["result",4]]],[11,"into","","",74,[[]]],[11,"try_into","","",74,[[],["result",4]]],[11,"type_id","","",74,[[],["typeid",3]]],[11,"to_owned","","",74,[[]]],[11,"clone_into","","",74,[[]]],[11,"from","std::panic","",354,[[]]],[11,"borrow","","",354,[[]]],[11,"borrow_mut","","",354,[[]]],[11,"try_from","","",354,[[],["result",4]]],[11,"into","","",354,[[]]],[11,"try_into","","",354,[[],["result",4]]],[11,"type_id","","",354,[[],["typeid",3]]],[11,"to_owned","","",354,[[]]],[11,"clone_into","","",354,[[]]],[11,"to_string","","",354,[[],["string",3]]],[11,"from","","",355,[[]]],[11,"borrow","","",355,[[]]],[11,"borrow_mut","","",355,[[]]],[11,"try_from","","",355,[[],["result",4]]],[11,"into","","",355,[[]]],[11,"try_into","","",355,[[],["result",4]]],[11,"type_id","","",355,[[],["typeid",3]]],[11,"to_string","","",355,[[],["string",3]]],[11,"from","","",75,[[]]],[11,"borrow","","",75,[[]]],[11,"borrow_mut","","",75,[[]]],[11,"try_from","","",75,[[],["result",4]]],[11,"into","","",75,[[]]],[11,"try_into","","",75,[[],["result",4]]],[11,"type_id","","",75,[[],["typeid",3]]],[11,"into_future","","",75,[[]]],[11,"from","std::path","",76,[[]]],[11,"borrow","","",76,[[]]],[11,"borrow_mut","","",76,[[]]],[11,"try_from","","",76,[[],["result",4]]],[11,"into","","",76,[[]]],[11,"try_into","","",76,[[],["result",4]]],[11,"type_id","","",76,[[],["typeid",3]]],[11,"to_owned","","",76,[[]]],[11,"clone_into","","",76,[[]]],[11,"from","","",77,[[]]],[11,"borrow","","",77,[[]]],[11,"borrow_mut","","",77,[[]]],[11,"try_from","","",77,[[],["result",4]]],[11,"into","","",77,[[]]],[11,"try_into","","",77,[[],["result",4]]],[11,"type_id","","",77,[[],["typeid",3]]],[11,"to_owned","","",77,[[]]],[11,"clone_into","","",77,[[]]],[11,"from","","",78,[[]]],[11,"borrow","","",78,[[]]],[11,"borrow_mut","","",78,[[]]],[11,"try_from","","",78,[[],["result",4]]],[11,"into","","",78,[[]]],[11,"try_into","","",78,[[],["result",4]]],[11,"type_id","","",78,[[],["typeid",3]]],[11,"to_owned","","",78,[[]]],[11,"clone_into","","",78,[[]]],[11,"from","","",79,[[]]],[11,"borrow","","",79,[[]]],[11,"borrow_mut","","",79,[[]]],[11,"try_from","","",79,[[],["result",4]]],[11,"into","","",79,[[]]],[11,"try_into","","",79,[[],["result",4]]],[11,"into_iter","","",79,[[]]],[11,"type_id","","",79,[[],["typeid",3]]],[11,"to_owned","","",79,[[]]],[11,"clone_into","","",79,[[]]],[11,"from","","",80,[[]]],[11,"borrow","","",80,[[]]],[11,"borrow_mut","","",80,[[]]],[11,"try_from","","",80,[[],["result",4]]],[11,"into","","",80,[[]]],[11,"try_into","","",80,[[],["result",4]]],[11,"into_iter","","",80,[[]]],[11,"type_id","","",80,[[],["typeid",3]]],[11,"to_owned","","",80,[[]]],[11,"clone_into","","",80,[[]]],[11,"from","","",356,[[]]],[11,"borrow","","",356,[[]]],[11,"borrow_mut","","",356,[[]]],[11,"try_from","","",356,[[],["result",4]]],[11,"into","","",356,[[]]],[11,"try_into","","",356,[[],["result",4]]],[11,"into_iter","","",356,[[]]],[11,"type_id","","",356,[[],["typeid",3]]],[11,"to_owned","","",356,[[]]],[11,"clone_into","","",356,[[]]],[11,"from","","",81,[[]]],[11,"borrow","","",81,[[]]],[11,"borrow_mut","","",81,[[]]],[11,"try_from","","",81,[[],["result",4]]],[11,"into","","",81,[[]]],[11,"try_into","","",81,[[],["result",4]]],[11,"type_id","","",81,[[],["typeid",3]]],[11,"to_owned","","",81,[[]]],[11,"clone_into","","",81,[[]]],[11,"borrow","","",82,[[]]],[11,"borrow_mut","","",82,[[]]],[11,"type_id","","",82,[[],["typeid",3]]],[11,"from","","",357,[[]]],[11,"borrow","","",357,[[]]],[11,"borrow_mut","","",357,[[]]],[11,"try_from","","",357,[[],["result",4]]],[11,"into","","",357,[[]]],[11,"try_into","","",357,[[],["result",4]]],[11,"type_id","","",357,[[],["typeid",3]]],[11,"to_owned","","",357,[[]]],[11,"clone_into","","",357,[[]]],[11,"to_string","","",357,[[],["string",3]]],[11,"from","","",358,[[]]],[11,"borrow","","",358,[[]]],[11,"borrow_mut","","",358,[[]]],[11,"try_from","","",358,[[],["result",4]]],[11,"into","","",358,[[]]],[11,"try_into","","",358,[[],["result",4]]],[11,"type_id","","",358,[[],["typeid",3]]],[11,"to_string","","",358,[[],["string",3]]],[11,"from","std::process","",359,[[]]],[11,"borrow","","",359,[[]]],[11,"borrow_mut","","",359,[[]]],[11,"try_from","","",359,[[],["result",4]]],[11,"into","","",359,[[]]],[11,"try_into","","",359,[[],["result",4]]],[11,"into_iter","","",359,[[]]],[11,"type_id","","",359,[[],["typeid",3]]],[11,"from","","",83,[[]]],[11,"borrow","","",83,[[]]],[11,"borrow_mut","","",83,[[]]],[11,"try_from","","",83,[[],["result",4]]],[11,"into","","",83,[[]]],[11,"try_into","","",83,[[],["result",4]]],[11,"type_id","","",83,[[],["typeid",3]]],[11,"from","","",360,[[]]],[11,"borrow","","",360,[[]]],[11,"borrow_mut","","",360,[[]]],[11,"try_from","","",360,[[],["result",4]]],[11,"into","","",360,[[]]],[11,"try_into","","",360,[[],["result",4]]],[11,"type_id","","",360,[[],["typeid",3]]],[11,"from","","",361,[[]]],[11,"borrow","","",361,[[]]],[11,"borrow_mut","","",361,[[]]],[11,"try_from","","",361,[[],["result",4]]],[11,"into","","",361,[[]]],[11,"try_into","","",361,[[],["result",4]]],[11,"type_id","","",361,[[],["typeid",3]]],[11,"from","","",362,[[]]],[11,"borrow","","",362,[[]]],[11,"borrow_mut","","",362,[[]]],[11,"try_from","","",362,[[],["result",4]]],[11,"into","","",362,[[]]],[11,"try_into","","",362,[[],["result",4]]],[11,"type_id","","",362,[[],["typeid",3]]],[11,"from","","",84,[[]]],[11,"borrow","","",84,[[]]],[11,"borrow_mut","","",84,[[]]],[11,"try_from","","",84,[[],["result",4]]],[11,"into","","",84,[[]]],[11,"try_into","","",84,[[],["result",4]]],[11,"type_id","","",84,[[],["typeid",3]]],[11,"from","","",363,[[]]],[11,"borrow","","",363,[[]]],[11,"borrow_mut","","",363,[[]]],[11,"try_from","","",363,[[],["result",4]]],[11,"into","","",363,[[]]],[11,"try_into","","",363,[[],["result",4]]],[11,"into_iter","","",363,[[]]],[11,"type_id","","",363,[[],["typeid",3]]],[11,"from","","",85,[[]]],[11,"borrow","","",85,[[]]],[11,"borrow_mut","","",85,[[]]],[11,"try_from","","",85,[[],["result",4]]],[11,"into","","",85,[[]]],[11,"try_into","","",85,[[],["result",4]]],[11,"type_id","","",85,[[],["typeid",3]]],[11,"to_owned","","",85,[[]]],[11,"clone_into","","",85,[[]]],[11,"from","","",86,[[]]],[11,"borrow","","",86,[[]]],[11,"borrow_mut","","",86,[[]]],[11,"try_from","","",86,[[],["result",4]]],[11,"into","","",86,[[]]],[11,"try_into","","",86,[[],["result",4]]],[11,"type_id","","",86,[[],["typeid",3]]],[11,"from","","",87,[[]]],[11,"borrow","","",87,[[]]],[11,"borrow_mut","","",87,[[]]],[11,"try_from","","",87,[[],["result",4]]],[11,"into","","",87,[[]]],[11,"try_into","","",87,[[],["result",4]]],[11,"type_id","","",87,[[],["typeid",3]]],[11,"to_owned","","",87,[[]]],[11,"clone_into","","",87,[[]]],[11,"to_string","","",87,[[],["string",3]]],[11,"from","","",88,[[]]],[11,"borrow","","",88,[[]]],[11,"borrow_mut","","",88,[[]]],[11,"try_from","","",88,[[],["result",4]]],[11,"into","","",88,[[]]],[11,"try_into","","",88,[[],["result",4]]],[11,"type_id","","",88,[[],["typeid",3]]],[11,"to_owned","","",88,[[]]],[11,"clone_into","","",88,[[]]],[11,"from","std::sync::mpsc","",96,[[]]],[11,"borrow","","",96,[[]]],[11,"borrow_mut","","",96,[[]]],[11,"try_from","","",96,[[],["result",4]]],[11,"into","","",96,[[]]],[11,"try_into","","",96,[[],["result",4]]],[11,"type_id","","",96,[[],["typeid",3]]],[11,"from","","",364,[[]]],[11,"borrow","","",364,[[]]],[11,"borrow_mut","","",364,[[]]],[11,"try_from","","",364,[[],["result",4]]],[11,"into","","",364,[[]]],[11,"try_into","","",364,[[],["result",4]]],[11,"into_iter","","",364,[[]]],[11,"type_id","","",364,[[],["typeid",3]]],[11,"from","","",365,[[]]],[11,"borrow","","",365,[[]]],[11,"borrow_mut","","",365,[[]]],[11,"try_from","","",365,[[],["result",4]]],[11,"into","","",365,[[]]],[11,"try_into","","",365,[[],["result",4]]],[11,"into_iter","","",365,[[]]],[11,"type_id","","",365,[[],["typeid",3]]],[11,"from","","",366,[[]]],[11,"borrow","","",366,[[]]],[11,"borrow_mut","","",366,[[]]],[11,"try_from","","",366,[[],["result",4]]],[11,"into","","",366,[[]]],[11,"try_into","","",366,[[],["result",4]]],[11,"into_iter","","",366,[[]]],[11,"type_id","","",366,[[],["typeid",3]]],[11,"from","","",94,[[]]],[11,"borrow","","",94,[[]]],[11,"borrow_mut","","",94,[[]]],[11,"try_from","","",94,[[],["result",4]]],[11,"into","","",94,[[]]],[11,"try_into","","",94,[[],["result",4]]],[11,"type_id","","",94,[[],["typeid",3]]],[11,"to_owned","","",94,[[]]],[11,"clone_into","","",94,[[]]],[11,"from","","",95,[[]]],[11,"borrow","","",95,[[]]],[11,"borrow_mut","","",95,[[]]],[11,"try_from","","",95,[[],["result",4]]],[11,"into","","",95,[[]]],[11,"try_into","","",95,[[],["result",4]]],[11,"type_id","","",95,[[],["typeid",3]]],[11,"to_owned","","",95,[[]]],[11,"clone_into","","",95,[[]]],[11,"from","","",90,[[]]],[11,"borrow","","",90,[[]]],[11,"borrow_mut","","",90,[[]]],[11,"try_from","","",90,[[],["result",4]]],[11,"into","","",90,[[]]],[11,"try_into","","",90,[[],["result",4]]],[11,"type_id","","",90,[[],["typeid",3]]],[11,"to_owned","","",90,[[]]],[11,"clone_into","","",90,[[]]],[11,"to_string","","",90,[[],["string",3]]],[11,"from","","",367,[[]]],[11,"borrow","","",367,[[]]],[11,"borrow_mut","","",367,[[]]],[11,"try_from","","",367,[[],["result",4]]],[11,"into","","",367,[[]]],[11,"try_into","","",367,[[],["result",4]]],[11,"type_id","","",367,[[],["typeid",3]]],[11,"to_owned","","",367,[[]]],[11,"clone_into","","",367,[[]]],[11,"to_string","","",367,[[],["string",3]]],[11,"from","","",91,[[]]],[11,"borrow","","",91,[[]]],[11,"borrow_mut","","",91,[[]]],[11,"try_from","","",91,[[],["result",4]]],[11,"into","","",91,[[]]],[11,"try_into","","",91,[[],["result",4]]],[11,"type_id","","",91,[[],["typeid",3]]],[11,"to_owned","","",91,[[]]],[11,"clone_into","","",91,[[]]],[11,"to_string","","",91,[[],["string",3]]],[11,"from","","",92,[[]]],[11,"borrow","","",92,[[]]],[11,"borrow_mut","","",92,[[]]],[11,"try_from","","",92,[[],["result",4]]],[11,"into","","",92,[[]]],[11,"try_into","","",92,[[],["result",4]]],[11,"type_id","","",92,[[],["typeid",3]]],[11,"to_owned","","",92,[[]]],[11,"clone_into","","",92,[[]]],[11,"to_string","","",92,[[],["string",3]]],[11,"from","","",93,[[]]],[11,"borrow","","",93,[[]]],[11,"borrow_mut","","",93,[[]]],[11,"try_from","","",93,[[],["result",4]]],[11,"into","","",93,[[]]],[11,"try_into","","",93,[[],["result",4]]],[11,"type_id","","",93,[[],["typeid",3]]],[11,"to_owned","","",93,[[]]],[11,"clone_into","","",93,[[]]],[11,"to_string","","",93,[[],["string",3]]],[11,"from","std::sync","",368,[[]]],[11,"borrow","","",368,[[]]],[11,"borrow_mut","","",368,[[]]],[11,"try_from","","",368,[[],["result",4]]],[11,"into","","",368,[[]]],[11,"try_into","","",368,[[],["result",4]]],[11,"type_id","","",368,[[],["typeid",3]]],[11,"from","","",369,[[]]],[11,"borrow","","",369,[[]]],[11,"borrow_mut","","",369,[[]]],[11,"try_from","","",369,[[],["result",4]]],[11,"into","","",369,[[]]],[11,"try_into","","",369,[[],["result",4]]],[11,"type_id","","",369,[[],["typeid",3]]],[11,"from","","",370,[[]]],[11,"borrow","","",370,[[]]],[11,"borrow_mut","","",370,[[]]],[11,"try_from","","",370,[[],["result",4]]],[11,"into","","",370,[[]]],[11,"try_into","","",370,[[],["result",4]]],[11,"type_id","","",370,[[],["typeid",3]]],[11,"to_owned","","",370,[[]]],[11,"clone_into","","",370,[[]]],[11,"from","","",371,[[]]],[11,"borrow","","",371,[[]]],[11,"borrow_mut","","",371,[[]]],[11,"try_from","","",371,[[],["result",4]]],[11,"into","","",371,[[]]],[11,"try_into","","",371,[[],["result",4]]],[11,"type_id","","",371,[[],["typeid",3]]],[11,"from","","",372,[[]]],[11,"from","","",372,[[]]],[11,"borrow","","",372,[[]]],[11,"borrow_mut","","",372,[[]]],[11,"try_from","","",372,[[],["result",4]]],[11,"into","","",372,[[]]],[11,"try_into","","",372,[[],["result",4]]],[11,"type_id","","",372,[[],["typeid",3]]],[11,"from","","",373,[[]]],[11,"borrow","","",373,[[]]],[11,"borrow_mut","","",373,[[]]],[11,"try_from","","",373,[[],["result",4]]],[11,"into","","",373,[[]]],[11,"try_into","","",373,[[],["result",4]]],[11,"type_id","","",373,[[],["typeid",3]]],[11,"to_string","","",373,[[],["string",3]]],[11,"from","","",374,[[]]],[11,"borrow","","",374,[[]]],[11,"borrow_mut","","",374,[[]]],[11,"try_from","","",374,[[],["result",4]]],[11,"into","","",374,[[]]],[11,"try_into","","",374,[[],["result",4]]],[11,"type_id","","",374,[[],["typeid",3]]],[11,"from","","",375,[[]]],[11,"borrow","","",375,[[]]],[11,"borrow_mut","","",375,[[]]],[11,"try_from","","",375,[[],["result",4]]],[11,"into","","",375,[[]]],[11,"try_into","","",375,[[],["result",4]]],[11,"type_id","","",375,[[],["typeid",3]]],[11,"from","","",376,[[]]],[11,"from","","",376,[[]]],[11,"borrow","","",376,[[]]],[11,"borrow_mut","","",376,[[]]],[11,"try_from","","",376,[[],["result",4]]],[11,"into","","",376,[[]]],[11,"try_into","","",376,[[],["result",4]]],[11,"type_id","","",376,[[],["typeid",3]]],[11,"from","","",377,[[]]],[11,"borrow","","",377,[[]]],[11,"borrow_mut","","",377,[[]]],[11,"try_from","","",377,[[],["result",4]]],[11,"into","","",377,[[]]],[11,"try_into","","",377,[[],["result",4]]],[11,"type_id","","",377,[[],["typeid",3]]],[11,"to_string","","",377,[[],["string",3]]],[11,"from","","",378,[[]]],[11,"borrow","","",378,[[]]],[11,"borrow_mut","","",378,[[]]],[11,"try_from","","",378,[[],["result",4]]],[11,"into","","",378,[[]]],[11,"try_into","","",378,[[],["result",4]]],[11,"type_id","","",378,[[],["typeid",3]]],[11,"to_string","","",378,[[],["string",3]]],[11,"from","","",379,[[]]],[11,"from","","",379,[[]]],[11,"borrow","","",379,[[]]],[11,"borrow_mut","","",379,[[]]],[11,"try_from","","",379,[[],["result",4]]],[11,"into","","",379,[[]]],[11,"try_into","","",379,[[],["result",4]]],[11,"type_id","","",379,[[],["typeid",3]]],[11,"to_owned","","",379,[[]]],[11,"clone_into","","",379,[[]]],[11,"to_string","","",379,[[],["string",3]]],[11,"from","","",380,[[]]],[11,"borrow","","",380,[[]]],[11,"borrow_mut","","",380,[[]]],[11,"try_from","","",380,[[],["result",4]]],[11,"into","","",380,[[]]],[11,"try_into","","",380,[[],["result",4]]],[11,"type_id","","",380,[[],["typeid",3]]],[11,"to_owned","","",380,[[]]],[11,"clone_into","","",380,[[]]],[11,"from","std::sync::atomic","",381,[[]]],[11,"borrow","","",381,[[]]],[11,"borrow_mut","","",381,[[]]],[11,"try_from","","",381,[[],["result",4]]],[11,"into","","",381,[[]]],[11,"try_into","","",381,[[],["result",4]]],[11,"type_id","","",381,[[],["typeid",3]]],[11,"from","","",382,[[]]],[11,"borrow","","",382,[[]]],[11,"borrow_mut","","",382,[[]]],[11,"try_from","","",382,[[],["result",4]]],[11,"into","","",382,[[]]],[11,"try_into","","",382,[[],["result",4]]],[11,"type_id","","",382,[[],["typeid",3]]],[11,"from","","",97,[[]]],[11,"borrow","","",97,[[]]],[11,"borrow_mut","","",97,[[]]],[11,"try_from","","",97,[[],["result",4]]],[11,"into","","",97,[[]]],[11,"try_into","","",97,[[],["result",4]]],[11,"type_id","","",97,[[],["typeid",3]]],[11,"to_owned","","",97,[[]]],[11,"clone_into","","",97,[[]]],[11,"from","","",383,[[]]],[11,"borrow","","",383,[[]]],[11,"borrow_mut","","",383,[[]]],[11,"try_from","","",383,[[],["result",4]]],[11,"into","","",383,[[]]],[11,"try_into","","",383,[[],["result",4]]],[11,"type_id","","",383,[[],["typeid",3]]],[11,"from","","",384,[[]]],[11,"borrow","","",384,[[]]],[11,"borrow_mut","","",384,[[]]],[11,"try_from","","",384,[[],["result",4]]],[11,"into","","",384,[[]]],[11,"try_into","","",384,[[],["result",4]]],[11,"type_id","","",384,[[],["typeid",3]]],[11,"from","","",385,[[]]],[11,"borrow","","",385,[[]]],[11,"borrow_mut","","",385,[[]]],[11,"try_from","","",385,[[],["result",4]]],[11,"into","","",385,[[]]],[11,"try_into","","",385,[[],["result",4]]],[11,"type_id","","",385,[[],["typeid",3]]],[11,"from","","",386,[[]]],[11,"borrow","","",386,[[]]],[11,"borrow_mut","","",386,[[]]],[11,"try_from","","",386,[[],["result",4]]],[11,"into","","",386,[[]]],[11,"try_into","","",386,[[],["result",4]]],[11,"type_id","","",386,[[],["typeid",3]]],[11,"from","","",387,[[]]],[11,"borrow","","",387,[[]]],[11,"borrow_mut","","",387,[[]]],[11,"try_from","","",387,[[],["result",4]]],[11,"into","","",387,[[]]],[11,"try_into","","",387,[[],["result",4]]],[11,"type_id","","",387,[[],["typeid",3]]],[11,"from","","",388,[[]]],[11,"borrow","","",388,[[]]],[11,"borrow_mut","","",388,[[]]],[11,"try_from","","",388,[[],["result",4]]],[11,"into","","",388,[[]]],[11,"try_into","","",388,[[],["result",4]]],[11,"type_id","","",388,[[],["typeid",3]]],[11,"from","","",389,[[]]],[11,"borrow","","",389,[[]]],[11,"borrow_mut","","",389,[[]]],[11,"try_from","","",389,[[],["result",4]]],[11,"into","","",389,[[]]],[11,"try_into","","",389,[[],["result",4]]],[11,"type_id","","",389,[[],["typeid",3]]],[11,"from","","",390,[[]]],[11,"borrow","","",390,[[]]],[11,"borrow_mut","","",390,[[]]],[11,"try_from","","",390,[[],["result",4]]],[11,"into","","",390,[[]]],[11,"try_into","","",390,[[],["result",4]]],[11,"type_id","","",390,[[],["typeid",3]]],[11,"from","","",391,[[]]],[11,"borrow","","",391,[[]]],[11,"borrow_mut","","",391,[[]]],[11,"try_from","","",391,[[],["result",4]]],[11,"into","","",391,[[]]],[11,"try_into","","",391,[[],["result",4]]],[11,"type_id","","",391,[[],["typeid",3]]],[11,"from","","",392,[[]]],[11,"borrow","","",392,[[]]],[11,"borrow_mut","","",392,[[]]],[11,"try_from","","",392,[[],["result",4]]],[11,"into","","",392,[[]]],[11,"try_into","","",392,[[],["result",4]]],[11,"type_id","","",392,[[],["typeid",3]]],[11,"from","std::sync","",106,[[]]],[11,"borrow","","",106,[[]]],[11,"borrow_mut","","",106,[[]]],[11,"try_from","","",106,[[],["result",4]]],[11,"into","","",106,[[]]],[11,"try_into","","",106,[[],["result",4]]],[11,"type_id","","",106,[[],["typeid",3]]],[11,"to_string","","",106,[[],["string",3]]],[11,"from","","",98,[[]]],[11,"borrow","","",98,[[]]],[11,"borrow_mut","","",98,[[]]],[11,"try_from","","",98,[[],["result",4]]],[11,"into","","",98,[[]]],[11,"try_into","","",98,[[],["result",4]]],[11,"type_id","","",98,[[],["typeid",3]]],[11,"to_string","","",98,[[],["string",3]]],[11,"from","std::time","",393,[[]]],[11,"borrow","","",393,[[]]],[11,"borrow_mut","","",393,[[]]],[11,"try_from","","",393,[[],["result",4]]],[11,"into","","",393,[[]]],[11,"try_into","","",393,[[],["result",4]]],[11,"type_id","","",393,[[],["typeid",3]]],[11,"to_owned","","",393,[[]]],[11,"clone_into","","",393,[[]]],[11,"from","","",99,[[]]],[11,"borrow","","",99,[[]]],[11,"borrow_mut","","",99,[[]]],[11,"try_from","","",99,[[],["result",4]]],[11,"into","","",99,[[]]],[11,"try_into","","",99,[[],["result",4]]],[11,"type_id","","",99,[[],["typeid",3]]],[11,"to_owned","","",99,[[]]],[11,"clone_into","","",99,[[]]],[11,"from","","",100,[[]]],[11,"borrow","","",100,[[]]],[11,"borrow_mut","","",100,[[]]],[11,"try_from","","",100,[[],["result",4]]],[11,"into","","",100,[[]]],[11,"try_into","","",100,[[],["result",4]]],[11,"type_id","","",100,[[],["typeid",3]]],[11,"to_owned","","",100,[[]]],[11,"clone_into","","",100,[[]]],[11,"from","","",101,[[]]],[11,"borrow","","",101,[[]]],[11,"borrow_mut","","",101,[[]]],[11,"try_from","","",101,[[],["result",4]]],[11,"into","","",101,[[]]],[11,"try_into","","",101,[[],["result",4]]],[11,"type_id","","",101,[[],["typeid",3]]],[11,"to_owned","","",101,[[]]],[11,"clone_into","","",101,[[]]],[11,"to_string","","",101,[[],["string",3]]],[11,"from","std::lazy","",394,[[]]],[11,"from","","",394,[[]]],[11,"borrow","","",394,[[]]],[11,"borrow_mut","","",394,[[]]],[11,"try_from","","",394,[[],["result",4]]],[11,"into","","",394,[[]]],[11,"try_into","","",394,[[],["result",4]]],[11,"type_id","","",394,[[],["typeid",3]]],[11,"to_owned","","",394,[[]]],[11,"clone_into","","",394,[[]]],[11,"from","","",395,[[]]],[11,"borrow","","",395,[[]]],[11,"borrow_mut","","",395,[[]]],[11,"try_from","","",395,[[],["result",4]]],[11,"into","","",395,[[]]],[11,"try_into","","",395,[[],["result",4]]],[11,"type_id","","",395,[[],["typeid",3]]],[11,"from","","",102,[[]]],[11,"from","","",102,[[]]],[11,"borrow","","",102,[[]]],[11,"borrow_mut","","",102,[[]]],[11,"try_from","","",102,[[],["result",4]]],[11,"into","","",102,[[]]],[11,"try_into","","",102,[[],["result",4]]],[11,"type_id","","",102,[[],["typeid",3]]],[11,"to_owned","","",102,[[]]],[11,"clone_into","","",102,[[]]],[11,"from","","",103,[[]]],[11,"borrow","","",103,[[]]],[11,"borrow_mut","","",103,[[]]],[11,"try_from","","",103,[[],["result",4]]],[11,"into","","",103,[[]]],[11,"try_into","","",103,[[],["result",4]]],[11,"type_id","","",103,[[],["typeid",3]]],[11,"from","std::task","",104,[[]]],[11,"from","","",104,[[]]],[11,"borrow","","",104,[[]]],[11,"borrow_mut","","",104,[[]]],[11,"try_from","","",104,[[],["result",4]]],[11,"into","","",104,[[]]],[11,"try_into","","",104,[[],["result",4]]],[11,"type_id","","",104,[[],["typeid",3]]],[11,"to_owned","","",104,[[]]],[11,"clone_into","","",104,[[]]],[11,"from","","",396,[[]]],[11,"borrow","","",396,[[]]],[11,"borrow_mut","","",396,[[]]],[11,"try_from","","",396,[[],["result",4]]],[11,"into","","",396,[[]]],[11,"try_into","","",396,[[],["result",4]]],[11,"type_id","","",396,[[],["typeid",3]]],[11,"from","","",397,[[]]],[11,"borrow","","",397,[[]]],[11,"borrow_mut","","",397,[[]]],[11,"try_from","","",397,[[],["result",4]]],[11,"into","","",397,[[]]],[11,"try_into","","",397,[[],["result",4]]],[11,"type_id","","",397,[[],["typeid",3]]],[11,"from","","",398,[[]]],[11,"borrow","","",398,[[]]],[11,"borrow_mut","","",398,[[]]],[11,"try_from","","",398,[[],["result",4]]],[11,"into","","",398,[[]]],[11,"try_into","","",398,[[],["result",4]]],[11,"type_id","","",398,[[],["typeid",3]]],[11,"to_owned","","",398,[[]]],[11,"clone_into","","",398,[[]]],[11,"from","","",399,[[]]],[11,"borrow","","",399,[[]]],[11,"borrow_mut","","",399,[[]]],[11,"try_from","","",399,[[],["result",4]]],[11,"into","","",399,[[]]],[11,"try_into","","",399,[[],["result",4]]],[11,"type_id","","",399,[[],["typeid",3]]],[11,"to_owned","","",399,[[]]],[11,"clone_into","","",399,[[]]],[11,"from","std::alloc","",400,[[]]],[11,"borrow","","",400,[[]]],[11,"borrow_mut","","",400,[[]]],[11,"try_from","","",400,[[],["result",4]]],[11,"into","","",400,[[]]],[11,"try_into","","",400,[[],["result",4]]],[11,"type_id","","",400,[[],["typeid",3]]],[11,"to_owned","","",400,[[]]],[11,"clone_into","","",400,[[]]],[11,"from","","",401,[[]]],[11,"borrow","","",401,[[]]],[11,"borrow_mut","","",401,[[]]],[11,"try_from","","",401,[[],["result",4]]],[11,"into","","",401,[[]]],[11,"try_into","","",401,[[],["result",4]]],[11,"type_id","","",401,[[],["typeid",3]]],[11,"to_owned","","",401,[[]]],[11,"clone_into","","",401,[[]]],[11,"to_string","","",401,[[],["string",3]]],[11,"from","","",402,[[]]],[11,"borrow","","",402,[[]]],[11,"borrow_mut","","",402,[[]]],[11,"try_from","","",402,[[],["result",4]]],[11,"into","","",402,[[]]],[11,"try_into","","",402,[[],["result",4]]],[11,"type_id","","",402,[[],["typeid",3]]],[11,"to_owned","","",402,[[]]],[11,"clone_into","","",402,[[]]],[11,"from","","",403,[[]]],[11,"borrow","","",403,[[]]],[11,"borrow_mut","","",403,[[]]],[11,"try_from","","",403,[[],["result",4]]],[11,"into","","",403,[[]]],[11,"try_into","","",403,[[],["result",4]]],[11,"type_id","","",403,[[],["typeid",3]]],[11,"to_owned","","",403,[[]]],[11,"clone_into","","",403,[[]]],[11,"to_string","","",403,[[],["string",3]]],[11,"from","","",404,[[]]],[11,"borrow","","",404,[[]]],[11,"borrow_mut","","",404,[[]]],[11,"try_from","","",404,[[],["result",4]]],[11,"into","","",404,[[]]],[11,"try_into","","",404,[[],["result",4]]],[11,"type_id","","",404,[[],["typeid",3]]],[11,"to_owned","","",404,[[]]],[11,"clone_into","","",404,[[]]],[11,"from","std::borrow","",116,[[]]],[11,"borrow","","",116,[[]]],[11,"borrow_mut","","",116,[[]]],[11,"try_from","","",116,[[],["result",4]]],[11,"into","","",116,[[]]],[11,"try_into","","",116,[[],["result",4]]],[11,"type_id","","",116,[[],["typeid",3]]],[11,"to_owned","","",116,[[]]],[11,"clone_into","","",116,[[]]],[11,"to_string","","",116,[[],["string",3]]],[11,"from","std::boxed","",405,[[]]],[11,"from","","",405,[[]]],[11,"borrow","","",405,[[]]],[11,"borrow_mut","","",405,[[]]],[11,"try_from","","",405,[[],["result",4]]],[11,"into","","",405,[[]]],[11,"try_into","","",405,[[],["result",4]]],[11,"into_searcher","","",405,[[["str",15]],["charpredicatesearcher",3]]],[11,"is_contained_in","","",405,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","",405,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","",405,[[["str",15]],[["str",15],["option",4]]]],[11,"is_suffix_of","","",405,[[["str",15]],["bool",15]]],[11,"strip_suffix_of","","",405,[[["str",15]],[["str",15],["option",4]]]],[11,"into_iter","","",405,[[]]],[11,"type_id","","",405,[[],["typeid",3]]],[11,"into_future","","",405,[[]]],[11,"to_owned","","",405,[[]]],[11,"clone_into","","",405,[[]]],[11,"to_string","","",405,[[],["string",3]]],[11,"from","std::fmt","",119,[[]]],[11,"borrow","","",119,[[]]],[11,"borrow_mut","","",119,[[]]],[11,"try_from","","",119,[[],["result",4]]],[11,"into","","",119,[[]]],[11,"try_into","","",119,[[],["result",4]]],[11,"type_id","","",119,[[],["typeid",3]]],[11,"from","","",406,[[]]],[11,"borrow","","",406,[[]]],[11,"borrow_mut","","",406,[[]]],[11,"try_from","","",406,[[],["result",4]]],[11,"into","","",406,[[]]],[11,"try_into","","",406,[[],["result",4]]],[11,"type_id","","",406,[[],["typeid",3]]],[11,"to_owned","","",406,[[]]],[11,"clone_into","","",406,[[]]],[11,"to_string","","",406,[[],["string",3]]],[11,"from","","",407,[[]]],[11,"borrow","","",407,[[]]],[11,"borrow_mut","","",407,[[]]],[11,"try_from","","",407,[[],["result",4]]],[11,"into","","",407,[[]]],[11,"try_into","","",407,[[],["result",4]]],[11,"type_id","","",407,[[],["typeid",3]]],[11,"to_owned","","",407,[[]]],[11,"clone_into","","",407,[[]]],[11,"to_string","","",407,[[],["string",3]]],[11,"from","","",408,[[]]],[11,"borrow","","",408,[[]]],[11,"borrow_mut","","",408,[[]]],[11,"try_from","","",408,[[],["result",4]]],[11,"into","","",408,[[]]],[11,"try_into","","",408,[[],["result",4]]],[11,"type_id","","",408,[[],["typeid",3]]],[11,"from","","",409,[[]]],[11,"borrow","","",409,[[]]],[11,"borrow_mut","","",409,[[]]],[11,"try_from","","",409,[[],["result",4]]],[11,"into","","",409,[[]]],[11,"try_into","","",409,[[],["result",4]]],[11,"type_id","","",409,[[],["typeid",3]]],[11,"from","","",410,[[]]],[11,"borrow","","",410,[[]]],[11,"borrow_mut","","",410,[[]]],[11,"try_from","","",410,[[],["result",4]]],[11,"into","","",410,[[]]],[11,"try_into","","",410,[[],["result",4]]],[11,"type_id","","",410,[[],["typeid",3]]],[11,"from","","",411,[[]]],[11,"borrow","","",411,[[]]],[11,"borrow_mut","","",411,[[]]],[11,"try_from","","",411,[[],["result",4]]],[11,"into","","",411,[[]]],[11,"try_into","","",411,[[],["result",4]]],[11,"type_id","","",411,[[],["typeid",3]]],[11,"from","","",412,[[]]],[11,"borrow","","",412,[[]]],[11,"borrow_mut","","",412,[[]]],[11,"try_from","","",412,[[],["result",4]]],[11,"into","","",412,[[]]],[11,"try_into","","",412,[[],["result",4]]],[11,"type_id","","",412,[[],["typeid",3]]],[11,"from","","",413,[[]]],[11,"borrow","","",413,[[]]],[11,"borrow_mut","","",413,[[]]],[11,"try_from","","",413,[[],["result",4]]],[11,"into","","",413,[[]]],[11,"try_into","","",413,[[],["result",4]]],[11,"type_id","","",413,[[],["typeid",3]]],[11,"from","std::rc","",414,[[]]],[11,"from","","",414,[[]]],[11,"borrow","","",414,[[]]],[11,"borrow_mut","","",414,[[]]],[11,"try_from","","",414,[[],["result",4]]],[11,"into","","",414,[[]]],[11,"try_into","","",414,[[],["result",4]]],[11,"type_id","","",414,[[],["typeid",3]]],[11,"to_owned","","",414,[[]]],[11,"clone_into","","",414,[[]]],[11,"to_string","","",414,[[],["string",3]]],[11,"from","","",415,[[]]],[11,"borrow","","",415,[[]]],[11,"borrow_mut","","",415,[[]]],[11,"try_from","","",415,[[],["result",4]]],[11,"into","","",415,[[]]],[11,"try_into","","",415,[[],["result",4]]],[11,"type_id","","",415,[[],["typeid",3]]],[11,"to_owned","","",415,[[]]],[11,"clone_into","","",415,[[]]],[11,"from","std::slice","",416,[[]]],[11,"borrow","","",416,[[]]],[11,"borrow_mut","","",416,[[]]],[11,"try_from","","",416,[[],["result",4]]],[11,"into","","",416,[[]]],[11,"try_into","","",416,[[],["result",4]]],[11,"into_iter","","",416,[[]]],[11,"type_id","","",416,[[],["typeid",3]]],[11,"to_owned","","",416,[[]]],[11,"clone_into","","",416,[[]]],[11,"from","","",417,[[]]],[11,"borrow","","",417,[[]]],[11,"borrow_mut","","",417,[[]]],[11,"try_from","","",417,[[],["result",4]]],[11,"into","","",417,[[]]],[11,"try_into","","",417,[[],["result",4]]],[11,"into_iter","","",417,[[]]],[11,"type_id","","",417,[[],["typeid",3]]],[11,"from","","",418,[[]]],[11,"borrow","","",418,[[]]],[11,"borrow_mut","","",418,[[]]],[11,"try_from","","",418,[[],["result",4]]],[11,"into","","",418,[[]]],[11,"try_into","","",418,[[],["result",4]]],[11,"into_iter","","",418,[[]]],[11,"type_id","","",418,[[],["typeid",3]]],[11,"to_owned","","",418,[[]]],[11,"clone_into","","",418,[[]]],[11,"from","","",419,[[]]],[11,"borrow","","",419,[[]]],[11,"borrow_mut","","",419,[[]]],[11,"try_from","","",419,[[],["result",4]]],[11,"into","","",419,[[]]],[11,"try_into","","",419,[[],["result",4]]],[11,"into_iter","","",419,[[]]],[11,"type_id","","",419,[[],["typeid",3]]],[11,"to_owned","","",419,[[]]],[11,"clone_into","","",419,[[]]],[11,"from","","",420,[[]]],[11,"borrow","","",420,[[]]],[11,"borrow_mut","","",420,[[]]],[11,"try_from","","",420,[[],["result",4]]],[11,"into","","",420,[[]]],[11,"try_into","","",420,[[],["result",4]]],[11,"into_iter","","",420,[[]]],[11,"type_id","","",420,[[],["typeid",3]]],[11,"to_owned","","",420,[[]]],[11,"clone_into","","",420,[[]]],[11,"from","","",421,[[]]],[11,"borrow","","",421,[[]]],[11,"borrow_mut","","",421,[[]]],[11,"try_from","","",421,[[],["result",4]]],[11,"into","","",421,[[]]],[11,"try_into","","",421,[[],["result",4]]],[11,"into_iter","","",421,[[]]],[11,"type_id","","",421,[[],["typeid",3]]],[11,"to_owned","","",421,[[]]],[11,"clone_into","","",421,[[]]],[11,"from","","",422,[[]]],[11,"borrow","","",422,[[]]],[11,"borrow_mut","","",422,[[]]],[11,"try_from","","",422,[[],["result",4]]],[11,"into","","",422,[[]]],[11,"try_into","","",422,[[],["result",4]]],[11,"into_iter","","",422,[[]]],[11,"type_id","","",422,[[],["typeid",3]]],[11,"from","","",423,[[]]],[11,"borrow","","",423,[[]]],[11,"borrow_mut","","",423,[[]]],[11,"try_from","","",423,[[],["result",4]]],[11,"into","","",423,[[]]],[11,"try_into","","",423,[[],["result",4]]],[11,"into_iter","","",423,[[]]],[11,"type_id","","",423,[[],["typeid",3]]],[11,"from","","",424,[[]]],[11,"borrow","","",424,[[]]],[11,"borrow_mut","","",424,[[]]],[11,"try_from","","",424,[[],["result",4]]],[11,"into","","",424,[[]]],[11,"try_into","","",424,[[],["result",4]]],[11,"into_iter","","",424,[[]]],[11,"type_id","","",424,[[],["typeid",3]]],[11,"to_owned","","",424,[[]]],[11,"clone_into","","",424,[[]]],[11,"from","","",425,[[]]],[11,"borrow","","",425,[[]]],[11,"borrow_mut","","",425,[[]]],[11,"try_from","","",425,[[],["result",4]]],[11,"into","","",425,[[]]],[11,"try_into","","",425,[[],["result",4]]],[11,"into_iter","","",425,[[]]],[11,"type_id","","",425,[[],["typeid",3]]],[11,"from","","",426,[[]]],[11,"borrow","","",426,[[]]],[11,"borrow_mut","","",426,[[]]],[11,"try_from","","",426,[[],["result",4]]],[11,"into","","",426,[[]]],[11,"try_into","","",426,[[],["result",4]]],[11,"into_iter","","",426,[[]]],[11,"type_id","","",426,[[],["typeid",3]]],[11,"from","","",427,[[]]],[11,"borrow","","",427,[[]]],[11,"borrow_mut","","",427,[[]]],[11,"try_from","","",427,[[],["result",4]]],[11,"into","","",427,[[]]],[11,"try_into","","",427,[[],["result",4]]],[11,"into_iter","","",427,[[]]],[11,"type_id","","",427,[[],["typeid",3]]],[11,"from","","",428,[[]]],[11,"borrow","","",428,[[]]],[11,"borrow_mut","","",428,[[]]],[11,"try_from","","",428,[[],["result",4]]],[11,"into","","",428,[[]]],[11,"try_into","","",428,[[],["result",4]]],[11,"into_iter","","",428,[[]]],[11,"type_id","","",428,[[],["typeid",3]]],[11,"to_owned","","",428,[[]]],[11,"clone_into","","",428,[[]]],[11,"from","","",429,[[]]],[11,"borrow","","",429,[[]]],[11,"borrow_mut","","",429,[[]]],[11,"try_from","","",429,[[],["result",4]]],[11,"into","","",429,[[]]],[11,"try_into","","",429,[[],["result",4]]],[11,"into_iter","","",429,[[]]],[11,"type_id","","",429,[[],["typeid",3]]],[11,"from","","",430,[[]]],[11,"borrow","","",430,[[]]],[11,"borrow_mut","","",430,[[]]],[11,"try_from","","",430,[[],["result",4]]],[11,"into","","",430,[[]]],[11,"try_into","","",430,[[],["result",4]]],[11,"into_iter","","",430,[[]]],[11,"type_id","","",430,[[],["typeid",3]]],[11,"to_owned","","",430,[[]]],[11,"clone_into","","",430,[[]]],[11,"from","","",431,[[]]],[11,"borrow","","",431,[[]]],[11,"borrow_mut","","",431,[[]]],[11,"try_from","","",431,[[],["result",4]]],[11,"into","","",431,[[]]],[11,"try_into","","",431,[[],["result",4]]],[11,"into_iter","","",431,[[]]],[11,"type_id","","",431,[[],["typeid",3]]],[11,"to_owned","","",431,[[]]],[11,"clone_into","","",431,[[]]],[11,"from","","",432,[[]]],[11,"borrow","","",432,[[]]],[11,"borrow_mut","","",432,[[]]],[11,"try_from","","",432,[[],["result",4]]],[11,"into","","",432,[[]]],[11,"try_into","","",432,[[],["result",4]]],[11,"into_iter","","",432,[[]]],[11,"type_id","","",432,[[],["typeid",3]]],[11,"from","","",433,[[]]],[11,"borrow","","",433,[[]]],[11,"borrow_mut","","",433,[[]]],[11,"try_from","","",433,[[],["result",4]]],[11,"into","","",433,[[]]],[11,"try_into","","",433,[[],["result",4]]],[11,"into_iter","","",433,[[]]],[11,"type_id","","",433,[[],["typeid",3]]],[11,"from","","",434,[[]]],[11,"borrow","","",434,[[]]],[11,"borrow_mut","","",434,[[]]],[11,"try_from","","",434,[[],["result",4]]],[11,"into","","",434,[[]]],[11,"try_into","","",434,[[],["result",4]]],[11,"into_iter","","",434,[[]]],[11,"type_id","","",434,[[],["typeid",3]]],[11,"to_owned","","",434,[[]]],[11,"clone_into","","",434,[[]]],[11,"from","","",435,[[]]],[11,"borrow","","",435,[[]]],[11,"borrow_mut","","",435,[[]]],[11,"try_from","","",435,[[],["result",4]]],[11,"into","","",435,[[]]],[11,"try_into","","",435,[[],["result",4]]],[11,"into_iter","","",435,[[]]],[11,"type_id","","",435,[[],["typeid",3]]],[11,"from","","",436,[[]]],[11,"borrow","","",436,[[]]],[11,"borrow_mut","","",436,[[]]],[11,"try_from","","",436,[[],["result",4]]],[11,"into","","",436,[[]]],[11,"try_into","","",436,[[],["result",4]]],[11,"into_iter","","",436,[[]]],[11,"type_id","","",436,[[],["typeid",3]]],[11,"from","","",437,[[]]],[11,"borrow","","",437,[[]]],[11,"borrow_mut","","",437,[[]]],[11,"try_from","","",437,[[],["result",4]]],[11,"into","","",437,[[]]],[11,"try_into","","",437,[[],["result",4]]],[11,"into_iter","","",437,[[]]],[11,"type_id","","",437,[[],["typeid",3]]],[11,"from","","",438,[[]]],[11,"borrow","","",438,[[]]],[11,"borrow_mut","","",438,[[]]],[11,"try_from","","",438,[[],["result",4]]],[11,"into","","",438,[[]]],[11,"try_into","","",438,[[],["result",4]]],[11,"into_iter","","",438,[[]]],[11,"type_id","","",438,[[],["typeid",3]]],[11,"from","","",439,[[]]],[11,"borrow","","",439,[[]]],[11,"borrow_mut","","",439,[[]]],[11,"try_from","","",439,[[],["result",4]]],[11,"into","","",439,[[]]],[11,"try_into","","",439,[[],["result",4]]],[11,"into_iter","","",439,[[]]],[11,"type_id","","",439,[[],["typeid",3]]],[11,"from","std::str::pattern","",134,[[]]],[11,"borrow","","",134,[[]]],[11,"borrow_mut","","",134,[[]]],[11,"try_from","","",134,[[],["result",4]]],[11,"into","","",134,[[]]],[11,"try_into","","",134,[[],["result",4]]],[11,"type_id","","",134,[[],["typeid",3]]],[11,"to_owned","","",134,[[]]],[11,"clone_into","","",134,[[]]],[11,"from","","",440,[[]]],[11,"borrow","","",440,[[]]],[11,"borrow_mut","","",440,[[]]],[11,"try_from","","",440,[[],["result",4]]],[11,"into","","",440,[[]]],[11,"try_into","","",440,[[],["result",4]]],[11,"type_id","","",440,[[],["typeid",3]]],[11,"to_owned","","",440,[[]]],[11,"clone_into","","",440,[[]]],[11,"from","","",441,[[]]],[11,"borrow","","",441,[[]]],[11,"borrow_mut","","",441,[[]]],[11,"try_from","","",441,[[],["result",4]]],[11,"into","","",441,[[]]],[11,"try_into","","",441,[[],["result",4]]],[11,"type_id","","",441,[[],["typeid",3]]],[11,"to_owned","","",441,[[]]],[11,"clone_into","","",441,[[]]],[11,"from","","",442,[[]]],[11,"borrow","","",442,[[]]],[11,"borrow_mut","","",442,[[]]],[11,"try_from","","",442,[[],["result",4]]],[11,"into","","",442,[[]]],[11,"try_into","","",442,[[],["result",4]]],[11,"type_id","","",442,[[],["typeid",3]]],[11,"to_owned","","",442,[[]]],[11,"clone_into","","",442,[[]]],[11,"from","","",443,[[]]],[11,"borrow","","",443,[[]]],[11,"borrow_mut","","",443,[[]]],[11,"try_from","","",443,[[],["result",4]]],[11,"into","","",443,[[]]],[11,"try_into","","",443,[[],["result",4]]],[11,"type_id","","",443,[[],["typeid",3]]],[11,"to_owned","","",443,[[]]],[11,"clone_into","","",443,[[]]],[11,"from","std::str","",444,[[]]],[11,"borrow","","",444,[[]]],[11,"borrow_mut","","",444,[[]]],[11,"try_from","","",444,[[],["result",4]]],[11,"into","","",444,[[]]],[11,"try_into","","",444,[[],["result",4]]],[11,"into_iter","","",444,[[]]],[11,"type_id","","",444,[[],["typeid",3]]],[11,"to_owned","","",444,[[]]],[11,"clone_into","","",444,[[]]],[11,"from","","",445,[[]]],[11,"borrow","","",445,[[]]],[11,"borrow_mut","","",445,[[]]],[11,"try_from","","",445,[[],["result",4]]],[11,"into","","",445,[[]]],[11,"try_into","","",445,[[],["result",4]]],[11,"into_iter","","",445,[[]]],[11,"type_id","","",445,[[],["typeid",3]]],[11,"to_owned","","",445,[[]]],[11,"clone_into","","",445,[[]]],[11,"from","","",446,[[]]],[11,"borrow","","",446,[[]]],[11,"borrow_mut","","",446,[[]]],[11,"try_from","","",446,[[],["result",4]]],[11,"into","","",446,[[]]],[11,"try_into","","",446,[[],["result",4]]],[11,"into_iter","","",446,[[]]],[11,"type_id","","",446,[[],["typeid",3]]],[11,"to_owned","","",446,[[]]],[11,"clone_into","","",446,[[]]],[11,"from","","",447,[[]]],[11,"borrow","","",447,[[]]],[11,"borrow_mut","","",447,[[]]],[11,"try_from","","",447,[[],["result",4]]],[11,"into","","",447,[[]]],[11,"try_into","","",447,[[],["result",4]]],[11,"into_iter","","",447,[[]]],[11,"type_id","","",447,[[],["typeid",3]]],[11,"to_owned","","",447,[[]]],[11,"clone_into","","",447,[[]]],[11,"from","","",448,[[]]],[11,"borrow","","",448,[[]]],[11,"borrow_mut","","",448,[[]]],[11,"try_from","","",448,[[],["result",4]]],[11,"into","","",448,[[]]],[11,"try_into","","",448,[[],["result",4]]],[11,"into_iter","","",448,[[]]],[11,"type_id","","",448,[[],["typeid",3]]],[11,"to_owned","","",448,[[]]],[11,"clone_into","","",448,[[]]],[11,"from","","",449,[[]]],[11,"borrow","","",449,[[]]],[11,"borrow_mut","","",449,[[]]],[11,"try_from","","",449,[[],["result",4]]],[11,"into","","",449,[[]]],[11,"try_into","","",449,[[],["result",4]]],[11,"into_iter","","",449,[[]]],[11,"type_id","","",449,[[],["typeid",3]]],[11,"to_owned","","",449,[[]]],[11,"clone_into","","",449,[[]]],[11,"from","","",450,[[]]],[11,"borrow","","",450,[[]]],[11,"borrow_mut","","",450,[[]]],[11,"try_from","","",450,[[],["result",4]]],[11,"into","","",450,[[]]],[11,"try_into","","",450,[[],["result",4]]],[11,"type_id","","",450,[[],["typeid",3]]],[11,"to_owned","","",450,[[]]],[11,"clone_into","","",450,[[]]],[11,"to_string","","",450,[[],["string",3]]],[11,"from","","",451,[[]]],[11,"borrow","","",451,[[]]],[11,"borrow_mut","","",451,[[]]],[11,"try_from","","",451,[[],["result",4]]],[11,"into","","",451,[[]]],[11,"try_into","","",451,[[],["result",4]]],[11,"into_iter","","",451,[[]]],[11,"type_id","","",451,[[],["typeid",3]]],[11,"to_owned","","",451,[[]]],[11,"clone_into","","",451,[[]]],[11,"to_string","","",451,[[],["string",3]]],[11,"from","","",452,[[]]],[11,"borrow","","",452,[[]]],[11,"borrow_mut","","",452,[[]]],[11,"try_from","","",452,[[],["result",4]]],[11,"into","","",452,[[]]],[11,"try_into","","",452,[[],["result",4]]],[11,"into_iter","","",452,[[]]],[11,"type_id","","",452,[[],["typeid",3]]],[11,"to_owned","","",452,[[]]],[11,"clone_into","","",452,[[]]],[11,"to_string","","",452,[[],["string",3]]],[11,"from","","",453,[[]]],[11,"borrow","","",453,[[]]],[11,"borrow_mut","","",453,[[]]],[11,"try_from","","",453,[[],["result",4]]],[11,"into","","",453,[[]]],[11,"try_into","","",453,[[],["result",4]]],[11,"into_iter","","",453,[[]]],[11,"type_id","","",453,[[],["typeid",3]]],[11,"to_owned","","",453,[[]]],[11,"clone_into","","",453,[[]]],[11,"to_string","","",453,[[],["string",3]]],[11,"from","","",454,[[]]],[11,"borrow","","",454,[[]]],[11,"borrow_mut","","",454,[[]]],[11,"try_from","","",454,[[],["result",4]]],[11,"into","","",454,[[]]],[11,"try_into","","",454,[[],["result",4]]],[11,"type_id","","",454,[[],["typeid",3]]],[11,"to_owned","","",454,[[]]],[11,"clone_into","","",454,[[]]],[11,"to_string","","",454,[[],["string",3]]],[11,"from","","",455,[[]]],[11,"borrow","","",455,[[]]],[11,"borrow_mut","","",455,[[]]],[11,"try_from","","",455,[[],["result",4]]],[11,"into","","",455,[[]]],[11,"try_into","","",455,[[],["result",4]]],[11,"into_iter","","",455,[[]]],[11,"type_id","","",455,[[],["typeid",3]]],[11,"to_owned","","",455,[[]]],[11,"clone_into","","",455,[[]]],[11,"from","","",456,[[]]],[11,"borrow","","",456,[[]]],[11,"borrow_mut","","",456,[[]]],[11,"try_from","","",456,[[],["result",4]]],[11,"into","","",456,[[]]],[11,"try_into","","",456,[[],["result",4]]],[11,"into_iter","","",456,[[]]],[11,"type_id","","",456,[[],["typeid",3]]],[11,"to_owned","","",456,[[]]],[11,"clone_into","","",456,[[]]],[11,"from","","",457,[[]]],[11,"borrow","","",457,[[]]],[11,"borrow_mut","","",457,[[]]],[11,"try_from","","",457,[[],["result",4]]],[11,"into","","",457,[[]]],[11,"try_into","","",457,[[],["result",4]]],[11,"into_iter","","",457,[[]]],[11,"type_id","","",457,[[],["typeid",3]]],[11,"to_owned","","",457,[[]]],[11,"clone_into","","",457,[[]]],[11,"from","","",458,[[]]],[11,"borrow","","",458,[[]]],[11,"borrow_mut","","",458,[[]]],[11,"try_from","","",458,[[],["result",4]]],[11,"into","","",458,[[]]],[11,"try_into","","",458,[[],["result",4]]],[11,"into_iter","","",458,[[]]],[11,"type_id","","",458,[[],["typeid",3]]],[11,"to_owned","","",458,[[]]],[11,"clone_into","","",458,[[]]],[11,"from","","",459,[[]]],[11,"borrow","","",459,[[]]],[11,"borrow_mut","","",459,[[]]],[11,"try_from","","",459,[[],["result",4]]],[11,"into","","",459,[[]]],[11,"try_into","","",459,[[],["result",4]]],[11,"into_iter","","",459,[[]]],[11,"type_id","","",459,[[],["typeid",3]]],[11,"to_owned","","",459,[[]]],[11,"clone_into","","",459,[[]]],[11,"from","","",460,[[]]],[11,"borrow","","",460,[[]]],[11,"borrow_mut","","",460,[[]]],[11,"try_from","","",460,[[],["result",4]]],[11,"into","","",460,[[]]],[11,"try_into","","",460,[[],["result",4]]],[11,"into_iter","","",460,[[]]],[11,"type_id","","",460,[[],["typeid",3]]],[11,"to_owned","","",460,[[]]],[11,"clone_into","","",460,[[]]],[11,"from","","",461,[[]]],[11,"borrow","","",461,[[]]],[11,"borrow_mut","","",461,[[]]],[11,"try_from","","",461,[[],["result",4]]],[11,"into","","",461,[[]]],[11,"try_into","","",461,[[],["result",4]]],[11,"into_iter","","",461,[[]]],[11,"type_id","","",461,[[],["typeid",3]]],[11,"to_owned","","",461,[[]]],[11,"clone_into","","",461,[[]]],[11,"from","","",462,[[]]],[11,"borrow","","",462,[[]]],[11,"borrow_mut","","",462,[[]]],[11,"try_from","","",462,[[],["result",4]]],[11,"into","","",462,[[]]],[11,"try_into","","",462,[[],["result",4]]],[11,"into_iter","","",462,[[]]],[11,"type_id","","",462,[[],["typeid",3]]],[11,"to_owned","","",462,[[]]],[11,"clone_into","","",462,[[]]],[11,"from","","",463,[[]]],[11,"borrow","","",463,[[]]],[11,"borrow_mut","","",463,[[]]],[11,"try_from","","",463,[[],["result",4]]],[11,"into","","",463,[[]]],[11,"try_into","","",463,[[],["result",4]]],[11,"into_iter","","",463,[[]]],[11,"type_id","","",463,[[],["typeid",3]]],[11,"to_owned","","",463,[[]]],[11,"clone_into","","",463,[[]]],[11,"from","","",464,[[]]],[11,"borrow","","",464,[[]]],[11,"borrow_mut","","",464,[[]]],[11,"try_from","","",464,[[],["result",4]]],[11,"into","","",464,[[]]],[11,"try_into","","",464,[[],["result",4]]],[11,"into_iter","","",464,[[]]],[11,"type_id","","",464,[[],["typeid",3]]],[11,"to_owned","","",464,[[]]],[11,"clone_into","","",464,[[]]],[11,"from","","",465,[[]]],[11,"borrow","","",465,[[]]],[11,"borrow_mut","","",465,[[]]],[11,"try_from","","",465,[[],["result",4]]],[11,"into","","",465,[[]]],[11,"try_into","","",465,[[],["result",4]]],[11,"into_iter","","",465,[[]]],[11,"type_id","","",465,[[],["typeid",3]]],[11,"to_owned","","",465,[[]]],[11,"clone_into","","",465,[[]]],[11,"from","","",466,[[]]],[11,"borrow","","",466,[[]]],[11,"borrow_mut","","",466,[[]]],[11,"try_from","","",466,[[],["result",4]]],[11,"into","","",466,[[]]],[11,"try_into","","",466,[[],["result",4]]],[11,"into_iter","","",466,[[]]],[11,"type_id","","",466,[[],["typeid",3]]],[11,"to_owned","","",466,[[]]],[11,"clone_into","","",466,[[]]],[11,"from","std::string","",467,[[]]],[11,"borrow","","",467,[[]]],[11,"borrow_mut","","",467,[[]]],[11,"try_from","","",467,[[],["result",4]]],[11,"into","","",467,[[]]],[11,"try_into","","",467,[[],["result",4]]],[11,"type_id","","",467,[[],["typeid",3]]],[11,"to_owned","","",467,[[]]],[11,"clone_into","","",467,[[]]],[11,"to_string","","",467,[[],["string",3]]],[11,"from","","",468,[[]]],[11,"borrow","","",468,[[]]],[11,"borrow_mut","","",468,[[]]],[11,"try_from","","",468,[[],["result",4]]],[11,"into","","",468,[[]]],[11,"try_into","","",468,[[],["result",4]]],[11,"type_id","","",468,[[],["typeid",3]]],[11,"to_owned","","",468,[[]]],[11,"clone_into","","",468,[[]]],[11,"to_string","","",468,[[],["string",3]]],[11,"from","","",469,[[]]],[11,"borrow","","",469,[[]]],[11,"borrow_mut","","",469,[[]]],[11,"try_from","","",469,[[],["result",4]]],[11,"into","","",469,[[]]],[11,"try_into","","",469,[[],["result",4]]],[11,"type_id","","",469,[[],["typeid",3]]],[11,"to_string","","",469,[[],["string",3]]],[11,"from","","",470,[[]]],[11,"borrow","","",470,[[]]],[11,"borrow_mut","","",470,[[]]],[11,"try_from","","",470,[[],["result",4]]],[11,"into","","",470,[[]]],[11,"try_into","","",470,[[],["result",4]]],[11,"into_iter","","",470,[[]]],[11,"type_id","","",470,[[],["typeid",3]]],[11,"from","std::vec","",471,[[]]],[11,"borrow","","",471,[[]]],[11,"borrow_mut","","",471,[[]]],[11,"try_from","","",471,[[],["result",4]]],[11,"into","","",471,[[]]],[11,"try_into","","",471,[[],["result",4]]],[11,"type_id","","",471,[[],["typeid",3]]],[11,"to_owned","","",471,[[]]],[11,"clone_into","","",471,[[]]],[11,"from","","",472,[[]]],[11,"borrow","","",472,[[]]],[11,"borrow_mut","","",472,[[]]],[11,"try_from","","",472,[[],["result",4]]],[11,"into","","",472,[[]]],[11,"try_into","","",472,[[],["result",4]]],[11,"into_iter","","",472,[[]]],[11,"type_id","","",472,[[],["typeid",3]]],[11,"from","","",473,[[]]],[11,"borrow","","",473,[[]]],[11,"borrow_mut","","",473,[[]]],[11,"try_from","","",473,[[],["result",4]]],[11,"into","","",473,[[]]],[11,"try_into","","",473,[[],["result",4]]],[11,"into_iter","","",473,[[]]],[11,"type_id","","",473,[[],["typeid",3]]],[11,"from","","",474,[[]]],[11,"borrow","","",474,[[]]],[11,"borrow_mut","","",474,[[]]],[11,"try_from","","",474,[[],["result",4]]],[11,"into","","",474,[[]]],[11,"try_into","","",474,[[],["result",4]]],[11,"into_iter","","",474,[[]]],[11,"type_id","","",474,[[],["typeid",3]]],[11,"from","","",475,[[]]],[11,"borrow","","",475,[[]]],[11,"borrow_mut","","",475,[[]]],[11,"try_from","","",475,[[],["result",4]]],[11,"into","","",475,[[]]],[11,"try_into","","",475,[[],["result",4]]],[11,"into_iter","","",475,[[]]],[11,"type_id","","",475,[[],["typeid",3]]],[11,"to_owned","","",475,[[]]],[11,"clone_into","","",475,[[]]],[11,"from","std::any","",476,[[]]],[11,"borrow","","",476,[[]]],[11,"borrow_mut","","",476,[[]]],[11,"try_from","","",476,[[],["result",4]]],[11,"into","","",476,[[]]],[11,"try_into","","",476,[[],["result",4]]],[11,"type_id","","",476,[[],["typeid",3]]],[11,"to_owned","","",476,[[]]],[11,"clone_into","","",476,[[]]],[11,"from","std::array","",477,[[]]],[11,"borrow","","",477,[[]]],[11,"borrow_mut","","",477,[[]]],[11,"try_from","","",477,[[],["result",4]]],[11,"into","","",477,[[]]],[11,"try_into","","",477,[[],["result",4]]],[11,"type_id","","",477,[[],["typeid",3]]],[11,"to_owned","","",477,[[]]],[11,"clone_into","","",477,[[]]],[11,"to_string","","",477,[[],["string",3]]],[11,"from","","",478,[[]]],[11,"borrow","","",478,[[]]],[11,"borrow_mut","","",478,[[]]],[11,"try_from","","",478,[[],["result",4]]],[11,"into","","",478,[[]]],[11,"try_into","","",478,[[],["result",4]]],[11,"into_iter","","",478,[[]]],[11,"type_id","","",478,[[],["typeid",3]]],[11,"to_owned","","",478,[[]]],[11,"clone_into","","",478,[[]]],[11,"from","std::cell","",479,[[]]],[11,"from","","",479,[[]]],[11,"borrow","","",479,[[]]],[11,"borrow_mut","","",479,[[]]],[11,"try_from","","",479,[[],["result",4]]],[11,"into","","",479,[[]]],[11,"try_into","","",479,[[],["result",4]]],[11,"type_id","","",479,[[],["typeid",3]]],[11,"to_owned","","",479,[[]]],[11,"clone_into","","",479,[[]]],[11,"from","","",480,[[]]],[11,"from","","",480,[[]]],[11,"borrow","","",480,[[]]],[11,"borrow_mut","","",480,[[]]],[11,"try_from","","",480,[[],["result",4]]],[11,"into","","",480,[[]]],[11,"try_into","","",480,[[],["result",4]]],[11,"type_id","","",480,[[],["typeid",3]]],[11,"to_owned","","",480,[[]]],[11,"clone_into","","",480,[[]]],[11,"from","","",481,[[]]],[11,"borrow","","",481,[[]]],[11,"borrow_mut","","",481,[[]]],[11,"try_from","","",481,[[],["result",4]]],[11,"into","","",481,[[]]],[11,"try_into","","",481,[[],["result",4]]],[11,"type_id","","",481,[[],["typeid",3]]],[11,"to_string","","",481,[[],["string",3]]],[11,"from","","",482,[[]]],[11,"borrow","","",482,[[]]],[11,"borrow_mut","","",482,[[]]],[11,"try_from","","",482,[[],["result",4]]],[11,"into","","",482,[[]]],[11,"try_into","","",482,[[],["result",4]]],[11,"type_id","","",482,[[],["typeid",3]]],[11,"to_string","","",482,[[],["string",3]]],[11,"from","","",483,[[]]],[11,"borrow","","",483,[[]]],[11,"borrow_mut","","",483,[[]]],[11,"try_from","","",483,[[],["result",4]]],[11,"into","","",483,[[]]],[11,"try_into","","",483,[[],["result",4]]],[11,"type_id","","",483,[[],["typeid",3]]],[11,"to_string","","",483,[[],["string",3]]],[11,"from","","",484,[[]]],[11,"borrow","","",484,[[]]],[11,"borrow_mut","","",484,[[]]],[11,"try_from","","",484,[[],["result",4]]],[11,"into","","",484,[[]]],[11,"try_into","","",484,[[],["result",4]]],[11,"type_id","","",484,[[],["typeid",3]]],[11,"to_string","","",484,[[],["string",3]]],[11,"from","","",485,[[]]],[11,"from","","",485,[[]]],[11,"borrow","","",485,[[]]],[11,"borrow_mut","","",485,[[]]],[11,"try_from","","",485,[[],["result",4]]],[11,"into","","",485,[[]]],[11,"try_into","","",485,[[],["result",4]]],[11,"type_id","","",485,[[],["typeid",3]]],[11,"from","std::char","",486,[[]]],[11,"borrow","","",486,[[]]],[11,"borrow_mut","","",486,[[]]],[11,"try_from","","",486,[[],["result",4]]],[11,"into","","",486,[[]]],[11,"try_into","","",486,[[],["result",4]]],[11,"into_iter","","",486,[[]]],[11,"type_id","","",486,[[],["typeid",3]]],[11,"to_owned","","",486,[[]]],[11,"clone_into","","",486,[[]]],[11,"to_string","","",486,[[],["string",3]]],[11,"from","","",487,[[]]],[11,"borrow","","",487,[[]]],[11,"borrow_mut","","",487,[[]]],[11,"try_from","","",487,[[],["result",4]]],[11,"into","","",487,[[]]],[11,"try_into","","",487,[[],["result",4]]],[11,"into_iter","","",487,[[]]],[11,"type_id","","",487,[[],["typeid",3]]],[11,"to_owned","","",487,[[]]],[11,"clone_into","","",487,[[]]],[11,"to_string","","",487,[[],["string",3]]],[11,"from","","",488,[[]]],[11,"borrow","","",488,[[]]],[11,"borrow_mut","","",488,[[]]],[11,"try_from","","",488,[[],["result",4]]],[11,"into","","",488,[[]]],[11,"try_into","","",488,[[],["result",4]]],[11,"into_iter","","",488,[[]]],[11,"type_id","","",488,[[],["typeid",3]]],[11,"to_owned","","",488,[[]]],[11,"clone_into","","",488,[[]]],[11,"to_string","","",488,[[],["string",3]]],[11,"from","","",489,[[]]],[11,"borrow","","",489,[[]]],[11,"borrow_mut","","",489,[[]]],[11,"try_from","","",489,[[],["result",4]]],[11,"into","","",489,[[]]],[11,"try_into","","",489,[[],["result",4]]],[11,"into_iter","","",489,[[]]],[11,"type_id","","",489,[[],["typeid",3]]],[11,"to_owned","","",489,[[]]],[11,"clone_into","","",489,[[]]],[11,"to_string","","",489,[[],["string",3]]],[11,"from","","",490,[[]]],[11,"borrow","","",490,[[]]],[11,"borrow_mut","","",490,[[]]],[11,"try_from","","",490,[[],["result",4]]],[11,"into","","",490,[[]]],[11,"try_into","","",490,[[],["result",4]]],[11,"into_iter","","",490,[[]]],[11,"type_id","","",490,[[],["typeid",3]]],[11,"to_owned","","",490,[[]]],[11,"clone_into","","",490,[[]]],[11,"to_string","","",490,[[],["string",3]]],[11,"from","","",491,[[]]],[11,"borrow","","",491,[[]]],[11,"borrow_mut","","",491,[[]]],[11,"try_from","","",491,[[],["result",4]]],[11,"into","","",491,[[]]],[11,"try_into","","",491,[[],["result",4]]],[11,"type_id","","",491,[[],["typeid",3]]],[11,"to_owned","","",491,[[]]],[11,"clone_into","","",491,[[]]],[11,"to_string","","",491,[[],["string",3]]],[11,"from","","",492,[[]]],[11,"borrow","","",492,[[]]],[11,"borrow_mut","","",492,[[]]],[11,"try_from","","",492,[[],["result",4]]],[11,"into","","",492,[[]]],[11,"try_into","","",492,[[],["result",4]]],[11,"type_id","","",492,[[],["typeid",3]]],[11,"to_owned","","",492,[[]]],[11,"clone_into","","",492,[[]]],[11,"to_string","","",492,[[],["string",3]]],[11,"from","","",493,[[]]],[11,"borrow","","",493,[[]]],[11,"borrow_mut","","",493,[[]]],[11,"try_from","","",493,[[],["result",4]]],[11,"into","","",493,[[]]],[11,"try_into","","",493,[[],["result",4]]],[11,"into_iter","","",493,[[]]],[11,"type_id","","",493,[[],["typeid",3]]],[11,"to_owned","","",493,[[]]],[11,"clone_into","","",493,[[]]],[11,"from","","",494,[[]]],[11,"borrow","","",494,[[]]],[11,"borrow_mut","","",494,[[]]],[11,"try_from","","",494,[[],["result",4]]],[11,"into","","",494,[[]]],[11,"try_into","","",494,[[],["result",4]]],[11,"type_id","","",494,[[],["typeid",3]]],[11,"to_owned","","",494,[[]]],[11,"clone_into","","",494,[[]]],[11,"to_string","","",494,[[],["string",3]]],[11,"from","std::cmp","",143,[[]]],[11,"borrow","","",143,[[]]],[11,"borrow_mut","","",143,[[]]],[11,"try_from","","",143,[[],["result",4]]],[11,"into","","",143,[[]]],[11,"try_into","","",143,[[],["result",4]]],[11,"type_id","","",143,[[],["typeid",3]]],[11,"to_owned","","",143,[[]]],[11,"clone_into","","",143,[[]]],[11,"from","","",144,[[]]],[11,"borrow","","",144,[[]]],[11,"borrow_mut","","",144,[[]]],[11,"try_from","","",144,[[],["result",4]]],[11,"into","","",144,[[]]],[11,"try_into","","",144,[[],["result",4]]],[11,"type_id","","",144,[[],["typeid",3]]],[11,"to_owned","","",144,[[]]],[11,"clone_into","","",144,[[]]],[11,"from","std::convert","",495,[[]]],[11,"from","","",495,[[]]],[11,"borrow","","",495,[[]]],[11,"borrow_mut","","",495,[[]]],[11,"try_from","","",495,[[],["result",4]]],[11,"into","","",495,[[]]],[11,"try_into","","",495,[[],["result",4]]],[11,"type_id","","",495,[[],["typeid",3]]],[11,"to_owned","","",495,[[]]],[11,"clone_into","","",495,[[]]],[11,"to_string","","",495,[[],["string",3]]],[11,"from","std::future","",496,[[]]],[11,"borrow","","",496,[[]]],[11,"borrow_mut","","",496,[[]]],[11,"try_from","","",496,[[],["result",4]]],[11,"into","","",496,[[]]],[11,"try_into","","",496,[[],["result",4]]],[11,"type_id","","",496,[[],["typeid",3]]],[11,"into_future","","",496,[[]]],[11,"to_owned","","",496,[[]]],[11,"clone_into","","",496,[[]]],[11,"from","","",497,[[]]],[11,"borrow","","",497,[[]]],[11,"borrow_mut","","",497,[[]]],[11,"try_from","","",497,[[],["result",4]]],[11,"into","","",497,[[]]],[11,"try_into","","",497,[[],["result",4]]],[11,"type_id","","",497,[[],["typeid",3]]],[11,"into_future","","",497,[[]]],[11,"to_owned","","",497,[[]]],[11,"clone_into","","",497,[[]]],[11,"from","","",498,[[]]],[11,"borrow","","",498,[[]]],[11,"borrow_mut","","",498,[[]]],[11,"try_from","","",498,[[],["result",4]]],[11,"into","","",498,[[]]],[11,"try_into","","",498,[[],["result",4]]],[11,"type_id","","",498,[[],["typeid",3]]],[11,"into_future","","",498,[[]]],[11,"from","std::hash","",499,[[]]],[11,"borrow","","",499,[[]]],[11,"borrow_mut","","",499,[[]]],[11,"try_from","","",499,[[],["result",4]]],[11,"into","","",499,[[]]],[11,"try_into","","",499,[[],["result",4]]],[11,"type_id","","",499,[[],["typeid",3]]],[11,"to_owned","","",499,[[]]],[11,"clone_into","","",499,[[]]],[11,"from","","",500,[[]]],[11,"borrow","","",500,[[]]],[11,"borrow_mut","","",500,[[]]],[11,"try_from","","",500,[[],["result",4]]],[11,"into","","",500,[[]]],[11,"try_into","","",500,[[],["result",4]]],[11,"type_id","","",500,[[],["typeid",3]]],[11,"to_owned","","",500,[[]]],[11,"clone_into","","",500,[[]]],[11,"from","std::iter","",501,[[]]],[11,"borrow","","",501,[[]]],[11,"borrow_mut","","",501,[[]]],[11,"try_from","","",501,[[],["result",4]]],[11,"into","","",501,[[]]],[11,"try_into","","",501,[[],["result",4]]],[11,"into_iter","","",501,[[]]],[11,"type_id","","",501,[[],["typeid",3]]],[11,"to_owned","","",501,[[]]],[11,"clone_into","","",501,[[]]],[11,"from","","",502,[[]]],[11,"borrow","","",502,[[]]],[11,"borrow_mut","","",502,[[]]],[11,"try_from","","",502,[[],["result",4]]],[11,"into","","",502,[[]]],[11,"try_into","","",502,[[],["result",4]]],[11,"into_iter","","",502,[[]]],[11,"type_id","","",502,[[],["typeid",3]]],[11,"to_owned","","",502,[[]]],[11,"clone_into","","",502,[[]]],[11,"from","","",503,[[]]],[11,"borrow","","",503,[[]]],[11,"borrow_mut","","",503,[[]]],[11,"try_from","","",503,[[],["result",4]]],[11,"into","","",503,[[]]],[11,"try_into","","",503,[[],["result",4]]],[11,"into_iter","","",503,[[]]],[11,"type_id","","",503,[[],["typeid",3]]],[11,"to_owned","","",503,[[]]],[11,"clone_into","","",503,[[]]],[11,"from","","",504,[[]]],[11,"borrow","","",504,[[]]],[11,"borrow_mut","","",504,[[]]],[11,"try_from","","",504,[[],["result",4]]],[11,"into","","",504,[[]]],[11,"try_into","","",504,[[],["result",4]]],[11,"into_iter","","",504,[[]]],[11,"type_id","","",504,[[],["typeid",3]]],[11,"to_owned","","",504,[[]]],[11,"clone_into","","",504,[[]]],[11,"from","","",505,[[]]],[11,"borrow","","",505,[[]]],[11,"borrow_mut","","",505,[[]]],[11,"try_from","","",505,[[],["result",4]]],[11,"into","","",505,[[]]],[11,"try_into","","",505,[[],["result",4]]],[11,"into_iter","","",505,[[]]],[11,"type_id","","",505,[[],["typeid",3]]],[11,"to_owned","","",505,[[]]],[11,"clone_into","","",505,[[]]],[11,"from","","",506,[[]]],[11,"borrow","","",506,[[]]],[11,"borrow_mut","","",506,[[]]],[11,"try_from","","",506,[[],["result",4]]],[11,"into","","",506,[[]]],[11,"try_into","","",506,[[],["result",4]]],[11,"into_iter","","",506,[[]]],[11,"type_id","","",506,[[],["typeid",3]]],[11,"to_owned","","",506,[[]]],[11,"clone_into","","",506,[[]]],[11,"from","","",507,[[]]],[11,"borrow","","",507,[[]]],[11,"borrow_mut","","",507,[[]]],[11,"try_from","","",507,[[],["result",4]]],[11,"into","","",507,[[]]],[11,"try_into","","",507,[[],["result",4]]],[11,"into_iter","","",507,[[]]],[11,"type_id","","",507,[[],["typeid",3]]],[11,"to_owned","","",507,[[]]],[11,"clone_into","","",507,[[]]],[11,"from","","",508,[[]]],[11,"borrow","","",508,[[]]],[11,"borrow_mut","","",508,[[]]],[11,"try_from","","",508,[[],["result",4]]],[11,"into","","",508,[[]]],[11,"try_into","","",508,[[],["result",4]]],[11,"into_iter","","",508,[[]]],[11,"type_id","","",508,[[],["typeid",3]]],[11,"to_owned","","",508,[[]]],[11,"clone_into","","",508,[[]]],[11,"from","","",509,[[]]],[11,"borrow","","",509,[[]]],[11,"borrow_mut","","",509,[[]]],[11,"try_from","","",509,[[],["result",4]]],[11,"into","","",509,[[]]],[11,"try_into","","",509,[[],["result",4]]],[11,"into_iter","","",509,[[]]],[11,"type_id","","",509,[[],["typeid",3]]],[11,"to_owned","","",509,[[]]],[11,"clone_into","","",509,[[]]],[11,"from","","",510,[[]]],[11,"borrow","","",510,[[]]],[11,"borrow_mut","","",510,[[]]],[11,"try_from","","",510,[[],["result",4]]],[11,"into","","",510,[[]]],[11,"try_into","","",510,[[],["result",4]]],[11,"into_iter","","",510,[[]]],[11,"type_id","","",510,[[],["typeid",3]]],[11,"to_owned","","",510,[[]]],[11,"clone_into","","",510,[[]]],[11,"from","","",511,[[]]],[11,"borrow","","",511,[[]]],[11,"borrow_mut","","",511,[[]]],[11,"try_from","","",511,[[],["result",4]]],[11,"into","","",511,[[]]],[11,"try_into","","",511,[[],["result",4]]],[11,"into_iter","","",511,[[]]],[11,"type_id","","",511,[[],["typeid",3]]],[11,"to_owned","","",511,[[]]],[11,"clone_into","","",511,[[]]],[11,"from","","",512,[[]]],[11,"borrow","","",512,[[]]],[11,"borrow_mut","","",512,[[]]],[11,"try_from","","",512,[[],["result",4]]],[11,"into","","",512,[[]]],[11,"try_into","","",512,[[],["result",4]]],[11,"into_iter","","",512,[[]]],[11,"type_id","","",512,[[],["typeid",3]]],[11,"to_owned","","",512,[[]]],[11,"clone_into","","",512,[[]]],[11,"from","","",513,[[]]],[11,"borrow","","",513,[[]]],[11,"borrow_mut","","",513,[[]]],[11,"try_from","","",513,[[],["result",4]]],[11,"into","","",513,[[]]],[11,"try_into","","",513,[[],["result",4]]],[11,"into_iter","","",513,[[]]],[11,"type_id","","",513,[[],["typeid",3]]],[11,"to_owned","","",513,[[]]],[11,"clone_into","","",513,[[]]],[11,"from","","",514,[[]]],[11,"borrow","","",514,[[]]],[11,"borrow_mut","","",514,[[]]],[11,"try_from","","",514,[[],["result",4]]],[11,"into","","",514,[[]]],[11,"try_into","","",514,[[],["result",4]]],[11,"into_iter","","",514,[[]]],[11,"type_id","","",514,[[],["typeid",3]]],[11,"to_owned","","",514,[[]]],[11,"clone_into","","",514,[[]]],[11,"from","","",515,[[]]],[11,"borrow","","",515,[[]]],[11,"borrow_mut","","",515,[[]]],[11,"try_from","","",515,[[],["result",4]]],[11,"into","","",515,[[]]],[11,"try_into","","",515,[[],["result",4]]],[11,"into_iter","","",515,[[]]],[11,"type_id","","",515,[[],["typeid",3]]],[11,"to_owned","","",515,[[]]],[11,"clone_into","","",515,[[]]],[11,"from","","",516,[[]]],[11,"borrow","","",516,[[]]],[11,"borrow_mut","","",516,[[]]],[11,"try_from","","",516,[[],["result",4]]],[11,"into","","",516,[[]]],[11,"try_into","","",516,[[],["result",4]]],[11,"into_iter","","",516,[[]]],[11,"type_id","","",516,[[],["typeid",3]]],[11,"to_owned","","",516,[[]]],[11,"clone_into","","",516,[[]]],[11,"from","","",517,[[]]],[11,"borrow","","",517,[[]]],[11,"borrow_mut","","",517,[[]]],[11,"try_from","","",517,[[],["result",4]]],[11,"into","","",517,[[]]],[11,"try_into","","",517,[[],["result",4]]],[11,"into_iter","","",517,[[]]],[11,"type_id","","",517,[[],["typeid",3]]],[11,"to_owned","","",517,[[]]],[11,"clone_into","","",517,[[]]],[11,"from","","",518,[[]]],[11,"borrow","","",518,[[]]],[11,"borrow_mut","","",518,[[]]],[11,"try_from","","",518,[[],["result",4]]],[11,"into","","",518,[[]]],[11,"try_into","","",518,[[],["result",4]]],[11,"into_iter","","",518,[[]]],[11,"type_id","","",518,[[],["typeid",3]]],[11,"to_owned","","",518,[[]]],[11,"clone_into","","",518,[[]]],[11,"from","","",519,[[]]],[11,"borrow","","",519,[[]]],[11,"borrow_mut","","",519,[[]]],[11,"try_from","","",519,[[],["result",4]]],[11,"into","","",519,[[]]],[11,"try_into","","",519,[[],["result",4]]],[11,"into_iter","","",519,[[]]],[11,"type_id","","",519,[[],["typeid",3]]],[11,"to_owned","","",519,[[]]],[11,"clone_into","","",519,[[]]],[11,"from","","",520,[[]]],[11,"borrow","","",520,[[]]],[11,"borrow_mut","","",520,[[]]],[11,"try_from","","",520,[[],["result",4]]],[11,"into","","",520,[[]]],[11,"try_into","","",520,[[],["result",4]]],[11,"into_iter","","",520,[[]]],[11,"type_id","","",520,[[],["typeid",3]]],[11,"to_owned","","",520,[[]]],[11,"clone_into","","",520,[[]]],[11,"from","","",521,[[]]],[11,"borrow","","",521,[[]]],[11,"borrow_mut","","",521,[[]]],[11,"try_from","","",521,[[],["result",4]]],[11,"into","","",521,[[]]],[11,"try_into","","",521,[[],["result",4]]],[11,"into_iter","","",521,[[]]],[11,"type_id","","",521,[[],["typeid",3]]],[11,"to_owned","","",521,[[]]],[11,"clone_into","","",521,[[]]],[11,"from","","",522,[[]]],[11,"borrow","","",522,[[]]],[11,"borrow_mut","","",522,[[]]],[11,"try_from","","",522,[[],["result",4]]],[11,"into","","",522,[[]]],[11,"try_into","","",522,[[],["result",4]]],[11,"into_iter","","",522,[[]]],[11,"type_id","","",522,[[],["typeid",3]]],[11,"to_owned","","",522,[[]]],[11,"clone_into","","",522,[[]]],[11,"from","","",523,[[]]],[11,"borrow","","",523,[[]]],[11,"borrow_mut","","",523,[[]]],[11,"try_from","","",523,[[],["result",4]]],[11,"into","","",523,[[]]],[11,"try_into","","",523,[[],["result",4]]],[11,"into_iter","","",523,[[]]],[11,"type_id","","",523,[[],["typeid",3]]],[11,"to_owned","","",523,[[]]],[11,"clone_into","","",523,[[]]],[11,"from","","",524,[[]]],[11,"borrow","","",524,[[]]],[11,"borrow_mut","","",524,[[]]],[11,"try_from","","",524,[[],["result",4]]],[11,"into","","",524,[[]]],[11,"try_into","","",524,[[],["result",4]]],[11,"into_iter","","",524,[[]]],[11,"type_id","","",524,[[],["typeid",3]]],[11,"to_owned","","",524,[[]]],[11,"clone_into","","",524,[[]]],[11,"from","","",525,[[]]],[11,"borrow","","",525,[[]]],[11,"borrow_mut","","",525,[[]]],[11,"try_from","","",525,[[],["result",4]]],[11,"into","","",525,[[]]],[11,"try_into","","",525,[[],["result",4]]],[11,"into_iter","","",525,[[]]],[11,"type_id","","",525,[[],["typeid",3]]],[11,"to_owned","","",525,[[]]],[11,"clone_into","","",525,[[]]],[11,"from","","",526,[[]]],[11,"borrow","","",526,[[]]],[11,"borrow_mut","","",526,[[]]],[11,"try_from","","",526,[[],["result",4]]],[11,"into","","",526,[[]]],[11,"try_into","","",526,[[],["result",4]]],[11,"into_iter","","",526,[[]]],[11,"type_id","","",526,[[],["typeid",3]]],[11,"to_owned","","",526,[[]]],[11,"clone_into","","",526,[[]]],[11,"from","","",527,[[]]],[11,"borrow","","",527,[[]]],[11,"borrow_mut","","",527,[[]]],[11,"try_from","","",527,[[],["result",4]]],[11,"into","","",527,[[]]],[11,"try_into","","",527,[[],["result",4]]],[11,"into_iter","","",527,[[]]],[11,"type_id","","",527,[[],["typeid",3]]],[11,"to_owned","","",527,[[]]],[11,"clone_into","","",527,[[]]],[11,"from","","",528,[[]]],[11,"borrow","","",528,[[]]],[11,"borrow_mut","","",528,[[]]],[11,"try_from","","",528,[[],["result",4]]],[11,"into","","",528,[[]]],[11,"try_into","","",528,[[],["result",4]]],[11,"into_iter","","",528,[[]]],[11,"type_id","","",528,[[],["typeid",3]]],[11,"to_owned","","",528,[[]]],[11,"clone_into","","",528,[[]]],[11,"from","","",529,[[]]],[11,"borrow","","",529,[[]]],[11,"borrow_mut","","",529,[[]]],[11,"try_from","","",529,[[],["result",4]]],[11,"into","","",529,[[]]],[11,"try_into","","",529,[[],["result",4]]],[11,"into_iter","","",529,[[]]],[11,"type_id","","",529,[[],["typeid",3]]],[11,"to_owned","","",529,[[]]],[11,"clone_into","","",529,[[]]],[11,"from","","",530,[[]]],[11,"borrow","","",530,[[]]],[11,"borrow_mut","","",530,[[]]],[11,"try_from","","",530,[[],["result",4]]],[11,"into","","",530,[[]]],[11,"try_into","","",530,[[],["result",4]]],[11,"into_iter","","",530,[[]]],[11,"type_id","","",530,[[],["typeid",3]]],[11,"to_owned","","",530,[[]]],[11,"clone_into","","",530,[[]]],[11,"from","","",531,[[]]],[11,"borrow","","",531,[[]]],[11,"borrow_mut","","",531,[[]]],[11,"try_from","","",531,[[],["result",4]]],[11,"into","","",531,[[]]],[11,"try_into","","",531,[[],["result",4]]],[11,"into_iter","","",531,[[]]],[11,"type_id","","",531,[[],["typeid",3]]],[11,"to_owned","","",531,[[]]],[11,"clone_into","","",531,[[]]],[11,"from","std::marker","",532,[[]]],[11,"borrow","","",532,[[]]],[11,"borrow_mut","","",532,[[]]],[11,"try_from","","",532,[[],["result",4]]],[11,"into","","",532,[[]]],[11,"try_into","","",532,[[],["result",4]]],[11,"type_id","","",532,[[],["typeid",3]]],[11,"to_owned","","",532,[[]]],[11,"clone_into","","",532,[[]]],[11,"from","","",533,[[]]],[11,"borrow","","",533,[[]]],[11,"borrow_mut","","",533,[[]]],[11,"try_from","","",533,[[],["result",4]]],[11,"into","","",533,[[]]],[11,"try_into","","",533,[[],["result",4]]],[11,"type_id","","",533,[[],["typeid",3]]],[11,"to_owned","","",533,[[]]],[11,"clone_into","","",533,[[]]],[11,"from","std::mem","",534,[[]]],[11,"borrow","","",534,[[]]],[11,"borrow_mut","","",534,[[]]],[11,"try_from","","",534,[[],["result",4]]],[11,"into","","",534,[[]]],[11,"try_into","","",534,[[],["result",4]]],[11,"type_id","","",534,[[],["typeid",3]]],[11,"to_owned","","",534,[[]]],[11,"clone_into","","",534,[[]]],[11,"from","","",535,[[]]],[11,"borrow","","",535,[[]]],[11,"borrow_mut","","",535,[[]]],[11,"try_from","","",535,[[],["result",4]]],[11,"into","","",535,[[]]],[11,"try_into","","",535,[[],["result",4]]],[11,"type_id","","",535,[[],["typeid",3]]],[11,"to_owned","","",535,[[]]],[11,"clone_into","","",535,[[]]],[11,"from","","",536,[[]]],[11,"borrow","","",536,[[]]],[11,"borrow_mut","","",536,[[]]],[11,"try_from","","",536,[[],["result",4]]],[11,"into","","",536,[[]]],[11,"try_into","","",536,[[],["result",4]]],[11,"type_id","","",536,[[],["typeid",3]]],[11,"to_owned","","",536,[[]]],[11,"clone_into","","",536,[[]]],[11,"from","std::ops","",200,[[]]],[11,"borrow","","",200,[[]]],[11,"borrow_mut","","",200,[[]]],[11,"try_from","","",200,[[],["result",4]]],[11,"into","","",200,[[]]],[11,"try_into","","",200,[[],["result",4]]],[11,"into_iter","","",200,[[]]],[11,"type_id","","",200,[[],["typeid",3]]],[11,"to_owned","","",200,[[]]],[11,"clone_into","","",200,[[]]],[11,"from","","",201,[[]]],[11,"borrow","","",201,[[]]],[11,"borrow_mut","","",201,[[]]],[11,"try_from","","",201,[[],["result",4]]],[11,"into","","",201,[[]]],[11,"try_into","","",201,[[],["result",4]]],[11,"into_iter","","",201,[[]]],[11,"type_id","","",201,[[],["typeid",3]]],[11,"to_owned","","",201,[[]]],[11,"clone_into","","",201,[[]]],[11,"from","","",537,[[]]],[11,"borrow","","",537,[[]]],[11,"borrow_mut","","",537,[[]]],[11,"try_from","","",537,[[],["result",4]]],[11,"into","","",537,[[]]],[11,"try_into","","",537,[[],["result",4]]],[11,"type_id","","",537,[[],["typeid",3]]],[11,"to_owned","","",537,[[]]],[11,"clone_into","","",537,[[]]],[11,"from","","",202,[[]]],[11,"borrow","","",202,[[]]],[11,"borrow_mut","","",202,[[]]],[11,"try_from","","",202,[[],["result",4]]],[11,"into","","",202,[[]]],[11,"try_into","","",202,[[],["result",4]]],[11,"type_id","","",202,[[],["typeid",3]]],[11,"to_owned","","",202,[[]]],[11,"clone_into","","",202,[[]]],[11,"from","","",203,[[]]],[11,"borrow","","",203,[[]]],[11,"borrow_mut","","",203,[[]]],[11,"try_from","","",203,[[],["result",4]]],[11,"into","","",203,[[]]],[11,"try_into","","",203,[[],["result",4]]],[11,"type_id","","",203,[[],["typeid",3]]],[11,"to_owned","","",203,[[]]],[11,"clone_into","","",203,[[]]],[11,"from","","",538,[[]]],[11,"borrow","","",538,[[]]],[11,"borrow_mut","","",538,[[]]],[11,"try_from","","",538,[[],["result",4]]],[11,"into","","",538,[[]]],[11,"try_into","","",538,[[],["result",4]]],[11,"into_iter","","",538,[[]]],[11,"type_id","","",538,[[],["typeid",3]]],[11,"to_owned","","",538,[[]]],[11,"clone_into","","",538,[[]]],[11,"from","","",205,[[]]],[11,"borrow","","",205,[[]]],[11,"borrow_mut","","",205,[[]]],[11,"try_from","","",205,[[],["result",4]]],[11,"into","","",205,[[]]],[11,"try_into","","",205,[[],["result",4]]],[11,"type_id","","",205,[[],["typeid",3]]],[11,"to_owned","","",205,[[]]],[11,"clone_into","","",205,[[]]],[11,"from","","",208,[[]]],[11,"borrow","","",208,[[]]],[11,"borrow_mut","","",208,[[]]],[11,"try_from","","",208,[[],["result",4]]],[11,"into","","",208,[[]]],[11,"try_into","","",208,[[],["result",4]]],[11,"type_id","","",208,[[],["typeid",3]]],[11,"to_owned","","",208,[[]]],[11,"clone_into","","",208,[[]]],[11,"from","","",209,[[]]],[11,"borrow","","",209,[[]]],[11,"borrow_mut","","",209,[[]]],[11,"try_from","","",209,[[],["result",4]]],[11,"into","","",209,[[]]],[11,"try_into","","",209,[[],["result",4]]],[11,"type_id","","",209,[[],["typeid",3]]],[11,"to_owned","","",209,[[]]],[11,"clone_into","","",209,[[]]],[11,"from","std::option","",210,[[]]],[11,"from","","",210,[[]]],[11,"borrow","","",210,[[]]],[11,"borrow_mut","","",210,[[]]],[11,"try_from","","",210,[[],["result",4]]],[11,"into","","",210,[[]]],[11,"try_into","","",210,[[],["result",4]]],[11,"type_id","","",210,[[],["typeid",3]]],[11,"to_owned","","",210,[[]]],[11,"clone_into","","",210,[[]]],[11,"from","","",539,[[]]],[11,"borrow","","",539,[[]]],[11,"borrow_mut","","",539,[[]]],[11,"try_from","","",539,[[],["result",4]]],[11,"into","","",539,[[]]],[11,"try_into","","",539,[[],["result",4]]],[11,"into_iter","","",539,[[]]],[11,"type_id","","",539,[[],["typeid",3]]],[11,"to_owned","","",539,[[]]],[11,"clone_into","","",539,[[]]],[11,"from","","",540,[[]]],[11,"borrow","","",540,[[]]],[11,"borrow_mut","","",540,[[]]],[11,"try_from","","",540,[[],["result",4]]],[11,"into","","",540,[[]]],[11,"try_into","","",540,[[],["result",4]]],[11,"into_iter","","",540,[[]]],[11,"type_id","","",540,[[],["typeid",3]]],[11,"from","","",541,[[]]],[11,"borrow","","",541,[[]]],[11,"borrow_mut","","",541,[[]]],[11,"try_from","","",541,[[],["result",4]]],[11,"into","","",541,[[]]],[11,"try_into","","",541,[[],["result",4]]],[11,"into_iter","","",541,[[]]],[11,"type_id","","",541,[[],["typeid",3]]],[11,"to_owned","","",541,[[]]],[11,"clone_into","","",541,[[]]],[11,"from","","",542,[[]]],[11,"borrow","","",542,[[]]],[11,"borrow_mut","","",542,[[]]],[11,"try_from","","",542,[[],["result",4]]],[11,"into","","",542,[[]]],[11,"try_into","","",542,[[],["result",4]]],[11,"type_id","","",542,[[],["typeid",3]]],[11,"to_owned","","",542,[[]]],[11,"clone_into","","",542,[[]]],[11,"from","std::pin","",543,[[]]],[11,"borrow","","",543,[[]]],[11,"borrow_mut","","",543,[[]]],[11,"try_from","","",543,[[],["result",4]]],[11,"into","","",543,[[]]],[11,"try_into","","",543,[[],["result",4]]],[11,"type_id","","",543,[[],["typeid",3]]],[11,"into_future","","",543,[[]]],[11,"to_owned","","",543,[[]]],[11,"clone_into","","",543,[[]]],[11,"to_string","","",543,[[],["string",3]]],[11,"from","std::ptr","",544,[[]]],[11,"borrow","","",544,[[]]],[11,"borrow_mut","","",544,[[]]],[11,"try_from","","",544,[[],["result",4]]],[11,"into","","",544,[[]]],[11,"try_into","","",544,[[],["result",4]]],[11,"type_id","","",544,[[],["typeid",3]]],[11,"to_owned","","",544,[[]]],[11,"clone_into","","",544,[[]]],[11,"from","std::raw","",211,[[]]],[11,"borrow","","",211,[[]]],[11,"borrow_mut","","",211,[[]]],[11,"try_from","","",211,[[],["result",4]]],[11,"into","","",211,[[]]],[11,"try_into","","",211,[[],["result",4]]],[11,"type_id","","",211,[[],["typeid",3]]],[11,"to_owned","","",211,[[]]],[11,"clone_into","","",211,[[]]],[11,"from","std::result","",212,[[]]],[11,"borrow","","",212,[[]]],[11,"borrow_mut","","",212,[[]]],[11,"try_from","","",212,[[],["result",4]]],[11,"into","","",212,[[]]],[11,"try_into","","",212,[[],["result",4]]],[11,"type_id","","",212,[[],["typeid",3]]],[11,"to_owned","","",212,[[]]],[11,"clone_into","","",212,[[]]],[11,"from","","",545,[[]]],[11,"borrow","","",545,[[]]],[11,"borrow_mut","","",545,[[]]],[11,"try_from","","",545,[[],["result",4]]],[11,"into","","",545,[[]]],[11,"try_into","","",545,[[],["result",4]]],[11,"into_iter","","",545,[[]]],[11,"type_id","","",545,[[],["typeid",3]]],[11,"to_owned","","",545,[[]]],[11,"clone_into","","",545,[[]]],[11,"from","","",546,[[]]],[11,"borrow","","",546,[[]]],[11,"borrow_mut","","",546,[[]]],[11,"try_from","","",546,[[],["result",4]]],[11,"into","","",546,[[]]],[11,"try_into","","",546,[[],["result",4]]],[11,"into_iter","","",546,[[]]],[11,"type_id","","",546,[[],["typeid",3]]],[11,"from","","",547,[[]]],[11,"borrow","","",547,[[]]],[11,"borrow_mut","","",547,[[]]],[11,"try_from","","",547,[[],["result",4]]],[11,"into","","",547,[[]]],[11,"try_into","","",547,[[],["result",4]]],[11,"into_iter","","",547,[[]]],[11,"type_id","","",547,[[],["typeid",3]]],[11,"to_owned","","",547,[[]]],[11,"clone_into","","",547,[[]]],[11,"bitxor_assign","std","",548,[[["i16",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3],["u32",15]]]],[11,"bitxor_assign","","",37,[[["isize",15],["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",549,[[["u8",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",550,[[["u64",15]]]],[11,"bitxor_assign","","",551,[[["i64",15]]]],[11,"bitxor_assign","","",552,[[["isize",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"bitxor_assign","std","",553,[[["u32",15]]]],[11,"bitxor_assign","","",554,[[["i128",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["u16",15]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3],["i8",15]]]],[11,"bitxor_assign","std","",555,[[["i8",15]]]],[11,"bitxor_assign","","",555,[[["i8",15]]]],[11,"bitxor_assign","","",556,[[["u16",15]]]],[11,"bitxor_assign","","",557,[[["usize",15]]]],[11,"bitxor_assign","","",557,[[["usize",15]]]],[11,"bitxor_assign","","",558,[[["bool",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",556,[[["u16",15]]]],[11,"bitxor_assign","","",553,[[["u32",15]]]],[11,"bitxor_assign","","",550,[[["u64",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"bitxor_assign","std","",559,[[["i32",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"bitxor_assign","","",37,[[["i64",15],["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["i128",15],["wrapping",3]]]],[11,"bitxor_assign","","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",560,[[["u128",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["i32",15]]]],[11,"bitxor_assign","","",37,[[["wrapping",3],["u64",15]]]],[11,"bitxor_assign","std","",551,[[["i64",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",549,[[["u8",15]]]],[11,"bitxor_assign","","",560,[[["u128",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"bitxor_assign","std","",554,[[["i128",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",558,[[["bool",15]]]],[11,"bitxor_assign","","",559,[[["i32",15]]]],[11,"bitxor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitxor_assign","std","",552,[[["isize",15]]]],[11,"bitxor_assign","","",548,[[["i16",15]]]],[11,"add","","",559,[[["i32",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"add","std","",551,[[["i64",15]]]],[11,"add","","",560,[[["u128",15]],["u128",15]]],[11,"add","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"add","std","",561,[[["f64",15]]]],[11,"add","","",552,[[["isize",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"add","std","",554,[[["i128",15]]]],[11,"add","","",553,[[["u32",15]],["u32",15]]],[11,"add","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"add","std","",556,[[["u16",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"add","std","",549,[[["u8",15]],["u8",15]]],[11,"add","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"add","std","",559,[[["i32",15]]]],[11,"add","","",561,[[["f64",15]]]],[11,"add","","",556,[[["u16",15]]]],[11,"add","","",556,[[["u16",15]]]],[11,"add","","",549,[[["u8",15]]]],[11,"add","","",559,[[["i32",15]],["i32",15]]],[11,"add","","",562,[[["f32",15]]]],[11,"add","","",557,[[["usize",15]]]],[11,"add","","",552,[[["isize",15]],["isize",15]]],[11,"add","","",554,[[["i128",15]],["i128",15]]],[11,"add","","",551,[[["i64",15]]]],[11,"add","","",556,[[["u16",15]],["u16",15]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","std","",560,[[["u128",15]]]],[11,"add","","",561,[[["f64",15]],["f64",15]]],[11,"add","","",548,[[["i16",15]]]],[11,"add","","",559,[[["i32",15]]]],[11,"add","","",549,[[["u8",15]]]],[11,"add","","",550,[[["u64",15]]]],[11,"add","","",550,[[["u64",15]],["u64",15]]],[11,"add","","",552,[[["isize",15]]]],[11,"add","","",561,[[["f64",15]]]],[11,"add","","",562,[[["f32",15]],["f32",15]]],[11,"add","","",555,[[["i8",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"add","std","",560,[[["u128",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"add","std","",549,[[["u8",15]]]],[11,"add","","",551,[[["i64",15]],["i64",15]]],[11,"add","","",557,[[["usize",15]]]],[11,"add","","",562,[[["f32",15]]]],[11,"add","","",548,[[["i16",15]],["i16",15]]],[11,"add","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"add","std","",557,[[["usize",15]],["usize",15]]],[11,"add","","",550,[[["u64",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","std","",552,[[["isize",15]]]],[11,"add","","",555,[[["i8",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","","",37,[[["wrapping",3]]]],[11,"add","","",37,[[["wrapping",3]]]],[11,"add","std","",560,[[["u128",15]]]],[11,"add","","",557,[[["usize",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"add","std","",553,[[["u32",15]]]],[11,"add","","",551,[[["i64",15]]]],[11,"add","","",562,[[["f32",15]]]],[11,"add","","",555,[[["i8",15]]]],[11,"add","std::num","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"add","std","",553,[[["u32",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","std","",554,[[["i128",15]]]],[11,"add","std::num","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"add","std","",548,[[["i16",15]]]],[11,"add","","",555,[[["i8",15]],["i8",15]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","std::time","",393,[[["duration",3]],["duration",3]]],[11,"add","std","",550,[[["u64",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","","",37,[[["wrapping",3]]]],[11,"add","","",37,[[["wrapping",3]]]],[11,"add","std","",548,[[["i16",15]]]],[11,"add","","",553,[[["u32",15]]]],[11,"add","std::num","",37,[[["wrapping",3]]]],[11,"add","std","",554,[[["i128",15]]]],[11,"into_iter","","",563,[[],["itermut",3]]],[11,"into_iter","","",563,[[],["iter",3]]],[11,"into_iter","","",564,[[],["iter",3]]],[11,"into_iter","std::option","Returns a consuming iterator over the possibly contained …",210,[[],["intoiter",3]]],[11,"into_iter","std::result","Returns a consuming iterator over the possibly contained …",212,[[],["intoiter",3]]],[11,"into_iter","std","",564,[[],["itermut",3]]],[11,"div_assign","","",553,[[["u32",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"div_assign","std","",559,[[["i32",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3],["u64",15]]]],[11,"div_assign","std","",549,[[["u8",15]]]],[11,"div_assign","std::num","",37,[[["isize",15],["wrapping",3]]]],[11,"div_assign","","",37,[[["i128",15],["wrapping",3]]]],[11,"div_assign","std","",552,[[["isize",15]]]],[11,"div_assign","","",554,[[["i128",15]]]],[11,"div_assign","","",559,[[["i32",15]]]],[11,"div_assign","","",551,[[["i64",15]]]],[11,"div_assign","","",553,[[["u32",15]]]],[11,"div_assign","","",551,[[["i64",15]]]],[11,"div_assign","","",562,[[["f32",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","std","",552,[[["isize",15]]]],[11,"div_assign","","",555,[[["i8",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["i64",15],["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3],["i8",15]]]],[11,"div_assign","","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3],["u16",15]]]],[11,"div_assign","","",37,[[["wrapping",3],["u8",15]]]],[11,"div_assign","std","",560,[[["u128",15]]]],[11,"div_assign","","",561,[[["f64",15]]]],[11,"div_assign","","",550,[[["u64",15]]]],[11,"div_assign","","",560,[[["u128",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","std","",561,[[["f64",15]]]],[11,"div_assign","","",557,[[["usize",15]]]],[11,"div_assign","","",550,[[["u64",15]]]],[11,"div_assign","","",548,[[["i16",15]]]],[11,"div_assign","","",555,[[["i8",15]]]],[11,"div_assign","","",562,[[["f32",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3],["i32",15]]]],[11,"div_assign","std","",556,[[["u16",15]]]],[11,"div_assign","","",556,[[["u16",15]]]],[11,"div_assign","","",554,[[["i128",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"div_assign","std::time","",393,[[["u32",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3],["u32",15]]]],[11,"div_assign","std","",548,[[["i16",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3]]]],[11,"div_assign","std","",549,[[["u8",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3],["i16",15]]]],[11,"div_assign","std","",557,[[["usize",15]]]],[11,"div_assign","std::num","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3]]]],[11,"div_assign","","",37,[[["wrapping",3]]]],[11,"call_mut","std","",565,[[]]],[11,"call_mut","","",565,[[]]],[11,"as_ref","","",566,[[],["str",15]]],[11,"as_ref","","",563,[[]]],[11,"as_ref","","",565,[[]]],[11,"as_ref","","",566,[[]]],[11,"as_ref","","",565,[[]]],[11,"as_ref","std::slice","",428,[[]]],[11,"as_ref","std","",564,[[]]],[11,"add_assign","","",548,[[["i16",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"add_assign","","",37,[[["wrapping",3],["u64",15]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","std","",561,[[["f64",15]]]],[11,"add_assign","","",556,[[["u16",15]]]],[11,"add_assign","","",559,[[["i32",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","std","",562,[[["f32",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","","",37,[[["wrapping",3],["i32",15]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","std","",554,[[["i128",15]]]],[11,"add_assign","","",553,[[["u32",15]]]],[11,"add_assign","","",562,[[["f32",15]]]],[11,"add_assign","","",551,[[["i64",15]]]],[11,"add_assign","std::num","",37,[[["isize",15],["wrapping",3]]]],[11,"add_assign","std","",557,[[["usize",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"add_assign","std","",552,[[["isize",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"add_assign","std::time","",393,[[["duration",3]]]],[11,"add_assign","std","",550,[[["u64",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"add_assign","std","",557,[[["usize",15]]]],[11,"add_assign","std::num","",37,[[["i64",15],["wrapping",3]]]],[11,"add_assign","std","",560,[[["u128",15]]]],[11,"add_assign","","",549,[[["u8",15]]]],[11,"add_assign","","",548,[[["i16",15]]]],[11,"add_assign","","",555,[[["i8",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["u16",15]]]],[11,"add_assign","std","",560,[[["u128",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["u32",15]]]],[11,"add_assign","","",37,[[["wrapping",3]]]],[11,"add_assign","std","",550,[[["u64",15]]]],[11,"add_assign","std::num","",37,[[["i128",15],["wrapping",3]]]],[11,"add_assign","std","",553,[[["u32",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"add_assign","std","",549,[[["u8",15]]]],[11,"add_assign","","",561,[[["f64",15]]]],[11,"add_assign","","",552,[[["isize",15]]]],[11,"add_assign","","",551,[[["i64",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"add_assign","std","",556,[[["u16",15]]]],[11,"add_assign","","",555,[[["i8",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"add_assign","std","",559,[[["i32",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3],["i8",15]]]],[11,"add_assign","std","",554,[[["i128",15]]]],[11,"add_assign","std::num","",37,[[["wrapping",3]]]],[11,"index_mut","std","",564,[[]]],[11,"index_mut","","",566,[[]]],[11,"index_mut","","",563,[[]]],[11,"fmt","std::num","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"into_searcher","","",564,[[["str",15]],["charslicesearcher",3]]],[11,"is_contained_in","","",564,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","",564,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","",564,[[["str",15]],[["str",15],["option",4]]]],[11,"is_suffix_of","","",564,[[["str",15]],["bool",15]]],[11,"strip_suffix_of","","",564,[[["str",15]],[["str",15],["option",4]]]],[11,"into_searcher","","",566,[[["str",15]],["strsearcher",3]]],[11,"is_prefix_of","","Checks whether the pattern matches at the front of the …",566,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","Removes the pattern from the front of haystack, if it …",566,[[["str",15]],[["str",15],["option",4]]]],[11,"is_suffix_of","","Checks whether the pattern matches at the back of the …",566,[[["str",15]],["bool",15]]],[11,"strip_suffix_of","","Removes the pattern from the back of haystack, if it …",566,[[["str",15]],[["str",15],["option",4]]]],[11,"into_searcher","","",567,[[["str",15]]]],[11,"is_contained_in","","",567,[[["str",15]],["bool",15]]],[11,"is_prefix_of","","",567,[[["str",15]],["bool",15]]],[11,"strip_prefix_of","","",567,[[["str",15]],[["str",15],["option",4]]]],[11,"is_suffix_of","","",567,[[["str",15]],["bool",15]]],[11,"strip_suffix_of","","",567,[[["str",15]],[["str",15],["option",4]]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::cmp","",144,[[["reverse",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::option","",210,[[["option",4]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",569,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::num","",347,[[["nonzerou8",3]],["ordering",4]]],[11,"cmp","std","",570,[[],["ordering",4]]],[11,"cmp","std::num","",339,[[["nonzeroi32",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",555,[[["i8",15]],["ordering",4]]],[11,"cmp","","",549,[[["u8",15]],["ordering",4]]],[11,"cmp","","",571,[[],["ordering",4]]],[11,"cmp","","",558,[[["bool",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",563,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::cmp","",143,[[["ordering",4]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::cell","",479,[[["cell",3]],["ordering",4]]],[11,"cmp","std","",552,[[["isize",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::num","",346,[[["nonzerou64",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","std::num","",340,[[["nonzeroi64",3]],["ordering",4]]],[11,"cmp","std","",565,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",556,[[["u16",15]],["ordering",4]]],[11,"cmp","std::option","",542,[[["noneerror",3]],["ordering",4]]],[11,"cmp","std","",566,[[["str",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","std::num","",338,[[["nonzeroi16",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::num","",345,[[["nonzerou32",3]],["ordering",4]]],[11,"cmp","std::result","",212,[[["result",4]],["ordering",4]]],[11,"cmp","std::pin","",543,[[["pin",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::cell","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::fmt","",406,[[["error",3]],["ordering",4]]],[11,"cmp","std::task","",104,[[["poll",4]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","std::num","",343,[[["nonzerou128",3]],["ordering",4]]],[11,"cmp","std","",553,[[["u32",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",560,[[["u128",15]],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::num","",337,[[["nonzeroi128",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","std::num","",344,[[["nonzerou16",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::num","",341,[[["nonzeroi8",3]],["ordering",4]]],[11,"cmp","std","",548,[[["i16",15]],["ordering",4]]],[11,"cmp","std::ptr","",544,[[["nonnull",3]],["ordering",4]]],[11,"cmp","std::num","",342,[[["nonzeroisize",3]],["ordering",4]]],[11,"cmp","","",348,[[["nonzerousize",3]],["ordering",4]]],[11,"cmp","std","",550,[[["u64",15]],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",564,[[],["ordering",4]]],[11,"cmp","std::ops","",208,[[["generatorstate",4]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","std::time","",393,[[["duration",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::mem","",535,[[["manuallydrop",3]],["ordering",4]]],[11,"cmp","std","",570,[[],["ordering",4]]],[11,"cmp","","",569,[[],["ordering",4]]],[11,"cmp","std::panic","",354,[[["location",3]],["ordering",4]]],[11,"cmp","std","",551,[[["i64",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",559,[[["i32",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",567,[[["char",15]],["ordering",4]]],[11,"cmp","","",565,[[],["ordering",4]]],[11,"cmp","std::marker","",533,[[["phantompinned",3]],["ordering",4]]],[11,"cmp","std::any","",476,[[["typeid",3]],["ordering",4]]],[11,"cmp","std","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::convert","",495,[[["infallible",4]],["ordering",4]]],[11,"cmp","std::num","",37,[[["wrapping",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",554,[[["i128",15]],["ordering",4]]],[11,"cmp","","",572,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",557,[[["usize",15]],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","std::marker","",532,[[["phantomdata",3]],["ordering",4]]],[11,"cmp","std","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",570,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"cmp","","",568,[[],["ordering",4]]],[11,"borrow_mut","","",563,[[]]],[11,"borrow_mut","","",565,[[]]],[11,"deref_mut","","",565,[[]]],[11,"deref_mut","std::pin","",543,[[]]],[11,"deref_mut","std::ffi","",304,[[],["valistimpl",3]]],[11,"deref_mut","std::cell","",484,[[]]],[11,"deref_mut","std::mem","",535,[[]]],[11,"sum","std","",548,[[],["i16",15]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["u16",15]]]],[11,"sum","std","",561,[[],["f64",15]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["i16",15]]]],[11,"sum","std","",549,[[],["u8",15]]],[11,"sum","","",552,[[],["isize",15]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["u128",15]]]],[11,"sum","","",37,[[],[["wrapping",3],["u128",15]]]],[11,"sum","","",37,[[],[["u64",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["wrapping",3],["u32",15]]]],[11,"sum","std","",551,[[],["i64",15]]],[11,"sum","std::num","",37,[[],[["i128",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["i64",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["wrapping",3],["usize",15]]]],[11,"sum","","",37,[[],[["wrapping",3],["i32",15]]]],[11,"sum","std","",561,[[],["f64",15]]],[11,"sum","std::num","",37,[[],[["isize",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["u64",15],["wrapping",3]]]],[11,"sum","std","",557,[[],["usize",15]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["u32",15]]]],[11,"sum","std","",559,[[],["i32",15]]],[11,"sum","","",554,[[],["i128",15]]],[11,"sum","","",551,[[],["i64",15]]],[11,"sum","","",553,[[],["u32",15]]],[11,"sum","","",550,[[],["u64",15]]],[11,"sum","std::num","",37,[[],[["u8",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["isize",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["i64",15],["wrapping",3]]]],[11,"sum","std","",562,[[],["f32",15]]],[11,"sum","","",560,[[],["u128",15]]],[11,"sum","","",557,[[],["usize",15]]],[11,"sum","","",560,[[],["u128",15]]],[11,"sum","std::option","Takes each element in the [<code>Iterator</code>]: if it is a [<code>None</code>], …",210,[[],["option",4]]],[11,"sum","std::num","",37,[[],[["i8",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["wrapping",3],["i32",15]]]],[11,"sum","","",37,[[],[["i128",15],["wrapping",3]]]],[11,"sum","","",37,[[],[["wrapping",3],["u16",15]]]],[11,"sum","","",37,[[],[["i8",15],["wrapping",3]]]],[11,"sum","std","",554,[[],["i128",15]]],[11,"sum","","",559,[[],["i32",15]]],[11,"sum","std::num","",37,[[],[["u8",15],["wrapping",3]]]],[11,"sum","std","",556,[[],["u16",15]]],[11,"sum","","",562,[[],["f32",15]]],[11,"sum","std::time","",393,[[],["duration",3]]],[11,"sum","std","",548,[[],["i16",15]]],[11,"sum","","",555,[[],["i8",15]]],[11,"sum","","",550,[[],["u64",15]]],[11,"sum","std::time","",393,[[],["duration",3]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["i16",15]]]],[11,"sum","std","",549,[[],["u8",15]]],[11,"sum","","",556,[[],["u16",15]]],[11,"sum","std::result","Takes each element in the [<code>Iterator</code>]: if it is an [<code>Err</code>], …",212,[[],["result",4]]],[11,"sum","std::num","",37,[[],[["wrapping",3],["usize",15]]]],[11,"sum","std","",552,[[],["isize",15]]],[11,"sum","","",553,[[],["u32",15]]],[11,"sum","","",555,[[],["i8",15]]],[11,"clone","std::num","",343,[[],["nonzerou128",3]]],[11,"clone","std::slice","",420,[[],["windows",3]]],[11,"clone","std::ops","",205,[[],["rangetoinclusive",3]]],[11,"clone","std","",569,[[]]],[11,"clone","std::cmp","",144,[[],["reverse",3]]],[11,"clone","std::iter","",503,[[],["once",3]]],[11,"clone","std","",557,[[],["usize",15]]],[11,"clone","std::mem","",536,[[],["maybeuninit",19]]],[11,"clone","std::str","",454,[[],["utf8error",3]]],[11,"clone","std::num","",336,[[],["tryfrominterror",3]]],[11,"clone","std::marker","",533,[[],["phantompinned",3]]],[11,"clone","std::str","",465,[[],["rsplitterminator",3]]],[11,"clone","std::num","",334,[[],["parsefloaterror",3]]],[11,"clone","std::str","",459,[[],["matches",3]]],[11,"clone","std::fmt","",407,[[],["arguments",3]]],[11,"clone","std::iter","",505,[[],["repeat",3]]],[11,"clone","std::char","",488,[[],["escapedebug",3]]],[11,"clone","std::num","",347,[[],["nonzerou8",3]]],[11,"clone","","",38,[[],["fpcategory",4]]],[11,"clone","std::iter","",508,[[],["cloned",3]]],[11,"clone","std::ops","",201,[[],["rangefrom",3]]],[11,"clone","std::option","",210,[[],["option",4]]],[11,"clone_from","","",210,[[["option",4]]]],[11,"clone","std","",567,[[],["char",15]]],[11,"clone","std::slice","",421,[[],["chunksexact",3]]],[11,"clone","std::iter","",530,[[],["intersperse",3]]],[11,"clone","std::option","",539,[[],["iter",3]]],[11,"clone","std","",561,[[],["f64",15]]],[11,"clone","std::num","",342,[[],["nonzeroisize",3]]],[11,"clone","std","",550,[[],["u64",15]]],[11,"clone","std::iter","",528,[[],["takewhile",3]]],[11,"clone","std::array","",477,[[],["tryfromsliceerror",3]]],[11,"clone","std::lazy","",394,[[],["oncecell",3]]],[11,"clone","std::iter","",513,[[],["chain",3]]],[11,"clone","std::ffi","",305,[[],["valistimpl",3]]],[11,"clone","std::iter","",529,[[],["zip",3]]],[11,"clone","std::char","",491,[[],["chartryfromerror",3]]],[11,"clone","std::cmp","",143,[[],["ordering",4]]],[11,"clone","std","",549,[[],["u8",15]]],[11,"clone","","",559,[[],["i32",15]]],[11,"clone","std::hash","",499,[[],["buildhasherdefault",3]]],[11,"clone","std::num","",344,[[],["nonzerou16",3]]],[11,"clone","std::str","",445,[[],["splitasciiwhitespace",3]]],[11,"clone","std::iter","",506,[[],["repeatwith",3]]],[11,"clone","std::str","",466,[[],["splitterminator",3]]],[11,"clone","std::future","",497,[[],["ready",3]]],[11,"clone","std","",554,[[],["i128",15]]],[11,"clone","std::str::pattern","",443,[[],["strsearcher",3]]],[11,"clone","std::slice","",431,[[],["rchunksexact",3]]],[11,"clone","std::str","",446,[[],["splitwhitespace",3]]],[11,"clone","std::str::pattern","",442,[[],["charpredicatesearcher",3]]],[11,"clone","","",134,[[],["searchstep",4]]],[11,"clone","std::marker","",532,[[],["phantomdata",3]]],[11,"clone","std::array","",478,[[],["intoiter",3]]],[11,"clone","std::str","",462,[[],["split",3]]],[11,"clone","","",464,[[],["splitn",3]]],[11,"clone","std","",548,[[],["i16",15]]],[11,"clone","std::char","",487,[[],["escapedefault",3]]],[11,"clone","std::num","",335,[[],["parseinterror",3]]],[11,"clone","std::iter","",511,[[],["mapwhile",3]]],[11,"clone","std::char","",486,[[],["escapeunicode",3]]],[11,"clone","std","",551,[[],["i64",15]]],[11,"clone","std::iter","",512,[[],["stepby",3]]],[11,"clone","std::option","",541,[[],["intoiter",3]]],[11,"clone","std::result","",545,[[],["iter",3]]],[11,"clone","std::num","",341,[[],["nonzeroi8",3]]],[11,"clone","std","",553,[[],["u32",15]]],[11,"clone","std::task","",399,[[],["waker",3]]],[11,"clone","std::iter","",525,[[],["skip",3]]],[11,"clone","","",520,[[],["inspect",3]]],[11,"clone","std::fmt","",406,[[],["error",3]]],[11,"clone","std::iter","",519,[[],["fuse",3]]],[11,"clone","std","",556,[[],["u16",15]]],[11,"clone","std::str::pattern","",440,[[],["charsearcher",3]]],[11,"clone","std::ops","",537,[[],["rangefull",3]]],[11,"clone","std::iter","",507,[[],["successors",3]]],[11,"clone","std::slice","",416,[[],["arraychunks",3]]],[11,"clone","std::ops","",200,[[],["range",3]]],[11,"clone","std::result","",547,[[],["intoiter",3]]],[11,"clone","std::str","",448,[[],["charindices",3]]],[11,"clone","std","",555,[[],["i8",15]]],[11,"clone","std::iter","",523,[[],["rev",3]]],[11,"clone","std::raw","",211,[[],["traitobject",3]]],[11,"clone","std::iter","",514,[[],["cycle",3]]],[11,"clone","std::num","",337,[[],["nonzeroi128",3]]],[11,"clone","std::iter","",526,[[],["skipwhile",3]]],[11,"clone","std::num","",340,[[],["nonzeroi64",3]]],[11,"clone","std::convert","",495,[[],["infallible",4]]],[11,"clone","std::alloc","",403,[[],["layouterror",3]]],[11,"clone","std::iter","",518,[[],["flatmap",3]]],[11,"clone","std::pin","",543,[[],["pin",3]]],[11,"clone","std::str","",461,[[],["rsplit",3]]],[11,"clone","std::time","",393,[[],["duration",3]]],[11,"clone","std::iter","",510,[[],["flatten",3]]],[11,"clone","","",501,[[],["empty",3]]],[11,"clone","","",516,[[],["filter",3]]],[11,"clone","std::num","",345,[[],["nonzerou32",3]]],[11,"clone","std::str","",460,[[],["rmatches",3]]],[11,"clone","std::ptr","",544,[[],["nonnull",3]]],[11,"clone","std::slice","",428,[[],["iter",3]]],[11,"clone","std::future","",496,[[],["pending",3]]],[11,"clone","std::iter","",524,[[],["scan",3]]],[11,"clone","std::ops","",538,[[],["rangeinclusive",3]]],[11,"clone","std::slice","",419,[[],["chunks",3]]],[11,"clone","std","",571,[[]]],[11,"clone","std::str","",444,[[],["encodeutf16",3]]],[11,"clone","std::iter","",521,[[],["map",3]]],[11,"clone","std::char","",492,[[],["parsecharerror",3]]],[11,"clone","std::iter","",531,[[],["interspersewith",3]]],[11,"clone","std::str","",447,[[],["bytes",3]]],[11,"clone","std::iter","",504,[[],["oncewith",3]]],[11,"clone","std::cell","",479,[[],["cell",3]]],[11,"clone","std::num","",348,[[],["nonzerousize",3]]],[11,"clone","std::char","",494,[[],["decodeutf16error",3]]],[11,"clone","std::iter","",502,[[],["fromfn",3]]],[11,"clone","std::hash","",500,[[],["siphasher",3]]],[11,"clone","std::str","",457,[[],["matchindices",3]]],[11,"clone","std::ops","",209,[[],["controlflow",4]]],[11,"clone","std::slice","",434,[[],["rsplit",3]]],[11,"clone","std::ops","",202,[[],["rangeto",3]]],[11,"clone","std::num","",338,[[],["nonzeroi16",3]]],[11,"clone","std::char","",490,[[],["touppercase",3]]],[11,"clone","std::str","",452,[[],["escapedefault",3]]],[11,"clone","std::num","",346,[[],["nonzerou64",3]]],[11,"clone","std::ascii","",216,[[],["escapedefault",3]]],[11,"clone","std::alloc","",401,[[],["allocerror",3]]],[11,"clone","std::task","",398,[[],["rawwakervtable",3]]],[11,"clone","std::slice","",424,[[],["split",3]]],[11,"clone","std::str::pattern","",441,[[],["charslicesearcher",3]]],[11,"clone","std::char","",489,[[],["tolowercase",3]]],[11,"clone","std::ops","",203,[[],["bound",4]]],[11,"clone","std::num","",39,[[],["interrorkind",4]]],[11,"clone","std::any","",476,[[],["typeid",3]]],[11,"clone","std::char","",493,[[],["decodeutf16",3]]],[11,"clone","std::iter","",527,[[],["take",3]]],[11,"clone","std","",552,[[],["isize",15]]],[11,"clone","","",565,[[]]],[11,"clone","std::str","",451,[[],["escapedebug",3]]],[11,"clone","std::slice","",418,[[],["arraywindows",3]]],[11,"clone","std::option","",542,[[],["noneerror",3]]],[11,"clone","std","",562,[[],["f32",15]]],[11,"clone","std::num","",339,[[],["nonzeroi32",3]]],[11,"clone","std::iter","",522,[[],["peekable",3]]],[11,"clone","std::mem","",534,[[],["discriminant",3]]],[11,"clone","std::cell","PanicsPanics if the value is currently mutably borrowed.",480,[[],["refcell",3]]],[11,"clone","std::sync::atomic","",97,[[],["ordering",4]]],[11,"clone","std::result","",212,[[],["result",4]]],[11,"clone_from","","",212,[[["result",4]]]],[11,"clone","std::iter","",509,[[],["copied",3]]],[11,"clone","std","",569,[[]]],[11,"clone","std::str","",450,[[],["parseboolerror",3]]],[11,"clone","","",463,[[],["rsplitn",3]]],[11,"clone","","",456,[[],["linesany",3]]],[11,"clone","std::panic","",354,[[],["location",3]]],[11,"clone","std::task","",104,[[],["poll",4]]],[11,"clone","std::iter","",517,[[],["filtermap",3]]],[11,"clone","std::alloc","",402,[[],["layout",3]]],[11,"clone","std::slice","",430,[[],["rchunks",3]]],[11,"clone","std::mem","",535,[[],["manuallydrop",3]]],[11,"clone","std","",558,[[],["bool",15]]],[11,"clone","std::ops","",208,[[],["generatorstate",4]]],[11,"clone","std::str","",453,[[],["escapeunicode",3]]],[11,"clone","std::num","",37,[[],["wrapping",3]]],[11,"clone","std::str","",449,[[],["chars",3]]],[11,"clone","std::iter","",515,[[],["enumerate",3]]],[11,"clone","std","",560,[[],["u128",15]]],[11,"clone","std::str","",458,[[],["rmatchindices",3]]],[11,"clone","","",455,[[],["lines",3]]],[11,"poll_next","std","",565,[[["context",3],["pin",3]],[["poll",4],["option",4]]]],[11,"size_hint","","",565,[[]]],[11,"poll_next","std::pin","",543,[[["pin",3],["pin",3],["context",3]],[["poll",4],["option",4]]]],[11,"size_hint","","",543,[[]]],[11,"default","std","",563,[[]]],[11,"default","std::sync::atomic","",383,[[],["atomici8",3]]],[11,"default","","",392,[[],["atomicusize",3]]],[11,"default","std","Creates an empty slice.",564,[[]]],[11,"default","std::sync::atomic","",385,[[],["atomici16",3]]],[11,"default","std::ops","",200,[[],["range",3]]],[11,"default","std::sync::atomic","",391,[[],["atomicisize",3]]],[11,"default","std","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",549,[[],["u8",15]]],[11,"default","std::sync::atomic","",390,[[],["atomicu64",3]]],[11,"default","std","",570,[[]]],[11,"default","","",563,[[]]],[11,"default","std::lazy","",394,[[],["oncecell",3]]],[11,"default","std","Returns the default value of <code>0.0</code>",562,[[],["f32",15]]],[11,"default","","",570,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",570,[[]]],[11,"default","","Returns the default value of <code>0</code>",557,[[],["usize",15]]],[11,"default","","",563,[[]]],[11,"default","","Returns the default value of <code>\\\\x00</code>",567,[[],["char",15]]],[11,"default","std::cell","Creates a <code>Cell<T></code>, with the <code>Default</code> value for T.",479,[[],["cell",3]]],[11,"default","std","Returns the default value of <code>0</code>",554,[[],["i128",15]]],[11,"default","","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",551,[[],["i64",15]]],[11,"default","std::cell","Creates an <code>UnsafeCell</code>, with the <code>Default</code> value for T.",485,[[],["unsafecell",3]]],[11,"default","std","Returns the default value of <code>0</code>",552,[[],["isize",15]]],[11,"default","","",570,[[]]],[11,"default","std::sync::atomic","Creates an <code>AtomicBool</code> initialized to <code>false</code>.",381,[[],["atomicbool",3]]],[11,"default","std","",563,[[]]],[11,"default","std::cell","Creates a <code>RefCell<T></code>, with the <code>Default</code> value for T.",480,[[],["refcell",3]]],[11,"default","std","",563,[[]]],[11,"default","","Creates an empty str",566,[[],["str",15]]],[11,"default","","",570,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","std::mem","",535,[[],["manuallydrop",3]]],[11,"default","std","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",560,[[],["u128",15]]],[11,"default","","",563,[[]]],[11,"default","std::hash","",499,[[],["buildhasherdefault",3]]],[11,"default","std::marker","",532,[[],["phantomdata",3]]],[11,"default","std","Returns the default value of <code>false</code>",558,[[],["bool",15]]],[11,"default","","",563,[[]]],[11,"default","std::sync::atomic","",388,[[],["atomicu32",3]]],[11,"default","std","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",570,[[]]],[11,"default","std::marker","",533,[[],["phantompinned",3]]],[11,"default","std::fmt","",406,[[],["error",3]]],[11,"default","std","Returns the default value of <code>0.0</code>",561,[[],["f64",15]]],[11,"default","","Returns the default value of <code>0</code>",553,[[],["u32",15]]],[11,"default","std::lazy","Creates a new lazy value using <code>Default</code> as the …",395,[[],["lazy",3]]],[11,"default","std","",563,[[]]],[11,"default","std::cmp","",144,[[],["reverse",3]]],[11,"default","std","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",556,[[],["u16",15]]],[11,"default","std::sync::atomic","Creates a null <code>AtomicPtr<T></code>.",382,[[],["atomicptr",3]]],[11,"default","std::time","",393,[[],["duration",3]]],[11,"default","std","",563,[[]]],[11,"default","std::num","",37,[[],["wrapping",3]]],[11,"default","std","",563,[[]]],[11,"default","std::sync::atomic","",387,[[],["atomici32",3]]],[11,"default","std","",570,[[]]],[11,"default","","",563,[[]]],[11,"default","std::sync::atomic","",389,[[],["atomici64",3]]],[11,"default","std::hash","",500,[[],["siphasher",3]]],[11,"default","std","",570,[[]]],[11,"default","","",570,[[]]],[11,"default","","Returns the default value of <code>0</code>",550,[[],["u64",15]]],[11,"default","","Returns the default value of <code>0</code>",555,[[],["i8",15]]],[11,"default","std::sync::atomic","",386,[[],["atomicu16",3]]],[11,"default","std","Creates a mutable empty slice.",564,[[]]],[11,"default","","",570,[[]]],[11,"default","std::sync::atomic","",384,[[],["atomicu8",3]]],[11,"default","std","",563,[[]]],[11,"default","std::option","Returns [<code>None</code>][Option::None].",210,[[],["option",4]]],[11,"default","std","Creates an empty mutable str",566,[[],["str",15]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",559,[[],["i32",15]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","std::ops","",537,[[],["rangefull",3]]],[11,"default","std","",570,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","",563,[[]]],[11,"default","","Returns the default value of <code>0</code>",548,[[],["i16",15]]],[11,"default","","",570,[[]]],[11,"default","","Returns the default value of <code>()</code>",572,[[]]],[11,"default","std::iter","",501,[[],["empty",3]]],[11,"default","std","",563,[[]]],[11,"shr_assign","","",549,[[["i128",15]]]],[11,"shr_assign","","",550,[[["i128",15]]]],[11,"shr_assign","","",556,[[["u64",15]]]],[11,"shr_assign","","",550,[[["isize",15]]]],[11,"shr_assign","","",555,[[["u16",15]]]],[11,"shr_assign","","",549,[[["u32",15]]]],[11,"shr_assign","","",552,[[["i16",15]]]],[11,"shr_assign","","",553,[[["isize",15]]]],[11,"shr_assign","","",557,[[["u64",15]]]],[11,"shr_assign","","",555,[[["i128",15]]]],[11,"shr_assign","","",559,[[["u64",15]]]],[11,"shr_assign","","",552,[[["u32",15]]]],[11,"shr_assign","","",559,[[["u32",15]]]],[11,"shr_assign","","",557,[[["u64",15]]]],[11,"shr_assign","","",551,[[["u32",15]]]],[11,"shr_assign","","",557,[[["i8",15]]]],[11,"shr_assign","","",554,[[["i16",15]]]],[11,"shr_assign","","",553,[[["i8",15]]]],[11,"shr_assign","","",559,[[["i16",15]]]],[11,"shr_assign","","",553,[[["u128",15]]]],[11,"shr_assign","","",551,[[["u32",15]]]],[11,"shr_assign","","",554,[[["i128",15]]]],[11,"shr_assign","","",550,[[["u32",15]]]],[11,"shr_assign","","",552,[[["u64",15]]]],[11,"shr_assign","","",550,[[["u64",15]]]],[11,"shr_assign","","",549,[[["u64",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",553,[[["u32",15]]]],[11,"shr_assign","","",548,[[["usize",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",556,[[["u128",15]]]],[11,"shr_assign","","",556,[[["usize",15]]]],[11,"shr_assign","","",551,[[["i8",15]]]],[11,"shr_assign","","",559,[[["i32",15]]]],[11,"shr_assign","","",560,[[["i32",15]]]],[11,"shr_assign","","",553,[[["i128",15]]]],[11,"shr_assign","","",556,[[["i16",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",548,[[["i32",15]]]],[11,"shr_assign","","",560,[[["i64",15]]]],[11,"shr_assign","","",560,[[["u32",15]]]],[11,"shr_assign","","",550,[[["u128",15]]]],[11,"shr_assign","","",559,[[["u16",15]]]],[11,"shr_assign","","",560,[[["u16",15]]]],[11,"shr_assign","","",550,[[["u8",15]]]],[11,"shr_assign","","",553,[[["u64",15]]]],[11,"shr_assign","","",560,[[["u8",15]]]],[11,"shr_assign","","",556,[[["usize",15]]]],[11,"shr_assign","","",549,[[["i64",15]]]],[11,"shr_assign","","",554,[[["i16",15]]]],[11,"shr_assign","","",559,[[["u8",15]]]],[11,"shr_assign","","",553,[[["u16",15]]]],[11,"shr_assign","","",552,[[["isize",15]]]],[11,"shr_assign","","",557,[[["i128",15]]]],[11,"shr_assign","","",560,[[["i16",15]]]],[11,"shr_assign","","",552,[[["u16",15]]]],[11,"shr_assign","","",548,[[["i8",15]]]],[11,"shr_assign","","",548,[[["isize",15]]]],[11,"shr_assign","","",552,[[["u64",15]]]],[11,"shr_assign","","",550,[[["i32",15]]]],[11,"shr_assign","","",556,[[["u128",15]]]],[11,"shr_assign","","",548,[[["u128",15]]]],[11,"shr_assign","","",551,[[["u16",15]]]],[11,"shr_assign","","",555,[[["u16",15]]]],[11,"shr_assign","","",549,[[["i8",15]]]],[11,"shr_assign","","",549,[[["u16",15]]]],[11,"shr_assign","","",560,[[["i64",15]]]],[11,"shr_assign","","",555,[[["i16",15]]]],[11,"shr_assign","","",556,[[["i8",15]]]],[11,"shr_assign","","",548,[[["i128",15]]]],[11,"shr_assign","","",549,[[["i64",15]]]],[11,"shr_assign","","",549,[[["usize",15]]]],[11,"shr_assign","","",555,[[["u128",15]]]],[11,"shr_assign","","",551,[[["usize",15]]]],[11,"shr_assign","","",551,[[["isize",15]]]],[11,"shr_assign","","",555,[[["i8",15]]]],[11,"shr_assign","","",554,[[["u32",15]]]],[11,"shr_assign","","",553,[[["i128",15]]]],[11,"shr_assign","","",550,[[["u16",15]]]],[11,"shr_assign","","",554,[[["i32",15]]]],[11,"shr_assign","","",551,[[["u64",15]]]],[11,"shr_assign","","",549,[[["u64",15]]]],[11,"shr_assign","","",556,[[["u8",15]]]],[11,"shr_assign","","",557,[[["usize",15]]]],[11,"shr_assign","","",559,[[["i8",15]]]],[11,"shr_assign","","",552,[[["usize",15]]]],[11,"shr_assign","","",554,[[["u128",15]]]],[11,"shr_assign","","",557,[[["i128",15]]]],[11,"shr_assign","","",557,[[["usize",15]]]],[11,"shr_assign","","",554,[[["u64",15]]]],[11,"shr_assign","","",550,[[["usize",15]]]],[11,"shr_assign","","",554,[[["u8",15]]]],[11,"shr_assign","","",552,[[["u8",15]]]],[11,"shr_assign","","",550,[[["u64",15]]]],[11,"shr_assign","","",551,[[["usize",15]]]],[11,"shr_assign","","",548,[[["isize",15]]]],[11,"shr_assign","","",548,[[["u16",15]]]],[11,"shr_assign","","",554,[[["i64",15]]]],[11,"shr_assign","","",560,[[["i8",15]]]],[11,"shr_assign","","",559,[[["i8",15]]]],[11,"shr_assign","","",549,[[["i32",15]]]],[11,"shr_assign","","",556,[[["i32",15]]]],[11,"shr_assign","","",551,[[["i128",15]]]],[11,"shr_assign","","",552,[[["u128",15]]]],[11,"shr_assign","","",548,[[["i64",15]]]],[11,"shr_assign","","",554,[[["u8",15]]]],[11,"shr_assign","","",557,[[["i16",15]]]],[11,"shr_assign","","",557,[[["u32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",556,[[["isize",15]]]],[11,"shr_assign","","",555,[[["u8",15]]]],[11,"shr_assign","","",557,[[["u16",15]]]],[11,"shr_assign","","",553,[[["usize",15]]]],[11,"shr_assign","","",556,[[["u32",15]]]],[11,"shr_assign","","",559,[[["i128",15]]]],[11,"shr_assign","","",553,[[["u16",15]]]],[11,"shr_assign","","",557,[[["i16",15]]]],[11,"shr_assign","","",560,[[["isize",15]]]],[11,"shr_assign","","",552,[[["i128",15]]]],[11,"shr_assign","","",551,[[["i16",15]]]],[11,"shr_assign","","",552,[[["usize",15]]]],[11,"shr_assign","","",556,[[["i128",15]]]],[11,"shr_assign","","",559,[[["u128",15]]]],[11,"shr_assign","","",556,[[["i16",15]]]],[11,"shr_assign","","",556,[[["u16",15]]]],[11,"shr_assign","","",560,[[["u64",15]]]],[11,"shr_assign","","",555,[[["u32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","","",37,[[["usize",15]]]],[11,"shr_assign","std","",548,[[["i64",15]]]],[11,"shr_assign","","",557,[[["u32",15]]]],[11,"shr_assign","","",551,[[["i64",15]]]],[11,"shr_assign","","",553,[[["u32",15]]]],[11,"shr_assign","","",549,[[["u128",15]]]],[11,"shr_assign","","",553,[[["i32",15]]]],[11,"shr_assign","","",551,[[["i32",15]]]],[11,"shr_assign","","",553,[[["i8",15]]]],[11,"shr_assign","","",550,[[["u16",15]]]],[11,"shr_assign","","",560,[[["i8",15]]]],[11,"shr_assign","","",556,[[["u32",15]]]],[11,"shr_assign","","",551,[[["u8",15]]]],[11,"shr_assign","","",549,[[["i8",15]]]],[11,"shr_assign","","",556,[[["u64",15]]]],[11,"shr_assign","","",550,[[["isize",15]]]],[11,"shr_assign","","",551,[[["u128",15]]]],[11,"shr_assign","","",555,[[["usize",15]]]],[11,"shr_assign","","",556,[[["i64",15]]]],[11,"shr_assign","","",551,[[["i8",15]]]],[11,"shr_assign","","",553,[[["u8",15]]]],[11,"shr_assign","","",556,[[["i8",15]]]],[11,"shr_assign","","",556,[[["i128",15]]]],[11,"shr_assign","","",555,[[["i32",15]]]],[11,"shr_assign","","",550,[[["i128",15]]]],[11,"shr_assign","","",560,[[["u8",15]]]],[11,"shr_assign","","",549,[[["u32",15]]]],[11,"shr_assign","","",557,[[["i64",15]]]],[11,"shr_assign","","",554,[[["i32",15]]]],[11,"shr_assign","","",549,[[["isize",15]]]],[11,"shr_assign","","",549,[[["i32",15]]]],[11,"shr_assign","","",560,[[["u64",15]]]],[11,"shr_assign","","",550,[[["i64",15]]]],[11,"shr_assign","","",552,[[["u32",15]]]],[11,"shr_assign","","",559,[[["usize",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",552,[[["i8",15]]]],[11,"shr_assign","","",559,[[["i16",15]]]],[11,"shr_assign","","",553,[[["u8",15]]]],[11,"shr_assign","","",549,[[["u8",15]]]],[11,"shr_assign","","",560,[[["u128",15]]]],[11,"shr_assign","","",555,[[["i8",15]]]],[11,"shr_assign","","",559,[[["u16",15]]]],[11,"shr_assign","","",560,[[["i128",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","","",37,[[["usize",15]]]],[11,"shr_assign","","",37,[[["usize",15]]]],[11,"shr_assign","std","",554,[[["isize",15]]]],[11,"shr_assign","","",559,[[["u128",15]]]],[11,"shr_assign","","",552,[[["i32",15]]]],[11,"shr_assign","","",557,[[["isize",15]]]],[11,"shr_assign","","",552,[[["isize",15]]]],[11,"shr_assign","","",548,[[["u128",15]]]],[11,"shr_assign","","",548,[[["u64",15]]]],[11,"shr_assign","","",554,[[["i64",15]]]],[11,"shr_assign","","",555,[[["i128",15]]]],[11,"shr_assign","","",557,[[["u128",15]]]],[11,"shr_assign","","",556,[[["u8",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",554,[[["usize",15]]]],[11,"shr_assign","","",559,[[["u32",15]]]],[11,"shr_assign","","",559,[[["isize",15]]]],[11,"shr_assign","","",548,[[["u32",15]]]],[11,"shr_assign","","",559,[[["u8",15]]]],[11,"shr_assign","","",557,[[["i32",15]]]],[11,"shr_assign","","",555,[[["i64",15]]]],[11,"shr_assign","","",549,[[["i16",15]]]],[11,"shr_assign","","",554,[[["u16",15]]]],[11,"shr_assign","","",560,[[["u16",15]]]],[11,"shr_assign","","",550,[[["u8",15]]]],[11,"shr_assign","","",552,[[["i16",15]]]],[11,"shr_assign","","",556,[[["u16",15]]]],[11,"shr_assign","","",554,[[["i128",15]]]],[11,"shr_assign","","",550,[[["usize",15]]]],[11,"shr_assign","","",557,[[["u128",15]]]],[11,"shr_assign","","",549,[[["u8",15]]]],[11,"shr_assign","","",554,[[["u64",15]]]],[11,"shr_assign","","",549,[[["i16",15]]]],[11,"shr_assign","","",549,[[["i128",15]]]],[11,"shr_assign","","",553,[[["isize",15]]]],[11,"shr_assign","","",557,[[["i64",15]]]],[11,"shr_assign","","",550,[[["i8",15]]]],[11,"shr_assign","","",557,[[["i32",15]]]],[11,"shr_assign","","",555,[[["isize",15]]]],[11,"shr_assign","","",550,[[["i16",15]]]],[11,"shr_assign","","",553,[[["u64",15]]]],[11,"shr_assign","","",554,[[["u128",15]]]],[11,"shr_assign","","",555,[[["i64",15]]]],[11,"shr_assign","","",548,[[["u64",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",551,[[["isize",15]]]],[11,"shr_assign","","",560,[[["u128",15]]]],[11,"shr_assign","","",550,[[["i16",15]]]],[11,"shr_assign","","",559,[[["u64",15]]]],[11,"shr_assign","","",548,[[["usize",15]]]],[11,"shr_assign","","",559,[[["i128",15]]]],[11,"shr_assign","","",553,[[["i64",15]]]],[11,"shr_assign","","",548,[[["i16",15]]]],[11,"shr_assign","","",551,[[["u64",15]]]],[11,"shr_assign","","",550,[[["u128",15]]]],[11,"shr_assign","","",551,[[["i64",15]]]],[11,"shr_assign","","",551,[[["u128",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",551,[[["u8",15]]]],[11,"shr_assign","","",552,[[["u128",15]]]],[11,"shr_assign","","",552,[[["i64",15]]]],[11,"shr_assign","","",555,[[["u8",15]]]],[11,"shr_assign","","",559,[[["usize",15]]]],[11,"shr_assign","","",560,[[["usize",15]]]],[11,"shr_assign","","",553,[[["i32",15]]]],[11,"shr_assign","","",548,[[["i16",15]]]],[11,"shr_assign","","",548,[[["i8",15]]]],[11,"shr_assign","","",555,[[["isize",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",560,[[["usize",15]]]],[11,"shr_assign","","",552,[[["i128",15]]]],[11,"shr_assign","","",556,[[["i64",15]]]],[11,"shr_assign","","",548,[[["i128",15]]]],[11,"shr_assign","","",559,[[["i64",15]]]],[11,"shr_assign","","",557,[[["u8",15]]]],[11,"shr_assign","","",560,[[["i32",15]]]],[11,"shr_assign","","",554,[[["usize",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",552,[[["i64",15]]]],[11,"shr_assign","","",560,[[["i16",15]]]],[11,"shr_assign","","",552,[[["u8",15]]]],[11,"shr_assign","","",551,[[["i32",15]]]],[11,"shr_assign","","",554,[[["u32",15]]]],[11,"shr_assign","","",552,[[["i8",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",550,[[["i64",15]]]],[11,"shr_assign","","",555,[[["u64",15]]]],[11,"shr_assign","","",549,[[["usize",15]]]],[11,"shr_assign","","",556,[[["isize",15]]]],[11,"shr_assign","","",548,[[["u16",15]]]],[11,"shr_assign","","",559,[[["isize",15]]]],[11,"shr_assign","","",554,[[["i8",15]]]],[11,"shr_assign","","",557,[[["u8",15]]]],[11,"shr_assign","","",560,[[["i128",15]]]],[11,"shr_assign","","",549,[[["u128",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",554,[[["i8",15]]]],[11,"shr_assign","","",555,[[["u32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",557,[[["u16",15]]]],[11,"shr_assign","","",553,[[["i16",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",548,[[["i32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",551,[[["i16",15]]]],[11,"shr_assign","","",555,[[["i32",15]]]],[11,"shr_assign","","",557,[[["isize",15]]]],[11,"shr_assign","","",550,[[["i8",15]]]],[11,"shr_assign","","",555,[[["u64",15]]]],[11,"shr_assign","","",548,[[["u32",15]]]],[11,"shr_assign","","",553,[[["u128",15]]]],[11,"shr_assign","","",549,[[["isize",15]]]],[11,"shr_assign","","",551,[[["u16",15]]]],[11,"shr_assign","","",552,[[["i32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","","",37,[[["usize",15]]]],[11,"shr_assign","std","",560,[[["isize",15]]]],[11,"shr_assign","","",548,[[["u8",15]]]],[11,"shr_assign","","",550,[[["i32",15]]]],[11,"shr_assign","","",555,[[["i16",15]]]],[11,"shr_assign","","",555,[[["u128",15]]]],[11,"shr_assign","","",548,[[["u8",15]]]],[11,"shr_assign","","",554,[[["isize",15]]]],[11,"shr_assign","","",560,[[["u32",15]]]],[11,"shr_assign","","",549,[[["u16",15]]]],[11,"shr_assign","","",556,[[["i32",15]]]],[11,"shr_assign","","",557,[[["i8",15]]]],[11,"shr_assign","","",553,[[["usize",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",555,[[["usize",15]]]],[11,"shr_assign","","",553,[[["i64",15]]]],[11,"shr_assign","","",553,[[["i16",15]]]],[11,"shr_assign","","",550,[[["u32",15]]]],[11,"shr_assign","","",559,[[["i64",15]]]],[11,"shr_assign","","",554,[[["u16",15]]]],[11,"shr_assign","","",559,[[["i32",15]]]],[11,"shr_assign","std::num","",37,[[["usize",15]]]],[11,"shr_assign","std","",551,[[["i128",15]]]],[11,"shr_assign","","",552,[[["u16",15]]]],[11,"fmt","std::num","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"rem","","",556,[[["u16",15]]]],[11,"rem","","",562,[[["f32",15]]]],[11,"rem","","",556,[[["u16",15]],["u16",15]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"rem","","",37,[[["wrapping",3]]]],[11,"rem","std","",560,[[["u128",15]]]],[11,"rem","","",549,[[["u8",15]]]],[11,"rem","","",549,[[["u8",15]]]],[11,"rem","","",561,[[["f64",15]],["f64",15]]],[11,"rem","","",548,[[["i16",15]],["i16",15]]],[11,"rem","","",554,[[["i128",15]]]],[11,"rem","","",550,[[["u64",15]]]],[11,"rem","","",559,[[["i32",15]]]],[11,"rem","","",552,[[["isize",15]]]],[11,"rem","","",557,[[["usize",15]]]],[11,"rem","","",556,[[["u16",15]]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",560,[[["nonzerou128",3]],["u128",15]]],[11,"rem","","",553,[[["u32",15]]]],[11,"rem","","",561,[[["f64",15]]]],[11,"rem","","",559,[[["i32",15]],["i32",15]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","",560,[[["u128",15]]]],[11,"rem","","",550,[[["u64",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"rem","std","",560,[[["u128",15]],["u128",15]]],[11,"rem","","",562,[[["f32",15]],["f32",15]]],[11,"rem","","",551,[[["i64",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"rem","","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"rem","std","",555,[[["i8",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"rem","std","",562,[[["f32",15]]]],[11,"rem","","",549,[[["u8",15]]]],[11,"rem","","",552,[[["isize",15]],["isize",15]]],[11,"rem","","",560,[[["u128",15]]]],[11,"rem","","",548,[[["i16",15]]]],[11,"rem","","",557,[[["usize",15]],["usize",15]]],[11,"rem","","",554,[[["i128",15]]]],[11,"rem","","",548,[[["i16",15]]]],[11,"rem","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"rem","std","",549,[[["u8",15]],["u8",15]]],[11,"rem","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"rem","","",37,[[["wrapping",3]]]],[11,"rem","std","",553,[[["u32",15]],["u32",15]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","",556,[[["u16",15]]]],[11,"rem","","",553,[[["u32",15]]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","",557,[[["usize",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"rem","std","",553,[[["u32",15]]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","","",37,[[["wrapping",3]]]],[11,"rem","std","",551,[[["i64",15]],["i64",15]]],[11,"rem","","",561,[[["f64",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"rem","std","",548,[[["i16",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"rem","std","",559,[[["i32",15]]]],[11,"rem","","",554,[[["i128",15]]]],[11,"rem","","",550,[[["u64",15]],["u64",15]]],[11,"rem","","",554,[[["i128",15]],["i128",15]]],[11,"rem","","",555,[[["i8",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"rem","std","",551,[[["i64",15]]]],[11,"rem","","",561,[[["f64",15]]]],[11,"rem","","",557,[[["usize",15]]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",556,[[["nonzerou16",3]],["u16",15]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","",550,[[["u64",15]]]],[11,"rem","std::num","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"rem","std","",551,[[["i64",15]]]],[11,"rem","","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",553,[[["nonzerou32",3]],["u32",15]]],[11,"rem","","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",557,[[["nonzerousize",3]],["usize",15]]],[11,"rem","","",552,[[["isize",15]]]],[11,"rem","","",552,[[["isize",15]]]],[11,"rem","","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",549,[[["nonzerou8",3]],["u8",15]]],[11,"rem","","This operation satisfies <code>n % d == n - (n / d) * d</code>, and …",550,[[["nonzerou64",3]],["u64",15]]],[11,"rem","","",562,[[["f32",15]]]],[11,"rem","","",559,[[["i32",15]]]],[11,"rem","","",555,[[["i8",15]],["i8",15]]],[11,"rem","std::num","",37,[[["wrapping",3]]]],[11,"rem","std","",555,[[["i8",15]]]],[11,"resume","std::pin","",543,[[["pin",3],["pin",3]],["generatorstate",4]]],[11,"resume","std","",565,[[["pin",3]],["generatorstate",4]]],[11,"get","std::ops","",537,[[],["option",4]]],[11,"get_mut","","",537,[[],["option",4]]],[11,"get_unchecked","","",537,[[]]],[11,"get_unchecked_mut","","",537,[[]]],[11,"index","","",537,[[]]],[11,"index_mut","","",537,[[]]],[11,"get","","",205,[[],["option",4]]],[11,"get_mut","","",205,[[],["option",4]]],[11,"get_unchecked","","",205,[[]]],[11,"get_unchecked_mut","","",205,[[]]],[11,"index","","",205,[[]]],[11,"index_mut","","",205,[[]]],[11,"get","","",202,[[["str",15]],["option",4]]],[11,"get_mut","","",202,[[["str",15]],["option",4]]],[11,"get_unchecked","","",202,[[]]],[11,"get_unchecked_mut","","",202,[[]]],[11,"index","","",202,[[["str",15]]]],[11,"index_mut","","",202,[[["str",15]]]],[11,"get","","",201,[[["str",15]],["option",4]]],[11,"get_mut","","",201,[[["str",15]],["option",4]]],[11,"get_unchecked","","",201,[[]]],[11,"get_unchecked_mut","","",201,[[]]],[11,"index","","",201,[[["str",15]]]],[11,"index_mut","","",201,[[["str",15]]]],[11,"get","","",205,[[["str",15]],["option",4]]],[11,"get_mut","","",205,[[["str",15]],["option",4]]],[11,"get_unchecked","","",205,[[]]],[11,"get_unchecked_mut","","",205,[[]]],[11,"index","","",205,[[["str",15]]]],[11,"index_mut","","",205,[[["str",15]]]],[11,"get","","",537,[[["str",15]],["option",4]]],[11,"get_mut","","",537,[[["str",15]],["option",4]]],[11,"get_unchecked","","",537,[[]]],[11,"get_unchecked_mut","","",537,[[]]],[11,"index","","",537,[[["str",15]]]],[11,"index_mut","","",537,[[["str",15]]]],[11,"get","std","",557,[[],["option",4]]],[11,"get_mut","","",557,[[],["option",4]]],[11,"get_unchecked","","",557,[[]]],[11,"get_unchecked_mut","","",557,[[]]],[11,"index","","",557,[[]]],[11,"index_mut","","",557,[[]]],[11,"get","std::ops","",202,[[],["option",4]]],[11,"get_mut","","",202,[[],["option",4]]],[11,"get_unchecked","","",202,[[]]],[11,"get_unchecked_mut","","",202,[[]]],[11,"index","","",202,[[]]],[11,"index_mut","","",202,[[]]],[11,"get","","",200,[[["str",15]],["option",4]]],[11,"get_mut","","",200,[[["str",15]],["option",4]]],[11,"get_unchecked","","",200,[[]]],[11,"get_unchecked_mut","","",200,[[]]],[11,"index","","",200,[[["str",15]]]],[11,"index_mut","","",200,[[["str",15]]]],[11,"get","","",538,[[["str",15]],["option",4]]],[11,"get_mut","","",538,[[["str",15]],["option",4]]],[11,"get_unchecked","","",538,[[]]],[11,"get_unchecked_mut","","",538,[[]]],[11,"index","","",538,[[["str",15]]]],[11,"index_mut","","",538,[[["str",15]]]],[11,"get","","",201,[[],["option",4]]],[11,"get_mut","","",201,[[],["option",4]]],[11,"get_unchecked","","",201,[[]]],[11,"get_unchecked_mut","","",201,[[]]],[11,"index","","",201,[[]]],[11,"index_mut","","",201,[[]]],[11,"get","","",200,[[],["option",4]]],[11,"get_mut","","",200,[[],["option",4]]],[11,"get_unchecked","","",200,[[]]],[11,"get_unchecked_mut","","",200,[[]]],[11,"index","","",200,[[]]],[11,"index_mut","","",200,[[]]],[11,"get","","",538,[[],["option",4]]],[11,"get_mut","","",538,[[],["option",4]]],[11,"get_unchecked","","",538,[[]]],[11,"get_unchecked_mut","","",538,[[]]],[11,"index","","",538,[[]]],[11,"index_mut","","",538,[[]]],[11,"extend","std","",572,[[]]],[11,"extend_one","","",572,[[]]],[11,"as_inner","std::iter","",517,[[]]],[11,"as_inner","","",515,[[]]],[11,"as_inner","","",524,[[]]],[11,"as_inner","","",522,[[]]],[11,"as_inner","","",511,[[]]],[11,"as_inner","","",527,[[]]],[11,"as_inner","","",525,[[]]],[11,"as_inner","","",516,[[]]],[11,"as_inner","","",528,[[]]],[11,"as_inner","","",529,[[]]],[11,"as_inner","","",519,[[]]],[11,"as_inner","","",520,[[]]],[11,"as_inner","","",526,[[]]],[11,"as_inner","","",521,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::num","",341,[[]]],[11,"hash","std","",556,[[]]],[11,"hash_slice","","",556,[[]]],[11,"hash","std::num","",337,[[]]],[11,"hash","std","",570,[[]]],[11,"hash","","",560,[[]]],[11,"hash_slice","","",560,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::num","",340,[[]]],[11,"hash","std::sync::atomic","",97,[[]]],[11,"hash","std","",557,[[]]],[11,"hash_slice","","",557,[[]]],[11,"hash","std::any","",476,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::cmp","",143,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",569,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::marker","",532,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",565,[[]]],[11,"hash","std::marker","",533,[[]]],[11,"hash","std::convert","",495,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",554,[[]]],[11,"hash_slice","","",554,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::fmt","",406,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",549,[[]]],[11,"hash_slice","","",549,[[]]],[11,"hash","std::ops","",203,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::ops","",201,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",553,[[]]],[11,"hash_slice","","",553,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",548,[[]]],[11,"hash_slice","","",548,[[]]],[11,"hash","","",570,[[]]],[11,"hash","std::ops","",205,[[]]],[11,"hash","std","",551,[[]]],[11,"hash_slice","","",551,[[]]],[11,"hash","std::mem","",535,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",563,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",565,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::option","",542,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",571,[[]]],[11,"hash","std::num","",344,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::num","",345,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::num","",37,[[]]],[11,"hash","","",338,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",555,[[]]],[11,"hash_slice","","",555,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","std::ops","",202,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::ops","",537,[[]]],[11,"hash","std::num","",342,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",572,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::num","",346,[[]]],[11,"hash","std::ops","",200,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::mem","",534,[[]]],[11,"hash","std::task","",104,[[]]],[11,"hash","std::ptr","",544,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::cmp","",144,[[]]],[11,"hash","std::panic","",354,[[]]],[11,"hash","std::ops","",208,[[]]],[11,"hash","std","",550,[[]]],[11,"hash_slice","","",550,[[]]],[11,"hash","std::num","",347,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",566,[[]]],[11,"hash","std::num","",348,[[]]],[11,"hash","std","",559,[[]]],[11,"hash_slice","","",559,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::num","",343,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",552,[[]]],[11,"hash_slice","","",552,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",569,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",567,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",558,[[]]],[11,"hash","std::result","",212,[[]]],[11,"hash","std::ops","",538,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",564,[[]]],[11,"hash","std::num","",339,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","std::time","",393,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","std::pin","",543,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","std::option","",210,[[]]],[11,"hash","std","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",568,[[]]],[11,"hash","","",570,[[]]],[11,"hash","","",568,[[]]],[11,"not","","",551,[[],["i64",15]]],[11,"not","","",558,[[]]],[11,"not","","",557,[[]]],[11,"not","std::num","",37,[[],[["wrapping",3],["u128",15]]]],[11,"not","","",37,[[],[["wrapping",3],["usize",15]]]],[11,"not","","",37,[[],[["wrapping",3],["i32",15]]]],[11,"not","","",37,[[],[["i8",15],["wrapping",3]]]],[11,"not","std","",549,[[],["u8",15]]],[11,"not","std::num","",37,[[],[["wrapping",3],["i16",15]]]],[11,"not","","",37,[[],[["u8",15],["wrapping",3]]]],[11,"not","std","",552,[[]]],[11,"not","std::num","",37,[[],[["isize",15],["wrapping",3]]]],[11,"not","std","",558,[[],["bool",15]]],[11,"not","","",560,[[]]],[11,"not","","",548,[[]]],[11,"not","","",552,[[],["isize",15]]],[11,"not","","",554,[[]]],[11,"not","","",559,[[]]],[11,"not","","",548,[[],["i16",15]]],[11,"not","","",555,[[]]],[11,"not","","",556,[[],["u16",15]]],[11,"not","","",556,[[]]],[11,"not","std::num","",37,[[],[["i128",15],["wrapping",3]]]],[11,"not","std","",550,[[]]],[11,"not","","",553,[[]]],[11,"not","","",550,[[],["u64",15]]],[11,"not","","",551,[[]]],[11,"not","","",557,[[],["usize",15]]],[11,"not","","",554,[[],["i128",15]]],[11,"not","","",555,[[],["i8",15]]],[11,"not","","",549,[[]]],[11,"not","","",559,[[],["i32",15]]],[11,"not","std::num","",37,[[],[["u64",15],["wrapping",3]]]],[11,"not","std","",553,[[],["u32",15]]],[11,"not","std::num","",37,[[],[["i64",15],["wrapping",3]]]],[11,"not","","",37,[[],[["wrapping",3],["u32",15]]]],[11,"not","","",37,[[],[["wrapping",3],["u16",15]]]],[11,"not","std","",560,[[],["u128",15]]],[11,"from","std::option","Converts from <code>&Option<T></code> to <code>Option<&T></code>.",210,[[["option",4]],["option",4]]],[11,"from","std","Converts a <code>NonZeroI8</code> into an <code>i8</code>",555,[[["nonzeroi8",3]],["i8",15]]],[11,"from","std::num","",345,[[["nonzerou16",3]],["nonzerou32",3]]],[11,"from","std","",551,[[["i16",15]],["i64",15]]],[11,"from","","",554,[[["u64",15]],["i128",15]]],[11,"from","std::num","",340,[[["nonzeroi16",3]],["nonzeroi64",3]]],[11,"from","std::option","Copies <code>val</code> into a new <code>Some</code>.",210,[[],["option",4]]],[11,"from","std","",556,[[["u8",15]],["u16",15]]],[11,"from","std::num","",343,[[["nonzerou64",3]],["nonzerou128",3]]],[11,"from","std","Converts a <code>NonZeroU16</code> into an <code>u16</code>",556,[[["nonzerou16",3]],["u16",15]]],[11,"from","std::num","",340,[[["nonzeroi8",3]],["nonzeroi64",3]]],[11,"from","std","",559,[[["bool",15]],["i32",15]]],[11,"from","std::option","Converts from <code>&mut Option<T></code> to <code>Option<&mut T></code>",210,[[["option",4]],["option",4]]],[11,"from","std","",551,[[["u16",15]],["i64",15]]],[11,"from","std::num","",343,[[["nonzerou32",3]],["nonzerou128",3]]],[11,"from","","",340,[[["nonzerou8",3]],["nonzeroi64",3]]],[11,"from","std","",554,[[["bool",15]],["i128",15]]],[11,"from","std::num","",346,[[["nonzerou16",3]],["nonzerou64",3]]],[11,"from","std","",552,[[["bool",15]],["isize",15]]],[11,"from","","",561,[[["u8",15]],["f64",15]]],[11,"from","std::sync::atomic","Converts an <code>i8</code> into an <code>AtomicI8</code>.",383,[[["i8",15]],["atomici8",3]]],[11,"from","std","",561,[[["u32",15]],["f64",15]]],[11,"from","","",553,[[["bool",15]],["u32",15]]],[11,"from","","Converts a <code>NonZeroU8</code> into an <code>u8</code>",549,[[["nonzerou8",3]],["u8",15]]],[11,"from","std::cell","",480,[[],["refcell",3]]],[11,"from","std::num","",343,[[["nonzerou8",3]],["nonzerou128",3]]],[11,"from","std","Converts a [<code>char</code>] into a [<code>u128</code>].",560,[[["char",15]],["u128",15]]],[11,"from","std::sync::atomic","Converts an <code>i64</code> into an <code>AtomicI64</code>.",389,[[["i64",15]],["atomici64",3]]],[11,"from","std","",548,[[["u8",15]],["i16",15]]],[11,"from","std::num","",336,[[],["tryfrominterror",3]]],[11,"from","","",338,[[["nonzeroi8",3]],["nonzeroi16",3]]],[11,"from","std","",562,[[["u8",15]],["f32",15]]],[11,"from","","",561,[[["f32",15]],["f64",15]]],[11,"from","","",554,[[["u8",15]],["i128",15]]],[11,"from","std::ptr","",544,[[],["nonnull",3]]],[11,"from","std::sync::atomic","Converts a <code>bool</code> into an <code>AtomicBool</code>.",381,[[["bool",15]],["atomicbool",3]]],[11,"from","std","",548,[[["i8",15]],["i16",15]]],[11,"from","","",549,[[["bool",15]],["u8",15]]],[11,"from","std::num","",346,[[["nonzerou32",3]],["nonzerou64",3]]],[11,"from","std","Converts a <code>NonZeroIsize</code> into an <code>isize</code>",552,[[["nonzeroisize",3]],["isize",15]]],[11,"from","","Converts a <code>NonZeroUsize</code> into an <code>usize</code>",557,[[["nonzerousize",3]],["usize",15]]],[11,"from","","",560,[[["u16",15]],["u128",15]]],[11,"from","std::sync::atomic","Converts an <code>u16</code> into an <code>AtomicU16</code>.",386,[[["u16",15]],["atomicu16",3]]],[11,"from","std::num","",348,[[["nonzerou8",3]],["nonzerousize",3]]],[11,"from","std","",560,[[["u32",15]],["u128",15]]],[11,"from","std::num","",339,[[["nonzerou16",3]],["nonzeroi32",3]]],[11,"from","std::lazy","",394,[[],["oncecell",3]]],[11,"from","std::num","",342,[[["nonzerou8",3]],["nonzeroisize",3]]],[11,"from","std","",562,[[["i8",15]],["f32",15]]],[11,"from","","",551,[[["i32",15]],["i64",15]]],[11,"from","std::num","",337,[[["nonzeroi32",3]],["nonzeroi128",3]]],[11,"from","","",342,[[["nonzeroi16",3]],["nonzeroisize",3]]],[11,"from","std","",554,[[["i16",15]],["i128",15]]],[11,"from","std::num","",337,[[["nonzerou8",3]],["nonzeroi128",3]]],[11,"from","","",340,[[["nonzerou32",3]],["nonzeroi64",3]]],[11,"from","std::cell","",479,[[],["cell",3]]],[11,"from","std::sync::atomic","Converts an <code>i32</code> into an <code>AtomicI32</code>.",387,[[["i32",15]],["atomici32",3]]],[11,"from","std","",561,[[["i32",15]],["f64",15]]],[11,"from","","",561,[[["u16",15]],["f64",15]]],[11,"from","std::sync::atomic","Converts an <code>usize</code> into an <code>AtomicUsize</code>.",392,[[["usize",15]],["atomicusize",3]]],[11,"from","std::num","",343,[[["nonzerou16",3]],["nonzerou128",3]]],[11,"from","std::ptr","",544,[[["unique",3]],["nonnull",3]]],[11,"from","std","",560,[[["bool",15]],["u128",15]]],[11,"from","std::num","",339,[[["nonzeroi8",3]],["nonzeroi32",3]]],[11,"from","std::convert","",495,[[],["infallible",4]]],[11,"from","std","Converts a <code>NonZeroI128</code> into an <code>i128</code>",554,[[["nonzeroi128",3]],["i128",15]]],[11,"from","std::num","",337,[[["nonzerou16",3]],["nonzeroi128",3]]],[11,"from","std","Converts a [<code>char</code>] into a [<code>u64</code>].",550,[[["char",15]],["u64",15]]],[11,"from","","",562,[[["u16",15]],["f32",15]]],[11,"from","std::num","",340,[[["nonzeroi32",3]],["nonzeroi64",3]]],[11,"from","","",339,[[["nonzerou8",3]],["nonzeroi32",3]]],[11,"from","std","",550,[[["bool",15]],["u64",15]]],[11,"from","","",551,[[["bool",15]],["i64",15]]],[11,"from","","",557,[[["u16",15]],["usize",15]]],[11,"from","","",555,[[["bool",15]],["i8",15]]],[11,"from","std::num","",340,[[["nonzerou16",3]],["nonzeroi64",3]]],[11,"from","std","",552,[[["i16",15]],["isize",15]]],[11,"from","std::sync::atomic","",382,[[],["atomicptr",3]]],[11,"from","std","",559,[[["u8",15]],["i32",15]]],[11,"from","","Converts a <code>NonZeroU128</code> into an <code>u128</code>",560,[[["nonzerou128",3]],["u128",15]]],[11,"from","","",548,[[["bool",15]],["i16",15]]],[11,"from","std::sync::atomic","Converts an <code>u8</code> into an <code>AtomicU8</code>.",384,[[["u8",15]],["atomicu8",3]]],[11,"from","std::num","",337,[[["nonzeroi8",3]],["nonzeroi128",3]]],[11,"from","std::cell","",485,[[],["unsafecell",3]]],[11,"from","std","",554,[[["i64",15]],["i128",15]]],[11,"from","","",559,[[["u16",15]],["i32",15]]],[11,"from","","",551,[[["u32",15]],["i64",15]]],[11,"from","","",562,[[["i16",15]],["f32",15]]],[11,"from","std::num","",337,[[["nonzerou64",3]],["nonzeroi128",3]]],[11,"from","","",336,[[["infallible",4]],["tryfrominterror",3]]],[11,"from","std","",551,[[["u8",15]],["i64",15]]],[11,"from","","",561,[[["i16",15]],["f64",15]]],[11,"from","","",554,[[["u32",15]],["i128",15]]],[11,"from","std::sync::atomic","Converts an <code>u32</code> into an <code>AtomicU32</code>.",388,[[["u32",15]],["atomicu32",3]]],[11,"from","","Converts an <code>i16</code> into an <code>AtomicI16</code>.",385,[[["i16",15]],["atomici16",3]]],[11,"from","std","",557,[[["u8",15]],["usize",15]]],[11,"from","","",554,[[["i32",15]],["i128",15]]],[11,"from","","",560,[[["u64",15]],["u128",15]]],[11,"from","","Converts a <code>NonZeroI16</code> into an <code>i16</code>",548,[[["nonzeroi16",3]],["i16",15]]],[11,"from","","",552,[[["i8",15]],["isize",15]]],[11,"from","","",559,[[["i8",15]],["i32",15]]],[11,"from","","Converts a <code>NonZeroI64</code> into an <code>i64</code>",551,[[["nonzeroi64",3]],["i64",15]]],[11,"from","","",550,[[["u8",15]],["u64",15]]],[11,"from","","Converts a <code>NonZeroI32</code> into an <code>i32</code>",559,[[["nonzeroi32",3]],["i32",15]]],[11,"from","std::num","",338,[[["nonzerou8",3]],["nonzeroi16",3]]],[11,"from","std","",553,[[["u16",15]],["u32",15]]],[11,"from","std::num","",337,[[["nonzeroi64",3]],["nonzeroi128",3]]],[11,"from","std","",552,[[["u8",15]],["isize",15]]],[11,"from","","Converts a <code>NonZeroU32</code> into an <code>u32</code>",553,[[["nonzerou32",3]],["u32",15]]],[11,"from","std::num","",337,[[["nonzeroi16",3]],["nonzeroi128",3]]],[11,"from","std","",560,[[["u8",15]],["u128",15]]],[11,"from","","",550,[[["u16",15]],["u64",15]]],[11,"from","std::num","",348,[[["nonzerou16",3]],["nonzerousize",3]]],[11,"from","std::ptr","",544,[[],["nonnull",3]]],[11,"from","std","Converts a [<code>char</code>] into a [<code>u32</code>].",553,[[["char",15]],["u32",15]]],[11,"from","std::num","",345,[[["nonzerou8",3]],["nonzerou32",3]]],[11,"from","","",337,[[["nonzerou32",3]],["nonzeroi128",3]]],[11,"from","","",344,[[["nonzerou8",3]],["nonzerou16",3]]],[11,"from","std","",554,[[["i8",15]],["i128",15]]],[11,"from","","",557,[[["bool",15]],["usize",15]]],[11,"from","std::num","",339,[[["nonzeroi16",3]],["nonzeroi32",3]]],[11,"from","std::array","",477,[[["infallible",4]],["tryfromsliceerror",3]]],[11,"from","std::num","",346,[[["nonzerou8",3]],["nonzerou64",3]]],[11,"from","std","Converts a <code>NonZeroU64</code> into an <code>u64</code>",550,[[["nonzerou64",3]],["u64",15]]],[11,"from","","Converts a [<code>u8</code>] into a [<code>char</code>].",567,[[["u8",15]],["char",15]]],[11,"from","","",553,[[["u8",15]],["u32",15]]],[11,"from","","",561,[[["i8",15]],["f64",15]]],[11,"from","","",559,[[["i16",15]],["i32",15]]],[11,"from","std::num","",342,[[["nonzeroi8",3]],["nonzeroisize",3]]],[11,"from","std","",556,[[["bool",15]],["u16",15]]],[11,"from","","",550,[[["u32",15]],["u64",15]]],[11,"from","std::sync::atomic","Converts an <code>u64</code> into an <code>AtomicU64</code>.",390,[[["u64",15]],["atomicu64",3]]],[11,"from","std","",554,[[["u16",15]],["i128",15]]],[11,"from","std::sync::atomic","Converts an <code>isize</code> into an <code>AtomicIsize</code>.",391,[[["isize",15]],["atomicisize",3]]],[11,"from","std","",551,[[["i8",15]],["i64",15]]],[11,"from","std::task","Convert to a <code>Ready</code> variant.",104,[[],["poll",4]]],[11,"call","std","",565,[[]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",555,[[["i16",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",557,[[["u8",15]]]],[11,"shl_assign","","",555,[[["u8",15]]]],[11,"shl_assign","","",559,[[["isize",15]]]],[11,"shl_assign","","",556,[[["i16",15]]]],[11,"shl_assign","","",560,[[["u128",15]]]],[11,"shl_assign","","",552,[[["usize",15]]]],[11,"shl_assign","","",557,[[["usize",15]]]],[11,"shl_assign","","",560,[[["u8",15]]]],[11,"shl_assign","","",551,[[["isize",15]]]],[11,"shl_assign","","",552,[[["u16",15]]]],[11,"shl_assign","","",552,[[["i128",15]]]],[11,"shl_assign","","",552,[[["u32",15]]]],[11,"shl_assign","","",560,[[["u32",15]]]],[11,"shl_assign","","",559,[[["u32",15]]]],[11,"shl_assign","","",555,[[["u32",15]]]],[11,"shl_assign","","",555,[[["i64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",555,[[["i8",15]]]],[11,"shl_assign","","",560,[[["i16",15]]]],[11,"shl_assign","","",554,[[["u32",15]]]],[11,"shl_assign","","",556,[[["isize",15]]]],[11,"shl_assign","","",555,[[["u64",15]]]],[11,"shl_assign","","",551,[[["u16",15]]]],[11,"shl_assign","","",549,[[["usize",15]]]],[11,"shl_assign","","",551,[[["u128",15]]]],[11,"shl_assign","","",560,[[["i128",15]]]],[11,"shl_assign","","",551,[[["u32",15]]]],[11,"shl_assign","","",560,[[["u32",15]]]],[11,"shl_assign","","",554,[[["i32",15]]]],[11,"shl_assign","","",552,[[["i16",15]]]],[11,"shl_assign","","",549,[[["u128",15]]]],[11,"shl_assign","","",550,[[["u16",15]]]],[11,"shl_assign","","",556,[[["i8",15]]]],[11,"shl_assign","","",550,[[["u64",15]]]],[11,"shl_assign","","",553,[[["u32",15]]]],[11,"shl_assign","","",560,[[["isize",15]]]],[11,"shl_assign","","",559,[[["u128",15]]]],[11,"shl_assign","","",551,[[["i128",15]]]],[11,"shl_assign","","",550,[[["u8",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",554,[[["i8",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",559,[[["i128",15]]]],[11,"shl_assign","","",556,[[["i64",15]]]],[11,"shl_assign","","",552,[[["i64",15]]]],[11,"shl_assign","","",553,[[["isize",15]]]],[11,"shl_assign","","",548,[[["i8",15]]]],[11,"shl_assign","","",551,[[["usize",15]]]],[11,"shl_assign","","",560,[[["i32",15]]]],[11,"shl_assign","","",550,[[["i64",15]]]],[11,"shl_assign","","",560,[[["usize",15]]]],[11,"shl_assign","","",557,[[["i32",15]]]],[11,"shl_assign","","",550,[[["isize",15]]]],[11,"shl_assign","","",555,[[["i128",15]]]],[11,"shl_assign","","",551,[[["i64",15]]]],[11,"shl_assign","","",553,[[["i8",15]]]],[11,"shl_assign","","",553,[[["u128",15]]]],[11,"shl_assign","","",553,[[["usize",15]]]],[11,"shl_assign","","",551,[[["i128",15]]]],[11,"shl_assign","","",549,[[["i128",15]]]],[11,"shl_assign","","",555,[[["usize",15]]]],[11,"shl_assign","","",550,[[["u8",15]]]],[11,"shl_assign","","",559,[[["i16",15]]]],[11,"shl_assign","","",554,[[["i16",15]]]],[11,"shl_assign","","",559,[[["i8",15]]]],[11,"shl_assign","","",555,[[["i16",15]]]],[11,"shl_assign","","",556,[[["u16",15]]]],[11,"shl_assign","","",559,[[["u16",15]]]],[11,"shl_assign","","",553,[[["i128",15]]]],[11,"shl_assign","","",554,[[["isize",15]]]],[11,"shl_assign","","",557,[[["usize",15]]]],[11,"shl_assign","","",554,[[["i8",15]]]],[11,"shl_assign","","",549,[[["u16",15]]]],[11,"shl_assign","","",549,[[["isize",15]]]],[11,"shl_assign","","",560,[[["i32",15]]]],[11,"shl_assign","","",551,[[["u64",15]]]],[11,"shl_assign","","",552,[[["u16",15]]]],[11,"shl_assign","","",553,[[["u32",15]]]],[11,"shl_assign","","",549,[[["i64",15]]]],[11,"shl_assign","","",555,[[["u16",15]]]],[11,"shl_assign","","",551,[[["i16",15]]]],[11,"shl_assign","","",550,[[["i128",15]]]],[11,"shl_assign","","",559,[[["u16",15]]]],[11,"shl_assign","","",550,[[["i8",15]]]],[11,"shl_assign","","",560,[[["i8",15]]]],[11,"shl_assign","","",554,[[["u16",15]]]],[11,"shl_assign","","",554,[[["isize",15]]]],[11,"shl_assign","","",559,[[["i32",15]]]],[11,"shl_assign","","",550,[[["i128",15]]]],[11,"shl_assign","","",554,[[["usize",15]]]],[11,"shl_assign","","",559,[[["isize",15]]]],[11,"shl_assign","","",548,[[["u128",15]]]],[11,"shl_assign","","",557,[[["i16",15]]]],[11,"shl_assign","","",548,[[["i16",15]]]],[11,"shl_assign","","",551,[[["i32",15]]]],[11,"shl_assign","","",552,[[["u64",15]]]],[11,"shl_assign","","",553,[[["i16",15]]]],[11,"shl_assign","","",549,[[["u32",15]]]],[11,"shl_assign","","",553,[[["i16",15]]]],[11,"shl_assign","","",556,[[["u8",15]]]],[11,"shl_assign","","",548,[[["isize",15]]]],[11,"shl_assign","","",555,[[["u128",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",557,[[["i8",15]]]],[11,"shl_assign","","",560,[[["i128",15]]]],[11,"shl_assign","","",548,[[["i64",15]]]],[11,"shl_assign","","",549,[[["u32",15]]]],[11,"shl_assign","","",552,[[["u32",15]]]],[11,"shl_assign","","",556,[[["i16",15]]]],[11,"shl_assign","","",559,[[["i64",15]]]],[11,"shl_assign","","",549,[[["isize",15]]]],[11,"shl_assign","","",548,[[["i128",15]]]],[11,"shl_assign","","",553,[[["isize",15]]]],[11,"shl_assign","","",549,[[["u64",15]]]],[11,"shl_assign","","",556,[[["usize",15]]]],[11,"shl_assign","","",559,[[["i16",15]]]],[11,"shl_assign","","",556,[[["i128",15]]]],[11,"shl_assign","","",552,[[["u8",15]]]],[11,"shl_assign","","",560,[[["i8",15]]]],[11,"shl_assign","","",556,[[["isize",15]]]],[11,"shl_assign","","",549,[[["u64",15]]]],[11,"shl_assign","","",548,[[["u16",15]]]],[11,"shl_assign","","",553,[[["u8",15]]]],[11,"shl_assign","","",551,[[["i64",15]]]],[11,"shl_assign","","",548,[[["u32",15]]]],[11,"shl_assign","","",556,[[["u32",15]]]],[11,"shl_assign","","",557,[[["i16",15]]]],[11,"shl_assign","","",552,[[["usize",15]]]],[11,"shl_assign","","",553,[[["i8",15]]]],[11,"shl_assign","","",550,[[["i16",15]]]],[11,"shl_assign","","",553,[[["i64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","","",37,[[["usize",15]]]],[11,"shl_assign","std","",552,[[["i128",15]]]],[11,"shl_assign","","",556,[[["u16",15]]]],[11,"shl_assign","","",557,[[["isize",15]]]],[11,"shl_assign","","",551,[[["u8",15]]]],[11,"shl_assign","","",551,[[["i32",15]]]],[11,"shl_assign","","",557,[[["i8",15]]]],[11,"shl_assign","","",553,[[["u16",15]]]],[11,"shl_assign","","",550,[[["isize",15]]]],[11,"shl_assign","","",557,[[["u64",15]]]],[11,"shl_assign","","",552,[[["i32",15]]]],[11,"shl_assign","","",550,[[["u128",15]]]],[11,"shl_assign","","",560,[[["usize",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",549,[[["i64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",548,[[["u8",15]]]],[11,"shl_assign","","",548,[[["u16",15]]]],[11,"shl_assign","","",549,[[["i8",15]]]],[11,"shl_assign","","",559,[[["usize",15]]]],[11,"shl_assign","","",559,[[["u8",15]]]],[11,"shl_assign","","",560,[[["i64",15]]]],[11,"shl_assign","","",548,[[["u32",15]]]],[11,"shl_assign","","",560,[[["u64",15]]]],[11,"shl_assign","","",550,[[["u32",15]]]],[11,"shl_assign","","",554,[[["i128",15]]]],[11,"shl_assign","","",556,[[["u64",15]]]],[11,"shl_assign","","",560,[[["isize",15]]]],[11,"shl_assign","","",554,[[["u128",15]]]],[11,"shl_assign","","",551,[[["i16",15]]]],[11,"shl_assign","","",557,[[["u16",15]]]],[11,"shl_assign","","",554,[[["u8",15]]]],[11,"shl_assign","","",555,[[["isize",15]]]],[11,"shl_assign","","",556,[[["u8",15]]]],[11,"shl_assign","","",560,[[["u8",15]]]],[11,"shl_assign","","",554,[[["i32",15]]]],[11,"shl_assign","","",554,[[["u64",15]]]],[11,"shl_assign","","",557,[[["isize",15]]]],[11,"shl_assign","","",555,[[["i128",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","","",37,[[["usize",15]]]],[11,"shl_assign","std","",557,[[["i128",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",554,[[["i64",15]]]],[11,"shl_assign","","",548,[[["u8",15]]]],[11,"shl_assign","","",554,[[["i64",15]]]],[11,"shl_assign","","",557,[[["u16",15]]]],[11,"shl_assign","","",548,[[["i64",15]]]],[11,"shl_assign","","",557,[[["i64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",557,[[["i64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",552,[[["i64",15]]]],[11,"shl_assign","","",553,[[["u128",15]]]],[11,"shl_assign","","",560,[[["i64",15]]]],[11,"shl_assign","","",551,[[["u16",15]]]],[11,"shl_assign","","",553,[[["i32",15]]]],[11,"shl_assign","","",550,[[["usize",15]]]],[11,"shl_assign","","",549,[[["u128",15]]]],[11,"shl_assign","","",548,[[["i128",15]]]],[11,"shl_assign","","",555,[[["u8",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",556,[[["u64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",559,[[["i8",15]]]],[11,"shl_assign","","",549,[[["u16",15]]]],[11,"shl_assign","","",554,[[["usize",15]]]],[11,"shl_assign","","",550,[[["i32",15]]]],[11,"shl_assign","","",557,[[["u128",15]]]],[11,"shl_assign","","",549,[[["u8",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",555,[[["isize",15]]]],[11,"shl_assign","","",556,[[["i32",15]]]],[11,"shl_assign","","",560,[[["u16",15]]]],[11,"shl_assign","","",556,[[["i8",15]]]],[11,"shl_assign","","",550,[[["u16",15]]]],[11,"shl_assign","","",550,[[["i16",15]]]],[11,"shl_assign","","",550,[[["u32",15]]]],[11,"shl_assign","","",551,[[["i8",15]]]],[11,"shl_assign","","",555,[[["u64",15]]]],[11,"shl_assign","","",551,[[["u8",15]]]],[11,"shl_assign","","",552,[[["isize",15]]]],[11,"shl_assign","","",549,[[["usize",15]]]],[11,"shl_assign","","",551,[[["u64",15]]]],[11,"shl_assign","","",556,[[["i128",15]]]],[11,"shl_assign","","",553,[[["i32",15]]]],[11,"shl_assign","","",552,[[["i16",15]]]],[11,"shl_assign","","",557,[[["u32",15]]]],[11,"shl_assign","","",551,[[["usize",15]]]],[11,"shl_assign","","",560,[[["u64",15]]]],[11,"shl_assign","","",553,[[["u16",15]]]],[11,"shl_assign","","",552,[[["u8",15]]]],[11,"shl_assign","","",559,[[["usize",15]]]],[11,"shl_assign","","",555,[[["u32",15]]]],[11,"shl_assign","","",553,[[["u64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",557,[[["u32",15]]]],[11,"shl_assign","","",553,[[["i64",15]]]],[11,"shl_assign","","",554,[[["i16",15]]]],[11,"shl_assign","","",548,[[["u64",15]]]],[11,"shl_assign","","",548,[[["u64",15]]]],[11,"shl_assign","","",549,[[["i8",15]]]],[11,"shl_assign","","",553,[[["u8",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",554,[[["i128",15]]]],[11,"shl_assign","","",559,[[["u64",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",552,[[["u128",15]]]],[11,"shl_assign","","",553,[[["usize",15]]]],[11,"shl_assign","","",549,[[["i32",15]]]],[11,"shl_assign","","",550,[[["i8",15]]]],[11,"shl_assign","","",550,[[["i64",15]]]],[11,"shl_assign","","",552,[[["i8",15]]]],[11,"shl_assign","","",549,[[["i128",15]]]],[11,"shl_assign","","",554,[[["u32",15]]]],[11,"shl_assign","","",555,[[["i32",15]]]],[11,"shl_assign","","",554,[[["u8",15]]]],[11,"shl_assign","","",556,[[["usize",15]]]],[11,"shl_assign","","",555,[[["i32",15]]]],[11,"shl_assign","","",559,[[["u8",15]]]],[11,"shl_assign","","",555,[[["i64",15]]]],[11,"shl_assign","","",555,[[["i8",15]]]],[11,"shl_assign","","",559,[[["u32",15]]]],[11,"shl_assign","","",557,[[["u128",15]]]],[11,"shl_assign","","",557,[[["i128",15]]]],[11,"shl_assign","","",549,[[["i16",15]]]],[11,"shl_assign","","",559,[[["u64",15]]]],[11,"shl_assign","","",559,[[["i128",15]]]],[11,"shl_assign","","",559,[[["i64",15]]]],[11,"shl_assign","","",552,[[["i8",15]]]],[11,"shl_assign","","",555,[[["u16",15]]]],[11,"shl_assign","","",550,[[["u128",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",560,[[["i16",15]]]],[11,"shl_assign","","",560,[[["u128",15]]]],[11,"shl_assign","","",555,[[["u128",15]]]],[11,"shl_assign","","",559,[[["u128",15]]]],[11,"shl_assign","","",551,[[["u32",15]]]],[11,"shl_assign","","",556,[[["i64",15]]]],[11,"shl_assign","","",551,[[["i8",15]]]],[11,"shl_assign","","",548,[[["i8",15]]]],[11,"shl_assign","","",557,[[["i32",15]]]],[11,"shl_assign","","",551,[[["u128",15]]]],[11,"shl_assign","","",552,[[["u128",15]]]],[11,"shl_assign","","",556,[[["u128",15]]]],[11,"shl_assign","","",560,[[["u16",15]]]],[11,"shl_assign","","",550,[[["i32",15]]]],[11,"shl_assign","","",548,[[["i16",15]]]],[11,"shl_assign","","",548,[[["i32",15]]]],[11,"shl_assign","","",554,[[["u16",15]]]],[11,"shl_assign","","",556,[[["i32",15]]]],[11,"shl_assign","","",553,[[["i128",15]]]],[11,"shl_assign","","",549,[[["i16",15]]]],[11,"shl_assign","","",556,[[["u128",15]]]],[11,"shl_assign","","",550,[[["u64",15]]]],[11,"shl_assign","","",548,[[["i32",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",551,[[["isize",15]]]],[11,"shl_assign","","",554,[[["u64",15]]]],[11,"shl_assign","","",552,[[["u64",15]]]],[11,"shl_assign","","",553,[[["u64",15]]]],[11,"shl_assign","","",548,[[["u128",15]]]],[11,"shl_assign","","",550,[[["usize",15]]]],[11,"shl_assign","","",555,[[["usize",15]]]],[11,"shl_assign","","",552,[[["isize",15]]]],[11,"shl_assign","","",554,[[["u128",15]]]],[11,"shl_assign","","",552,[[["i32",15]]]],[11,"shl_assign","","",548,[[["isize",15]]]],[11,"shl_assign","","",549,[[["u8",15]]]],[11,"shl_assign","","",557,[[["u8",15]]]],[11,"shl_assign","","",557,[[["u64",15]]]],[11,"shl_assign","","",559,[[["i32",15]]]],[11,"shl_assign","","",548,[[["usize",15]]]],[11,"shl_assign","","",556,[[["u32",15]]]],[11,"shl_assign","","",548,[[["usize",15]]]],[11,"shl_assign","std::num","",37,[[["usize",15]]]],[11,"shl_assign","std","",549,[[["i32",15]]]],[11,"bitand_assign","","",554,[[["i128",15]]]],[11,"bitand_assign","","",548,[[["i16",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"bitand_assign","std","",555,[[["i8",15]]]],[11,"bitand_assign","","",559,[[["i32",15]]]],[11,"bitand_assign","","",549,[[["u8",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",550,[[["u64",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",557,[[["usize",15]]]],[11,"bitand_assign","","",557,[[["usize",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",553,[[["u32",15]]]],[11,"bitand_assign","","",549,[[["u8",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",548,[[["i16",15]]]],[11,"bitand_assign","","",553,[[["u32",15]]]],[11,"bitand_assign","","",551,[[["i64",15]]]],[11,"bitand_assign","","",558,[[["bool",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","","",37,[[["wrapping",3],["u32",15]]]],[11,"bitand_assign","std","",555,[[["i8",15]]]],[11,"bitand_assign","","",559,[[["i32",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["i32",15]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","","",37,[[["i128",15],["wrapping",3]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","","",37,[[["wrapping",3],["u128",15]]]],[11,"bitand_assign","std","",550,[[["u64",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["i8",15]]]],[11,"bitand_assign","std","",554,[[["i128",15]]]],[11,"bitand_assign","","",551,[[["i64",15]]]],[11,"bitand_assign","","",556,[[["u16",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",556,[[["u16",15]]]],[11,"bitand_assign","","",560,[[["u128",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3],["u16",15]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","","",37,[[["wrapping",3],["u64",15]]]],[11,"bitand_assign","","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",558,[[["bool",15]]]],[11,"bitand_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitand_assign","std","",552,[[["isize",15]]]],[11,"bitand_assign","","",552,[[["isize",15]]]],[11,"bitand_assign","std::num","",37,[[["i64",15],["wrapping",3]]]],[11,"bitand_assign","std","",560,[[["u128",15]]]],[11,"bitand_assign","std::num","",37,[[["isize",15],["wrapping",3]]]],[11,"haystack","std::str::pattern","",442,[[],["str",15]]],[11,"next","","",442,[[],["searchstep",4]]],[11,"next_match","","",442,[[],["option",4]]],[11,"next_reject","","",442,[[],["option",4]]],[11,"haystack","","",441,[[],["str",15]]],[11,"next","","",441,[[],["searchstep",4]]],[11,"next_match","","",441,[[],["option",4]]],[11,"next_reject","","",441,[[],["option",4]]],[11,"haystack","","",440,[[],["str",15]]],[11,"next","","",440,[[],["searchstep",4]]],[11,"next_match","","",440,[[],["option",4]]],[11,"haystack","","",443,[[],["str",15]]],[11,"next","","",443,[[],["searchstep",4]]],[11,"next_match","","",443,[[],["option",4]]],[11,"shl","std","",553,[[["i8",15]]]],[11,"shl","","",549,[[["isize",15]]]],[11,"shl","","",550,[[["u8",15]],["u64",15]]],[11,"shl","","",555,[[["usize",15]]]],[11,"shl","","",556,[[["usize",15]]]],[11,"shl","","",552,[[["u16",15]]]],[11,"shl","","",550,[[["isize",15]]]],[11,"shl","","",548,[[["isize",15]]]],[11,"shl","","",556,[[["u64",15]],["u16",15]]],[11,"shl","","",557,[[["isize",15]]]],[11,"shl","","",549,[[["i16",15]]]],[11,"shl","","",550,[[["u64",15]]]],[11,"shl","","",549,[[["i8",15]]]],[11,"shl","","",548,[[["i64",15]],["i16",15]]],[11,"shl","","",559,[[["u32",15]]]],[11,"shl","","",559,[[["u8",15]]]],[11,"shl","","",560,[[["i16",15]],["u128",15]]],[11,"shl","","",548,[[["i32",15]]]],[11,"shl","","",550,[[["i16",15]],["u64",15]]],[11,"shl","","",550,[[["i64",15]]]],[11,"shl","","",554,[[["i8",15]]]],[11,"shl","","",560,[[["u64",15]]]],[11,"shl","","",551,[[["i16",15]]]],[11,"shl","","",550,[[["u32",15]]]],[11,"shl","","",552,[[["i16",15]]]],[11,"shl","","",556,[[["i64",15]],["u16",15]]],[11,"shl","","",548,[[["isize",15]]]],[11,"shl","","",553,[[["u8",15]]]],[11,"shl","","",554,[[["u8",15]]]],[11,"shl","","",552,[[["u32",15]]]],[11,"shl","","",557,[[["i64",15]]]],[11,"shl","","",560,[[["u128",15]]]],[11,"shl","","",548,[[["i8",15]]]],[11,"shl","","",551,[[["usize",15]]]],[11,"shl","","",557,[[["u32",15]]]],[11,"shl","","",555,[[["u64",15]],["i8",15]]],[11,"shl","","",552,[[["usize",15]]]],[11,"shl","","",552,[[["i8",15]]]],[11,"shl","","",548,[[["i16",15]]]],[11,"shl","","",554,[[["u128",15]]]],[11,"shl","","",552,[[["u8",15]]]],[11,"shl","","",554,[[["u32",15]]]],[11,"shl","","",557,[[["u128",15]]]],[11,"shl","","",550,[[["i8",15]]]],[11,"shl","","",549,[[["u32",15]]]],[11,"shl","","",553,[[["i16",15]],["u32",15]]],[11,"shl","","",553,[[["usize",15]]]],[11,"shl","","",552,[[["i128",15]],["isize",15]]],[11,"shl","","",559,[[["i8",15]]]],[11,"shl","","",554,[[["u64",15]]]],[11,"shl","","",559,[[["u128",15]],["i32",15]]],[11,"shl","","",554,[[["i8",15]]]],[11,"shl","","",551,[[["i64",15]]]],[11,"shl","","",550,[[["usize",15]]]],[11,"shl","","",555,[[["u32",15]]]],[11,"shl","","",556,[[["u8",15]],["u16",15]]],[11,"shl","","",553,[[["i64",15]]]],[11,"shl","","",554,[[["u16",15]]]],[11,"shl","","",548,[[["i64",15]]]],[11,"shl","","",549,[[["i16",15]],["u8",15]]],[11,"shl","","",550,[[["i16",15]]]],[11,"shl","","",554,[[["i64",15]]]],[11,"shl","","",553,[[["u16",15]]]],[11,"shl","","",548,[[["u8",15]],["i16",15]]],[11,"shl","","",552,[[["u8",15]]]],[11,"shl","","",556,[[["i128",15]]]],[11,"shl","","",555,[[["i64",15]]]],[11,"shl","","",550,[[["i8",15]]]],[11,"shl","","",553,[[["usize",15]],["u32",15]]],[11,"shl","","",556,[[["u128",15]]]],[11,"shl","","",559,[[["i16",15]]]],[11,"shl","","",549,[[["i8",15]]]],[11,"shl","","",549,[[["i128",15]]]],[11,"shl","","",551,[[["i8",15]]]],[11,"shl","","",553,[[["i32",15]]]],[11,"shl","","",549,[[["i16",15]]]],[11,"shl","","",559,[[["u64",15]],["i32",15]]],[11,"shl","","",549,[[["u32",15]]]],[11,"shl","","",552,[[["u64",15]]]],[11,"shl","","",552,[[["i64",15]],["isize",15]]],[11,"shl","","",557,[[["i32",15]]]],[11,"shl","","",550,[[["i16",15]]]],[11,"shl","","",556,[[["u8",15]]]],[11,"shl","","",557,[[["u16",15]]]],[11,"shl","","",555,[[["i16",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",555,[[["i128",15]]]],[11,"shl","","",560,[[["i32",15]],["u128",15]]],[11,"shl","","",556,[[["i64",15]]]],[11,"shl","","",549,[[["i8",15]]]],[11,"shl","","",551,[[["u64",15]]]],[11,"shl","","",548,[[["usize",15]]]],[11,"shl","","",552,[[["isize",15]],["isize",15]]],[11,"shl","","",552,[[["i8",15]]]],[11,"shl","","",552,[[["u64",15]],["isize",15]]],[11,"shl","","",554,[[["i128",15]]]],[11,"shl","","",557,[[["i32",15]],["usize",15]]],[11,"shl","","",549,[[["u128",15]]]],[11,"shl","","",553,[[["u16",15]]]],[11,"shl","","",560,[[["u128",15]]]],[11,"shl","","",560,[[["u32",15]]]],[11,"shl","","",553,[[["i32",15]]]],[11,"shl","","",554,[[["i32",15]]]],[11,"shl","","",552,[[["usize",15]],["isize",15]]],[11,"shl","","",556,[[["u32",15]]]],[11,"shl","","",549,[[["u128",15]]]],[11,"shl","","",550,[[["u16",15]]]],[11,"shl","","",556,[[["i64",15]]]],[11,"shl","","",550,[[["u8",15]]]],[11,"shl","","",556,[[["u64",15]]]],[11,"shl","","",550,[[["i32",15]]]],[11,"shl","","",548,[[["i8",15]]]],[11,"shl","","",560,[[["i128",15]]]],[11,"shl","","",549,[[["usize",15]]]],[11,"shl","","",559,[[["i8",15]]]],[11,"shl","","",551,[[["u16",15]]]],[11,"shl","","",556,[[["isize",15]],["u16",15]]],[11,"shl","","",551,[[["i8",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",553,[[["isize",15]]]],[11,"shl","","",549,[[["i32",15]]]],[11,"shl","","",548,[[["i16",15]],["i16",15]]],[11,"shl","","",560,[[["isize",15]]]],[11,"shl","","",548,[[["u128",15]]]],[11,"shl","","",548,[[["i64",15]]]],[11,"shl","","",549,[[["u128",15]]]],[11,"shl","","",549,[[["isize",15]],["u8",15]]],[11,"shl","","",555,[[["u8",15]]]],[11,"shl","","",551,[[["u16",15]]]],[11,"shl","","",555,[[["isize",15]],["i8",15]]],[11,"shl","","",560,[[["usize",15]]]],[11,"shl","","",559,[[["isize",15]]]],[11,"shl","","",553,[[["i128",15]]]],[11,"shl","","",553,[[["u16",15]],["u32",15]]],[11,"shl","","",548,[[["u128",15]]]],[11,"shl","","",550,[[["i64",15]]]],[11,"shl","","",549,[[["u16",15]]]],[11,"shl","","",559,[[["i64",15]]]],[11,"shl","","",551,[[["u8",15]]]],[11,"shl","","",555,[[["u8",15]]]],[11,"shl","","",549,[[["u8",15]],["u8",15]]],[11,"shl","","",550,[[["i128",15]]]],[11,"shl","","",559,[[["u32",15]]]],[11,"shl","","",555,[[["usize",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",549,[[["i128",15]]]],[11,"shl","","",557,[[["i16",15]]]],[11,"shl","","",550,[[["i128",15]]]],[11,"shl","","",557,[[["u8",15]]]],[11,"shl","","",557,[[["u64",15]]]],[11,"shl","","",559,[[["usize",15]],["i32",15]]],[11,"shl","","",557,[[["u32",15]],["usize",15]]],[11,"shl","","",560,[[["usize",15]]]],[11,"shl","","",554,[[["i8",15]]]],[11,"shl","","",552,[[["usize",15]]]],[11,"shl","","",552,[[["u16",15]],["isize",15]]],[11,"shl","","",557,[[["i32",15]]]],[11,"shl","","",560,[[["i128",15]]]],[11,"shl","","",554,[[["u128",15]]]],[11,"shl","","",555,[[["i64",15]]]],[11,"shl","","",560,[[["i16",15]]]],[11,"shl","","",555,[[["isize",15]]]],[11,"shl","","",550,[[["u32",15]],["u64",15]]],[11,"shl","","",555,[[["i8",15]]]],[11,"shl","","",556,[[["i128",15]],["u16",15]]],[11,"shl","","",548,[[["u32",15]]]],[11,"shl","","",559,[[["u64",15]]]],[11,"shl","","",551,[[["u128",15]],["i64",15]]],[11,"shl","","",556,[[["i32",15]]]],[11,"shl","","",551,[[["i128",15]],["i64",15]]],[11,"shl","","",549,[[["u64",15]],["u8",15]]],[11,"shl","","",552,[[["u128",15]],["isize",15]]],[11,"shl","","",560,[[["u8",15]]]],[11,"shl","","",553,[[["u64",15]]]],[11,"shl","","",553,[[["u128",15]],["u32",15]]],[11,"shl","","",548,[[["usize",15]]]],[11,"shl","","",554,[[["i128",15]]]],[11,"shl","","",553,[[["isize",15]]]],[11,"shl","","",560,[[["i64",15]]]],[11,"shl","","",560,[[["u16",15]]]],[11,"shl","","",554,[[["u16",15]]]],[11,"shl","","",557,[[["u8",15]],["usize",15]]],[11,"shl","","",555,[[["i8",15]]]],[11,"shl","","",548,[[["u16",15]]]],[11,"shl","","",559,[[["u8",15]]]],[11,"shl","","",550,[[["i8",15]]]],[11,"shl","","",556,[[["u32",15]]]],[11,"shl","","",556,[[["i128",15]]]],[11,"shl","","",553,[[["i8",15]],["u32",15]]],[11,"shl","","",559,[[["u16",15]],["i32",15]]],[11,"shl","","",553,[[["u32",15]],["u32",15]]],[11,"shl","","",559,[[["i16",15]]]],[11,"shl","","",559,[[["i128",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["usize",15]]]],[11,"shl","std","",549,[[["i32",15]],["u8",15]]],[11,"shl","","",550,[[["i32",15]],["u64",15]]],[11,"shl","","",550,[[["i64",15]],["u64",15]]],[11,"shl","","",554,[[["u32",15]]]],[11,"shl","","",548,[[["i32",15]]]],[11,"shl","","",559,[[["i8",15]],["i32",15]]],[11,"shl","","",560,[[["u128",15]],["u128",15]]],[11,"shl","","",557,[[["u8",15]]]],[11,"shl","","",557,[[["u64",15]]]],[11,"shl","","",552,[[["isize",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["isize",15],["wrapping",3]]]],[11,"shl","","",37,[[["usize",15]]]],[11,"shl","std","",548,[[["i128",15]]]],[11,"shl","","",559,[[["i32",15]]]],[11,"shl","","",551,[[["u128",15]]]],[11,"shl","","",548,[[["i16",15]]]],[11,"shl","","",554,[[["i32",15]],["i128",15]]],[11,"shl","","",553,[[["u8",15]],["u32",15]]],[11,"shl","","",552,[[["i16",15]],["isize",15]]],[11,"shl","","",554,[[["u64",15]],["i128",15]]],[11,"shl","","",554,[[["usize",15]]]],[11,"shl","","",551,[[["u128",15]]]],[11,"shl","","",553,[[["i8",15]]]],[11,"shl","","",560,[[["i8",15]]]],[11,"shl","","",554,[[["u16",15]],["i128",15]]],[11,"shl","","",554,[[["isize",15]],["i128",15]]],[11,"shl","","",552,[[["i64",15]]]],[11,"shl","","",555,[[["i64",15]]]],[11,"shl","","",551,[[["u8",15]]]],[11,"shl","","",560,[[["u8",15]],["u128",15]]],[11,"shl","","",552,[[["i128",15]]]],[11,"shl","","",560,[[["u32",15]]]],[11,"shl","","",550,[[["u128",15]]]],[11,"shl","","",560,[[["isize",15]],["u128",15]]],[11,"shl","","",549,[[["i64",15]]]],[11,"shl","","",551,[[["i16",15]]]],[11,"shl","","",559,[[["u128",15]]]],[11,"shl","","",555,[[["u32",15]],["i8",15]]],[11,"shl","","",550,[[["u16",15]]]],[11,"shl","","",548,[[["u128",15]],["i16",15]]],[11,"shl","","",553,[[["u8",15]]]],[11,"shl","","",551,[[["u32",15]]]],[11,"shl","","",554,[[["i32",15]]]],[11,"shl","","",557,[[["isize",15]]]],[11,"shl","","",549,[[["u16",15]],["u8",15]]],[11,"shl","","",560,[[["i64",15]]]],[11,"shl","","",560,[[["i32",15]]]],[11,"shl","","",555,[[["u64",15]]]],[11,"shl","","",560,[[["i8",15]],["u128",15]]],[11,"shl","","",557,[[["i128",15]]]],[11,"shl","","",551,[[["i16",15]]]],[11,"shl","","",556,[[["usize",15]]]],[11,"shl","","",553,[[["u32",15]]]],[11,"shl","","",555,[[["usize",15]],["i8",15]]],[11,"shl","","",550,[[["i32",15]]]],[11,"shl","","",554,[[["i16",15]]]],[11,"shl","","",552,[[["u8",15]]]],[11,"shl","","",557,[[["u32",15]]]],[11,"shl","","",555,[[["i32",15]]]],[11,"shl","","",560,[[["u16",15]]]],[11,"shl","","",549,[[["u64",15]]]],[11,"shl","","",555,[[["u128",15]]]],[11,"shl","","",554,[[["usize",15]],["i128",15]]],[11,"shl","","",554,[[["usize",15]]]],[11,"shl","","",551,[[["isize",15]]]],[11,"shl","","",548,[[["u8",15]]]],[11,"shl","","",559,[[["isize",15]]]],[11,"shl","","",557,[[["u32",15]]]],[11,"shl","","",552,[[["i64",15]]]],[11,"shl","","",555,[[["i128",15]],["i8",15]]],[11,"shl","","",553,[[["i32",15]],["u32",15]]],[11,"shl","","",549,[[["u16",15]]]],[11,"shl","","",556,[[["u64",15]]]],[11,"shl","","",550,[[["usize",15]]]],[11,"shl","","",553,[[["isize",15]],["u32",15]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",551,[[["usize",15]],["i64",15]]],[11,"shl","","",548,[[["u8",15]]]],[11,"shl","","",551,[[["u32",15]],["i64",15]]],[11,"shl","","",551,[[["u64",15]]]],[11,"shl","","",557,[[["i8",15]]]],[11,"shl","","",556,[[["u128",15]]]],[11,"shl","","",552,[[["u16",15]]]],[11,"shl","","",550,[[["u64",15]]]],[11,"shl","","",557,[[["i8",15]]]],[11,"shl","","",559,[[["i64",15]]]],[11,"shl","","",553,[[["i16",15]]]],[11,"shl","","",557,[[["i128",15]]]],[11,"shl","","",559,[[["u8",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["i16",15]]]],[11,"shl","std","",552,[[["u32",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",556,[[["i8",15]]]],[11,"shl","","",557,[[["usize",15]]]],[11,"shl","","",551,[[["u16",15]],["i64",15]]],[11,"shl","","",554,[[["u64",15]]]],[11,"shl","","",549,[[["usize",15]]]],[11,"shl","","",556,[[["u16",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["u16",15]]]],[11,"shl","std","",556,[[["isize",15]]]],[11,"shl","","",555,[[["u16",15]]]],[11,"shl","","",560,[[["i32",15]]]],[11,"shl","","",551,[[["u32",15]]]],[11,"shl","","",550,[[["isize",15]],["u64",15]]],[11,"shl","","",560,[[["u16",15]]]],[11,"shl","","",554,[[["u16",15]]]],[11,"shl","","",555,[[["i16",15]],["i8",15]]],[11,"shl","","",556,[[["u128",15]]]],[11,"shl","","",550,[[["u8",15]]]],[11,"shl","","",548,[[["usize",15]]]],[11,"shl","","",553,[[["i128",15]]]],[11,"shl","","",557,[[["u128",15]],["usize",15]]],[11,"shl","","",559,[[["u64",15]]]],[11,"shl","","",555,[[["u128",15]]]],[11,"shl","","",555,[[["i64",15]],["i8",15]]],[11,"shl","","",557,[[["i8",15]],["usize",15]]],[11,"shl","","",551,[[["i128",15]]]],[11,"shl","","",553,[[["i128",15]],["u32",15]]],[11,"shl","","",555,[[["u32",15]]]],[11,"shl","","",548,[[["usize",15]],["i16",15]]],[11,"shl","","",556,[[["u16",15]],["u16",15]]],[11,"shl","","",550,[[["u128",15]]]],[11,"shl","","",548,[[["i32",15]],["i16",15]]],[11,"shl","","",559,[[["u16",15]]]],[11,"shl","","",556,[[["usize",15]],["u16",15]]],[11,"shl","","",548,[[["i16",15]]]],[11,"shl","","",552,[[["u64",15]]]],[11,"shl","","",550,[[["i16",15]]]],[11,"shl","","",557,[[["isize",15]],["usize",15]]],[11,"shl","","",556,[[["i8",15]]]],[11,"shl","","",553,[[["u128",15]]]],[11,"shl","","",557,[[["usize",15]],["usize",15]]],[11,"shl","","",552,[[["i128",15]]]],[11,"shl","","",557,[[["u64",15]],["usize",15]]],[11,"shl","","",556,[[["i16",15]]]],[11,"shl","","",553,[[["i64",15]]]],[11,"shl","","",551,[[["u8",15]]]],[11,"shl","","",559,[[["i64",15]],["i32",15]]],[11,"shl","","",552,[[["i8",15]],["isize",15]]],[11,"shl","","",554,[[["i16",15]]]],[11,"shl","","",549,[[["u16",15]]]],[11,"shl","","",559,[[["i8",15]]]],[11,"shl","","",552,[[["i32",15]]]],[11,"shl","","",553,[[["u8",15]]]],[11,"shl","","",548,[[["u32",15]]]],[11,"shl","","",554,[[["u8",15]]]],[11,"shl","","",560,[[["u16",15]],["u128",15]]],[11,"shl","","",549,[[["u8",15]]]],[11,"shl","","",554,[[["i32",15]]]],[11,"shl","","",552,[[["i64",15]]]],[11,"shl","","",559,[[["i128",15]],["i32",15]]],[11,"shl","","",557,[[["i128",15]],["usize",15]]],[11,"shl","","",555,[[["i8",15]]]],[11,"shl","","",551,[[["i64",15]]]],[11,"shl","","",554,[[["i16",15]],["i128",15]]],[11,"shl","","",549,[[["i32",15]]]],[11,"shl","","",554,[[["i64",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["i32",15]]]],[11,"shl","std","",552,[[["i128",15]]]],[11,"shl","","",560,[[["u32",15]],["u128",15]]],[11,"shl","","",560,[[["isize",15]]]],[11,"shl","","",559,[[["u64",15]]]],[11,"shl","","",559,[[["usize",15]]]],[11,"shl","","",554,[[["u8",15]],["i128",15]]],[11,"shl","","",556,[[["i8",15]]]],[11,"shl","","",555,[[["i32",15]]]],[11,"shl","","",554,[[["i128",15]],["i128",15]]],[11,"shl","","",555,[[["i16",15]]]],[11,"shl","","",559,[[["isize",15]],["i32",15]]],[11,"shl","","",552,[[["u128",15]]]],[11,"shl","","",555,[[["u128",15]]]],[11,"shl","","",556,[[["isize",15]]]],[11,"shl","","",560,[[["u8",15]]]],[11,"shl","","",549,[[["u8",15]]]],[11,"shl","","",556,[[["u16",15]]]],[11,"shl","","",549,[[["i8",15]],["u8",15]]],[11,"shl","std::num","",37,[[["usize",15]],[["u64",15],["wrapping",3]]]],[11,"shl","std","",551,[[["i32",15]]]],[11,"shl","","",553,[[["u64",15]]]],[11,"shl","","",553,[[["i16",15]]]],[11,"shl","","",549,[[["u64",15]]]],[11,"shl","","",555,[[["u8",15]]]],[11,"shl","","",549,[[["u32",15]]]],[11,"shl","","",552,[[["u32",15]]]],[11,"shl","","",552,[[["u64",15]]]],[11,"shl","","",559,[[["i32",15]]]],[11,"shl","","",556,[[["i32",15]]]],[11,"shl","","",551,[[["u32",15]]]],[11,"shl","","",553,[[["i16",15]]]],[11,"shl","","",551,[[["i8",15]]]],[11,"shl","","",554,[[["u8",15]]]],[11,"shl","","",555,[[["isize",15]]]],[11,"shl","","",560,[[["i64",15]]]],[11,"shl","","",555,[[["u64",15]]]],[11,"shl","","",560,[[["i8",15]]]],[11,"shl","","",548,[[["u128",15]]]],[11,"shl","","",553,[[["u32",15]]]],[11,"shl","","",556,[[["i32",15]],["u16",15]]],[11,"shl","","",552,[[["usize",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["u32",15]]]],[11,"shl","std","",556,[[["i32",15]]]],[11,"shl","","",556,[[["i64",15]]]],[11,"shl","","",552,[[["u128",15]]]],[11,"shl","","",559,[[["i32",15]]]],[11,"shl","","",548,[[["u64",15]]]],[11,"shl","","",550,[[["i8",15]],["u64",15]]],[11,"shl","","",548,[[["isize",15]],["i16",15]]],[11,"shl","","",557,[[["u128",15]]]],[11,"shl","","",549,[[["u8",15]]]],[11,"shl","","",550,[[["u32",15]]]],[11,"shl","","",550,[[["i64",15]]]],[11,"shl","","",549,[[["isize",15]]]],[11,"shl","","",549,[[["usize",15]]]],[11,"shl","","",548,[[["i8",15]]]],[11,"shl","","",557,[[["i64",15]]]],[11,"shl","","",556,[[["i16",15]]]],[11,"shl","","",552,[[["i16",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",560,[[["i128",15]]]],[11,"shl","","",554,[[["i64",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["wrapping",3],["u128",15]]]],[11,"shl","std","",550,[[["i32",15]]]],[11,"shl","","",557,[[["i64",15]],["usize",15]]],[11,"shl","","",560,[[["usize",15]],["u128",15]]],[11,"shl","","",556,[[["u128",15]],["u16",15]]],[11,"shl","","",557,[[["u16",15]]]],[11,"shl","","",560,[[["usize",15]]]],[11,"shl","","",560,[[["i128",15]],["u128",15]]],[11,"shl","","",560,[[["u8",15]]]],[11,"shl","","",549,[[["i64",15]]]],[11,"shl","","",556,[[["isize",15]]]],[11,"shl","","",551,[[["u16",15]]]],[11,"shl","","",559,[[["u128",15]]]],[11,"shl","","",556,[[["u32",15]]]],[11,"shl","","",551,[[["i16",15]],["i64",15]]],[11,"shl","","",550,[[["i128",15]]]],[11,"shl","","",551,[[["u8",15]],["i64",15]]],[11,"shl","","",554,[[["isize",15]]]],[11,"shl","","",551,[[["i8",15]],["i64",15]]],[11,"shl","","",555,[[["u8",15]],["i8",15]]],[11,"shl","","",557,[[["i16",15]]]],[11,"shl","","",548,[[["u16",15]],["i16",15]]],[11,"shl","","",552,[[["isize",15]]]],[11,"shl","","",554,[[["i64",15]],["i128",15]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",560,[[["i64",15]],["u128",15]]],[11,"shl","","",553,[[["u32",15]]]],[11,"shl","","",557,[[["usize",15]]]],[11,"shl","","",560,[[["i8",15]]]],[11,"shl","","",549,[[["i16",15]]]],[11,"shl","","",551,[[["isize",15]],["i64",15]]],[11,"shl","std::num","",37,[[["usize",15]],[["i128",15],["wrapping",3]]]],[11,"shl","std","",560,[[["u128",15]]]],[11,"shl","","",559,[[["u32",15]]]],[11,"shl","","",560,[[["isize",15]]]],[11,"shl","","",556,[[["i8",15]],["u16",15]]],[11,"shl","","",548,[[["i128",15]]]],[11,"shl","","",552,[[["isize",15]]]],[11,"shl","","",557,[[["usize",15]]]],[11,"shl","","",548,[[["u16",15]]]],[11,"shl","","",555,[[["u16",15]]]],[11,"shl","","",554,[[["i8",15]],["i128",15]]],[11,"shl","","",554,[[["u32",15]],["i128",15]]],[11,"shl","","",554,[[["isize",15]]]],[11,"shl","","",552,[[["u8",15]],["isize",15]]],[11,"shl","","",559,[[["u16",15]]]],[11,"shl","","",548,[[["u64",15]]]],[11,"shl","","",553,[[["isize",15]]]],[11,"shl","","",559,[[["i32",15]],["i32",15]]],[11,"shl","","",550,[[["u8",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["i8",15],["wrapping",3]]]],[11,"shl","std","",554,[[["u128",15]]]],[11,"shl","","",551,[[["isize",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["u8",15],["wrapping",3]]]],[11,"shl","std","",559,[[["isize",15]]]],[11,"shl","","",553,[[["u16",15]]]],[11,"shl","","",557,[[["u64",15]]]],[11,"shl","","",550,[[["usize",15]]]],[11,"shl","","",551,[[["usize",15]]]],[11,"shl","","",553,[[["i128",15]]]],[11,"shl","","",560,[[["u64",15]],["u128",15]]],[11,"shl","","",548,[[["i128",15]],["i16",15]]],[11,"shl","","",556,[[["usize",15]]]],[11,"shl","","",549,[[["i128",15]]]],[11,"shl","","",555,[[["u16",15]]]],[11,"shl","","",560,[[["i16",15]]]],[11,"shl","","",552,[[["u32",15]],["isize",15]]],[11,"shl","","",553,[[["i32",15]]]],[11,"shl","","",550,[[["u64",15]],["u64",15]]],[11,"shl","","",551,[[["i32",15]]]],[11,"shl","","",557,[[["i16",15]]]],[11,"shl","","",553,[[["u64",15]]]],[11,"shl","","",556,[[["u8",15]]]],[11,"shl","","",559,[[["usize",15]]]],[11,"shl","","",553,[[["u64",15]],["u32",15]]],[11,"shl","","",560,[[["u32",15]]]],[11,"shl","","",554,[[["u32",15]]]],[11,"shl","","",548,[[["i8",15]],["i16",15]]],[11,"shl","","",553,[[["i64",15]]]],[11,"shl","","",551,[[["isize",15]]]],[11,"shl","","",556,[[["u16",15]]]],[11,"shl","","",554,[[["isize",15]]]],[11,"shl","","",548,[[["isize",15]]]],[11,"shl","","",555,[[["u128",15]],["i8",15]]],[11,"shl","","",556,[[["u8",15]]]],[11,"shl","","",559,[[["i16",15]]]],[11,"shl","","",551,[[["u128",15]]]],[11,"shl","","",560,[[["u64",15]]]],[11,"shl","","",559,[[["i16",15]],["i32",15]]],[11,"shl","","",550,[[["isize",15]]]],[11,"shl","","",553,[[["u128",15]]]],[11,"shl","","",559,[[["i64",15]]]],[11,"shl","","",549,[[["i128",15]],["u8",15]]],[11,"shl","","",560,[[["i16",15]]]],[11,"shl","","",551,[[["usize",15]]]],[11,"shl","","",559,[[["u8",15]],["i32",15]]],[11,"shl","","",549,[[["u64",15]]]],[11,"shl","","",552,[[["i32",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",551,[[["u64",15]]]],[11,"shl","","",559,[[["u128",15]]]],[11,"shl","","",557,[[["i16",15]],["usize",15]]],[11,"shl","","",551,[[["i64",15]],["i64",15]]],[11,"shl","","",557,[[["i8",15]]]],[11,"shl","","",557,[[["u128",15]]]],[11,"shl","","",548,[[["u32",15]],["i16",15]]],[11,"shl","","",548,[[["u32",15]]]],[11,"shl","","",550,[[["u64",15]]]],[11,"shl","","",559,[[["usize",15]]]],[11,"shl","","",555,[[["usize",15]]]],[11,"shl","","",555,[[["i128",15]]]],[11,"shl","","",555,[[["u32",15]]]],[11,"shl","","",553,[[["usize",15]]]],[11,"shl","","",550,[[["u128",15]],["u64",15]]],[11,"shl","","",556,[[["i16",15]]]],[11,"shl","","",549,[[["usize",15]],["u8",15]]],[11,"shl","","",552,[[["i32",15]],["isize",15]]],[11,"shl","","",549,[[["i32",15]]]],[11,"shl","","",555,[[["i128",15]]]],[11,"shl","","",552,[[["u128",15]]]],[11,"shl","","",560,[[["i32",15]]]],[11,"shl","","",556,[[["i16",15]],["u16",15]]],[11,"shl","","",557,[[["u16",15]],["usize",15]]],[11,"shl","","",553,[[["i64",15]],["u32",15]]],[11,"shl","","",551,[[["i128",15]]]],[11,"shl","","",550,[[["u32",15]]]],[11,"shl","","",549,[[["i64",15]],["u8",15]]],[11,"shl","","",557,[[["isize",15]]]],[11,"shl","","",548,[[["u16",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",554,[[["i128",15]]]],[11,"shl","","",554,[[["usize",15]]]],[11,"shl","","",553,[[["i8",15]]]],[11,"shl","","",556,[[["u32",15]],["u16",15]]],[11,"shl","","",559,[[["u32",15]],["i32",15]]],[11,"shl","","",548,[[["u8",15]]]],[11,"shl","","",557,[[["u16",15]]]],[11,"shl","","",555,[[["i32",15]],["i8",15]]],[11,"shl","","",557,[[["i32",15]]]],[11,"shl","","",550,[[["i128",15]],["u64",15]]],[11,"shl","","",560,[[["u64",15]]]],[11,"shl","","",550,[[["isize",15]]]],[11,"shl","","",552,[[["i8",15]]]],[11,"shl","","",554,[[["u64",15]]]],[11,"shl","","",555,[[["u64",15]]]],[11,"shl","","",550,[[["u128",15]]]],[11,"shl","","",550,[[["u16",15]]]],[11,"shl","","",551,[[["i32",15]],["i64",15]]],[11,"shl","","",553,[[["usize",15]]]],[11,"shl","","",549,[[["u128",15]],["u8",15]]],[11,"shl","","",553,[[["u128",15]]]],[11,"shl","","",551,[[["u64",15]],["i64",15]]],[11,"shl","","",552,[[["i32",15]]]],[11,"shl","","",555,[[["i32",15]]]],[11,"shl","","",550,[[["usize",15]],["u64",15]]],[11,"shl","","",548,[[["u64",15]],["i16",15]]],[11,"shl","","",559,[[["i128",15]]]],[11,"shl","","",549,[[["isize",15]]]],[11,"shl","","",548,[[["i128",15]]]],[11,"shl","","",556,[[["u64",15]]]],[11,"shl","","",557,[[["u8",15]]]],[11,"shl","","",556,[[["i128",15]]]],[11,"shl","","",548,[[["i64",15]]]],[11,"shl","std::num","",37,[[["usize",15]],[["i64",15],["wrapping",3]]]],[11,"shl","std","",559,[[["u16",15]]]],[11,"shl","","",552,[[["i16",15]]]],[11,"shl","","",551,[[["i32",15]]]],[11,"shl","","",555,[[["i16",15]]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",557,[[["i64",15]]]],[11,"shl","","",551,[[["i128",15]]]],[11,"shl","","",550,[[["u16",15]],["u64",15]]],[11,"shl","","",554,[[["i16",15]]]],[11,"shl","","",555,[[["u16",15]],["i8",15]]],[11,"shl","","",548,[[["i32",15]]]],[11,"shl","","",549,[[["u32",15]],["u8",15]]],[11,"shl","","",554,[[["u128",15]],["i128",15]]],[11,"shl","","",559,[[["i128",15]]]],[11,"shl","","",555,[[["i8",15]],["i8",15]]],[11,"shl","std::num","",37,[[["usize",15]]]],[11,"shl","std","",555,[[["isize",15]]]],[11,"shl","","",552,[[["u16",15]]]],[11,"shl","","",557,[[["i128",15]]]],[11,"shl","","",549,[[["i64",15]]]],[11,"shl","","",551,[[["i64",15]]]],[11,"shl","","",548,[[["u64",15]]]],[11,"borrow","","",565,[[]]],[11,"borrow","","",563,[[]]],[11,"borrow","","",565,[[]]],[11,"rem_assign","","",552,[[["isize",15]]]],[11,"rem_assign","","",561,[[["f64",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["wrapping",3],["usize",15]]]],[11,"rem_assign","","",37,[[["wrapping",3],["u8",15]]]],[11,"rem_assign","","",37,[[["wrapping",3],["u16",15]]]],[11,"rem_assign","std","",550,[[["u64",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",549,[[["u8",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"rem_assign","","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",552,[[["isize",15]]]],[11,"rem_assign","","",553,[[["u32",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["i64",15],["wrapping",3]]]],[11,"rem_assign","std","",551,[[["i64",15]]]],[11,"rem_assign","","",560,[[["u128",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["u32",15]]]],[11,"rem_assign","std","",557,[[["usize",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["u64",15]]]],[11,"rem_assign","std","",555,[[["i8",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"rem_assign","std","",559,[[["i32",15]]]],[11,"rem_assign","","",548,[[["i16",15]]]],[11,"rem_assign","","",553,[[["u32",15]]]],[11,"rem_assign","","",556,[[["u16",15]]]],[11,"rem_assign","","",554,[[["i128",15]]]],[11,"rem_assign","","",557,[[["usize",15]]]],[11,"rem_assign","","",562,[[["f32",15]]]],[11,"rem_assign","","",548,[[["i16",15]]]],[11,"rem_assign","","",554,[[["i128",15]]]],[11,"rem_assign","","",561,[[["f64",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",549,[[["u8",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",560,[[["u128",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["i32",15]]]],[11,"rem_assign","std","",551,[[["i64",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3],["i8",15]]]],[11,"rem_assign","std","",550,[[["u64",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["i128",15],["wrapping",3]]]],[11,"rem_assign","","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",559,[[["i32",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","std","",555,[[["i8",15]]]],[11,"rem_assign","","",562,[[["f32",15]]]],[11,"rem_assign","","",556,[[["u16",15]]]],[11,"rem_assign","std::num","",37,[[["wrapping",3]]]],[11,"rem_assign","","",37,[[["isize",15],["wrapping",3]]]],[11,"try_from","","",338,[[["nonzeroi64",3]],[["nonzeroi16",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",560,[[["i32",15]],[["result",4],["u128",15]]]],[11,"try_from","","Try to create the target number type from a source number …",553,[[["usize",15]],[["u32",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",550,[[["i128",15]],[["u64",15],["result",4]]]],[11,"try_from","std::num","",339,[[["i32",15]],[["nonzeroi32",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["u32",15]],[["usize",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["u8",15]],[["result",4],["i8",15]]]],[11,"try_from","std::num","",339,[[["nonzeroisize",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",548,[[["i32",15]],[["i16",15],["result",4]]]],[11,"try_from","std::num","",343,[[["nonzeroi64",3]],[["result",4],["nonzerou128",3]]]],[11,"try_from","","",344,[[["nonzerou128",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","","",342,[[["nonzeroi128",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","","",348,[[["nonzeroi8",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",343,[[["nonzeroi32",3]],[["result",4],["nonzerou128",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",551,[[["u64",15]],[["result",4],["i64",15]]]],[11,"try_from","std::num","",348,[[["nonzerou32",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",345,[[["nonzerousize",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",342,[[["nonzerou64",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","","",338,[[["nonzerou128",3]],[["nonzeroi16",3],["result",4]]]],[11,"try_from","","",347,[[["nonzeroi16",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",347,[[["nonzeroisize",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",548,[[["u64",15]],[["i16",15],["result",4]]]],[11,"try_from","std::num","",342,[[["nonzerou16",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","","",337,[[["nonzerousize",3]],[["result",4],["nonzeroi128",3]]]],[11,"try_from","","",341,[[["nonzerou64",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",559,[[["usize",15]],[["i32",15],["result",4]]]],[11,"try_from","std::num","",338,[[["nonzerou16",3]],[["result",4],["nonzeroi16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",550,[[["i32",15]],[["u64",15],["result",4]]]],[11,"try_from","std::num","",348,[[["nonzerou128",3]],[["nonzerousize",3],["result",4]]]],[11,"try_from","","",348,[[["nonzerou64",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",338,[[["nonzerou64",3]],[["nonzeroi16",3],["result",4]]]],[11,"try_from","","",346,[[["u64",15]],[["nonzerou64",3],["result",4]]]],[11,"try_from","","",338,[[["nonzerousize",3]],[["nonzeroi16",3],["result",4]]]],[11,"try_from","","",345,[[["nonzerou128",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",553,[[["i8",15]],[["u32",15],["result",4]]]],[11,"try_from","std::num","",343,[[["nonzeroisize",3]],[["result",4],["nonzerou128",3]]]],[11,"try_from","","",341,[[["nonzerou128",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","","",337,[[["nonzeroisize",3]],[["nonzeroi128",3],["result",4]]]],[11,"try_from","","",340,[[["nonzerou128",3]],[["nonzeroi64",3],["result",4]]]],[11,"try_from","","",341,[[["i8",15]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",550,[[["i8",15]],[["u64",15],["result",4]]]],[11,"try_from","std::num","",348,[[["usize",15]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",341,[[["nonzeroisize",3]],[["result",4],["nonzeroi8",3]]]],[11,"try_from","","",342,[[["nonzeroi64",3]],[["nonzeroisize",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["u32",15]],[["result",4],["u16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",551,[[["i128",15]],[["result",4],["i64",15]]]],[11,"try_from","std::num","",339,[[["nonzeroi128",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","","",341,[[["nonzerou32",3]],[["result",4],["nonzeroi8",3]]]],[11,"try_from","","",345,[[["nonzeroisize",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",338,[[["nonzeroi32",3]],[["result",4],["nonzeroi16",3]]]],[11,"try_from","","",347,[[["nonzerou32",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",343,[[["u128",15]],[["result",4],["nonzerou128",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["i16",15]],[["result",4],["u16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",552,[[["usize",15]],[["result",4],["isize",15]]]],[11,"try_from","std::num","",341,[[["nonzerousize",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",553,[[["i16",15]],[["result",4],["u32",15]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["usize",15]],[["result",4],["i8",15]]]],[11,"try_from","std::num","",346,[[["nonzerousize",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",553,[[["u128",15]],[["result",4],["u32",15]]]],[11,"try_from","std::num","",347,[[["nonzerou64",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",341,[[["nonzeroi16",3]],[["result",4],["nonzeroi8",3]]]],[11,"try_from","std","",563,[[],[["tryfromsliceerror",3],["result",4]]]],[11,"try_from","std::num","",346,[[["nonzeroi8",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","","",347,[[["nonzeroi128",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["u64",15]],[["usize",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["i128",15]],[["i8",15],["result",4]]]],[11,"try_from","std::num","",343,[[["nonzeroi128",3]],[["result",4],["nonzerou128",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",550,[[["i16",15]],[["result",4],["u64",15]]]],[11,"try_from","std::num","",340,[[["nonzeroi128",3]],[["result",4],["nonzeroi64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["i32",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",549,[[["i16",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",553,[[["i64",15]],[["result",4],["u32",15]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["u32",15]],[["i16",15],["result",4]]]],[11,"try_from","","",563,[[],[["result",4],["tryfromsliceerror",3]]]],[11,"try_from","std::num","",344,[[["u16",15]],[["result",4],["nonzerou16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",550,[[["usize",15]],[["result",4],["u64",15]]]],[11,"try_from","std::num","",344,[[["nonzeroi16",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["i8",15]],[["usize",15],["result",4]]]],[11,"try_from","std::num","",347,[[["nonzeroi8",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",553,[[["u64",15]],[["u32",15],["result",4]]]],[11,"try_from","std::num","",346,[[["nonzeroi32",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["u128",15]],[["result",4],["u16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",552,[[["i128",15]],[["isize",15],["result",4]]]],[11,"try_from","std::num","",348,[[["nonzeroi64",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",340,[[["nonzeroisize",3]],[["nonzeroi64",3],["result",4]]]],[11,"try_from","","",347,[[["nonzerou16",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",555,[[["u128",15]],[["result",4],["i8",15]]]],[11,"try_from","std::num","",339,[[["nonzeroi64",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","","",339,[[["nonzerou128",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","","",342,[[["nonzerou128",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","","",341,[[["nonzeroi128",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","","",345,[[["nonzeroi128",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["u64",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",557,[[["i32",15]],[["result",4],["usize",15]]]],[11,"try_from","std::num","",340,[[["nonzerou64",3]],[["nonzeroi64",3],["result",4]]]],[11,"try_from","","",346,[[["nonzeroisize",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",555,[[["i32",15]],[["result",4],["i8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",559,[[["i64",15]],[["result",4],["i32",15]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["isize",15]],[["i16",15],["result",4]]]],[11,"try_from","std::num","",338,[[["nonzeroi128",3]],[["result",4],["nonzeroi16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",551,[[["isize",15]],[["result",4],["i64",15]]]],[11,"try_from","std::num","",345,[[["nonzerou64",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",338,[[["nonzeroisize",3]],[["nonzeroi16",3],["result",4]]]],[11,"try_from","","",345,[[["nonzeroi64",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",559,[[["u64",15]],[["result",4],["i32",15]]]],[11,"try_from","std::num","",344,[[["nonzeroi8",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","","",346,[[["nonzeroi16",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",552,[[["u128",15]],[["result",4],["isize",15]]]],[11,"try_from","","Try to create the target number type from a source number …",560,[[["i16",15]],[["u128",15],["result",4]]]],[11,"try_from","std::num","",346,[[["nonzeroi64",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","","",340,[[["nonzerousize",3]],[["result",4],["nonzeroi64",3]]]],[11,"try_from","","",338,[[["i16",15]],[["result",4],["nonzeroi16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",559,[[["u128",15]],[["result",4],["i32",15]]]],[11,"try_from","std::num","",343,[[["nonzerousize",3]],[["nonzerou128",3],["result",4]]]],[11,"try_from","","",343,[[["nonzeroi8",3]],[["result",4],["nonzerou128",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["isize",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",556,[[["u64",15]],[["result",4],["u16",15]]]],[11,"try_from","std::num","",339,[[["nonzerou32",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",555,[[["u16",15]],[["result",4],["i8",15]]]],[11,"try_from","std::num","",345,[[["u32",15]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",348,[[["nonzeroisize",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","","",344,[[["nonzerousize",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","","",343,[[["nonzeroi16",3]],[["nonzerou128",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",560,[[["usize",15]],[["result",4],["u128",15]]]],[11,"try_from","std::num","",339,[[["nonzerou64",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",550,[[["u128",15]],[["result",4],["u64",15]]]],[11,"try_from","","Try to create the target number type from a source number …",549,[[["i64",15]],[["result",4],["u8",15]]]],[11,"try_from","std::num","",344,[[["nonzeroisize",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","","",347,[[["nonzerousize",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",342,[[["nonzerou32",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","std","",563,[[],[["tryfromsliceerror",3],["result",4]]]],[11,"try_from","std::num","",342,[[["nonzeroi32",3]],[["nonzeroisize",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["u128",15]],[["usize",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",553,[[["isize",15]],[["u32",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",551,[[["usize",15]],[["i64",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["u32",15]],[["result",4],["i8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",556,[[["i8",15]],[["result",4],["u16",15]]]],[11,"try_from","std::num","",347,[[["nonzeroi32",3]],[["result",4],["nonzerou8",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["i32",15]],[["u16",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",560,[[["i8",15]],[["u128",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",549,[[["u32",15]],[["result",4],["u8",15]]]],[11,"try_from","std::num","",348,[[["nonzeroi32",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["i16",15]],[["result",4],["usize",15]]]],[11,"try_from","std::num","",348,[[["nonzeroi16",3]],[["result",4],["nonzerousize",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["i128",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",550,[[["i64",15]],[["result",4],["u64",15]]]],[11,"try_from","","Try to create the target number type from a source number …",552,[[["u32",15]],[["result",4],["isize",15]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["i64",15]],[["result",4],["i16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",560,[[["i128",15]],[["u128",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",559,[[["i128",15]],[["result",4],["i32",15]]]],[11,"try_from","std::num","",347,[[["nonzeroi64",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",345,[[["nonzeroi8",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",348,[[["nonzeroi128",3]],[["nonzerousize",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["u128",15]],[["result",4],["u8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["isize",15]],[["result",4],["i8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",556,[[["usize",15]],[["u16",15],["result",4]]]],[11,"try_from","std::num","",337,[[["i128",15]],[["result",4],["nonzeroi128",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",552,[[["i64",15]],[["result",4],["isize",15]]]],[11,"try_from","std::num","",340,[[["i64",15]],[["nonzeroi64",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["i128",15]],[["result",4],["u16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",557,[[["i64",15]],[["usize",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",557,[[["isize",15]],[["usize",15],["result",4]]]],[11,"try_from","std::num","",346,[[["nonzeroi128",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",549,[[["usize",15]],[["result",4],["u8",15]]]],[11,"try_from","std::num","",344,[[["nonzeroi64",3]],[["nonzerou16",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["i64",15]],[["result",4],["u16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",549,[[["i8",15]],[["u8",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["u16",15]],[["i16",15],["result",4]]]],[11,"try_from","std::num","",341,[[["nonzerou16",3]],[["result",4],["nonzeroi8",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",553,[[["i128",15]],[["u32",15],["result",4]]]],[11,"try_from","std::num","",339,[[["nonzerousize",3]],[["result",4],["nonzeroi32",3]]]],[11,"try_from","","",344,[[["nonzerou64",3]],[["result",4],["nonzerou16",3]]]],[11,"try_from","","",345,[[["nonzeroi16",3]],[["nonzerou32",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",554,[[["isize",15]],[["i128",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",553,[[["i32",15]],[["u32",15],["result",4]]]],[11,"try_from","std::num","",341,[[["nonzerou8",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",555,[[["i64",15]],[["result",4],["i8",15]]]],[11,"try_from","","Try to create the target number type from a source number …",559,[[["u32",15]],[["result",4],["i32",15]]]],[11,"try_from","","Try to create the target number type from a source number …",554,[[["u128",15]],[["result",4],["i128",15]]]],[11,"try_from","","Try to create the target number type from a source number …",559,[[["isize",15]],[["result",4],["i32",15]]]],[11,"try_from","std::num","",338,[[["nonzerou32",3]],[["result",4],["nonzeroi16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",555,[[["i16",15]],[["result",4],["i8",15]]]],[11,"try_from","std::num","",344,[[["nonzeroi32",3]],[["result",4],["nonzerou16",3]]]],[11,"try_from","","",342,[[["isize",15]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",552,[[["i32",15]],[["result",4],["isize",15]]]],[11,"try_from","std::num","",346,[[["nonzerou128",3]],[["result",4],["nonzerou64",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",557,[[["i128",15]],[["usize",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",560,[[["i64",15]],[["u128",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",549,[[["u16",15]],[["u8",15],["result",4]]]],[11,"try_from","std::num","",347,[[["nonzerou128",3]],[["nonzerou8",3],["result",4]]]],[11,"try_from","","",337,[[["nonzerou128",3]],[["nonzeroi128",3],["result",4]]]],[11,"try_from","std","Try to create the target number type from a source number …",556,[[["isize",15]],[["result",4],["u16",15]]]],[11,"try_from","std::num","",341,[[["nonzeroi32",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","","",342,[[["nonzerousize",3]],[["result",4],["nonzeroisize",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",552,[[["u64",15]],[["result",4],["isize",15]]]],[11,"try_from","std::num","",345,[[["nonzeroi32",3]],[["result",4],["nonzerou32",3]]]],[11,"try_from","","",341,[[["nonzeroi64",3]],[["nonzeroi8",3],["result",4]]]],[11,"try_from","std","",567,[[["u32",15]],[["result",4],["char",15]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["u128",15]],[["result",4],["i16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",551,[[["u128",15]],[["i64",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["usize",15]],[["result",4],["i16",15]]]],[11,"try_from","","Try to create the target number type from a source number …",548,[[["i128",15]],[["result",4],["i16",15]]]],[11,"try_from","std::num","",347,[[["u8",15]],[["result",4],["nonzerou8",3]]]],[11,"try_from","","",344,[[["nonzerou32",3]],[["result",4],["nonzerou16",3]]]],[11,"try_from","","",344,[[["nonzeroi128",3]],[["result",4],["nonzerou16",3]]]],[11,"try_from","std","Try to create the target number type from a source number …",560,[[["isize",15]],[["result",4],["u128",15]]]],[11,"try_from","","Try to create the target number type from a source number …",552,[[["u16",15]],[["result",4],["isize",15]]]],[11,"try_from","","Try to create the target number type from a source number …",554,[[["usize",15]],[["i128",15],["result",4]]]],[11,"try_from","","Try to create the target number type from a source number …",550,[[["isize",15]],[["result",4],["u64",15]]]],[11,"try_from","","Try to create the target number type from a source number …",555,[[["u64",15]],[["i8",15],["result",4]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"sub_assign","std","",553,[[["u32",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"sub_assign","std","",562,[[["f32",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","","",37,[[["wrapping",3],["i8",15]]]],[11,"sub_assign","std","",552,[[["isize",15]]]],[11,"sub_assign","","",551,[[["i64",15]]]],[11,"sub_assign","","",550,[[["u64",15]]]],[11,"sub_assign","","",556,[[["u16",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",561,[[["f64",15]]]],[11,"sub_assign","","",560,[[["u128",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",555,[[["i8",15]]]],[11,"sub_assign","","",554,[[["i128",15]]]],[11,"sub_assign","","",552,[[["isize",15]]]],[11,"sub_assign","","",549,[[["u8",15]]]],[11,"sub_assign","std::num","",37,[[["i128",15],["wrapping",3]]]],[11,"sub_assign","","",37,[[["isize",15],["wrapping",3]]]],[11,"sub_assign","","",37,[[["wrapping",3],["u64",15]]]],[11,"sub_assign","","",37,[[["wrapping",3],["u32",15]]]],[11,"sub_assign","std","",562,[[["f32",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","","",37,[[["wrapping",3],["u128",15]]]],[11,"sub_assign","","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",561,[[["f64",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",560,[[["u128",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3],["i32",15]]]],[11,"sub_assign","std","",550,[[["u64",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"sub_assign","std","",557,[[["usize",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",557,[[["usize",15]]]],[11,"sub_assign","","",551,[[["i64",15]]]],[11,"sub_assign","std::time","",393,[[["duration",3]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",554,[[["i128",15]]]],[11,"sub_assign","","",556,[[["u16",15]]]],[11,"sub_assign","","",549,[[["u8",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3],["u16",15]]]],[11,"sub_assign","std","",555,[[["i8",15]]]],[11,"sub_assign","","",548,[[["i16",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","std","",559,[[["i32",15]]]],[11,"sub_assign","std::num","",37,[[["wrapping",3]]]],[11,"sub_assign","","",37,[[["i64",15],["wrapping",3]]]],[11,"sub_assign","std","",559,[[["i32",15]]]],[11,"sub_assign","","",553,[[["u32",15]]]],[11,"sub_assign","","",548,[[["i16",15]]]],[11,"write_str","","",565,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","",565,[[["char",15]],[["error",3],["result",4]]]],[11,"write_fmt","","",565,[[["arguments",3]],[["error",3],["result",4]]]],[11,"write_str","std::fmt","",413,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","",413,[[["char",15]],[["error",3],["result",4]]]],[11,"write_fmt","","",413,[[["arguments",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"next_back","std::str","",456,[[],[["str",15],["option",4]]]],[11,"next_back","","",459,[[],[["str",15],["option",4]]]],[11,"next_back","std","",565,[[],["option",4]]],[11,"advance_back_by","","",565,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth_back","","",565,[[["usize",15]],["option",4]]],[11,"next_back","std::str","",449,[[],[["option",4],["char",15]]]],[11,"next_back","std::slice","",418,[[],["option",4]]],[11,"nth_back","","",418,[[["usize",15]],["option",4]]],[11,"next_back","std::ops","",538,[[],["option",4]]],[11,"nth_back","","",538,[[["usize",15]],["option",4]]],[11,"try_rfold","","",538,[[]]],[11,"rfold","","",538,[[]]],[11,"next_back","std::str","",466,[[],[["str",15],["option",4]]]],[11,"next_back","std::iter","",510,[[],["option",4]]],[11,"try_rfold","","",510,[[]]],[11,"rfold","","",510,[[]]],[11,"next_back","std::str","",445,[[],[["str",15],["option",4]]]],[11,"next_back","std::slice","",423,[[],["option",4]]],[11,"nth_back","","",423,[[["usize",15]],["option",4]]],[11,"next_back","std::array","",478,[[],["option",4]]],[11,"next_back","std::iter","",503,[[],["option",4]]],[11,"next_back","","",508,[[],["option",4]]],[11,"try_rfold","","",508,[[]]],[11,"rfold","","",508,[[]]],[11,"next_back","std::slice","",432,[[],["option",4]]],[11,"nth_back","","",432,[[["usize",15]],["option",4]]],[11,"next_back","","",433,[[],["option",4]]],[11,"nth_back","","",433,[[["usize",15]],["option",4]]],[11,"next_back","std::iter","",501,[[],["option",4]]],[11,"next_back","","",512,[[],["option",4]]],[11,"nth_back","","",512,[[["usize",15]],["option",4]]],[11,"try_rfold","","",512,[[]]],[11,"rfold","","",512,[[]]],[11,"next_back","std::result","",547,[[],["option",4]]],[11,"next_back","std::slice","",431,[[],["option",4]]],[11,"nth_back","","",431,[[["usize",15]],["option",4]]],[11,"next_back","std::str","",465,[[],[["str",15],["option",4]]]],[11,"next_back","std::ops","",200,[[],["option",4]]],[11,"nth_back","","",200,[[["usize",15]],["option",4]]],[11,"next_back","std::slice","",420,[[],["option",4]]],[11,"nth_back","","",420,[[["usize",15]],["option",4]]],[11,"next_back","std::str","",460,[[],[["str",15],["option",4]]]],[11,"next_back","","",448,[[],["option",4]]],[11,"next_back","std::iter","",520,[[],["option",4]]],[11,"try_rfold","","",520,[[]]],[11,"rfold","","",520,[[]]],[11,"next_back","std::str","",446,[[],[["str",15],["option",4]]]],[11,"next_back","std::iter","",522,[[],["option",4]]],[11,"try_rfold","","",522,[[]]],[11,"rfold","","",522,[[]]],[11,"next_back","std::slice","",417,[[],["option",4]]],[11,"nth_back","","",417,[[["usize",15]],["option",4]]],[11,"next_back","std::iter","",525,[[],["option",4]]],[11,"nth_back","","",525,[[["usize",15]],["option",4]]],[11,"try_rfold","","",525,[[]]],[11,"rfold","","",525,[[]]],[11,"next_back","std::slice","",424,[[],["option",4]]],[11,"next_back","std::option","",541,[[],["option",4]]],[11,"next_back","std::slice","",426,[[],["option",4]]],[11,"next_back","","",429,[[],["option",4]]],[11,"nth_back","","",429,[[["usize",15]],["option",4]]],[11,"next_back","std::str","",457,[[],["option",4]]],[11,"next_back","std::slice","",416,[[],["option",4]]],[11,"nth_back","","",416,[[["usize",15]],["option",4]]],[11,"next_back","std::iter","",513,[[],["option",4]]],[11,"advance_back_by","","",513,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth_back","","",513,[[["usize",15]],["option",4]]],[11,"rfind","","",513,[[],["option",4]]],[11,"try_rfold","","",513,[[]]],[11,"rfold","","",513,[[]]],[11,"next_back","std::str","",462,[[],[["str",15],["option",4]]]],[11,"next_back","std::iter","",509,[[],["option",4]]],[11,"try_rfold","","",509,[[]]],[11,"rfold","","",509,[[]]],[11,"next_back","","",521,[[],["option",4]]],[11,"try_rfold","","",521,[[]]],[11,"rfold","","",521,[[]]],[11,"next_back","std::slice","",419,[[],["option",4]]],[11,"nth_back","","",419,[[["usize",15]],["option",4]]],[11,"next_back","","",421,[[],["option",4]]],[11,"nth_back","","",421,[[["usize",15]],["option",4]]],[11,"next_back","std::iter","",504,[[],["option",4]]],[11,"next_back","","",523,[[],["option",4]]],[11,"advance_back_by","","",523,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth_back","","",523,[[["usize",15]],["option",4]]],[11,"try_rfold","","",523,[[]]],[11,"rfold","","",523,[[]]],[11,"rfind","","",523,[[],["option",4]]],[11,"next_back","std::str","",458,[[],["option",4]]],[11,"next_back","std::result","",545,[[],["option",4]]],[11,"next_back","std::str","",461,[[],[["str",15],["option",4]]]],[11,"next_back","std::slice","",430,[[],["option",4]]],[11,"nth_back","","",430,[[["usize",15]],["option",4]]],[11,"next_back","std::result","",546,[[],["option",4]]],[11,"next_back","std::slice","",427,[[],["option",4]]],[11,"next_back","std::option","",539,[[],["option",4]]],[11,"next_back","std::iter","",529,[[],["option",4]]],[11,"next_back","std::ascii","",216,[[],[["option",4],["u8",15]]]],[11,"next_back","std::slice","",434,[[],["option",4]]],[11,"next_back","std::str","",447,[[],[["option",4],["u8",15]]]],[11,"nth_back","","",447,[[["usize",15]],["option",4]]],[11,"rfind","","",447,[[],["option",4]]],[11,"next_back","std::iter","",505,[[],["option",4]]],[11,"next_back","","",519,[[],["option",4]]],[11,"nth_back","","",519,[[["usize",15]],["option",4]]],[11,"try_rfold","","",519,[[]]],[11,"rfold","","",519,[[]]],[11,"rfind","","",519,[[],["option",4]]],[11,"next_back","","",517,[[],["option",4]]],[11,"try_rfold","","",517,[[]]],[11,"rfold","","",517,[[]]],[11,"next_back","std::str","",455,[[],[["str",15],["option",4]]]],[11,"next_back","std::iter","",515,[[],["option",4]]],[11,"nth_back","","",515,[[["usize",15]],["option",4]]],[11,"try_rfold","","",515,[[]]],[11,"rfold","","",515,[[]]],[11,"next_back","std::slice","",435,[[],["option",4]]],[11,"next_back","","",428,[[],["option",4]]],[11,"nth_back","","",428,[[["usize",15]],["option",4]]],[11,"next_back","std::iter","",527,[[],["option",4]]],[11,"nth_back","","",527,[[["usize",15]],["option",4]]],[11,"try_rfold","","",527,[[]]],[11,"rfold","","",527,[[]]],[11,"next_back","","",516,[[],["option",4]]],[11,"try_rfold","","",516,[[]]],[11,"rfold","","",516,[[]]],[11,"next_back","std::slice","",422,[[],["option",4]]],[11,"nth_back","","",422,[[["usize",15]],["option",4]]],[11,"next_back","","",425,[[],["option",4]]],[11,"next_back","std::option","",540,[[],["option",4]]],[11,"next_back","std::iter","",518,[[],["option",4]]],[11,"try_rfold","","",518,[[]]],[11,"rfold","","",518,[[]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",558,[[["bool",15]],["bool",15]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",555,[[["i8",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitxor","std","",550,[[["u64",15]],["u64",15]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",549,[[["u8",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitxor","std","",556,[[["u16",15]],["u16",15]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",552,[[["isize",15]],["isize",15]]],[11,"bitxor","","",550,[[["u64",15]]]],[11,"bitxor","","",558,[[["bool",15]]]],[11,"bitxor","","",556,[[["u16",15]]]],[11,"bitxor","","",557,[[["usize",15]]]],[11,"bitxor","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitxor","std","",555,[[["i8",15]],["i8",15]]],[11,"bitxor","","",557,[[["usize",15]]]],[11,"bitxor","","",550,[[["u64",15]]]],[11,"bitxor","","",549,[[["u8",15]],["u8",15]]],[11,"bitxor","","",556,[[["u16",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"bitxor","std","",560,[[["u128",15]],["u128",15]]],[11,"bitxor","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"bitxor","std","",557,[[["usize",15]]]],[11,"bitxor","","",555,[[["i8",15]]]],[11,"bitxor","","",552,[[["isize",15]]]],[11,"bitxor","","",551,[[["i64",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"bitxor","","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"bitxor","","",37,[[["wrapping",3]]]],[11,"bitxor","","",37,[[["wrapping",3]]]],[11,"bitxor","","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitxor","std","",554,[[["i128",15]],["i128",15]]],[11,"bitxor","","",559,[[["i32",15]],["i32",15]]],[11,"bitxor","","",550,[[["u64",15]]]],[11,"bitxor","","",558,[[["bool",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitxor","std","",553,[[["u32",15]],["u32",15]]],[11,"bitxor","","",554,[[["i128",15]]]],[11,"bitxor","","",551,[[["i64",15]]]],[11,"bitxor","std::num","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"bitxor","std","",554,[[["i128",15]]]],[11,"bitxor","","",553,[[["u32",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitxor","std","",551,[[["i64",15]]]],[11,"bitxor","","",560,[[["u128",15]]]],[11,"bitxor","","",552,[[["isize",15]]]],[11,"bitxor","","",548,[[["i16",15]],["i16",15]]],[11,"bitxor","","",549,[[["u8",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",548,[[["i16",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",551,[[["i64",15]],["i64",15]]],[11,"bitxor","","",558,[[["bool",15]]]],[11,"bitxor","","",553,[[["u32",15]]]],[11,"bitxor","","",560,[[["u128",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"bitxor","std","",549,[[["u8",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","","",37,[[["wrapping",3]]]],[11,"bitxor","std","",557,[[["usize",15]],["usize",15]]],[11,"bitxor","","",559,[[["i32",15]]]],[11,"bitxor","","",559,[[["i32",15]]]],[11,"bitxor","","",555,[[["i8",15]]]],[11,"bitxor","std::num","",37,[[["wrapping",3]]]],[11,"bitxor","std","",552,[[["isize",15]]]],[11,"bitxor","","",548,[[["i16",15]]]],[11,"bitxor","","",553,[[["u32",15]]]],[11,"bitxor","","",554,[[["i128",15]]]],[11,"bitxor","","",556,[[["u16",15]]]],[11,"bitxor","","",559,[[["i32",15]]]],[11,"bitxor","","",560,[[["u128",15]]]],[11,"bitxor","","",548,[[["i16",15]]]],[11,"eq","std::cmp","",144,[[["reverse",3]],["bool",15]]],[11,"ne","","",144,[[["reverse",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",563,[[],["bool",15]]],[11,"ne","","",563,[[],["bool",15]]],[11,"eq","std::num","",336,[[["tryfrominterror",3]],["bool",15]]],[11,"ne","","",336,[[["tryfrominterror",3]],["bool",15]]],[11,"eq","std","",564,[[],["bool",15]]],[11,"ne","","",564,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::ptr","",544,[[["nonnull",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::hash","",499,[[["buildhasherdefault",3]],["bool",15]]],[11,"eq","std::num","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"ne","","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"eq","","",334,[[["parsefloaterror",3]],["bool",15]]],[11,"ne","","",334,[[["parsefloaterror",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::num","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"ne","","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",565,[[],["bool",15]]],[11,"ne","","",565,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","std::lazy","",394,[[["oncecell",3]],["bool",15]]],[11,"eq","std::num","",343,[[["nonzerou128",3]],["bool",15]]],[11,"ne","","",343,[[["nonzerou128",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",558,[[["bool",15]],["bool",15]]],[11,"ne","","",558,[[["bool",15]],["bool",15]]],[11,"eq","","",548,[[["i16",15]],["bool",15]]],[11,"ne","","",548,[[["i16",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::alloc","",403,[[["layouterror",3]],["bool",15]]],[11,"ne","","",403,[[["layouterror",3]],["bool",15]]],[11,"eq","std","",563,[[],["bool",15]]],[11,"ne","","",563,[[],["bool",15]]],[11,"eq","std::task","",398,[[["rawwakervtable",3]],["bool",15]]],[11,"ne","","",398,[[["rawwakervtable",3]],["bool",15]]],[11,"eq","","",397,[[["rawwaker",3]],["bool",15]]],[11,"ne","","",397,[[["rawwaker",3]],["bool",15]]],[11,"eq","std::sync::atomic","",97,[[["ordering",4]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::ops","",209,[[["controlflow",4]],["bool",15]]],[11,"ne","","",209,[[["controlflow",4]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",561,[[["f64",15]],["bool",15]]],[11,"ne","","",561,[[["f64",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::alloc","",401,[[["allocerror",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::num","",345,[[["nonzerou32",3]],["bool",15]]],[11,"ne","","",345,[[["nonzerou32",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",567,[[["char",15]],["bool",15]]],[11,"ne","","",567,[[["char",15]],["bool",15]]],[11,"eq","","",565,[[],["bool",15]]],[11,"ne","","",565,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::char","",491,[[["chartryfromerror",3]],["bool",15]]],[11,"ne","","",491,[[["chartryfromerror",3]],["bool",15]]],[11,"eq","std::convert","",495,[[["infallible",4]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",563,[[],["bool",15]]],[11,"ne","","",563,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::num","",344,[[["nonzerou16",3]],["bool",15]]],[11,"ne","","",344,[[["nonzerou16",3]],["bool",15]]],[11,"eq","std","",571,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",564,[[],["bool",15]]],[11,"ne","","",564,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",562,[[["f32",15]],["bool",15]]],[11,"ne","","",562,[[["f32",15]],["bool",15]]],[11,"eq","std::num","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"ne","","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","std::cell","",479,[[["cell",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",550,[[["u64",15]],["bool",15]]],[11,"ne","","",550,[[["u64",15]],["bool",15]]],[11,"eq","","",551,[[["i64",15]],["bool",15]]],[11,"ne","","",551,[[["i64",15]],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","std::str","",454,[[["utf8error",3]],["bool",15]]],[11,"ne","","",454,[[["utf8error",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::pin","",543,[[["pin",3]],["bool",15]]],[11,"ne","","",543,[[["pin",3]],["bool",15]]],[11,"eq","std","",560,[[["u128",15]],["bool",15]]],[11,"ne","","",560,[[["u128",15]],["bool",15]]],[11,"eq","","",555,[[["i8",15]],["bool",15]]],[11,"ne","","",555,[[["i8",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::mem","",535,[[["manuallydrop",3]],["bool",15]]],[11,"ne","","",535,[[["manuallydrop",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",556,[[["u16",15]],["bool",15]]],[11,"ne","","",556,[[["u16",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::ops","",205,[[["rangetoinclusive",3]],["bool",15]]],[11,"ne","","",205,[[["rangetoinclusive",3]],["bool",15]]],[11,"eq","std","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","std::str::pattern","",134,[[["searchstep",4]],["bool",15]]],[11,"ne","","",134,[[["searchstep",4]],["bool",15]]],[11,"eq","std::ops","",537,[[["rangefull",3]],["bool",15]]],[11,"eq","std::num","",348,[[["nonzerousize",3]],["bool",15]]],[11,"ne","","",348,[[["nonzerousize",3]],["bool",15]]],[11,"eq","std::time","",393,[[["duration",3]],["bool",15]]],[11,"ne","","",393,[[["duration",3]],["bool",15]]],[11,"eq","std::option","",542,[[["noneerror",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::ops","",200,[[["range",3]],["bool",15]]],[11,"ne","","",200,[[["range",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",549,[[["u8",15]],["bool",15]]],[11,"ne","","",549,[[["u8",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::num","",335,[[["parseinterror",3]],["bool",15]]],[11,"ne","","",335,[[["parseinterror",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",565,[[],["bool",15]]],[11,"ne","","",565,[[],["bool",15]]],[11,"eq","std::num","",346,[[["nonzerou64",3]],["bool",15]]],[11,"ne","","",346,[[["nonzerou64",3]],["bool",15]]],[11,"eq","std::option","",210,[[["option",4]],["bool",15]]],[11,"ne","","",210,[[["option",4]],["bool",15]]],[11,"eq","std","",564,[[],["bool",15]]],[11,"ne","","",564,[[],["bool",15]]],[11,"eq","","",552,[[["isize",15]],["bool",15]]],[11,"ne","","",552,[[["isize",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","std::ops","",538,[[["rangeinclusive",3]],["bool",15]]],[11,"ne","","",538,[[["rangeinclusive",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::cell","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::num","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"ne","","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::num","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"ne","","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"eq","std::char","",492,[[["parsecharerror",3]],["bool",15]]],[11,"ne","","",492,[[["parsecharerror",3]],["bool",15]]],[11,"eq","std","",559,[[["i32",15]],["bool",15]]],[11,"ne","","",559,[[["i32",15]],["bool",15]]],[11,"eq","","",566,[[["str",15]],["bool",15]]],[11,"ne","","",566,[[["str",15]],["bool",15]]],[11,"eq","std::cmp","",143,[[["ordering",4]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",569,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",565,[[],["bool",15]]],[11,"ne","","",565,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::num","",37,[[["wrapping",3]],["bool",15]]],[11,"ne","","",37,[[["wrapping",3]],["bool",15]]],[11,"eq","std::result","",212,[[["result",4]],["bool",15]]],[11,"ne","","",212,[[["result",4]],["bool",15]]],[11,"eq","std","",570,[[],["bool",15]]],[11,"ne","","",570,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::ops","",201,[[["rangefrom",3]],["bool",15]]],[11,"ne","","",201,[[["rangefrom",3]],["bool",15]]],[11,"eq","std::panic","",354,[[["location",3]],["bool",15]]],[11,"ne","","",354,[[["location",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::str","",450,[[["parseboolerror",3]],["bool",15]]],[11,"ne","","",450,[[["parseboolerror",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::ops","",203,[[["bound",4]],["bool",15]]],[11,"ne","","",203,[[["bound",4]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",557,[[["usize",15]],["bool",15]]],[11,"ne","","",557,[[["usize",15]],["bool",15]]],[11,"eq","std::num","",347,[[["nonzerou8",3]],["bool",15]]],[11,"ne","","",347,[[["nonzerou8",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::mem","",534,[[["discriminant",3]],["bool",15]]],[11,"eq","std::alloc","",402,[[["layout",3]],["bool",15]]],[11,"ne","","",402,[[["layout",3]],["bool",15]]],[11,"eq","std::num","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"ne","","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::any","",476,[[["typeid",3]],["bool",15]]],[11,"ne","","",476,[[["typeid",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::ops","",202,[[["rangeto",3]],["bool",15]]],[11,"ne","","",202,[[["rangeto",3]],["bool",15]]],[11,"eq","std","",564,[[],["bool",15]]],[11,"ne","","",564,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",569,[[],["bool",15]]],[11,"eq","","",572,[[],["bool",15]]],[11,"ne","","",572,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",554,[[["i128",15]],["bool",15]]],[11,"ne","","",554,[[["i128",15]],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::ops","",208,[[["generatorstate",4]],["bool",15]]],[11,"ne","","",208,[[["generatorstate",4]],["bool",15]]],[11,"eq","std::marker","",533,[[["phantompinned",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","std::fmt","",406,[[["error",3]],["bool",15]]],[11,"eq","std","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","","",568,[[],["bool",15]]],[11,"eq","std::char","",494,[[["decodeutf16error",3]],["bool",15]]],[11,"ne","","",494,[[["decodeutf16error",3]],["bool",15]]],[11,"eq","std","",563,[[],["bool",15]]],[11,"ne","","",563,[[],["bool",15]]],[11,"eq","std::num","",39,[[["interrorkind",4]],["bool",15]]],[11,"eq","std::task","",104,[[["poll",4]],["bool",15]]],[11,"ne","","",104,[[["poll",4]],["bool",15]]],[11,"eq","std::marker","",532,[[["phantomdata",3]],["bool",15]]],[11,"eq","std","",553,[[["u32",15]],["bool",15]]],[11,"ne","","",553,[[["u32",15]],["bool",15]]],[11,"eq","std::num","",38,[[["fpcategory",4]],["bool",15]]],[11,"from_str","","",348,[[["str",15]],[["result",4],["nonzerousize",3]]]],[11,"from_str","","",347,[[["str",15]],[["result",4],["nonzerou8",3]]]],[11,"from_str","std","",554,[[["str",15]],[["result",4],["i128",15],["parseinterror",3]]]],[11,"from_str","std::num","",340,[[["str",15]],[["nonzeroi64",3],["result",4]]]],[11,"from_str","std","Converts a string in base 10 to a float. Accepts an …",561,[[["str",15]],[["f64",15],["result",4],["parsefloaterror",3]]]],[11,"from_str","std::num","",341,[[["str",15]],[["result",4],["nonzeroi8",3]]]],[11,"from_str","","",342,[[["str",15]],[["nonzeroisize",3],["result",4]]]],[11,"from_str","std","",556,[[["str",15]],[["result",4],["u16",15],["parseinterror",3]]]],[11,"from_str","std::num","",345,[[["str",15]],[["result",4],["nonzerou32",3]]]],[11,"from_str","std","",559,[[["str",15]],[["result",4],["parseinterror",3],["i32",15]]]],[11,"from_str","std::num","",346,[[["str",15]],[["result",4],["nonzerou64",3]]]],[11,"from_str","std","",552,[[["str",15]],[["result",4],["isize",15],["parseinterror",3]]]],[11,"from_str","","",567,[[["str",15]],[["char",15],["result",4]]]],[11,"from_str","","",560,[[["str",15]],[["result",4],["u128",15],["parseinterror",3]]]],[11,"from_str","std::num","",338,[[["str",15]],[["result",4],["nonzeroi16",3]]]],[11,"from_str","","",343,[[["str",15]],[["nonzerou128",3],["result",4]]]],[11,"from_str","std","",555,[[["str",15]],[["i8",15],["parseinterror",3],["result",4]]]],[11,"from_str","","Converts a string in base 10 to a float. Accepts an …",562,[[["str",15]],[["result",4],["f32",15],["parsefloaterror",3]]]],[11,"from_str","","",553,[[["str",15]],[["u32",15],["result",4],["parseinterror",3]]]],[11,"from_str","","",557,[[["str",15]],[["usize",15],["parseinterror",3],["result",4]]]],[11,"from_str","","",550,[[["str",15]],[["parseinterror",3],["result",4],["u64",15]]]],[11,"from_str","","",551,[[["str",15]],[["i64",15],["parseinterror",3],["result",4]]]],[11,"from_str","std::num","",339,[[["str",15]],[["result",4],["nonzeroi32",3]]]],[11,"from_str","std","",549,[[["str",15]],[["u8",15],["parseinterror",3],["result",4]]]],[11,"from_str","std::num","",337,[[["str",15]],[["nonzeroi128",3],["result",4]]]],[11,"from_str","std","Parse a <code>bool</code> from a string.",558,[[["str",15]],[["bool",15],["result",4],["parseboolerror",3]]]],[11,"from_str","std::num","",344,[[["str",15]],[["nonzerou16",3],["result",4]]]],[11,"from_str","std","",548,[[["str",15]],[["i16",15],["result",4],["parseinterror",3]]]],[11,"product","","",551,[[],["i64",15]]],[11,"product","std::num","",37,[[],[["u8",15],["wrapping",3]]]],[11,"product","","",37,[[],[["i8",15],["wrapping",3]]]],[11,"product","std","",550,[[],["u64",15]]],[11,"product","","",548,[[],["i16",15]]],[11,"product","","",556,[[],["u16",15]]],[11,"product","std::num","",37,[[],[["isize",15],["wrapping",3]]]],[11,"product","","",37,[[],[["u64",15],["wrapping",3]]]],[11,"product","std","",552,[[],["isize",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["u16",15]]]],[11,"product","std","",554,[[],["i128",15]]],[11,"product","","",557,[[],["usize",15]]],[11,"product","std::num","",37,[[],[["u8",15],["wrapping",3]]]],[11,"product","std","",559,[[],["i32",15]]],[11,"product","","",549,[[],["u8",15]]],[11,"product","","",562,[[],["f32",15]]],[11,"product","std::num","",37,[[],[["i128",15],["wrapping",3]]]],[11,"product","std","",554,[[],["i128",15]]],[11,"product","std::result","Takes each element in the [<code>Iterator</code>]: if it is an [<code>Err</code>], …",212,[[],["result",4]]],[11,"product","std::num","",37,[[],[["wrapping",3],["i32",15]]]],[11,"product","std::option","Takes each element in the [<code>Iterator</code>]: if it is a [<code>None</code>], …",210,[[],["option",4]]],[11,"product","std","",549,[[],["u8",15]]],[11,"product","","",560,[[],["u128",15]]],[11,"product","","",551,[[],["i64",15]]],[11,"product","","",559,[[],["i32",15]]],[11,"product","","",560,[[],["u128",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["i32",15]]]],[11,"product","std","",556,[[],["u16",15]]],[11,"product","","",550,[[],["u64",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["i16",15]]]],[11,"product","","",37,[[],[["wrapping",3],["u128",15]]]],[11,"product","","",37,[[],[["isize",15],["wrapping",3]]]],[11,"product","std","",562,[[],["f32",15]]],[11,"product","","",561,[[],["f64",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["u32",15]]]],[11,"product","","",37,[[],[["u64",15],["wrapping",3]]]],[11,"product","std","",552,[[],["isize",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["usize",15]]]],[11,"product","std","",555,[[],["i8",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["u128",15]]]],[11,"product","","",37,[[],[["i64",15],["wrapping",3]]]],[11,"product","std","",561,[[],["f64",15]]],[11,"product","","",557,[[],["usize",15]]],[11,"product","std::num","",37,[[],[["i128",15],["wrapping",3]]]],[11,"product","","",37,[[],[["wrapping",3],["i16",15]]]],[11,"product","std","",553,[[],["u32",15]]],[11,"product","std::num","",37,[[],[["wrapping",3],["u16",15]]]],[11,"product","std","",548,[[],["i16",15]]],[11,"product","std::num","",37,[[],[["i64",15],["wrapping",3]]]],[11,"product","","",37,[[],[["wrapping",3],["u32",15]]]],[11,"product","","",37,[[],[["i8",15],["wrapping",3]]]],[11,"product","","",37,[[],[["wrapping",3],["usize",15]]]],[11,"product","std","",555,[[],["i8",15]]],[11,"product","","",553,[[],["u32",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",567,[[["char",15]],[["ordering",4],["option",4]]]],[11,"lt","","",567,[[["char",15]],["bool",15]]],[11,"le","","",567,[[["char",15]],["bool",15]]],[11,"ge","","",567,[[["char",15]],["bool",15]]],[11,"gt","","",567,[[["char",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",348,[[["nonzerousize",3]],[["ordering",4],["option",4]]]],[11,"lt","","",348,[[["nonzerousize",3]],["bool",15]]],[11,"le","","",348,[[["nonzerousize",3]],["bool",15]]],[11,"gt","","",348,[[["nonzerousize",3]],["bool",15]]],[11,"ge","","",348,[[["nonzerousize",3]],["bool",15]]],[11,"partial_cmp","","",338,[[["nonzeroi16",3]],[["ordering",4],["option",4]]]],[11,"lt","","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"le","","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"gt","","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"ge","","",338,[[["nonzeroi16",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::cmp","",143,[[["ordering",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::ptr","",544,[[["nonnull",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",341,[[["nonzeroi8",3]],[["ordering",4],["option",4]]]],[11,"lt","","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"le","","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"gt","","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"ge","","",341,[[["nonzeroi8",3]],["bool",15]]],[11,"partial_cmp","","",37,[[["wrapping",3]],[["ordering",4],["option",4]]]],[11,"lt","","",37,[[["wrapping",3]],["bool",15]]],[11,"le","","",37,[[["wrapping",3]],["bool",15]]],[11,"gt","","",37,[[["wrapping",3]],["bool",15]]],[11,"ge","","",37,[[["wrapping",3]],["bool",15]]],[11,"partial_cmp","std","",557,[[["usize",15]],[["ordering",4],["option",4]]]],[11,"lt","","",557,[[["usize",15]],["bool",15]]],[11,"le","","",557,[[["usize",15]],["bool",15]]],[11,"ge","","",557,[[["usize",15]],["bool",15]]],[11,"gt","","",557,[[["usize",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::option","",542,[[["noneerror",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",566,[[["str",15]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::pin","",543,[[["pin",3]],[["ordering",4],["option",4]]]],[11,"lt","","",543,[[["pin",3]],["bool",15]]],[11,"le","","",543,[[["pin",3]],["bool",15]]],[11,"gt","","",543,[[["pin",3]],["bool",15]]],[11,"ge","","",543,[[["pin",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","std::num","",347,[[["nonzerou8",3]],[["ordering",4],["option",4]]]],[11,"lt","","",347,[[["nonzerou8",3]],["bool",15]]],[11,"le","","",347,[[["nonzerou8",3]],["bool",15]]],[11,"gt","","",347,[[["nonzerou8",3]],["bool",15]]],[11,"ge","","",347,[[["nonzerou8",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",558,[[["bool",15]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",550,[[["u64",15]],[["ordering",4],["option",4]]]],[11,"lt","","",550,[[["u64",15]],["bool",15]]],[11,"le","","",550,[[["u64",15]],["bool",15]]],[11,"ge","","",550,[[["u64",15]],["bool",15]]],[11,"gt","","",550,[[["u64",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::cmp","",144,[[["reverse",3]],[["ordering",4],["option",4]]]],[11,"lt","","",144,[[["reverse",3]],["bool",15]]],[11,"le","","",144,[[["reverse",3]],["bool",15]]],[11,"gt","","",144,[[["reverse",3]],["bool",15]]],[11,"ge","","",144,[[["reverse",3]],["bool",15]]],[11,"partial_cmp","std","",554,[[["i128",15]],[["ordering",4],["option",4]]]],[11,"lt","","",554,[[["i128",15]],["bool",15]]],[11,"le","","",554,[[["i128",15]],["bool",15]]],[11,"ge","","",554,[[["i128",15]],["bool",15]]],[11,"gt","","",554,[[["i128",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::convert","",495,[[["infallible",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",337,[[["nonzeroi128",3]],[["ordering",4],["option",4]]]],[11,"lt","","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"le","","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"gt","","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"ge","","",337,[[["nonzeroi128",3]],["bool",15]]],[11,"partial_cmp","std","",555,[[["i8",15]],[["ordering",4],["option",4]]]],[11,"lt","","",555,[[["i8",15]],["bool",15]]],[11,"le","","",555,[[["i8",15]],["bool",15]]],[11,"ge","","",555,[[["i8",15]],["bool",15]]],[11,"gt","","",555,[[["i8",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::any","",476,[[["typeid",3]],[["ordering",4],["option",4]]]],[11,"lt","","",476,[[["typeid",3]],["bool",15]]],[11,"le","","",476,[[["typeid",3]],["bool",15]]],[11,"gt","","",476,[[["typeid",3]],["bool",15]]],[11,"ge","","",476,[[["typeid",3]],["bool",15]]],[11,"partial_cmp","std::num","",345,[[["nonzerou32",3]],[["ordering",4],["option",4]]]],[11,"lt","","",345,[[["nonzerou32",3]],["bool",15]]],[11,"le","","",345,[[["nonzerou32",3]],["bool",15]]],[11,"gt","","",345,[[["nonzerou32",3]],["bool",15]]],[11,"ge","","",345,[[["nonzerou32",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",560,[[["u128",15]],[["ordering",4],["option",4]]]],[11,"lt","","",560,[[["u128",15]],["bool",15]]],[11,"le","","",560,[[["u128",15]],["bool",15]]],[11,"ge","","",560,[[["u128",15]],["bool",15]]],[11,"gt","","",560,[[["u128",15]],["bool",15]]],[11,"partial_cmp","","",565,[[],[["ordering",4],["option",4]]]],[11,"lt","","",565,[[],["bool",15]]],[11,"le","","",565,[[],["bool",15]]],[11,"gt","","",565,[[],["bool",15]]],[11,"ge","","",565,[[],["bool",15]]],[11,"partial_cmp","std::num","",346,[[["nonzerou64",3]],[["ordering",4],["option",4]]]],[11,"lt","","",346,[[["nonzerou64",3]],["bool",15]]],[11,"le","","",346,[[["nonzerou64",3]],["bool",15]]],[11,"gt","","",346,[[["nonzerou64",3]],["bool",15]]],[11,"ge","","",346,[[["nonzerou64",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::option","",210,[[["option",4]],[["ordering",4],["option",4]]]],[11,"lt","","",210,[[["option",4]],["bool",15]]],[11,"le","","",210,[[["option",4]],["bool",15]]],[11,"gt","","",210,[[["option",4]],["bool",15]]],[11,"ge","","",210,[[["option",4]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",344,[[["nonzerou16",3]],[["ordering",4],["option",4]]]],[11,"lt","","",344,[[["nonzerou16",3]],["bool",15]]],[11,"le","","",344,[[["nonzerou16",3]],["bool",15]]],[11,"gt","","",344,[[["nonzerou16",3]],["bool",15]]],[11,"ge","","",344,[[["nonzerou16",3]],["bool",15]]],[11,"partial_cmp","std::marker","",532,[[["phantomdata",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",561,[[["f64",15]],[["ordering",4],["option",4]]]],[11,"lt","","",561,[[["f64",15]],["bool",15]]],[11,"le","","",561,[[["f64",15]],["bool",15]]],[11,"ge","","",561,[[["f64",15]],["bool",15]]],[11,"gt","","",561,[[["f64",15]],["bool",15]]],[11,"partial_cmp","","",565,[[],[["ordering",4],["option",4]]]],[11,"lt","","",565,[[],["bool",15]]],[11,"le","","",565,[[],["bool",15]]],[11,"gt","","",565,[[],["bool",15]]],[11,"ge","","",565,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::mem","",535,[[["manuallydrop",3]],[["ordering",4],["option",4]]]],[11,"lt","","",535,[[["manuallydrop",3]],["bool",15]]],[11,"le","","",535,[[["manuallydrop",3]],["bool",15]]],[11,"gt","","",535,[[["manuallydrop",3]],["bool",15]]],[11,"ge","","",535,[[["manuallydrop",3]],["bool",15]]],[11,"partial_cmp","std","",571,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","std::marker","",533,[[["phantompinned",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",340,[[["nonzeroi64",3]],[["ordering",4],["option",4]]]],[11,"lt","","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"le","","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"gt","","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"ge","","",340,[[["nonzeroi64",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",569,[[],[["ordering",4],["option",4]]]],[11,"lt","","",569,[[],["bool",15]]],[11,"le","","",569,[[],["bool",15]]],[11,"gt","","",569,[[],["bool",15]]],[11,"ge","","",569,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","std::result","",212,[[["result",4]],[["ordering",4],["option",4]]]],[11,"lt","","",212,[[["result",4]],["bool",15]]],[11,"le","","",212,[[["result",4]],["bool",15]]],[11,"gt","","",212,[[["result",4]],["bool",15]]],[11,"ge","","",212,[[["result",4]],["bool",15]]],[11,"partial_cmp","std::cell","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],[["ordering",4],["option",4]]]],[11,"lt","","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["bool",15]]],[11,"le","","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["bool",15]]],[11,"gt","","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["bool",15]]],[11,"ge","","PanicsPanics if the value in either <code>RefCell</code> is currently …",480,[[["refcell",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",339,[[["nonzeroi32",3]],[["ordering",4],["option",4]]]],[11,"lt","","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"le","","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"gt","","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"ge","","",339,[[["nonzeroi32",3]],["bool",15]]],[11,"partial_cmp","std","",559,[[["i32",15]],[["ordering",4],["option",4]]]],[11,"lt","","",559,[[["i32",15]],["bool",15]]],[11,"le","","",559,[[["i32",15]],["bool",15]]],[11,"ge","","",559,[[["i32",15]],["bool",15]]],[11,"gt","","",559,[[["i32",15]],["bool",15]]],[11,"partial_cmp","std::fmt","",406,[[["error",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",552,[[["isize",15]],[["ordering",4],["option",4]]]],[11,"lt","","",552,[[["isize",15]],["bool",15]]],[11,"le","","",552,[[["isize",15]],["bool",15]]],[11,"ge","","",552,[[["isize",15]],["bool",15]]],[11,"gt","","",552,[[["isize",15]],["bool",15]]],[11,"partial_cmp","","",549,[[["u8",15]],[["ordering",4],["option",4]]]],[11,"lt","","",549,[[["u8",15]],["bool",15]]],[11,"le","","",549,[[["u8",15]],["bool",15]]],[11,"ge","","",549,[[["u8",15]],["bool",15]]],[11,"gt","","",549,[[["u8",15]],["bool",15]]],[11,"partial_cmp","std::num","",342,[[["nonzeroisize",3]],[["ordering",4],["option",4]]]],[11,"lt","","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"le","","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"gt","","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"ge","","",342,[[["nonzeroisize",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",562,[[["f32",15]],[["ordering",4],["option",4]]]],[11,"lt","","",562,[[["f32",15]],["bool",15]]],[11,"le","","",562,[[["f32",15]],["bool",15]]],[11,"ge","","",562,[[["f32",15]],["bool",15]]],[11,"gt","","",562,[[["f32",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",551,[[["i64",15]],[["ordering",4],["option",4]]]],[11,"lt","","",551,[[["i64",15]],["bool",15]]],[11,"le","","",551,[[["i64",15]],["bool",15]]],[11,"ge","","",551,[[["i64",15]],["bool",15]]],[11,"gt","","",551,[[["i64",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",563,[[],[["ordering",4],["option",4]]]],[11,"lt","","",563,[[],["bool",15]]],[11,"le","","",563,[[],["bool",15]]],[11,"ge","","",563,[[],["bool",15]]],[11,"gt","","",563,[[],["bool",15]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",556,[[["u16",15]],[["ordering",4],["option",4]]]],[11,"lt","","",556,[[["u16",15]],["bool",15]]],[11,"le","","",556,[[["u16",15]],["bool",15]]],[11,"ge","","",556,[[["u16",15]],["bool",15]]],[11,"gt","","",556,[[["u16",15]],["bool",15]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","std::ops","",208,[[["generatorstate",4]],[["ordering",4],["option",4]]]],[11,"lt","","",208,[[["generatorstate",4]],["bool",15]]],[11,"le","","",208,[[["generatorstate",4]],["bool",15]]],[11,"gt","","",208,[[["generatorstate",4]],["bool",15]]],[11,"ge","","",208,[[["generatorstate",4]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",548,[[["i16",15]],[["ordering",4],["option",4]]]],[11,"lt","","",548,[[["i16",15]],["bool",15]]],[11,"le","","",548,[[["i16",15]],["bool",15]]],[11,"ge","","",548,[[["i16",15]],["bool",15]]],[11,"gt","","",548,[[["i16",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",570,[[],[["ordering",4],["option",4]]]],[11,"lt","","",570,[[],["bool",15]]],[11,"le","","",570,[[],["bool",15]]],[11,"ge","","",570,[[],["bool",15]]],[11,"gt","","",570,[[],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",572,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::task","",104,[[["poll",4]],[["ordering",4],["option",4]]]],[11,"lt","","",104,[[["poll",4]],["bool",15]]],[11,"le","","",104,[[["poll",4]],["bool",15]]],[11,"gt","","",104,[[["poll",4]],["bool",15]]],[11,"ge","","",104,[[["poll",4]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",569,[[],[["ordering",4],["option",4]]]],[11,"lt","","",569,[[],["bool",15]]],[11,"le","","",569,[[],["bool",15]]],[11,"gt","","",569,[[],["bool",15]]],[11,"ge","","",569,[[],["bool",15]]],[11,"partial_cmp","std::cell","",479,[[["cell",3]],[["ordering",4],["option",4]]]],[11,"lt","","",479,[[["cell",3]],["bool",15]]],[11,"le","","",479,[[["cell",3]],["bool",15]]],[11,"gt","","",479,[[["cell",3]],["bool",15]]],[11,"ge","","",479,[[["cell",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",553,[[["u32",15]],[["ordering",4],["option",4]]]],[11,"lt","","",553,[[["u32",15]],["bool",15]]],[11,"le","","",553,[[["u32",15]],["bool",15]]],[11,"ge","","",553,[[["u32",15]],["bool",15]]],[11,"gt","","",553,[[["u32",15]],["bool",15]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",564,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::panic","",354,[[["location",3]],[["ordering",4],["option",4]]]],[11,"lt","","",354,[[["location",3]],["bool",15]]],[11,"le","","",354,[[["location",3]],["bool",15]]],[11,"gt","","",354,[[["location",3]],["bool",15]]],[11,"ge","","",354,[[["location",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::time","",393,[[["duration",3]],[["ordering",4],["option",4]]]],[11,"lt","","",393,[[["duration",3]],["bool",15]]],[11,"le","","",393,[[["duration",3]],["bool",15]]],[11,"gt","","",393,[[["duration",3]],["bool",15]]],[11,"ge","","",393,[[["duration",3]],["bool",15]]],[11,"partial_cmp","std","",568,[[],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::num","",343,[[["nonzerou128",3]],[["ordering",4],["option",4]]]],[11,"lt","","",343,[[["nonzerou128",3]],["bool",15]]],[11,"le","","",343,[[["nonzerou128",3]],["bool",15]]],[11,"gt","","",343,[[["nonzerou128",3]],["bool",15]]],[11,"ge","","",343,[[["nonzerou128",3]],["bool",15]]],[11,"bitor","","",338,[[["i16",15]]]],[11,"bitor","std","",555,[[["i8",15]],["i8",15]]],[11,"bitor","","",551,[[["i64",15]],["i64",15]]],[11,"bitor","","",551,[[["nonzeroi64",3]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","","",37,[[["wrapping",3]]]],[11,"bitor","std","",550,[[["u64",15]]]],[11,"bitor","","",551,[[["i64",15]]]],[11,"bitor","","",557,[[["nonzerousize",3]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",549,[[["nonzerou8",3]]]],[11,"bitor","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"bitor","","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitor","","",37,[[["wrapping",3]]]],[11,"bitor","std","",549,[[["u8",15]],["u8",15]]],[11,"bitor","","",555,[[["i8",15]]]],[11,"bitor","","",559,[[["i32",15]]]],[11,"bitor","","",553,[[["u32",15]]]],[11,"bitor","","",553,[[["u32",15]]]],[11,"bitor","","",553,[[["u32",15]]]],[11,"bitor","std::num","",348,[[["usize",15]]]],[11,"bitor","std","",556,[[["u16",15]]]],[11,"bitor","","",550,[[["nonzerou64",3]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",557,[[["usize",15]]]],[11,"bitor","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitor","std","",552,[[["isize",15]]]],[11,"bitor","","",552,[[["nonzeroisize",3]]]],[11,"bitor","","",554,[[["i128",15]],["i128",15]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","","",343,[[["u128",15]]]],[11,"bitor","std","",548,[[["i16",15]]]],[11,"bitor","std::num","",340,[[["i64",15]]]],[11,"bitor","std","",552,[[["isize",15]]]],[11,"bitor","","",554,[[["nonzeroi128",3]]]],[11,"bitor","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"bitor","std","",556,[[["u16",15]],["u16",15]]],[11,"bitor","std::num","",346,[[["u64",15]]]],[11,"bitor","std","",552,[[["isize",15]]]],[11,"bitor","std::num","",347,[[["u8",15]]]],[11,"bitor","std","",556,[[["nonzerou16",3]]]],[11,"bitor","","",548,[[["i16",15]],["i16",15]]],[11,"bitor","","",553,[[["nonzerou32",3]]]],[11,"bitor","","",560,[[["u128",15]]]],[11,"bitor","std::num","",337,[[["nonzeroi128",3]]]],[11,"bitor","","",341,[[["nonzeroi8",3]]]],[11,"bitor","std","",558,[[["bool",15]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",551,[[["i64",15]]]],[11,"bitor","std::num","",340,[[["nonzeroi64",3]]]],[11,"bitor","std","",550,[[["u64",15]],["u64",15]]],[11,"bitor","std::num","",345,[[["u32",15]]]],[11,"bitor","std","",554,[[["i128",15]]]],[11,"bitor","","",554,[[["i128",15]]]],[11,"bitor","","",557,[[["usize",15]]]],[11,"bitor","","",549,[[["u8",15]]]],[11,"bitor","","",559,[[["i32",15]]]],[11,"bitor","std::num","",344,[[["nonzerou16",3]]]],[11,"bitor","std","",550,[[["u64",15]]]],[11,"bitor","std::num","",339,[[["nonzeroi32",3]]]],[11,"bitor","","",37,[[["wrapping",3]]]],[11,"bitor","std","",555,[[["i8",15]]]],[11,"bitor","","",559,[[["i32",15]]]],[11,"bitor","","",557,[[["usize",15]]]],[11,"bitor","std::num","",341,[[["i8",15]]]],[11,"bitor","std","",558,[[["bool",15]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",560,[[["nonzerou128",3]]]],[11,"bitor","","",560,[[["u128",15]]]],[11,"bitor","","",556,[[["u16",15]]]],[11,"bitor","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitor","","",342,[[["isize",15]]]],[11,"bitor","std","",556,[[["u16",15]]]],[11,"bitor","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitor","","",337,[[["i128",15]]]],[11,"bitor","std","",558,[[["bool",15]],["bool",15]]],[11,"bitor","std::num","",342,[[["nonzeroisize",3]]]],[11,"bitor","std","",557,[[["usize",15]],["usize",15]]],[11,"bitor","","",555,[[["i8",15]]]],[11,"bitor","std::num","",343,[[["nonzerou128",3]]]],[11,"bitor","","",344,[[["u16",15]]]],[11,"bitor","","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"bitor","std","",548,[[["i16",15]]]],[11,"bitor","std::num","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitor","std","",551,[[["i64",15]]]],[11,"bitor","","",555,[[["nonzeroi8",3]]]],[11,"bitor","","",558,[[["bool",15]]]],[11,"bitor","std::num","",345,[[["nonzerou32",3]]]],[11,"bitor","","",37,[[["wrapping",3]]]],[11,"bitor","std","",549,[[["u8",15]]]],[11,"bitor","std::num","",348,[[["nonzerousize",3]]]],[11,"bitor","std","",559,[[["i32",15]],["i32",15]]],[11,"bitor","","",560,[[["u128",15]]]],[11,"bitor","std::num","",338,[[["nonzeroi16",3]]]],[11,"bitor","std","",554,[[["i128",15]]]],[11,"bitor","","",548,[[["i16",15]]]],[11,"bitor","","",552,[[["isize",15]],["isize",15]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",549,[[["u8",15]]]],[11,"bitor","","",553,[[["u32",15]],["u32",15]]],[11,"bitor","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitor","","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"bitor","std","",548,[[["nonzeroi16",3]]]],[11,"bitor","","",559,[[["nonzeroi32",3]]]],[11,"bitor","std::num","",37,[[["wrapping",3]]]],[11,"bitor","std","",550,[[["u64",15]]]],[11,"bitor","","",560,[[["u128",15]],["u128",15]]],[11,"bitor","std::num","",339,[[["i32",15]]]],[11,"bitor","","",346,[[["nonzerou64",3]]]],[11,"bitor","","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"bitor","","",347,[[["nonzerou8",3]]]],[11,"bitor","","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"drop","std::ffi","",305,[[]]],[11,"drop","std::task","",399,[[]]],[11,"drop","std::array","",478,[[]]],[11,"as_slice","std","",563,[[]]],[11,"as_slice","","",564,[[]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ptr","",544,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::pin","",543,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",569,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",382,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",569,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"allocate","","",565,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"allocate_zeroed","","",565,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"deallocate","","",565,[[["layout",3],["nonnull",3],["u8",15]]]],[11,"grow","","",565,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"grow_zeroed","","",565,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"shrink","","",565,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"deref","std::ffi","",304,[[],["valistimpl",3]]],[11,"deref","std","",565,[[]]],[11,"deref","std::pin","",543,[[]]],[11,"deref","std::lazy","",395,[[]]],[11,"deref","std","",565,[[]]],[11,"deref","std::mem","",535,[[]]],[11,"deref","std::cell","",483,[[]]],[11,"deref","","",484,[[]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"bitand","std","",552,[[["isize",15]]]],[11,"bitand","","",560,[[["u128",15]]]],[11,"bitand","","",557,[[["usize",15]]]],[11,"bitand","","",556,[[["u16",15]],["u16",15]]],[11,"bitand","","",552,[[["isize",15]]]],[11,"bitand","","",551,[[["i64",15]]]],[11,"bitand","","",549,[[["u8",15]]]],[11,"bitand","","",559,[[["i32",15]]]],[11,"bitand","","",548,[[["i16",15]]]],[11,"bitand","","",559,[[["i32",15]]]],[11,"bitand","","",555,[[["i8",15]]]],[11,"bitand","std::num","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"bitand","std","",560,[[["u128",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",560,[[["u128",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"bitand","std","",555,[[["i8",15]]]],[11,"bitand","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"bitand","std","",549,[[["u8",15]],["u8",15]]],[11,"bitand","","",551,[[["i64",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"bitand","std","",554,[[["i128",15]]]],[11,"bitand","","",548,[[["i16",15]]]],[11,"bitand","","",559,[[["i32",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"bitand","std","",552,[[["isize",15]],["isize",15]]],[11,"bitand","","",558,[[["bool",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"bitand","std","",556,[[["u16",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","","",37,[[["wrapping",3]]]],[11,"bitand","std","",551,[[["i64",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",555,[[["i8",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"bitand","std","",556,[[["u16",15]]]],[11,"bitand","","",549,[[["u8",15]]]],[11,"bitand","","",550,[[["u64",15]]]],[11,"bitand","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"bitand","std","",554,[[["i128",15]]]],[11,"bitand","","",557,[[["usize",15]]]],[11,"bitand","","",553,[[["u32",15]]]],[11,"bitand","","",550,[[["u64",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",551,[[["i64",15]],["i64",15]]],[11,"bitand","","",559,[[["i32",15]],["i32",15]]],[11,"bitand","","",553,[[["u32",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"bitand","","",37,[[["wrapping",3]]]],[11,"bitand","std","",557,[[["usize",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",550,[[["u64",15]],["u64",15]]],[11,"bitand","","",557,[[["usize",15]],["usize",15]]],[11,"bitand","","",560,[[["u128",15]],["u128",15]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",554,[[["i128",15]],["i128",15]]],[11,"bitand","","",558,[[["bool",15]],["bool",15]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","std","",558,[[["bool",15]]]],[11,"bitand","","",558,[[["bool",15]]]],[11,"bitand","","",552,[[["isize",15]]]],[11,"bitand","","",556,[[["u16",15]]]],[11,"bitand","","",548,[[["i16",15]]]],[11,"bitand","","",549,[[["u8",15]]]],[11,"bitand","","",553,[[["u32",15]],["u32",15]]],[11,"bitand","","",553,[[["u32",15]]]],[11,"bitand","","",554,[[["i128",15]]]],[11,"bitand","std::num","",37,[[["wrapping",3]]]],[11,"bitand","","",37,[[["wrapping",3]]]],[11,"bitand","","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"bitand","std","",555,[[["i8",15]],["i8",15]]],[11,"bitand","","",550,[[["u64",15]]]],[11,"bitand","","",548,[[["i16",15]],["i16",15]]],[11,"bitand","std::num","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"bitor_assign","std","",550,[[["u64",15]]]],[11,"bitor_assign","","",551,[[["i64",15]]]],[11,"bitor_assign","","",555,[[["i8",15]]]],[11,"bitor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",340,[[["nonzeroi64",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["u32",15]]]],[11,"bitor_assign","std","",552,[[["isize",15]]]],[11,"bitor_assign","","",553,[[["u32",15]]]],[11,"bitor_assign","std::num","",342,[[["nonzeroisize",3]]]],[11,"bitor_assign","std","",555,[[["i8",15]]]],[11,"bitor_assign","","",552,[[["isize",15]]]],[11,"bitor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitor_assign","std","",554,[[["i128",15]]]],[11,"bitor_assign","","",556,[[["u16",15]]]],[11,"bitor_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"bitor_assign","std","",556,[[["u16",15]]]],[11,"bitor_assign","std::num","",347,[[["u8",15]]]],[11,"bitor_assign","","",344,[[["u16",15]]]],[11,"bitor_assign","","",343,[[["u128",15]]]],[11,"bitor_assign","std","",560,[[["u128",15]]]],[11,"bitor_assign","","",557,[[["usize",15]]]],[11,"bitor_assign","std::num","",37,[[["isize",15],["wrapping",3]]]],[11,"bitor_assign","std","",558,[[["bool",15]]]],[11,"bitor_assign","","",549,[[["u8",15]]]],[11,"bitor_assign","","",553,[[["u32",15]]]],[11,"bitor_assign","","",548,[[["i16",15]]]],[11,"bitor_assign","std::num","",37,[[["i128",15],["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","std","",550,[[["u64",15]]]],[11,"bitor_assign","","",549,[[["u8",15]]]],[11,"bitor_assign","std::num","",337,[[["nonzeroi128",3]]]],[11,"bitor_assign","","",341,[[["i8",15]]]],[11,"bitor_assign","","",346,[[["u64",15]]]],[11,"bitor_assign","","",345,[[["nonzerou32",3]]]],[11,"bitor_assign","std","",548,[[["i16",15]]]],[11,"bitor_assign","std::num","",348,[[["nonzerousize",3]]]],[11,"bitor_assign","","",338,[[["nonzeroi16",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["i32",15]]]],[11,"bitor_assign","std","",559,[[["i32",15]]]],[11,"bitor_assign","","",559,[[["i32",15]]]],[11,"bitor_assign","std::num","",340,[[["i64",15]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["usize",15]]]],[11,"bitor_assign","","",37,[[["i64",15],["wrapping",3]]]],[11,"bitor_assign","","",342,[[["isize",15]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",344,[[["nonzerou16",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","std","",557,[[["usize",15]]]],[11,"bitor_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"bitor_assign","std","",560,[[["u128",15]]]],[11,"bitor_assign","std::num","",338,[[["i16",15]]]],[11,"bitor_assign","","",339,[[["i32",15]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["u64",15]]]],[11,"bitor_assign","","",339,[[["nonzeroi32",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","std","",551,[[["i64",15]]]],[11,"bitor_assign","std::num","",348,[[["usize",15]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["i16",15]]]],[11,"bitor_assign","","",337,[[["i128",15]]]],[11,"bitor_assign","","",343,[[["nonzerou128",3]]]],[11,"bitor_assign","","",341,[[["nonzeroi8",3]]]],[11,"bitor_assign","","",345,[[["u32",15]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["i8",15]]]],[11,"bitor_assign","","",347,[[["nonzerou8",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3],["u16",15]]]],[11,"bitor_assign","","",346,[[["nonzerou64",3]]]],[11,"bitor_assign","std","",554,[[["i128",15]]]],[11,"bitor_assign","std::num","",37,[[["wrapping",3]]]],[11,"bitor_assign","","",37,[[["wrapping",3]]]],[11,"bitor_assign","std","",558,[[["bool",15]]]],[11,"poll","std::future","",498,[[["context",3],["pin",3],["pollfn",3]],["poll",4]]],[11,"poll","","",497,[[["context",3],["ready",3],["pin",3]],["poll",4]]],[11,"poll","std","",565,[[["context",3],["pin",3]],["poll",4]]],[11,"poll","std::future","",496,[[["context",3],["pin",3],["pending",3]],["poll",4]]],[11,"poll","std::pin","",543,[[["pin",3],["pin",3],["context",3]],["poll",4]]],[11,"from_iter","std","",572,[[]]],[11,"from_iter","std::option","Takes each element in the [<code>Iterator</code>]: if it is [<code>None</code>][…",210,[[],["option",4]]],[11,"from_iter","std::result","Takes each element in the <code>Iterator</code>: if it is an <code>Err</code>, no …",212,[[],["result",4]]],[11,"mul_assign","std","",559,[[["i32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","","",37,[[["wrapping",3],["i32",15]]]],[11,"mul_assign","std","",550,[[["u64",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["usize",15]]]],[11,"mul_assign","std","",554,[[["i128",15]]]],[11,"mul_assign","","",549,[[["u8",15]]]],[11,"mul_assign","","",556,[[["u16",15]]]],[11,"mul_assign","","",550,[[["u64",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["u8",15]]]],[11,"mul_assign","","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",551,[[["i64",15]]]],[11,"mul_assign","","",554,[[["i128",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",561,[[["f64",15]]]],[11,"mul_assign","","",556,[[["u16",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["u16",15]]]],[11,"mul_assign","","",37,[[["wrapping",3]]]],[11,"mul_assign","","",37,[[["i128",15],["wrapping",3]]]],[11,"mul_assign","std","",557,[[["usize",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","","",37,[[["wrapping",3],["u32",15]]]],[11,"mul_assign","std","",553,[[["u32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",552,[[["isize",15]]]],[11,"mul_assign","","",555,[[["i8",15]]]],[11,"mul_assign","","",557,[[["usize",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["u64",15]]]],[11,"mul_assign","std","",548,[[["i16",15]]]],[11,"mul_assign","","",553,[[["u32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",562,[[["f32",15]]]],[11,"mul_assign","","",551,[[["i64",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["u128",15]]]],[11,"mul_assign","std","",562,[[["f32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",552,[[["isize",15]]]],[11,"mul_assign","std::num","",37,[[["i64",15],["wrapping",3]]]],[11,"mul_assign","","",37,[[["isize",15],["wrapping",3]]]],[11,"mul_assign","std","",561,[[["f64",15]]]],[11,"mul_assign","","",548,[[["i16",15]]]],[11,"mul_assign","","",559,[[["i32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3],["i16",15]]]],[11,"mul_assign","","",37,[[["wrapping",3],["i8",15]]]],[11,"mul_assign","std","",549,[[["u8",15]]]],[11,"mul_assign","","",555,[[["i8",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","std","",560,[[["u128",15]]]],[11,"mul_assign","","",560,[[["u128",15]]]],[11,"mul_assign","std::time","",393,[[["u32",15]]]],[11,"mul_assign","std::num","",37,[[["wrapping",3]]]],[11,"mul_assign","","",37,[[["wrapping",3]]]],[11,"mul_assign","","",37,[[["wrapping",3]]]],[11,"neg","std","",552,[[],["isize",15]]],[11,"neg","std::num","",37,[[],[["wrapping",3],["usize",15]]]],[11,"neg","std","",555,[[],["i8",15]]],[11,"neg","std::num","",37,[[],[["u64",15],["wrapping",3]]]],[11,"neg","","",37,[[],[["i64",15],["wrapping",3]]]],[11,"neg","","",37,[[],[["wrapping",3],["i16",15]]]],[11,"neg","std","",551,[[],["i64",15]]],[11,"neg","","",554,[[]]],[11,"neg","","",548,[[]]],[11,"neg","","",559,[[]]],[11,"neg","std::num","",37,[[],[["i128",15],["wrapping",3]]]],[11,"neg","std","",561,[[],["f64",15]]],[11,"neg","","",551,[[]]],[11,"neg","","",559,[[],["i32",15]]],[11,"neg","","",555,[[]]],[11,"neg","","",562,[[]]],[11,"neg","","",552,[[]]],[11,"neg","std::num","",37,[[],[["u8",15],["wrapping",3]]]],[11,"neg","std","",554,[[],["i128",15]]],[11,"neg","std::num","",37,[[],[["wrapping",3],["u128",15]]]],[11,"neg","","",37,[[],[["wrapping",3],["i32",15]]]],[11,"neg","std","",548,[[],["i16",15]]],[11,"neg","std::num","",37,[[],[["i8",15],["wrapping",3]]]],[11,"neg","","",37,[[],[["wrapping",3],["u32",15]]]],[11,"neg","","",37,[[],[["wrapping",3],["u16",15]]]],[11,"neg","std","",561,[[]]],[11,"neg","std::num","",37,[[],[["isize",15],["wrapping",3]]]],[11,"neg","std","",562,[[],["f32",15]]],[11,"fmt","","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",562,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",561,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"index","","",563,[[]]],[11,"index","","",566,[[]]],[11,"index","","",564,[[]]],[11,"div","","",550,[[["u64",15]]]],[11,"div","","",554,[[["i128",15]],["i128",15]]],[11,"div","","",548,[[["i16",15]]]],[11,"div","","",562,[[["f32",15]]]],[11,"div","","",553,[[["u32",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",552,[[["isize",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",560,[[["u128",15]],["u128",15]]],[11,"div","std::num","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"div","std","",549,[[["u8",15]]]],[11,"div","","",550,[[["u64",15]]]],[11,"div","","",560,[[["u128",15]]]],[11,"div","","",548,[[["i16",15]]]],[11,"div","","",551,[[["i64",15]]]],[11,"div","","",548,[[["i16",15]],["i16",15]]],[11,"div","","",556,[[["u16",15]]]],[11,"div","","",556,[[["u16",15]]]],[11,"div","","",554,[[["i128",15]]]],[11,"div","std::num","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"div","","",37,[[["wrapping",3]]]],[11,"div","std","",555,[[["i8",15]]]],[11,"div","","",561,[[["f64",15]],["f64",15]]],[11,"div","","",555,[[["i8",15]]]],[11,"div","std::num","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"div","std","This operation rounds towards zero, truncating any …",553,[[["nonzerou32",3]],["u32",15]]],[11,"div","","This operation rounds towards zero, truncating any …",549,[[["nonzerou8",3]],["u8",15]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",559,[[["i32",15]],["i32",15]]],[11,"div","","",562,[[["f32",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",551,[[["i64",15]],["i64",15]]],[11,"div","","",554,[[["i128",15]]]],[11,"div","std::time","",393,[[["u32",15]],["duration",3]]],[11,"div","std","",553,[[["u32",15]]]],[11,"div","std::num","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"div","std","",549,[[["u8",15]]]],[11,"div","","",549,[[["u8",15]],["u8",15]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",561,[[["f64",15]]]],[11,"div","","",562,[[["f32",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","This operation rounds towards zero, truncating any …",557,[[["nonzerousize",3]],["usize",15]]],[11,"div","","",562,[[["f32",15]],["f32",15]]],[11,"div","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"div","std","",561,[[["f64",15]]]],[11,"div","","",551,[[["i64",15]]]],[11,"div","","This operation rounds towards zero, truncating any …",556,[[["nonzerou16",3]],["u16",15]]],[11,"div","","",548,[[["i16",15]]]],[11,"div","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"div","","",37,[[["wrapping",3]]]],[11,"div","","",37,[[["wrapping",3]]]],[11,"div","","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"div","std","",553,[[["u32",15]]]],[11,"div","","",561,[[["f64",15]]]],[11,"div","","",550,[[["u64",15]],["u64",15]]],[11,"div","","",553,[[["u32",15]],["u32",15]]],[11,"div","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"div","std","",555,[[["i8",15]]]],[11,"div","","",559,[[["i32",15]]]],[11,"div","","",552,[[["isize",15]]]],[11,"div","","",557,[[["usize",15]],["usize",15]]],[11,"div","","",559,[[["i32",15]]]],[11,"div","","",557,[[["usize",15]]]],[11,"div","","",557,[[["usize",15]]]],[11,"div","","",552,[[["isize",15]],["isize",15]]],[11,"div","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"div","std","",557,[[["usize",15]]]],[11,"div","","",550,[[["u64",15]]]],[11,"div","","",560,[[["u128",15]]]],[11,"div","","",560,[[["u128",15]]]],[11,"div","","",556,[[["u16",15]],["u16",15]]],[11,"div","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"div","std","This operation rounds towards zero, truncating any …",560,[[["nonzerou128",3]],["u128",15]]],[11,"div","","",556,[[["u16",15]]]],[11,"div","","This operation rounds towards zero, truncating any …",550,[[["nonzerou64",3]],["u64",15]]],[11,"div","","",559,[[["i32",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",555,[[["i8",15]],["i8",15]]],[11,"div","","",552,[[["isize",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","std","",549,[[["u8",15]]]],[11,"div","std::num","",37,[[["wrapping",3]]]],[11,"div","","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"div","std","",551,[[["i64",15]]]],[11,"div","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"div","std","",554,[[["i128",15]]]],[11,"fmt","std::char","",487,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",336,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",562,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",454,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",483,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::panic","",355,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",490,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",452,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",558,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",482,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",335,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",481,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",492,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",486,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",567,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",491,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",450,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",451,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::array","",477,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::convert","",495,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",571,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::pin","",543,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::fmt","",406,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",494,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",401,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ascii","",216,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",484,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",566,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",403,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",334,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",453,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::panic","",354,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",561,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",489,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::fmt","",407,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",488,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"call_once","std","",565,[[]]],[11,"call_once","","",565,[[]]],[11,"as_mut","","",565,[[]]],[11,"as_mut","","",566,[[],["str",15]]],[11,"as_mut","","",564,[[]]],[11,"as_mut","","",563,[[]]],[11,"next_back","std::str::pattern","",442,[[],["searchstep",4]]],[11,"next_match_back","","",442,[[],["option",4]]],[11,"next_reject_back","","",442,[[],["option",4]]],[11,"next_back","","",440,[[],["searchstep",4]]],[11,"next_match_back","","",440,[[],["option",4]]],[11,"next_back","","",443,[[],["searchstep",4]]],[11,"next_match_back","","",443,[[],["option",4]]],[11,"next_back","","",441,[[],["searchstep",4]]],[11,"next_match_back","","",441,[[],["option",4]]],[11,"next_reject_back","","",441,[[],["option",4]]],[11,"shr","std","",559,[[["u32",15]]]],[11,"shr","","",550,[[["u128",15]]]],[11,"shr","","",559,[[["i64",15]]]],[11,"shr","","",560,[[["i64",15]]]],[11,"shr","","",553,[[["usize",15]]]],[11,"shr","","",560,[[["i8",15]]]],[11,"shr","","",549,[[["u32",15]],["u8",15]]],[11,"shr","","",556,[[["i32",15]]]],[11,"shr","","",551,[[["i64",15]],["i64",15]]],[11,"shr","","",555,[[["i128",15]]]],[11,"shr","","",555,[[["i8",15]]]],[11,"shr","","",560,[[["i32",15]],["u128",15]]],[11,"shr","","",554,[[["u32",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["u32",15]]]],[11,"shr","std","",560,[[["u128",15]]]],[11,"shr","","",554,[[["i32",15]]]],[11,"shr","","",549,[[["usize",15]]]],[11,"shr","","",550,[[["i64",15]],["u64",15]]],[11,"shr","","",552,[[["i8",15]],["isize",15]]],[11,"shr","","",554,[[["i16",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["u64",15],["wrapping",3]]]],[11,"shr","std","",550,[[["isize",15]]]],[11,"shr","","",557,[[["i64",15]]]],[11,"shr","","",556,[[["i8",15]]]],[11,"shr","","",549,[[["i128",15]]]],[11,"shr","","",552,[[["i32",15]]]],[11,"shr","","",548,[[["i8",15]]]],[11,"shr","","",560,[[["u8",15]]]],[11,"shr","","",557,[[["i8",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["u128",15]]]],[11,"shr","std","",552,[[["u16",15]]]],[11,"shr","","",560,[[["usize",15]],["u128",15]]],[11,"shr","","",554,[[["i16",15]]]],[11,"shr","","",548,[[["u32",15]]]],[11,"shr","","",560,[[["i16",15]]]],[11,"shr","","",550,[[["u128",15]]]],[11,"shr","","",559,[[["isize",15]]]],[11,"shr","","",549,[[["i32",15]]]],[11,"shr","","",548,[[["i128",15]],["i16",15]]],[11,"shr","","",557,[[["u64",15]]]],[11,"shr","","",551,[[["i32",15]],["i64",15]]],[11,"shr","","",549,[[["i8",15]]]],[11,"shr","","",557,[[["u128",15]]]],[11,"shr","","",549,[[["u128",15]]]],[11,"shr","","",554,[[["u16",15]]]],[11,"shr","","",550,[[["i32",15]]]],[11,"shr","","",555,[[["usize",15]]]],[11,"shr","","",560,[[["i128",15]]]],[11,"shr","","",551,[[["usize",15]]]],[11,"shr","","",556,[[["i64",15]]]],[11,"shr","","",560,[[["usize",15]]]],[11,"shr","","",556,[[["u8",15]]]],[11,"shr","","",548,[[["u128",15]]]],[11,"shr","","",553,[[["i16",15]]]],[11,"shr","","",556,[[["u8",15]]]],[11,"shr","","",553,[[["u128",15]]]],[11,"shr","","",548,[[["u8",15]],["i16",15]]],[11,"shr","","",559,[[["u128",15]],["i32",15]]],[11,"shr","","",550,[[["i16",15]],["u64",15]]],[11,"shr","","",551,[[["u64",15]]]],[11,"shr","","",556,[[["u32",15]],["u16",15]]],[11,"shr","","",551,[[["u32",15]],["i64",15]]],[11,"shr","","",555,[[["i64",15]]]],[11,"shr","","",548,[[["i64",15]]]],[11,"shr","","",557,[[["u8",15]]]],[11,"shr","","",559,[[["u8",15]]]],[11,"shr","","",553,[[["u64",15]]]],[11,"shr","","",549,[[["usize",15]],["u8",15]]],[11,"shr","","",560,[[["i128",15]]]],[11,"shr","","",548,[[["u128",15]]]],[11,"shr","","",548,[[["i16",15]],["i16",15]]],[11,"shr","","",555,[[["i16",15]]]],[11,"shr","","",553,[[["i8",15]],["u32",15]]],[11,"shr","","",553,[[["u8",15]]]],[11,"shr","","",551,[[["u16",15]]]],[11,"shr","","",560,[[["u16",15]]]],[11,"shr","","",552,[[["u16",15]],["isize",15]]],[11,"shr","","",557,[[["u32",15]]]],[11,"shr","","",549,[[["u128",15]]]],[11,"shr","","",552,[[["usize",15]]]],[11,"shr","","",549,[[["i64",15]]]],[11,"shr","","",559,[[["i16",15]]]],[11,"shr","","",549,[[["i8",15]],["u8",15]]],[11,"shr","","",550,[[["u8",15]]]],[11,"shr","","",554,[[["usize",15]]]],[11,"shr","","",552,[[["i128",15]]]],[11,"shr","","",559,[[["u16",15]],["i32",15]]],[11,"shr","","",549,[[["isize",15]]]],[11,"shr","","",550,[[["u128",15]],["u64",15]]],[11,"shr","","",557,[[["u16",15]]]],[11,"shr","","",555,[[["u128",15]],["i8",15]]],[11,"shr","","",555,[[["u8",15]]]],[11,"shr","","",555,[[["usize",15]]]],[11,"shr","","",557,[[["isize",15]]]],[11,"shr","","",554,[[["i8",15]]]],[11,"shr","","",560,[[["u16",15]]]],[11,"shr","","",555,[[["u16",15]],["i8",15]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",555,[[["isize",15]]]],[11,"shr","","",548,[[["usize",15]]]],[11,"shr","","",554,[[["u128",15]]]],[11,"shr","","",560,[[["i16",15]]]],[11,"shr","","",549,[[["i32",15]],["u8",15]]],[11,"shr","","",555,[[["u16",15]]]],[11,"shr","","",553,[[["u16",15]],["u32",15]]],[11,"shr","","",548,[[["u16",15]],["i16",15]]],[11,"shr","","",551,[[["u128",15]]]],[11,"shr","","",552,[[["u8",15]]]],[11,"shr","","",552,[[["u128",15]]]],[11,"shr","","",554,[[["usize",15]]]],[11,"shr","","",557,[[["u16",15]]]],[11,"shr","","",556,[[["u16",15]],["u16",15]]],[11,"shr","","",548,[[["i8",15]]]],[11,"shr","","",556,[[["usize",15]]]],[11,"shr","","",548,[[["isize",15]]]],[11,"shr","","",550,[[["u32",15]]]],[11,"shr","","",552,[[["u128",15]]]],[11,"shr","","",557,[[["i32",15]],["usize",15]]],[11,"shr","","",554,[[["i8",15]]]],[11,"shr","","",560,[[["i8",15]],["u128",15]]],[11,"shr","","",555,[[["i64",15]]]],[11,"shr","","",548,[[["i16",15]]]],[11,"shr","","",551,[[["u8",15]],["i64",15]]],[11,"shr","","",549,[[["isize",15]]]],[11,"shr","","",552,[[["i128",15]],["isize",15]]],[11,"shr","","",559,[[["u8",15]]]],[11,"shr","","",556,[[["i8",15]],["u16",15]]],[11,"shr","","",552,[[["u64",15]]]],[11,"shr","","",557,[[["i32",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["i8",15],["wrapping",3]]]],[11,"shr","std","",559,[[["i8",15]]]],[11,"shr","","",556,[[["i16",15]]]],[11,"shr","","",559,[[["usize",15]]]],[11,"shr","","",552,[[["i8",15]]]],[11,"shr","","",556,[[["usize",15]]]],[11,"shr","","",553,[[["i128",15]],["u32",15]]],[11,"shr","","",556,[[["u32",15]]]],[11,"shr","","",552,[[["i64",15]]]],[11,"shr","","",556,[[["u64",15]],["u16",15]]],[11,"shr","","",548,[[["u64",15]]]],[11,"shr","","",553,[[["i128",15]]]],[11,"shr","","",551,[[["isize",15]]]],[11,"shr","","",557,[[["u8",15]]]],[11,"shr","","",554,[[["i64",15]]]],[11,"shr","","",554,[[["i64",15]]]],[11,"shr","","",556,[[["u128",15]]]],[11,"shr","","",553,[[["isize",15]]]],[11,"shr","","",554,[[["u8",15]]]],[11,"shr","","",552,[[["i64",15]]]],[11,"shr","","",551,[[["u32",15]]]],[11,"shr","","",553,[[["i8",15]]]],[11,"shr","","",555,[[["u128",15]]]],[11,"shr","","",556,[[["i16",15]]]],[11,"shr","","",554,[[["i8",15]],["i128",15]]],[11,"shr","","",553,[[["u32",15]]]],[11,"shr","","",550,[[["i16",15]]]],[11,"shr","","",552,[[["usize",15]]]],[11,"shr","","",555,[[["u32",15]],["i8",15]]],[11,"shr","","",548,[[["i32",15]]]],[11,"shr","","",550,[[["u8",15]],["u64",15]]],[11,"shr","","",559,[[["u64",15]]]],[11,"shr","","",556,[[["i32",15]]]],[11,"shr","","",556,[[["i8",15]]]],[11,"shr","","",557,[[["i128",15]]]],[11,"shr","","",557,[[["i8",15]],["usize",15]]],[11,"shr","","",553,[[["i64",15]],["u32",15]]],[11,"shr","","",556,[[["isize",15]],["u16",15]]],[11,"shr","","",553,[[["i64",15]]]],[11,"shr","","",557,[[["i64",15]]]],[11,"shr","","",550,[[["isize",15]]]],[11,"shr","","",554,[[["i16",15]],["i128",15]]],[11,"shr","","",553,[[["u64",15]],["u32",15]]],[11,"shr","","",552,[[["u16",15]]]],[11,"shr","","",559,[[["isize",15]]]],[11,"shr","","",551,[[["i64",15]]]],[11,"shr","","",560,[[["usize",15]]]],[11,"shr","","",557,[[["i16",15]]]],[11,"shr","","",554,[[["u32",15]]]],[11,"shr","","",551,[[["u64",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",550,[[["i16",15]]]],[11,"shr","","",560,[[["i128",15]]]],[11,"shr","","",550,[[["i128",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",550,[[["u64",15]]]],[11,"shr","","",548,[[["isize",15]]]],[11,"shr","","",548,[[["u16",15]]]],[11,"shr","","",550,[[["i64",15]]]],[11,"shr","","",557,[[["u32",15]]]],[11,"shr","","",554,[[["isize",15]]]],[11,"shr","","",554,[[["usize",15]]]],[11,"shr","","",550,[[["i8",15]],["u64",15]]],[11,"shr","","",553,[[["i32",15]],["u32",15]]],[11,"shr","","",557,[[["u64",15]],["usize",15]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["usize",15]]]],[11,"shr","std","",548,[[["i8",15]]]],[11,"shr","","",551,[[["i128",15]]]],[11,"shr","","",560,[[["i16",15]]]],[11,"shr","","",557,[[["usize",15]]]],[11,"shr","","",556,[[["i64",15]]]],[11,"shr","","",552,[[["i8",15]]]],[11,"shr","","",556,[[["isize",15]]]],[11,"shr","","",554,[[["i64",15]],["i128",15]]],[11,"shr","","",550,[[["i128",15]]]],[11,"shr","","",557,[[["i32",15]]]],[11,"shr","","",548,[[["i128",15]]]],[11,"shr","","",559,[[["i64",15]],["i32",15]]],[11,"shr","","",557,[[["u16",15]],["usize",15]]],[11,"shr","","",554,[[["i128",15]],["i128",15]]],[11,"shr","","",549,[[["i128",15]]]],[11,"shr","","",555,[[["u32",15]]]],[11,"shr","","",556,[[["u64",15]]]],[11,"shr","","",559,[[["u16",15]]]],[11,"shr","","",557,[[["i8",15]]]],[11,"shr","","",552,[[["isize",15]],["isize",15]]],[11,"shr","","",551,[[["i64",15]]]],[11,"shr","","",559,[[["u128",15]]]],[11,"shr","","",556,[[["i32",15]]]],[11,"shr","","",550,[[["i8",15]]]],[11,"shr","","",560,[[["u64",15]]]],[11,"shr","","",548,[[["i32",15]]]],[11,"shr","","",552,[[["u64",15]],["isize",15]]],[11,"shr","","",557,[[["isize",15]]]],[11,"shr","","",553,[[["i8",15]]]],[11,"shr","","",556,[[["usize",15]],["u16",15]]],[11,"shr","","",548,[[["u8",15]]]],[11,"shr","","",559,[[["u8",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["u8",15],["wrapping",3]]]],[11,"shr","std","",548,[[["u32",15]]]],[11,"shr","","",559,[[["i32",15]]]],[11,"shr","","",553,[[["isize",15]],["u32",15]]],[11,"shr","","",553,[[["i128",15]]]],[11,"shr","","",554,[[["i32",15]]]],[11,"shr","","",553,[[["usize",15]]]],[11,"shr","","",554,[[["u32",15]],["i128",15]]],[11,"shr","","",551,[[["i16",15]],["i64",15]]],[11,"shr","","",550,[[["u32",15]]]],[11,"shr","","",549,[[["i128",15]]]],[11,"shr","","",554,[[["i8",15]]]],[11,"shr","","",550,[[["u16",15]]]],[11,"shr","","",559,[[["u64",15]]]],[11,"shr","","",559,[[["isize",15]],["i32",15]]],[11,"shr","","",555,[[["u128",15]]]],[11,"shr","","",548,[[["u64",15]],["i16",15]]],[11,"shr","","",550,[[["i64",15]]]],[11,"shr","","",555,[[["i128",15]]]],[11,"shr","","",549,[[["isize",15]],["u8",15]]],[11,"shr","","",554,[[["u8",15]]]],[11,"shr","","",551,[[["u64",15]]]],[11,"shr","","",552,[[["u32",15]]]],[11,"shr","","",559,[[["i128",15]]]],[11,"shr","","",560,[[["i32",15]]]],[11,"shr","","",553,[[["i64",15]]]],[11,"shr","","",560,[[["u8",15]]]],[11,"shr","","",550,[[["isize",15]],["u64",15]]],[11,"shr","","",548,[[["u64",15]]]],[11,"shr","","",560,[[["u32",15]],["u128",15]]],[11,"shr","","",553,[[["u8",15]],["u32",15]]],[11,"shr","","",553,[[["i128",15]]]],[11,"shr","","",555,[[["u128",15]]]],[11,"shr","","",560,[[["u8",15]],["u128",15]]],[11,"shr","","",555,[[["i128",15]]]],[11,"shr","","",560,[[["isize",15]]]],[11,"shr","","",551,[[["i8",15]]]],[11,"shr","","",550,[[["i16",15]]]],[11,"shr","","",559,[[["i32",15]]]],[11,"shr","","",559,[[["u8",15]],["i32",15]]],[11,"shr","","",549,[[["i8",15]]]],[11,"shr","","",556,[[["u128",15]]]],[11,"shr","","",553,[[["usize",15]],["u32",15]]],[11,"shr","","",552,[[["i128",15]]]],[11,"shr","","",553,[[["u32",15]]]],[11,"shr","","",554,[[["isize",15]],["i128",15]]],[11,"shr","","",554,[[["isize",15]]]],[11,"shr","","",554,[[["i128",15]]]],[11,"shr","","",549,[[["usize",15]]]],[11,"shr","","",560,[[["u32",15]]]],[11,"shr","","",556,[[["i8",15]]]],[11,"shr","","",556,[[["i128",15]]]],[11,"shr","","",553,[[["i32",15]]]],[11,"shr","","",549,[[["u8",15]],["u8",15]]],[11,"shr","","",555,[[["u64",15]]]],[11,"shr","","",552,[[["u64",15]]]],[11,"shr","","",548,[[["u64",15]]]],[11,"shr","","",554,[[["usize",15]],["i128",15]]],[11,"shr","","",549,[[["isize",15]]]],[11,"shr","","",550,[[["i64",15]]]],[11,"shr","","",556,[[["u8",15]]]],[11,"shr","","",560,[[["usize",15]]]],[11,"shr","","",553,[[["u128",15]]]],[11,"shr","","",551,[[["i8",15]]]],[11,"shr","","",557,[[["u8",15]]]],[11,"shr","","",551,[[["usize",15]]]],[11,"shr","","",559,[[["u32",15]],["i32",15]]],[11,"shr","","",551,[[["i8",15]]]],[11,"shr","","",556,[[["i128",15]]]],[11,"shr","","",551,[[["i32",15]]]],[11,"shr","","",552,[[["i16",15]]]],[11,"shr","","",549,[[["u16",15]]]],[11,"shr","","",553,[[["isize",15]]]],[11,"shr","","",559,[[["i16",15]],["i32",15]]],[11,"shr","","",549,[[["u8",15]]]],[11,"shr","","",556,[[["u128",15]]]],[11,"shr","","",551,[[["usize",15]],["i64",15]]],[11,"shr","","",552,[[["i32",15]]]],[11,"shr","","",557,[[["i128",15]]]],[11,"shr","","",555,[[["u64",15]]]],[11,"shr","","",555,[[["i64",15]],["i8",15]]],[11,"shr","","",549,[[["u64",15]],["u8",15]]],[11,"shr","","",550,[[["usize",15]]]],[11,"shr","","",556,[[["u32",15]]]],[11,"shr","","",552,[[["u32",15]],["isize",15]]],[11,"shr","","",559,[[["i8",15]]]],[11,"shr","","",551,[[["isize",15]],["i64",15]]],[11,"shr","","",549,[[["i64",15]]]],[11,"shr","","",549,[[["u32",15]]]],[11,"shr","","",548,[[["usize",15]]]],[11,"shr","","",559,[[["u32",15]]]],[11,"shr","","",555,[[["i16",15]]]],[11,"shr","","",553,[[["u64",15]]]],[11,"shr","","",549,[[["u16",15]],["u8",15]]],[11,"shr","","",555,[[["i64",15]]]],[11,"shr","","",556,[[["i16",15]],["u16",15]]],[11,"shr","","",559,[[["u64",15]],["i32",15]]],[11,"shr","","",551,[[["u128",15]],["i64",15]]],[11,"shr","","",551,[[["i16",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",557,[[["u8",15]],["usize",15]]],[11,"shr","","",559,[[["u16",15]]]],[11,"shr","","",549,[[["u32",15]]]],[11,"shr","","",556,[[["u16",15]]]],[11,"shr","","",552,[[["u8",15]],["isize",15]]],[11,"shr","","",549,[[["i64",15]]]],[11,"shr","","",557,[[["usize",15]],["usize",15]]],[11,"shr","","",550,[[["u64",15]]]],[11,"shr","","",552,[[["i128",15]]]],[11,"shr","","",550,[[["u8",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["u16",15]]]],[11,"shr","","",37,[[["usize",15]]]],[11,"shr","std","",554,[[["u16",15]],["i128",15]]],[11,"shr","","",555,[[["i16",15]],["i8",15]]],[11,"shr","","",553,[[["u32",15]],["u32",15]]],[11,"shr","","",557,[[["u64",15]]]],[11,"shr","","",560,[[["isize",15]]]],[11,"shr","","",552,[[["usize",15]]]],[11,"shr","","",549,[[["u16",15]]]],[11,"shr","","",552,[[["i16",15]]]],[11,"shr","","",555,[[["u32",15]]]],[11,"shr","","",557,[[["isize",15]]]],[11,"shr","","",549,[[["u16",15]]]],[11,"shr","","",554,[[["i16",15]]]],[11,"shr","","",555,[[["u64",15]],["i8",15]]],[11,"shr","","",553,[[["i32",15]]]],[11,"shr","","",554,[[["u16",15]]]],[11,"shr","","",550,[[["u16",15]]]],[11,"shr","","",557,[[["i64",15]]]],[11,"shr","","",559,[[["i64",15]]]],[11,"shr","","",548,[[["i64",15]]]],[11,"shr","","",551,[[["isize",15]]]],[11,"shr","","",559,[[["i32",15]],["i32",15]]],[11,"shr","","",553,[[["u128",15]]]],[11,"shr","","",549,[[["usize",15]]]],[11,"shr","","",550,[[["u8",15]]]],[11,"shr","","",552,[[["u64",15]]]],[11,"shr","","",549,[[["i32",15]]]],[11,"shr","","",552,[[["u128",15]],["isize",15]]],[11,"shr","","",556,[[["i64",15]]]],[11,"shr","","",560,[[["u16",15]],["u128",15]]],[11,"shr","","",556,[[["u32",15]]]],[11,"shr","","",554,[[["u64",15]]]],[11,"shr","","",551,[[["u32",15]]]],[11,"shr","","",560,[[["i128",15]],["u128",15]]],[11,"shr","","",550,[[["u32",15]]]],[11,"shr","","",550,[[["i32",15]]]],[11,"shr","","",548,[[["i64",15]]]],[11,"shr","","",554,[[["i32",15]]]],[11,"shr","","",556,[[["u128",15]],["u16",15]]],[11,"shr","","",552,[[["u32",15]]]],[11,"shr","","",555,[[["i32",15]]]],[11,"shr","","",554,[[["i128",15]]]],[11,"shr","","",550,[[["i32",15]]]],[11,"shr","","",548,[[["u128",15]],["i16",15]]],[11,"shr","","",551,[[["i128",15]],["i64",15]]],[11,"shr","","",555,[[["i16",15]]]],[11,"shr","","",551,[[["u16",15]],["i64",15]]],[11,"shr","","",553,[[["i8",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["isize",15],["wrapping",3]]]],[11,"shr","","",37,[[["usize",15]]]],[11,"shr","std","",559,[[["u32",15]]]],[11,"shr","","",548,[[["u8",15]]]],[11,"shr","","",559,[[["i16",15]]]],[11,"shr","","",550,[[["i8",15]]]],[11,"shr","","",551,[[["u16",15]]]],[11,"shr","","",554,[[["u64",15]],["i128",15]]],[11,"shr","","",548,[[["i16",15]]]],[11,"shr","","",556,[[["i128",15]]]],[11,"shr","","",560,[[["i64",15]]]],[11,"shr","","",555,[[["u8",15]]]],[11,"shr","","",553,[[["u8",15]]]],[11,"shr","","",554,[[["isize",15]]]],[11,"shr","","",549,[[["i16",15]]]],[11,"shr","","",551,[[["isize",15]]]],[11,"shr","","",548,[[["u16",15]]]],[11,"shr","","",553,[[["isize",15]]]],[11,"shr","","",549,[[["i64",15]],["u8",15]]],[11,"shr","","",559,[[["u128",15]]]],[11,"shr","","",552,[[["isize",15]]]],[11,"shr","","",552,[[["u128",15]]]],[11,"shr","","",555,[[["u64",15]]]],[11,"shr","","",560,[[["i64",15]],["u128",15]]],[11,"shr","","",551,[[["i128",15]]]],[11,"shr","","",548,[[["usize",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["i64",15],["wrapping",3]]]],[11,"shr","std","",555,[[["usize",15]],["i8",15]]],[11,"shr","","",560,[[["u32",15]]]],[11,"shr","","",549,[[["u128",15]],["u8",15]]],[11,"shr","","",555,[[["isize",15]]]],[11,"shr","","",556,[[["u16",15]]]],[11,"shr","","",556,[[["i16",15]]]],[11,"shr","","",557,[[["u16",15]]]],[11,"shr","","",557,[[["i8",15]]]],[11,"shr","","",549,[[["i16",15]]]],[11,"shr","","",549,[[["u64",15]]]],[11,"shr","","",551,[[["u128",15]]]],[11,"shr","","",555,[[["u8",15]],["i8",15]]],[11,"shr","","",556,[[["u64",15]]]],[11,"shr","","",550,[[["i8",15]]]],[11,"shr","","",556,[[["isize",15]]]],[11,"shr","","",548,[[["i16",15]]]],[11,"shr","","",559,[[["i8",15]]]],[11,"shr","","",559,[[["isize",15]]]],[11,"shr","","",557,[[["usize",15]]]],[11,"shr","","",557,[[["i16",15]],["usize",15]]],[11,"shr","","",551,[[["u32",15]]]],[11,"shr","","",556,[[["i32",15]],["u16",15]]],[11,"shr","","",557,[[["u64",15]]]],[11,"shr","","",550,[[["isize",15]]]],[11,"shr","","",552,[[["isize",15]]]],[11,"shr","","",560,[[["i8",15]]]],[11,"shr","","",551,[[["i16",15]]]],[11,"shr","","",548,[[["u32",15]]]],[11,"shr","","",551,[[["i128",15]]]],[11,"shr","","",552,[[["usize",15]],["isize",15]]],[11,"shr","","",548,[[["i32",15]]]],[11,"shr","","",550,[[["usize",15]]]],[11,"shr","","",548,[[["isize",15]],["i16",15]]],[11,"shr","","",557,[[["i16",15]]]],[11,"shr","","",555,[[["i8",15]],["i8",15]]],[11,"shr","","",560,[[["i16",15]],["u128",15]]],[11,"shr","","",559,[[["usize",15]]]],[11,"shr","","",557,[[["i16",15]]]],[11,"shr","","",553,[[["u32",15]]]],[11,"shr","","",553,[[["u16",15]]]],[11,"shr","","",551,[[["u16",15]]]],[11,"shr","","",551,[[["i64",15]]]],[11,"shr","","",550,[[["i128",15]],["u64",15]]],[11,"shr","","",560,[[["u32",15]]]],[11,"shr","","",548,[[["i128",15]]]],[11,"shr","","",557,[[["isize",15]],["usize",15]]],[11,"shr","","",548,[[["i32",15]],["i16",15]]],[11,"shr","","",549,[[["u32",15]]]],[11,"shr","","",555,[[["usize",15]]]],[11,"shr","","",557,[[["u32",15]],["usize",15]]],[11,"shr","","",560,[[["u64",15]],["u128",15]]],[11,"shr","","",548,[[["i64",15]],["i16",15]]],[11,"shr","","",559,[[["i32",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",559,[[["i8",15]],["i32",15]]],[11,"shr","","",548,[[["i128",15]]]],[11,"shr","","",560,[[["u64",15]]]],[11,"shr","","",550,[[["usize",15]],["u64",15]]],[11,"shr","","",555,[[["i128",15]],["i8",15]]],[11,"shr","","",554,[[["u32",15]]]],[11,"shr","","",550,[[["u16",15]]]],[11,"shr","","",554,[[["i32",15]],["i128",15]]],[11,"shr","","",551,[[["u64",15]],["i64",15]]],[11,"shr","","",560,[[["i32",15]]]],[11,"shr","","",548,[[["i8",15]],["i16",15]]],[11,"shr","","",560,[[["u8",15]]]],[11,"shr","","",555,[[["i8",15]]]],[11,"shr","","",551,[[["usize",15]]]],[11,"shr","","",559,[[["u64",15]]]],[11,"shr","","",556,[[["u8",15]],["u16",15]]],[11,"shr","","",557,[[["u128",15]]]],[11,"shr","","",552,[[["u16",15]]]],[11,"shr","","",554,[[["u128",15]]]],[11,"shr","","",557,[[["u128",15]]]],[11,"shr","","",554,[[["u64",15]]]],[11,"shr","","",552,[[["i16",15]]]],[11,"shr","","",549,[[["i16",15]],["u8",15]]],[11,"shr","","",552,[[["i32",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["i16",15]]]],[11,"shr","std","",550,[[["u16",15]],["u64",15]]],[11,"shr","","",557,[[["i128",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",559,[[["usize",15]]]],[11,"shr","","",559,[[["i64",15]]]],[11,"shr","","",560,[[["i32",15]]]],[11,"shr","","",560,[[["u64",15]]]],[11,"shr","","",553,[[["u128",15]],["u32",15]]],[11,"shr","","",554,[[["i64",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["i128",15],["wrapping",3]]]],[11,"shr","std","",550,[[["u64",15]],["u64",15]]],[11,"shr","","",551,[[["u8",15]]]],[11,"shr","","",552,[[["i64",15]]]],[11,"shr","","",548,[[["usize",15]],["i16",15]]],[11,"shr","","",553,[[["u64",15]]]],[11,"shr","","",559,[[["i16",15]]]],[11,"shr","","",557,[[["u128",15]],["usize",15]]],[11,"shr","","",555,[[["i32",15]]]],[11,"shr","","",549,[[["u64",15]]]],[11,"shr","","",550,[[["i32",15]],["u64",15]]],[11,"shr","","",552,[[["u8",15]]]],[11,"shr","","",553,[[["i32",15]]]],[11,"shr","","",559,[[["i128",15]],["i32",15]]],[11,"shr","","",555,[[["isize",15]]]],[11,"shr","","",556,[[["u16",15]]]],[11,"shr","","",548,[[["u128",15]]]],[11,"shr","","",560,[[["i64",15]]]],[11,"shr","","",553,[[["i16",15]]]],[11,"shr","","",559,[[["i128",15]]]],[11,"shr","","",552,[[["u32",15]]]],[11,"shr","","",559,[[["u128",15]]]],[11,"shr","","",553,[[["i16",15]]]],[11,"shr","","",560,[[["u128",15]],["u128",15]]],[11,"shr","","",554,[[["u8",15]],["i128",15]]],[11,"shr","","",549,[[["u64",15]]]],[11,"shr","","",559,[[["i128",15]]]],[11,"shr","","",553,[[["usize",15]]]],[11,"shr","","",551,[[["u8",15]]]],[11,"shr","","",554,[[["i128",15]]]],[11,"shr","","",552,[[["i8",15]]]],[11,"shr","","",551,[[["i32",15]]]],[11,"shr","","",553,[[["i64",15]]]],[11,"shr","","",557,[[["u32",15]]]],[11,"shr","","",550,[[["u64",15]]]],[11,"shr","","",555,[[["i32",15]],["i8",15]]],[11,"shr","","",555,[[["i32",15]]]],[11,"shr","","",555,[[["u16",15]]]],[11,"shr","","",550,[[["u128",15]]]],[11,"shr","","",550,[[["usize",15]]]],[11,"shr","","",560,[[["u16",15]]]],[11,"shr","","",555,[[["isize",15]],["i8",15]]],[11,"shr","","",551,[[["i16",15]]]],[11,"shr","","",550,[[["i128",15]]]],[11,"shr","","",549,[[["u8",15]]]],[11,"shr","","",557,[[["i32",15]]]],[11,"shr","","",553,[[["u8",15]]]],[11,"shr","","",548,[[["isize",15]]]],[11,"shr","","",551,[[["u8",15]]]],[11,"shr","","",549,[[["i128",15]],["u8",15]]],[11,"shr","","",555,[[["u32",15]]]],[11,"shr","","",548,[[["u32",15]],["i16",15]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",549,[[["i8",15]]]],[11,"shr","","",556,[[["isize",15]]]],[11,"shr","","",554,[[["u16",15]]]],[11,"shr","","",551,[[["u128",15]]]],[11,"shr","","",556,[[["i128",15]],["u16",15]]],[11,"shr","","",554,[[["u128",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",557,[[["usize",15]]]],[11,"shr","","",554,[[["u128",15]],["i128",15]]],[11,"shr","","",549,[[["i32",15]]]],[11,"shr","","",552,[[["i64",15]],["isize",15]]],[11,"shr","","",559,[[["u16",15]]]],[11,"shr","","",552,[[["isize",15]]]],[11,"shr","","",551,[[["i32",15]]]],[11,"shr","","",552,[[["i32",15]],["isize",15]]],[11,"shr","","",549,[[["i16",15]]]],[11,"shr","","",553,[[["u16",15]]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",560,[[["u128",15]]]],[11,"shr","","",554,[[["u64",15]]]],[11,"shr","","",548,[[["u8",15]]]],[11,"shr","std::num","",37,[[["usize",15]],[["wrapping",3],["i32",15]]]],[11,"shr","std","",559,[[["usize",15]],["i32",15]]],[11,"shr","","",560,[[["i8",15]]]],[11,"shr","","",560,[[["isize",15]],["u128",15]]],[11,"shr","","",549,[[["u8",15]]]],[11,"shr","","",552,[[["i16",15]],["isize",15]]],[11,"shr","","",556,[[["usize",15]]]],[11,"shr","","",556,[[["u64",15]]]],[11,"shr","","",553,[[["u16",15]]]],[11,"shr","","",557,[[["i64",15]],["usize",15]]],[11,"shr","","",560,[[["isize",15]]]],[11,"shr","","",554,[[["u8",15]]]],[11,"shr","","",555,[[["u8",15]]]],[11,"shr","","",556,[[["i64",15]],["u16",15]]],[11,"shr","","",555,[[["u16",15]]]],[11,"shr","","",552,[[["u8",15]]]],[11,"shr","","",550,[[["u32",15]],["u64",15]]],[11,"shr","","",548,[[["u16",15]]]],[11,"shr","","",557,[[["i128",15]],["usize",15]]],[11,"shr","","",555,[[["i8",15]]]],[11,"shr","","",553,[[["i16",15]],["u32",15]]],[11,"shr","std::num","",37,[[["usize",15]]]],[11,"shr","std","",549,[[["u128",15]]]],[11,"shr","","",551,[[["i8",15]],["i64",15]]],[11,"shr","","",560,[[["u128",15]]]],[11,"mul","","",553,[[["duration",3]],["duration",3]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",550,[[["u64",15]]]],[11,"mul","","",549,[[["u8",15]],["u8",15]]],[11,"mul","","",556,[[["u16",15]]]],[11,"mul","","",559,[[["i32",15]]]],[11,"mul","","",556,[[["u16",15]]]],[11,"mul","","",559,[[["i32",15]]]],[11,"mul","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"mul","","",37,[[["wrapping",3]]]],[11,"mul","std","",555,[[["i8",15]]]],[11,"mul","","",561,[[["f64",15]]]],[11,"mul","","",550,[[["u64",15]]]],[11,"mul","","",555,[[["i8",15]]]],[11,"mul","","",550,[[["u64",15]]]],[11,"mul","","",556,[[["u16",15]]]],[11,"mul","","",552,[[["isize",15]],["isize",15]]],[11,"mul","","",557,[[["usize",15]]]],[11,"mul","","",555,[[["i8",15]]]],[11,"mul","","",548,[[["i16",15]]]],[11,"mul","","",557,[[["usize",15]]]],[11,"mul","","",552,[[["isize",15]]]],[11,"mul","std::time","",393,[[["u32",15]],["duration",3]]],[11,"mul","std::num","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"mul","","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"mul","std","",551,[[["i64",15]],["i64",15]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"mul","std","",562,[[["f32",15]]]],[11,"mul","","",548,[[["i16",15]]]],[11,"mul","","",562,[[["f32",15]]]],[11,"mul","","",561,[[["f64",15]],["f64",15]]],[11,"mul","","",549,[[["u8",15]]]],[11,"mul","","",555,[[["i8",15]],["i8",15]]],[11,"mul","","",551,[[["i64",15]]]],[11,"mul","","",557,[[["usize",15]]]],[11,"mul","std::num","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"mul","","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"mul","std","",553,[[["u32",15]],["u32",15]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",562,[[["f32",15]]]],[11,"mul","","",554,[[["i128",15]]]],[11,"mul","","",554,[[["i128",15]]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",548,[[["i16",15]],["i16",15]]],[11,"mul","","",551,[[["i64",15]]]],[11,"mul","","",550,[[["u64",15]],["u64",15]]],[11,"mul","","",549,[[["u8",15]]]],[11,"mul","","",560,[[["u128",15]]]],[11,"mul","","",562,[[["f32",15]],["f32",15]]],[11,"mul","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"mul","","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"mul","std","",548,[[["i16",15]]]],[11,"mul","std::num","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"mul","","",37,[[["wrapping",3]]]],[11,"mul","std","",561,[[["f64",15]]]],[11,"mul","","",551,[[["i64",15]]]],[11,"mul","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"mul","","",37,[[["wrapping",3]]]],[11,"mul","std","",554,[[["i128",15]]]],[11,"mul","","",560,[[["u128",15]]]],[11,"mul","","",560,[[["u128",15]],["u128",15]]],[11,"mul","std::num","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"mul","std","",559,[[["i32",15]],["i32",15]]],[11,"mul","","",554,[[["i128",15]],["i128",15]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",556,[[["u16",15]],["u16",15]]],[11,"mul","","",549,[[["u8",15]]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",557,[[["usize",15]],["usize",15]]],[11,"mul","std::num","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"mul","std","",553,[[["u32",15]]]],[11,"mul","","",552,[[["isize",15]]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",560,[[["u128",15]]]],[11,"mul","","",552,[[["isize",15]]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"mul","std","",561,[[["f64",15]]]],[11,"mul","","",559,[[["i32",15]]]],[11,"mul","","",553,[[["u32",15]]]],[11,"mul","","",553,[[["u32",15]]]],[11,"mul","std::num","",37,[[["wrapping",3]]]],[11,"fmt","std::array","",477,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::task","",104,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",520,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",452,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",454,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",97,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::future","",497,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",486,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::array","",478,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",445,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",479,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::mem","",536,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",388,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::task","",397,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::lazy","",395,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",202,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::option","",541,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",439,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",562,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::result","",212,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::future","",498,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::mem","",535,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",558,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str::pattern","",442,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",385,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::marker","",533,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",537,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cmp","",143,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",336,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",418,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",572,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::task","",398,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::hash","",500,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",38,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",432,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::fmt","",406,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",39,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",528,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",426,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::future","",496,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",507,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",401,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",489,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cmp","",144,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",334,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",524,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",465,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::mem","",534,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::any","",139,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",502,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",531,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",482,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",525,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",461,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",391,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",387,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",428,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",512,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",510,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",484,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",463,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::pin","",543,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::result","",547,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::time","",393,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::any","",139,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",508,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",487,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",453,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",566,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::result","",545,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ascii","",216,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",437,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",519,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ffi","",303,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",509,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::fmt","",119,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",203,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",505,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",561,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",515,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",485,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",483,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",516,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",529,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str::pattern","",443,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",446,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",451,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",423,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",389,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str::pattern","",440,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",134,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",513,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",521,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",569,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",480,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::result","",546,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",462,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::any","",476,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::convert","",495,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",569,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",420,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",571,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",384,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",402,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::cell","",481,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",444,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",449,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",422,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",421,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",390,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::option","",542,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::fmt","",407,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",517,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",518,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::any","",139,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",458,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",464,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",455,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",424,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",522,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ffi","",304,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",527,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",466,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",209,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",504,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",457,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str::pattern","",441,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",491,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",459,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",435,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",503,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",448,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",431,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",427,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::hash","",499,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ffi","",305,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",419,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",563,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",493,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",417,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",429,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",381,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",564,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::panic","",355,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::task","",399,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",392,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",511,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",526,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::option","",539,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::task","",396,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",403,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ptr","",544,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",501,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",567,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",450,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::option","",540,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",506,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",383,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",494,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",436,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::panic","",354,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",456,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",438,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",460,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",200,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",205,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",386,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::str","",447,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",530,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",490,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",488,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync::atomic","",382,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",430,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",201,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::option","",210,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",208,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",433,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",434,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::iter","",514,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",523,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",570,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",416,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",335,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::marker","",532,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::lazy","",394,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::slice","",425,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::ops","",538,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",568,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::char","",492,[[["formatter",3]],[["error",3],["result",4]]]],[11,"into_result","std::result","",212,[[],["result",4]]],[11,"from_ok","","",212,[[],["result",4]]],[11,"from_error","","",212,[[],["result",4]]],[11,"into_result","std::task","",104,[[],["result",4]]],[11,"from_error","","",104,[[],[["poll",4],["result",4]]]],[11,"from_ok","","",104,[[],[["poll",4],["result",4]]]],[11,"into_result","std::ops","",209,[[],["result",4]]],[11,"from_error","","",209,[[],["controlflow",4]]],[11,"from_ok","","",209,[[],["controlflow",4]]],[11,"into_result","std::option","",210,[[],[["noneerror",3],["result",4]]]],[11,"from_ok","","",210,[[],["option",4]]],[11,"from_error","","",210,[[["noneerror",3]],["option",4]]],[11,"into_result","std::task","",104,[[],["result",4]]],[11,"from_error","","",104,[[],[["poll",4],["option",4]]]],[11,"from_ok","","",104,[[],[["poll",4],["option",4]]]],[11,"start_bound","std::ops","",201,[[],["bound",4]]],[11,"end_bound","","",201,[[],["bound",4]]],[11,"start_bound","","",537,[[],["bound",4]]],[11,"end_bound","","",537,[[],["bound",4]]],[11,"start_bound","","",201,[[],["bound",4]]],[11,"end_bound","","",201,[[],["bound",4]]],[11,"start_bound","","",205,[[],["bound",4]]],[11,"end_bound","","",205,[[],["bound",4]]],[11,"start_bound","","",205,[[],["bound",4]]],[11,"end_bound","","",205,[[],["bound",4]]],[11,"start_bound","","",538,[[],["bound",4]]],[11,"end_bound","","",538,[[],["bound",4]]],[11,"start_bound","","",200,[[],["bound",4]]],[11,"end_bound","","",200,[[],["bound",4]]],[11,"start_bound","std","",570,[[],["bound",4]]],[11,"end_bound","","",570,[[],["bound",4]]],[11,"start_bound","","",570,[[],["bound",4]]],[11,"end_bound","","",570,[[],["bound",4]]],[11,"start_bound","std::ops","",200,[[],["bound",4]]],[11,"end_bound","","",200,[[],["bound",4]]],[11,"start_bound","","",202,[[],["bound",4]]],[11,"end_bound","","",202,[[],["bound",4]]],[11,"start_bound","","",202,[[],["bound",4]]],[11,"end_bound","","",202,[[],["bound",4]]],[11,"start_bound","","",538,[[],["bound",4]]],[11,"end_bound","","",538,[[],["bound",4]]],[11,"fmt","std","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",562,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",561,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"next","std::slice","",421,[[],["option",4]]],[11,"size_hint","","",421,[[]]],[11,"count","","",421,[[],["usize",15]]],[11,"nth","","",421,[[["usize",15]],["option",4]]],[11,"last","","",421,[[],["option",4]]],[11,"next","std::iter","",508,[[],["option",4]]],[11,"size_hint","","",508,[[]]],[11,"try_fold","","",508,[[]]],[11,"fold","","",508,[[]]],[11,"__iterator_get_unchecked","","",508,[[["usize",15]]]],[11,"next","std::slice","",425,[[],["option",4]]],[11,"size_hint","","",425,[[]]],[11,"next","std::ops","",201,[[],["option",4]]],[11,"size_hint","","",201,[[]]],[11,"nth","","",201,[[["usize",15]],["option",4]]],[11,"next","std::slice","",419,[[],["option",4]]],[11,"size_hint","","",419,[[]]],[11,"count","","",419,[[],["usize",15]]],[11,"nth","","",419,[[["usize",15]],["option",4]]],[11,"last","","",419,[[],["option",4]]],[11,"next","std::option","",540,[[],["option",4]]],[11,"size_hint","","",540,[[]]],[11,"next","std::str","",452,[[],[["option",4],["char",15]]]],[11,"size_hint","","",452,[[]]],[11,"try_fold","","",452,[[]]],[11,"fold","","",452,[[]]],[11,"next","std::iter","",504,[[],["option",4]]],[11,"size_hint","","",504,[[]]],[11,"next","","",511,[[],["option",4]]],[11,"size_hint","","",511,[[]]],[11,"try_fold","","",511,[[]]],[11,"fold","","",511,[[]]],[11,"next","std::str","",464,[[],[["str",15],["option",4]]]],[11,"next","","",451,[[],[["option",4],["char",15]]]],[11,"size_hint","","",451,[[]]],[11,"try_fold","","",451,[[]]],[11,"fold","","",451,[[]]],[11,"next","std::slice","",424,[[],["option",4]]],[11,"size_hint","","",424,[[]]],[11,"next","","",435,[[],["option",4]]],[11,"size_hint","","",435,[[]]],[11,"next","std::iter","Overflow BehaviorThe method does no guarding against …",515,[[],["option",4]]],[11,"size_hint","","",515,[[]]],[11,"nth","","",515,[[["usize",15]],["option",4]]],[11,"count","","",515,[[],["usize",15]]],[11,"try_fold","","",515,[[]]],[11,"fold","","",515,[[]]],[11,"__iterator_get_unchecked","","",515,[[["usize",15]]]],[11,"next","std::str","",466,[[],[["str",15],["option",4]]]],[11,"next","std::iter","",517,[[],["option",4]]],[11,"size_hint","","",517,[[]]],[11,"try_fold","","",517,[[]]],[11,"fold","","",517,[[]]],[11,"next","","",507,[[],["option",4]]],[11,"size_hint","","",507,[[]]],[11,"next","std::option","",541,[[],["option",4]]],[11,"size_hint","","",541,[[]]],[11,"next","std::slice","",427,[[],["option",4]]],[11,"size_hint","","",427,[[]]],[11,"last","","",427,[[],["option",4]]],[11,"next","","",429,[[],["option",4]]],[11,"size_hint","","",429,[[]]],[11,"count","","",429,[[],["usize",15]]],[11,"nth","","",429,[[["usize",15]],["option",4]]],[11,"last","","",429,[[],["option",4]]],[11,"for_each","","",429,[[]]],[11,"all","","",429,[[],["bool",15]]],[11,"any","","",429,[[],["bool",15]]],[11,"find","","",429,[[],["option",4]]],[11,"find_map","","",429,[[],["option",4]]],[11,"position","","",429,[[],[["usize",15],["option",4]]]],[11,"rposition","","",429,[[],[["usize",15],["option",4]]]],[11,"next","std::option","",539,[[],["option",4]]],[11,"size_hint","","",539,[[]]],[11,"next","std::iter","",501,[[],["option",4]]],[11,"size_hint","","",501,[[]]],[11,"next","std::str","",449,[[],[["option",4],["char",15]]]],[11,"count","","",449,[[],["usize",15]]],[11,"size_hint","","",449,[[]]],[11,"last","","",449,[[],[["option",4],["char",15]]]],[11,"next","std::iter","",524,[[],["option",4]]],[11,"size_hint","","",524,[[]]],[11,"try_fold","","",524,[[]]],[11,"fold","","",524,[[]]],[11,"next","","",521,[[],["option",4]]],[11,"size_hint","","",521,[[]]],[11,"try_fold","","",521,[[]]],[11,"fold","","",521,[[]]],[11,"__iterator_get_unchecked","","",521,[[["usize",15]]]],[11,"next","std::slice","",423,[[],["option",4]]],[11,"size_hint","","",423,[[]]],[11,"count","","",423,[[],["usize",15]]],[11,"nth","","",423,[[["usize",15]],["option",4]]],[11,"last","","",423,[[],["option",4]]],[11,"next","std::iter","",526,[[],["option",4]]],[11,"size_hint","","",526,[[]]],[11,"try_fold","","",526,[[]]],[11,"fold","","",526,[[]]],[11,"next","std::slice","",426,[[],["option",4]]],[11,"size_hint","","",426,[[]]],[11,"last","","",426,[[],["option",4]]],[11,"next","","",439,[[],["option",4]]],[11,"size_hint","","",439,[[]]],[11,"next","std::char","",490,[[],[["option",4],["char",15]]]],[11,"size_hint","","",490,[[]]],[11,"next","std::ops","",200,[[],["option",4]]],[11,"size_hint","","",200,[[]]],[11,"nth","","",200,[[["usize",15]],["option",4]]],[11,"last","","",200,[[],["option",4]]],[11,"min","","",200,[[],["option",4]]],[11,"max","","",200,[[],["option",4]]],[11,"next","std::str","",461,[[],[["str",15],["option",4]]]],[11,"next","std::char","",493,[[],[["result",4],["option",4]]]],[11,"size_hint","","",493,[[]]],[11,"next","std::slice","",417,[[],["option",4]]],[11,"size_hint","","",417,[[]]],[11,"count","","",417,[[],["usize",15]]],[11,"nth","","",417,[[["usize",15]],["option",4]]],[11,"last","","",417,[[],["option",4]]],[11,"__iterator_get_unchecked","","",417,[[["usize",15]]]],[11,"next","std::iter","",506,[[],["option",4]]],[11,"size_hint","","",506,[[]]],[11,"next","","",531,[[],["option",4]]],[11,"fold","","",531,[[]]],[11,"size_hint","","",531,[[]]],[11,"next","std::slice","",420,[[],["option",4]]],[11,"size_hint","","",420,[[]]],[11,"count","","",420,[[],["usize",15]]],[11,"nth","","",420,[[["usize",15]],["option",4]]],[11,"last","","",420,[[],["option",4]]],[11,"next","std::iter","",516,[[],["option",4]]],[11,"size_hint","","",516,[[]]],[11,"count","","",516,[[],["usize",15]]],[11,"try_fold","","",516,[[]]],[11,"fold","","",516,[[]]],[11,"next","","",523,[[],["option",4]]],[11,"size_hint","","",523,[[]]],[11,"advance_by","","",523,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth","","",523,[[["usize",15]],["option",4]]],[11,"try_fold","","",523,[[]]],[11,"fold","","",523,[[]]],[11,"find","","",523,[[],["option",4]]],[11,"next","","",530,[[],["option",4]]],[11,"fold","","",530,[[]]],[11,"size_hint","","",530,[[]]],[11,"next","std::str","",453,[[],[["option",4],["char",15]]]],[11,"size_hint","","",453,[[]]],[11,"try_fold","","",453,[[]]],[11,"fold","","",453,[[]]],[11,"next","std::slice","",430,[[],["option",4]]],[11,"size_hint","","",430,[[]]],[11,"count","","",430,[[],["usize",15]]],[11,"nth","","",430,[[["usize",15]],["option",4]]],[11,"last","","",430,[[],["option",4]]],[11,"next","std::str","",458,[[],["option",4]]],[11,"next","std::iter","",529,[[],["option",4]]],[11,"size_hint","","",529,[[]]],[11,"nth","","",529,[[["usize",15]],["option",4]]],[11,"__iterator_get_unchecked","","",529,[[["usize",15]]]],[11,"next","std::result","",547,[[],["option",4]]],[11,"size_hint","","",547,[[]]],[11,"next","std::iter","",527,[[],["option",4]]],[11,"nth","","",527,[[["usize",15]],["option",4]]],[11,"size_hint","","",527,[[]]],[11,"try_fold","","",527,[[]]],[11,"fold","","",527,[[]]],[11,"next","std::slice","",432,[[],["option",4]]],[11,"size_hint","","",432,[[]]],[11,"count","","",432,[[],["usize",15]]],[11,"nth","","",432,[[["usize",15]],["option",4]]],[11,"last","","",432,[[],["option",4]]],[11,"next","std::str","",447,[[],[["option",4],["u8",15]]]],[11,"size_hint","","",447,[[]]],[11,"count","","",447,[[],["usize",15]]],[11,"last","","",447,[[],["option",4]]],[11,"nth","","",447,[[["usize",15]],["option",4]]],[11,"all","","",447,[[],["bool",15]]],[11,"any","","",447,[[],["bool",15]]],[11,"find","","",447,[[],["option",4]]],[11,"position","","",447,[[],[["usize",15],["option",4]]]],[11,"rposition","","",447,[[],[["usize",15],["option",4]]]],[11,"__iterator_get_unchecked","","",447,[[["usize",15]],["u8",15]]],[11,"next","std::iter","",528,[[],["option",4]]],[11,"size_hint","","",528,[[]]],[11,"try_fold","","",528,[[]]],[11,"fold","","",528,[[]]],[11,"next","std::slice","",437,[[],["option",4]]],[11,"size_hint","","",437,[[]]],[11,"next","std::result","",545,[[],["option",4]]],[11,"size_hint","","",545,[[]]],[11,"next","std::str","",446,[[],[["str",15],["option",4]]]],[11,"size_hint","","",446,[[]]],[11,"last","","",446,[[],[["str",15],["option",4]]]],[11,"next","","",457,[[],["option",4]]],[11,"next","std::iter","",522,[[],["option",4]]],[11,"count","","",522,[[],["usize",15]]],[11,"nth","","",522,[[["usize",15]],["option",4]]],[11,"last","","",522,[[],["option",4]]],[11,"size_hint","","",522,[[]]],[11,"try_fold","","",522,[[]]],[11,"fold","","",522,[[]]],[11,"next","std::slice","",438,[[],["option",4]]],[11,"size_hint","","",438,[[]]],[11,"next","std::str","",445,[[],[["str",15],["option",4]]]],[11,"size_hint","","",445,[[]]],[11,"last","","",445,[[],[["str",15],["option",4]]]],[11,"next","","",444,[[],[["option",4],["u16",15]]]],[11,"size_hint","","",444,[[]]],[11,"next","std::char","",488,[[],[["option",4],["char",15]]]],[11,"size_hint","","",488,[[]]],[11,"next","std::iter","",510,[[],["option",4]]],[11,"size_hint","","",510,[[]]],[11,"try_fold","","",510,[[]]],[11,"fold","","",510,[[]]],[11,"next","std::slice","",428,[[],["option",4]]],[11,"size_hint","","",428,[[]]],[11,"count","","",428,[[],["usize",15]]],[11,"nth","","",428,[[["usize",15]],["option",4]]],[11,"last","","",428,[[],["option",4]]],[11,"for_each","","",428,[[]]],[11,"all","","",428,[[],["bool",15]]],[11,"any","","",428,[[],["bool",15]]],[11,"find","","",428,[[],["option",4]]],[11,"find_map","","",428,[[],["option",4]]],[11,"position","","",428,[[],[["usize",15],["option",4]]]],[11,"rposition","","",428,[[],[["usize",15],["option",4]]]],[11,"is_sorted_by","","",428,[[],["bool",15]]],[11,"next","std::array","",478,[[],["option",4]]],[11,"size_hint","","",478,[[]]],[11,"count","","",478,[[],["usize",15]]],[11,"last","","",478,[[],["option",4]]],[11,"next","std::slice","",436,[[],["option",4]]],[11,"size_hint","","",436,[[]]],[11,"next","std::str","",455,[[],[["str",15],["option",4]]]],[11,"size_hint","","",455,[[]]],[11,"last","","",455,[[],[["str",15],["option",4]]]],[11,"next","std::iter","",502,[[],["option",4]]],[11,"next","std","",565,[[],["option",4]]],[11,"size_hint","","",565,[[]]],[11,"advance_by","","",565,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth","","",565,[[["usize",15]],["option",4]]],[11,"next","std::iter","",512,[[],["option",4]]],[11,"size_hint","","",512,[[]]],[11,"nth","","",512,[[["usize",15]],["option",4]]],[11,"try_fold","","",512,[[]]],[11,"fold","","",512,[[]]],[11,"next","std::result","",546,[[],["option",4]]],[11,"size_hint","","",546,[[]]],[11,"next","std::ops","",538,[[],["option",4]]],[11,"size_hint","","",538,[[]]],[11,"nth","","",538,[[["usize",15]],["option",4]]],[11,"try_fold","","",538,[[]]],[11,"fold","","",538,[[]]],[11,"last","","",538,[[],["option",4]]],[11,"min","","",538,[[],["option",4]]],[11,"max","","",538,[[],["option",4]]],[11,"next","std::iter","",520,[[],["option",4]]],[11,"size_hint","","",520,[[]]],[11,"try_fold","","",520,[[]]],[11,"fold","","",520,[[]]],[11,"next","std::str","",456,[[],[["str",15],["option",4]]]],[11,"size_hint","","",456,[[]]],[11,"next","std::iter","",503,[[],["option",4]]],[11,"size_hint","","",503,[[]]],[11,"next","","",505,[[],["option",4]]],[11,"size_hint","","",505,[[]]],[11,"next","std::slice","",431,[[],["option",4]]],[11,"size_hint","","",431,[[]]],[11,"count","","",431,[[],["usize",15]]],[11,"nth","","",431,[[["usize",15]],["option",4]]],[11,"last","","",431,[[],["option",4]]],[11,"next","std::iter","",513,[[],["option",4]]],[11,"count","","",513,[[],["usize",15]]],[11,"try_fold","","",513,[[]]],[11,"fold","","",513,[[]]],[11,"advance_by","","",513,[[["usize",15]],[["usize",15],["result",4]]]],[11,"nth","","",513,[[["usize",15]],["option",4]]],[11,"find","","",513,[[],["option",4]]],[11,"last","","",513,[[],["option",4]]],[11,"size_hint","","",513,[[]]],[11,"next","std::str","",460,[[],[["str",15],["option",4]]]],[11,"next","std::char","",486,[[],[["option",4],["char",15]]]],[11,"size_hint","","",486,[[]]],[11,"count","","",486,[[],["usize",15]]],[11,"last","","",486,[[],[["option",4],["char",15]]]],[11,"next","std::slice","",434,[[],["option",4]]],[11,"size_hint","","",434,[[]]],[11,"next","std::iter","",519,[[],["option",4]]],[11,"nth","","",519,[[["usize",15]],["option",4]]],[11,"last","","",519,[[],["option",4]]],[11,"count","","",519,[[],["usize",15]]],[11,"size_hint","","",519,[[]]],[11,"try_fold","","",519,[[]]],[11,"fold","","",519,[[]]],[11,"find","","",519,[[],["option",4]]],[11,"__iterator_get_unchecked","","",519,[[["usize",15]]]],[11,"next","","",518,[[],["option",4]]],[11,"size_hint","","",518,[[]]],[11,"try_fold","","",518,[[]]],[11,"fold","","",518,[[]]],[11,"next","","",509,[[],["option",4]]],[11,"size_hint","","",509,[[]]],[11,"try_fold","","",509,[[]]],[11,"fold","","",509,[[]]],[11,"nth","","",509,[[["usize",15]],["option",4]]],[11,"last","","",509,[[],["option",4]]],[11,"count","","",509,[[],["usize",15]]],[11,"__iterator_get_unchecked","","",509,[[["usize",15]]]],[11,"next","std::char","",489,[[],[["option",4],["char",15]]]],[11,"size_hint","","",489,[[]]],[11,"next","std::slice","",433,[[],["option",4]]],[11,"size_hint","","",433,[[]]],[11,"count","","",433,[[],["usize",15]]],[11,"nth","","",433,[[["usize",15]],["option",4]]],[11,"last","","",433,[[],["option",4]]],[11,"next","std::str","",459,[[],[["str",15],["option",4]]]],[11,"next","std::slice","",416,[[],["option",4]]],[11,"size_hint","","",416,[[]]],[11,"count","","",416,[[],["usize",15]]],[11,"nth","","",416,[[["usize",15]],["option",4]]],[11,"last","","",416,[[],["option",4]]],[11,"__iterator_get_unchecked","","",416,[[["usize",15]]]],[11,"next","std::str","",462,[[],[["str",15],["option",4]]]],[11,"next","","",448,[[],["option",4]]],[11,"count","","",448,[[],["usize",15]]],[11,"size_hint","","",448,[[]]],[11,"last","","",448,[[],["option",4]]],[11,"next","std::iter","",525,[[],["option",4]]],[11,"nth","","",525,[[["usize",15]],["option",4]]],[11,"count","","",525,[[],["usize",15]]],[11,"last","","",525,[[],["option",4]]],[11,"size_hint","","",525,[[]]],[11,"try_fold","","",525,[[]]],[11,"fold","","",525,[[]]],[11,"next","std::str","",465,[[],[["str",15],["option",4]]]],[11,"next","std::slice","",422,[[],["option",4]]],[11,"size_hint","","",422,[[]]],[11,"count","","",422,[[],["usize",15]]],[11,"nth","","",422,[[["usize",15]],["option",4]]],[11,"last","","",422,[[],["option",4]]],[11,"next","std::iter","",514,[[],["option",4]]],[11,"size_hint","","",514,[[]]],[11,"try_fold","","",514,[[]]],[11,"next","std::ascii","",216,[[],[["option",4],["u8",15]]]],[11,"size_hint","","",216,[[]]],[11,"last","","",216,[[],[["option",4],["u8",15]]]],[11,"next","std::char","",487,[[],[["option",4],["char",15]]]],[11,"size_hint","","",487,[[]]],[11,"count","","",487,[[],["usize",15]]],[11,"nth","","",487,[[["usize",15]],[["option",4],["char",15]]]],[11,"last","","",487,[[],[["option",4],["char",15]]]],[11,"next","std::slice","",418,[[],["option",4]]],[11,"size_hint","","",418,[[]]],[11,"count","","",418,[[],["usize",15]]],[11,"nth","","",418,[[["usize",15]],["option",4]]],[11,"last","","",418,[[],["option",4]]],[11,"next","std::str","",463,[[],[["str",15],["option",4]]]],[11,"fmt","std","",557,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",549,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",553,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",340,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",37,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",347,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",551,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",346,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",338,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",337,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",560,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",548,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",343,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",344,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",339,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",554,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",342,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",565,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",345,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std","",552,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",559,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",556,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",555,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",550,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::num","",348,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",341,[[["formatter",3]],[["error",3],["result",4]]]],[11,"write","std::hash","",500,[[]]],[11,"finish","","",500,[[],["u64",15]]],[11,"finish","std","",565,[[],["u64",15]]],[11,"write","","",565,[[]]],[11,"write_u8","","",565,[[["u8",15]]]],[11,"write_u16","","",565,[[["u16",15]]]],[11,"write_u32","","",565,[[["u32",15]]]],[11,"write_u64","","",565,[[["u64",15]]]],[11,"write_u128","","",565,[[["u128",15]]]],[11,"write_usize","","",565,[[["usize",15]]]],[11,"write_i8","","",565,[[["i8",15]]]],[11,"write_i16","","",565,[[["i16",15]]]],[11,"write_i32","","",565,[[["i32",15]]]],[11,"write_i64","","",565,[[["i64",15]]]],[11,"write_i128","","",565,[[["i128",15]]]],[11,"write_isize","","",565,[[["isize",15]]]],[11,"sub","std::num","",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"sub","std","",554,[[["i128",15]]]],[11,"sub","","",549,[[["u8",15]]]],[11,"sub","","",551,[[["i64",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"sub","","",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"sub","std","",548,[[["i16",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std","",560,[[["u128",15]]]],[11,"sub","","",562,[[["f32",15]],["f32",15]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std","",550,[[["u64",15]]]],[11,"sub","","",554,[[["i128",15]],["i128",15]]],[11,"sub","","",554,[[["i128",15]]]],[11,"sub","","",562,[[["f32",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std","",553,[[["u32",15]],["u32",15]]],[11,"sub","","",561,[[["f64",15]],["f64",15]]],[11,"sub","","",561,[[["f64",15]]]],[11,"sub","","",550,[[["u64",15]]]],[11,"sub","std::num","",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"sub","std","",552,[[["isize",15]]]],[11,"sub","","",550,[[["u64",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std","",550,[[["u64",15]],["u64",15]]],[11,"sub","","",557,[[["usize",15]],["usize",15]]],[11,"sub","","",548,[[["i16",15]]]],[11,"sub","","",553,[[["u32",15]]]],[11,"sub","","",549,[[["u8",15]]]],[11,"sub","std::num","",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"sub","","",37,[[["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"sub","std","",551,[[["i64",15]]]],[11,"sub","","",549,[[["u8",15]],["u8",15]]],[11,"sub","","",561,[[["f64",15]]]],[11,"sub","","",555,[[["i8",15]]]],[11,"sub","","",552,[[["isize",15]]]],[11,"sub","","",557,[[["usize",15]]]],[11,"sub","","",555,[[["i8",15]],["i8",15]]],[11,"sub","std::num","",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"sub","","",37,[[["wrapping",3]]]],[11,"sub","std","",553,[[["u32",15]]]],[11,"sub","","",556,[[["u16",15]]]],[11,"sub","","",559,[[["i32",15]]]],[11,"sub","","",559,[[["i32",15]]]],[11,"sub","","",554,[[["i128",15]]]],[11,"sub","","",552,[[["isize",15]]]],[11,"sub","","",555,[[["i8",15]]]],[11,"sub","","",562,[[["f32",15]]]],[11,"sub","","",560,[[["u128",15]],["u128",15]]],[11,"sub","","",552,[[["isize",15]],["isize",15]]],[11,"sub","","",556,[[["u16",15]]]],[11,"sub","","",549,[[["u8",15]]]],[11,"sub","","",556,[[["u16",15]],["u16",15]]],[11,"sub","","",559,[[["i32",15]],["i32",15]]],[11,"sub","","",561,[[["f64",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std::time","",393,[[["duration",3]],["duration",3]]],[11,"sub","std","",557,[[["usize",15]]]],[11,"sub","","",548,[[["i16",15]],["i16",15]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","std","",560,[[["u128",15]]]],[11,"sub","","",562,[[["f32",15]]]],[11,"sub","","",557,[[["usize",15]]]],[11,"sub","","",555,[[["i8",15]]]],[11,"sub","","",551,[[["i64",15]],["i64",15]]],[11,"sub","","",551,[[["i64",15]]]],[11,"sub","std::num","",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"sub","","",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"sub","std","",548,[[["i16",15]]]],[11,"sub","","",556,[[["u16",15]]]],[11,"sub","std::num","",37,[[["wrapping",3]]]],[11,"sub","","",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"sub","std","",560,[[["u128",15]]]],[11,"sub","","",559,[[["i32",15]]]],[11,"sub","","",553,[[["u32",15]]]],[11,"forward_unchecked","","",554,[[["usize",15],["i128",15]],["i128",15]]],[11,"backward_unchecked","","",554,[[["usize",15],["i128",15]],["i128",15]]],[11,"forward","","",554,[[["usize",15],["i128",15]],["i128",15]]],[11,"backward","","",554,[[["usize",15],["i128",15]],["i128",15]]],[11,"steps_between","","",554,[[["i128",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",554,[[["usize",15],["i128",15]],[["option",4],["i128",15]]]],[11,"backward_checked","","",554,[[["usize",15],["i128",15]],[["option",4],["i128",15]]]],[11,"forward_unchecked","","",556,[[["usize",15],["u16",15]],["u16",15]]],[11,"backward_unchecked","","",556,[[["usize",15],["u16",15]],["u16",15]]],[11,"forward","","",556,[[["usize",15],["u16",15]],["u16",15]]],[11,"backward","","",556,[[["usize",15],["u16",15]],["u16",15]]],[11,"steps_between","","",556,[[["u16",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",556,[[["usize",15],["u16",15]],[["option",4],["u16",15]]]],[11,"backward_checked","","",556,[[["usize",15],["u16",15]],[["option",4],["u16",15]]]],[11,"forward_unchecked","","",555,[[["usize",15],["i8",15]],["i8",15]]],[11,"backward_unchecked","","",555,[[["usize",15],["i8",15]],["i8",15]]],[11,"forward","","",555,[[["usize",15],["i8",15]],["i8",15]]],[11,"backward","","",555,[[["usize",15],["i8",15]],["i8",15]]],[11,"steps_between","","",555,[[["i8",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",555,[[["usize",15],["i8",15]],[["option",4],["i8",15]]]],[11,"backward_checked","","",555,[[["usize",15],["i8",15]],[["option",4],["i8",15]]]],[11,"forward_unchecked","","",559,[[["usize",15],["i32",15]],["i32",15]]],[11,"backward_unchecked","","",559,[[["usize",15],["i32",15]],["i32",15]]],[11,"forward","","",559,[[["usize",15],["i32",15]],["i32",15]]],[11,"backward","","",559,[[["usize",15],["i32",15]],["i32",15]]],[11,"steps_between","","",559,[[["i32",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",559,[[["usize",15],["i32",15]],[["i32",15],["option",4]]]],[11,"backward_checked","","",559,[[["usize",15],["i32",15]],[["i32",15],["option",4]]]],[11,"forward_unchecked","","",560,[[["usize",15],["u128",15]],["u128",15]]],[11,"backward_unchecked","","",560,[[["usize",15],["u128",15]],["u128",15]]],[11,"forward","","",560,[[["usize",15],["u128",15]],["u128",15]]],[11,"backward","","",560,[[["usize",15],["u128",15]],["u128",15]]],[11,"steps_between","","",560,[[["u128",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",560,[[["usize",15],["u128",15]],[["u128",15],["option",4]]]],[11,"backward_checked","","",560,[[["usize",15],["u128",15]],[["u128",15],["option",4]]]],[11,"forward_unchecked","","",552,[[["usize",15],["isize",15]],["isize",15]]],[11,"backward_unchecked","","",552,[[["usize",15],["isize",15]],["isize",15]]],[11,"forward","","",552,[[["usize",15],["isize",15]],["isize",15]]],[11,"backward","","",552,[[["usize",15],["isize",15]],["isize",15]]],[11,"steps_between","","",552,[[["isize",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",552,[[["usize",15],["isize",15]],[["isize",15],["option",4]]]],[11,"backward_checked","","",552,[[["usize",15],["isize",15]],[["isize",15],["option",4]]]],[11,"forward_unchecked","","",553,[[["u32",15],["usize",15]],["u32",15]]],[11,"backward_unchecked","","",553,[[["u32",15],["usize",15]],["u32",15]]],[11,"forward","","",553,[[["u32",15],["usize",15]],["u32",15]]],[11,"backward","","",553,[[["u32",15],["usize",15]],["u32",15]]],[11,"steps_between","","",553,[[["u32",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",553,[[["u32",15],["usize",15]],[["u32",15],["option",4]]]],[11,"backward_checked","","",553,[[["u32",15],["usize",15]],[["u32",15],["option",4]]]],[11,"forward_unchecked","","",549,[[["usize",15],["u8",15]],["u8",15]]],[11,"backward_unchecked","","",549,[[["usize",15],["u8",15]],["u8",15]]],[11,"forward","","",549,[[["usize",15],["u8",15]],["u8",15]]],[11,"backward","","",549,[[["usize",15],["u8",15]],["u8",15]]],[11,"steps_between","","",549,[[["u8",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",549,[[["usize",15],["u8",15]],[["option",4],["u8",15]]]],[11,"backward_checked","","",549,[[["usize",15],["u8",15]],[["option",4],["u8",15]]]],[11,"forward_unchecked","","",548,[[["usize",15],["i16",15]],["i16",15]]],[11,"backward_unchecked","","",548,[[["usize",15],["i16",15]],["i16",15]]],[11,"forward","","",548,[[["usize",15],["i16",15]],["i16",15]]],[11,"backward","","",548,[[["usize",15],["i16",15]],["i16",15]]],[11,"steps_between","","",548,[[["i16",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",548,[[["usize",15],["i16",15]],[["i16",15],["option",4]]]],[11,"backward_checked","","",548,[[["usize",15],["i16",15]],[["i16",15],["option",4]]]],[11,"forward_unchecked","","",557,[[["usize",15]],["usize",15]]],[11,"backward_unchecked","","",557,[[["usize",15]],["usize",15]]],[11,"forward","","",557,[[["usize",15]],["usize",15]]],[11,"backward","","",557,[[["usize",15]],["usize",15]]],[11,"steps_between","","",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"backward_checked","","",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"steps_between","","",567,[[["char",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",567,[[["usize",15],["char",15]],[["option",4],["char",15]]]],[11,"backward_checked","","",567,[[["usize",15],["char",15]],[["option",4],["char",15]]]],[11,"forward_unchecked","","",567,[[["usize",15],["char",15]],["char",15]]],[11,"backward_unchecked","","",567,[[["usize",15],["char",15]],["char",15]]],[11,"forward_unchecked","","",550,[[["usize",15],["u64",15]],["u64",15]]],[11,"backward_unchecked","","",550,[[["usize",15],["u64",15]],["u64",15]]],[11,"forward","","",550,[[["usize",15],["u64",15]],["u64",15]]],[11,"backward","","",550,[[["usize",15],["u64",15]],["u64",15]]],[11,"steps_between","","",550,[[["u64",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",550,[[["usize",15],["u64",15]],[["option",4],["u64",15]]]],[11,"backward_checked","","",550,[[["usize",15],["u64",15]],[["option",4],["u64",15]]]],[11,"forward_unchecked","","",551,[[["i64",15],["usize",15]],["i64",15]]],[11,"backward_unchecked","","",551,[[["i64",15],["usize",15]],["i64",15]]],[11,"forward","","",551,[[["i64",15],["usize",15]],["i64",15]]],[11,"backward","","",551,[[["i64",15],["usize",15]],["i64",15]]],[11,"steps_between","","",551,[[["i64",15]],[["usize",15],["option",4]]]],[11,"forward_checked","","",551,[[["i64",15],["usize",15]],[["i64",15],["option",4]]]],[11,"backward_checked","","",551,[[["i64",15],["usize",15]],[["i64",15],["option",4]]]],[11,"build_hasher","std::hash","",499,[[]]],[11,"len","std::iter","",520,[[],["usize",15]]],[11,"is_empty","","",520,[[],["bool",15]]],[11,"len","","",503,[[],["usize",15]]],[11,"len","","",501,[[],["usize",15]]],[11,"len","","",515,[[],["usize",15]]],[11,"is_empty","","",515,[[],["bool",15]]],[11,"len","std::slice","",429,[[],["usize",15]]],[11,"is_empty","","",429,[[],["bool",15]]],[11,"is_empty","","",422,[[],["bool",15]]],[11,"is_empty","","",431,[[],["bool",15]]],[11,"len","std::char","",487,[[],["usize",15]]],[11,"len","std::iter","",508,[[],["usize",15]]],[11,"is_empty","","",508,[[],["bool",15]]],[11,"len","std::array","",478,[[],["usize",15]]],[11,"is_empty","","",478,[[],["bool",15]]],[11,"len","std","",565,[[],["usize",15]]],[11,"is_empty","","",565,[[],["bool",15]]],[11,"len","std::iter","",509,[[],["usize",15]]],[11,"is_empty","","",509,[[],["bool",15]]],[11,"is_empty","std::slice","",418,[[],["bool",15]]],[11,"is_empty","","",416,[[],["bool",15]]],[11,"len","std::char","",486,[[],["usize",15]]],[11,"is_empty","std::slice","",432,[[],["bool",15]]],[11,"is_empty","","",417,[[],["bool",15]]],[11,"len","std::str","",447,[[],["usize",15]]],[11,"is_empty","","",447,[[],["bool",15]]],[11,"len","std::iter","",523,[[],["usize",15]]],[11,"is_empty","","",523,[[],["bool",15]]],[11,"len","","",521,[[],["usize",15]]],[11,"is_empty","","",521,[[],["bool",15]]],[11,"is_empty","std::slice","",421,[[],["bool",15]]],[11,"len","","",428,[[],["usize",15]]],[11,"is_empty","","",428,[[],["bool",15]]],[11,"len","std::iter","",504,[[],["usize",15]]],[11,"len","","",519,[[],["usize",15]]],[11,"is_empty","","",519,[[],["bool",15]]],[11,"len","std","Returns the number of elements in the slice.",564,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the slice has a length of 0.",564,[[],["bool",15]]],[11,"first","","Returns the first element of the slice, or <code>None</code> if it is …",564,[[],["option",4]]],[11,"first_mut","","Returns a mutable pointer to the first element of the …",564,[[],["option",4]]],[11,"split_first","","Returns the first and all the rest of the elements of the …",564,[[],["option",4]]],[11,"split_first_mut","","Returns the first and all the rest of the elements of the …",564,[[],["option",4]]],[11,"split_last","","Returns the last and all the rest of the elements of the …",564,[[],["option",4]]],[11,"split_last_mut","","Returns the last and all the rest of the elements of the …",564,[[],["option",4]]],[11,"last","","Returns the last element of the slice, or <code>None</code> if it is …",564,[[],["option",4]]],[11,"last_mut","","Returns a mutable pointer to the last item in the slice.",564,[[],["option",4]]],[11,"get","","Returns a reference to an element or subslice depending …",564,[[],["option",4]]],[11,"get_mut","","Returns a mutable reference to an element or subslice …",564,[[],["option",4]]],[11,"get_unchecked","","Returns a reference to an element or subslice, without …",564,[[]]],[11,"get_unchecked_mut","","Returns a mutable reference to an element or subslice, …",564,[[]]],[11,"as_ptr","","Returns a raw pointer to the slice\'s buffer.",564,[[]]],[11,"as_mut_ptr","","Returns an unsafe mutable pointer to the slice\'s buffer.",564,[[]]],[11,"as_ptr_range","","Returns the two raw pointers spanning the slice.",564,[[],["range",3]]],[11,"as_mut_ptr_range","","Returns the two unsafe mutable pointers spanning the …",564,[[],["range",3]]],[11,"swap","","Swaps two elements in the slice.",564,[[["usize",15]]]],[11,"reverse","","Reverses the order of elements in the slice, in place.",564,[[]]],[11,"iter","","Returns an iterator over the slice.",564,[[],["iter",3]]],[11,"iter_mut","","Returns an iterator that allows modifying each value.",564,[[],["itermut",3]]],[11,"windows","","Returns an iterator over all contiguous windows of length …",564,[[["usize",15]],["windows",3]]],[11,"chunks","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["chunks",3]]],[11,"chunks_mut","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["chunksmut",3]]],[11,"chunks_exact","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["chunksexact",3]]],[11,"chunks_exact_mut","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["chunksexactmut",3]]],[11,"as_chunks_unchecked","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"as_chunks","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"as_rchunks","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"array_chunks","","Returns an iterator over <code>N</code> elements of the slice at a …",564,[[],["arraychunks",3]]],[11,"as_chunks_unchecked_mut","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"as_chunks_mut","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"as_rchunks_mut","","Splits the slice into a slice of <code>N</code>-element arrays, …",564,[[]]],[11,"array_chunks_mut","","Returns an iterator over <code>N</code> elements of the slice at a …",564,[[],["arraychunksmut",3]]],[11,"array_windows","","Returns an iterator over overlapping windows of <code>N</code> …",564,[[],["arraywindows",3]]],[11,"rchunks","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["rchunks",3]]],[11,"rchunks_mut","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["rchunksmut",3]]],[11,"rchunks_exact","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["rchunksexact",3]]],[11,"rchunks_exact_mut","","Returns an iterator over <code>chunk_size</code> elements of the slice …",564,[[["usize",15]],["rchunksexactmut",3]]],[11,"group_by","","Returns an iterator over the slice producing …",564,[[],["groupby",3]]],[11,"group_by_mut","","Returns an iterator over the slice producing …",564,[[],["groupbymut",3]]],[11,"split_at","","Divides one slice into two at an index.",564,[[["usize",15]]]],[11,"split_at_mut","","Divides one mutable slice into two at an index.",564,[[["usize",15]]]],[11,"split","","Returns an iterator over subslices separated by elements …",564,[[],["split",3]]],[11,"split_mut","","Returns an iterator over mutable subslices separated by …",564,[[],["splitmut",3]]],[11,"split_inclusive","","Returns an iterator over subslices separated by elements …",564,[[],["splitinclusive",3]]],[11,"split_inclusive_mut","","Returns an iterator over mutable subslices separated by …",564,[[],["splitinclusivemut",3]]],[11,"rsplit","","Returns an iterator over subslices separated by elements …",564,[[],["rsplit",3]]],[11,"rsplit_mut","","Returns an iterator over mutable subslices separated by …",564,[[],["rsplitmut",3]]],[11,"splitn","","Returns an iterator over subslices separated by elements …",564,[[["usize",15]],["splitn",3]]],[11,"splitn_mut","","Returns an iterator over subslices separated by elements …",564,[[["usize",15]],["splitnmut",3]]],[11,"rsplitn","","Returns an iterator over subslices separated by elements …",564,[[["usize",15]],["rsplitn",3]]],[11,"rsplitn_mut","","Returns an iterator over subslices separated by elements …",564,[[["usize",15]],["rsplitnmut",3]]],[11,"contains","","Returns <code>true</code> if the slice contains an element with the …",564,[[],["bool",15]]],[11,"starts_with","","Returns <code>true</code> if <code>needle</code> is a prefix of the slice.",564,[[],["bool",15]]],[11,"ends_with","","Returns <code>true</code> if <code>needle</code> is a suffix of the slice.",564,[[],["bool",15]]],[11,"strip_prefix","","Returns a subslice with the prefix removed.",564,[[],["option",4]]],[11,"strip_suffix","","Returns a subslice with the suffix removed.",564,[[],["option",4]]],[11,"binary_search","","Binary searches this sorted slice for a given element.",564,[[],[["usize",15],["result",4]]]],[11,"binary_search_by","","Binary searches this sorted slice with a comparator …",564,[[],[["usize",15],["result",4]]]],[11,"binary_search_by_key","","Binary searches this sorted slice with a key extraction …",564,[[],[["usize",15],["result",4]]]],[11,"sort_unstable","","Sorts the slice, but may not preserve the order of equal …",564,[[]]],[11,"sort_unstable_by","","Sorts the slice with a comparator function, but may not …",564,[[]]],[11,"sort_unstable_by_key","","Sorts the slice with a key extraction function, but may …",564,[[]]],[11,"partition_at_index","","Reorder the slice such that the element at <code>index</code> is at …",564,[[["usize",15]]]],[11,"partition_at_index_by","","Reorder the slice with a comparator function such that …",564,[[["usize",15]]]],[11,"partition_at_index_by_key","","Reorder the slice with a key extraction function such …",564,[[["usize",15]]]],[11,"select_nth_unstable","","Reorder the slice such that the element at <code>index</code> is at …",564,[[["usize",15]]]],[11,"select_nth_unstable_by","","Reorder the slice with a comparator function such that …",564,[[["usize",15]]]],[11,"select_nth_unstable_by_key","","Reorder the slice with a key extraction function such …",564,[[["usize",15]]]],[11,"partition_dedup","","Moves all consecutive repeated elements to the end of the …",564,[[]]],[11,"partition_dedup_by","","Moves all but the first of consecutive elements to the …",564,[[]]],[11,"partition_dedup_by_key","","Moves all but the first of consecutive elements to the …",564,[[]]],[11,"rotate_left","","Rotates the slice in-place such that the first <code>mid</code> …",564,[[["usize",15]]]],[11,"rotate_right","","Rotates the slice in-place such that the first …",564,[[["usize",15]]]],[11,"fill","","Fills <code>self</code> with elements by cloning <code>value</code>.",564,[[]]],[11,"fill_with","","Fills <code>self</code> with elements returned by calling a closure …",564,[[]]],[11,"clone_from_slice","","Copies the elements from <code>src</code> into <code>self</code>.",564,[[]]],[11,"copy_from_slice","","Copies all elements from <code>src</code> into <code>self</code>, using a memcpy.",564,[[]]],[11,"copy_within","","Copies elements from one part of the slice to another …",564,[[["usize",15]]]],[11,"swap_with_slice","","Swaps all elements in <code>self</code> with those in <code>other</code>.",564,[[]]],[11,"align_to","","Transmute the slice to a slice of another type, ensuring …",564,[[]]],[11,"align_to_mut","","Transmute the slice to a slice of another type, ensuring …",564,[[]]],[11,"is_sorted","","Checks if the elements of this slice are sorted.",564,[[],["bool",15]]],[11,"is_sorted_by","","Checks if the elements of this slice are sorted using the …",564,[[],["bool",15]]],[11,"is_sorted_by_key","","Checks if the elements of this slice are sorted using the …",564,[[],["bool",15]]],[11,"partition_point","","Returns the index of the partition point according to the …",564,[[],["usize",15]]],[11,"is_ascii","","Checks if all bytes in this slice are within the ASCII …",564,[[],["bool",15]]],[11,"eq_ignore_ascii_case","","Checks that two slices are an ASCII case-insensitive …",564,[[],["bool",15]]],[11,"make_ascii_uppercase","","Converts this slice to its ASCII upper case equivalent …",564,[[]]],[11,"make_ascii_lowercase","","Converts this slice to its ASCII lower case equivalent …",564,[[]]],[11,"sort","","Sorts the slice.",564,[[]]],[11,"sort_by","","Sorts the slice with a comparator function.",564,[[]]],[11,"sort_by_key","","Sorts the slice with a key extraction function.",564,[[]]],[11,"sort_by_cached_key","","Sorts the slice with a key extraction function.",564,[[]]],[11,"to_vec","","Copies <code>self</code> into a new <code>Vec</code>.",564,[[],[["vec",3],["global",3]]]],[11,"to_vec_in","","Copies <code>self</code> into a new <code>Vec</code> with an allocator.",564,[[],["vec",3]]],[11,"into_vec","","Converts <code>self</code> into a vector without clones or allocation.",564,[[["box",3]],["vec",3]]],[11,"repeat","","Creates a vector by repeating a slice <code>n</code> times.",564,[[["usize",15]],[["vec",3],["global",3]]]],[11,"concat","","Flattens a slice of <code>T</code> into a single value <code>Self::Output</code>.",564,[[]]],[11,"join","","Flattens a slice of <code>T</code> into a single value <code>Self::Output</code>, …",564,[[]]],[11,"connect","","Flattens a slice of <code>T</code> into a single value <code>Self::Output</code>, …",564,[[]]],[11,"to_ascii_uppercase","","Returns a vector containing a copy of this slice where …",564,[[],[["vec",3],["global",3],["u8",15]]]],[11,"to_ascii_lowercase","","Returns a vector containing a copy of this slice where …",564,[[],[["vec",3],["global",3],["u8",15]]]],[11,"deref","std::vec","",471,[[]]],[11,"deref","std::sync","",379,[[]]],[11,"deref","std::borrow","",116,[[]]],[11,"deref","std::collections::binary_heap","",247,[[]]],[11,"deref","std::boxed","",405,[[]]],[11,"deref","std::rc","",414,[[]]],[11,"len","std","Returns the length of <code>self</code>.",566,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if <code>self</code> has a length of zero bytes.",566,[[],["bool",15]]],[11,"is_char_boundary","","Checks that <code>index</code>-th byte is the first byte in a UTF-8 …",566,[[["usize",15]],["bool",15]]],[11,"as_bytes","","Converts a string slice to a byte slice. To convert the …",566,[[]]],[11,"as_bytes_mut","","Converts a mutable string slice to a mutable byte slice.",566,[[]]],[11,"as_ptr","","Converts a string slice to a raw pointer.",566,[[]]],[11,"as_mut_ptr","","Converts a mutable string slice to a raw pointer.",566,[[]]],[11,"get","","Returns a subslice of <code>str</code>.",566,[[],["option",4]]],[11,"get_mut","","Returns a mutable subslice of <code>str</code>.",566,[[],["option",4]]],[11,"get_unchecked","","Returns an unchecked subslice of <code>str</code>.",566,[[]]],[11,"get_unchecked_mut","","Returns a mutable, unchecked subslice of <code>str</code>.",566,[[]]],[11,"slice_unchecked","","Creates a string slice from another string slice, …",566,[[["usize",15]],["str",15]]],[11,"slice_mut_unchecked","","Creates a string slice from another string slice, …",566,[[["usize",15]],["str",15]]],[11,"split_at","","Divide one string slice into two at an index.",566,[[["usize",15]]]],[11,"split_at_mut","","Divide one mutable string slice into two at an index.",566,[[["usize",15]]]],[11,"chars","","Returns an iterator over the <code>char</code>s of a string slice.",566,[[],["chars",3]]],[11,"char_indices","","Returns an iterator over the <code>char</code>s of a string slice, and …",566,[[],["charindices",3]]],[11,"bytes","","An iterator over the bytes of a string slice.",566,[[],["bytes",3]]],[11,"split_whitespace","","Splits a string slice by whitespace.",566,[[],["splitwhitespace",3]]],[11,"split_ascii_whitespace","","Splits a string slice by ASCII whitespace.",566,[[],["splitasciiwhitespace",3]]],[11,"lines","","An iterator over the lines of a string, as string slices.",566,[[],["lines",3]]],[11,"lines_any","","An iterator over the lines of a string.",566,[[],["linesany",3]]],[11,"encode_utf16","","Returns an iterator of <code>u16</code> over the string encoded as …",566,[[],["encodeutf16",3]]],[11,"contains","","Returns <code>true</code> if the given pattern matches a sub-slice of …",566,[[],["bool",15]]],[11,"starts_with","","Returns <code>true</code> if the given pattern matches a prefix of this…",566,[[],["bool",15]]],[11,"ends_with","","Returns <code>true</code> if the given pattern matches a suffix of this…",566,[[],["bool",15]]],[11,"find","","Returns the byte index of the first character of this …",566,[[],[["usize",15],["option",4]]]],[11,"rfind","","Returns the byte index for the first character of the …",566,[[],[["usize",15],["option",4]]]],[11,"split","","An iterator over substrings of this string slice, …",566,[[],["split",3]]],[11,"split_inclusive","","An iterator over substrings of this string slice, …",566,[[],["splitinclusive",3]]],[11,"rsplit","","An iterator over substrings of the given string slice, …",566,[[],["rsplit",3]]],[11,"split_terminator","","An iterator over substrings of the given string slice, …",566,[[],["splitterminator",3]]],[11,"rsplit_terminator","","An iterator over substrings of <code>self</code>, separated by …",566,[[],["rsplitterminator",3]]],[11,"splitn","","An iterator over substrings of the given string slice, …",566,[[["usize",15]],["splitn",3]]],[11,"rsplitn","","An iterator over substrings of this string slice, …",566,[[["usize",15]],["rsplitn",3]]],[11,"split_once","","Splits the string on the first occurrence of the …",566,[[],["option",4]]],[11,"rsplit_once","","Splits the string on the last occurrence of the specified …",566,[[],["option",4]]],[11,"matches","","An iterator over the disjoint matches of a pattern within …",566,[[],["matches",3]]],[11,"rmatches","","An iterator over the disjoint matches of a pattern within …",566,[[],["rmatches",3]]],[11,"match_indices","","An iterator over the disjoint matches of a pattern within …",566,[[],["matchindices",3]]],[11,"rmatch_indices","","An iterator over the disjoint matches of a pattern within …",566,[[],["rmatchindices",3]]],[11,"trim","","Returns a string slice with leading and trailing …",566,[[],["str",15]]],[11,"trim_start","","Returns a string slice with leading whitespace removed.",566,[[],["str",15]]],[11,"trim_end","","Returns a string slice with trailing whitespace removed.",566,[[],["str",15]]],[11,"trim_left","","Returns a string slice with leading whitespace removed.",566,[[],["str",15]]],[11,"trim_right","","Returns a string slice with trailing whitespace removed.",566,[[],["str",15]]],[11,"trim_matches","","Returns a string slice with all prefixes and suffixes …",566,[[],["str",15]]],[11,"trim_start_matches","","Returns a string slice with all prefixes that match a …",566,[[],["str",15]]],[11,"strip_prefix","","Returns a string slice with the prefix removed.",566,[[],[["str",15],["option",4]]]],[11,"strip_suffix","","Returns a string slice with the suffix removed.",566,[[],[["str",15],["option",4]]]],[11,"trim_end_matches","","Returns a string slice with all suffixes that match a …",566,[[],["str",15]]],[11,"trim_left_matches","","Returns a string slice with all prefixes that match a …",566,[[],["str",15]]],[11,"trim_right_matches","","Returns a string slice with all suffixes that match a …",566,[[],["str",15]]],[11,"parse","","Parses this string slice into another type.",566,[[],["result",4]]],[11,"is_ascii","","Checks if all characters in this string are within the …",566,[[],["bool",15]]],[11,"eq_ignore_ascii_case","","Checks that two strings are an ASCII case-insensitive …",566,[[["str",15]],["bool",15]]],[11,"make_ascii_uppercase","","Converts this string to its ASCII upper case equivalent …",566,[[]]],[11,"make_ascii_lowercase","","Converts this string to its ASCII lower case equivalent …",566,[[]]],[11,"escape_debug","","Return an iterator that escapes each char in <code>self</code> with […",566,[[],["escapedebug",3]]],[11,"escape_default","","Return an iterator that escapes each char in <code>self</code> with […",566,[[],["escapedefault",3]]],[11,"escape_unicode","","Return an iterator that escapes each char in <code>self</code> with […",566,[[],["escapeunicode",3]]],[11,"into_boxed_bytes","","Converts a <code>Box<str></code> into a <code>Box<[u8]></code> without copying or …",566,[[["box",3],["global",3],["str",15]],[["global",3],["box",3]]]],[11,"replace","","Replaces all matches of a pattern with another string.",566,[[["str",15]],["string",3]]],[11,"replacen","","Replaces first N matches of a pattern with another string.",566,[[["usize",15],["str",15]],["string",3]]],[11,"to_lowercase","","Returns the lowercase equivalent of this string slice, as …",566,[[],["string",3]]],[11,"to_uppercase","","Returns the uppercase equivalent of this string slice, as …",566,[[],["string",3]]],[11,"into_string","","Converts a [<code>Box<str></code>] into a [<code>String</code>] without copying or …",566,[[["box",3],["global",3],["str",15]],["string",3]]],[11,"repeat","","Creates a new [<code>String</code>] by repeating a string <code>n</code> times.",566,[[["usize",15]],["string",3]]],[11,"to_ascii_uppercase","","Returns a copy of this string where each character is …",566,[[],["string",3]]],[11,"to_ascii_lowercase","","Returns a copy of this string where each character is …",566,[[],["string",3]]],[11,"deref","std::string","",467,[[],["str",15]]],[11,"poll_next","std::boxed","",405,[[["box",3],["context",3],["pin",3]],[["poll",4],["option",4]]]],[11,"size_hint","","",405,[[]]],[11,"as_ref","","",405,[[]]],[11,"as_ref","std::vec","",474,[[]]],[11,"as_ref","std::rc","",414,[[]]],[11,"as_ref","std::vec","",471,[[],["vec",3]]],[11,"as_ref","std::borrow","",116,[[]]],[11,"as_ref","std::vec","",475,[[]]],[11,"as_ref","std::string","",467,[[]]],[11,"as_ref","","",467,[[],["str",15]]],[11,"as_ref","std::vec","",471,[[]]],[11,"as_ref","std::sync","",379,[[]]],[11,"add_assign","std::borrow","",116,[[["cow",4],["str",15]]]],[11,"add_assign","","",116,[[["str",15]]]],[11,"add_assign","std::string","",467,[[["str",15]]]],[11,"drop","std::collections::vec_deque","",284,[[]]],[11,"drop","std::collections","",255,[[]]],[11,"drop","std::collections::binary_heap","Removes heap elements in heap order.",252,[[]]],[11,"drop","","",247,[[]]],[11,"drop","std::rc","Drops the <code>Rc</code>.",414,[[]]],[11,"drop","std::boxed","",405,[[]]],[11,"drop","std::sync","Drops the <code>Weak</code> pointer.",380,[[]]],[11,"drop","std::vec","",471,[[]]],[11,"drop","std::collections::btree_map","",257,[[]]],[11,"drop","std::sync","Drops the <code>Arc</code>.",379,[[]]],[11,"drop","std::vec","",474,[[]]],[11,"drop","","",473,[[]]],[11,"drop","std::collections","",283,[[]]],[11,"drop","std::collections::btree_map","",265,[[]]],[11,"drop","std::collections::btree_set","",272,[[]]],[11,"drop","std::string","",470,[[]]],[11,"drop","std::collections","",276,[[]]],[11,"drop","std::vec","",472,[[]]],[11,"drop","","",475,[[]]],[11,"drop","std::collections::linked_list","",282,[[]]],[11,"drop","std::rc","Drops the <code>Weak</code> pointer.",415,[[]]],[11,"deref_mut","std::collections::binary_heap","",247,[[]]],[11,"deref_mut","std::string","",467,[[],["str",15]]],[11,"deref_mut","std::vec","",471,[[]]],[11,"deref_mut","std::boxed","",405,[[]]],[11,"concat","std","",564,[[],["string",3]]],[11,"concat","","",564,[[],[["vec",3],["global",3]]]],[11,"eq","","",564,[[["vec",3]],["bool",15]]],[11,"ne","","",564,[[["vec",3]],["bool",15]]],[11,"eq","std::vec","",471,[[["vec",3]],["bool",15]]],[11,"ne","","",471,[[["vec",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[],["bool",15]]],[11,"ne","","",116,[[],["bool",15]]],[11,"eq","std::boxed","",405,[[["box",3]],["bool",15]]],[11,"ne","","",405,[[["box",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["vec",3]],["bool",15]]],[11,"ne","","",116,[[["vec",3]],["bool",15]]],[11,"eq","std","",564,[[["vec",3]],["bool",15]]],[11,"ne","","",564,[[["vec",3]],["bool",15]]],[11,"eq","std::collections","",273,[[["btreeset",3]],["bool",15]]],[11,"ne","","",273,[[["btreeset",3]],["bool",15]]],[11,"eq","std::vec","",471,[[],["bool",15]]],[11,"ne","","",471,[[],["bool",15]]],[11,"eq","std::collections","",283,[[],["bool",15]]],[11,"eq","std::vec","",471,[[],["bool",15]]],[11,"ne","","",471,[[],["bool",15]]],[11,"eq","std::string","",467,[[["cow",4]],["bool",15]]],[11,"ne","","",467,[[["cow",4]],["bool",15]]],[11,"eq","","",468,[[["fromutf8error",3]],["bool",15]]],[11,"ne","","",468,[[["fromutf8error",3]],["bool",15]]],[11,"eq","std","",564,[[["vec",3]],["bool",15]]],[11,"ne","","",564,[[["vec",3]],["bool",15]]],[11,"eq","std::collections","",283,[[],["bool",15]]],[11,"eq","","",276,[[["linkedlist",3]],["bool",15]]],[11,"ne","","",276,[[["linkedlist",3]],["bool",15]]],[11,"eq","std::sync","Equality for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"ne","","Inequality for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"eq","std::collections","",283,[[["vecdeque",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[],["bool",15]]],[11,"ne","","",116,[[],["bool",15]]],[11,"eq","std::string","",467,[[["string",3]],["bool",15]]],[11,"ne","","",467,[[["string",3]],["bool",15]]],[11,"eq","std::collections","",283,[[["vec",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["string",3]],["bool",15]]],[11,"ne","","",116,[[["string",3]],["bool",15]]],[11,"eq","std::collections","",283,[[],["bool",15]]],[11,"eq","std::borrow","",116,[[["str",15]],["bool",15]]],[11,"ne","","",116,[[["str",15]],["bool",15]]],[11,"eq","std::collections","",255,[[["btreemap",3]],["bool",15]]],[11,"eq","std","",566,[[["cow",4]],["bool",15]]],[11,"ne","","",566,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["str",15]],["bool",15]]],[11,"ne","","",116,[[["str",15]],["bool",15]]],[11,"eq","std::collections","",283,[[],["bool",15]]],[11,"eq","","",283,[[],["bool",15]]],[11,"eq","std::vec","",471,[[],["bool",15]]],[11,"ne","","",471,[[],["bool",15]]],[11,"eq","std::collections","",10,[[["tryreserveerror",4]],["bool",15]]],[11,"ne","","",10,[[["tryreserveerror",4]],["bool",15]]],[11,"eq","std","",566,[[["string",3]],["bool",15]]],[11,"ne","","",566,[[["string",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["cow",4]],["bool",15]]],[11,"eq","std::string","",467,[[["str",15]],["bool",15]]],[11,"ne","","",467,[[["str",15]],["bool",15]]],[11,"eq","","",467,[[["str",15]],["bool",15]]],[11,"ne","","",467,[[["str",15]],["bool",15]]],[11,"eq","std::vec","",471,[[],["bool",15]]],[11,"ne","","",471,[[],["bool",15]]],[11,"eq","","",471,[[],["bool",15]]],[11,"ne","","",471,[[],["bool",15]]],[11,"eq","std","",566,[[["cow",4]],["bool",15]]],[11,"ne","","",566,[[["cow",4]],["bool",15]]],[11,"eq","","",566,[[["string",3]],["bool",15]]],[11,"ne","","",566,[[["string",3]],["bool",15]]],[11,"eq","std::rc","Equality for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"ne","","Inequality for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"is_empty","std::collections::binary_heap","",251,[[],["bool",15]]],[11,"len","std::collections::btree_map","",256,[[],["usize",15]]],[11,"is_empty","std::collections::binary_heap","",249,[[],["bool",15]]],[11,"is_empty","","",248,[[],["bool",15]]],[11,"len","std::collections::btree_map","",258,[[],["usize",15]]],[11,"len","","",259,[[],["usize",15]]],[11,"len","","",261,[[],["usize",15]]],[11,"len","std::collections::btree_set","",274,[[],["usize",15]]],[11,"is_empty","std::vec","",474,[[],["bool",15]]],[11,"len","std::collections::btree_map","",260,[[],["usize",15]]],[11,"is_empty","std::vec","",475,[[],["bool",15]]],[11,"is_empty","std::collections::vec_deque","",285,[[],["bool",15]]],[11,"is_empty","","",286,[[],["bool",15]]],[11,"len","std::collections::btree_map","",262,[[],["usize",15]]],[11,"is_empty","std::collections::vec_deque","",287,[[],["bool",15]]],[11,"len","std::collections::btree_set","",267,[[],["usize",15]]],[11,"len","std::collections::btree_map","",266,[[],["usize",15]]],[11,"len","std::boxed","",405,[[],["usize",15]]],[11,"is_empty","","",405,[[],["bool",15]]],[11,"len","std::collections::btree_map","",257,[[],["usize",15]]],[11,"next_back","std::collections::linked_list","",277,[[],["option",4]]],[11,"next_back","std::vec","",475,[[],["option",4]]],[11,"next_back","std::collections::btree_set","",275,[[],["option",4]]],[11,"next_back","std::collections::btree_map","",261,[[],["option",4]]],[11,"next_back","","",264,[[],["option",4]]],[11,"next_back","std::collections::btree_set","",267,[[],["option",4]]],[11,"next_back","std::collections::btree_map","",266,[[],["option",4]]],[11,"next_back","","",260,[[],["option",4]]],[11,"next_back","std::vec","",473,[[],["option",4]]],[11,"next_back","std::collections::binary_heap","",249,[[],["option",4]]],[11,"next_back","std::collections::btree_map","",257,[[],["option",4]]],[11,"next_back","","",262,[[],["option",4]]],[11,"next_back","std::collections::linked_list","",278,[[],["option",4]]],[11,"next_back","std::collections::btree_map","",256,[[],["option",4]]],[11,"next_back","std::collections::vec_deque","",284,[[],["option",4]]],[11,"next_back","","",286,[[],["option",4]]],[11,"next_back","std::collections::btree_set","",274,[[],["option",4]]],[11,"next_back","std::collections::binary_heap","",248,[[],["option",4]]],[11,"next_back","std::string","",470,[[],[["option",4],["char",15]]]],[11,"next_back","std::collections::btree_map","",259,[[],["option",4]]],[11,"next_back","std::boxed","",405,[[],["option",4]]],[11,"nth_back","","",405,[[["usize",15]],["option",4]]],[11,"next_back","std::collections::btree_map","",258,[[],["option",4]]],[11,"next_back","std::collections::linked_list","",279,[[],["option",4]]],[11,"next_back","std::collections::btree_map","",263,[[],["option",4]]],[11,"next_back","std::collections::binary_heap","",251,[[],["option",4]]],[11,"next_back","std::vec","",474,[[],["option",4]]],[11,"next_back","std::collections::vec_deque","",285,[[],["option",4]]],[11,"rfold","","",285,[[]]],[11,"next_back","","",287,[[],["option",4]]],[11,"rfold","","",287,[[]]],[11,"try_rfold","","",287,[[]]],[11,"call_once","std::boxed","",405,[[]]],[11,"index_mut","std::string","",467,[[["usize",15],["rangeinclusive",3]],["str",15]]],[11,"index_mut","","",467,[[["rangefull",3]],["str",15]]],[11,"index_mut","","",467,[[["usize",15],["rangeto",3]],["str",15]]],[11,"index_mut","std::collections","",283,[[["usize",15]]]],[11,"index_mut","std::string","",467,[[["usize",15],["range",3]],["str",15]]],[11,"index_mut","std::vec","",471,[[]]],[11,"index_mut","std::string","",467,[[["usize",15],["rangetoinclusive",3]],["str",15]]],[11,"index_mut","","",467,[[["usize",15],["rangefrom",3]],["str",15]]],[11,"extend","std::collections","",246,[[]]],[11,"extend_one","","",246,[[]]],[11,"extend_reserve","","",246,[[["usize",15]]]],[11,"extend","std::string","",467,[[]]],[11,"extend_one","","",467,[[["char",15]]]],[11,"extend_reserve","","",467,[[["usize",15]]]],[11,"extend","std::collections","",276,[[]]],[11,"extend_one","","",276,[[]]],[11,"extend","std::string","",467,[[]]],[11,"extend_one","","",467,[[["str",15]]]],[11,"extend","std::vec","",471,[[]]],[11,"extend_one","","",471,[[]]],[11,"extend_reserve","","",471,[[["usize",15]]]],[11,"extend","std::collections","",246,[[]]],[11,"extend_one","","",246,[[]]],[11,"extend_reserve","","",246,[[["usize",15]]]],[11,"extend","","",273,[[]]],[11,"extend_one","","",273,[[]]],[11,"extend","","",283,[[]]],[11,"extend_one","","",283,[[]]],[11,"extend_reserve","","",283,[[["usize",15]]]],[11,"extend","","",276,[[]]],[11,"extend_one","","",276,[[]]],[11,"extend","std::vec","",471,[[]]],[11,"extend_one","","",471,[[]]],[11,"extend_reserve","","",471,[[["usize",15]]]],[11,"extend","std::string","",467,[[]]],[11,"extend_one","","",467,[[["string",3]]]],[11,"extend","std::collections","",273,[[]]],[11,"extend_one","","",273,[[]]],[11,"extend","std::string","",467,[[]]],[11,"extend","std::collections","",255,[[]]],[11,"extend_one","","",255,[[]]],[11,"extend","std::string","",467,[[]]],[11,"extend_one","","",467,[[["char",15]]]],[11,"extend_reserve","","",467,[[["usize",15]]]],[11,"extend","std::collections","",283,[[]]],[11,"extend_one","","",283,[[]]],[11,"extend_reserve","","",283,[[["usize",15]]]],[11,"extend","","",255,[[]]],[11,"extend_one","","",255,[[]]],[11,"extend","std::string","",467,[[]]],[11,"extend_one","","",467,[[["cow",4],["str",15]]]],[11,"resume","std::pin","",543,[[["pin",3],["pin",3]],["generatorstate",4]]],[11,"resume","std::boxed","",405,[[["box",3],["pin",3]],["generatorstate",4]]],[11,"default","","Creates a <code>Box<T></code>, with the <code>Default</code> value for T.",405,[[],[["global",3],["box",3]]]],[11,"default","std::collections","Creates an empty <code>BTreeMap</code>.",255,[[],["btreemap",3]]],[11,"default","std::rc","Creates a new <code>Rc<T></code>, with the <code>Default</code> value for <code>T</code>.",414,[[],["rc",3]]],[11,"default","std::collections","Creates an empty <code>LinkedList<T></code>.",276,[[],["linkedlist",3]]],[11,"default","std::borrow","Creates an owned Cow<\'a, B> with the default value for …",116,[[],["cow",4]]],[11,"default","std::collections","Creates an empty <code>BinaryHeap<T></code>.",246,[[],["binaryheap",3]]],[11,"default","","Creates an empty <code>BTreeSet</code>.",273,[[],["btreeset",3]]],[11,"default","std::sync","Constructs a new <code>Weak<T></code>, without allocating memory. …",380,[[],["weak",3]]],[11,"default","std::alloc","",400,[[],["global",3]]],[11,"default","std::collections","Creates an empty <code>VecDeque<T></code>.",283,[[],["vecdeque",3]]],[11,"default","std::vec","Creates an empty <code>Vec<T></code>.",471,[[],[["vec",3],["global",3]]]],[11,"default","std::boxed","",405,[[],[["box",3],["global",3],["str",15]]]],[11,"default","std::rc","Constructs a new <code>Weak<T></code>, allocating memory for <code>T</code> without …",415,[[],["weak",3]]],[11,"default","std::sync","Creates a new <code>Arc<T></code>, with the <code>Default</code> value for <code>T</code>.",379,[[],["arc",3]]],[11,"default","std::string","Creates an empty <code>String</code>.",467,[[],["string",3]]],[11,"default","std::boxed","",405,[[],[["global",3],["box",3]]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"from_iter","std::borrow","",116,[[],["cow",4]]],[11,"from_iter","std::collections","",273,[[],["btreeset",3]]],[11,"from_iter","","",255,[[],["btreemap",3]]],[11,"from_iter","std::borrow","",116,[[],[["cow",4],["str",15]]]],[11,"from_iter","std::collections","",246,[[],["binaryheap",3]]],[11,"from_iter","std::borrow","",116,[[],[["cow",4],["str",15]]]],[11,"from_iter","std::boxed","",405,[[],[["box",3],["global",3]]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"from_iter","std::vec","",471,[[],[["vec",3],["global",3]]]],[11,"from_iter","std::rc","Takes each element in the <code>Iterator</code> and collects it into …",414,[[],["rc",3]]],[11,"from_iter","std::borrow","",116,[[],[["cow",4],["str",15]]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"from_iter","std::collections","",283,[[],["vecdeque",3]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"from_iter","std::collections","",276,[[],["linkedlist",3]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"from_iter","std::sync","Takes each element in the <code>Iterator</code> and collects it into …",379,[[],["arc",3]]],[11,"from_iter","std::string","",467,[[],["string",3]]],[11,"allocate","std::alloc","",400,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"allocate_zeroed","","",400,[[["layout",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"deallocate","","",400,[[["layout",3],["nonnull",3],["u8",15]]]],[11,"grow","","",400,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"grow_zeroed","","",400,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"shrink","","",400,[[["u8",15],["layout",3],["nonnull",3]],[["nonnull",3],["result",4],["allocerror",3]]]],[11,"as_inner","std::collections::binary_heap","",249,[[]]],[11,"as_inner","std::vec","",475,[[]]],[11,"into_iter","std::collections","Creates a consuming iterator, that is, one that moves …",246,[[],["intoiter",3]]],[11,"into_iter","std::vec","Creates a consuming iterator, that is, one that moves …",471,[[],["intoiter",3]]],[11,"into_iter","std::collections","Gets an iterator for moving out the <code>BTreeSet</code>\'s contents.",273,[[],["intoiter",3]]],[11,"into_iter","","Consumes the list into an iterator yielding elements by …",276,[[],["intoiter",3]]],[11,"into_iter","","",255,[[],["intoiter",3]]],[11,"into_iter","","Consumes the <code>VecDeque</code> into a front-to-back iterator …",283,[[],["intoiter",3]]],[11,"call_mut","std::boxed","",405,[[]]],[11,"partial_cmp","std::borrow","",116,[[["cow",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::collections","",273,[[["btreeset",3]],[["ordering",4],["option",4]]]],[11,"lt","","",273,[[["btreeset",3]],["bool",15]]],[11,"le","","",273,[[["btreeset",3]],["bool",15]]],[11,"gt","","",273,[[["btreeset",3]],["bool",15]]],[11,"ge","","",273,[[["btreeset",3]],["bool",15]]],[11,"partial_cmp","std::sync","Partial comparison for two <code>Arc</code>s.",379,[[["arc",3]],[["ordering",4],["option",4]]]],[11,"lt","","Less-than comparison for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"le","","\'Less than or equal to\' comparison for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"gt","","Greater-than comparison for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"ge","","\'Greater than or equal to\' comparison for two <code>Arc</code>s.",379,[[["arc",3]],["bool",15]]],[11,"partial_cmp","std::collections","",276,[[["linkedlist",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::string","",467,[[["string",3]],[["ordering",4],["option",4]]]],[11,"lt","","",467,[[["string",3]],["bool",15]]],[11,"le","","",467,[[["string",3]],["bool",15]]],[11,"gt","","",467,[[["string",3]],["bool",15]]],[11,"ge","","",467,[[["string",3]],["bool",15]]],[11,"partial_cmp","std::collections","",283,[[["vecdeque",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",255,[[["btreemap",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::rc","Partial comparison for two <code>Rc</code>s.",414,[[["rc",3]],[["ordering",4],["option",4]]]],[11,"lt","","Less-than comparison for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"le","","\'Less than or equal to\' comparison for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"gt","","Greater-than comparison for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"ge","","\'Greater than or equal to\' comparison for two <code>Rc</code>s.",414,[[["rc",3]],["bool",15]]],[11,"partial_cmp","std::boxed","",405,[[["box",3]],[["ordering",4],["option",4]]]],[11,"lt","","",405,[[["box",3]],["bool",15]]],[11,"le","","",405,[[["box",3]],["bool",15]]],[11,"ge","","",405,[[["box",3]],["bool",15]]],[11,"gt","","",405,[[["box",3]],["bool",15]]],[11,"partial_cmp","std::vec","",471,[[["vec",3]],[["ordering",4],["option",4]]]],[11,"fmt","std::collections::btree_set","",267,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::string","",468,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",260,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::boxed","",405,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::vec_deque","",286,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",266,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",264,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",269,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync","",379,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",277,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",272,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",256,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",278,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::binary_heap","",251,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",262,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",253,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",259,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::vec_deque","",287,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",281,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::binary_heap","",252,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",276,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::vec","",474,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::vec_deque","",284,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",246,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",279,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",255,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",254,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",275,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",257,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",274,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::rc","",414,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",273,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",271,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",263,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",10,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::binary_heap","",249,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",248,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync","",380,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::string","",469,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",9,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",261,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::vec","",471,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",270,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::vec","",472,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::vec_deque","",285,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::vec","",475,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",280,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_set","",268,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::rc","",415,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections","",283,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::borrow","",116,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::vec","",473,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::alloc","",400,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::binary_heap","",250,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::string","",470,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",467,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::btree_map","",265,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",258,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::linked_list","",282,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::collections::binary_heap","",247,[[["formatter",3]],[["error",3],["result",4]]]],[11,"borrow_mut","std::boxed","",405,[[]]],[11,"borrow_mut","std::vec","",471,[[]]],[11,"borrow_mut","std::string","",467,[[],["str",15]]],[11,"poll","std::boxed","",405,[[["context",3],["box",3],["pin",3]],["poll",4]]],[11,"clone","std::string","",468,[[],["fromutf8error",3]]],[11,"clone","std::collections::btree_map","",258,[[],["keys",3]]],[11,"clone","std::alloc","",400,[[],["global",3]]],[11,"clone","std::collections::vec_deque","",286,[[],["intoiter",3]]],[11,"clone","std::collections::btree_set","",269,[[],["symmetricdifference",3]]],[11,"clone","std::collections::binary_heap","",250,[[],["intoitersorted",3]]],[11,"clone","std::vec","",471,[[],["vec",3]]],[11,"clone_from","","",471,[[["vec",3]]]],[11,"clone","std::collections::btree_set","",270,[[],["intersection",3]]],[11,"clone","std::sync","Makes a clone of the <code>Weak</code> pointer that points to the same …",380,[[],["weak",3]]],[11,"clone","std::collections::linked_list","",279,[[],["intoiter",3]]],[11,"clone","std::boxed","",405,[[],["box",3]]],[11,"clone_from","","",405,[[["box",3]]]],[11,"clone","std::sync","Makes a clone of the <code>Arc</code> pointer.",379,[[],["arc",3]]],[11,"clone","std::string","",467,[[],["string",3]]],[11,"clone_from","","",467,[[["string",3]]]],[11,"clone","std::rc","Makes a clone of the <code>Rc</code> pointer.",414,[[],["rc",3]]],[11,"clone","std::collections::btree_map","",259,[[],["values",3]]],[11,"clone","std::borrow","",116,[[],["cow",4]]],[11,"clone_from","","",116,[[["cow",4]]]],[11,"clone","std::collections","",273,[[],["btreeset",3]]],[11,"clone_from","","",273,[[["btreeset",3]]]],[11,"clone","","",283,[[],["vecdeque",3]]],[11,"clone_from","","",283,[[["vecdeque",3]]]],[11,"clone","std::collections::linked_list","",280,[[],["cursor",3]]],[11,"clone","std::collections::binary_heap","",249,[[],["intoiter",3]]],[11,"clone","std::collections::btree_set","",275,[[],["range",3]]],[11,"clone","std::vec","",475,[[],["intoiter",3]]],[11,"clone","std::collections","",276,[[],["linkedlist",3]]],[11,"clone_from","","",276,[[["linkedlist",3]]]],[11,"clone","std::boxed","Returns a new box with a <code>clone()</code> of this box\'s contents.",405,[[],["box",3]]],[11,"clone_from","","Copies <code>source</code>\'s contents into <code>self</code> without creating a new …",405,[[["box",3]]]],[11,"clone","std::collections::vec_deque","",287,[[],["iter",3]]],[11,"clone","std::collections::btree_map","",256,[[],["iter",3]]],[11,"clone","std::collections::linked_list","",277,[[],["iter",3]]],[11,"clone","std::boxed","",405,[[],[["box",3],["global",3],["str",15]]]],[11,"clone","std::collections::binary_heap","",248,[[],["iter",3]]],[11,"clone","std::collections::btree_set","",268,[[],["difference",3]]],[11,"clone","std::collections::btree_map","",263,[[],["range",3]]],[11,"clone","std::collections::btree_set","",271,[[],["union",3]]],[11,"clone","std::collections","",10,[[],["tryreserveerror",4]]],[11,"clone","std::rc","Makes a clone of the <code>Weak</code> pointer that points to the same …",415,[[],["weak",3]]],[11,"clone","std::collections::btree_set","",267,[[],["iter",3]]],[11,"clone","std::collections","",246,[[],["binaryheap",3]]],[11,"clone_from","","",246,[[["binaryheap",3]]]],[11,"clone","","",255,[[],["btreemap",3]]],[11,"call","std::boxed","",405,[[]]],[11,"next","std::collections::btree_map","",260,[[],["option",4]]],[11,"size_hint","","",260,[[]]],[11,"last","","",260,[[],["option",4]]],[11,"next","std::collections::linked_list","",279,[[],["option",4]]],[11,"size_hint","","",279,[[]]],[11,"next","std::boxed","",405,[[],["option",4]]],[11,"size_hint","","",405,[[]]],[11,"nth","","",405,[[["usize",15]],["option",4]]],[11,"last","","",405,[[],["option",4]]],[11,"next","std::collections::btree_set","",275,[[],["option",4]]],[11,"last","","",275,[[],["option",4]]],[11,"min","","",275,[[],["option",4]]],[11,"max","","",275,[[],["option",4]]],[11,"next","std::collections::btree_map","",261,[[],["option",4]]],[11,"size_hint","","",261,[[]]],[11,"last","","",261,[[],["option",4]]],[11,"min","","",261,[[],["option",4]]],[11,"max","","",261,[[],["option",4]]],[11,"next","std::collections::btree_set","",274,[[],["option",4]]],[11,"size_hint","","",274,[[]]],[11,"next","std::collections::binary_heap","",250,[[],["option",4]]],[11,"size_hint","","",250,[[]]],[11,"next","std::collections::btree_set","",269,[[],["option",4]]],[11,"size_hint","","",269,[[]]],[11,"min","","",269,[[],["option",4]]],[11,"next","","",271,[[],["option",4]]],[11,"size_hint","","",271,[[]]],[11,"min","","",271,[[],["option",4]]],[11,"next","std::vec","",474,[[],["option",4]]],[11,"size_hint","","",474,[[]]],[11,"next","std::collections::vec_deque","",286,[[],["option",4]]],[11,"size_hint","","",286,[[]]],[11,"next","std::collections::btree_set","",268,[[],["option",4]]],[11,"size_hint","","",268,[[]]],[11,"min","","",268,[[],["option",4]]],[11,"next","std::collections::linked_list","",278,[[],["option",4]]],[11,"size_hint","","",278,[[]]],[11,"last","","",278,[[],["option",4]]],[11,"next","","",277,[[],["option",4]]],[11,"size_hint","","",277,[[]]],[11,"last","","",277,[[],["option",4]]],[11,"next","std::collections::vec_deque","",285,[[],["option",4]]],[11,"size_hint","","",285,[[]]],[11,"fold","","",285,[[]]],[11,"nth","","",285,[[["usize",15]],["option",4]]],[11,"last","","",285,[[],["option",4]]],[11,"next","std::collections::btree_set","",270,[[],["option",4]]],[11,"size_hint","","",270,[[]]],[11,"min","","",270,[[],["option",4]]],[11,"next","std::vec","",472,[[],["option",4]]],[11,"size_hint","","",472,[[]]],[11,"next","std::string","",470,[[],[["option",4],["char",15]]]],[11,"size_hint","","",470,[[]]],[11,"last","","",470,[[],[["option",4],["char",15]]]],[11,"next","std::collections::vec_deque","",287,[[],["option",4]]],[11,"size_hint","","",287,[[]]],[11,"fold","","",287,[[]]],[11,"try_fold","","",287,[[]]],[11,"nth","","",287,[[["usize",15]],["option",4]]],[11,"last","","",287,[[],["option",4]]],[11,"next","std::collections::btree_map","",258,[[],["option",4]]],[11,"size_hint","","",258,[[]]],[11,"last","","",258,[[],["option",4]]],[11,"min","","",258,[[],["option",4]]],[11,"max","","",258,[[],["option",4]]],[11,"next","std::collections::btree_set","",267,[[],["option",4]]],[11,"size_hint","","",267,[[]]],[11,"last","","",267,[[],["option",4]]],[11,"min","","",267,[[],["option",4]]],[11,"max","","",267,[[],["option",4]]],[11,"next","std::collections::binary_heap","",251,[[],["option",4]]],[11,"size_hint","","",251,[[]]],[11,"next","std::collections::btree_map","",257,[[],["option",4]]],[11,"size_hint","","",257,[[]]],[11,"next","std::vec","",475,[[],["option",4]]],[11,"size_hint","","",475,[[]]],[11,"count","","",475,[[],["usize",15]]],[11,"__iterator_get_unchecked","","",475,[[["usize",15]]]],[11,"next","std::collections::btree_map","",262,[[],["option",4]]],[11,"size_hint","","",262,[[]]],[11,"last","","",262,[[],["option",4]]],[11,"next","","",264,[[],["option",4]]],[11,"last","","",264,[[],["option",4]]],[11,"min","","",264,[[],["option",4]]],[11,"max","","",264,[[],["option",4]]],[11,"next","std::collections::binary_heap","",249,[[],["option",4]]],[11,"size_hint","","",249,[[]]],[11,"next","std::collections::btree_set","",272,[[],["option",4]]],[11,"size_hint","","",272,[[]]],[11,"next","std::collections::vec_deque","",284,[[],["option",4]]],[11,"size_hint","","",284,[[]]],[11,"next","std::collections::btree_map","",259,[[],["option",4]]],[11,"size_hint","","",259,[[]]],[11,"last","","",259,[[],["option",4]]],[11,"next","","",263,[[],["option",4]]],[11,"last","","",263,[[],["option",4]]],[11,"min","","",263,[[],["option",4]]],[11,"max","","",263,[[],["option",4]]],[11,"next","","",266,[[],["option",4]]],[11,"size_hint","","",266,[[]]],[11,"last","","",266,[[],["option",4]]],[11,"min","","",266,[[],["option",4]]],[11,"max","","",266,[[],["option",4]]],[11,"next","std::collections::linked_list","",282,[[],["option",4]]],[11,"size_hint","","",282,[[]]],[11,"next","std::vec","",473,[[],["option",4]]],[11,"size_hint","","",473,[[]]],[11,"next","std::collections::btree_map","",265,[[],["option",4]]],[11,"size_hint","","",265,[[]]],[11,"next","std::collections::binary_heap","",252,[[],["option",4]]],[11,"size_hint","","",252,[[]]],[11,"next","","",248,[[],["option",4]]],[11,"size_hint","","",248,[[]]],[11,"last","","",248,[[],["option",4]]],[11,"next","std::collections::btree_map","",256,[[],["option",4]]],[11,"size_hint","","",256,[[]]],[11,"last","","",256,[[],["option",4]]],[11,"min","","",256,[[],["option",4]]],[11,"max","","",256,[[],["option",4]]],[11,"index","std::string","",467,[[["usize",15],["rangetoinclusive",3]],["str",15]]],[11,"index","","",467,[[["usize",15],["rangeinclusive",3]],["str",15]]],[11,"index","","",467,[[["usize",15],["rangeto",3]],["str",15]]],[11,"index","std::collections","",283,[[["usize",15]]]],[11,"index","std::vec","",471,[[]]],[11,"index","std::string","",467,[[["rangefull",3]],["str",15]]],[11,"index","","",467,[[["usize",15],["rangefrom",3]],["str",15]]],[11,"index","std::collections","Returns a reference to the value corresponding to the …",255,[[]]],[11,"index","std::string","",467,[[["usize",15],["range",3]],["str",15]]],[11,"finish","std::boxed","",405,[[],["u64",15]]],[11,"write","","",405,[[]]],[11,"write_u8","","",405,[[["u8",15]]]],[11,"write_u16","","",405,[[["u16",15]]]],[11,"write_u32","","",405,[[["u32",15]]]],[11,"write_u64","","",405,[[["u64",15]]]],[11,"write_u128","","",405,[[["u128",15]]]],[11,"write_usize","","",405,[[["usize",15]]]],[11,"write_i8","","",405,[[["i8",15]]]],[11,"write_i16","","",405,[[["i16",15]]]],[11,"write_i32","","",405,[[["i32",15]]]],[11,"write_i64","","",405,[[["i64",15]]]],[11,"write_i128","","",405,[[["i128",15]]]],[11,"write_isize","","",405,[[["isize",15]]]],[11,"borrow","std::borrow","",116,[[]]],[11,"borrow","std::sync","",379,[[]]],[11,"borrow","std::string","",467,[[],["str",15]]],[11,"borrow","std::vec","",471,[[]]],[11,"borrow","std::boxed","",405,[[]]],[11,"borrow","std::rc","",414,[[]]],[11,"fmt","std::collections","",10,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::boxed","",405,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::string","",468,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","","",467,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::rc","",414,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync","",379,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::borrow","",116,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::string","",469,[[["formatter",3]],[["error",3],["result",4]]]],[11,"try_from","std::rc","",414,[[["rc",3]],[["result",4],["rc",3]]]],[11,"try_from","std","Gets the entire contents of the <code>Vec<T></code> as an array, if …",563,[[["vec",3]],[["result",4],["vec",3]]]],[11,"try_from","std::sync","",379,[[["arc",3]],[["arc",3],["result",4]]]],[11,"try_from","std::boxed","",405,[[["global",3],["box",3]],[["result",4],["box",3]]]],[11,"to_owned","std","",566,[[],["string",3]]],[11,"clone_into","","",566,[[["string",3]]]],[11,"to_owned","","",564,[[],[["vec",3],["global",3]]]],[11,"clone_into","","",564,[[["vec",3]]]],[11,"to_string","std::borrow","",116,[[],["string",3]]],[11,"to_string","std::string","",467,[[],["string",3]]],[11,"to_string","std","",567,[[],["string",3]]],[11,"to_string","","",566,[[],["string",3]]],[11,"from_str","std::string","",467,[[["str",15]],[["string",3],["result",4]]]],[11,"join","std","",564,[[],[["vec",3],["global",3]]]],[11,"join","","",564,[[],[["vec",3],["global",3]]]],[11,"join","","",564,[[["str",15]],["string",3]]],[11,"add","std::borrow","",116,[[["cow",4],["str",15]]]],[11,"add","","",116,[[["str",15]]]],[11,"add","std::string","",467,[[["str",15]],["string",3]]],[11,"as_mut","std::vec","",471,[[],["vec",3]]],[11,"as_mut","std::string","",467,[[],["str",15]]],[11,"as_mut","std::vec","",471,[[]]],[11,"as_mut","std::boxed","",405,[[]]],[11,"from","","Converts the given <code>String</code> to a boxed <code>str</code> slice that is …",405,[[["string",3]],[["box",3],["global",3],["str",15]]]],[11,"from","std::vec","",471,[[["str",15]],[["vec",3],["global",3],["u8",15]]]],[11,"from","","Converts a <code>BinaryHeap<T></code> into a <code>Vec<T></code>.",471,[[["binaryheap",3]],[["vec",3],["global",3]]]],[11,"from","","",471,[[],[["vec",3],["global",3]]]],[11,"from","std::boxed","Converts a <code>&str</code> into a <code>Box<str></code>",405,[[["str",15]],[["box",3],["global",3],["str",15]]]],[11,"from","std::string","Converts a <code>&mut str</code> into a <code>String</code>.",467,[[["str",15]],["string",3]]],[11,"from","std::rc","",414,[[],["rc",3]]],[11,"from","std::vec","",471,[[["box",3]],["vec",3]]],[11,"from","std::collections","Converts a <code>Vec<T></code> into a <code>BinaryHeap<T></code>.",246,[[["vec",3],["global",3]],["binaryheap",3]]],[11,"from","std::rc","",414,[[["vec",3],["global",3]],["rc",3]]],[11,"from","std::string","",467,[[["string",3]],["string",3]]],[11,"from","std::pin","Converts a <code>Box<T></code> into a <code>Pin<Box<T>></code>",543,[[["box",3]],[["box",3],["pin",3]]]],[11,"from","std::boxed","Converts a <code>&[T]</code> into a <code>Box<[T]></code>",405,[[],[["global",3],["box",3]]]],[11,"from","std::vec","Turn a <code>VecDeque<T></code> into a <code>Vec<T></code>.",471,[[["vecdeque",3]],[["vec",3],["global",3]]]],[11,"from","std::sync","",379,[[],["arc",3]]],[11,"from","std::vec","",471,[[],[["vec",3],["global",3]]]],[11,"from","std::borrow","",116,[[["string",3]],[["cow",4],["str",15]]]],[11,"from","std::collections","Turn a <code>Vec<T></code> into a <code>VecDeque<T></code>.",283,[[["vec",3],["global",3]],["vecdeque",3]]],[11,"from","std::borrow","",116,[[["str",15]],[["cow",4],["str",15]]]],[11,"from","std::sync","",379,[[["cow",4]],["arc",3]]],[11,"from","std::string","",467,[[["cow",4],["str",15]],["string",3]]],[11,"from","","",467,[[["str",15]],["string",3]]],[11,"from","","Converts the given boxed <code>str</code> slice to a <code>String</code>. It is …",467,[[["box",3],["global",3],["str",15]],["string",3]]],[11,"from","std::boxed","Converts a <code>Box<str></code> into a <code>Box<[u8]></code>",405,[[["box",3],["str",15]],["box",3]]],[11,"from","std::borrow","",116,[[["vec",3],["global",3]],["cow",4]]],[11,"from","std::vec","",471,[[["cow",4]],[["vec",3],["global",3]]]],[11,"from","std::rc","",414,[[["global",3],["box",3]],["rc",3]]],[11,"from","std::collections","",10,[[["layouterror",3]],["tryreserveerror",4]]],[11,"from","std::boxed","",405,[[["vec",3]],["box",3]]],[11,"from","std::borrow","",116,[[["vec",3]],["cow",4]]],[11,"from","std::boxed","Converts a <code>[T; N]</code> into a <code>Box<[T]></code>",405,[[],[["global",3],["box",3]]]],[11,"from","std::sync","",379,[[],["arc",3]]],[11,"from","std::task","",397,[[["arc",3]],["rawwaker",3]]],[11,"from","std::vec","Converts the given <code>String</code> to a vector <code>Vec</code> that holds …",471,[[["string",3]],[["vec",3],["global",3],["u8",15]]]],[11,"from","std::sync","",379,[[["vec",3],["global",3]],["arc",3]]],[11,"from","std::boxed","",405,[[["cow",4]],[["global",3],["box",3]]]],[11,"from","std::sync","",379,[[["global",3],["box",3]],["arc",3]]],[11,"from","std::task","",399,[[["arc",3]],["waker",3]]],[11,"from","std::borrow","",116,[[],["cow",4]]],[11,"from","std::string","",467,[[["char",15]],["string",3]]],[11,"from","std::rc","",414,[[["cow",4]],["rc",3]]],[11,"from","std::borrow","",116,[[["string",3]],[["cow",4],["str",15]]]],[11,"from","std::sync","",379,[[["str",15]],[["arc",3],["str",15]]]],[11,"from","std::boxed","Converts a generic type <code>T</code> into a <code>Box<T></code>",405,[[],[["global",3],["box",3]]]],[11,"from","std::rc","",414,[[],["rc",3]]],[11,"from","","",414,[[["str",15]],[["rc",3],["str",15]]]],[11,"from","std::boxed","",405,[[["cow",4],["str",15]],[["box",3],["global",3],["str",15]]]],[11,"from","std::vec","",471,[[],[["vec",3],["global",3]]]],[11,"from","std::rc","",414,[[["string",3]],[["rc",3],["str",15]]]],[11,"from","std::sync","",379,[[["string",3]],[["arc",3],["str",15]]]],[11,"write_str","std::string","",467,[[["str",15]],[["error",3],["result",4]]]],[11,"write_char","","",467,[[["char",15]],[["error",3],["result",4]]]],[11,"fmt","std::boxed","",405,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::rc","",414,[[["formatter",3]],[["error",3],["result",4]]]],[11,"fmt","std::sync","",379,[[["formatter",3]],[["error",3],["result",4]]]],[11,"cmp","std::vec","",471,[[["vec",3]],["ordering",4]]],[11,"cmp","std::string","",467,[[["string",3]],["ordering",4]]],[11,"cmp","std::rc","Comparison for two <code>Rc</code>s.",414,[[["rc",3]],["ordering",4]]],[11,"cmp","std::boxed","",405,[[["box",3]],["ordering",4]]],[11,"cmp","std::collections","",283,[[["vecdeque",3]],["ordering",4]]],[11,"cmp","","",276,[[["linkedlist",3]],["ordering",4]]],[11,"cmp","","",273,[[["btreeset",3]],["ordering",4]]],[11,"cmp","std::sync","Comparison for two <code>Arc</code>s.",379,[[["arc",3]],["ordering",4]]],[11,"cmp","std::borrow","",116,[[["cow",4]],["ordering",4]]],[11,"cmp","std::collections","",255,[[["btreemap",3]],["ordering",4]]],[11,"hash","std::string","",467,[[]]],[11,"hash","std::sync","",379,[[]]],[11,"hash","std::collections","",255,[[]]],[11,"hash","std::rc","",414,[[]]],[11,"hash","std::boxed","",405,[[]]],[11,"hash","std::vec","",471,[[]]],[11,"hash","std::collections","",273,[[]]],[11,"hash","std::borrow","",116,[[]]],[11,"hash","std::collections","",276,[[]]],[11,"hash","","",283,[[]]],[11,"from","std::result","",212,[[["streamresult",3]],[["mzerror",4],["mzstatus",4],["result",4]]]],[11,"from","","",212,[[["streamresult",3]],[["mzerror",4],["mzstatus",4],["result",4]]]],[18,"MIN","std","The smallest value that can be represented by this …",552,null],[18,"MAX","","The largest value that can be represented by this integer …",552,null],[18,"BITS","","The size of this integer type in bits.",552,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",552,[[["u32",15],["str",15]],[["result",4],["isize",15],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",552,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",552,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",552,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",552,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",552,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",552,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",552,[[["u32",15]],["isize",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",552,[[["u32",15]],["isize",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",552,[[],["isize",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",552,[[],["isize",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",552,[[["isize",15]],["isize",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",552,[[["isize",15]],["isize",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",552,[[],["isize",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",552,[[],["isize",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",552,[[["isize",15]],["isize",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",552,[[["isize",15]],[["isize",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",552,[[],[["isize",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",552,[[["u32",15]],[["isize",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",552,[[["u32",15]],[["isize",15],["option",4]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",552,[[],[["isize",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",552,[[["u32",15]],[["isize",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",552,[[],["isize",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",552,[[],["isize",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",552,[[["u32",15]],["isize",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",552,[[["isize",15]],["isize",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",552,[[["isize",15]],["isize",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",552,[[],["isize",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",552,[[["u32",15]],["isize",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",552,[[["u32",15]],["isize",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",552,[[],["isize",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",552,[[],["usize",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",552,[[["u32",15]],["isize",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",552,[[["isize",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",552,[[["isize",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",552,[[["isize",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",552,[[["isize",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",552,[[["isize",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",552,[[["isize",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",552,[[["isize",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",552,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",552,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",552,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",552,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",552,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",552,[[["u32",15]],["isize",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",552,[[["isize",15]],["isize",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",552,[[["isize",15]],["isize",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",552,[[],["isize",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",552,[[],["isize",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",552,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",552,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",552,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",552,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",552,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",552,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",552,[[],["isize",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",552,[[],["isize",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",552,[[],["isize",15]]],[11,"min_value","","New code should prefer to use",552,[[],["isize",15]]],[11,"max_value","","New code should prefer to use",552,[[],["isize",15]]],[11,"from","","",552,[[]]],[11,"borrow","","",552,[[]]],[11,"borrow_mut","","",552,[[]]],[11,"try_from","","",552,[[],["result",4]]],[11,"into","","",552,[[]]],[11,"try_into","","",552,[[],["result",4]]],[11,"type_id","","",552,[[],["typeid",3]]],[11,"to_owned","","",552,[[]]],[11,"clone_into","","",552,[[]]],[11,"to_string","","",552,[[],["string",3]]],[11,"borrow","","",564,[[]]],[11,"borrow_mut","","",564,[[]]],[11,"type_id","","",564,[[],["typeid",3]]],[11,"borrow","","",564,[[]]],[11,"borrow_mut","","",564,[[]]],[11,"type_id","","",564,[[],["typeid",3]]],[18,"MAX","","The highest valid code point a <code>char</code> can have.",567,null],[18,"REPLACEMENT_CHARACTER","","<code>U+FFFD REPLACEMENT CHARACTER</code> (�) is used in Unicode to …",567,null],[18,"UNICODE_VERSION","","The version of Unicode that the Unicode parts of <code>char</code> and …",567,null],[11,"decode_utf16","","Creates an iterator over the UTF-16 encoded code points …",567,[[],["decodeutf16",3]]],[11,"from_u32","","Converts a <code>u32</code> to a <code>char</code>.",567,[[["u32",15]],[["option",4],["char",15]]]],[11,"from_u32_unchecked","","Converts a <code>u32</code> to a <code>char</code>, ignoring validity.",567,[[["u32",15]],["char",15]]],[11,"from_digit","","Converts a digit in the given radix to a <code>char</code>.",567,[[["u32",15]],[["option",4],["char",15]]]],[11,"is_digit","","Checks if a <code>char</code> is a digit in the given radix.",567,[[["u32",15]],["bool",15]]],[11,"to_digit","","Converts a <code>char</code> to a digit in the given radix.",567,[[["u32",15]],[["u32",15],["option",4]]]],[11,"escape_unicode","","Returns an iterator that yields the hexadecimal Unicode …",567,[[],["escapeunicode",3]]],[11,"escape_debug","","Returns an iterator that yields the literal escape code …",567,[[],["escapedebug",3]]],[11,"escape_default","","Returns an iterator that yields the literal escape code …",567,[[],["escapedefault",3]]],[11,"len_utf8","","Returns the number of bytes this <code>char</code> would need if …",567,[[],["usize",15]]],[11,"len_utf16","","Returns the number of 16-bit code units this <code>char</code> would …",567,[[],["usize",15]]],[11,"encode_utf8","","Encodes this character as UTF-8 into the provided byte …",567,[[],["str",15]]],[11,"encode_utf16","","Encodes this character as UTF-16 into the provided <code>u16</code> …",567,[[]]],[11,"is_alphabetic","","Returns <code>true</code> if this <code>char</code> has the <code>Alphabetic</code> property.",567,[[],["bool",15]]],[11,"is_lowercase","","Returns <code>true</code> if this <code>char</code> has the <code>Lowercase</code> property.",567,[[],["bool",15]]],[11,"is_uppercase","","Returns <code>true</code> if this <code>char</code> has the <code>Uppercase</code> property.",567,[[],["bool",15]]],[11,"is_whitespace","","Returns <code>true</code> if this <code>char</code> has the <code>White_Space</code> property.",567,[[],["bool",15]]],[11,"is_alphanumeric","","Returns <code>true</code> if this <code>char</code> satisfies either <code>is_alphabetic()</code>…",567,[[],["bool",15]]],[11,"is_control","","Returns <code>true</code> if this <code>char</code> has the general category for …",567,[[],["bool",15]]],[11,"is_numeric","","Returns <code>true</code> if this <code>char</code> has one of the general …",567,[[],["bool",15]]],[11,"to_lowercase","","Returns an iterator that yields the lowercase mapping of …",567,[[],["tolowercase",3]]],[11,"to_uppercase","","Returns an iterator that yields the uppercase mapping of …",567,[[],["touppercase",3]]],[11,"is_ascii","","Checks if the value is within the ASCII range.",567,[[],["bool",15]]],[11,"to_ascii_uppercase","","Makes a copy of the value in its ASCII upper case …",567,[[],["char",15]]],[11,"to_ascii_lowercase","","Makes a copy of the value in its ASCII lower case …",567,[[],["char",15]]],[11,"eq_ignore_ascii_case","","Checks that two values are an ASCII case-insensitive …",567,[[["char",15]],["bool",15]]],[11,"make_ascii_uppercase","","Converts this type to its ASCII upper case equivalent …",567,[[]]],[11,"make_ascii_lowercase","","Converts this type to its ASCII lower case equivalent …",567,[[]]],[11,"is_ascii_alphabetic","","Checks if the value is an ASCII alphabetic character:",567,[[],["bool",15]]],[11,"is_ascii_uppercase","","Checks if the value is an ASCII uppercase character: …",567,[[],["bool",15]]],[11,"is_ascii_lowercase","","Checks if the value is an ASCII lowercase character: …",567,[[],["bool",15]]],[11,"is_ascii_alphanumeric","","Checks if the value is an ASCII alphanumeric character:",567,[[],["bool",15]]],[11,"is_ascii_digit","","Checks if the value is an ASCII decimal digit: U+0030 \'0\' …",567,[[],["bool",15]]],[11,"is_ascii_hexdigit","","Checks if the value is an ASCII hexadecimal digit:",567,[[],["bool",15]]],[11,"is_ascii_punctuation","","Checks if the value is an ASCII punctuation character:",567,[[],["bool",15]]],[11,"is_ascii_graphic","","Checks if the value is an ASCII graphic character: U+0021 …",567,[[],["bool",15]]],[11,"is_ascii_whitespace","","Checks if the value is an ASCII whitespace character: …",567,[[],["bool",15]]],[11,"is_ascii_control","","Checks if the value is an ASCII control character: U+0000 …",567,[[],["bool",15]]],[11,"from","","",567,[[]]],[11,"borrow","","",567,[[]]],[11,"borrow_mut","","",567,[[]]],[11,"try_from","","",567,[[],["result",4]]],[11,"into","","",567,[[]]],[11,"try_into","","",567,[[],["result",4]]],[11,"type_id","","",567,[[],["typeid",3]]],[11,"to_owned","","",567,[[]]],[11,"clone_into","","",567,[[]]],[11,"to_string","","",567,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",560,null],[18,"MAX","","The largest value that can be represented by this integer …",560,null],[18,"BITS","","The size of this integer type in bits.",560,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",560,[[["u32",15],["str",15]],[["result",4],["u128",15],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",560,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",560,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",560,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",560,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",560,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",560,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",560,[[["u32",15]],["u128",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",560,[[["u32",15]],["u128",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",560,[[],["u128",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",560,[[],["u128",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",560,[[["u128",15]],["u128",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",560,[[["u128",15]],["u128",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",560,[[],["u128",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",560,[[],["u128",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",560,[[["u128",15]],["u128",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",560,[[["u128",15]],[["u128",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",560,[[],[["u128",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",560,[[["u32",15]],[["u128",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",560,[[["u32",15]],[["u128",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",560,[[["u32",15]],[["u128",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",560,[[["u32",15]],["u128",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",560,[[["u128",15]],["u128",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",560,[[["u128",15]],["u128",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",560,[[],["u128",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",560,[[["u32",15]],["u128",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",560,[[["u32",15]],["u128",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",560,[[["u32",15]],["u128",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",560,[[["u128",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",560,[[["u128",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",560,[[["u128",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",560,[[["u128",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",560,[[["u128",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",560,[[["u128",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",560,[[["u128",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",560,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",560,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",560,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",560,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",560,[[["u32",15]],["u128",15]]],[11,"div_euclid","","Performs Euclidean division.",560,[[["u128",15]],["u128",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",560,[[["u128",15]],["u128",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",560,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",560,[[],["u128",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",560,[[],[["u128",15],["option",4]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",560,[[],["u128",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",560,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",560,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",560,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",560,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",560,[[],["u128",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",560,[[],["u128",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",560,[[],["u128",15]]],[11,"min_value","","New code should prefer to use",560,[[],["u128",15]]],[11,"max_value","","New code should prefer to use",560,[[],["u128",15]]],[11,"from","","",560,[[]]],[11,"borrow","","",560,[[]]],[11,"borrow_mut","","",560,[[]]],[11,"try_from","","",560,[[],["result",4]]],[11,"into","","",560,[[]]],[11,"try_into","","",560,[[],["result",4]]],[11,"type_id","","",560,[[],["typeid",3]]],[11,"to_owned","","",560,[[]]],[11,"clone_into","","",560,[[]]],[11,"to_string","","",560,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",556,null],[18,"MAX","","The largest value that can be represented by this integer …",556,null],[18,"BITS","","The size of this integer type in bits.",556,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",556,[[["u32",15],["str",15]],[["result",4],["u16",15],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",556,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",556,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",556,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",556,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",556,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",556,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",556,[[["u32",15]],["u16",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",556,[[["u32",15]],["u16",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",556,[[],["u16",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",556,[[],["u16",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",556,[[["u16",15]],["u16",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",556,[[["u16",15]],["u16",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",556,[[],["u16",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",556,[[],["u16",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",556,[[["u16",15]],["u16",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",556,[[["u16",15]],[["option",4],["u16",15]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",556,[[],[["option",4],["u16",15]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",556,[[["u32",15]],[["option",4],["u16",15]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",556,[[["u32",15]],[["option",4],["u16",15]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",556,[[["u32",15]],[["option",4],["u16",15]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",556,[[["u32",15]],["u16",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",556,[[["u16",15]],["u16",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",556,[[["u16",15]],["u16",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",556,[[],["u16",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",556,[[["u32",15]],["u16",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",556,[[["u32",15]],["u16",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",556,[[["u32",15]],["u16",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",556,[[["u16",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",556,[[["u16",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",556,[[["u16",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",556,[[["u16",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",556,[[["u16",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",556,[[["u16",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",556,[[["u16",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",556,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",556,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",556,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",556,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",556,[[["u32",15]],["u16",15]]],[11,"div_euclid","","Performs Euclidean division.",556,[[["u16",15]],["u16",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",556,[[["u16",15]],["u16",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",556,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",556,[[],["u16",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",556,[[],[["option",4],["u16",15]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",556,[[],["u16",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",556,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",556,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",556,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",556,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",556,[[],["u16",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",556,[[],["u16",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",556,[[],["u16",15]]],[11,"min_value","","New code should prefer to use",556,[[],["u16",15]]],[11,"max_value","","New code should prefer to use",556,[[],["u16",15]]],[11,"from","","",556,[[]]],[11,"borrow","","",556,[[]]],[11,"borrow_mut","","",556,[[]]],[11,"try_from","","",556,[[],["result",4]]],[11,"into","","",556,[[]]],[11,"try_into","","",556,[[],["result",4]]],[11,"type_id","","",556,[[],["typeid",3]]],[11,"to_owned","","",556,[[]]],[11,"clone_into","","",556,[[]]],[11,"to_string","","",556,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",554,null],[18,"MAX","","The largest value that can be represented by this integer …",554,null],[18,"BITS","","The size of this integer type in bits.",554,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",554,[[["u32",15],["str",15]],[["result",4],["i128",15],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",554,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",554,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",554,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",554,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",554,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",554,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",554,[[["u32",15]],["i128",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",554,[[["u32",15]],["i128",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",554,[[],["i128",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",554,[[],["i128",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",554,[[["i128",15]],["i128",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",554,[[["i128",15]],["i128",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",554,[[],["i128",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",554,[[],["i128",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",554,[[["i128",15]],["i128",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",554,[[["i128",15]],[["option",4],["i128",15]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",554,[[],[["option",4],["i128",15]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",554,[[["u32",15]],[["option",4],["i128",15]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",554,[[["u32",15]],[["option",4],["i128",15]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",554,[[],[["option",4],["i128",15]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",554,[[["u32",15]],[["option",4],["i128",15]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",554,[[],["i128",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",554,[[],["i128",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",554,[[["u32",15]],["i128",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",554,[[["i128",15]],["i128",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",554,[[["i128",15]],["i128",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",554,[[],["i128",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",554,[[["u32",15]],["i128",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",554,[[["u32",15]],["i128",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",554,[[],["i128",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",554,[[],["u128",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",554,[[["u32",15]],["i128",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",554,[[["i128",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",554,[[["i128",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",554,[[["i128",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",554,[[["i128",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",554,[[["i128",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",554,[[["i128",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",554,[[["i128",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",554,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",554,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",554,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",554,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",554,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",554,[[["u32",15]],["i128",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",554,[[["i128",15]],["i128",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",554,[[["i128",15]],["i128",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",554,[[],["i128",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",554,[[],["i128",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",554,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",554,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",554,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",554,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",554,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",554,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",554,[[],["i128",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",554,[[],["i128",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",554,[[],["i128",15]]],[11,"min_value","","New code should prefer to use",554,[[],["i128",15]]],[11,"max_value","","New code should prefer to use",554,[[],["i128",15]]],[11,"from","","",554,[[]]],[11,"borrow","","",554,[[]]],[11,"borrow_mut","","",554,[[]]],[11,"try_from","","",554,[[],["result",4]]],[11,"into","","",554,[[]]],[11,"try_into","","",554,[[],["result",4]]],[11,"type_id","","",554,[[],["typeid",3]]],[11,"to_owned","","",554,[[]]],[11,"clone_into","","",554,[[]]],[11,"to_string","","",554,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",548,null],[18,"MAX","","The largest value that can be represented by this integer …",548,null],[18,"BITS","","The size of this integer type in bits.",548,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",548,[[["u32",15],["str",15]],[["i16",15],["result",4],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",548,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",548,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",548,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",548,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",548,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",548,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",548,[[["u32",15]],["i16",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",548,[[["u32",15]],["i16",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",548,[[],["i16",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",548,[[],["i16",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",548,[[["i16",15]],["i16",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",548,[[["i16",15]],["i16",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",548,[[],["i16",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",548,[[],["i16",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",548,[[["i16",15]],["i16",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",548,[[["i16",15]],[["i16",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",548,[[],[["i16",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",548,[[["u32",15]],[["i16",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",548,[[["u32",15]],[["i16",15],["option",4]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",548,[[],[["i16",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",548,[[["u32",15]],[["i16",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",548,[[],["i16",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",548,[[],["i16",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",548,[[["u32",15]],["i16",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",548,[[["i16",15]],["i16",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",548,[[["i16",15]],["i16",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",548,[[],["i16",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",548,[[["u32",15]],["i16",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",548,[[["u32",15]],["i16",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",548,[[],["i16",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",548,[[],["u16",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",548,[[["u32",15]],["i16",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",548,[[["i16",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",548,[[["i16",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",548,[[["i16",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",548,[[["i16",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",548,[[["i16",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",548,[[["i16",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",548,[[["i16",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",548,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",548,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",548,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",548,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",548,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",548,[[["u32",15]],["i16",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",548,[[["i16",15]],["i16",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",548,[[["i16",15]],["i16",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",548,[[],["i16",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",548,[[],["i16",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",548,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",548,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",548,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",548,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",548,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",548,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",548,[[],["i16",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",548,[[],["i16",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",548,[[],["i16",15]]],[11,"min_value","","New code should prefer to use",548,[[],["i16",15]]],[11,"max_value","","New code should prefer to use",548,[[],["i16",15]]],[11,"from","","",548,[[]]],[11,"borrow","","",548,[[]]],[11,"borrow_mut","","",548,[[]]],[11,"try_from","","",548,[[],["result",4]]],[11,"into","","",548,[[]]],[11,"try_into","","",548,[[],["result",4]]],[11,"type_id","","",548,[[],["typeid",3]]],[11,"to_owned","","",548,[[]]],[11,"clone_into","","",548,[[]]],[11,"to_string","","",548,[[],["string",3]]],[11,"borrow","","",566,[[]]],[11,"borrow_mut","","",566,[[]]],[11,"type_id","","",566,[[],["typeid",3]]],[11,"to_string","","",566,[[],["string",3]]],[18,"RADIX","","The radix or base of the internal representation of <code>f64</code>.",561,null],[18,"MANTISSA_DIGITS","","Number of significant digits in base 2.",561,null],[18,"DIGITS","","Approximate number of significant digits in base 10.",561,null],[18,"EPSILON","","Machine epsilon value for <code>f64</code>.",561,null],[18,"MIN","","Smallest finite <code>f64</code> value.",561,null],[18,"MIN_POSITIVE","","Smallest positive normal <code>f64</code> value.",561,null],[18,"MAX","","Largest finite <code>f64</code> value.",561,null],[18,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",561,null],[18,"MAX_EXP","","Maximum possible power of 2 exponent.",561,null],[18,"MIN_10_EXP","","Minimum possible normal power of 10 exponent.",561,null],[18,"MAX_10_EXP","","Maximum possible power of 10 exponent.",561,null],[18,"NAN","","Not a Number (NaN).",561,null],[18,"INFINITY","","Infinity (∞).",561,null],[18,"NEG_INFINITY","","Negative infinity (−∞).",561,null],[11,"is_nan","","Returns <code>true</code> if this value is <code>NaN</code>.",561,[[],["bool",15]]],[11,"is_infinite","","Returns <code>true</code> if this value is positive infinity or …",561,[[],["bool",15]]],[11,"is_finite","","Returns <code>true</code> if this number is neither infinite nor <code>NaN</code>.",561,[[],["bool",15]]],[11,"is_subnormal","","Returns <code>true</code> if the number is subnormal.",561,[[],["bool",15]]],[11,"is_normal","","Returns <code>true</code> if the number is neither zero, infinite, …",561,[[],["bool",15]]],[11,"classify","","Returns the floating point category of the number. If …",561,[[],["fpcategory",4]]],[11,"is_sign_positive","","Returns <code>true</code> if <code>self</code> has a positive sign, including <code>+0.0</code>, …",561,[[],["bool",15]]],[11,"is_sign_negative","","Returns <code>true</code> if <code>self</code> has a negative sign, including <code>-0.0</code>, …",561,[[],["bool",15]]],[11,"recip","","Takes the reciprocal (inverse) of a number, <code>1/x</code>.",561,[[],["f64",15]]],[11,"to_degrees","","Converts radians to degrees.",561,[[],["f64",15]]],[11,"to_radians","","Converts degrees to radians.",561,[[],["f64",15]]],[11,"max","","Returns the maximum of the two numbers.",561,[[["f64",15]],["f64",15]]],[11,"min","","Returns the minimum of the two numbers.",561,[[["f64",15]],["f64",15]]],[11,"to_int_unchecked","","Rounds toward zero and converts to any primitive integer …",561,[[]]],[11,"to_bits","","Raw transmutation to <code>u64</code>.",561,[[],["u64",15]]],[11,"from_bits","","Raw transmutation from <code>u64</code>.",561,[[["u64",15]],["f64",15]]],[11,"to_be_bytes","","Return the memory representation of this floating point …",561,[[]]],[11,"to_le_bytes","","Return the memory representation of this floating point …",561,[[]]],[11,"to_ne_bytes","","Return the memory representation of this floating point …",561,[[]]],[11,"as_ne_bytes","","Return the memory representation of this floating point …",561,[[]]],[11,"from_be_bytes","","Create a floating point value from its representation as …",561,[[],["f64",15]]],[11,"from_le_bytes","","Create a floating point value from its representation as …",561,[[],["f64",15]]],[11,"from_ne_bytes","","Create a floating point value from its representation as …",561,[[],["f64",15]]],[11,"total_cmp","","Returns an ordering between self and other values. Unlike …",561,[[["f64",15]],["ordering",4]]],[11,"clamp","","Restrict a value to a certain interval unless it is NaN.",561,[[["f64",15]],["f64",15]]],[11,"from","","",561,[[]]],[11,"borrow","","",561,[[]]],[11,"borrow_mut","","",561,[[]]],[11,"try_from","","",561,[[],["result",4]]],[11,"into","","",561,[[]]],[11,"try_into","","",561,[[],["result",4]]],[11,"type_id","","",561,[[],["typeid",3]]],[11,"to_owned","","",561,[[]]],[11,"clone_into","","",561,[[]]],[11,"to_string","","",561,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",550,null],[18,"MAX","","The largest value that can be represented by this integer …",550,null],[18,"BITS","","The size of this integer type in bits.",550,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",550,[[["u32",15],["str",15]],[["parseinterror",3],["result",4],["u64",15]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",550,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",550,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",550,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",550,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",550,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",550,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",550,[[["u32",15]],["u64",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",550,[[["u32",15]],["u64",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",550,[[],["u64",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",550,[[],["u64",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",550,[[["u64",15]],["u64",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",550,[[["u64",15]],["u64",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",550,[[],["u64",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",550,[[],["u64",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",550,[[["u64",15]],["u64",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",550,[[["u64",15]],[["option",4],["u64",15]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",550,[[],[["option",4],["u64",15]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",550,[[["u32",15]],[["option",4],["u64",15]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",550,[[["u32",15]],[["option",4],["u64",15]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",550,[[["u32",15]],[["option",4],["u64",15]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",550,[[["u32",15]],["u64",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",550,[[["u64",15]],["u64",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",550,[[["u64",15]],["u64",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",550,[[],["u64",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",550,[[["u32",15]],["u64",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",550,[[["u32",15]],["u64",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",550,[[["u32",15]],["u64",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",550,[[["u64",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",550,[[["u64",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",550,[[["u64",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",550,[[["u64",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",550,[[["u64",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",550,[[["u64",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",550,[[["u64",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",550,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",550,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",550,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",550,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",550,[[["u32",15]],["u64",15]]],[11,"div_euclid","","Performs Euclidean division.",550,[[["u64",15]],["u64",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",550,[[["u64",15]],["u64",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",550,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",550,[[],["u64",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",550,[[],[["option",4],["u64",15]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",550,[[],["u64",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",550,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",550,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",550,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",550,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",550,[[],["u64",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",550,[[],["u64",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",550,[[],["u64",15]]],[11,"min_value","","New code should prefer to use",550,[[],["u64",15]]],[11,"max_value","","New code should prefer to use",550,[[],["u64",15]]],[11,"from","","",550,[[]]],[11,"borrow","","",550,[[]]],[11,"borrow_mut","","",550,[[]]],[11,"try_from","","",550,[[],["result",4]]],[11,"into","","",550,[[]]],[11,"try_into","","",550,[[],["result",4]]],[11,"type_id","","",550,[[],["typeid",3]]],[11,"to_owned","","",550,[[]]],[11,"clone_into","","",550,[[]]],[11,"to_string","","",550,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",549,null],[18,"MAX","","The largest value that can be represented by this integer …",549,null],[18,"BITS","","The size of this integer type in bits.",549,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",549,[[["u32",15],["str",15]],[["u8",15],["parseinterror",3],["result",4]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",549,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",549,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",549,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",549,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",549,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",549,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",549,[[["u32",15]],["u8",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",549,[[["u32",15]],["u8",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",549,[[],["u8",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",549,[[],["u8",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",549,[[["u8",15]],["u8",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",549,[[["u8",15]],["u8",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",549,[[],["u8",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",549,[[],["u8",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",549,[[["u8",15]],["u8",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",549,[[["u8",15]],[["option",4],["u8",15]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",549,[[],[["option",4],["u8",15]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",549,[[["u32",15]],[["option",4],["u8",15]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",549,[[["u32",15]],[["option",4],["u8",15]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",549,[[["u32",15]],[["option",4],["u8",15]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",549,[[["u32",15]],["u8",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",549,[[["u8",15]],["u8",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",549,[[["u8",15]],["u8",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",549,[[],["u8",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",549,[[["u32",15]],["u8",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",549,[[["u32",15]],["u8",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",549,[[["u32",15]],["u8",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",549,[[["u8",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",549,[[["u8",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",549,[[["u8",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",549,[[["u8",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",549,[[["u8",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",549,[[["u8",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",549,[[["u8",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",549,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",549,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",549,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",549,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",549,[[["u32",15]],["u8",15]]],[11,"div_euclid","","Performs Euclidean division.",549,[[["u8",15]],["u8",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",549,[[["u8",15]],["u8",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",549,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",549,[[],["u8",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",549,[[],[["option",4],["u8",15]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",549,[[],["u8",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",549,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",549,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",549,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",549,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",549,[[],["u8",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",549,[[],["u8",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",549,[[],["u8",15]]],[11,"min_value","","New code should prefer to use",549,[[],["u8",15]]],[11,"max_value","","New code should prefer to use",549,[[],["u8",15]]],[11,"is_ascii","","Checks if the value is within the ASCII range.",549,[[],["bool",15]]],[11,"to_ascii_uppercase","","Makes a copy of the value in its ASCII upper case …",549,[[],["u8",15]]],[11,"to_ascii_lowercase","","Makes a copy of the value in its ASCII lower case …",549,[[],["u8",15]]],[11,"eq_ignore_ascii_case","","Checks that two values are an ASCII case-insensitive …",549,[[["u8",15]],["bool",15]]],[11,"make_ascii_uppercase","","Converts this value to its ASCII upper case equivalent …",549,[[]]],[11,"make_ascii_lowercase","","Converts this value to its ASCII lower case equivalent …",549,[[]]],[11,"is_ascii_alphabetic","","Checks if the value is an ASCII alphabetic character:",549,[[],["bool",15]]],[11,"is_ascii_uppercase","","Checks if the value is an ASCII uppercase character: …",549,[[],["bool",15]]],[11,"is_ascii_lowercase","","Checks if the value is an ASCII lowercase character: …",549,[[],["bool",15]]],[11,"is_ascii_alphanumeric","","Checks if the value is an ASCII alphanumeric character:",549,[[],["bool",15]]],[11,"is_ascii_digit","","Checks if the value is an ASCII decimal digit: U+0030 \'0\' …",549,[[],["bool",15]]],[11,"is_ascii_hexdigit","","Checks if the value is an ASCII hexadecimal digit:",549,[[],["bool",15]]],[11,"is_ascii_punctuation","","Checks if the value is an ASCII punctuation character:",549,[[],["bool",15]]],[11,"is_ascii_graphic","","Checks if the value is an ASCII graphic character: U+0021 …",549,[[],["bool",15]]],[11,"is_ascii_whitespace","","Checks if the value is an ASCII whitespace character: …",549,[[],["bool",15]]],[11,"is_ascii_control","","Checks if the value is an ASCII control character: U+0000 …",549,[[],["bool",15]]],[11,"from","","",549,[[]]],[11,"borrow","","",549,[[]]],[11,"borrow_mut","","",549,[[]]],[11,"try_from","","",549,[[],["result",4]]],[11,"into","","",549,[[]]],[11,"try_into","","",549,[[],["result",4]]],[11,"type_id","","",549,[[],["typeid",3]]],[11,"to_owned","","",549,[[]]],[11,"clone_into","","",549,[[]]],[11,"to_string","","",549,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",551,null],[18,"MAX","","The largest value that can be represented by this integer …",551,null],[18,"BITS","","The size of this integer type in bits.",551,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",551,[[["u32",15],["str",15]],[["i64",15],["parseinterror",3],["result",4]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",551,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",551,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",551,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",551,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",551,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",551,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",551,[[["u32",15]],["i64",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",551,[[["u32",15]],["i64",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",551,[[],["i64",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",551,[[],["i64",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",551,[[["i64",15]],["i64",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",551,[[["i64",15]],["i64",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",551,[[],["i64",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",551,[[],["i64",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",551,[[["i64",15]],["i64",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",551,[[["i64",15]],[["i64",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",551,[[],[["i64",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",551,[[["u32",15]],[["i64",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",551,[[["u32",15]],[["i64",15],["option",4]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",551,[[],[["i64",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",551,[[["u32",15]],[["i64",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",551,[[],["i64",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",551,[[],["i64",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",551,[[["u32",15]],["i64",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",551,[[["i64",15]],["i64",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",551,[[["i64",15]],["i64",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",551,[[],["i64",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",551,[[["u32",15]],["i64",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",551,[[["u32",15]],["i64",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",551,[[],["i64",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",551,[[],["u64",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",551,[[["u32",15]],["i64",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",551,[[["i64",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",551,[[["i64",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",551,[[["i64",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",551,[[["i64",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",551,[[["i64",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",551,[[["i64",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",551,[[["i64",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",551,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",551,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",551,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",551,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",551,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",551,[[["u32",15]],["i64",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",551,[[["i64",15]],["i64",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",551,[[["i64",15]],["i64",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",551,[[],["i64",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",551,[[],["i64",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",551,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",551,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",551,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",551,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",551,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",551,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",551,[[],["i64",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",551,[[],["i64",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",551,[[],["i64",15]]],[11,"min_value","","New code should prefer to use",551,[[],["i64",15]]],[11,"max_value","","New code should prefer to use",551,[[],["i64",15]]],[11,"from","","",551,[[]]],[11,"borrow","","",551,[[]]],[11,"borrow_mut","","",551,[[]]],[11,"try_from","","",551,[[],["result",4]]],[11,"into","","",551,[[]]],[11,"try_into","","",551,[[],["result",4]]],[11,"type_id","","",551,[[],["typeid",3]]],[11,"to_owned","","",551,[[]]],[11,"clone_into","","",551,[[]]],[11,"to_string","","",551,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",555,null],[18,"MAX","","The largest value that can be represented by this integer …",555,null],[18,"BITS","","The size of this integer type in bits.",555,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",555,[[["u32",15],["str",15]],[["i8",15],["parseinterror",3],["result",4]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",555,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",555,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",555,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",555,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",555,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",555,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",555,[[["u32",15]],["i8",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",555,[[["u32",15]],["i8",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",555,[[],["i8",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",555,[[],["i8",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",555,[[["i8",15]],["i8",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",555,[[["i8",15]],["i8",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",555,[[],["i8",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",555,[[],["i8",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",555,[[["i8",15]],["i8",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",555,[[["i8",15]],[["option",4],["i8",15]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",555,[[],[["option",4],["i8",15]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",555,[[["u32",15]],[["option",4],["i8",15]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",555,[[["u32",15]],[["option",4],["i8",15]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",555,[[],[["option",4],["i8",15]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",555,[[["u32",15]],[["option",4],["i8",15]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",555,[[],["i8",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",555,[[],["i8",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",555,[[["u32",15]],["i8",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",555,[[["i8",15]],["i8",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",555,[[["i8",15]],["i8",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",555,[[],["i8",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",555,[[["u32",15]],["i8",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",555,[[["u32",15]],["i8",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",555,[[],["i8",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",555,[[],["u8",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",555,[[["u32",15]],["i8",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",555,[[["i8",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",555,[[["i8",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",555,[[["i8",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",555,[[["i8",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",555,[[["i8",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",555,[[["i8",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",555,[[["i8",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",555,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",555,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",555,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",555,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",555,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",555,[[["u32",15]],["i8",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",555,[[["i8",15]],["i8",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",555,[[["i8",15]],["i8",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",555,[[],["i8",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",555,[[],["i8",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",555,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",555,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",555,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",555,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",555,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",555,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",555,[[],["i8",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",555,[[],["i8",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",555,[[],["i8",15]]],[11,"min_value","","New code should prefer to use",555,[[],["i8",15]]],[11,"max_value","","New code should prefer to use",555,[[],["i8",15]]],[11,"from","","",555,[[]]],[11,"borrow","","",555,[[]]],[11,"borrow_mut","","",555,[[]]],[11,"try_from","","",555,[[],["result",4]]],[11,"into","","",555,[[]]],[11,"try_into","","",555,[[],["result",4]]],[11,"type_id","","",555,[[],["typeid",3]]],[11,"to_owned","","",555,[[]]],[11,"clone_into","","",555,[[]]],[11,"to_string","","",555,[[],["string",3]]],[11,"is_null","","Returns <code>true</code> if the pointer is null.",569,[[],["bool",15]]],[11,"cast","","Casts to a pointer of another type.",569,[[]]],[11,"as_ref","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"as_uninit_ref","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],[["option",4],["maybeuninit",19]]]],[11,"offset","","Calculates the offset from a pointer.",569,[[["isize",15]]]],[11,"wrapping_offset","","Calculates the offset from a pointer using wrapping …",569,[[["isize",15]]]],[11,"offset_from","","Calculates the distance between two pointers. The …",569,[[],["isize",15]]],[11,"guaranteed_eq","","Returns whether two pointers are guaranteed to be equal.",569,[[],["bool",15]]],[11,"guaranteed_ne","","Returns whether two pointers are guaranteed to be unequal.",569,[[],["bool",15]]],[11,"add","","Calculates the offset from a pointer (convenience for …",569,[[["usize",15]]]],[11,"sub","","Calculates the offset from a pointer (convenience for …",569,[[["usize",15]]]],[11,"wrapping_add","","Calculates the offset from a pointer using wrapping …",569,[[["usize",15]]]],[11,"wrapping_sub","","Calculates the offset from a pointer using wrapping …",569,[[["usize",15]]]],[11,"set_ptr_value","","Sets the pointer value to <code>ptr</code>.",569,[[]]],[11,"read","","Reads the value from <code>self</code> without moving it. This leaves …",569,[[]]],[11,"read_volatile","","Performs a volatile read of the value from <code>self</code> without …",569,[[]]],[11,"read_unaligned","","Reads the value from <code>self</code> without moving it. This leaves …",569,[[]]],[11,"copy_to","","Copies <code>count * size_of<T></code> bytes from <code>self</code> to <code>dest</code>. The …",569,[[["usize",15]]]],[11,"copy_to_nonoverlapping","","Copies <code>count * size_of<T></code> bytes from <code>self</code> to <code>dest</code>. The …",569,[[["usize",15]]]],[11,"align_offset","","Computes the offset that needs to be applied to the …",569,[[["usize",15]],["usize",15]]],[11,"from","","",569,[[]]],[11,"borrow","","",569,[[]]],[11,"borrow_mut","","",569,[[]]],[11,"try_from","","",569,[[],["result",4]]],[11,"into","","",569,[[]]],[11,"try_into","","",569,[[],["result",4]]],[11,"type_id","","",569,[[],["typeid",3]]],[11,"to_owned","","",569,[[]]],[11,"clone_into","","",569,[[]]],[11,"is_null","","Returns <code>true</code> if the pointer is null.",569,[[],["bool",15]]],[11,"cast","","Casts to a pointer of another type.",569,[[]]],[11,"as_ref","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"as_uninit_ref","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],[["option",4],["maybeuninit",19]]]],[11,"offset","","Calculates the offset from a pointer.",569,[[["isize",15]]]],[11,"wrapping_offset","","Calculates the offset from a pointer using wrapping …",569,[[["isize",15]]]],[11,"as_mut","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"as_uninit_mut","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],[["maybeuninit",19],["option",4]]]],[11,"guaranteed_eq","","Returns whether two pointers are guaranteed to be equal.",569,[[],["bool",15]]],[11,"guaranteed_ne","","Returns whether two pointers are guaranteed to be unequal.",569,[[],["bool",15]]],[11,"offset_from","","Calculates the distance between two pointers. The …",569,[[],["isize",15]]],[11,"add","","Calculates the offset from a pointer (convenience for …",569,[[["usize",15]]]],[11,"sub","","Calculates the offset from a pointer (convenience for …",569,[[["usize",15]]]],[11,"wrapping_add","","Calculates the offset from a pointer using wrapping …",569,[[["usize",15]]]],[11,"wrapping_sub","","Calculates the offset from a pointer using wrapping …",569,[[["usize",15]]]],[11,"set_ptr_value","","Sets the pointer value to <code>ptr</code>.",569,[[]]],[11,"read","","Reads the value from <code>self</code> without moving it. This leaves …",569,[[]]],[11,"read_volatile","","Performs a volatile read of the value from <code>self</code> without …",569,[[]]],[11,"read_unaligned","","Reads the value from <code>self</code> without moving it. This leaves …",569,[[]]],[11,"copy_to","","Copies <code>count * size_of<T></code> bytes from <code>self</code> to <code>dest</code>. The …",569,[[["usize",15]]]],[11,"copy_to_nonoverlapping","","Copies <code>count * size_of<T></code> bytes from <code>self</code> to <code>dest</code>. The …",569,[[["usize",15]]]],[11,"copy_from","","Copies <code>count * size_of<T></code> bytes from <code>src</code> to <code>self</code>. The …",569,[[["usize",15]]]],[11,"copy_from_nonoverlapping","","Copies <code>count * size_of<T></code> bytes from <code>src</code> to <code>self</code>. The …",569,[[["usize",15]]]],[11,"drop_in_place","","Executes the destructor (if any) of the pointed-to value.",569,[[]]],[11,"write","","Overwrites a memory location with the given value without …",569,[[]]],[11,"write_bytes","","Invokes memset on the specified pointer, setting …",569,[[["usize",15],["u8",15]]]],[11,"write_volatile","","Performs a volatile write of a memory location with the …",569,[[]]],[11,"write_unaligned","","Overwrites a memory location with the given value without …",569,[[]]],[11,"replace","","Replaces the value at <code>self</code> with <code>src</code>, returning the old …",569,[[]]],[11,"swap","","Swaps the values at two mutable locations of the same …",569,[[]]],[11,"align_offset","","Computes the offset that needs to be applied to the …",569,[[["usize",15]],["usize",15]]],[11,"from","","",569,[[]]],[11,"borrow","","",569,[[]]],[11,"borrow_mut","","",569,[[]]],[11,"try_from","","",569,[[],["result",4]]],[11,"into","","",569,[[]]],[11,"try_into","","",569,[[],["result",4]]],[11,"type_id","","",569,[[],["typeid",3]]],[11,"to_owned","","",569,[[]]],[11,"clone_into","","",569,[[]]],[11,"len","","Returns the length of a raw slice.",569,[[],["usize",15]]],[11,"as_ptr","","Returns a raw pointer to the slice\'s buffer.",569,[[]]],[11,"get_unchecked","","Returns a raw pointer to an element or subslice, without …",569,[[]]],[11,"as_uninit_slice","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"from","","",569,[[]]],[11,"borrow","","",569,[[]]],[11,"borrow_mut","","",569,[[]]],[11,"try_from","","",569,[[],["result",4]]],[11,"into","","",569,[[]]],[11,"try_into","","",569,[[],["result",4]]],[11,"type_id","","",569,[[],["typeid",3]]],[11,"to_owned","","",569,[[]]],[11,"clone_into","","",569,[[]]],[11,"len","","Returns the length of a raw slice.",569,[[],["usize",15]]],[11,"as_mut_ptr","","Returns a raw pointer to the slice\'s buffer.",569,[[]]],[11,"get_unchecked_mut","","Returns a raw pointer to an element or subslice, without …",569,[[]]],[11,"as_uninit_slice","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"as_uninit_slice_mut","","Returns <code>None</code> if the pointer is null, or else returns a …",569,[[],["option",4]]],[11,"from","","",569,[[]]],[11,"borrow","","",569,[[]]],[11,"borrow_mut","","",569,[[]]],[11,"try_from","","",569,[[],["result",4]]],[11,"into","","",569,[[]]],[11,"try_into","","",569,[[],["result",4]]],[11,"type_id","","",569,[[],["typeid",3]]],[11,"to_owned","","",569,[[]]],[11,"clone_into","","",569,[[]]],[11,"map","","Returns an array of the same size as <code>self</code>, with function <code>f</code>…",563,[[]]],[11,"zip","","\'Zips up\' two arrays into a single array of pairs.",563,[[]]],[11,"as_slice","","Returns a slice containing the entire array. Equivalent …",563,[[]]],[11,"as_mut_slice","","Returns a mutable slice containing the entire array. …",563,[[]]],[11,"each_ref","","Borrows each element and returns an array of references …",563,[[]]],[11,"each_mut","","Borrows each element mutably and returns an array of …",563,[[]]],[11,"from","","",563,[[]]],[11,"as_slice","","",563,[[]]],[11,"as_mut_slice","","",563,[[]]],[11,"borrow","","",563,[[]]],[11,"borrow_mut","","",563,[[]]],[11,"try_from","","",563,[[],["result",4]]],[11,"into","","",563,[[]]],[11,"try_into","","",563,[[],["result",4]]],[11,"type_id","","",563,[[],["typeid",3]]],[11,"to_owned","","",563,[[]]],[11,"clone_into","","",563,[[]]],[11,"then_some","","Returns <code>Some(t)</code> if the <code>bool</code> is <code>true</code>, or <code>None</code> otherwise.",558,[[],["option",4]]],[11,"then","","Returns <code>Some(f())</code> if the <code>bool</code> is <code>true</code>, or <code>None</code> otherwise.",558,[[],["option",4]]],[11,"from","","",558,[[]]],[11,"borrow","","",558,[[]]],[11,"borrow_mut","","",558,[[]]],[11,"try_from","","",558,[[],["result",4]]],[11,"into","","",558,[[]]],[11,"try_into","","",558,[[],["result",4]]],[11,"type_id","","",558,[[],["typeid",3]]],[11,"to_owned","","",558,[[]]],[11,"clone_into","","",558,[[]]],[11,"to_string","","",558,[[],["string",3]]],[18,"RADIX","","The radix or base of the internal representation of <code>f32</code>.",562,null],[18,"MANTISSA_DIGITS","","Number of significant digits in base 2.",562,null],[18,"DIGITS","","Approximate number of significant digits in base 10.",562,null],[18,"EPSILON","","Machine epsilon value for <code>f32</code>.",562,null],[18,"MIN","","Smallest finite <code>f32</code> value.",562,null],[18,"MIN_POSITIVE","","Smallest positive normal <code>f32</code> value.",562,null],[18,"MAX","","Largest finite <code>f32</code> value.",562,null],[18,"MIN_EXP","","One greater than the minimum possible normal power of 2 …",562,null],[18,"MAX_EXP","","Maximum possible power of 2 exponent.",562,null],[18,"MIN_10_EXP","","Minimum possible normal power of 10 exponent.",562,null],[18,"MAX_10_EXP","","Maximum possible power of 10 exponent.",562,null],[18,"NAN","","Not a Number (NaN).",562,null],[18,"INFINITY","","Infinity (∞).",562,null],[18,"NEG_INFINITY","","Negative infinity (−∞).",562,null],[11,"is_nan","","Returns <code>true</code> if this value is <code>NaN</code>.",562,[[],["bool",15]]],[11,"is_infinite","","Returns <code>true</code> if this value is positive infinity or …",562,[[],["bool",15]]],[11,"is_finite","","Returns <code>true</code> if this number is neither infinite nor <code>NaN</code>.",562,[[],["bool",15]]],[11,"is_subnormal","","Returns <code>true</code> if the number is subnormal.",562,[[],["bool",15]]],[11,"is_normal","","Returns <code>true</code> if the number is neither zero, infinite, …",562,[[],["bool",15]]],[11,"classify","","Returns the floating point category of the number. If …",562,[[],["fpcategory",4]]],[11,"is_sign_positive","","Returns <code>true</code> if <code>self</code> has a positive sign, including <code>+0.0</code>, …",562,[[],["bool",15]]],[11,"is_sign_negative","","Returns <code>true</code> if <code>self</code> has a negative sign, including <code>-0.0</code>, …",562,[[],["bool",15]]],[11,"recip","","Takes the reciprocal (inverse) of a number, <code>1/x</code>.",562,[[],["f32",15]]],[11,"to_degrees","","Converts radians to degrees.",562,[[],["f32",15]]],[11,"to_radians","","Converts degrees to radians.",562,[[],["f32",15]]],[11,"max","","Returns the maximum of the two numbers.",562,[[["f32",15]],["f32",15]]],[11,"min","","Returns the minimum of the two numbers.",562,[[["f32",15]],["f32",15]]],[11,"to_int_unchecked","","Rounds toward zero and converts to any primitive integer …",562,[[]]],[11,"to_bits","","Raw transmutation to <code>u32</code>.",562,[[],["u32",15]]],[11,"from_bits","","Raw transmutation from <code>u32</code>.",562,[[["u32",15]],["f32",15]]],[11,"to_be_bytes","","Return the memory representation of this floating point …",562,[[]]],[11,"to_le_bytes","","Return the memory representation of this floating point …",562,[[]]],[11,"to_ne_bytes","","Return the memory representation of this floating point …",562,[[]]],[11,"as_ne_bytes","","Return the memory representation of this floating point …",562,[[]]],[11,"from_be_bytes","","Create a floating point value from its representation as …",562,[[],["f32",15]]],[11,"from_le_bytes","","Create a floating point value from its representation as …",562,[[],["f32",15]]],[11,"from_ne_bytes","","Create a floating point value from its representation as …",562,[[],["f32",15]]],[11,"total_cmp","","Returns an ordering between self and other values. Unlike …",562,[[["f32",15]],["ordering",4]]],[11,"clamp","","Restrict a value to a certain interval unless it is NaN.",562,[[["f32",15]],["f32",15]]],[11,"from","","",562,[[]]],[11,"borrow","","",562,[[]]],[11,"borrow_mut","","",562,[[]]],[11,"try_from","","",562,[[],["result",4]]],[11,"into","","",562,[[]]],[11,"try_into","","",562,[[],["result",4]]],[11,"type_id","","",562,[[],["typeid",3]]],[11,"to_owned","","",562,[[]]],[11,"clone_into","","",562,[[]]],[11,"to_string","","",562,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",553,null],[18,"MAX","","The largest value that can be represented by this integer …",553,null],[18,"BITS","","The size of this integer type in bits.",553,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",553,[[["u32",15],["str",15]],[["u32",15],["result",4],["parseinterror",3]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",553,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",553,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",553,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",553,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",553,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",553,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",553,[[["u32",15]],["u32",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",553,[[["u32",15]],["u32",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",553,[[],["u32",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",553,[[],["u32",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",553,[[["u32",15]],["u32",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",553,[[["u32",15]],["u32",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",553,[[],["u32",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",553,[[],["u32",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",553,[[["u32",15]],["u32",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",553,[[],[["u32",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",553,[[["u32",15]],[["u32",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",553,[[["u32",15]],["u32",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",553,[[["u32",15]],["u32",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",553,[[],["u32",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",553,[[["u32",15]],["u32",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",553,[[["u32",15]],["u32",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",553,[[["u32",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",553,[[["u32",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",553,[[["u32",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",553,[[["u32",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",553,[[["u32",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",553,[[["u32",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",553,[[["u32",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",553,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",553,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",553,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",553,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",553,[[["u32",15]],["u32",15]]],[11,"div_euclid","","Performs Euclidean division.",553,[[["u32",15]],["u32",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",553,[[["u32",15]],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",553,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",553,[[],["u32",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",553,[[],[["u32",15],["option",4]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",553,[[],["u32",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",553,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",553,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",553,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",553,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",553,[[],["u32",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",553,[[],["u32",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",553,[[],["u32",15]]],[11,"min_value","","New code should prefer to use",553,[[],["u32",15]]],[11,"max_value","","New code should prefer to use",553,[[],["u32",15]]],[11,"from","","",553,[[]]],[11,"borrow","","",553,[[]]],[11,"borrow_mut","","",553,[[]]],[11,"try_from","","",553,[[],["result",4]]],[11,"into","","",553,[[]]],[11,"try_into","","",553,[[],["result",4]]],[11,"type_id","","",553,[[],["typeid",3]]],[11,"to_owned","","",553,[[]]],[11,"clone_into","","",553,[[]]],[11,"to_string","","",553,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",557,null],[18,"MAX","","The largest value that can be represented by this integer …",557,null],[18,"BITS","","The size of this integer type in bits.",557,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",557,[[["u32",15],["str",15]],[["usize",15],["parseinterror",3],["result",4]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",557,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",557,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",557,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",557,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",557,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",557,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",557,[[["u32",15]],["usize",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",557,[[["u32",15]],["usize",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",557,[[],["usize",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",557,[[],["usize",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",557,[[["usize",15]],["usize",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",557,[[["usize",15]],["usize",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",557,[[],["usize",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",557,[[],["usize",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",557,[[["usize",15]],["usize",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>, …",557,[[["usize",15]],[["usize",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> unless …",557,[[],[["usize",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",557,[[["u32",15]],[["usize",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",557,[[["u32",15]],[["usize",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",557,[[["u32",15]],[["usize",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",557,[[["u32",15]],["usize",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>. Wrapped …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",557,[[["usize",15]],["usize",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>. …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean modulo. Computes <code>self.rem_euclid(rhs)</code>. …",557,[[["usize",15]],["usize",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",557,[[],["usize",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",557,[[["u32",15]],["usize",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",557,[[["u32",15]],["usize",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",557,[[["u32",15]],["usize",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",557,[[["usize",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",557,[[["usize",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",557,[[["usize",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",557,[[["usize",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",557,[[["usize",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",557,[[["usize",15]]]],[11,"overflowing_rem_euclid","","Calculates the remainder <code>self.rem_euclid(rhs)</code> as if by …",557,[[["usize",15]]]],[11,"overflowing_neg","","Negates self in an overflowing fashion.",557,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",557,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",557,[[["u32",15]]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",557,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",557,[[["u32",15]],["usize",15]]],[11,"div_euclid","","Performs Euclidean division.",557,[[["usize",15]],["usize",15]]],[11,"rem_euclid","","Calculates the least remainder of <code>self (mod rhs)</code>.",557,[[["usize",15]],["usize",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",557,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",557,[[],["usize",15]]],[11,"checked_next_power_of_two","","Returns the smallest power of two greater than or equal …",557,[[],[["usize",15],["option",4]]]],[11,"wrapping_next_power_of_two","","Returns the smallest power of two greater than or equal …",557,[[],["usize",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",557,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",557,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",557,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",557,[[]]],[11,"from_be_bytes","","Create a native endian integer value from its …",557,[[],["usize",15]]],[11,"from_le_bytes","","Create a native endian integer value from its …",557,[[],["usize",15]]],[11,"from_ne_bytes","","Create a native endian integer value from its memory …",557,[[],["usize",15]]],[11,"min_value","","New code should prefer to use",557,[[],["usize",15]]],[11,"max_value","","New code should prefer to use",557,[[],["usize",15]]],[11,"from","","",557,[[]]],[11,"borrow","","",557,[[]]],[11,"borrow_mut","","",557,[[]]],[11,"try_from","","",557,[[],["result",4]]],[11,"into","","",557,[[]]],[11,"try_into","","",557,[[],["result",4]]],[11,"type_id","","",557,[[],["typeid",3]]],[11,"to_owned","","",557,[[]]],[11,"clone_into","","",557,[[]]],[11,"to_string","","",557,[[],["string",3]]],[18,"MIN","","The smallest value that can be represented by this …",559,null],[18,"MAX","","The largest value that can be represented by this integer …",559,null],[18,"BITS","","The size of this integer type in bits.",559,null],[11,"from_str_radix","","Converts a string slice in a given base to an integer.",559,[[["u32",15],["str",15]],[["result",4],["parseinterror",3],["i32",15]]]],[11,"count_ones","","Returns the number of ones in the binary representation …",559,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",559,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",559,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",559,[[],["u32",15]]],[11,"leading_ones","","Returns the number of leading ones in the binary …",559,[[],["u32",15]]],[11,"trailing_ones","","Returns the number of trailing ones in the binary …",559,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",559,[[["u32",15]],["i32",15]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",559,[[["u32",15]],["i32",15]]],[11,"swap_bytes","","Reverses the byte order of the integer.",559,[[],["i32",15]]],[11,"reverse_bits","","Reverses the order of bits in the integer. The least …",559,[[],["i32",15]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",559,[[["i32",15]],["i32",15]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",559,[[["i32",15]],["i32",15]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",559,[[],["i32",15]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",559,[[],["i32",15]]],[11,"checked_add","","Checked integer addition. Computes <code>self + rhs</code>, returning …",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"unchecked_add","","Unchecked integer addition. Computes <code>self + rhs</code>, assuming …",559,[[["i32",15]],["i32",15]]],[11,"checked_sub","","Checked integer subtraction. Computes <code>self - rhs</code>, …",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"unchecked_sub","","Unchecked integer subtraction. Computes <code>self - rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"checked_mul","","Checked integer multiplication. Computes <code>self * rhs</code>, …",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"unchecked_mul","","Unchecked integer multiplication. Computes <code>self * rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"checked_div","","Checked integer division. Computes <code>self / rhs</code>, returning …",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"checked_div_euclid","","Checked Euclidean division. Computes <code>self.div_euclid(rhs)</code>,…",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"checked_rem","","Checked integer remainder. Computes <code>self % rhs</code>, returning …",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"checked_rem_euclid","","Checked Euclidean remainder. Computes <code>self.rem_euclid(rhs)</code>…",559,[[["i32",15]],[["i32",15],["option",4]]]],[11,"checked_neg","","Checked negation. Computes <code>-self</code>, returning <code>None</code> if …",559,[[],[["i32",15],["option",4]]]],[11,"checked_shl","","Checked shift left. Computes <code>self << rhs</code>, returning <code>None</code> …",559,[[["u32",15]],[["i32",15],["option",4]]]],[11,"checked_shr","","Checked shift right. Computes <code>self >> rhs</code>, returning <code>None</code> …",559,[[["u32",15]],[["i32",15],["option",4]]]],[11,"checked_abs","","Checked absolute value. Computes <code>self.abs()</code>, returning …",559,[[],[["i32",15],["option",4]]]],[11,"checked_pow","","Checked exponentiation. Computes <code>self.pow(exp)</code>, returning …",559,[[["u32",15]],[["i32",15],["option",4]]]],[11,"saturating_add","","Saturating integer addition. Computes <code>self + rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"saturating_sub","","Saturating integer subtraction. Computes <code>self - rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"saturating_neg","","Saturating integer negation. Computes <code>-self</code>, returning <code>MAX</code>…",559,[[],["i32",15]]],[11,"saturating_abs","","Saturating absolute value. Computes <code>self.abs()</code>, returning …",559,[[],["i32",15]]],[11,"saturating_mul","","Saturating integer multiplication. Computes <code>self * rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"saturating_pow","","Saturating integer exponentiation. Computes <code>self.pow(exp)</code>,…",559,[[["u32",15]],["i32",15]]],[11,"wrapping_add","","Wrapping (modular) addition. Computes <code>self + rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_sub","","Wrapping (modular) subtraction. Computes <code>self - rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_mul","","Wrapping (modular) multiplication. Computes <code>self * rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_div","","Wrapping (modular) division. Computes <code>self / rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_div_euclid","","Wrapping Euclidean division. Computes <code>self.div_euclid(rhs)</code>…",559,[[["i32",15]],["i32",15]]],[11,"wrapping_rem","","Wrapping (modular) remainder. Computes <code>self % rhs</code>, …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_rem_euclid","","Wrapping Euclidean remainder. Computes …",559,[[["i32",15]],["i32",15]]],[11,"wrapping_neg","","Wrapping (modular) negation. Computes <code>-self</code>, wrapping …",559,[[],["i32",15]]],[11,"wrapping_shl","","Panic-free bitwise shift-left; yields <code>self << mask(rhs)</code>, …",559,[[["u32",15]],["i32",15]]],[11,"wrapping_shr","","Panic-free bitwise shift-right; yields <code>self >> mask(rhs)</code>, …",559,[[["u32",15]],["i32",15]]],[11,"wrapping_abs","","Wrapping (modular) absolute value. Computes <code>self.abs()</code>, …",559,[[],["i32",15]]],[11,"unsigned_abs","","Computes the absolute value of <code>self</code> without any wrapping …",559,[[],["u32",15]]],[11,"wrapping_pow","","Wrapping (modular) exponentiation. Computes <code>self.pow(exp)</code>,…",559,[[["u32",15]],["i32",15]]],[11,"overflowing_add","","Calculates <code>self</code> + <code>rhs</code>",559,[[["i32",15]]]],[11,"overflowing_sub","","Calculates <code>self</code> - <code>rhs</code>",559,[[["i32",15]]]],[11,"overflowing_mul","","Calculates the multiplication of <code>self</code> and <code>rhs</code>.",559,[[["i32",15]]]],[11,"overflowing_div","","Calculates the divisor when <code>self</code> is divided by <code>rhs</code>.",559,[[["i32",15]]]],[11,"overflowing_div_euclid","","Calculates the quotient of Euclidean division …",559,[[["i32",15]]]],[11,"overflowing_rem","","Calculates the remainder when <code>self</code> is divided by <code>rhs</code>.",559,[[["i32",15]]]],[11,"overflowing_rem_euclid","","Overflowing Euclidean remainder. Calculates …",559,[[["i32",15]]]],[11,"overflowing_neg","","Negates self, overflowing if this is equal to the minimum …",559,[[]]],[11,"overflowing_shl","","Shifts self left by <code>rhs</code> bits.",559,[[["u32",15]]]],[11,"overflowing_shr","","Shifts self right by <code>rhs</code> bits.",559,[[["u32",15]]]],[11,"overflowing_abs","","Computes the absolute value of <code>self</code>.",559,[[]]],[11,"overflowing_pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",559,[[["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",559,[[["u32",15]],["i32",15]]],[11,"div_euclid","","Calculates the quotient of Euclidean division of <code>self</code> by …",559,[[["i32",15]],["i32",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",559,[[["i32",15]],["i32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>.",559,[[],["i32",15]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",559,[[],["i32",15]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",559,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",559,[[],["bool",15]]],[11,"to_be_bytes","","Return the memory representation of this integer as a …",559,[[]]],[11,"to_le_bytes","","Return the memory representation of this integer as a …",559,[[]]],[11,"to_ne_bytes","","Return the memory representation of this integer as a …",559,[[]]],[11,"as_ne_bytes","","Return the memory representation of this integer as a …",559,[[]]],[11,"from_be_bytes","","Create an integer value from its representation as a byte …",559,[[],["i32",15]]],[11,"from_le_bytes","","Create an integer value from its representation as a byte …",559,[[],["i32",15]]],[11,"from_ne_bytes","","Create an integer value from its memory representation as …",559,[[],["i32",15]]],[11,"min_value","","New code should prefer to use",559,[[],["i32",15]]],[11,"max_value","","New code should prefer to use",559,[[],["i32",15]]],[11,"from","","",559,[[]]],[11,"borrow","","",559,[[]]],[11,"borrow_mut","","",559,[[]]],[11,"try_from","","",559,[[],["result",4]]],[11,"into","","",559,[[]]],[11,"try_into","","",559,[[],["result",4]]],[11,"type_id","","",559,[[],["typeid",3]]],[11,"to_owned","","",559,[[]]],[11,"clone_into","","",559,[[]]],[11,"to_string","","",559,[[],["string",3]]],[11,"is_ascii","","",549,[[],["bool",15]]],[11,"to_ascii_uppercase","","",549,[[]]],[11,"to_ascii_lowercase","","",549,[[]]],[11,"eq_ignore_ascii_case","","",549,[[],["bool",15]]],[11,"make_ascii_uppercase","","",549,[[]]],[11,"make_ascii_lowercase","","",549,[[]]],[11,"is_ascii","","",567,[[],["bool",15]]],[11,"to_ascii_uppercase","","",567,[[]]],[11,"to_ascii_lowercase","","",567,[[]]],[11,"eq_ignore_ascii_case","","",567,[[],["bool",15]]],[11,"make_ascii_uppercase","","",567,[[]]],[11,"make_ascii_lowercase","","",567,[[]]],[11,"is_ascii","","",564,[[],["bool",15]]],[11,"to_ascii_uppercase","","",564,[[]]],[11,"to_ascii_lowercase","","",564,[[]]],[11,"eq_ignore_ascii_case","","",564,[[],["bool",15]]],[11,"make_ascii_uppercase","","",564,[[]]],[11,"make_ascii_lowercase","","",564,[[]]],[11,"is_ascii","","",566,[[],["bool",15]]],[11,"to_ascii_uppercase","","",566,[[]]],[11,"to_ascii_lowercase","","",566,[[]]],[11,"eq_ignore_ascii_case","","",566,[[],["bool",15]]],[11,"make_ascii_uppercase","","",566,[[]]],[11,"make_ascii_lowercase","","",566,[[]]],[11,"description","std::env","",12,[[],["str",15]]],[11,"description","","",291,[[],["str",15]]],[11,"description","std::str","",450,[[],["str",15]]],[11,"description","","",454,[[],["str",15]]],[11,"description","std::num","",335,[[],["str",15]]],[11,"description","","",336,[[],["str",15]]],[11,"description","std::array","",477,[[],["str",15]]],[11,"description","std::num","",334,[[],["str",15]]],[11,"description","std::string","",468,[[],["str",15]]],[11,"description","","",469,[[],["str",15]]],[11,"description","std::convert","",495,[[],["str",15]]],[11,"description","std::char","",494,[[],["str",15]]],[11,"description","std::boxed","",405,[[],["str",15]]],[11,"cause","","",405,[[],[["error",8],["option",4]]]],[11,"source","","",405,[[],[["option",4],["error",8]]]],[11,"description","std","",565,[[],["str",15]]],[11,"cause","","",565,[[],[["error",8],["option",4]]]],[11,"source","","",565,[[],[["option",4],["error",8]]]],[11,"backtrace","","",565,[[],[["backtrace",3],["option",4]]]],[11,"description","std::fmt","",406,[[],["str",15]]],[11,"description","std::cell","",481,[[],["str",15]]],[11,"description","","",482,[[],["str",15]]],[11,"description","std::char","",491,[[],["str",15]]],[11,"description","","",492,[[],["str",15]]],[11,"description","std::ffi","",297,[[],["str",15]]],[11,"description","","",298,[[],["str",15]]],[11,"description","","",300,[[],["str",15]]],[11,"source","","",300,[[],[["option",4],["error",8]]]],[11,"description","std::io","",310,[[],["str",15]]],[11,"description","","",312,[[],["str",15]]],[11,"cause","","",312,[[],[["option",4],["error",8]]]],[11,"source","","",312,[[],[["option",4],["error",8]]]],[11,"description","std::net","",329,[[],["str",15]]],[11,"description","std::path","",357,[[],["str",15]]],[11,"description","std::sync::mpsc","",90,[[],["str",15]]],[11,"description","","",93,[[],["str",15]]],[11,"description","","",367,[[],["str",15]]],[11,"description","","",91,[[],["str",15]]],[11,"description","","",92,[[],["str",15]]],[11,"description","std::time","",101,[[],["str",15]]],[11,"description","std::sync","",106,[[],["str",15]]],[11,"description","","",98,[[],["str",15]]],[11,"cause","","",98,[[],[["error",8],["option",4]]]],[11,"read","std::fs","",14,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",14,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",14,[[],["bool",15]]],[11,"initializer","","",14,[[],["initializer",3]]],[11,"read","std::io","",307,[[],[["result",6],["usize",15]]]],[11,"read_exact","","",307,[[],["result",6]]],[11,"read_vectored","","",307,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",307,[[],["bool",15]]],[11,"initializer","","",307,[[],["initializer",3]]],[11,"read","","",311,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",311,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",311,[[],["bool",15]]],[11,"read_exact","","",311,[[],["result",6]]],[11,"initializer","","",311,[[],["initializer",3]]],[11,"read","std","",565,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",565,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",565,[[],["bool",15]]],[11,"initializer","","",565,[[],["initializer",3]]],[11,"read_to_end","","",565,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read_to_string","","",565,[[["string",3]],[["result",6],["usize",15]]]],[11,"read_exact","","",565,[[],["result",6]]],[11,"read","std::boxed","",405,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",405,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",405,[[],["bool",15]]],[11,"initializer","","",405,[[],["initializer",3]]],[11,"read_to_end","","",405,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read_to_string","","",405,[[["string",3]],[["result",6],["usize",15]]]],[11,"read_exact","","",405,[[],["result",6]]],[11,"read","std","",564,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",564,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",564,[[],["bool",15]]],[11,"initializer","","",564,[[],["initializer",3]]],[11,"read_exact","","",564,[[],["result",6]]],[11,"read_to_end","","",564,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read","std::io","",313,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",313,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",313,[[],["bool",15]]],[11,"initializer","","",313,[[],["initializer",3]]],[11,"read_to_end","","",313,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read_to_string","","",313,[[["string",3]],[["result",6],["usize",15]]]],[11,"read_exact","","",313,[[],["result",6]]],[11,"read","","",314,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",314,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",314,[[],["bool",15]]],[11,"initializer","","",314,[[],["initializer",3]]],[11,"read_to_end","","",314,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read_to_string","","",314,[[["string",3]],[["result",6],["usize",15]]]],[11,"read_exact","","",314,[[],["result",6]]],[11,"read","","",319,[[],[["result",6],["usize",15]]]],[11,"initializer","","",319,[[],["initializer",3]]],[11,"read","","",320,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",320,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",320,[[],["bool",15]]],[11,"initializer","","",320,[[],["initializer",3]]],[11,"read","","",30,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",30,[[],[["result",6],["usize",15]]]],[11,"initializer","","",30,[[],["initializer",3]]],[11,"read","","",31,[[],[["result",6],["usize",15]]]],[11,"initializer","","",31,[[],["initializer",3]]],[11,"read_to_end","","",31,[[["vec",3]],[["result",6],["usize",15]]]],[11,"read","std::net","",330,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",330,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",330,[[],["bool",15]]],[11,"initializer","","",330,[[],["initializer",3]]],[11,"read","std::process","",361,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",361,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",361,[[],["bool",15]]],[11,"initializer","","",361,[[],["initializer",3]]],[11,"read","","",362,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",362,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",362,[[],["bool",15]]],[11,"initializer","","",362,[[],["initializer",3]]],[11,"read","std::os::unix::net","",112,[[],[["result",6],["usize",15]]]],[11,"read_vectored","","",112,[[],[["result",6],["usize",15]]]],[11,"is_read_vectored","","",112,[[],["bool",15]]],[11,"initializer","","",112,[[],["initializer",3]]],[11,"write","std::fs","",14,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",14,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",14,[[],["bool",15]]],[11,"flush","","",14,[[],["result",6]]],[11,"write","std::io","",308,[[],[["result",6],["usize",15]]]],[11,"write_all","","",308,[[],["result",6]]],[11,"write_vectored","","",308,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",308,[[],["bool",15]]],[11,"flush","","",308,[[],["result",6]]],[11,"write","","",309,[[],[["result",6],["usize",15]]]],[11,"flush","","",309,[[],["result",6]]],[11,"write_vectored","","",309,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",309,[[],["bool",15]]],[11,"write_all","","",309,[[],["result",6]]],[11,"write_all_vectored","","",309,[[],["result",6]]],[11,"write_fmt","","",309,[[["arguments",3]],["result",6]]],[11,"write","","",311,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",311,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",311,[[],["bool",15]]],[11,"flush","","",311,[[],["result",6]]],[11,"write","","",311,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",311,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",311,[[],["bool",15]]],[11,"flush","","",311,[[],["result",6]]],[11,"write","","",311,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",311,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",311,[[],["bool",15]]],[11,"flush","","",311,[[],["result",6]]],[11,"write","","",311,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",311,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",311,[[],["bool",15]]],[11,"flush","","",311,[[],["result",6]]],[11,"write","std","",565,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",565,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",565,[[],["bool",15]]],[11,"flush","","",565,[[],["result",6]]],[11,"write_all","","",565,[[],["result",6]]],[11,"write_fmt","","",565,[[["arguments",3]],["result",6]]],[11,"write","std::boxed","",405,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",405,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",405,[[],["bool",15]]],[11,"flush","","",405,[[],["result",6]]],[11,"write_all","","",405,[[],["result",6]]],[11,"write_fmt","","",405,[[["arguments",3]],["result",6]]],[11,"write","std","",564,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",564,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",564,[[],["bool",15]]],[11,"write_all","","",564,[[],["result",6]]],[11,"flush","","",564,[[],["result",6]]],[11,"write","std::vec","",471,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",471,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",471,[[],["bool",15]]],[11,"write_all","","",471,[[],["result",6]]],[11,"flush","","",471,[[],["result",6]]],[11,"write","std::io","",315,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",315,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",315,[[],["bool",15]]],[11,"flush","","",315,[[],["result",6]]],[11,"write_all","","",315,[[],["result",6]]],[11,"write_all_vectored","","",315,[[],["result",6]]],[11,"write_fmt","","",315,[[["arguments",3]],["result",6]]],[11,"write","","",316,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",316,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",316,[[],["bool",15]]],[11,"flush","","",316,[[],["result",6]]],[11,"write_all","","",316,[[],["result",6]]],[11,"write_all_vectored","","",316,[[],["result",6]]],[11,"write","","",317,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",317,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",317,[[],["bool",15]]],[11,"flush","","",317,[[],["result",6]]],[11,"write_all","","",317,[[],["result",6]]],[11,"write_all_vectored","","",317,[[],["result",6]]],[11,"write_fmt","","",317,[[["arguments",3]],["result",6]]],[11,"write","","",318,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",318,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",318,[[],["bool",15]]],[11,"flush","","",318,[[],["result",6]]],[11,"write_all","","",318,[[],["result",6]]],[11,"write_all_vectored","","",318,[[],["result",6]]],[11,"write","","",321,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",321,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",321,[[],["bool",15]]],[11,"flush","","",321,[[],["result",6]]],[11,"write","std::net","",330,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",330,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",330,[[],["bool",15]]],[11,"flush","","",330,[[],["result",6]]],[11,"write","std::process","",360,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",360,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",360,[[],["bool",15]]],[11,"flush","","",360,[[],["result",6]]],[11,"write","std::os::unix::net","",112,[[],[["result",6],["usize",15]]]],[11,"write_vectored","","",112,[[],[["result",6],["usize",15]]]],[11,"is_write_vectored","","",112,[[],["bool",15]]],[11,"flush","","",112,[[],["result",6]]],[11,"seek","std::fs","",14,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"seek","std::io","Seek to an offset, in bytes, in the underlying reader.",307,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"stream_position","","Returns the current seek position from the start of the …",307,[[],[["u64",15],["result",6]]]],[11,"seek","","Seek to the offset, in bytes, in the underlying writer.",308,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"seek","","",311,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"stream_len","","",311,[[],[["u64",15],["result",6]]]],[11,"stream_position","","",311,[[],[["u64",15],["result",6]]]],[11,"seek","std","",565,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"seek","std::boxed","",405,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"seek","std::io","",319,[[["seekfrom",4]],[["u64",15],["result",6]]]],[11,"stream_len","","",319,[[],[["u64",15],["result",6]]]],[11,"stream_position","","",319,[[],[["u64",15],["result",6]]]],[11,"fill_buf","","",307,[[],["result",6]]],[11,"consume","","",307,[[["usize",15]]]],[11,"fill_buf","","",311,[[],["result",6]]],[11,"consume","","",311,[[["usize",15]]]],[11,"fill_buf","std","",565,[[],["result",6]]],[11,"consume","","",565,[[["usize",15]]]],[11,"read_until","","",565,[[["vec",3],["u8",15]],[["result",6],["usize",15]]]],[11,"read_line","","",565,[[["string",3]],[["result",6],["usize",15]]]],[11,"fill_buf","std::boxed","",405,[[],["result",6]]],[11,"consume","","",405,[[["usize",15]]]],[11,"read_until","","",405,[[["vec",3],["u8",15]],[["result",6],["usize",15]]]],[11,"read_line","","",405,[[["string",3]],[["result",6],["usize",15]]]],[11,"fill_buf","std","",564,[[],["result",6]]],[11,"consume","","",564,[[["usize",15]]]],[11,"fill_buf","std::io","",314,[[],["result",6]]],[11,"consume","","",314,[[["usize",15]]]],[11,"read_until","","",314,[[["vec",3],["u8",15]],[["result",6],["usize",15]]]],[11,"read_line","","",314,[[["string",3]],[["result",6],["usize",15]]]],[11,"fill_buf","","",319,[[],["result",6]]],[11,"consume","","",319,[[["usize",15]]]],[11,"fill_buf","","",30,[[],["result",6]]],[11,"consume","","",30,[[["usize",15]]]],[11,"fill_buf","","",31,[[],["result",6]]],[11,"consume","","",31,[[["usize",15]]]],[11,"to_socket_addrs","std::net","",32,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","","",325,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","","",326,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","std","",570,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","","",570,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","","",570,[[],[["result",6],["intoiter",3]]]],[11,"to_socket_addrs","","",570,[[],[["intoiter",3],["result",6]]]],[11,"to_socket_addrs","","",570,[[],[["intoiter",3],["result",6]]]],[11,"to_socket_addrs","","",566,[[],[["intoiter",3],["result",6]]]],[11,"to_socket_addrs","","",564,[[],["result",6]]],[11,"to_socket_addrs","","",565,[[],["result",6]]],[11,"to_socket_addrs","std::string","",467,[[],[["intoiter",3],["result",6]]]],[11,"report","std","",572,[[],["i32",15]]],[11,"report","std::result","",212,[[],["i32",15]]],[11,"report","std","",571,[[],["i32",15]]],[11,"report","std::result","",212,[[],["i32",15]]],[11,"report","std::process","",88,[[],["i32",15]]],[11,"from_vec","std::ffi","",301,[[["vec",3],["u8",15]],["osstring",3]]],[11,"into_vec","","",301,[[],[["vec",3],["u8",15]]]],[11,"from_bytes","","",302,[[],["osstr",3]]],[11,"as_bytes","","",302,[[]]],[11,"as_raw_stat","std::fs","",16,[[],["stat",3]]],[11,"st_dev","","",16,[[],["u64",15]]],[11,"st_ino","","",16,[[],["u64",15]]],[11,"st_mode","","",16,[[],["u32",15]]],[11,"st_nlink","","",16,[[],["u64",15]]],[11,"st_uid","","",16,[[],["u32",15]]],[11,"st_gid","","",16,[[],["u32",15]]],[11,"st_rdev","","",16,[[],["u64",15]]],[11,"st_size","","",16,[[],["u64",15]]],[11,"st_atime","","",16,[[],["i64",15]]],[11,"st_atime_nsec","","",16,[[],["i64",15]]],[11,"st_mtime","","",16,[[],["i64",15]]],[11,"st_mtime_nsec","","",16,[[],["i64",15]]],[11,"st_ctime","","",16,[[],["i64",15]]],[11,"st_ctime_nsec","","",16,[[],["i64",15]]],[11,"st_blksize","","",16,[[],["u64",15]]],[11,"st_blocks","","",16,[[],["u64",15]]],[11,"read_at","","",14,[[["u64",15]],[["result",6],["usize",15]]]],[11,"write_at","","",14,[[["u64",15]],[["result",6],["usize",15]]]],[11,"mode","","",17,[[],["u32",15]]],[11,"set_mode","","",17,[[["u32",15]]]],[11,"from_mode","","",17,[[["u32",15]],["permissions",3]]],[11,"mode","","",15,[[["u32",15]],["openoptions",3]]],[11,"custom_flags","","",15,[[["i32",15]],["openoptions",3]]],[11,"dev","","",16,[[],["u64",15]]],[11,"ino","","",16,[[],["u64",15]]],[11,"mode","","",16,[[],["u32",15]]],[11,"nlink","","",16,[[],["u64",15]]],[11,"uid","","",16,[[],["u32",15]]],[11,"gid","","",16,[[],["u32",15]]],[11,"rdev","","",16,[[],["u64",15]]],[11,"size","","",16,[[],["u64",15]]],[11,"atime","","",16,[[],["i64",15]]],[11,"atime_nsec","","",16,[[],["i64",15]]],[11,"mtime","","",16,[[],["i64",15]]],[11,"mtime_nsec","","",16,[[],["i64",15]]],[11,"ctime","","",16,[[],["i64",15]]],[11,"ctime_nsec","","",16,[[],["i64",15]]],[11,"blksize","","",16,[[],["u64",15]]],[11,"blocks","","",16,[[],["u64",15]]],[11,"is_block_device","","",18,[[],["bool",15]]],[11,"is_char_device","","",18,[[],["bool",15]]],[11,"is_fifo","","",18,[[],["bool",15]]],[11,"is_socket","","",18,[[],["bool",15]]],[11,"ino","","",19,[[],["u64",15]]],[11,"mode","","",20,[[["u32",15]],["dirbuilder",3]]],[11,"as_raw_fd","std","",573,[[],["rawfd",6]]],[11,"as_raw_fd","std::fs","",14,[[],["rawfd",6]]],[11,"as_raw_fd","std::io","",313,[[],["rawfd",6]]],[11,"as_raw_fd","","",315,[[],["rawfd",6]]],[11,"as_raw_fd","","",317,[[],["rawfd",6]]],[11,"as_raw_fd","","",314,[[],["rawfd",6]]],[11,"as_raw_fd","","",316,[[],["rawfd",6]]],[11,"as_raw_fd","","",318,[[],["rawfd",6]]],[11,"as_raw_fd","std::os::unix::net","",110,[[],["rawfd",6]]],[11,"as_raw_fd","","",111,[[],["rawfd",6]]],[11,"as_raw_fd","std::net","",330,[[],["rawfd",6]]],[11,"as_raw_fd","","",331,[[],["rawfd",6]]],[11,"as_raw_fd","","",333,[[],["rawfd",6]]],[11,"as_raw_fd","std::os::unix::net","",112,[[],["rawfd",6]]],[11,"as_raw_fd","std::process","",360,[[],["rawfd",6]]],[11,"as_raw_fd","","",361,[[],["rawfd",6]]],[11,"as_raw_fd","","",362,[[],["rawfd",6]]],[11,"from_raw_fd","std","",573,[[["rawfd",6]],["rawfd",6]]],[11,"from_raw_fd","std::fs","",14,[[["rawfd",6]],["file",3]]],[11,"from_raw_fd","std::os::unix::net","",110,[[["rawfd",6]],["unixdatagram",3]]],[11,"from_raw_fd","","",111,[[["rawfd",6]],["unixlistener",3]]],[11,"from_raw_fd","std::net","",330,[[["rawfd",6]],["tcpstream",3]]],[11,"from_raw_fd","","",331,[[["rawfd",6]],["tcplistener",3]]],[11,"from_raw_fd","","",333,[[["rawfd",6]],["udpsocket",3]]],[11,"from_raw_fd","std::os::unix::net","",112,[[["rawfd",6]],["unixstream",3]]],[11,"from_raw_fd","std::process","",86,[[["rawfd",6]],["stdio",3]]],[11,"into_raw_fd","std","",573,[[],["rawfd",6]]],[11,"into_raw_fd","std::fs","",14,[[],["rawfd",6]]],[11,"into_raw_fd","std::os::unix::net","",110,[[],["rawfd",6]]],[11,"into_raw_fd","","",111,[[],["rawfd",6]]],[11,"into_raw_fd","std::net","",330,[[],["rawfd",6]]],[11,"into_raw_fd","","",331,[[],["rawfd",6]]],[11,"into_raw_fd","","",333,[[],["rawfd",6]]],[11,"into_raw_fd","std::os::unix::net","",112,[[],["rawfd",6]]],[11,"into_raw_fd","std::process","",360,[[],["rawfd",6]]],[11,"into_raw_fd","","",361,[[],["rawfd",6]]],[11,"into_raw_fd","","",362,[[],["rawfd",6]]],[11,"uid","","",84,[[["u32",15]],["command",3]]],[11,"gid","","",84,[[["u32",15]],["command",3]]],[11,"groups","","",84,[[],["command",3]]],[11,"pre_exec","","",84,[[],["command",3]]],[11,"exec","","",84,[[],["error",3]]],[11,"arg0","","",84,[[],["command",3]]],[11,"from_raw","","",87,[[["i32",15]]]],[11,"signal","","",87,[[],[["option",4],["i32",15]]]],[11,"core_dumped","","",87,[[],["bool",15]]],[11,"stopped_signal","","",87,[[],[["option",4],["i32",15]]]],[11,"continued","","",87,[[],["bool",15]]],[11,"into_raw","","",87,[[],["i32",15]]],[11,"as_pthread_t","std::thread","",3,[[],["rawpthread",6]]],[11,"into_pthread_t","","",3,[[],["rawpthread",6]]],[11,"from_wide","std::ffi","",301,[[],["osstring",3]]],[11,"encode_wide","","",302,[[],["encodewide",3]]],[11,"seek_read","std::fs","",14,[[["u64",15]],[["result",6],["usize",15]]]],[11,"seek_write","","",14,[[["u64",15]],[["result",6],["usize",15]]]],[11,"access_mode","","",15,[[["u32",15]],["openoptions",3]]],[11,"share_mode","","",15,[[["u32",15]],["openoptions",3]]],[11,"custom_flags","","",15,[[["u32",15]],["openoptions",3]]],[11,"attributes","","",15,[[["u32",15]],["openoptions",3]]],[11,"security_qos_flags","","",15,[[["u32",15]],["openoptions",3]]],[11,"file_attributes","","",16,[[],["u32",15]]],[11,"creation_time","","",16,[[],["u64",15]]],[11,"last_access_time","","",16,[[],["u64",15]]],[11,"last_write_time","","",16,[[],["u64",15]]],[11,"file_size","","",16,[[],["u64",15]]],[11,"volume_serial_number","","",16,[[],[["option",4],["u32",15]]]],[11,"number_of_links","","",16,[[],[["option",4],["u32",15]]]],[11,"file_index","","",16,[[],[["u64",15],["option",4]]]],[11,"is_symlink_dir","","",18,[[],["bool",15]]],[11,"is_symlink_file","","",18,[[],["bool",15]]],[11,"as_raw_handle","","",14,[[],["rawhandle",6]]],[11,"as_raw_handle","std::io","",313,[[],["rawhandle",6]]],[11,"as_raw_handle","","",315,[[],["rawhandle",6]]],[11,"as_raw_handle","","",317,[[],["rawhandle",6]]],[11,"as_raw_handle","","",314,[[],["rawhandle",6]]],[11,"as_raw_handle","","",316,[[],["rawhandle",6]]],[11,"as_raw_handle","","",318,[[],["rawhandle",6]]],[11,"as_raw_handle","std::process","",83,[[],["rawhandle",6]]],[11,"as_raw_handle","","",360,[[],["rawhandle",6]]],[11,"as_raw_handle","","",361,[[],["rawhandle",6]]],[11,"as_raw_handle","","",362,[[],["rawhandle",6]]],[11,"as_raw_handle","std::thread","",3,[[],["rawhandle",6]]],[11,"from_raw_handle","std::fs","",14,[[["rawhandle",6]],["file",3]]],[11,"from_raw_handle","std::process","",86,[[["rawhandle",6]],["stdio",3]]],[11,"into_raw_handle","std::fs","",14,[[],["rawhandle",6]]],[11,"into_raw_handle","std::process","",83,[[],["rawhandle",6]]],[11,"into_raw_handle","","",360,[[],["rawhandle",6]]],[11,"into_raw_handle","","",361,[[],["rawhandle",6]]],[11,"into_raw_handle","","",362,[[],["rawhandle",6]]],[11,"into_raw_handle","std::thread","",3,[[],["rawhandle",6]]],[11,"as_raw_socket","std::net","",330,[[],["rawsocket",6]]],[11,"as_raw_socket","","",331,[[],["rawsocket",6]]],[11,"as_raw_socket","","",333,[[],["rawsocket",6]]],[11,"from_raw_socket","","",330,[[["rawsocket",6]],["tcpstream",3]]],[11,"from_raw_socket","","",331,[[["rawsocket",6]],["tcplistener",3]]],[11,"from_raw_socket","","",333,[[["rawsocket",6]],["udpsocket",3]]],[11,"into_raw_socket","","",330,[[],["rawsocket",6]]],[11,"into_raw_socket","","",331,[[],["rawsocket",6]]],[11,"into_raw_socket","","",333,[[],["rawsocket",6]]],[11,"from_raw","std::process","",87,[[["u32",15]]]],[11,"creation_flags","","",84,[[["u32",15]],["command",3]]],[11,"deref","std::ffi","",295,[[],["cstr",3]]],[11,"deref","","",301,[[],["osstr",3]]],[11,"deref","std::io","",23,[[]]],[11,"deref","","",24,[[]]],[11,"deref","std::panic","",75,[[]]],[11,"deref","std::path","",81,[[],["path",3]]],[11,"deref","std::sync","",373,[[]]],[11,"deref","","",377,[[]]],[11,"deref","","",378,[[]]],[11,"deref","std::lazy","",103,[[]]],[11,"deref_mut","std::ffi","",301,[[],["osstr",3]]],[11,"deref_mut","std::io","",23,[[]]],[11,"deref_mut","std::panic","",75,[[]]],[11,"deref_mut","std::sync","",373,[[]]],[11,"deref_mut","","",378,[[]]],[11,"from","std::boxed","Converts a type of [<code>Error</code>] into a box of dyn [<code>Error</code>].",405,[[],[["error",8],["box",3]]]],[11,"from","","Converts a type of [<code>Error</code>] + [<code>Send</code>] + [<code>Sync</code>] into a box of…",405,[[],[["box",3],["error",8]]]],[11,"from","","Converts a [<code>String</code>] into a box of dyn [<code>Error</code>] + [<code>Send</code>] + […",405,[[["string",3]],[["error",8],["box",3]]]],[11,"from","","Converts a [<code>String</code>] into a box of dyn [<code>Error</code>].",405,[[["string",3]],[["box",3],["error",8]]]],[11,"from","","Converts a <code>str</code> into a box of dyn [<code>Error</code>] + [<code>Send</code>] + [<code>Sync</code>]…",405,[[["str",15]],[["box",3],["error",8]]]],[11,"from","","Converts a <code>str</code> into a box of dyn [<code>Error</code>].",405,[[["str",15]],[["box",3],["error",8]]]],[11,"from","","Converts a [<code>Cow</code>] into a box of dyn [<code>Error</code>] + [<code>Send</code>] + […",405,[[["cow",4],["str",15]],[["box",3],["error",8]]]],[11,"from","","Converts a [<code>Cow</code>] into a box of dyn [<code>Error</code>].",405,[[["cow",4],["str",15]],[["box",3],["error",8]]]],[11,"from","std::vec","Converts a [<code>CString</code>] into a [<code>Vec</code>]<code><u8></code>.",471,[[["cstring",3]],[["vec",3],["u8",15]]]],[11,"from","std::ffi","",295,[[["cow",4],["cstr",3]]]],[11,"from","std::boxed","",405,[[["cstr",3]],[["cstr",3],["box",3]]]],[11,"from","","",405,[[["cow",4],["cstr",3]],[["cstr",3],["box",3]]]],[11,"from","std::ffi","Converts a [<code>Box</code>]<code><CStr></code> into a [<code>CString</code>] without copying …",295,[[["box",3],["cstr",3]],["cstring",3]]],[11,"from","","Converts a [<code>Vec</code>]<code><</code>[<code>NonZeroU8</code>]<code>></code> into a [<code>CString</code>] without …",295,[[["vec",3],["nonzerou8",3]],["cstring",3]]],[11,"from","std::boxed","Converts a [<code>CString</code>] into a [<code>Box</code>]<code><CStr></code> without copying …",405,[[["cstring",3]],[["cstr",3],["box",3]]]],[11,"from","std::borrow","",116,[[["cstring",3]],[["cstr",3],["cow",4]]]],[11,"from","","",116,[[["cstr",3]],[["cstr",3],["cow",4]]]],[11,"from","","",116,[[["cstring",3]],[["cstr",3],["cow",4]]]],[11,"from","std::sync","Converts a [<code>CString</code>] into a [<code>Arc</code>]<code><CStr></code> without copying …",379,[[["cstring",3]],[["arc",3],["cstr",3]]]],[11,"from","","",379,[[["cstr",3]],[["arc",3],["cstr",3]]]],[11,"from","std::rc","Converts a [<code>CString</code>] into a [<code>Rc</code>]<code><CStr></code> without copying or …",414,[[["cstring",3]],[["rc",3],["cstr",3]]]],[11,"from","","",414,[[["cstr",3]],[["rc",3],["cstr",3]]]],[11,"from","std::io","Converts a [<code>NulError</code>] into a [<code>io::Error</code>].",312,[[["nulerror",3]],["error",3]]],[11,"from","std::ffi","",295,[[["cstr",3]],["cstring",3]]],[11,"from","","Converts a [<code>String</code>] into a [<code>OsString</code>].",301,[[["string",3]],["osstring",3]]],[11,"from","","",301,[[],["osstring",3]]],[11,"from","std::boxed","",405,[[["osstr",3]],[["osstr",3],["box",3]]]],[11,"from","","",405,[[["cow",4],["osstr",3]],[["osstr",3],["box",3]]]],[11,"from","std::ffi","Converts a [<code>Box</code>]<code><</code>[<code>OsStr</code>]<code>></code> into a <code>OsString</code> without copying …",301,[[["box",3],["osstr",3]],["osstring",3]]],[11,"from","std::boxed","Converts a [<code>OsString</code>] into a [<code>Box</code>]<code><OsStr></code> without copying …",405,[[["osstring",3]],[["osstr",3],["box",3]]]],[11,"from","std::sync","Converts a [<code>OsString</code>] into a [<code>Arc</code>]<code><OsStr></code> without copying …",379,[[["osstring",3]],[["osstr",3],["arc",3]]]],[11,"from","","",379,[[["osstr",3]],[["osstr",3],["arc",3]]]],[11,"from","std::rc","Converts a [<code>OsString</code>] into a [<code>Rc</code>]<code><OsStr></code> without copying …",414,[[["osstring",3]],[["rc",3],["osstr",3]]]],[11,"from","","",414,[[["osstr",3]],[["rc",3],["osstr",3]]]],[11,"from","std::borrow","",116,[[["osstring",3]],[["cow",4],["osstr",3]]]],[11,"from","","",116,[[["osstr",3]],[["cow",4],["osstr",3]]]],[11,"from","","",116,[[["osstring",3]],[["cow",4],["osstr",3]]]],[11,"from","std::ffi","",301,[[["cow",4],["osstr",3]]]],[11,"from","std::io","",312,[[["intoinnererror",3]],["error",3]]],[11,"from","","Converts an [<code>ErrorKind</code>] into an [<code>Error</code>].",312,[[["errorkind",4]],["error",3]]],[11,"from","std::net","Converts a [<code>SocketAddrV4</code>] into a [<code>SocketAddr::V4</code>].",32,[[["socketaddrv4",3]],["socketaddr",4]]],[11,"from","","Converts a [<code>SocketAddrV6</code>] into a [<code>SocketAddr::V6</code>].",32,[[["socketaddrv6",3]],["socketaddr",4]]],[11,"from","","Converts a tuple struct (Into<[<code>IpAddr</code>]>, <code>u16</code>) into a […",32,[[],["socketaddr",4]]],[11,"from","","Copies this address to a new <code>IpAddr::V4</code>.",34,[[["ipv4addr",3]],["ipaddr",4]]],[11,"from","","Copies this address to a new <code>IpAddr::V6</code>.",34,[[["ipv6addr",3]],["ipaddr",4]]],[11,"from","std","Converts an <code>Ipv4Addr</code> into a host byte order <code>u32</code>.",553,[[["ipv4addr",3]],["u32",15]]],[11,"from","std::net","Converts a host byte order <code>u32</code> into an <code>Ipv4Addr</code>.",327,[[["u32",15]],["ipv4addr",3]]],[11,"from","","Creates an <code>Ipv4Addr</code> from a four element byte array.",327,[[],["ipv4addr",3]]],[11,"from","","Creates an <code>IpAddr::V4</code> from a four element byte array.",34,[[],["ipaddr",4]]],[11,"from","std","Convert an <code>Ipv6Addr</code> into a host byte order <code>u128</code>.",560,[[["ipv6addr",3]],["u128",15]]],[11,"from","std::net","Convert a host byte order <code>u128</code> into an <code>Ipv6Addr</code>.",328,[[["u128",15]],["ipv6addr",3]]],[11,"from","","Creates an <code>Ipv6Addr</code> from a sixteen element byte array.",328,[[],["ipv6addr",3]]],[11,"from","","Creates an <code>Ipv6Addr</code> from an eight element 16-bit array.",328,[[],["ipv6addr",3]]],[11,"from","","Creates an <code>IpAddr::V6</code> from a sixteen element byte array.",34,[[],["ipaddr",4]]],[11,"from","","Creates an <code>IpAddr::V6</code> from an eight element 16-bit array.",34,[[],["ipaddr",4]]],[11,"from","std::boxed","",405,[[["path",3]],[["path",3],["box",3]]]],[11,"from","","",405,[[["cow",4],["path",3]],[["path",3],["box",3]]]],[11,"from","std::path","Converts a <code>Box<Path></code> into a <code>PathBuf</code>",81,[[["path",3],["box",3]],["pathbuf",3]]],[11,"from","std::boxed","Converts a <code>PathBuf</code> into a <code>Box<Path></code>",405,[[["pathbuf",3]],[["path",3],["box",3]]]],[11,"from","std::path","",81,[[],["pathbuf",3]]],[11,"from","","Converts a <code>OsString</code> into a <code>PathBuf</code>",81,[[["osstring",3]],["pathbuf",3]]],[11,"from","std::ffi","Converts a <code>PathBuf</code> into a <code>OsString</code>",301,[[["pathbuf",3]],["osstring",3]]],[11,"from","std::path","Converts a <code>String</code> into a <code>PathBuf</code>",81,[[["string",3]],["pathbuf",3]]],[11,"from","std::borrow","",116,[[["path",3]],[["cow",4],["path",3]]]],[11,"from","","",116,[[["pathbuf",3]],[["cow",4],["path",3]]]],[11,"from","","",116,[[["pathbuf",3]],[["cow",4],["path",3]]]],[11,"from","std::path","",81,[[["cow",4],["path",3]]]],[11,"from","std::sync","Converts a <code>PathBuf</code> into an <code>Arc</code> by moving the <code>PathBuf</code> data …",379,[[["pathbuf",3]],[["arc",3],["path",3]]]],[11,"from","","Converts a <code>Path</code> into an <code>Arc</code> by copying the <code>Path</code> data into …",379,[[["path",3]],[["arc",3],["path",3]]]],[11,"from","std::rc","Converts a <code>PathBuf</code> into an <code>Rc</code> by moving the <code>PathBuf</code> data …",414,[[["pathbuf",3]],[["rc",3],["path",3]]]],[11,"from","","Converts a <code>Path</code> into an <code>Rc</code> by copying the <code>Path</code> data into …",414,[[["path",3]],[["rc",3],["path",3]]]],[11,"from","std::process","Converts a <code>ChildStdin</code> into a <code>Stdio</code>",86,[[["childstdin",3]],["stdio",3]]],[11,"from","","Converts a <code>ChildStdout</code> into a <code>Stdio</code>",86,[[["childstdout",3]],["stdio",3]]],[11,"from","","Converts a <code>ChildStderr</code> into a <code>Stdio</code>",86,[[["childstderr",3]],["stdio",3]]],[11,"from","","Converts a <code>File</code> into a <code>Stdio</code>",86,[[["file",3]],["stdio",3]]],[11,"from","std::sync::mpsc","Converts a <code>SendError<T></code> into a <code>TrySendError<T></code>.",93,[[["senderror",3]],["trysenderror",4]]],[11,"from","","Converts a <code>RecvError</code> into a <code>TryRecvError</code>.",91,[[["recverror",3]],["tryrecverror",4]]],[11,"from","","Converts a <code>RecvError</code> into a <code>RecvTimeoutError</code>.",92,[[["recverror",3]],["recvtimeouterror",4]]],[11,"from","std::sync","Creates a new mutex in an unlocked state ready for use. …",372,[[]]],[11,"from","","Creates a new instance of an <code>RwLock<T></code> which is unlocked. …",376,[[]]],[11,"from","std::lazy","",102,[[]]],[11,"from","std::sync","",98,[[["poisonerror",3]],["trylockerror",4]]],[11,"fmt","std::thread","",214,[[["formatter",3]],["result",6]]],[11,"fmt","","",215,[[["formatter",3]],["result",6]]],[11,"fmt","","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",1,[[["formatter",3]],["result",6]]],[11,"fmt","","",2,[[["formatter",3]],["result",6]]],[11,"fmt","","",3,[[["formatter",3]],["result",6]]],[11,"fmt","std::backtrace","",5,[[["formatter",3]],["result",6]]],[11,"fmt","","",6,[[["formatter",3]],["result",6]]],[11,"fmt","","",217,[[["formatter",3]],["result",6]]],[11,"fmt","std::collections::hash_map","",218,[[["formatter",3]],["result",6]]],[11,"fmt","","",219,[[["formatter",3]],["result",6]]],[11,"fmt","","",222,[[["formatter",3]],["result",6]]],[11,"fmt","","",223,[[["formatter",3]],["result",6]]],[11,"fmt","","",229,[[["formatter",3]],["result",6]]],[11,"fmt","","",7,[[["formatter",3]],["result",6]]],[11,"fmt","","",230,[[["formatter",3]],["result",6]]],[11,"fmt","","",231,[[["formatter",3]],["result",6]]],[11,"fmt","","",232,[[["formatter",3]],["result",6]]],[11,"fmt","","",8,[[["formatter",3]],["result",6]]],[11,"fmt","","",233,[[["formatter",3]],["result",6]]],[11,"fmt","","",234,[[["formatter",3]],["result",6]]],[11,"fmt","","",220,[[["formatter",3]],["result",6]]],[11,"fmt","","",221,[[["formatter",3]],["result",6]]],[11,"fmt","","",226,[[["formatter",3]],["result",6]]],[11,"fmt","","",227,[[["formatter",3]],["result",6]]],[11,"fmt","","",228,[[["formatter",3]],["result",6]]],[11,"fmt","","",224,[[["formatter",3]],["result",6]]],[11,"fmt","","",225,[[["formatter",3]],["result",6]]],[11,"fmt","","",236,[[["formatter",3]],["result",6]]],[11,"fmt","","",235,[[["formatter",3]],["result",6]]],[11,"fmt","std::collections::hash_set","",237,[[["formatter",3]],["result",6]]],[11,"fmt","","",238,[[["formatter",3]],["result",6]]],[11,"fmt","","",239,[[["formatter",3]],["result",6]]],[11,"fmt","","",240,[[["formatter",3]],["result",6]]],[11,"fmt","","",241,[[["formatter",3]],["result",6]]],[11,"fmt","","",242,[[["formatter",3]],["result",6]]],[11,"fmt","","",243,[[["formatter",3]],["result",6]]],[11,"fmt","","",244,[[["formatter",3]],["result",6]]],[11,"fmt","","",245,[[["formatter",3]],["result",6]]],[11,"fmt","std::env","",288,[[["formatter",3]],["result",6]]],[11,"fmt","","",289,[[["formatter",3]],["result",6]]],[11,"fmt","","",12,[[["formatter",3]],["result",6]]],[11,"fmt","","",290,[[["formatter",3]],["result",6]]],[11,"fmt","","",291,[[["formatter",3]],["result",6]]],[11,"fmt","","",292,[[["formatter",3]],["result",6]]],[11,"fmt","","",293,[[["formatter",3]],["result",6]]],[11,"fmt","std::error","",294,[[["formatter",3]],["result",6]]],[11,"fmt","std::ffi","",297,[[["formatter",3]],["result",6]]],[11,"fmt","","",298,[[["formatter",3]],["result",6]]],[11,"fmt","","",299,[[["formatter",3]],["result",6]]],[11,"fmt","","",300,[[["formatter",3]],["result",6]]],[11,"fmt","","",295,[[["formatter",3]],["result",6]]],[11,"fmt","","",296,[[["formatter",3]],["result",6]]],[11,"fmt","","",301,[[["formatter",3]],["result",6]]],[11,"fmt","","",302,[[["formatter",3]],["result",6]]],[11,"fmt","std::fs","",306,[[["formatter",3]],["result",6]]],[11,"fmt","","",15,[[["formatter",3]],["result",6]]],[11,"fmt","","",17,[[["formatter",3]],["result",6]]],[11,"fmt","","",18,[[["formatter",3]],["result",6]]],[11,"fmt","","",20,[[["formatter",3]],["result",6]]],[11,"fmt","","",14,[[["formatter",3]],["result",6]]],[11,"fmt","","",16,[[["formatter",3]],["result",6]]],[11,"fmt","","",19,[[["formatter",3]],["result",6]]],[11,"fmt","std::io","",307,[[["formatter",3]],["result",6]]],[11,"fmt","","",308,[[["formatter",3]],["result",6]]],[11,"fmt","","",309,[[["formatter",3]],["result",6]]],[11,"fmt","","",310,[[["formatter",3]],["result",6]]],[11,"fmt","","",311,[[["formatter",3]],["result",6]]],[11,"fmt","","",312,[[["formatter",3]],["result",6]]],[11,"fmt","","",21,[[["formatter",3]],["result",6]]],[11,"fmt","","",313,[[["formatter",3]],["result",6]]],[11,"fmt","","",314,[[["formatter",3]],["result",6]]],[11,"fmt","","",315,[[["formatter",3]],["result",6]]],[11,"fmt","","",316,[[["formatter",3]],["result",6]]],[11,"fmt","","",317,[[["formatter",3]],["result",6]]],[11,"fmt","","",318,[[["formatter",3]],["result",6]]],[11,"fmt","","",319,[[["formatter",3]],["result",6]]],[11,"fmt","","",320,[[["formatter",3]],["result",6]]],[11,"fmt","","",321,[[["formatter",3]],["result",6]]],[11,"fmt","","",23,[[["formatter",3]],["result",6]]],[11,"fmt","","",24,[[["formatter",3]],["result",6]]],[11,"fmt","","",25,[[["formatter",3]],["result",6]]],[11,"fmt","","",28,[[["formatter",3]],["result",6]]],[11,"fmt","","",30,[[["formatter",3]],["result",6]]],[11,"fmt","","",31,[[["formatter",3]],["result",6]]],[11,"fmt","","",322,[[["formatter",3]],["result",6]]],[11,"fmt","","",323,[[["formatter",3]],["result",6]]],[11,"fmt","","",324,[[["formatter",3]],["result",6]]],[11,"fmt","std::net","",32,[[["formatter",3]],["result",6]]],[11,"fmt","","",325,[[["formatter",3]],["result",6]]],[11,"fmt","","",326,[[["formatter",3]],["result",6]]],[11,"fmt","","",35,[[["formatter",3]],["result",6]]],[11,"fmt","","",34,[[["formatter",3]],["result",6]]],[11,"fmt","","",327,[[["formatter",3]],["result",6]]],[11,"fmt","","",328,[[["formatter",3]],["result",6]]],[11,"fmt","","",329,[[["formatter",3]],["result",6]]],[11,"fmt","","",332,[[["formatter",3]],["result",6]]],[11,"fmt","","",330,[[["formatter",3]],["result",6]]],[11,"fmt","","",331,[[["formatter",3]],["result",6]]],[11,"fmt","","",333,[[["formatter",3]],["result",6]]],[11,"fmt","","",36,[[["formatter",3]],["result",6]]],[11,"fmt","std::panic","",75,[[["formatter",3]],["result",6]]],[11,"fmt","std::path","",76,[[["formatter",3]],["result",6]]],[11,"fmt","","",77,[[["formatter",3]],["result",6]]],[11,"fmt","","",78,[[["formatter",3]],["result",6]]],[11,"fmt","","",79,[[["formatter",3]],["result",6]]],[11,"fmt","","",80,[[["formatter",3]],["result",6]]],[11,"fmt","","",356,[[["formatter",3]],["result",6]]],[11,"fmt","","",81,[[["formatter",3]],["result",6]]],[11,"fmt","","",357,[[["formatter",3]],["result",6]]],[11,"fmt","","",82,[[["formatter",3]],["result",6]]],[11,"fmt","","",358,[[["formatter",3]],["result",6]]],[11,"fmt","std::process","",83,[[["formatter",3]],["result",6]]],[11,"fmt","","",360,[[["formatter",3]],["result",6]]],[11,"fmt","","",361,[[["formatter",3]],["result",6]]],[11,"fmt","","",362,[[["formatter",3]],["result",6]]],[11,"fmt","","Format the program and arguments of a Command for …",84,[[["formatter",3]],["result",6]]],[11,"fmt","","",363,[[["formatter",3]],["result",6]]],[11,"fmt","","",85,[[["formatter",3]],["result",6]]],[11,"fmt","","",86,[[["formatter",3]],["result",6]]],[11,"fmt","","",87,[[["formatter",3]],["result",6]]],[11,"fmt","","",88,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync::mpsc","",364,[[["formatter",3]],["result",6]]],[11,"fmt","","",365,[[["formatter",3]],["result",6]]],[11,"fmt","","",366,[[["formatter",3]],["result",6]]],[11,"fmt","","",367,[[["formatter",3]],["result",6]]],[11,"fmt","","",91,[[["formatter",3]],["result",6]]],[11,"fmt","","",92,[[["formatter",3]],["result",6]]],[11,"fmt","","",94,[[["formatter",3]],["result",6]]],[11,"fmt","","",95,[[["formatter",3]],["result",6]]],[11,"fmt","","",96,[[["formatter",3]],["result",6]]],[11,"fmt","","",90,[[["formatter",3]],["result",6]]],[11,"fmt","","",93,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync","",368,[[["formatter",3]],["result",6]]],[11,"fmt","","",369,[[["formatter",3]],["result",6]]],[11,"fmt","","",370,[[["formatter",3]],["result",6]]],[11,"fmt","","",371,[[["formatter",3]],["result",6]]],[11,"fmt","","",372,[[["formatter",3]],["result",6]]],[11,"fmt","","",373,[[["formatter",3]],["result",6]]],[11,"fmt","","",375,[[["formatter",3]],["result",6]]],[11,"fmt","","",374,[[["formatter",3]],["result",6]]],[11,"fmt","","",376,[[["formatter",3]],["result",6]]],[11,"fmt","","",377,[[["formatter",3]],["result",6]]],[11,"fmt","","",378,[[["formatter",3]],["result",6]]],[11,"fmt","std::time","",101,[[["formatter",3]],["result",6]]],[11,"fmt","","",99,[[["formatter",3]],["result",6]]],[11,"fmt","","",100,[[["formatter",3]],["result",6]]],[11,"fmt","std::lazy","",102,[[["formatter",3]],["result",6]]],[11,"fmt","","",103,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync","",106,[[["formatter",3]],["result",6]]],[11,"fmt","","",98,[[["formatter",3]],["result",6]]],[11,"fmt","std::process","",359,[[["formatter",3]],["result",6]]],[11,"fmt","std::os::unix::net","",107,[[["formatter",3]],["result",6]]],[11,"fmt","","",52,[[["formatter",3]],["result",6]]],[11,"fmt","","",109,[[["formatter",3]],["result",6]]],[11,"fmt","","",110,[[["formatter",3]],["result",6]]],[11,"fmt","","",111,[[["formatter",3]],["result",6]]],[11,"fmt","","",352,[[["formatter",3]],["result",6]]],[11,"fmt","","",112,[[["formatter",3]],["result",6]]],[11,"fmt","","",55,[[["formatter",3]],["result",6]]],[11,"fmt","std::alloc","",404,[[["formatter",3]],["result",6]]],[11,"fmt","std::thread","",215,[[["formatter",3]],["result",6]]],[11,"fmt","std::backtrace","",6,[[["formatter",3]],["result",6]]],[11,"fmt","std::env","",12,[[["formatter",3]],["result",6]]],[11,"fmt","","",291,[[["formatter",3]],["result",6]]],[11,"fmt","std::ffi","",297,[[["formatter",3]],["result",6]]],[11,"fmt","","",298,[[["formatter",3]],["result",6]]],[11,"fmt","","",299,[[["formatter",3]],["result",6]]],[11,"fmt","","",300,[[["formatter",3]],["result",6]]],[11,"fmt","std::io","",310,[[["formatter",3]],["result",6]]],[11,"fmt","","",312,[[["formatter",3]],["result",6]]],[11,"fmt","std::net","",32,[[["formatter",3]],["result",6]]],[11,"fmt","","",325,[[["formatter",3]],["result",6]]],[11,"fmt","","",326,[[["formatter",3]],["result",6]]],[11,"fmt","","",34,[[["formatter",3]],["result",6]]],[11,"fmt","","",327,[[["formatter",3]],["result",6]]],[11,"fmt","","",328,[[["formatter",3]],["result",6]]],[11,"fmt","","",329,[[["formatter",3]],["result",6]]],[11,"fmt","std::path","",358,[[["formatter",3]],["result",6]]],[11,"fmt","","",357,[[["formatter",3]],["result",6]]],[11,"fmt","std::process","",87,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync::mpsc","",90,[[["formatter",3]],["result",6]]],[11,"fmt","","",93,[[["formatter",3]],["result",6]]],[11,"fmt","","",367,[[["formatter",3]],["result",6]]],[11,"fmt","","",91,[[["formatter",3]],["result",6]]],[11,"fmt","","",92,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync","",373,[[["formatter",3]],["result",6]]],[11,"fmt","","",377,[[["formatter",3]],["result",6]]],[11,"fmt","","",378,[[["formatter",3]],["result",6]]],[11,"fmt","std::time","",101,[[["formatter",3]],["result",6]]],[11,"fmt","std::sync","",106,[[["formatter",3]],["result",6]]],[11,"fmt","","",98,[[["formatter",3]],["result",6]]],[11,"sub","std::time","",99,[[["duration",3]],["instant",3]]],[11,"sub","","",99,[[["instant",3]],["duration",3]]],[11,"sub","","",100,[[["duration",3]],["systemtime",3]]],[11,"eq","std::thread","",215,[[["accesserror",3]],["bool",15]]],[11,"ne","","",215,[[["accesserror",3]],["bool",15]]],[11,"eq","","",1,[[["threadid",3]],["bool",15]]],[11,"ne","","",1,[[["threadid",3]],["bool",15]]],[11,"eq","std::backtrace","",5,[[["backtracestatus",4]],["bool",15]]],[11,"eq","std::collections::hash_map","",218,[[["hashmap",3]],["bool",15]]],[11,"eq","std::collections::hash_set","",237,[[["hashset",3]],["bool",15]]],[11,"eq","std::env","",12,[[["varerror",4]],["bool",15]]],[11,"ne","","",12,[[["varerror",4]],["bool",15]]],[11,"eq","std::ffi","",295,[[["cstring",3]],["bool",15]]],[11,"ne","","",295,[[["cstring",3]],["bool",15]]],[11,"eq","","",297,[[["nulerror",3]],["bool",15]]],[11,"ne","","",297,[[["nulerror",3]],["bool",15]]],[11,"eq","","",298,[[["frombyteswithnulerror",3]],["bool",15]]],[11,"ne","","",298,[[["frombyteswithnulerror",3]],["bool",15]]],[11,"eq","","",299,[[["fromvecwithnulerror",3]],["bool",15]]],[11,"ne","","",299,[[["fromvecwithnulerror",3]],["bool",15]]],[11,"eq","","",300,[[["intostringerror",3]],["bool",15]]],[11,"ne","","",300,[[["intostringerror",3]],["bool",15]]],[11,"eq","","",296,[[["cstr",3]],["bool",15]]],[11,"eq","","",301,[[["osstring",3]],["bool",15]]],[11,"eq","","",301,[[["str",15]],["bool",15]]],[11,"eq","std","",566,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["str",15]],["bool",15]]],[11,"eq","std","",566,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",302,[[["osstr",3]],["bool",15]]],[11,"eq","","",302,[[["str",15]],["bool",15]]],[11,"eq","std","",566,[[["osstr",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["osstr",3]],["bool",15]]],[11,"eq","","",302,[[["osstring",3]],["bool",15]]],[11,"eq","","",301,[[["osstr",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["osstr",3]],["bool",15]]],[11,"eq","std::ffi","",302,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["osstr",3]],["bool",15]]],[11,"eq","","",116,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["cow",4]],["bool",15]]],[11,"eq","std::fs","",17,[[["permissions",3]],["bool",15]]],[11,"ne","","",17,[[["permissions",3]],["bool",15]]],[11,"eq","","",18,[[["filetype",3]],["bool",15]]],[11,"ne","","",18,[[["filetype",3]],["bool",15]]],[11,"eq","std::io","",311,[[["cursor",3]],["bool",15]]],[11,"ne","","",311,[[["cursor",3]],["bool",15]]],[11,"eq","","",21,[[["errorkind",4]],["bool",15]]],[11,"eq","","",28,[[["seekfrom",4]],["bool",15]]],[11,"ne","","",28,[[["seekfrom",4]],["bool",15]]],[11,"eq","std::net","",32,[[["socketaddr",4]],["bool",15]]],[11,"ne","","",32,[[["socketaddr",4]],["bool",15]]],[11,"eq","","",325,[[["socketaddrv4",3]],["bool",15]]],[11,"eq","","",326,[[["socketaddrv6",3]],["bool",15]]],[11,"eq","","",34,[[["ipaddr",4]],["bool",15]]],[11,"ne","","",34,[[["ipaddr",4]],["bool",15]]],[11,"eq","","",35,[[["ipv6multicastscope",4]],["bool",15]]],[11,"eq","","",327,[[["ipv4addr",3]],["bool",15]]],[11,"eq","","",34,[[["ipv4addr",3]],["bool",15]]],[11,"eq","","",327,[[["ipaddr",4]],["bool",15]]],[11,"eq","","",328,[[["ipv6addr",3]],["bool",15]]],[11,"eq","","",328,[[["ipaddr",4]],["bool",15]]],[11,"eq","","",34,[[["ipv6addr",3]],["bool",15]]],[11,"eq","","",329,[[["addrparseerror",3]],["bool",15]]],[11,"ne","","",329,[[["addrparseerror",3]],["bool",15]]],[11,"eq","","",36,[[["shutdown",4]],["bool",15]]],[11,"eq","std::path","",76,[[["prefix",4]],["bool",15]]],[11,"ne","","",76,[[["prefix",4]],["bool",15]]],[11,"eq","","",77,[[["prefixcomponent",3]],["bool",15]]],[11,"eq","","",78,[[["component",4]],["bool",15]]],[11,"ne","","",78,[[["component",4]],["bool",15]]],[11,"eq","","",79,[[["components",3]],["bool",15]]],[11,"eq","","",81,[[["pathbuf",3]],["bool",15]]],[11,"eq","","",357,[[["stripprefixerror",3]],["bool",15]]],[11,"ne","","",357,[[["stripprefixerror",3]],["bool",15]]],[11,"eq","","",82,[[["path",3]],["bool",15]]],[11,"eq","","",81,[[["path",3]],["bool",15]]],[11,"eq","","",82,[[["pathbuf",3]],["bool",15]]],[11,"eq","","",81,[[["path",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["path",3]],["bool",15]]],[11,"eq","std::path","",82,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["path",3]],["bool",15]]],[11,"eq","","",116,[[["pathbuf",3]],["bool",15]]],[11,"eq","std::path","",81,[[["cow",4]],["bool",15]]],[11,"eq","","",81,[[["osstr",3]],["bool",15]]],[11,"eq","std::ffi","",302,[[["pathbuf",3]],["bool",15]]],[11,"eq","std::path","",81,[[["osstr",3]],["bool",15]]],[11,"eq","","",81,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["pathbuf",3]],["bool",15]]],[11,"eq","std::path","",81,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["pathbuf",3]],["bool",15]]],[11,"eq","std::path","",82,[[["osstr",3]],["bool",15]]],[11,"eq","std::ffi","",302,[[["path",3]],["bool",15]]],[11,"eq","std::path","",82,[[["osstr",3]],["bool",15]]],[11,"eq","","",82,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["path",3]],["bool",15]]],[11,"eq","std::path","",82,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["path",3]],["bool",15]]],[11,"eq","","",302,[[["path",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["path",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["path",3]],["bool",15]]],[11,"eq","std::borrow","",116,[[["osstr",3]],["bool",15]]],[11,"eq","std::ffi","",302,[[["cow",4]],["bool",15]]],[11,"eq","std::borrow","",116,[[["osstr",3]],["bool",15]]],[11,"eq","","",116,[[["osstring",3]],["bool",15]]],[11,"eq","std::ffi","",301,[[["cow",4]],["bool",15]]],[11,"eq","std::process","",85,[[["output",3]],["bool",15]]],[11,"ne","","",85,[[["output",3]],["bool",15]]],[11,"eq","","",87,[[["exitstatus",3]],["bool",15]]],[11,"ne","","",87,[[["exitstatus",3]],["bool",15]]],[11,"eq","std::sync::mpsc","",90,[[["senderror",3]],["bool",15]]],[11,"ne","","",90,[[["senderror",3]],["bool",15]]],[11,"eq","","",367,[[["recverror",3]],["bool",15]]],[11,"eq","","",91,[[["tryrecverror",4]],["bool",15]]],[11,"eq","","",92,[[["recvtimeouterror",4]],["bool",15]]],[11,"eq","","",93,[[["trysenderror",4]],["bool",15]]],[11,"ne","","",93,[[["trysenderror",4]],["bool",15]]],[11,"eq","std::sync","",370,[[["waittimeoutresult",3]],["bool",15]]],[11,"ne","","",370,[[["waittimeoutresult",3]],["bool",15]]],[11,"eq","std::time","",99,[[["instant",3]],["bool",15]]],[11,"ne","","",99,[[["instant",3]],["bool",15]]],[11,"eq","","",100,[[["systemtime",3]],["bool",15]]],[11,"ne","","",100,[[["systemtime",3]],["bool",15]]],[11,"eq","std::lazy","",102,[[["synconcecell",3]],["bool",15]]],[11,"eq","std::os::unix::net","",55,[[["ucred",3]],["bool",15]]],[11,"ne","","",55,[[["ucred",3]],["bool",15]]],[11,"cmp","std::ffi","",295,[[["cstring",3]],["ordering",4]]],[11,"cmp","","",296,[[["cstr",3]],["ordering",4]]],[11,"cmp","","",301,[[["osstring",3]],["ordering",4]]],[11,"cmp","","",302,[[["osstr",3]],["ordering",4]]],[11,"cmp","std::io","",21,[[["errorkind",4]],["ordering",4]]],[11,"cmp","std::net","",32,[[["socketaddr",4]],["ordering",4]]],[11,"cmp","","",325,[[["socketaddrv4",3]],["ordering",4]]],[11,"cmp","","",326,[[["socketaddrv6",3]],["ordering",4]]],[11,"cmp","","",34,[[["ipaddr",4]],["ordering",4]]],[11,"cmp","","",327,[[["ipv4addr",3]],["ordering",4]]],[11,"cmp","","",328,[[["ipv6addr",3]],["ordering",4]]],[11,"cmp","std::path","",76,[[["prefix",4]],["ordering",4]]],[11,"cmp","","",77,[[],["ordering",4]]],[11,"cmp","","",78,[[["component",4]],["ordering",4]]],[11,"cmp","","",79,[[],["ordering",4]]],[11,"cmp","","",81,[[["pathbuf",3]],["ordering",4]]],[11,"cmp","","",82,[[["path",3]],["ordering",4]]],[11,"cmp","std::time","",99,[[["instant",3]],["ordering",4]]],[11,"cmp","","",100,[[["systemtime",3]],["ordering",4]]],[11,"partial_cmp","std::ffi","",295,[[["cstring",3]],[["ordering",4],["option",4]]]],[11,"lt","","",295,[[["cstring",3]],["bool",15]]],[11,"le","","",295,[[["cstring",3]],["bool",15]]],[11,"gt","","",295,[[["cstring",3]],["bool",15]]],[11,"ge","","",295,[[["cstring",3]],["bool",15]]],[11,"partial_cmp","","",296,[[["cstr",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",301,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"lt","","",301,[[["osstring",3]],["bool",15]]],[11,"le","","",301,[[["osstring",3]],["bool",15]]],[11,"gt","","",301,[[["osstring",3]],["bool",15]]],[11,"ge","","",301,[[["osstring",3]],["bool",15]]],[11,"partial_cmp","","",301,[[["str",15]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",302,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"lt","","",302,[[["osstr",3]],["bool",15]]],[11,"le","","",302,[[["osstr",3]],["bool",15]]],[11,"gt","","",302,[[["osstr",3]],["bool",15]]],[11,"ge","","",302,[[["osstr",3]],["bool",15]]],[11,"partial_cmp","","",302,[[["str",15]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",301,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",302,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",301,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",302,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",116,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",301,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::io","",21,[[["errorkind",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::net","",32,[[["socketaddr",4]],[["ordering",4],["option",4]]]],[11,"lt","","",32,[[["socketaddr",4]],["bool",15]]],[11,"le","","",32,[[["socketaddr",4]],["bool",15]]],[11,"gt","","",32,[[["socketaddr",4]],["bool",15]]],[11,"ge","","",32,[[["socketaddr",4]],["bool",15]]],[11,"partial_cmp","","",325,[[["socketaddrv4",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",326,[[["socketaddrv6",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",34,[[["ipaddr",4]],[["ordering",4],["option",4]]]],[11,"lt","","",34,[[["ipaddr",4]],["bool",15]]],[11,"le","","",34,[[["ipaddr",4]],["bool",15]]],[11,"gt","","",34,[[["ipaddr",4]],["bool",15]]],[11,"ge","","",34,[[["ipaddr",4]],["bool",15]]],[11,"partial_cmp","","",327,[[["ipv4addr",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",34,[[["ipv4addr",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",327,[[["ipaddr",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",328,[[["ipv6addr",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",34,[[["ipv6addr",3]],[["ordering",4],["option",4]]]],[11,"partial_cmp","","",328,[[["ipaddr",4]],[["ordering",4],["option",4]]]],[11,"partial_cmp","std::path","",76,[[["prefix",4]],[["ordering",4],["option",4]]]],[11,"lt","","",76,[[["prefix",4]],["bool",15]]],[11,"le","","",76,[[["prefix",4]],["bool",15]]],[11,"gt","","",76,[[["prefix",4]],["bool",15]]],[11,"ge","","",76,[[["prefix",4]],["bool",15]]],[11,"partial_cmp","","",77,[[["prefixcomponent",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",78,[[["component",4]],[["ordering",4],["option",4]]]],[11,"lt","","",78,[[["component",4]],["bool",15]]],[11,"le","","",78,[[["component",4]],["bool",15]]],[11,"gt","","",78,[[["component",4]],["bool",15]]],[11,"ge","","",78,[[["component",4]],["bool",15]]],[11,"partial_cmp","","",79,[[["components",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",81,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",82,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",81,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",82,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",81,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",82,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",116,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",81,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",81,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",302,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",81,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",81,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",81,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",301,[[["pathbuf",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",82,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",302,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",82,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",82,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::path","",82,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",301,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",302,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",301,[[["path",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",302,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::borrow","",116,[[["osstr",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","","",116,[[["osstring",3]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::ffi","",301,[[["cow",4]],[["option",4],["ordering",4]]]],[11,"partial_cmp","std::time","",99,[[["instant",3]],[["ordering",4],["option",4]]]],[11,"lt","","",99,[[["instant",3]],["bool",15]]],[11,"le","","",99,[[["instant",3]],["bool",15]]],[11,"gt","","",99,[[["instant",3]],["bool",15]]],[11,"ge","","",99,[[["instant",3]],["bool",15]]],[11,"partial_cmp","","",100,[[["systemtime",3]],[["ordering",4],["option",4]]]],[11,"lt","","",100,[[["systemtime",3]],["bool",15]]],[11,"le","","",100,[[["systemtime",3]],["bool",15]]],[11,"gt","","",100,[[["systemtime",3]],["bool",15]]],[11,"ge","","",100,[[["systemtime",3]],["bool",15]]],[11,"add","","PanicsThis function may panic if the resulting point in …",99,[[["duration",3]],["instant",3]]],[11,"add","","PanicsThis function may panic if the resulting point in …",100,[[["duration",3]],["systemtime",3]]],[11,"add_assign","","",99,[[["duration",3]]]],[11,"add_assign","","",100,[[["duration",3]]]],[11,"sub_assign","","",99,[[["duration",3]]]],[11,"sub_assign","","",100,[[["duration",3]]]],[11,"drop","std::ffi","",295,[[]]],[11,"drop","std::io","",308,[[]]],[11,"drop","std::sync::mpsc","",94,[[]]],[11,"drop","","",95,[[]]],[11,"drop","","",96,[[]]],[11,"drop","std::sync","",373,[[]]],[11,"drop","","",376,[[]]],[11,"drop","","",377,[[]]],[11,"drop","","",378,[[]]],[11,"drop","std::lazy","",102,[[]]],[11,"call_once","std::panic","",75,[[]]],[11,"index","std::collections::hash_map","Returns a reference to the value corresponding to the …",218,[[]]],[11,"index","std::ffi","",295,[[["rangefull",3]],["cstr",3]]],[11,"index","","",296,[[["usize",15],["rangefrom",3]],["cstr",3]]],[11,"index","","",301,[[["rangefull",3]],["osstr",3]]],[11,"index_mut","","",301,[[["rangefull",3]],["osstr",3]]],[11,"hash","std::thread","",1,[[]]],[11,"hash","std::ffi","",295,[[]]],[11,"hash","","",296,[[]]],[11,"hash","","",301,[[]]],[11,"hash","","",302,[[]]],[11,"hash","std::fs","",18,[[]]],[11,"hash","std::io","",21,[[]]],[11,"hash","std::net","",32,[[]]],[11,"hash","","",325,[[]]],[11,"hash","","",326,[[]]],[11,"hash","","",34,[[]]],[11,"hash","","",35,[[]]],[11,"hash","","",327,[[]]],[11,"hash","","",328,[[]]],[11,"hash","std::path","",76,[[]]],[11,"hash","","",77,[[]]],[11,"hash","","",78,[[]]],[11,"hash","","",81,[[]]],[11,"hash","","",82,[[]]],[11,"hash","std::time","",99,[[]]],[11,"hash","","",100,[[]]],[11,"hash","std::os::unix::net","",55,[[]]],[11,"len","std::collections::hash_map","",219,[[],["usize",15]]],[11,"len","","",220,[[],["usize",15]]],[11,"len","","",221,[[],["usize",15]]],[11,"len","","",222,[[],["usize",15]]],[11,"len","","",223,[[],["usize",15]]],[11,"len","","",226,[[],["usize",15]]],[11,"len","","",227,[[],["usize",15]]],[11,"len","","",228,[[],["usize",15]]],[11,"len","","",224,[[],["usize",15]]],[11,"len","std::collections::hash_set","",238,[[],["usize",15]]],[11,"len","","",239,[[],["usize",15]]],[11,"len","","",240,[[],["usize",15]]],[11,"len","std::env","",292,[[],["usize",15]]],[11,"is_empty","","",292,[[],["bool",15]]],[11,"len","","",293,[[],["usize",15]]],[11,"is_empty","","",293,[[],["bool",15]]],[11,"len","std::process","",363,[[],["usize",15]]],[11,"is_empty","","",363,[[],["bool",15]]],[11,"len","","",359,[[],["usize",15]]],[11,"is_empty","","",359,[[],["bool",15]]],[11,"borrow","std::ffi","",295,[[],["cstr",3]]],[11,"borrow","","",301,[[],["osstr",3]]],[11,"borrow","std::path","",81,[[],["path",3]]],[11,"write","std::collections::hash_map","",236,[[]]],[11,"finish","","",236,[[],["u64",15]]],[11,"build_hasher","","",235,[[],["defaulthasher",3]]],[11,"from_str","std::ffi","",301,[[["str",15]],["result",4]]],[11,"from_str","std::net","",34,[[["str",15]],[["result",4],["ipaddr",4],["addrparseerror",3]]]],[11,"from_str","","",327,[[["str",15]],[["ipv4addr",3],["result",4],["addrparseerror",3]]]],[11,"from_str","","",328,[[["str",15]],[["result",4],["ipv6addr",3],["addrparseerror",3]]]],[11,"from_str","","",325,[[["str",15]],[["socketaddrv4",3],["result",4],["addrparseerror",3]]]],[11,"from_str","","",326,[[["str",15]],[["addrparseerror",3],["socketaddrv6",3],["result",4]]]],[11,"from_str","","",32,[[["str",15]],[["result",4],["socketaddr",4],["addrparseerror",3]]]],[11,"from_str","std::path","",81,[[["str",15]],["result",4]]],[11,"from_iter","std::collections::hash_map","",218,[[["intoiterator",8]],["hashmap",3]]],[11,"from_iter","std::collections::hash_set","",237,[[["intoiterator",8]],["hashset",3]]],[11,"from_iter","std::path","",81,[[["intoiterator",8]],["pathbuf",3]]],[11,"as_ref","std::ffi","",296,[[],["cstr",3]]],[11,"as_ref","","",295,[[],["cstr",3]]],[11,"as_ref","","",302,[[],["osstr",3]]],[11,"as_ref","","",301,[[],["osstr",3]]],[11,"as_ref","std","",566,[[],["osstr",3]]],[11,"as_ref","std::string","",467,[[],["osstr",3]]],[11,"as_ref","std::path","",78,[[],["osstr",3]]],[11,"as_ref","","",78,[[],["path",3]]],[11,"as_ref","","",79,[[],["path",3]]],[11,"as_ref","","",79,[[],["osstr",3]]],[11,"as_ref","","",80,[[],["path",3]]],[11,"as_ref","","",80,[[],["osstr",3]]],[11,"as_ref","","",81,[[],["osstr",3]]],[11,"as_ref","","",82,[[],["osstr",3]]],[11,"as_ref","","",82,[[],["path",3]]],[11,"as_ref","std::ffi","",302,[[],["path",3]]],[11,"as_ref","std::borrow","",116,[[],["path",3]]],[11,"as_ref","std::ffi","",301,[[],["path",3]]],[11,"as_ref","std","",566,[[],["path",3]]],[11,"as_ref","std::string","",467,[[],["path",3]]],[11,"as_ref","std::path","",81,[[],["path",3]]],[11,"next_back","std::env","",292,[[],[["string",3],["option",4]]]],[11,"next_back","","",293,[[],[["osstring",3],["option",4]]]],[11,"next_back","std::path","",80,[[],[["osstr",3],["option",4]]]],[11,"next_back","","",79,[[],[["option",4],["component",4]]]],[11,"next","std::collections::hash_map","",219,[[],["option",4]]],[11,"size_hint","","",219,[[]]],[11,"next","","",220,[[],["option",4]]],[11,"size_hint","","",220,[[]]],[11,"next","","",221,[[],["option",4]]],[11,"size_hint","","",221,[[]]],[11,"next","","",222,[[],["option",4]]],[11,"size_hint","","",222,[[]]],[11,"next","","",223,[[],["option",4]]],[11,"size_hint","","",223,[[]]],[11,"next","","",226,[[],["option",4]]],[11,"size_hint","","",226,[[]]],[11,"next","","",227,[[],["option",4]]],[11,"size_hint","","",227,[[]]],[11,"next","","",228,[[],["option",4]]],[11,"size_hint","","",228,[[]]],[11,"next","","",224,[[],["option",4]]],[11,"size_hint","","",224,[[]]],[11,"next","","",225,[[],["option",4]]],[11,"size_hint","","",225,[[]]],[11,"next","std::collections::hash_set","",238,[[],["option",4]]],[11,"size_hint","","",238,[[]]],[11,"next","","",239,[[],["option",4]]],[11,"size_hint","","",239,[[]]],[11,"next","","",240,[[],["option",4]]],[11,"size_hint","","",240,[[]]],[11,"next","","",241,[[],["option",4]]],[11,"size_hint","","",241,[[]]],[11,"next","","",242,[[],["option",4]]],[11,"size_hint","","",242,[[]]],[11,"next","","",243,[[],["option",4]]],[11,"size_hint","","",243,[[]]],[11,"next","","",244,[[],["option",4]]],[11,"size_hint","","",244,[[]]],[11,"next","","",245,[[],["option",4]]],[11,"size_hint","","",245,[[]]],[11,"next","std::env","",288,[[],["option",4]]],[11,"size_hint","","",288,[[]]],[11,"next","","",289,[[],["option",4]]],[11,"size_hint","","",289,[[]]],[11,"next","","",290,[[],[["option",4],["pathbuf",3]]]],[11,"size_hint","","",290,[[]]],[11,"next","","",292,[[],[["string",3],["option",4]]]],[11,"size_hint","","",292,[[]]],[11,"next","","",293,[[],[["osstring",3],["option",4]]]],[11,"size_hint","","",293,[[]]],[11,"next","std::error","",294,[[],["option",4]]],[11,"next","std::fs","",306,[[],[["option",4],["result",6]]]],[11,"next","std::io","",322,[[],[["option",4],["result",6]]]],[11,"next","","",323,[[],[["option",4],["result",6]]]],[11,"next","","",324,[[],[["option",4],["result",6]]]],[11,"next","std::net","",332,[[],[["result",6],["option",4]]]],[11,"next","std::path","",80,[[],[["osstr",3],["option",4]]]],[11,"next","","",79,[[],[["option",4],["component",4]]]],[11,"next","","",356,[[],["option",4]]],[11,"next","std::process","",363,[[],[["osstr",3],["option",4]]]],[11,"size_hint","","",363,[[]]],[11,"next","std::sync::mpsc","",364,[[],["option",4]]],[11,"next","","",365,[[],["option",4]]],[11,"next","","",366,[[],["option",4]]],[11,"next","std::process","",359,[[],["option",4]]],[11,"size_hint","","",359,[[]]],[11,"next","std::os::windows::ffi","",353,[[],[["option",4],["u16",15]]]],[11,"size_hint","","",353,[[]]],[11,"next","std::os::unix::net","",349,[[],[["rawfd",6],["option",4]]]],[11,"next","","",350,[[],[["option",4],["socketcred",3]]]],[11,"next","","",351,[[],["option",4]]],[11,"next","","",352,[[],[["result",6],["option",4]]]],[11,"size_hint","","",352,[[]]],[11,"into_iter","std::collections::hash_map","Creates a consuming iterator, that is, one that moves …",218,[[],["intoiter",3]]],[11,"into_iter","std::collections::hash_set","Creates a consuming iterator, that is, one that moves …",237,[[],["intoiter",3]]],[11,"into_iter","std::sync::mpsc","",96,[[],["intoiter",3]]],[11,"extend","std::collections::hash_map","",218,[[["intoiterator",8]]]],[11,"extend_one","","",218,[[]]],[11,"extend_reserve","","",218,[[["usize",15]]]],[11,"extend","","",218,[[["intoiterator",8]]]],[11,"extend_one","","",218,[[]]],[11,"extend_reserve","","",218,[[["usize",15]]]],[11,"extend","std::collections::hash_set","",237,[[["intoiterator",8]]]],[11,"extend_one","","",237,[[]]],[11,"extend_reserve","","",237,[[["usize",15]]]],[11,"extend","","",237,[[["intoiterator",8]]]],[11,"extend_one","","",237,[[]]],[11,"extend_reserve","","",237,[[["usize",15]]]],[11,"extend","std::path","",81,[[["intoiterator",8]]]],[11,"extend_one","","",81,[[]]],[11,"clone","std::thread","",215,[[],["accesserror",3]]],[11,"clone","","",1,[[],["threadid",3]]],[11,"clone","","",2,[[],["thread",3]]],[11,"clone","std::collections::hash_map","",218,[[]]],[11,"clone_from","","",218,[[]]],[11,"clone","","",219,[[]]],[11,"clone","","",222,[[]]],[11,"clone","","",223,[[]]],[11,"clone","","",235,[[],["randomstate",3]]],[11,"clone","","",236,[[],["defaulthasher",3]]],[11,"clone","std::collections::hash_set","",237,[[]]],[11,"clone_from","","",237,[[]]],[11,"clone","","",238,[[]]],[11,"clone","","",242,[[]]],[11,"clone","","",243,[[]]],[11,"clone","","",244,[[]]],[11,"clone","","",245,[[]]],[11,"clone","std::env","",12,[[],["varerror",4]]],[11,"clone","std::error","",294,[[],["chain",3]]],[11,"clone","std::ffi","",295,[[],["cstring",3]]],[11,"clone","","",297,[[],["nulerror",3]]],[11,"clone","","",298,[[],["frombyteswithnulerror",3]]],[11,"clone","","",299,[[],["fromvecwithnulerror",3]]],[11,"clone","","",300,[[],["intostringerror",3]]],[11,"clone","std::boxed","",405,[[]]],[11,"clone","std::ffi","",301,[[],["osstring",3]]],[11,"clone","std::boxed","",405,[[]]],[11,"clone","std::fs","",16,[[],["metadata",3]]],[11,"clone","","",15,[[],["openoptions",3]]],[11,"clone","","",17,[[],["permissions",3]]],[11,"clone","","",18,[[],["filetype",3]]],[11,"clone","std::io","",311,[[],["cursor",3]]],[11,"clone","","",21,[[],["errorkind",4]]],[11,"clone","","",24,[[],["ioslice",3]]],[11,"clone","","",28,[[],["seekfrom",4]]],[11,"clone","std::net","",32,[[],["socketaddr",4]]],[11,"clone","","",325,[[],["socketaddrv4",3]]],[11,"clone","","",326,[[],["socketaddrv6",3]]],[11,"clone","","",34,[[],["ipaddr",4]]],[11,"clone","","",35,[[],["ipv6multicastscope",4]]],[11,"clone","","",327,[[],["ipv4addr",3]]],[11,"clone","","",328,[[],["ipv6addr",3]]],[11,"clone","","",329,[[],["addrparseerror",3]]],[11,"clone","","",36,[[],["shutdown",4]]],[11,"clone","std::os::linux::raw","",74,[[],["stat",3]]],[11,"clone","std::path","",76,[[],["prefix",4]]],[11,"clone","","",77,[[],["prefixcomponent",3]]],[11,"clone","","",78,[[],["component",4]]],[11,"clone","","",79,[[],["components",3]]],[11,"clone","","",80,[[],["iter",3]]],[11,"clone","","",356,[[],["ancestors",3]]],[11,"clone","","",81,[[],["pathbuf",3]]],[11,"clone","std::boxed","",405,[[]]],[11,"clone","std::path","",357,[[],["stripprefixerror",3]]],[11,"clone","std::process","",85,[[],["output",3]]],[11,"clone","","",87,[[],["exitstatus",3]]],[11,"clone","","",88,[[],["exitcode",3]]],[11,"clone","std::sync::mpsc","",90,[[],["senderror",3]]],[11,"clone","","",367,[[],["recverror",3]]],[11,"clone","","",91,[[],["tryrecverror",4]]],[11,"clone","","",92,[[],["recvtimeouterror",4]]],[11,"clone","","",93,[[],["trysenderror",4]]],[11,"clone","","",94,[[],["sender",3]]],[11,"clone","","",95,[[],["syncsender",3]]],[11,"clone","std::sync","",370,[[],["waittimeoutresult",3]]],[11,"clone","std::time","",99,[[],["instant",3]]],[11,"clone","","",100,[[],["systemtime",3]]],[11,"clone","","",101,[[],["systemtimeerror",3]]],[11,"clone","std::lazy","",102,[[],["synconcecell",3]]],[11,"clone","std::os::windows::ffi","",353,[[],["encodewide",3]]],[11,"clone","std::os::unix::net","",107,[[],["socketaddr",3]]],[11,"clone","","",108,[[],["socketcred",3]]],[11,"clone","","",55,[[],["ucred",3]]],[11,"clone","std::alloc","",404,[[],["system",3]]],[11,"default","std::collections::hash_map","Creates an empty <code>HashMap<K, V, S></code>, with the <code>Default</code> value …",218,[[],["hashmap",3]]],[11,"default","","Creates a new <code>DefaultHasher</code> using <code>new</code>. See its …",236,[[],["defaulthasher",3]]],[11,"default","","Constructs a new <code>RandomState</code>.",235,[[],["randomstate",3]]],[11,"default","std::collections::hash_set","Creates an empty <code>HashSet<T, S></code> with the <code>Default</code> value for …",237,[[],["hashset",3]]],[11,"default","std::ffi","Creates an empty <code>CString</code>.",295,[[],["cstring",3]]],[11,"default","std::boxed","",405,[[],[["cstr",3],["box",3]]]],[11,"default","std::ffi","Constructs an empty <code>OsString</code>.",301,[[],["osstring",3]]],[11,"default","std::boxed","",405,[[],[["osstr",3],["box",3]]]],[11,"default","std::io","",311,[[],["cursor",3]]],[11,"default","std::path","",81,[[]]],[11,"default","std::sync","Creates a <code>Condvar</code> which is ready to be waited on and …",371,[[],["condvar",3]]],[11,"default","","Creates a <code>Mutex<T></code>, with the <code>Default</code> value for T.",372,[[],["mutex",3]]],[11,"default","","Creates a new <code>RwLock<T></code>, with the <code>Default</code> value for T.",376,[[],["rwlock",3]]],[11,"default","std::lazy","",102,[[],["synconcecell",3]]],[11,"default","","Creates a new lazy value using <code>Default</code> as the …",103,[[],["synclazy",3]]],[11,"default","std::alloc","",404,[[],["system",3]]],[11,"poll_next","std::panic","",75,[[["pin",3],["context",3]],[["poll",4],["option",4]]]],[11,"size_hint","","",75,[[]]],[11,"poll","","",75,[[["pin",3],["context",3]],["poll",4]]],[11,"alloc","std::alloc","",404,[[["layout",3]]]],[11,"alloc_zeroed","","",404,[[["layout",3]]]],[11,"dealloc","","",404,[[["layout",3]]]],[11,"realloc","","",404,[[["usize",15],["layout",3]]]],[11,"allocate","","",404,[[["layout",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"allocate_zeroed","","",404,[[["layout",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"deallocate","","",404,[[["nonnull",3],["layout",3],["u8",15]]]],[11,"grow","","",404,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"grow_zeroed","","",404,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"shrink","","",404,[[["layout",3],["u8",15],["nonnull",3]],[["allocerror",3],["result",4],["nonnull",3]]]],[11,"to_owned","std::ffi","",296,[[],["cstring",3]]],[11,"clone_into","","",296,[[["cstring",3]]]],[11,"to_owned","","",302,[[],["osstring",3]]],[11,"clone_into","","",302,[[["osstring",3]]]],[11,"to_owned","std::path","",82,[[],["pathbuf",3]]],[11,"clone_into","","",82,[[["pathbuf",3]]]],[11,"floor","std","Returns the largest integer less than or equal to a …",562,[[],["f32",15]]],[11,"ceil","","Returns the smallest integer greater than or equal to a …",562,[[],["f32",15]]],[11,"round","","Returns the nearest integer to a number. Round half-way …",562,[[],["f32",15]]],[11,"trunc","","Returns the integer part of a number.",562,[[],["f32",15]]],[11,"fract","","Returns the fractional part of a number.",562,[[],["f32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>. Returns <code>NAN</code> if the …",562,[[],["f32",15]]],[11,"signum","","Returns a number that represents the sign of <code>self</code>.",562,[[],["f32",15]]],[11,"copysign","","Returns a number composed of the magnitude of <code>self</code> and …",562,[[["f32",15]],["f32",15]]],[11,"mul_add","","Fused multiply-add. Computes <code>(self * a) + b</code> with only one …",562,[[["f32",15]],["f32",15]]],[11,"div_euclid","","Calculates Euclidean division, the matching method for …",562,[[["f32",15]],["f32",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",562,[[["f32",15]],["f32",15]]],[11,"powi","","Raises a number to an integer power.",562,[[["i32",15]],["f32",15]]],[11,"powf","","Raises a number to a floating point power.",562,[[["f32",15]],["f32",15]]],[11,"sqrt","","Returns the square root of a number.",562,[[],["f32",15]]],[11,"exp","","Returns <code>e^(self)</code>, (the exponential function).",562,[[],["f32",15]]],[11,"exp2","","Returns <code>2^(self)</code>.",562,[[],["f32",15]]],[11,"ln","","Returns the natural logarithm of the number.",562,[[],["f32",15]]],[11,"log","","Returns the logarithm of the number with respect to an …",562,[[["f32",15]],["f32",15]]],[11,"log2","","Returns the base 2 logarithm of the number.",562,[[],["f32",15]]],[11,"log10","","Returns the base 10 logarithm of the number.",562,[[],["f32",15]]],[11,"abs_sub","","The positive difference of two numbers.",562,[[["f32",15]],["f32",15]]],[11,"cbrt","","Returns the cubic root of a number.",562,[[],["f32",15]]],[11,"hypot","","Calculates the length of the hypotenuse of a right-angle …",562,[[["f32",15]],["f32",15]]],[11,"sin","","Computes the sine of a number (in radians).",562,[[],["f32",15]]],[11,"cos","","Computes the cosine of a number (in radians).",562,[[],["f32",15]]],[11,"tan","","Computes the tangent of a number (in radians).",562,[[],["f32",15]]],[11,"asin","","Computes the arcsine of a number. Return value is in …",562,[[],["f32",15]]],[11,"acos","","Computes the arccosine of a number. Return value is in …",562,[[],["f32",15]]],[11,"atan","","Computes the arctangent of a number. Return value is in …",562,[[],["f32",15]]],[11,"atan2","","Computes the four quadrant arctangent of <code>self</code> (<code>y</code>) and …",562,[[["f32",15]],["f32",15]]],[11,"sin_cos","","Simultaneously computes the sine and cosine of the …",562,[[]]],[11,"exp_m1","","Returns <code>e^(self) - 1</code> in a way that is accurate even if the…",562,[[],["f32",15]]],[11,"ln_1p","","Returns <code>ln(1+n)</code> (natural logarithm) more accurately than …",562,[[],["f32",15]]],[11,"sinh","","Hyperbolic sine function.",562,[[],["f32",15]]],[11,"cosh","","Hyperbolic cosine function.",562,[[],["f32",15]]],[11,"tanh","","Hyperbolic tangent function.",562,[[],["f32",15]]],[11,"asinh","","Inverse hyperbolic sine function.",562,[[],["f32",15]]],[11,"acosh","","Inverse hyperbolic cosine function.",562,[[],["f32",15]]],[11,"atanh","","Inverse hyperbolic tangent function.",562,[[],["f32",15]]],[11,"floor","","Returns the largest integer less than or equal to a …",561,[[],["f64",15]]],[11,"ceil","","Returns the smallest integer greater than or equal to a …",561,[[],["f64",15]]],[11,"round","","Returns the nearest integer to a number. Round half-way …",561,[[],["f64",15]]],[11,"trunc","","Returns the integer part of a number.",561,[[],["f64",15]]],[11,"fract","","Returns the fractional part of a number.",561,[[],["f64",15]]],[11,"abs","","Computes the absolute value of <code>self</code>. Returns <code>NAN</code> if the …",561,[[],["f64",15]]],[11,"signum","","Returns a number that represents the sign of <code>self</code>.",561,[[],["f64",15]]],[11,"copysign","","Returns a number composed of the magnitude of <code>self</code> and …",561,[[["f64",15]],["f64",15]]],[11,"mul_add","","Fused multiply-add. Computes <code>(self * a) + b</code> with only one …",561,[[["f64",15]],["f64",15]]],[11,"div_euclid","","Calculates Euclidean division, the matching method for …",561,[[["f64",15]],["f64",15]]],[11,"rem_euclid","","Calculates the least nonnegative remainder of …",561,[[["f64",15]],["f64",15]]],[11,"powi","","Raises a number to an integer power.",561,[[["i32",15]],["f64",15]]],[11,"powf","","Raises a number to a floating point power.",561,[[["f64",15]],["f64",15]]],[11,"sqrt","","Returns the square root of a number.",561,[[],["f64",15]]],[11,"exp","","Returns <code>e^(self)</code>, (the exponential function).",561,[[],["f64",15]]],[11,"exp2","","Returns <code>2^(self)</code>.",561,[[],["f64",15]]],[11,"ln","","Returns the natural logarithm of the number.",561,[[],["f64",15]]],[11,"log","","Returns the logarithm of the number with respect to an …",561,[[["f64",15]],["f64",15]]],[11,"log2","","Returns the base 2 logarithm of the number.",561,[[],["f64",15]]],[11,"log10","","Returns the base 10 logarithm of the number.",561,[[],["f64",15]]],[11,"abs_sub","","The positive difference of two numbers.",561,[[["f64",15]],["f64",15]]],[11,"cbrt","","Returns the cubic root of a number.",561,[[],["f64",15]]],[11,"hypot","","Calculates the length of the hypotenuse of a right-angle …",561,[[["f64",15]],["f64",15]]],[11,"sin","","Computes the sine of a number (in radians).",561,[[],["f64",15]]],[11,"cos","","Computes the cosine of a number (in radians).",561,[[],["f64",15]]],[11,"tan","","Computes the tangent of a number (in radians).",561,[[],["f64",15]]],[11,"asin","","Computes the arcsine of a number. Return value is in …",561,[[],["f64",15]]],[11,"acos","","Computes the arccosine of a number. Return value is in …",561,[[],["f64",15]]],[11,"atan","","Computes the arctangent of a number. Return value is in …",561,[[],["f64",15]]],[11,"atan2","","Computes the four quadrant arctangent of <code>self</code> (<code>y</code>) and …",561,[[["f64",15]],["f64",15]]],[11,"sin_cos","","Simultaneously computes the sine and cosine of the …",561,[[]]],[11,"exp_m1","","Returns <code>e^(self) - 1</code> in a way that is accurate even if the…",561,[[],["f64",15]]],[11,"ln_1p","","Returns <code>ln(1+n)</code> (natural logarithm) more accurately than …",561,[[],["f64",15]]],[11,"sinh","","Hyperbolic sine function.",561,[[],["f64",15]]],[11,"cosh","","Hyperbolic cosine function.",561,[[],["f64",15]]],[11,"tanh","","Hyperbolic tangent function.",561,[[],["f64",15]]],[11,"asinh","","Inverse hyperbolic sine function.",561,[[],["f64",15]]],[11,"acosh","","Inverse hyperbolic cosine function.",561,[[],["f64",15]]],[11,"atanh","","Inverse hyperbolic tangent function.",561,[[],["f64",15]]],[11,"with","std::thread","Acquires a reference to the value in this TLS key.",214,[[]]],[11,"try_with","","Acquires a reference to the value in this TLS key.",214,[[],[["result",4],["accesserror",3]]]],[11,"new","std::collections::hash_map","Creates an empty <code>HashMap</code>.",218,[[],[["hashmap",3],["randomstate",3]]]],[11,"with_capacity","","Creates an empty <code>HashMap</code> with the specified capacity.",218,[[["usize",15]],[["hashmap",3],["randomstate",3]]]],[11,"with_hasher","","Creates an empty <code>HashMap</code> which will use the given hash …",218,[[],["hashmap",3]]],[11,"with_capacity_and_hasher","","Creates an empty <code>HashMap</code> with the specified capacity, …",218,[[["usize",15]],["hashmap",3]]],[11,"capacity","","Returns the number of elements the map can hold without …",218,[[],["usize",15]]],[11,"keys","","An iterator visiting all keys in arbitrary order. The …",218,[[],["keys",3]]],[11,"values","","An iterator visiting all values in arbitrary order. The …",218,[[],["values",3]]],[11,"values_mut","","An iterator visiting all values mutably in arbitrary …",218,[[],["valuesmut",3]]],[11,"iter","","An iterator visiting all key-value pairs in arbitrary …",218,[[],["iter",3]]],[11,"iter_mut","","An iterator visiting all key-value pairs in arbitrary …",218,[[],["itermut",3]]],[11,"len","","Returns the number of elements in the map.",218,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the map contains no elements.",218,[[],["bool",15]]],[11,"drain","","Clears the map, returning all key-value pairs as an …",218,[[],["drain",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",218,[[],["drainfilter",3]]],[11,"clear","","Clears the map, removing all key-value pairs. Keeps the …",218,[[]]],[11,"hasher","","Returns a reference to the map\'s [<code>BuildHasher</code>].",218,[[]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",218,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",218,[[["usize",15]],[["result",4],["tryreserveerror",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the map as much as possible. It …",218,[[]]],[11,"shrink_to","","Shrinks the capacity of the map with a lower limit. It …",218,[[["usize",15]]]],[11,"entry","","Gets the given key\'s corresponding entry in the map for …",218,[[],["entry",4]]],[11,"get","","Returns a reference to the value corresponding to the key.",218,[[],["option",4]]],[11,"get_key_value","","Returns the key-value pair corresponding to the supplied …",218,[[],["option",4]]],[11,"contains_key","","Returns <code>true</code> if the map contains a value for the …",218,[[],["bool",15]]],[11,"get_mut","","Returns a mutable reference to the value corresponding to …",218,[[],["option",4]]],[11,"insert","","Inserts a key-value pair into the map.",218,[[],["option",4]]],[11,"remove","","Removes a key from the map, returning the value at the …",218,[[],["option",4]]],[11,"remove_entry","","Removes a key from the map, returning the stored key and …",218,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",218,[[]]],[11,"into_keys","","Creates a consuming iterator visiting all the keys in …",218,[[],["intokeys",3]]],[11,"into_values","","Creates a consuming iterator visiting all the values in …",218,[[],["intovalues",3]]],[11,"raw_entry_mut","","Creates a raw entry builder for the HashMap.",218,[[],["rawentrybuildermut",3]]],[11,"raw_entry","","Creates a raw immutable entry builder for the HashMap.",218,[[],["rawentrybuilder",3]]],[11,"from_key","","Creates a <code>RawEntryMut</code> from the given key.",229,[[],["rawentrymut",4]]],[11,"from_key_hashed_nocheck","","Creates a <code>RawEntryMut</code> from the given key and its hash.",229,[[["u64",15]],["rawentrymut",4]]],[11,"from_hash","","Creates a <code>RawEntryMut</code> from the given hash.",229,[[["u64",15]],["rawentrymut",4]]],[11,"from_key","","Access an entry by key.",232,[[],["option",4]]],[11,"from_key_hashed_nocheck","","Access an entry by a key and its hash.",232,[[["u64",15]],["option",4]]],[11,"from_hash","","Access an entry by hash.",232,[[["u64",15]],["option",4]]],[11,"or_insert","","Ensures a value is in the entry by inserting the default …",7,[[]]],[11,"or_insert_with","","Ensures a value is in the entry by inserting the result …",7,[[]]],[11,"and_modify","","Provides in-place mutable access to an occupied entry …",7,[[]]],[11,"key","","Gets a reference to the key in the entry.",230,[[]]],[11,"key_mut","","Gets a mutable reference to the key in the entry.",230,[[]]],[11,"into_key","","Converts the entry into a mutable reference to the key in …",230,[[]]],[11,"get","","Gets a reference to the value in the entry.",230,[[]]],[11,"into_mut","","Converts the <code>OccupiedEntry</code> into a mutable reference to …",230,[[]]],[11,"get_mut","","Gets a mutable reference to the value in the entry.",230,[[]]],[11,"get_key_value","","Gets a reference to the key and value in the entry.",230,[[]]],[11,"get_key_value_mut","","Gets a mutable reference to the key and value in the …",230,[[]]],[11,"into_key_value","","Converts the <code>OccupiedEntry</code> into a mutable reference to …",230,[[]]],[11,"insert","","Sets the value of the entry, and returns the entry\'s old …",230,[[]]],[11,"insert_key","","Sets the value of the entry, and returns the entry\'s old …",230,[[]]],[11,"remove","","Takes the value out of the entry, and returns it.",230,[[]]],[11,"remove_entry","","Take the ownership of the key and value from the map.",230,[[]]],[11,"insert","","Sets the value of the entry with the <code>VacantEntry</code>\'s key, …",231,[[]]],[11,"insert_hashed_nocheck","","Sets the value of the entry with the VacantEntry\'s key, …",231,[[["u64",15]]]],[11,"or_insert","","Ensures a value is in the entry by inserting the default …",8,[[]]],[11,"or_insert_with","","Ensures a value is in the entry by inserting the result …",8,[[["fnonce",8]]]],[11,"or_insert_with_key","","Ensures a value is in the entry by inserting, if empty, …",8,[[["fnonce",8]]]],[11,"key","","Returns a reference to this entry\'s key.",8,[[]]],[11,"and_modify","","Provides in-place mutable access to an occupied entry …",8,[[]]],[11,"insert","","Sets the value of the entry, and returns an <code>OccupiedEntry</code>.",8,[[],["occupiedentry",3]]],[11,"or_default","","Ensures a value is in the entry by inserting the default …",8,[[]]],[11,"key","","Gets a reference to the key in the entry.",233,[[]]],[11,"remove_entry","","Take the ownership of the key and value from the map.",233,[[]]],[11,"get","","Gets a reference to the value in the entry.",233,[[]]],[11,"get_mut","","Gets a mutable reference to the value in the entry.",233,[[]]],[11,"into_mut","","Converts the <code>OccupiedEntry</code> into a mutable reference to …",233,[[]]],[11,"insert","","Sets the value of the entry, and returns the entry\'s old …",233,[[]]],[11,"remove","","Takes the value out of the entry, and returns it.",233,[[]]],[11,"replace_entry","","Replaces the entry, returning the old key and value. The …",233,[[]]],[11,"replace_key","","Replaces the key in the hash map with the key used to …",233,[[]]],[11,"key","","Gets a reference to the key that would be used when …",234,[[]]],[11,"into_key","","Take ownership of the key.",234,[[]]],[11,"insert","","Sets the value of the entry with the <code>VacantEntry</code>\'s key, …",234,[[]]],[11,"new","","Constructs a new <code>RandomState</code> that is initialized with …",235,[[],["randomstate",3]]],[11,"new","","Creates a new <code>DefaultHasher</code>.",236,[[],["defaulthasher",3]]],[11,"new","std::collections::hash_set","Creates an empty <code>HashSet</code>.",237,[[],[["randomstate",3],["hashset",3]]]],[11,"with_capacity","","Creates an empty <code>HashSet</code> with the specified capacity.",237,[[["usize",15]],[["randomstate",3],["hashset",3]]]],[11,"capacity","","Returns the number of elements the set can hold without …",237,[[],["usize",15]]],[11,"iter","","An iterator visiting all elements in arbitrary order. The …",237,[[],["iter",3]]],[11,"len","","Returns the number of elements in the set.",237,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the set contains no elements.",237,[[],["bool",15]]],[11,"drain","","Clears the set, returning all elements in an iterator.",237,[[],["drain",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",237,[[],["drainfilter",3]]],[11,"clear","","Clears the set, removing all values.",237,[[]]],[11,"with_hasher","","Creates a new empty hash set which will use the given …",237,[[],["hashset",3]]],[11,"with_capacity_and_hasher","","Creates an empty <code>HashSet</code> with the specified capacity, …",237,[[["usize",15]],["hashset",3]]],[11,"hasher","","Returns a reference to the set\'s [<code>BuildHasher</code>].",237,[[]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",237,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",237,[[["usize",15]],[["result",4],["tryreserveerror",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the set as much as possible. It …",237,[[]]],[11,"shrink_to","","Shrinks the capacity of the set with a lower limit. It …",237,[[["usize",15]]]],[11,"difference","","Visits the values representing the difference, i.e., the …",237,[[["hashset",3]],["difference",3]]],[11,"symmetric_difference","","Visits the values representing the symmetric difference, …",237,[[["hashset",3]],["symmetricdifference",3]]],[11,"intersection","","Visits the values representing the intersection, i.e., …",237,[[["hashset",3]],["intersection",3]]],[11,"union","","Visits the values representing the union, i.e., all the …",237,[[["hashset",3]],["union",3]]],[11,"contains","","Returns <code>true</code> if the set contains a value.",237,[[],["bool",15]]],[11,"get","","Returns a reference to the value in the set, if any, that …",237,[[],["option",4]]],[11,"get_or_insert","","Inserts the given <code>value</code> into the set if it is not …",237,[[]]],[11,"get_or_insert_owned","","Inserts an owned copy of the given <code>value</code> into the set if …",237,[[]]],[11,"get_or_insert_with","","Inserts a value computed from <code>f</code> into the set if the given …",237,[[]]],[11,"is_disjoint","","Returns <code>true</code> if <code>self</code> has no elements in common with <code>other</code>.…",237,[[["hashset",3]],["bool",15]]],[11,"is_subset","","Returns <code>true</code> if the set is a subset of another, i.e., …",237,[[["hashset",3]],["bool",15]]],[11,"is_superset","","Returns <code>true</code> if the set is a superset of another, i.e., …",237,[[["hashset",3]],["bool",15]]],[11,"insert","","Adds a value to the set.",237,[[],["bool",15]]],[11,"replace","","Adds a value to the set, replacing the existing value, if …",237,[[],["option",4]]],[11,"remove","","Removes a value from the set. Returns whether the value …",237,[[],["bool",15]]],[11,"take","","Removes and returns the value in the set, if any, that is …",237,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",237,[[]]],[11,"new","std::collections","Creates an empty <code>BinaryHeap</code> as a max-heap.",246,[[],["binaryheap",3]]],[11,"with_capacity","","Creates an empty <code>BinaryHeap</code> with a specific capacity. …",246,[[["usize",15]],["binaryheap",3]]],[11,"peek_mut","","Returns a mutable reference to the greatest item in the …",246,[[],[["option",4],["peekmut",3]]]],[11,"pop","","Removes the greatest item from the binary heap and …",246,[[],["option",4]]],[11,"push","","Pushes an item onto the binary heap.",246,[[]]],[11,"into_sorted_vec","","Consumes the <code>BinaryHeap</code> and returns a vector in sorted …",246,[[],[["vec",3],["global",3]]]],[11,"append","","Moves all the elements of <code>other</code> into <code>self</code>, leaving <code>other</code> …",246,[[["binaryheap",3]]]],[11,"drain_sorted","","Returns an iterator which retrieves elements in heap …",246,[[],["drainsorted",3]]],[11,"retain","","Retains only the elements specified by the predicate.",246,[[]]],[11,"iter","","Returns an iterator visiting all values in the underlying …",246,[[],["iter",3]]],[11,"into_iter_sorted","","Returns an iterator which retrieves elements in heap …",246,[[],["intoitersorted",3]]],[11,"peek","","Returns the greatest item in the binary heap, or <code>None</code> if …",246,[[],["option",4]]],[11,"capacity","","Returns the number of elements the binary heap can hold …",246,[[],["usize",15]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",246,[[["usize",15]]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",246,[[["usize",15]]]],[11,"shrink_to_fit","","Discards as much additional capacity as possible.",246,[[]]],[11,"shrink_to","","Discards capacity with a lower bound.",246,[[["usize",15]]]],[11,"into_vec","","Consumes the <code>BinaryHeap</code> and returns the underlying vector …",246,[[],[["vec",3],["global",3]]]],[11,"len","","Returns the length of the binary heap.",246,[[],["usize",15]]],[11,"is_empty","","Checks if the binary heap is empty.",246,[[],["bool",15]]],[11,"drain","","Clears the binary heap, returning an iterator over the …",246,[[],["drain",3]]],[11,"clear","","Drops all items from the binary heap.",246,[[]]],[11,"pop","std::collections::binary_heap","Removes the peeked value from the heap and returns it.",247,[[["peekmut",3]]]],[11,"or_insert","std::collections::btree_map","Ensures a value is in the entry by inserting the default …",9,[[]]],[11,"or_insert_with","","Ensures a value is in the entry by inserting the result …",9,[[]]],[11,"or_insert_with_key","","Ensures a value is in the entry by inserting, if empty, …",9,[[]]],[11,"key","","Returns a reference to this entry\'s key.",9,[[]]],[11,"and_modify","","Provides in-place mutable access to an occupied entry …",9,[[],["entry",4]]],[11,"or_default","","Ensures a value is in the entry by inserting the default …",9,[[]]],[11,"key","","Gets a reference to the key in the entry.",253,[[]]],[11,"remove_entry","","Take ownership of the key and value from the map.",253,[[]]],[11,"get","","Gets a reference to the value in the entry.",253,[[]]],[11,"get_mut","","Gets a mutable reference to the value in the entry.",253,[[]]],[11,"into_mut","","Converts the entry into a mutable reference to its value.",253,[[]]],[11,"insert","","Sets the value of the entry with the <code>OccupiedEntry</code>\'s key, …",253,[[]]],[11,"remove","","Takes the value of the entry out of the map, and returns …",253,[[]]],[11,"key","","Gets a reference to the key that would be used when …",254,[[]]],[11,"into_key","","Take ownership of the key.",254,[[]]],[11,"insert","","Sets the value of the entry with the <code>VacantEntry</code>\'s key, …",254,[[]]],[11,"new","std::collections","Makes a new, empty <code>BTreeMap</code>.",255,[[],["btreemap",3]]],[11,"clear","","Clears the map, removing all elements.",255,[[]]],[11,"get","","Returns a reference to the value corresponding to the key.",255,[[],["option",4]]],[11,"get_key_value","","Returns the key-value pair corresponding to the supplied …",255,[[],["option",4]]],[11,"first_key_value","","Returns the first key-value pair in the map. The key in …",255,[[],["option",4]]],[11,"first_entry","","Returns the first entry in the map for in-place …",255,[[],[["option",4],["occupiedentry",3]]]],[11,"pop_first","","Removes and returns the first element in the map. The key …",255,[[],["option",4]]],[11,"last_key_value","","Returns the last key-value pair in the map. The key in …",255,[[],["option",4]]],[11,"last_entry","","Returns the last entry in the map for in-place …",255,[[],[["option",4],["occupiedentry",3]]]],[11,"pop_last","","Removes and returns the last element in the map. The key …",255,[[],["option",4]]],[11,"contains_key","","Returns <code>true</code> if the map contains a value for the …",255,[[],["bool",15]]],[11,"get_mut","","Returns a mutable reference to the value corresponding to …",255,[[],["option",4]]],[11,"insert","","Inserts a key-value pair into the map.",255,[[],["option",4]]],[11,"remove","","Removes a key from the map, returning the value at the …",255,[[],["option",4]]],[11,"remove_entry","","Removes a key from the map, returning the stored key and …",255,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",255,[[]]],[11,"append","","Moves all elements from <code>other</code> into <code>Self</code>, leaving <code>other</code> …",255,[[["btreemap",3]]]],[11,"range","","Constructs a double-ended iterator over a sub-range of …",255,[[],["range",3]]],[11,"range_mut","","Constructs a mutable double-ended iterator over a …",255,[[],["rangemut",3]]],[11,"entry","","Gets the given key\'s corresponding entry in the map for …",255,[[],["entry",4]]],[11,"split_off","","Splits the collection into two at the given key. Returns …",255,[[],["btreemap",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",255,[[],["drainfilter",3]]],[11,"into_keys","","Creates a consuming iterator visiting all the keys, in …",255,[[],["intokeys",3]]],[11,"into_values","","Creates a consuming iterator visiting all the values, in …",255,[[],["intovalues",3]]],[11,"iter","","Gets an iterator over the entries of the map, sorted by …",255,[[],["iter",3]]],[11,"iter_mut","","Gets a mutable iterator over the entries of the map, …",255,[[],["itermut",3]]],[11,"keys","","Gets an iterator over the keys of the map, in sorted …",255,[[],["keys",3]]],[11,"values","","Gets an iterator over the values of the map, in order by …",255,[[],["values",3]]],[11,"values_mut","","Gets a mutable iterator over the values of the map, in …",255,[[],["valuesmut",3]]],[11,"len","","Returns the number of elements in the map.",255,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the map contains no elements.",255,[[],["bool",15]]],[11,"new","","Makes a new, empty <code>BTreeSet</code>.",273,[[],["btreeset",3]]],[11,"range","","Constructs a double-ended iterator over a sub-range of …",273,[[],["range",3]]],[11,"difference","","Visits the values representing the difference, i.e., the …",273,[[["btreeset",3]],["difference",3]]],[11,"symmetric_difference","","Visits the values representing the symmetric difference, …",273,[[["btreeset",3]],["symmetricdifference",3]]],[11,"intersection","","Visits the values representing the intersection, i.e., …",273,[[["btreeset",3]],["intersection",3]]],[11,"union","","Visits the values representing the union, i.e., all the …",273,[[["btreeset",3]],["union",3]]],[11,"clear","","Clears the set, removing all values.",273,[[]]],[11,"contains","","Returns <code>true</code> if the set contains a value.",273,[[],["bool",15]]],[11,"get","","Returns a reference to the value in the set, if any, that …",273,[[],["option",4]]],[11,"is_disjoint","","Returns <code>true</code> if <code>self</code> has no elements in common with <code>other</code>.…",273,[[["btreeset",3]],["bool",15]]],[11,"is_subset","","Returns <code>true</code> if the set is a subset of another, i.e., …",273,[[["btreeset",3]],["bool",15]]],[11,"is_superset","","Returns <code>true</code> if the set is a superset of another, i.e., …",273,[[["btreeset",3]],["bool",15]]],[11,"first","","Returns a reference to the first value in the set, if any.…",273,[[],["option",4]]],[11,"last","","Returns a reference to the last value in the set, if any. …",273,[[],["option",4]]],[11,"pop_first","","Removes the first value from the set and returns it, if …",273,[[],["option",4]]],[11,"pop_last","","Removes the last value from the set and returns it, if …",273,[[],["option",4]]],[11,"insert","","Adds a value to the set.",273,[[],["bool",15]]],[11,"replace","","Adds a value to the set, replacing the existing value, if …",273,[[],["option",4]]],[11,"remove","","Removes a value from the set. Returns whether the value …",273,[[],["bool",15]]],[11,"take","","Removes and returns the value in the set, if any, that is …",273,[[],["option",4]]],[11,"retain","","Retains only the elements specified by the predicate.",273,[[]]],[11,"append","","Moves all elements from <code>other</code> into <code>Self</code>, leaving <code>other</code> …",273,[[["btreeset",3]]]],[11,"split_off","","Splits the collection into two at the given key. Returns …",273,[[],["btreeset",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",273,[[],["drainfilter",3]]],[11,"iter","","Gets an iterator that visits the values in the <code>BTreeSet</code> …",273,[[],["iter",3]]],[11,"len","","Returns the number of elements in the set.",273,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the set contains no elements.",273,[[],["bool",15]]],[11,"new","","Creates an empty <code>LinkedList</code>.",276,[[],["linkedlist",3]]],[11,"append","","Moves all elements from <code>other</code> to the end of the list.",276,[[["linkedlist",3]]]],[11,"prepend","","Moves all elements from <code>other</code> to the begin of the list.",276,[[["linkedlist",3]]]],[11,"iter","","Provides a forward iterator.",276,[[],["iter",3]]],[11,"iter_mut","","Provides a forward iterator with mutable references.",276,[[],["itermut",3]]],[11,"cursor_front","","Provides a cursor at the front element.",276,[[],["cursor",3]]],[11,"cursor_front_mut","","Provides a cursor with editing operations at the front …",276,[[],["cursormut",3]]],[11,"cursor_back","","Provides a cursor at the back element.",276,[[],["cursor",3]]],[11,"cursor_back_mut","","Provides a cursor with editing operations at the back …",276,[[],["cursormut",3]]],[11,"is_empty","","Returns <code>true</code> if the <code>LinkedList</code> is empty.",276,[[],["bool",15]]],[11,"len","","Returns the length of the <code>LinkedList</code>.",276,[[],["usize",15]]],[11,"clear","","Removes all elements from the <code>LinkedList</code>.",276,[[]]],[11,"contains","","Returns <code>true</code> if the <code>LinkedList</code> contains an element equal …",276,[[],["bool",15]]],[11,"front","","Provides a reference to the front element, or <code>None</code> if the …",276,[[],["option",4]]],[11,"front_mut","","Provides a mutable reference to the front element, or <code>None</code>…",276,[[],["option",4]]],[11,"back","","Provides a reference to the back element, or <code>None</code> if the …",276,[[],["option",4]]],[11,"back_mut","","Provides a mutable reference to the back element, or <code>None</code> …",276,[[],["option",4]]],[11,"push_front","","Adds an element first in the list.",276,[[]]],[11,"pop_front","","Removes the first element and returns it, or <code>None</code> if the …",276,[[],["option",4]]],[11,"push_back","","Appends an element to the back of a list.",276,[[]]],[11,"pop_back","","Removes the last element from a list and returns it, or …",276,[[],["option",4]]],[11,"split_off","","Splits the list into two at the given index. Returns …",276,[[["usize",15]],["linkedlist",3]]],[11,"remove","","Removes the element at the given index and returns it.",276,[[["usize",15]]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",276,[[],["drainfilter",3]]],[11,"index","std::collections::linked_list","Returns the cursor position index within the <code>LinkedList</code>.",280,[[],[["usize",15],["option",4]]]],[11,"move_next","","Moves the cursor to the next element of the <code>LinkedList</code>.",280,[[]]],[11,"move_prev","","Moves the cursor to the previous element of the <code>LinkedList</code>…",280,[[]]],[11,"current","","Returns a reference to the element that the cursor is …",280,[[],["option",4]]],[11,"peek_next","","Returns a reference to the next element.",280,[[],["option",4]]],[11,"peek_prev","","Returns a reference to the previous element.",280,[[],["option",4]]],[11,"index","","Returns the cursor position index within the <code>LinkedList</code>.",281,[[],[["usize",15],["option",4]]]],[11,"move_next","","Moves the cursor to the next element of the <code>LinkedList</code>.",281,[[]]],[11,"move_prev","","Moves the cursor to the previous element of the <code>LinkedList</code>…",281,[[]]],[11,"current","","Returns a reference to the element that the cursor is …",281,[[],["option",4]]],[11,"peek_next","","Returns a reference to the next element.",281,[[],["option",4]]],[11,"peek_prev","","Returns a reference to the previous element.",281,[[],["option",4]]],[11,"as_cursor","","Returns a read-only cursor pointing to the current …",281,[[],["cursor",3]]],[11,"insert_after","","Inserts a new element into the <code>LinkedList</code> after the …",281,[[]]],[11,"insert_before","","Inserts a new element into the <code>LinkedList</code> before the …",281,[[]]],[11,"remove_current","","Removes the current element from the <code>LinkedList</code>.",281,[[],["option",4]]],[11,"remove_current_as_list","","Removes the current element from the <code>LinkedList</code> without …",281,[[],[["option",4],["linkedlist",3]]]],[11,"splice_after","","Inserts the elements from the given <code>LinkedList</code> after the …",281,[[["linkedlist",3]]]],[11,"splice_before","","Inserts the elements from the given <code>LinkedList</code> before the …",281,[[["linkedlist",3]]]],[11,"split_after","","Splits the list into two after the current element. This …",281,[[],["linkedlist",3]]],[11,"split_before","","Splits the list into two before the current element. This …",281,[[],["linkedlist",3]]],[11,"new","std::collections","Creates an empty <code>VecDeque</code>.",283,[[],["vecdeque",3]]],[11,"with_capacity","","Creates an empty <code>VecDeque</code> with space for at least <code>capacity</code>…",283,[[["usize",15]],["vecdeque",3]]],[11,"get","","Provides a reference to the element at the given index.",283,[[["usize",15]],["option",4]]],[11,"get_mut","","Provides a mutable reference to the element at the given …",283,[[["usize",15]],["option",4]]],[11,"swap","","Swaps elements at indices <code>i</code> and <code>j</code>.",283,[[["usize",15]]]],[11,"capacity","","Returns the number of elements the <code>VecDeque</code> can hold …",283,[[],["usize",15]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",283,[[["usize",15]]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",283,[[["usize",15]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",283,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",283,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the <code>VecDeque</code> as much as possible.",283,[[]]],[11,"shrink_to","","Shrinks the capacity of the <code>VecDeque</code> with a lower bound.",283,[[["usize",15]]]],[11,"truncate","","Shortens the <code>VecDeque</code>, keeping the first <code>len</code> elements and …",283,[[["usize",15]]]],[11,"iter","","Returns a front-to-back iterator.",283,[[],["iter",3]]],[11,"iter_mut","","Returns a front-to-back iterator that returns mutable …",283,[[],["itermut",3]]],[11,"as_slices","","Returns a pair of slices which contain, in order, the …",283,[[]]],[11,"as_mut_slices","","Returns a pair of slices which contain, in order, the …",283,[[]]],[11,"len","","Returns the number of elements in the <code>VecDeque</code>.",283,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the <code>VecDeque</code> is empty.",283,[[],["bool",15]]],[11,"range","","Creates an iterator that covers the specified range in …",283,[[],["iter",3]]],[11,"range_mut","","Creates an iterator that covers the specified mutable …",283,[[],["itermut",3]]],[11,"drain","","Creates a draining iterator that removes the specified …",283,[[],["drain",3]]],[11,"clear","","Clears the <code>VecDeque</code>, removing all values.",283,[[]]],[11,"contains","","Returns <code>true</code> if the <code>VecDeque</code> contains an element equal to …",283,[[],["bool",15]]],[11,"front","","Provides a reference to the front element, or <code>None</code> if the …",283,[[],["option",4]]],[11,"front_mut","","Provides a mutable reference to the front element, or <code>None</code>…",283,[[],["option",4]]],[11,"back","","Provides a reference to the back element, or <code>None</code> if the …",283,[[],["option",4]]],[11,"back_mut","","Provides a mutable reference to the back element, or <code>None</code> …",283,[[],["option",4]]],[11,"pop_front","","Removes the first element and returns it, or <code>None</code> if the …",283,[[],["option",4]]],[11,"pop_back","","Removes the last element from the <code>VecDeque</code> and returns …",283,[[],["option",4]]],[11,"push_front","","Prepends an element to the <code>VecDeque</code>.",283,[[]]],[11,"push_back","","Appends an element to the back of the <code>VecDeque</code>.",283,[[]]],[11,"swap_remove_front","","Removes an element from anywhere in the <code>VecDeque</code> and …",283,[[["usize",15]],["option",4]]],[11,"swap_remove_back","","Removes an element from anywhere in the <code>VecDeque</code> and …",283,[[["usize",15]],["option",4]]],[11,"insert","","Inserts an element at <code>index</code> within the <code>VecDeque</code>, shifting …",283,[[["usize",15]]]],[11,"remove","","Removes and returns the element at <code>index</code> from the <code>VecDeque</code>…",283,[[["usize",15]],["option",4]]],[11,"split_off","","Splits the <code>VecDeque</code> into two at the given index.",283,[[["usize",15]],["vecdeque",3]]],[11,"append","","Moves all the elements of <code>other</code> into <code>self</code>, leaving <code>other</code> …",283,[[["vecdeque",3]]]],[11,"retain","","Retains only the elements specified by the predicate.",283,[[]]],[11,"resize_with","","Modifies the <code>VecDeque</code> in-place so that <code>len()</code> is equal to …",283,[[["usize",15]]]],[11,"make_contiguous","","Rearranges the internal storage of this deque so it is …",283,[[]]],[11,"rotate_left","","Rotates the double-ended queue <code>mid</code> places to the left.",283,[[["usize",15]]]],[11,"rotate_right","","Rotates the double-ended queue <code>k</code> places to the right.",283,[[["usize",15]]]],[11,"binary_search","","Binary searches this sorted <code>VecDeque</code> for a given element.",283,[[],[["usize",15],["result",4]]]],[11,"binary_search_by","","Binary searches this sorted <code>VecDeque</code> with a comparator …",283,[[],[["usize",15],["result",4]]]],[11,"binary_search_by_key","","Binary searches this sorted <code>VecDeque</code> with a key …",283,[[],[["usize",15],["result",4]]]],[11,"resize","","Modifies the <code>VecDeque</code> in-place so that <code>len()</code> is equal to …",283,[[["usize",15]]]],[11,"as_bytes","std::ffi","Returns a slice of [<code>u8</code>]s bytes that were attempted to …",299,[[]]],[11,"into_bytes","","Returns the bytes that were attempted to convert to a […",299,[[],[["vec",3],["u8",15]]]],[11,"new","","Creates a new C-compatible string from a container of …",295,[[["vec",3],["into",8]],[["result",4],["cstring",3],["nulerror",3]]]],[11,"from_vec_unchecked","","Creates a C-compatible string by consuming a byte vector, …",295,[[["vec",3],["u8",15]],["cstring",3]]],[11,"from_raw","","Retakes ownership of a <code>CString</code> that was transferred to C …",295,[[],["cstring",3]]],[11,"into_raw","","Consumes the <code>CString</code> and transfers ownership of the …",295,[[]]],[11,"into_string","","Converts the <code>CString</code> into a [<code>String</code>] if it contains valid …",295,[[],[["intostringerror",3],["string",3],["result",4]]]],[11,"into_bytes","","Consumes the <code>CString</code> and returns the underlying byte …",295,[[],[["vec",3],["u8",15]]]],[11,"into_bytes_with_nul","","Equivalent to [<code>CString::into_bytes()</code>] except that the …",295,[[],[["vec",3],["u8",15]]]],[11,"as_bytes","","Returns the contents of this <code>CString</code> as a slice of bytes.",295,[[]]],[11,"as_bytes_with_nul","","Equivalent to [<code>CString::as_bytes()</code>] except that the …",295,[[]]],[11,"as_c_str","","Extracts a [<code>CStr</code>] slice containing the entire string.",295,[[],["cstr",3]]],[11,"into_boxed_c_str","","Converts this <code>CString</code> into a boxed [<code>CStr</code>].",295,[[],[["cstr",3],["box",3]]]],[11,"from_vec_with_nul_unchecked","","Converts a [<code>Vec</code>]<code><u8></code> to a [<code>CString</code>] without checking the …",295,[[["vec",3],["u8",15]]]],[11,"from_vec_with_nul","","Attempts to converts a [<code>Vec</code>]<code><u8></code> to a [<code>CString</code>].",295,[[["vec",3],["u8",15]],[["fromvecwithnulerror",3],["result",4]]]],[11,"nul_position","","Returns the position of the nul byte in the slice that …",297,[[],["usize",15]]],[11,"into_vec","","Consumes this error, returning the underlying vector of …",297,[[],[["vec",3],["u8",15]]]],[11,"into_cstring","","Consumes this error, returning original [<code>CString</code>] which …",300,[[],["cstring",3]]],[11,"utf8_error","","Access the underlying UTF-8 error that was the cause of …",300,[[],["utf8error",3]]],[11,"from_ptr","","Wraps a raw C string with a safe C string wrapper.",296,[[],["cstr",3]]],[11,"from_bytes_with_nul","","Creates a C string wrapper from a byte slice.",296,[[],[["cstr",3],["frombyteswithnulerror",3],["result",4]]]],[11,"from_bytes_with_nul_unchecked","","Unsafely creates a C string wrapper from a byte slice.",296,[[],["cstr",3]]],[11,"as_ptr","","Returns the inner pointer to this C string.",296,[[]]],[11,"to_bytes","","Converts this C string to a byte slice.",296,[[]]],[11,"to_bytes_with_nul","","Converts this C string to a byte slice containing the …",296,[[]]],[11,"to_str","","Yields a <code>&str</code> slice if the <code>CStr</code> contains valid UTF-8.",296,[[],[["result",4],["utf8error",3],["str",15]]]],[11,"to_string_lossy","","Converts a <code>CStr</code> into a [<code>Cow</code>]<code><</code><code>str</code><code>></code>.",296,[[],[["cow",4],["str",15]]]],[11,"into_c_string","","Converts a [<code>Box</code>]<code><CStr></code> into a [<code>CString</code>] without copying …",296,[[["box",3],["cstr",3]],["cstring",3]]],[11,"new","","Constructs a new empty <code>OsString</code>.",301,[[],["osstring",3]]],[11,"as_os_str","","Converts to an [<code>OsStr</code>] slice.",301,[[],["osstr",3]]],[11,"into_string","","Converts the <code>OsString</code> into a [<code>String</code>] if it contains …",301,[[],[["osstring",3],["result",4],["string",3]]]],[11,"push","","Extends the string with the given <code>&OsStr</code> slice.",301,[[["asref",8],["osstr",3]]]],[11,"with_capacity","","Creates a new <code>OsString</code> with the given capacity.",301,[[["usize",15]],["osstring",3]]],[11,"clear","","Truncates the <code>OsString</code> to zero length.",301,[[]]],[11,"capacity","","Returns the capacity this <code>OsString</code> can hold without …",301,[[],["usize",15]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more capacity …",301,[[["usize",15]]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",301,[[["usize",15]]]],[11,"shrink_to_fit","","Shrinks the capacity of the <code>OsString</code> to match its length.",301,[[]]],[11,"shrink_to","","Shrinks the capacity of the <code>OsString</code> with a lower bound.",301,[[["usize",15]]]],[11,"into_boxed_os_str","","Converts this <code>OsString</code> into a boxed [<code>OsStr</code>].",301,[[],[["osstr",3],["box",3]]]],[11,"new","","Coerces into an <code>OsStr</code> slice.",302,[[],["osstr",3]]],[11,"to_str","","Yields a <code>&str</code> slice if the <code>OsStr</code> is valid Unicode.",302,[[],[["option",4],["str",15]]]],[11,"to_string_lossy","","Converts an <code>OsStr</code> to a [<code>Cow</code>]<code><</code>[<code>str</code>]<code>></code>.",302,[[],[["cow",4],["str",15]]]],[11,"to_os_string","","Copies the slice into an owned [<code>OsString</code>].",302,[[],["osstring",3]]],[11,"is_empty","","Checks whether the <code>OsStr</code> is empty.",302,[[],["bool",15]]],[11,"len","","Returns the length of this <code>OsStr</code>.",302,[[],["usize",15]]],[11,"into_os_string","","Converts a [<code>Box</code>]<code><OsStr></code> into an [<code>OsString</code>] without …",302,[[["box",3],["osstr",3]],["osstring",3]]],[11,"make_ascii_lowercase","","Converts this string to its ASCII lower case equivalent …",302,[[]]],[11,"make_ascii_uppercase","","Converts this string to its ASCII upper case equivalent …",302,[[]]],[11,"to_ascii_lowercase","","Returns a copy of this string where each character is …",302,[[],["osstring",3]]],[11,"to_ascii_uppercase","","Returns a copy of this string where each character is …",302,[[],["osstring",3]]],[11,"is_ascii","","Checks if all characters in this string are within the …",302,[[],["bool",15]]],[11,"eq_ignore_ascii_case","","Checks that two strings are an ASCII case-insensitive …",302,[[["asref",8],["osstr",3]],["bool",15]]],[11,"as_va_list","","Convert a <code>VaListImpl</code> into a <code>VaList</code> that is …",305,[[],["valist",3]]],[11,"arg","","Advance to the next arg.",305,[[]]],[11,"with_copy","","Copies the <code>va_list</code> at the current location.",305,[[]]],[11,"new","std::io","Creates a new <code>BufReader<R></code> with a default buffer …",307,[[],["bufreader",3]]],[11,"with_capacity","","Creates a new <code>BufReader<R></code> with the specified buffer …",307,[[["usize",15]],["bufreader",3]]],[11,"get_ref","","Gets a reference to the underlying reader.",307,[[]]],[11,"get_mut","","Gets a mutable reference to the underlying reader.",307,[[]]],[11,"buffer","","Returns a reference to the internally buffered data.",307,[[]]],[11,"capacity","","Returns the number of bytes the internal buffer can hold …",307,[[],["usize",15]]],[11,"into_inner","","Unwraps this <code>BufReader<R></code>, returning the underlying …",307,[[]]],[11,"seek_relative","","Seeks relative to the current position. If the new …",307,[[["i64",15]],["result",6]]],[11,"new","","Creates a new <code>BufWriter<W></code> with a default buffer …",308,[[],["bufwriter",3]]],[11,"with_capacity","","Creates a new <code>BufWriter<W></code> with the specified buffer …",308,[[["usize",15]],["bufwriter",3]]],[11,"get_ref","","Gets a reference to the underlying writer.",308,[[]]],[11,"get_mut","","Gets a mutable reference to the underlying writer.",308,[[]]],[11,"buffer","","Returns a reference to the internally buffered data.",308,[[]]],[11,"capacity","","Returns the number of bytes the internal buffer can hold …",308,[[],["usize",15]]],[11,"into_inner","","Unwraps this <code>BufWriter<W></code>, returning the underlying …",308,[[],[["intoinnererror",3],["result",4]]]],[11,"into_raw_parts","","Disassembles this <code>BufWriter<W></code>, returning the underlying …",308,[[]]],[11,"new","","Creates a new <code>LineWriter</code>.",309,[[],["linewriter",3]]],[11,"with_capacity","","Creates a new <code>LineWriter</code> with a specified capacity for …",309,[[["usize",15]],["linewriter",3]]],[11,"get_ref","","Gets a reference to the underlying writer.",309,[[]]],[11,"get_mut","","Gets a mutable reference to the underlying writer.",309,[[]]],[11,"into_inner","","Unwraps this <code>LineWriter</code>, returning the underlying writer.",309,[[],[["result",4],["intoinnererror",3]]]],[11,"error","","Returns the error which caused the call to […",310,[[],["error",3]]],[11,"into_inner","","Returns the buffered writer instance which generated the …",310,[[]]],[11,"into_error","","Consumes the [<code>IntoInnerError</code>] and returns the error which …",310,[[],["error",3]]],[11,"into_parts","","Consumes the [<code>IntoInnerError</code>] and returns the error which …",310,[[]]],[11,"new","","Creates a new cursor wrapping the provided underlying …",311,[[],["cursor",3]]],[11,"into_inner","","Consumes this cursor, returning the underlying value.",311,[[]]],[11,"get_ref","","Gets a reference to the underlying value in this cursor.",311,[[]]],[11,"get_mut","","Gets a mutable reference to the underlying value in this …",311,[[]]],[11,"position","","Returns the current position of this cursor.",311,[[],["u64",15]]],[11,"set_position","","Sets the position of this cursor.",311,[[["u64",15]]]],[11,"new","","Creates a new I/O error from a known kind of error as …",312,[[["errorkind",4]],["error",3]]],[11,"last_os_error","","Returns an error representing the last OS error which …",312,[[],["error",3]]],[11,"from_raw_os_error","","Creates a new instance of an [<code>Error</code>] from a particular OS …",312,[[["i32",15]],["error",3]]],[11,"raw_os_error","","Returns the OS error that this error represents (if any).",312,[[],[["option",4],["i32",15]]]],[11,"get_ref","","Returns a reference to the inner error wrapped by this …",312,[[],[["option",4],["error",8]]]],[11,"get_mut","","Returns a mutable reference to the inner error wrapped by …",312,[[],[["error",8],["option",4]]]],[11,"into_inner","","Consumes the <code>Error</code>, returning its inner error (if any).",312,[[],[["option",4],["box",3]]]],[11,"kind","","Returns the corresponding [<code>ErrorKind</code>] for this error.",312,[[],["errorkind",4]]],[11,"lock","","Locks this handle to the standard input stream, returning …",313,[[],["stdinlock",3]]],[11,"read_line","","Locks this handle and reads a line of input, appending it …",313,[[["string",3]],[["result",6],["usize",15]]]],[11,"lock","","Locks this handle to the standard output stream, …",315,[[],["stdoutlock",3]]],[11,"lock","","Locks this handle to the standard error stream, returning …",317,[[],["stderrlock",3]]],[11,"new","std::net","Creates a new socket address from an IP address and a …",32,[[["ipaddr",4],["u16",15]],["socketaddr",4]]],[11,"ip","","Returns the IP address associated with this socket …",32,[[],["ipaddr",4]]],[11,"set_ip","","Changes the IP address associated with this socket …",32,[[["ipaddr",4]]]],[11,"port","","Returns the port number associated with this socket …",32,[[],["u16",15]]],[11,"set_port","","Changes the port number associated with this socket …",32,[[["u16",15]]]],[11,"is_ipv4","","Returns [<code>true</code>] if the IP address in this <code>SocketAddr</code> is an …",32,[[],["bool",15]]],[11,"is_ipv6","","Returns [<code>true</code>] if the IP address in this <code>SocketAddr</code> is an …",32,[[],["bool",15]]],[11,"new","","Creates a new socket address from an <code>IPv4</code> address and a …",325,[[["ipv4addr",3],["u16",15]],["socketaddrv4",3]]],[11,"ip","","Returns the IP address associated with this socket …",325,[[],["ipv4addr",3]]],[11,"set_ip","","Changes the IP address associated with this socket …",325,[[["ipv4addr",3]]]],[11,"port","","Returns the port number associated with this socket …",325,[[],["u16",15]]],[11,"set_port","","Changes the port number associated with this socket …",325,[[["u16",15]]]],[11,"new","","Creates a new socket address from an <code>IPv6</code> address, a …",326,[[["u32",15],["ipv6addr",3],["u16",15]],["socketaddrv6",3]]],[11,"ip","","Returns the IP address associated with this socket …",326,[[],["ipv6addr",3]]],[11,"set_ip","","Changes the IP address associated with this socket …",326,[[["ipv6addr",3]]]],[11,"port","","Returns the port number associated with this socket …",326,[[],["u16",15]]],[11,"set_port","","Changes the port number associated with this socket …",326,[[["u16",15]]]],[11,"flowinfo","","Returns the flow information associated with this address.",326,[[],["u32",15]]],[11,"set_flowinfo","","Changes the flow information associated with this socket …",326,[[["u32",15]]]],[11,"scope_id","","Returns the scope ID associated with this address.",326,[[],["u32",15]]],[11,"set_scope_id","","Changes the scope ID associated with this socket address.",326,[[["u32",15]]]],[11,"is_unspecified","","Returns [<code>true</code>] for the special \'unspecified\' address.",34,[[],["bool",15]]],[11,"is_loopback","","Returns [<code>true</code>] if this is a loopback address.",34,[[],["bool",15]]],[11,"is_global","","Returns [<code>true</code>] if the address appears to be globally …",34,[[],["bool",15]]],[11,"is_multicast","","Returns [<code>true</code>] if this is a multicast address.",34,[[],["bool",15]]],[11,"is_documentation","","Returns [<code>true</code>] if this address is in a range designated …",34,[[],["bool",15]]],[11,"is_ipv4","","Returns [<code>true</code>] if this address is an <code>IPv4</code> address, and […",34,[[],["bool",15]]],[11,"is_ipv6","","Returns [<code>true</code>] if this address is an <code>IPv6</code> address, and […",34,[[],["bool",15]]],[11,"new","","Creates a new IPv4 address from four eight-bit octets.",327,[[["u8",15]],["ipv4addr",3]]],[18,"LOCALHOST","","An IPv4 address with the address pointing to localhost: …",327,null],[18,"UNSPECIFIED","","An IPv4 address representing an unspecified address: …",327,null],[18,"BROADCAST","","An IPv4 address representing the broadcast address: …",327,null],[11,"octets","","Returns the four eight-bit integers that make up this …",327,[[]]],[11,"is_unspecified","","Returns [<code>true</code>] for the special \'unspecified\' address …",327,[[],["bool",15]]],[11,"is_loopback","","Returns [<code>true</code>] if this is a loopback address …",327,[[],["bool",15]]],[11,"is_private","","Returns [<code>true</code>] if this is a private address.",327,[[],["bool",15]]],[11,"is_link_local","","Returns [<code>true</code>] if the address is link-local …",327,[[],["bool",15]]],[11,"is_global","","Returns [<code>true</code>] if the address appears to be globally …",327,[[],["bool",15]]],[11,"is_shared","","Returns [<code>true</code>] if this address is part of the Shared …",327,[[],["bool",15]]],[11,"is_ietf_protocol_assignment","","Returns [<code>true</code>] if this address is part of <code>192.0.0.0/24</code>, …",327,[[],["bool",15]]],[11,"is_benchmarking","","Returns [<code>true</code>] if this address part of the <code>198.18.0.0/15</code> …",327,[[],["bool",15]]],[11,"is_reserved","","Returns [<code>true</code>] if this address is reserved by IANA for …",327,[[],["bool",15]]],[11,"is_multicast","","Returns [<code>true</code>] if this is a multicast address …",327,[[],["bool",15]]],[11,"is_broadcast","","Returns [<code>true</code>] if this is a broadcast address …",327,[[],["bool",15]]],[11,"is_documentation","","Returns [<code>true</code>] if this address is in a range designated …",327,[[],["bool",15]]],[11,"to_ipv6_compatible","","Converts this address to an IPv4-compatible <code>IPv6</code> address.",327,[[],["ipv6addr",3]]],[11,"to_ipv6_mapped","","Converts this address to an IPv4-mapped <code>IPv6</code> address.",327,[[],["ipv6addr",3]]],[11,"new","","Creates a new IPv6 address from eight 16-bit segments.",328,[[["u16",15]],["ipv6addr",3]]],[18,"LOCALHOST","","An IPv6 address representing localhost: <code>::1</code>.",328,null],[18,"UNSPECIFIED","","An IPv6 address representing the unspecified address: <code>::</code>",328,null],[11,"segments","","Returns the eight 16-bit segments that make up this …",328,[[]]],[11,"is_unspecified","","Returns [<code>true</code>] for the special \'unspecified\' address (::).",328,[[],["bool",15]]],[11,"is_loopback","","Returns [<code>true</code>] if this is a loopback address (::1).",328,[[],["bool",15]]],[11,"is_global","","Returns [<code>true</code>] if the address appears to be globally …",328,[[],["bool",15]]],[11,"is_unique_local","","Returns [<code>true</code>] if this is a unique local address (<code>fc00::/7</code>…",328,[[],["bool",15]]],[11,"is_unicast_link_local_strict","","Returns [<code>true</code>] if the address is a unicast link-local …",328,[[],["bool",15]]],[11,"is_unicast_link_local","","Returns [<code>true</code>] if the address is a unicast link-local …",328,[[],["bool",15]]],[11,"is_unicast_site_local","","Returns [<code>true</code>] if this is a deprecated unicast site-local …",328,[[],["bool",15]]],[11,"is_documentation","","Returns [<code>true</code>] if this is an address reserved for …",328,[[],["bool",15]]],[11,"is_unicast_global","","Returns [<code>true</code>] if the address is a globally routable …",328,[[],["bool",15]]],[11,"multicast_scope","","Returns the address\'s multicast scope if the address is …",328,[[],[["option",4],["ipv6multicastscope",4]]]],[11,"is_multicast","","Returns [<code>true</code>] if this is a multicast address (ff00::/8).",328,[[],["bool",15]]],[11,"to_ipv4_mapped","","Converts this address to an <code>IPv4</code> address if it\'s an …",328,[[],[["ipv4addr",3],["option",4]]]],[11,"to_ipv4","","Converts this address to an <code>IPv4</code> address. Returns [<code>None</code>] …",328,[[],[["ipv4addr",3],["option",4]]]],[11,"octets","","Returns the sixteen eight-bit integers the IPv6 address …",328,[[]]],[11,"connect","","Opens a TCP connection to a remote host.",330,[[["tosocketaddrs",8]],[["result",6],["tcpstream",3]]]],[11,"connect_timeout","","Opens a TCP connection to a remote host with a timeout.",330,[[["socketaddr",4],["duration",3]],[["result",6],["tcpstream",3]]]],[11,"peer_addr","","Returns the socket address of the remote peer of this TCP …",330,[[],[["socketaddr",4],["result",6]]]],[11,"local_addr","","Returns the socket address of the local half of this TCP …",330,[[],[["socketaddr",4],["result",6]]]],[11,"shutdown","","Shuts down the read, write, or both halves of this …",330,[[["shutdown",4]],["result",6]]],[11,"try_clone","","Creates a new independently owned handle to the …",330,[[],[["result",6],["tcpstream",3]]]],[11,"set_read_timeout","","Sets the read timeout to the timeout specified.",330,[[["option",4],["duration",3]],["result",6]]],[11,"set_write_timeout","","Sets the write timeout to the timeout specified.",330,[[["option",4],["duration",3]],["result",6]]],[11,"read_timeout","","Returns the read timeout of this socket.",330,[[],[["option",4],["result",6]]]],[11,"write_timeout","","Returns the write timeout of this socket.",330,[[],[["option",4],["result",6]]]],[11,"peek","","Receives data on the socket from the remote address to …",330,[[],[["result",6],["usize",15]]]],[11,"set_nodelay","","Sets the value of the <code>TCP_NODELAY</code> option on this socket.",330,[[["bool",15]],["result",6]]],[11,"nodelay","","Gets the value of the <code>TCP_NODELAY</code> option on this socket.",330,[[],[["result",6],["bool",15]]]],[11,"set_ttl","","Sets the value for the <code>IP_TTL</code> option on this socket.",330,[[["u32",15]],["result",6]]],[11,"ttl","","Gets the value of the <code>IP_TTL</code> option for this socket.",330,[[],[["u32",15],["result",6]]]],[11,"take_error","","Gets the value of the <code>SO_ERROR</code> option on this socket.",330,[[],[["option",4],["result",6]]]],[11,"set_nonblocking","","Moves this TCP stream into or out of nonblocking mode.",330,[[["bool",15]],["result",6]]],[11,"bind","","Creates a new <code>TcpListener</code> which will be bound to the …",331,[[["tosocketaddrs",8]],[["result",6],["tcplistener",3]]]],[11,"local_addr","","Returns the local socket address of this listener.",331,[[],[["socketaddr",4],["result",6]]]],[11,"try_clone","","Creates a new independently owned handle to the …",331,[[],[["result",6],["tcplistener",3]]]],[11,"accept","","Accept a new incoming connection from this listener.",331,[[],["result",6]]],[11,"incoming","","Returns an iterator over the connections being received …",331,[[],["incoming",3]]],[11,"set_ttl","","Sets the value for the <code>IP_TTL</code> option on this socket.",331,[[["u32",15]],["result",6]]],[11,"ttl","","Gets the value of the <code>IP_TTL</code> option for this socket.",331,[[],[["u32",15],["result",6]]]],[11,"set_only_v6","","",331,[[["bool",15]],["result",6]]],[11,"only_v6","","",331,[[],[["result",6],["bool",15]]]],[11,"take_error","","Gets the value of the <code>SO_ERROR</code> option on this socket.",331,[[],[["option",4],["result",6]]]],[11,"set_nonblocking","","Moves this TCP stream into or out of nonblocking mode.",331,[[["bool",15]],["result",6]]],[11,"bind","","Creates a UDP socket from the given address.",333,[[["tosocketaddrs",8]],[["result",6],["udpsocket",3]]]],[11,"recv_from","","Receives a single datagram message on the socket. On …",333,[[],["result",6]]],[11,"peek_from","","Receives a single datagram message on the socket, without …",333,[[],["result",6]]],[11,"send_to","","Sends data on the socket to the given address. On …",333,[[["tosocketaddrs",8]],[["result",6],["usize",15]]]],[11,"peer_addr","","Returns the socket address of the remote peer this socket …",333,[[],[["socketaddr",4],["result",6]]]],[11,"local_addr","","Returns the socket address that this socket was created …",333,[[],[["socketaddr",4],["result",6]]]],[11,"try_clone","","Creates a new independently owned handle to the …",333,[[],[["result",6],["udpsocket",3]]]],[11,"set_read_timeout","","Sets the read timeout to the timeout specified.",333,[[["option",4],["duration",3]],["result",6]]],[11,"set_write_timeout","","Sets the write timeout to the timeout specified.",333,[[["option",4],["duration",3]],["result",6]]],[11,"read_timeout","","Returns the read timeout of this socket.",333,[[],[["option",4],["result",6]]]],[11,"write_timeout","","Returns the write timeout of this socket.",333,[[],[["option",4],["result",6]]]],[11,"set_broadcast","","Sets the value of the <code>SO_BROADCAST</code> option for this socket.",333,[[["bool",15]],["result",6]]],[11,"broadcast","","Gets the value of the <code>SO_BROADCAST</code> option for this socket.",333,[[],[["result",6],["bool",15]]]],[11,"set_multicast_loop_v4","","Sets the value of the <code>IP_MULTICAST_LOOP</code> option for this …",333,[[["bool",15]],["result",6]]],[11,"multicast_loop_v4","","Gets the value of the <code>IP_MULTICAST_LOOP</code> option for this …",333,[[],[["result",6],["bool",15]]]],[11,"set_multicast_ttl_v4","","Sets the value of the <code>IP_MULTICAST_TTL</code> option for this …",333,[[["u32",15]],["result",6]]],[11,"multicast_ttl_v4","","Gets the value of the <code>IP_MULTICAST_TTL</code> option for this …",333,[[],[["u32",15],["result",6]]]],[11,"set_multicast_loop_v6","","Sets the value of the <code>IPV6_MULTICAST_LOOP</code> option for this …",333,[[["bool",15]],["result",6]]],[11,"multicast_loop_v6","","Gets the value of the <code>IPV6_MULTICAST_LOOP</code> option for this …",333,[[],[["result",6],["bool",15]]]],[11,"set_ttl","","Sets the value for the <code>IP_TTL</code> option on this socket.",333,[[["u32",15]],["result",6]]],[11,"ttl","","Gets the value of the <code>IP_TTL</code> option for this socket.",333,[[],[["u32",15],["result",6]]]],[11,"join_multicast_v4","","Executes an operation of the <code>IP_ADD_MEMBERSHIP</code> type.",333,[[["ipv4addr",3]],["result",6]]],[11,"join_multicast_v6","","Executes an operation of the <code>IPV6_ADD_MEMBERSHIP</code> type.",333,[[["u32",15],["ipv6addr",3]],["result",6]]],[11,"leave_multicast_v4","","Executes an operation of the <code>IP_DROP_MEMBERSHIP</code> type.",333,[[["ipv4addr",3]],["result",6]]],[11,"leave_multicast_v6","","Executes an operation of the <code>IPV6_DROP_MEMBERSHIP</code> type.",333,[[["u32",15],["ipv6addr",3]],["result",6]]],[11,"take_error","","Gets the value of the <code>SO_ERROR</code> option on this socket.",333,[[],[["option",4],["result",6]]]],[11,"connect","","Connects this UDP socket to a remote address, allowing …",333,[[["tosocketaddrs",8]],["result",6]]],[11,"send","","Sends data on the socket to the remote address to which …",333,[[],[["result",6],["usize",15]]]],[11,"recv","","Receives a single datagram message on the socket from the …",333,[[],[["result",6],["usize",15]]]],[11,"peek","","Receives single datagram on the socket from the remote …",333,[[],[["result",6],["usize",15]]]],[11,"set_nonblocking","","Moves this UDP socket into or out of nonblocking mode.",333,[[["bool",15]],["result",6]]],[18,"MIN","std::num","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["usize",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["usize",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["usize",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["usize",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["usize",15]],[["wrapping",3],["usize",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["usize",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["usize",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["usize",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["u8",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["u8",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["u8",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["u8",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["u8",15]],[["u8",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["u8",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["u8",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["u8",15],["wrapping",3]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u16",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u16",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["u16",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["u16",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["u16",15]],[["wrapping",3],["u16",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["u16",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["u16",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["u16",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["u32",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["u32",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["u32",15]],[["wrapping",3],["u32",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["u32",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["u32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["u32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["u64",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["u64",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["u64",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["u64",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["u64",15]],[["u64",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["u64",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["u64",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["u64",15],["wrapping",3]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u128",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["u128",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["u128",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["u128",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["u128",15]],[["wrapping",3],["u128",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["u128",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["u128",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["u128",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["isize",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["isize",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["isize",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["isize",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["isize",15],["wrapping",3]],[["isize",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["isize",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["isize",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["isize",15],["wrapping",3]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i8",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i8",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["i8",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["i8",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["i8",15]],[["i8",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["i8",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["i8",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["i8",15],["wrapping",3]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["i16",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["i16",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["i16",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["i16",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["i16",15]],[["wrapping",3],["i16",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["i16",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["i16",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["i16",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["i32",15]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["wrapping",3],["i32",15]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["wrapping",3],["i32",15]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["wrapping",3],["i32",15]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["wrapping",3],["i32",15]],[["wrapping",3],["i32",15]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["wrapping",3],["i32",15]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["wrapping",3],["i32",15]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["wrapping",3],["i32",15]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i64",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i64",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["i64",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["i64",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["i64",15],["wrapping",3]],[["i64",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["i64",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["i64",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["i64",15],["wrapping",3]]]],[18,"MIN","","Returns the smallest value that can be represented by …",37,null],[18,"MAX","","Returns the largest value that can be represented by this …",37,null],[11,"count_ones","","Returns the number of ones in the binary representation …",37,[[],["u32",15]]],[11,"count_zeros","","Returns the number of zeros in the binary representation …",37,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",37,[[],["u32",15]]],[11,"rotate_left","","Shifts the bits to the left by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i128",15],["wrapping",3]]]],[11,"rotate_right","","Shifts the bits to the right by a specified amount, <code>n</code>, …",37,[[["u32",15]],[["i128",15],["wrapping",3]]]],[11,"swap_bytes","","Reverses the byte order of the integer.",37,[[],[["i128",15],["wrapping",3]]]],[11,"reverse_bits","","Reverses the bit pattern of the integer.",37,[[],[["i128",15],["wrapping",3]]]],[11,"from_be","","Converts an integer from big endian to the target\'s …",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"from_le","","Converts an integer from little endian to the target\'s …",37,[[["i128",15],["wrapping",3]],[["i128",15],["wrapping",3]]]],[11,"to_be","","Converts <code>self</code> to big endian from the target\'s endianness.",37,[[],[["i128",15],["wrapping",3]]]],[11,"to_le","","Converts <code>self</code> to little endian from the target\'s …",37,[[],[["i128",15],["wrapping",3]]]],[11,"pow","","Raises self to the power of <code>exp</code>, using exponentiation by …",37,[[["u32",15]],[["i128",15],["wrapping",3]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["isize",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["isize",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["i8",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["i8",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["wrapping",3],["i16",15]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["wrapping",3],["i16",15]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["wrapping",3],["i32",15]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["wrapping",3],["i32",15]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["i64",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["i64",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"abs","","Computes the absolute value of <code>self</code>, wrapping around at …",37,[[],[["i128",15],["wrapping",3]]]],[11,"signum","","Returns a number representing sign of <code>self</code>.",37,[[],[["i128",15],["wrapping",3]]]],[11,"is_positive","","Returns <code>true</code> if <code>self</code> is positive and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"is_negative","","Returns <code>true</code> if <code>self</code> is negative and <code>false</code> if the number …",37,[[],["bool",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["wrapping",3],["usize",15]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["u8",15],["wrapping",3]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["wrapping",3],["u16",15]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["wrapping",3],["u32",15]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["u64",15],["wrapping",3]]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",37,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == 2^k</code> for some <code>k</code>.",37,[[],["bool",15]]],[11,"next_power_of_two","","Returns the smallest power of two greater than or equal …",37,[[],[["wrapping",3],["u128",15]]]],[11,"kind","","Outputs the detailed cause of parsing an integer failing.",335,[[],["interrorkind",4]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",337,[[["i128",15]],["nonzeroi128",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",337,[[["i128",15]],[["nonzeroi128",3],["option",4]]]],[11,"get","","Returns the value as a primitive type.",337,[[],["i128",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",337,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",337,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",338,[[["i16",15]],["nonzeroi16",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",338,[[["i16",15]],[["option",4],["nonzeroi16",3]]]],[11,"get","","Returns the value as a primitive type.",338,[[],["i16",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",338,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",338,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",339,[[["i32",15]],["nonzeroi32",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",339,[[["i32",15]],[["nonzeroi32",3],["option",4]]]],[11,"get","","Returns the value as a primitive type.",339,[[],["i32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",339,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",339,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",340,[[["i64",15]],["nonzeroi64",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",340,[[["i64",15]],[["nonzeroi64",3],["option",4]]]],[11,"get","","Returns the value as a primitive type.",340,[[],["i64",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",340,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",340,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",341,[[["i8",15]],["nonzeroi8",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",341,[[["i8",15]],[["option",4],["nonzeroi8",3]]]],[11,"get","","Returns the value as a primitive type.",341,[[],["i8",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",341,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",341,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",342,[[["isize",15]],["nonzeroisize",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",342,[[["isize",15]],[["option",4],["nonzeroisize",3]]]],[11,"get","","Returns the value as a primitive type.",342,[[],["isize",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",342,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",342,[[],["u32",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",343,[[["u128",15]],["nonzerou128",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",343,[[["u128",15]],[["option",4],["nonzerou128",3]]]],[11,"get","","Returns the value as a primitive type.",343,[[],["u128",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",343,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",343,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",343,[[],["bool",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",344,[[["u16",15]],["nonzerou16",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",344,[[["u16",15]],[["option",4],["nonzerou16",3]]]],[11,"get","","Returns the value as a primitive type.",344,[[],["u16",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",344,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",344,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",344,[[],["bool",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",345,[[["u32",15]],["nonzerou32",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",345,[[["u32",15]],[["option",4],["nonzerou32",3]]]],[11,"get","","Returns the value as a primitive type.",345,[[],["u32",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",345,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",345,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",345,[[],["bool",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",346,[[["u64",15]],["nonzerou64",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",346,[[["u64",15]],[["nonzerou64",3],["option",4]]]],[11,"get","","Returns the value as a primitive type.",346,[[],["u64",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",346,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",346,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",346,[[],["bool",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",347,[[["u8",15]],["nonzerou8",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",347,[[["u8",15]],[["nonzerou8",3],["option",4]]]],[11,"get","","Returns the value as a primitive type.",347,[[],["u8",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",347,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",347,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",347,[[],["bool",15]]],[11,"new_unchecked","","Creates a non-zero without checking the value.",348,[[["usize",15]],["nonzerousize",3]]],[11,"new","","Creates a non-zero if the given value is not zero.",348,[[["usize",15]],[["option",4],["nonzerousize",3]]]],[11,"get","","Returns the value as a primitive type.",348,[[],["usize",15]]],[11,"leading_zeros","","Returns the number of leading zeros in the binary …",348,[[],["u32",15]]],[11,"trailing_zeros","","Returns the number of trailing zeros in the binary …",348,[[],["u32",15]]],[11,"is_power_of_two","","Returns <code>true</code> if and only if <code>self == (1 << k)</code> for some <code>k</code>.",348,[[],["bool",15]]],[11,"caller","std::panic","Returns the source location of the caller of this …",354,[[],["location",3]]],[11,"file","","Returns the name of the source file from which the panic …",354,[[],["str",15]]],[11,"line","","Returns the line number from which the panic originated.",354,[[],["u32",15]]],[11,"column","","Returns the column from which the panic originated.",354,[[],["u32",15]]],[11,"payload","","Returns the payload associated with the panic.",355,[[],["any",8]]],[11,"message","","If the <code>panic!</code> macro from the <code>core</code> crate (not from <code>std</code>) …",355,[[],[["arguments",3],["option",4]]]],[11,"location","","Returns information about the location from which the …",355,[[],[["location",3],["option",4]]]],[11,"new","std::sync","Creates a new barrier that can block a given number of …",368,[[["usize",15]],["barrier",3]]],[11,"wait","","Blocks the current thread until all threads have …",368,[[],["barrierwaitresult",3]]],[11,"is_leader","","Returns <code>true</code> if this thread is the \\\"leader thread\\\" for …",369,[[],["bool",15]]],[11,"timed_out","","Returns <code>true</code> if the wait was known to have timed out.",370,[[],["bool",15]]],[11,"new","","Creates a new condition variable which is ready to be …",371,[[],["condvar",3]]],[11,"wait","","Blocks the current thread until this condition variable …",371,[[["mutexguard",3]],[["lockresult",6],["mutexguard",3]]]],[11,"wait_while","","Blocks the current thread until this condition variable …",371,[[["mutexguard",3]],[["lockresult",6],["mutexguard",3]]]],[11,"wait_timeout_ms","","Waits on this condition variable for a notification, …",371,[[["u32",15],["mutexguard",3]],["lockresult",6]]],[11,"wait_timeout","","Waits on this condition variable for a notification, …",371,[[["mutexguard",3],["duration",3]],["lockresult",6]]],[11,"wait_timeout_while","","Waits on this condition variable for a notification, …",371,[[["mutexguard",3],["duration",3]],["lockresult",6]]],[11,"notify_one","","Wakes up one blocked thread on this condvar.",371,[[]]],[11,"notify_all","","Wakes up all blocked threads on this condvar.",371,[[]]],[11,"new","","Creates a new mutex in an unlocked state ready for use.",372,[[],["mutex",3]]],[11,"lock","","Acquires a mutex, blocking the current thread until it is …",372,[[],[["lockresult",6],["mutexguard",3]]]],[11,"try_lock","","Attempts to acquire this lock.",372,[[],[["trylockresult",6],["mutexguard",3]]]],[11,"is_poisoned","","Determines whether the mutex is poisoned.",372,[[],["bool",15]]],[11,"into_inner","","Consumes this mutex, returning the underlying data.",372,[[],["lockresult",6]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",372,[[],["lockresult",6]]],[11,"new","","Creates a new <code>Once</code> value.",374,[[],["once",3]]],[11,"call_once","","Performs an initialization routine once and only once. …",374,[[]]],[11,"call_once_force","","Performs the same function as <code>call_once()</code> except ignores …",374,[[]]],[11,"is_completed","","Returns <code>true</code> if some <code>call_once()</code> call has completed …",374,[[],["bool",15]]],[11,"is_poisoned","","Returns <code>true</code> if the associated [<code>Once</code>] was poisoned prior …",375,[[],["bool",15]]],[11,"new","","Creates a new instance of an <code>RwLock<T></code> which is unlocked.",376,[[],["rwlock",3]]],[11,"read","","Locks this rwlock with shared read access, blocking the …",376,[[],[["lockresult",6],["rwlockreadguard",3]]]],[11,"try_read","","Attempts to acquire this rwlock with shared read access.",376,[[],[["trylockresult",6],["rwlockreadguard",3]]]],[11,"write","","Locks this rwlock with exclusive write access, blocking …",376,[[],[["lockresult",6],["rwlockwriteguard",3]]]],[11,"try_write","","Attempts to lock this rwlock with exclusive write access.",376,[[],[["trylockresult",6],["rwlockwriteguard",3]]]],[11,"is_poisoned","","Determines whether the lock is poisoned.",376,[[],["bool",15]]],[11,"into_inner","","Consumes this <code>RwLock</code>, returning the underlying data.",376,[[],["lockresult",6]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",376,[[],["lockresult",6]]],[11,"new","","Constructs a new <code>Arc<T></code>.",379,[[],["arc",3]]],[11,"new_cyclic","","Constructs a new <code>Arc<T></code> using a weak reference to itself. …",379,[[],["arc",3]]],[11,"new_uninit","","Constructs a new <code>Arc</code> with uninitialized contents.",379,[[],[["maybeuninit",19],["arc",3]]]],[11,"new_zeroed","","Constructs a new <code>Arc</code> with uninitialized contents, with …",379,[[],[["maybeuninit",19],["arc",3]]]],[11,"pin","","Constructs a new <code>Pin<Arc<T>></code>. If <code>T</code> does not implement …",379,[[],[["pin",3],["arc",3]]]],[11,"try_new","","Constructs a new <code>Arc<T></code>, returning an error if allocation …",379,[[],[["result",4],["arc",3],["allocerror",3]]]],[11,"try_new_uninit","","Constructs a new <code>Arc</code> with uninitialized contents, …",379,[[],[["allocerror",3],["arc",3],["result",4]]]],[11,"try_new_zeroed","","Constructs a new <code>Arc</code> with uninitialized contents, with …",379,[[],[["allocerror",3],["arc",3],["result",4]]]],[11,"try_unwrap","","Returns the inner value, if the <code>Arc</code> has exactly one …",379,[[["arc",3]],[["arc",3],["result",4]]]],[11,"new_uninit_slice","","Constructs a new atomically reference-counted slice with …",379,[[["usize",15]],["arc",3]]],[11,"new_zeroed_slice","","Constructs a new atomically reference-counted slice with …",379,[[["usize",15]],["arc",3]]],[11,"assume_init","","Converts to <code>Arc<T></code>.",379,[[],["arc",3]]],[11,"assume_init","","Converts to <code>Arc<[T]></code>.",379,[[],["arc",3]]],[11,"into_raw","","Consumes the <code>Arc</code>, returning the wrapped pointer.",379,[[["arc",3]]]],[11,"as_ptr","","Provides a raw pointer to the data.",379,[[["arc",3]]]],[11,"from_raw","","Constructs an <code>Arc<T></code> from a raw pointer.",379,[[],["arc",3]]],[11,"downgrade","","Creates a new [<code>Weak</code>] pointer to this allocation.",379,[[["arc",3]],["weak",3]]],[11,"weak_count","","Gets the number of [<code>Weak</code>] pointers to this allocation.",379,[[["arc",3]],["usize",15]]],[11,"strong_count","","Gets the number of strong (<code>Arc</code>) pointers to this …",379,[[["arc",3]],["usize",15]]],[11,"increment_strong_count","","Increments the strong reference count on the <code>Arc<T></code> …",379,[[]]],[11,"decrement_strong_count","","Decrements the strong reference count on the <code>Arc<T></code> …",379,[[]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Arc</code>s point to the same allocation …",379,[[["arc",3]],["bool",15]]],[11,"make_mut","","Makes a mutable reference into the given <code>Arc</code>.",379,[[["arc",3]]]],[11,"get_mut","","Returns a mutable reference into the given <code>Arc</code>, if there …",379,[[["arc",3]],["option",4]]],[11,"get_mut_unchecked","","Returns a mutable reference into the given <code>Arc</code>, without …",379,[[["arc",3]]]],[11,"downcast","","Attempt to downcast the <code>Arc<dyn Any + Send + Sync></code> to a …",379,[[],[["arc",3],["arc",3],["result",4]]]],[11,"new","","Constructs a new <code>Weak<T></code>, without allocating any memory. …",380,[[],["weak",3]]],[11,"as_ptr","","Returns a raw pointer to the object <code>T</code> pointed to by this …",380,[[]]],[11,"into_raw","","Consumes the <code>Weak<T></code> and turns it into a raw pointer.",380,[[]]],[11,"from_raw","","Converts a raw pointer previously created by <code>into_raw</code> …",380,[[],["weak",3]]],[11,"upgrade","","Attempts to upgrade the <code>Weak</code> pointer to an [<code>Arc</code>], delaying…",380,[[],[["arc",3],["option",4]]]],[11,"strong_count","","Gets the number of strong (<code>Arc</code>) pointers pointing to this …",380,[[],["usize",15]]],[11,"weak_count","","Gets an approximation of the number of <code>Weak</code> pointers …",380,[[],["usize",15]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Weak</code>s point to the same …",380,[[["weak",3]],["bool",15]]],[11,"new","std::sync::atomic","Creates a new <code>AtomicBool</code>.",381,[[["bool",15]],["atomicbool",3]]],[11,"get_mut","","Returns a mutable reference to the underlying [<code>bool</code>].",381,[[],["bool",15]]],[11,"from_mut","","Get atomic access to a <code>&mut bool</code>.",381,[[["bool",15]],["atomicbool",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",381,[[],["bool",15]]],[11,"load","","Loads a value from the bool.",381,[[["ordering",4]],["bool",15]]],[11,"store","","Stores a value into the bool.",381,[[["bool",15],["ordering",4]]]],[11,"swap","","Stores a value into the bool, returning the previous …",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"compare_and_swap","","Stores a value into the [<code>bool</code>] if the current value is …",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"compare_exchange","","Stores a value into the [<code>bool</code>] if the current value is …",381,[[["bool",15],["ordering",4]],[["bool",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the [<code>bool</code>] if the current value is …",381,[[["bool",15],["ordering",4]],[["bool",15],["result",4]]]],[11,"fetch_and","","Logical \\\"and\\\" with a boolean value.",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_nand","","Logical \\\"nand\\\" with a boolean value.",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_or","","Logical \\\"or\\\" with a boolean value.",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"fetch_xor","","Logical \\\"xor\\\" with a boolean value.",381,[[["bool",15],["ordering",4]],["bool",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying [<code>bool</code>].",381,[[]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",381,[[["ordering",4]],[["bool",15],["result",4]]]],[11,"new","","Creates a new <code>AtomicPtr</code>.",382,[[],["atomicptr",3]]],[11,"get_mut","","Returns a mutable reference to the underlying pointer.",382,[[]]],[11,"from_mut","","Get atomic access to a pointer.",382,[[],["atomicptr",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",382,[[]]],[11,"load","","Loads a value from the pointer.",382,[[["ordering",4]]]],[11,"store","","Stores a value into the pointer.",382,[[["ordering",4]]]],[11,"swap","","Stores a value into the pointer, returning the previous …",382,[[["ordering",4]]]],[11,"compare_and_swap","","Stores a value into the pointer if the current value is …",382,[[["ordering",4]]]],[11,"compare_exchange","","Stores a value into the pointer if the current value is …",382,[[["ordering",4]],["result",4]]],[11,"compare_exchange_weak","","Stores a value into the pointer if the current value is …",382,[[["ordering",4]],["result",4]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",382,[[["ordering",4]],["result",4]]],[11,"new","","Creates a new atomic integer.",383,[[["i8",15]],["atomici8",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",383,[[],["i8",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i8</code>.",383,[[["i8",15]],["atomici8",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",383,[[],["i8",15]]],[11,"load","","Loads a value from the atomic integer.",383,[[["ordering",4]],["i8",15]]],[11,"store","","Stores a value into the atomic integer.",383,[[["ordering",4],["i8",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",383,[[["ordering",4],["i8",15]],[["result",4],["i8",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",383,[[["ordering",4],["i8",15]],[["result",4],["i8",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",383,[[["ordering",4]],[["result",4],["i8",15]]]],[11,"fetch_max","","Maximum with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"fetch_min","","Minimum with the current value.",383,[[["ordering",4],["i8",15]],["i8",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",383,[[]]],[11,"new","","Creates a new atomic integer.",384,[[["u8",15]],["atomicu8",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",384,[[],["u8",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u8</code>.",384,[[["u8",15]],["atomicu8",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",384,[[],["u8",15]]],[11,"load","","Loads a value from the atomic integer.",384,[[["ordering",4]],["u8",15]]],[11,"store","","Stores a value into the atomic integer.",384,[[["ordering",4],["u8",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",384,[[["ordering",4],["u8",15]],[["result",4],["u8",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",384,[[["ordering",4],["u8",15]],[["result",4],["u8",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",384,[[["ordering",4]],[["result",4],["u8",15]]]],[11,"fetch_max","","Maximum with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"fetch_min","","Minimum with the current value.",384,[[["ordering",4],["u8",15]],["u8",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",384,[[]]],[11,"new","","Creates a new atomic integer.",385,[[["i16",15]],["atomici16",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",385,[[],["i16",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i16</code>.",385,[[["i16",15]],["atomici16",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",385,[[],["i16",15]]],[11,"load","","Loads a value from the atomic integer.",385,[[["ordering",4]],["i16",15]]],[11,"store","","Stores a value into the atomic integer.",385,[[["i16",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",385,[[["i16",15],["ordering",4]],[["result",4],["i16",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",385,[[["i16",15],["ordering",4]],[["result",4],["i16",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",385,[[["ordering",4]],[["result",4],["i16",15]]]],[11,"fetch_max","","Maximum with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"fetch_min","","Minimum with the current value.",385,[[["i16",15],["ordering",4]],["i16",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",385,[[]]],[11,"new","","Creates a new atomic integer.",386,[[["u16",15]],["atomicu16",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",386,[[],["u16",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u16</code>.",386,[[["u16",15]],["atomicu16",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",386,[[],["u16",15]]],[11,"load","","Loads a value from the atomic integer.",386,[[["ordering",4]],["u16",15]]],[11,"store","","Stores a value into the atomic integer.",386,[[["ordering",4],["u16",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",386,[[["ordering",4],["u16",15]],[["result",4],["u16",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",386,[[["ordering",4],["u16",15]],[["result",4],["u16",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",386,[[["ordering",4]],[["result",4],["u16",15]]]],[11,"fetch_max","","Maximum with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"fetch_min","","Minimum with the current value.",386,[[["ordering",4],["u16",15]],["u16",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",386,[[]]],[11,"new","","Creates a new atomic integer.",387,[[["i32",15]],["atomici32",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",387,[[],["i32",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i32</code>.",387,[[["i32",15]],["atomici32",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",387,[[],["i32",15]]],[11,"load","","Loads a value from the atomic integer.",387,[[["ordering",4]],["i32",15]]],[11,"store","","Stores a value into the atomic integer.",387,[[["ordering",4],["i32",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",387,[[["ordering",4],["i32",15]],[["result",4],["i32",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",387,[[["ordering",4],["i32",15]],[["result",4],["i32",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",387,[[["ordering",4]],[["result",4],["i32",15]]]],[11,"fetch_max","","Maximum with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"fetch_min","","Minimum with the current value.",387,[[["ordering",4],["i32",15]],["i32",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",387,[[]]],[11,"new","","Creates a new atomic integer.",388,[[["u32",15]],["atomicu32",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",388,[[],["u32",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u32</code>.",388,[[["u32",15]],["atomicu32",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",388,[[],["u32",15]]],[11,"load","","Loads a value from the atomic integer.",388,[[["ordering",4]],["u32",15]]],[11,"store","","Stores a value into the atomic integer.",388,[[["u32",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",388,[[["u32",15],["ordering",4]],[["u32",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",388,[[["u32",15],["ordering",4]],[["u32",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",388,[[["ordering",4]],[["u32",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"fetch_min","","Minimum with the current value.",388,[[["u32",15],["ordering",4]],["u32",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",388,[[]]],[11,"new","","Creates a new atomic integer.",389,[[["i64",15]],["atomici64",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",389,[[],["i64",15]]],[11,"from_mut","","Get atomic access to a <code>&mut i64</code>.",389,[[["i64",15]],["atomici64",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",389,[[],["i64",15]]],[11,"load","","Loads a value from the atomic integer.",389,[[["ordering",4]],["i64",15]]],[11,"store","","Stores a value into the atomic integer.",389,[[["i64",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",389,[[["i64",15],["ordering",4]],[["result",4],["i64",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",389,[[["i64",15],["ordering",4]],[["result",4],["i64",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",389,[[["ordering",4]],[["result",4],["i64",15]]]],[11,"fetch_max","","Maximum with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"fetch_min","","Minimum with the current value.",389,[[["i64",15],["ordering",4]],["i64",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",389,[[]]],[11,"new","","Creates a new atomic integer.",390,[[["u64",15]],["atomicu64",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",390,[[],["u64",15]]],[11,"from_mut","","Get atomic access to a <code>&mut u64</code>.",390,[[["u64",15]],["atomicu64",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",390,[[],["u64",15]]],[11,"load","","Loads a value from the atomic integer.",390,[[["ordering",4]],["u64",15]]],[11,"store","","Stores a value into the atomic integer.",390,[[["ordering",4],["u64",15]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",390,[[["ordering",4],["u64",15]],[["result",4],["u64",15]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",390,[[["ordering",4],["u64",15]],[["result",4],["u64",15]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",390,[[["ordering",4]],[["result",4],["u64",15]]]],[11,"fetch_max","","Maximum with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"fetch_min","","Minimum with the current value.",390,[[["ordering",4],["u64",15]],["u64",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",390,[[]]],[11,"new","","Creates a new atomic integer.",391,[[["isize",15]],["atomicisize",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",391,[[],["isize",15]]],[11,"from_mut","","Get atomic access to a <code>&mut isize</code>.",391,[[["isize",15]],["atomicisize",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",391,[[],["isize",15]]],[11,"load","","Loads a value from the atomic integer.",391,[[["ordering",4]],["isize",15]]],[11,"store","","Stores a value into the atomic integer.",391,[[["isize",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",391,[[["isize",15],["ordering",4]],[["isize",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",391,[[["isize",15],["ordering",4]],[["isize",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",391,[[["ordering",4]],[["isize",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"fetch_min","","Minimum with the current value.",391,[[["isize",15],["ordering",4]],["isize",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",391,[[]]],[11,"new","","Creates a new atomic integer.",392,[[["usize",15]],["atomicusize",3]]],[11,"get_mut","","Returns a mutable reference to the underlying integer.",392,[[],["usize",15]]],[11,"from_mut","","Get atomic access to a <code>&mut usize</code>.",392,[[["usize",15]],["atomicusize",3]]],[11,"into_inner","","Consumes the atomic and returns the contained value.",392,[[],["usize",15]]],[11,"load","","Loads a value from the atomic integer.",392,[[["ordering",4]],["usize",15]]],[11,"store","","Stores a value into the atomic integer.",392,[[["usize",15],["ordering",4]]]],[11,"swap","","Stores a value into the atomic integer, returning the …",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"compare_and_swap","","Stores a value into the atomic integer if the current …",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"compare_exchange","","Stores a value into the atomic integer if the current …",392,[[["usize",15],["ordering",4]],[["usize",15],["result",4]]]],[11,"compare_exchange_weak","","Stores a value into the atomic integer if the current …",392,[[["usize",15],["ordering",4]],[["usize",15],["result",4]]]],[11,"fetch_add","","Adds to the current value, returning the previous value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_sub","","Subtracts from the current value, returning the previous …",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_and","","Bitwise \\\"and\\\" with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_nand","","Bitwise \\\"nand\\\" with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_or","","Bitwise \\\"or\\\" with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_xor","","Bitwise \\\"xor\\\" with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_update","","Fetches the value, and applies a function to it that …",392,[[["ordering",4]],[["usize",15],["result",4]]]],[11,"fetch_max","","Maximum with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"fetch_min","","Minimum with the current value.",392,[[["usize",15],["ordering",4]],["usize",15]]],[11,"as_mut_ptr","","Returns a mutable pointer to the underlying integer.",392,[[]]],[18,"SECOND","std::time","The duration of one second.",393,null],[18,"MILLISECOND","","The duration of one millisecond.",393,null],[18,"MICROSECOND","","The duration of one microsecond.",393,null],[18,"NANOSECOND","","The duration of one nanosecond.",393,null],[18,"ZERO","","A duration of zero time.",393,null],[18,"MAX","","The maximum duration.",393,null],[11,"new","","Creates a new <code>Duration</code> from the specified number of whole …",393,[[["u32",15],["u64",15]],["duration",3]]],[11,"from_secs","","Creates a new <code>Duration</code> from the specified number of whole …",393,[[["u64",15]],["duration",3]]],[11,"from_millis","","Creates a new <code>Duration</code> from the specified number of …",393,[[["u64",15]],["duration",3]]],[11,"from_micros","","Creates a new <code>Duration</code> from the specified number of …",393,[[["u64",15]],["duration",3]]],[11,"from_nanos","","Creates a new <code>Duration</code> from the specified number of …",393,[[["u64",15]],["duration",3]]],[11,"is_zero","","Returns true if this <code>Duration</code> spans no time.",393,[[],["bool",15]]],[11,"as_secs","","Returns the number of <em>whole</em> seconds contained by this …",393,[[],["u64",15]]],[11,"subsec_millis","","Returns the fractional part of this <code>Duration</code>, in whole …",393,[[],["u32",15]]],[11,"subsec_micros","","Returns the fractional part of this <code>Duration</code>, in whole …",393,[[],["u32",15]]],[11,"subsec_nanos","","Returns the fractional part of this <code>Duration</code>, in …",393,[[],["u32",15]]],[11,"as_millis","","Returns the total number of whole milliseconds contained …",393,[[],["u128",15]]],[11,"as_micros","","Returns the total number of whole microseconds contained …",393,[[],["u128",15]]],[11,"as_nanos","","Returns the total number of nanoseconds contained by this …",393,[[],["u128",15]]],[11,"checked_add","","Checked <code>Duration</code> addition. Computes <code>self + other</code>, …",393,[[["duration",3]],[["duration",3],["option",4]]]],[11,"saturating_add","","Saturating <code>Duration</code> addition. Computes <code>self + other</code>, …",393,[[["duration",3]],["duration",3]]],[11,"checked_sub","","Checked <code>Duration</code> subtraction. Computes <code>self - other</code>, …",393,[[["duration",3]],[["duration",3],["option",4]]]],[11,"saturating_sub","","Saturating <code>Duration</code> subtraction. Computes <code>self - other</code>, …",393,[[["duration",3]],["duration",3]]],[11,"checked_mul","","Checked <code>Duration</code> multiplication. Computes <code>self * other</code>, …",393,[[["u32",15]],[["duration",3],["option",4]]]],[11,"saturating_mul","","Saturating <code>Duration</code> multiplication. Computes <code>self * other</code>…",393,[[["u32",15]],["duration",3]]],[11,"checked_div","","Checked <code>Duration</code> division. Computes <code>self / other</code>, …",393,[[["u32",15]],[["duration",3],["option",4]]]],[11,"as_secs_f64","","Returns the number of seconds contained by this <code>Duration</code> …",393,[[],["f64",15]]],[11,"as_secs_f32","","Returns the number of seconds contained by this <code>Duration</code> …",393,[[],["f32",15]]],[11,"from_secs_f64","","Creates a new <code>Duration</code> from the specified number of …",393,[[["f64",15]],["duration",3]]],[11,"from_secs_f32","","Creates a new <code>Duration</code> from the specified number of …",393,[[["f32",15]],["duration",3]]],[11,"mul_f64","","Multiplies <code>Duration</code> by <code>f64</code>.",393,[[["f64",15]],["duration",3]]],[11,"mul_f32","","Multiplies <code>Duration</code> by <code>f32</code>.",393,[[["f32",15]],["duration",3]]],[11,"div_f64","","Divide <code>Duration</code> by <code>f64</code>.",393,[[["f64",15]],["duration",3]]],[11,"div_f32","","Divide <code>Duration</code> by <code>f32</code>.",393,[[["f32",15]],["duration",3]]],[11,"div_duration_f64","","Divide <code>Duration</code> by <code>Duration</code> and return <code>f64</code>.",393,[[["duration",3]],["f64",15]]],[11,"div_duration_f32","","Divide <code>Duration</code> by <code>Duration</code> and return <code>f32</code>.",393,[[["duration",3]],["f32",15]]],[11,"new","std::lazy","Creates a new empty cell.",394,[[],["oncecell",3]]],[11,"get","","Gets the reference to the underlying value.",394,[[],["option",4]]],[11,"get_mut","","Gets the mutable reference to the underlying value.",394,[[],["option",4]]],[11,"set","","Sets the contents of the cell to <code>value</code>.",394,[[],["result",4]]],[11,"get_or_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",394,[[]]],[11,"get_or_try_init","","Gets the contents of the cell, initializing it with <code>f</code> if …",394,[[],["result",4]]],[11,"into_inner","","Consumes the cell, returning the wrapped value.",394,[[],["option",4]]],[11,"take","","Takes the value out of this <code>OnceCell</code>, moving it back to …",394,[[],["option",4]]],[11,"new","","Creates a new lazy value with the given initializing …",395,[[],["lazy",3]]],[11,"force","","Forces the evaluation of this lazy value and returns a …",395,[[["lazy",3]]]],[11,"map","std::task","Changes the ready value of this <code>Poll</code> with the closure …",104,[[],["poll",4]]],[11,"is_ready","","Returns <code>true</code> if this is <code>Poll::Ready</code>",104,[[],["bool",15]]],[11,"is_pending","","Returns <code>true</code> if this is <code>Poll::Pending</code>",104,[[],["bool",15]]],[11,"map_ok","","Changes the success value of this <code>Poll</code> with the closure …",104,[[],[["poll",4],["result",4]]]],[11,"map_err","","Changes the error value of this <code>Poll</code> with the closure …",104,[[],[["result",4],["poll",4]]]],[11,"map_ok","","Changes the success value of this <code>Poll</code> with the closure …",104,[[],[["option",4],["poll",4]]]],[11,"map_err","","Changes the error value of this <code>Poll</code> with the closure …",104,[[],[["poll",4],["option",4]]]],[11,"from_waker","","Create a new <code>Context</code> from a <code>&Waker</code>.",396,[[["waker",3]],["context",3]]],[11,"waker","","Returns a reference to the <code>Waker</code> for the current task.",396,[[],["waker",3]]],[11,"new","","Creates a new <code>RawWaker</code> from the provided <code>data</code> pointer and …",397,[[["rawwakervtable",3]],["rawwaker",3]]],[11,"new","","Creates a new <code>RawWakerVTable</code> from the provided <code>clone</code>, <code>wake</code>…",398,[[],["rawwakervtable",3]]],[11,"wake","","Wake up the task associated with this <code>Waker</code>.",399,[[]]],[11,"wake_by_ref","","Wake up the task associated with this <code>Waker</code> without …",399,[[]]],[11,"will_wake","","Returns <code>true</code> if this <code>Waker</code> and another <code>Waker</code> have awoken …",399,[[["waker",3]],["bool",15]]],[11,"from_raw","","Creates a new <code>Waker</code> from [<code>RawWaker</code>].",399,[[["rawwaker",3]],["waker",3]]],[11,"from_size_align","std::alloc","Constructs a <code>Layout</code> from a given <code>size</code> and <code>align</code>, or …",402,[[["usize",15]],[["result",4],["layouterror",3],["layout",3]]]],[11,"from_size_align_unchecked","","Creates a layout, bypassing all checks.",402,[[["usize",15]],["layout",3]]],[11,"size","","The minimum size in bytes for a memory block of this …",402,[[],["usize",15]]],[11,"align","","The minimum byte alignment for a memory block of this …",402,[[],["usize",15]]],[11,"new","","Constructs a <code>Layout</code> suitable for holding a value of type <code>T</code>…",402,[[],["layout",3]]],[11,"for_value","","Produces layout describing a record that could be used to …",402,[[],["layout",3]]],[11,"for_value_raw","","Produces layout describing a record that could be used to …",402,[[],["layout",3]]],[11,"dangling","","Creates a <code>NonNull</code> that is dangling, but well-aligned for …",402,[[],[["nonnull",3],["u8",15]]]],[11,"align_to","","Creates a layout describing the record that can hold a …",402,[[["usize",15]],[["result",4],["layouterror",3],["layout",3]]]],[11,"padding_needed_for","","Returns the amount of padding we must insert after <code>self</code> …",402,[[["usize",15]],["usize",15]]],[11,"pad_to_align","","Creates a layout by rounding the size of this layout up …",402,[[],["layout",3]]],[11,"repeat","","Creates a layout describing the record for <code>n</code> instances of …",402,[[["usize",15]],[["layouterror",3],["result",4]]]],[11,"extend","","Creates a layout describing the record for <code>self</code> followed …",402,[[["layout",3]],[["layouterror",3],["result",4]]]],[11,"repeat_packed","","Creates a layout describing the record for <code>n</code> instances of …",402,[[["usize",15]],[["result",4],["layouterror",3],["layout",3]]]],[11,"extend_packed","","Creates a layout describing the record for <code>self</code> followed …",402,[[["layout",3]],[["result",4],["layouterror",3],["layout",3]]]],[11,"array","","Creates a layout describing the record for a <code>[T; n]</code>.",402,[[["usize",15]],[["result",4],["layouterror",3],["layout",3]]]],[11,"is_borrowed","std::borrow","Returns true if the data is borrowed, i.e. if <code>to_mut</code> …",116,[[],["bool",15]]],[11,"is_owned","","Returns true if the data is owned, i.e. if <code>to_mut</code> would …",116,[[],["bool",15]]],[11,"to_mut","","Acquires a mutable reference to the owned form of the …",116,[[]]],[11,"into_owned","","Extracts the owned data.",116,[[]]],[11,"new","std::boxed","Allocates memory on the heap and then places <code>x</code> into it.",405,[[],[["global",3],["box",3]]]],[11,"new_uninit","","Constructs a new box with uninitialized contents.",405,[[],[["maybeuninit",19],["global",3],["box",3]]]],[11,"new_zeroed","","Constructs a new <code>Box</code> with uninitialized contents, with …",405,[[],[["maybeuninit",19],["global",3],["box",3]]]],[11,"pin","","Constructs a new <code>Pin<Box<T>></code>. If <code>T</code> does not implement …",405,[[],[["box",3],["pin",3]]]],[11,"try_new","","Allocates memory on the heap then places <code>x</code> into it, …",405,[[],[["result",4],["box",3],["allocerror",3]]]],[11,"try_new_uninit","","Constructs a new box with uninitialized contents on the …",405,[[],[["allocerror",3],["result",4],["box",3]]]],[11,"try_new_zeroed","","Constructs a new <code>Box</code> with uninitialized contents, with …",405,[[],[["allocerror",3],["result",4],["box",3]]]],[11,"new_in","","Allocates memory in the given allocator then places <code>x</code> …",405,[[],["box",3]]],[11,"try_new_in","","Allocates memory in the given allocator then places <code>x</code> …",405,[[],[["allocerror",3],["result",4],["box",3]]]],[11,"new_uninit_in","","Constructs a new box with uninitialized contents in the …",405,[[],[["box",3],["maybeuninit",19]]]],[11,"try_new_uninit_in","","Constructs a new box with uninitialized contents in the …",405,[[],[["box",3],["allocerror",3],["result",4]]]],[11,"new_zeroed_in","","Constructs a new <code>Box</code> with uninitialized contents, with …",405,[[],[["box",3],["maybeuninit",19]]]],[11,"try_new_zeroed_in","","Constructs a new <code>Box</code> with uninitialized contents, with …",405,[[],[["box",3],["allocerror",3],["result",4]]]],[11,"pin_in","","Constructs a new <code>Pin<Box<T, A>></code>. If <code>T</code> does not implement …",405,[[],[["box",3],["pin",3]]]],[11,"into_boxed_slice","","Converts a <code>Box<T></code> into a <code>Box<[T]></code>",405,[[["box",3]],["box",3]]],[11,"new_uninit_slice","","Constructs a new boxed slice with uninitialized contents.",405,[[["usize",15]],[["box",3],["global",3]]]],[11,"new_zeroed_slice","","Constructs a new boxed slice with uninitialized contents, …",405,[[["usize",15]],[["box",3],["global",3]]]],[11,"new_uninit_slice_in","","Constructs a new boxed slice with uninitialized contents …",405,[[["usize",15]],["box",3]]],[11,"new_zeroed_slice_in","","Constructs a new boxed slice with uninitialized contents …",405,[[["usize",15]],["box",3]]],[11,"assume_init","","Converts to <code>Box<T, A></code>.",405,[[],["box",3]]],[11,"assume_init","","Converts to <code>Box<[T], A></code>.",405,[[],["box",3]]],[11,"from_raw","","Constructs a box from a raw pointer.",405,[[],[["global",3],["box",3]]]],[11,"from_raw_in","","Constructs a box from a raw pointer in the given …",405,[[],["box",3]]],[11,"into_raw","","Consumes the <code>Box</code>, returning a wrapped raw pointer.",405,[[["box",3]]]],[11,"into_raw_with_allocator","","Consumes the <code>Box</code>, returning a wrapped raw pointer and the …",405,[[["box",3]]]],[11,"allocator","","Returns a reference to the underlying allocator.",405,[[["box",3]]]],[11,"leak","","Consumes and leaks the <code>Box</code>, returning a mutable reference,…",405,[[["box",3]]]],[11,"into_pin","","Converts a <code>Box<T></code> into a <code>Pin<Box<T>></code>",405,[[["box",3]],[["box",3],["pin",3]]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",405,[[],[["box",3],["box",3],["result",4]]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",405,[[],[["box",3],["box",3],["result",4]]]],[11,"downcast","","Attempt to downcast the box to a concrete type.",405,[[],[["box",3],["box",3],["result",4]]]],[11,"as_str","std::fmt","Get the formatted string, if it has no arguments to be …",407,[[],[["str",15],["option",4]]]],[11,"entry","","Adds a new entry to the list output.",408,[[["debug",8]],["debuglist",3]]],[11,"entries","","Adds the contents of an iterator of entries to the list …",408,[[],["debuglist",3]]],[11,"finish","","Finishes output and returns any error encountered.",408,[[],[["error",3],["result",4]]]],[11,"entry","","Adds a new entry to the map output.",409,[[["debug",8]],["debugmap",3]]],[11,"key","","Adds the key part of a new entry to the map output.",409,[[["debug",8]],["debugmap",3]]],[11,"value","","Adds the value part of a new entry to the map output.",409,[[["debug",8]],["debugmap",3]]],[11,"entries","","Adds the contents of an iterator of entries to the map …",409,[[],["debugmap",3]]],[11,"finish","","Finishes output and returns any error encountered.",409,[[],[["error",3],["result",4]]]],[11,"entry","","Adds a new entry to the set output.",410,[[["debug",8]],["debugset",3]]],[11,"entries","","Adds the contents of an iterator of entries to the set …",410,[[],["debugset",3]]],[11,"finish","","Finishes output and returns any error encountered.",410,[[],[["error",3],["result",4]]]],[11,"field","","Adds a new field to the generated struct output.",411,[[["debug",8],["str",15]],["debugstruct",3]]],[11,"finish_non_exhaustive","","Marks the struct as non-exhaustive, indicating to the …",411,[[],[["error",3],["result",4]]]],[11,"finish","","Finishes output and returns any error encountered.",411,[[],[["error",3],["result",4]]]],[11,"field","","Adds a new field to the generated tuple struct output.",412,[[["debug",8]],["debugtuple",3]]],[11,"finish","","Finishes output and returns any error encountered.",412,[[],[["error",3],["result",4]]]],[11,"pad_integral","","Performs the correct padding for an integer which has …",413,[[["bool",15],["str",15]],[["error",3],["result",4]]]],[11,"pad","","This function takes a string slice and emits it to the …",413,[[["str",15]],[["error",3],["result",4]]]],[11,"write_str","","Writes some data to the underlying buffer contained …",413,[[["str",15]],[["error",3],["result",4]]]],[11,"write_fmt","","Writes some formatted information into this instance.",413,[[["arguments",3]],[["error",3],["result",4]]]],[11,"flags","","Flags for formatting",413,[[],["u32",15]]],[11,"fill","","Character used as \'fill\' whenever there is alignment.",413,[[],["char",15]]],[11,"align","","Flag indicating what form of alignment was requested.",413,[[],[["option",4],["alignment",4]]]],[11,"width","","Optionally specified integer width that the output should …",413,[[],[["usize",15],["option",4]]]],[11,"precision","","Optionally specified precision for numeric types. …",413,[[],[["usize",15],["option",4]]]],[11,"sign_plus","","Determines if the <code>+</code> flag was specified.",413,[[],["bool",15]]],[11,"sign_minus","","Determines if the <code>-</code> flag was specified.",413,[[],["bool",15]]],[11,"alternate","","Determines if the <code>#</code> flag was specified.",413,[[],["bool",15]]],[11,"sign_aware_zero_pad","","Determines if the <code>0</code> flag was specified.",413,[[],["bool",15]]],[11,"debug_struct","","Creates a [<code>DebugStruct</code>] builder designed to assist with …",413,[[["str",15]],["debugstruct",3]]],[11,"debug_tuple","","Creates a <code>DebugTuple</code> builder designed to assist with …",413,[[["str",15]],["debugtuple",3]]],[11,"debug_list","","Creates a <code>DebugList</code> builder designed to assist with …",413,[[],["debuglist",3]]],[11,"debug_set","","Creates a <code>DebugSet</code> builder designed to assist with …",413,[[],["debugset",3]]],[11,"debug_map","","Creates a <code>DebugMap</code> builder designed to assist with …",413,[[],["debugmap",3]]],[11,"new","std::rc","Constructs a new <code>Rc<T></code>.",414,[[],["rc",3]]],[11,"new_cyclic","","Constructs a new <code>Rc<T></code> using a weak reference to itself. …",414,[[],["rc",3]]],[11,"new_uninit","","Constructs a new <code>Rc</code> with uninitialized contents.",414,[[],[["rc",3],["maybeuninit",19]]]],[11,"new_zeroed","","Constructs a new <code>Rc</code> with uninitialized contents, with the …",414,[[],[["rc",3],["maybeuninit",19]]]],[11,"try_new","","Constructs a new <code>Rc<T></code>, returning an error if the …",414,[[],[["result",4],["rc",3],["allocerror",3]]]],[11,"try_new_uninit","","Constructs a new <code>Rc</code> with uninitialized contents, …",414,[[],[["rc",3],["allocerror",3],["result",4]]]],[11,"try_new_zeroed","","Constructs a new <code>Rc</code> with uninitialized contents, with the …",414,[[],[["rc",3],["allocerror",3],["result",4]]]],[11,"pin","","Constructs a new <code>Pin<Rc<T>></code>. If <code>T</code> does not implement <code>Unpin</code>…",414,[[],[["rc",3],["pin",3]]]],[11,"try_unwrap","","Returns the inner value, if the <code>Rc</code> has exactly one strong …",414,[[["rc",3]],[["rc",3],["result",4]]]],[11,"new_uninit_slice","","Constructs a new reference-counted slice with …",414,[[["usize",15]],["rc",3]]],[11,"new_zeroed_slice","","Constructs a new reference-counted slice with …",414,[[["usize",15]],["rc",3]]],[11,"assume_init","","Converts to <code>Rc<T></code>.",414,[[],["rc",3]]],[11,"assume_init","","Converts to <code>Rc<[T]></code>.",414,[[],["rc",3]]],[11,"into_raw","","Consumes the <code>Rc</code>, returning the wrapped pointer.",414,[[["rc",3]]]],[11,"as_ptr","","Provides a raw pointer to the data.",414,[[["rc",3]]]],[11,"from_raw","","Constructs an <code>Rc<T></code> from a raw pointer.",414,[[],["rc",3]]],[11,"downgrade","","Creates a new [<code>Weak</code>] pointer to this allocation.",414,[[["rc",3]],["weak",3]]],[11,"weak_count","","Gets the number of [<code>Weak</code>] pointers to this allocation.",414,[[["rc",3]],["usize",15]]],[11,"strong_count","","Gets the number of strong (<code>Rc</code>) pointers to this …",414,[[["rc",3]],["usize",15]]],[11,"get_mut","","Returns a mutable reference into the given <code>Rc</code>, if there …",414,[[["rc",3]],["option",4]]],[11,"get_mut_unchecked","","Returns a mutable reference into the given <code>Rc</code>, without …",414,[[["rc",3]]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Rc</code>s point to the same allocation …",414,[[["rc",3]],["bool",15]]],[11,"make_mut","","Makes a mutable reference into the given <code>Rc</code>.",414,[[["rc",3]]]],[11,"downcast","","Attempt to downcast the <code>Rc<dyn Any></code> to a concrete type.",414,[[],[["result",4],["rc",3],["rc",3]]]],[11,"new","","Constructs a new <code>Weak<T></code>, without allocating any memory. …",415,[[],["weak",3]]],[11,"as_ptr","","Returns a raw pointer to the object <code>T</code> pointed to by this …",415,[[]]],[11,"into_raw","","Consumes the <code>Weak<T></code> and turns it into a raw pointer.",415,[[]]],[11,"from_raw","","Converts a raw pointer previously created by <code>into_raw</code> …",415,[[],["weak",3]]],[11,"upgrade","","Attempts to upgrade the <code>Weak</code> pointer to an [<code>Rc</code>], delaying …",415,[[],[["option",4],["rc",3]]]],[11,"strong_count","","Gets the number of strong (<code>Rc</code>) pointers pointing to this …",415,[[],["usize",15]]],[11,"weak_count","","Gets the number of <code>Weak</code> pointers pointing to this …",415,[[],["usize",15]]],[11,"ptr_eq","","Returns <code>true</code> if the two <code>Weak</code>s point to the same …",415,[[["weak",3]],["bool",15]]],[11,"remainder","std::slice","Returns the remainder of the original slice that is not …",416,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",417,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",421,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",422,[[]]],[11,"as_slice","","Views the underlying data as a subslice of the original …",428,[[]]],[11,"into_slice","","Views the underlying data as a subslice of the original …",429,[[]]],[11,"as_slice","","Views the underlying data as a subslice of the original …",429,[[]]],[11,"remainder","","Returns the remainder of the original slice that is not …",431,[[]]],[11,"into_remainder","","Returns the remainder of the original slice that is not …",432,[[]]],[11,"as_str","std::str","Views the underlying data as a subslice of the original …",448,[[],["str",15]]],[11,"as_str","","Views the underlying data as a subslice of the original …",449,[[],["str",15]]],[11,"valid_up_to","","Returns the index in the given string up to which valid …",454,[[],["usize",15]]],[11,"error_len","","Provides more information about the failure:",454,[[],[["usize",15],["option",4]]]],[11,"as_str","","Returns remainder of the splitted string",461,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",462,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",463,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",464,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",465,[[],["str",15]]],[11,"as_str","","Returns remainder of the splitted string",466,[[],["str",15]]],[11,"new","std::string","Creates a new empty <code>String</code>.",467,[[],["string",3]]],[11,"with_capacity","","Creates a new empty <code>String</code> with a particular capacity.",467,[[["usize",15]],["string",3]]],[11,"from_utf8","","Converts a vector of bytes to a <code>String</code>.",467,[[["vec",3],["global",3],["u8",15]],[["string",3],["result",4],["fromutf8error",3]]]],[11,"from_utf8_lossy","","Converts a slice of bytes to a string, including invalid …",467,[[],[["cow",4],["str",15]]]],[11,"from_utf16","","Decode a UTF-16–encoded vector <code>v</code> into a <code>String</code>, …",467,[[],[["result",4],["string",3],["fromutf16error",3]]]],[11,"from_utf16_lossy","","Decode a UTF-16–encoded slice <code>v</code> into a <code>String</code>, replacing…",467,[[],["string",3]]],[11,"into_raw_parts","","Decomposes a <code>String</code> into its raw components.",467,[[]]],[11,"from_raw_parts","","Creates a new <code>String</code> from a length, capacity, and pointer.",467,[[["usize",15]],["string",3]]],[11,"from_utf8_unchecked","","Converts a vector of bytes to a <code>String</code> without checking …",467,[[["vec",3],["global",3],["u8",15]],["string",3]]],[11,"into_bytes","","Converts a <code>String</code> into a byte vector.",467,[[],[["vec",3],["global",3],["u8",15]]]],[11,"as_str","","Extracts a string slice containing the entire <code>String</code>.",467,[[],["str",15]]],[11,"as_mut_str","","Converts a <code>String</code> into a mutable string slice.",467,[[],["str",15]]],[11,"push_str","","Appends a given string slice onto the end of this <code>String</code>.",467,[[["str",15]]]],[11,"capacity","","Returns this <code>String</code>\'s capacity, in bytes.",467,[[],["usize",15]]],[11,"reserve","","Ensures that this <code>String</code>\'s capacity is at least <code>additional</code>…",467,[[["usize",15]]]],[11,"reserve_exact","","Ensures that this <code>String</code>\'s capacity is <code>additional</code> bytes …",467,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",467,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",467,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of this <code>String</code> to match its length.",467,[[]]],[11,"shrink_to","","Shrinks the capacity of this <code>String</code> with a lower bound.",467,[[["usize",15]]]],[11,"push","","Appends the given [<code>char</code>] to the end of this <code>String</code>.",467,[[["char",15]]]],[11,"as_bytes","","Returns a byte slice of this <code>String</code>\'s contents.",467,[[]]],[11,"truncate","","Shortens this <code>String</code> to the specified length.",467,[[["usize",15]]]],[11,"pop","","Removes the last character from the string buffer and …",467,[[],[["option",4],["char",15]]]],[11,"remove","","Removes a [<code>char</code>] from this <code>String</code> at a byte position and …",467,[[["usize",15]],["char",15]]],[11,"retain","","Retains only the characters specified by the predicate.",467,[[]]],[11,"insert","","Inserts a character into this <code>String</code> at a byte position.",467,[[["usize",15],["char",15]]]],[11,"insert_str","","Inserts a string slice into this <code>String</code> at a byte …",467,[[["usize",15],["str",15]]]],[11,"as_mut_vec","","Returns a mutable reference to the contents of this <code>String</code>…",467,[[],["vec",3]]],[11,"len","","Returns the length of this <code>String</code>, in bytes, not [<code>char</code>]s …",467,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if this <code>String</code> has a length of zero, and …",467,[[],["bool",15]]],[11,"split_off","","Splits the string into two at the given byte index.",467,[[["usize",15]],["string",3]]],[11,"clear","","Truncates this <code>String</code>, removing all contents.",467,[[]]],[11,"drain","","Creates a draining iterator that removes the specified …",467,[[],["drain",3]]],[11,"replace_range","","Removes the specified range in the string, and replaces …",467,[[["str",15]]]],[11,"into_boxed_str","","Converts this <code>String</code> into a [<code>Box</code>]<code><</code><code>str</code><code>></code>.",467,[[],[["box",3],["global",3],["str",15]]]],[11,"as_bytes","","Returns a slice of [<code>u8</code>]s bytes that were attempted to …",468,[[]]],[11,"into_bytes","","Returns the bytes that were attempted to convert to a …",468,[[],[["vec",3],["global",3],["u8",15]]]],[11,"utf8_error","","Fetch a <code>Utf8Error</code> to get more details about the …",468,[[],["utf8error",3]]],[11,"as_str","","Returns the remaining (sub)string of this iterator as a …",470,[[],["str",15]]],[11,"new","std::vec","Constructs a new, empty <code>Vec<T></code>.",471,[[],[["vec",3],["global",3]]]],[11,"with_capacity","","Constructs a new, empty <code>Vec<T></code> with the specified …",471,[[["usize",15]],[["vec",3],["global",3]]]],[11,"from_raw_parts","","Creates a <code>Vec<T></code> directly from the raw components of …",471,[[["usize",15]],[["vec",3],["global",3]]]],[11,"new_in","","Constructs a new, empty <code>Vec<T, A></code>.",471,[[],["vec",3]]],[11,"with_capacity_in","","Constructs a new, empty <code>Vec<T, A></code> with the specified …",471,[[["usize",15]],["vec",3]]],[11,"from_raw_parts_in","","Creates a <code>Vec<T, A></code> directly from the raw components of …",471,[[["usize",15]],["vec",3]]],[11,"into_raw_parts","","Decomposes a <code>Vec<T></code> into its raw components.",471,[[]]],[11,"into_raw_parts_with_alloc","","Decomposes a <code>Vec<T></code> into its raw components.",471,[[]]],[11,"capacity","","Returns the number of elements the vector can hold without…",471,[[],["usize",15]]],[11,"reserve","","Reserves capacity for at least <code>additional</code> more elements …",471,[[["usize",15]]]],[11,"reserve_exact","","Reserves the minimum capacity for exactly <code>additional</code> more …",471,[[["usize",15]]]],[11,"try_reserve","","Tries to reserve capacity for at least <code>additional</code> more …",471,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"try_reserve_exact","","Tries to reserve the minimum capacity for exactly …",471,[[["usize",15]],[["tryreserveerror",4],["result",4]]]],[11,"shrink_to_fit","","Shrinks the capacity of the vector as much as possible.",471,[[]]],[11,"shrink_to","","Shrinks the capacity of the vector with a lower bound.",471,[[["usize",15]]]],[11,"into_boxed_slice","","Converts the vector into <code>Box<[T]></code>.",471,[[],["box",3]]],[11,"truncate","","Shortens the vector, keeping the first <code>len</code> elements and …",471,[[["usize",15]]]],[11,"as_slice","","Extracts a slice containing the entire vector.",471,[[]]],[11,"as_mut_slice","","Extracts a mutable slice of the entire vector.",471,[[]]],[11,"as_ptr","","Returns a raw pointer to the vector\'s buffer.",471,[[]]],[11,"as_mut_ptr","","Returns an unsafe mutable pointer to the vector\'s buffer.",471,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",471,[[]]],[11,"set_len","","Forces the length of the vector to <code>new_len</code>.",471,[[["usize",15]]]],[11,"swap_remove","","Removes an element from the vector and returns it.",471,[[["usize",15]]]],[11,"insert","","Inserts an element at position <code>index</code> within the vector, …",471,[[["usize",15]]]],[11,"remove","","Removes and returns the element at position <code>index</code> within …",471,[[["usize",15]]]],[11,"retain","","Retains only the elements specified by the predicate.",471,[[]]],[11,"dedup_by_key","","Removes all but the first of consecutive elements in the …",471,[[]]],[11,"dedup_by","","Removes all but the first of consecutive elements in the …",471,[[]]],[11,"push","","Appends an element to the back of a collection.",471,[[]]],[11,"pop","","Removes the last element from a vector and returns it, or …",471,[[],["option",4]]],[11,"append","","Moves all the elements of <code>other</code> into <code>Self</code>, leaving <code>other</code> …",471,[[["vec",3]]]],[11,"drain","","Creates a draining iterator that removes the specified …",471,[[],["drain",3]]],[11,"clear","","Clears the vector, removing all values.",471,[[]]],[11,"len","","Returns the number of elements in the vector, also …",471,[[],["usize",15]]],[11,"is_empty","","Returns <code>true</code> if the vector contains no elements.",471,[[],["bool",15]]],[11,"split_off","","Splits the collection into two at the given index.",471,[[["usize",15]],["vec",3]]],[11,"resize_with","","Resizes the <code>Vec</code> in-place so that <code>len</code> is equal to <code>new_len</code>.",471,[[["usize",15]]]],[11,"leak","","Consumes and leaks the <code>Vec</code>, returning a mutable reference …",471,[[]]],[11,"spare_capacity_mut","","Returns the remaining spare capacity of the vector as a …",471,[[]]],[11,"resize","","Resizes the <code>Vec</code> in-place so that <code>len</code> is equal to <code>new_len</code>.",471,[[["usize",15]]]],[11,"extend_from_slice","","Clones and appends all elements in a slice to the <code>Vec</code>.",471,[[]]],[11,"extend_from_within","","Copies elements from <code>src</code> range to the end of the vector.",471,[[]]],[11,"dedup","","Removes consecutive repeated elements in the vector …",471,[[]]],[11,"splice","","Creates a splicing iterator that replaces the specified …",471,[[],["splice",3]]],[11,"drain_filter","","Creates an iterator which uses a closure to determine if …",471,[[],["drainfilter",3]]],[11,"allocator","","Returns a reference to the underlying allocator.",472,[[]]],[11,"as_slice","","Returns the remaining items of this iterator as a slice.",474,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",474,[[]]],[11,"as_slice","","Returns the remaining items of this iterator as a slice.",475,[[]]],[11,"as_mut_slice","","Returns the remaining items of this iterator as a mutable …",475,[[]]],[11,"allocator","","Returns a reference to the underlying allocator.",475,[[]]],[11,"is","std::any","Returns <code>true</code> if the boxed type is the same as <code>T</code>.",139,[[],["bool",15]]],[11,"downcast_ref","","Returns some reference to the boxed value if it is of …",139,[[],["option",4]]],[11,"downcast_mut","","Returns some mutable reference to the boxed value if it …",139,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["option",4]]],[11,"is","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["bool",15]]],[11,"downcast_ref","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["option",4]]],[11,"downcast_mut","","Forwards to the method defined on the type <code>Any</code>.",139,[[],["option",4]]],[11,"of","","Returns the <code>TypeId</code> of the type this generic function has …",476,[[],["typeid",3]]],[11,"new","std::array","Creates a new iterator over the given <code>array</code>.",478,[[],["intoiter",3]]],[11,"as_slice","","Returns an immutable slice of all elements that have not …",478,[[]]],[11,"as_mut_slice","","Returns a mutable slice of all elements that have not …",478,[[]]],[11,"new","std::cell","Creates a new <code>Cell</code> containing the given value.",479,[[],["cell",3]]],[11,"set","","Sets the contained value.",479,[[]]],[11,"swap","","Swaps the values of two Cells. Difference with …",479,[[["cell",3]]]],[11,"replace","","Replaces the contained value, and returns it.",479,[[]]],[11,"into_inner","","Unwraps the value.",479,[[]]],[11,"get","","Returns a copy of the contained value.",479,[[]]],[11,"update","","Updates the contained value using a function and returns …",479,[[]]],[11,"as_ptr","","Returns a raw pointer to the underlying data in this cell.",479,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",479,[[]]],[11,"from_mut","","Returns a <code>&Cell<T></code> from a <code>&mut T</code>",479,[[],["cell",3]]],[11,"take","","Takes the value of the cell, leaving <code>Default::default()</code> …",479,[[]]],[11,"as_slice_of_cells","","Returns a <code>&[Cell<T>]</code> from a <code>&Cell<[T]></code>",479,[[]]],[11,"new","","Creates a new <code>RefCell</code> containing <code>value</code>.",480,[[],["refcell",3]]],[11,"into_inner","","Consumes the <code>RefCell</code>, returning the wrapped value.",480,[[]]],[11,"replace","","Replaces the wrapped value with a new one, returning the …",480,[[]]],[11,"replace_with","","Replaces the wrapped value with a new one computed from <code>f</code>…",480,[[]]],[11,"swap","","Swaps the wrapped value of <code>self</code> with the wrapped value of …",480,[[["refcell",3]]]],[11,"borrow","","Immutably borrows the wrapped value.",480,[[],["ref",3]]],[11,"try_borrow","","Immutably borrows the wrapped value, returning an error …",480,[[],[["borrowerror",3],["result",4],["ref",3]]]],[11,"borrow_mut","","Mutably borrows the wrapped value.",480,[[],["refmut",3]]],[11,"try_borrow_mut","","Mutably borrows the wrapped value, returning an error if …",480,[[],[["result",4],["refmut",3],["borrowmuterror",3]]]],[11,"as_ptr","","Returns a raw pointer to the underlying data in this cell.",480,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",480,[[]]],[11,"undo_leak","","Undo the effect of leaked guards on the borrow state of …",480,[[]]],[11,"try_borrow_unguarded","","Immutably borrows the wrapped value, returning an error …",480,[[],[["result",4],["borrowerror",3]]]],[11,"take","","Takes the wrapped value, leaving <code>Default::default()</code> in …",480,[[]]],[11,"clone","","Copies a <code>Ref</code>.",483,[[["ref",3]],["ref",3]]],[11,"map","","Makes a new <code>Ref</code> for a component of the borrowed data.",483,[[["ref",3]],["ref",3]]],[11,"filter_map","","Makes a new <code>Ref</code> for an optional component of the borrowed …",483,[[["ref",3]],[["ref",3],["ref",3],["result",4]]]],[11,"map_split","","Splits a <code>Ref</code> into multiple <code>Ref</code>s for different components …",483,[[["ref",3]]]],[11,"leak","","Convert into a reference to the underlying data.",483,[[["ref",3]]]],[11,"map","","Makes a new <code>RefMut</code> for a component of the borrowed data, …",484,[[["refmut",3]],["refmut",3]]],[11,"filter_map","","Makes a new <code>RefMut</code> for an optional component of the …",484,[[["refmut",3]],[["result",4],["refmut",3],["refmut",3]]]],[11,"map_split","","Splits a <code>RefMut</code> into multiple <code>RefMut</code>s for different …",484,[[["refmut",3]]]],[11,"leak","","Convert into a mutable reference to the underlying data.",484,[[["refmut",3]]]],[11,"new","","Constructs a new instance of <code>UnsafeCell</code> which will wrap …",485,[[],["unsafecell",3]]],[11,"into_inner","","Unwraps the value.",485,[[]]],[11,"get","","Gets a mutable pointer to the wrapped value.",485,[[]]],[11,"get_mut","","Returns a mutable reference to the underlying data.",485,[[]]],[11,"raw_get","","Gets a mutable pointer to the wrapped value. The …",485,[[]]],[11,"unpaired_surrogate","std::char","Returns the unpaired surrogate which caused this error.",494,[[],["u16",15]]],[11,"is_eq","std::cmp","Returns <code>true</code> if the ordering is the <code>Equal</code> variant.",143,[[],["bool",15]]],[11,"is_ne","","Returns <code>true</code> if the ordering is not the <code>Equal</code> variant.",143,[[],["bool",15]]],[11,"is_lt","","Returns <code>true</code> if the ordering is the <code>Less</code> variant.",143,[[],["bool",15]]],[11,"is_gt","","Returns <code>true</code> if the ordering is the <code>Greater</code> variant.",143,[[],["bool",15]]],[11,"is_le","","Returns <code>true</code> if the ordering is either the <code>Less</code> or <code>Equal</code> …",143,[[],["bool",15]]],[11,"is_ge","","Returns <code>true</code> if the ordering is either the <code>Greater</code> or …",143,[[],["bool",15]]],[11,"reverse","","Reverses the <code>Ordering</code>.",143,[[],["ordering",4]]],[11,"then","","Chains two orderings.",143,[[["ordering",4]],["ordering",4]]],[11,"then_with","","Chains the ordering with the given function.",143,[[],["ordering",4]]],[11,"new","std::hash","Creates a new <code>SipHasher</code> with the two initial keys set to …",500,[[],["siphasher",3]]],[11,"new_with_keys","","Creates a <code>SipHasher</code> that is keyed off the provided keys.",500,[[["u64",15]],["siphasher",3]]],[11,"peek","std::iter","Returns a reference to the next() value without advancing …",522,[[],["option",4]]],[11,"peek_mut","","Returns a mutable reference to the next() value without …",522,[[],["option",4]]],[11,"next_if","","Consume and return the next value of this iterator if a …",522,[[],["option",4]]],[11,"next_if_eq","","Consume and return the next item if it is equal to …",522,[[],["option",4]]],[11,"new","std::mem","Wrap a value to be manually dropped.",535,[[],["manuallydrop",3]]],[11,"into_inner","","Extracts the value from the <code>ManuallyDrop</code> container.",535,[[["manuallydrop",3]]]],[11,"take","","Takes the value from the <code>ManuallyDrop<T></code> container out.",535,[[["manuallydrop",3]]]],[11,"drop","","Manually drops the contained value. This is exactly …",535,[[["manuallydrop",3]]]],[11,"new","","Creates a new <code>MaybeUninit<T></code> initialized with the given …",536,[[],["maybeuninit",19]]],[11,"uninit","","Creates a new <code>MaybeUninit<T></code> in an uninitialized state.",536,[[],["maybeuninit",19]]],[11,"uninit_array","","Create a new array of <code>MaybeUninit<T></code> items, in an …",536,[[]]],[11,"zeroed","","Creates a new <code>MaybeUninit<T></code> in an uninitialized state, …",536,[[],["maybeuninit",19]]],[11,"write","","Sets the value of the <code>MaybeUninit<T></code>. This overwrites any …",536,[[]]],[11,"as_ptr","","Gets a pointer to the contained value. Reading from this …",536,[[]]],[11,"as_mut_ptr","","Gets a mutable pointer to the contained value. Reading …",536,[[]]],[11,"assume_init","","Extracts the value from the <code>MaybeUninit<T></code> container. …",536,[[]]],[11,"assume_init_read","","Reads the value from the <code>MaybeUninit<T></code> container. The …",536,[[]]],[11,"assume_init_drop","","Drops the contained value in place.",536,[[]]],[11,"assume_init_ref","","Gets a shared reference to the contained value.",536,[[]]],[11,"assume_init_mut","","Gets a mutable (unique) reference to the contained value.",536,[[]]],[11,"array_assume_init","","Extracts the values from an array of <code>MaybeUninit</code> …",536,[[]]],[11,"slice_assume_init_ref","","Assuming all the elements are initialized, get a slice to …",536,[[]]],[11,"slice_assume_init_mut","","Assuming all the elements are initialized, get a mutable …",536,[[]]],[11,"slice_as_ptr","","Gets a pointer to the first element of the array.",536,[[]]],[11,"slice_as_mut_ptr","","Gets a mutable pointer to the first element of the array.",536,[[]]],[11,"write_slice","","Copies the elements from <code>src</code> to <code>this</code>, returning a mutable …",536,[[]]],[11,"write_slice_cloned","","Clones the elements from <code>src</code> to <code>this</code>, returning a mutable …",536,[[]]],[11,"contains","std::ops","Returns <code>true</code> if <code>item</code> is contained in the range.",200,[[],["bool",15]]],[11,"is_empty","","Returns <code>true</code> if the range contains no items.",200,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",201,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",202,[[],["bool",15]]],[11,"as_ref","","Converts from <code>&Bound<T></code> to <code>Bound<&T></code>.",203,[[],["bound",4]]],[11,"as_mut","","Converts from <code>&mut Bound<T></code> to <code>Bound<&T></code>.",203,[[],["bound",4]]],[11,"cloned","","Map a <code>Bound<&T></code> to a <code>Bound<T></code> by cloning the contents of …",203,[[],["bound",4]]],[11,"new","","Creates a new inclusive range. Equivalent to writing …",538,[[],["rangeinclusive",3]]],[11,"start","","Returns the lower bound of the range (inclusive).",538,[[]]],[11,"end","","Returns the upper bound of the range (inclusive).",538,[[]]],[11,"into_inner","","Destructures the <code>RangeInclusive</code> into (lower bound, upper …",538,[[]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",538,[[],["bool",15]]],[11,"is_empty","","Returns <code>true</code> if the range contains no items.",538,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if <code>item</code> is contained in the range.",205,[[],["bool",15]]],[11,"is_break","","Returns <code>true</code> if this is a <code>Break</code> variant.",209,[[],["bool",15]]],[11,"is_continue","","Returns <code>true</code> if this is a <code>Continue</code> variant.",209,[[],["bool",15]]],[11,"break_value","","Converts the <code>ControlFlow</code> into an <code>Option</code> which is <code>Some</code> if …",209,[[],["option",4]]],[11,"map_break","","Maps <code>ControlFlow<B, C></code> to <code>ControlFlow<T, C></code> by applying a …",209,[[],["controlflow",4]]],[11,"from_try","","Create a <code>ControlFlow</code> from any type implementing <code>Try</code>.",209,[[],["controlflow",4]]],[11,"into_try","","Convert a <code>ControlFlow</code> into any type implementing <code>Try</code>;",209,[[]]],[18,"CONTINUE","","It\'s frequently the case that there\'s no value needed …",209,null],[18,"BREAK","","APIs like <code>try_for_each</code> don\'t need values with <code>Break</code>, so …",209,null],[11,"is_some","std::option","Returns <code>true</code> if the option is a [<code>Some</code>] value.",210,[[],["bool",15]]],[11,"is_none","","Returns <code>true</code> if the option is a [<code>None</code>] value.",210,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if the option is a [<code>Some</code>] value containing …",210,[[],["bool",15]]],[11,"as_ref","","Converts from <code>&Option<T></code> to <code>Option<&T></code>.",210,[[],["option",4]]],[11,"as_mut","","Converts from <code>&mut Option<T></code> to <code>Option<&mut T></code>.",210,[[],["option",4]]],[11,"as_pin_ref","","Converts from [<code>Pin</code>]<code><&Option<T>></code> to <code>Option<</code>[<code>Pin</code>]<code><&T>></code>.",210,[[["pin",3],["option",4]],[["option",4],["pin",3]]]],[11,"as_pin_mut","","Converts from [<code>Pin</code>]<code><&mut Option<T>></code> to <code>Option<</code>[<code>Pin</code>]…",210,[[["option",4],["pin",3]],[["option",4],["pin",3]]]],[11,"expect","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",210,[[["str",15]]]],[11,"unwrap","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",210,[[]]],[11,"unwrap_or","","Returns the contained [<code>Some</code>] value or a provided default.",210,[[]]],[11,"unwrap_or_else","","Returns the contained [<code>Some</code>] value or computes it from a …",210,[[]]],[11,"unwrap_unchecked","","Returns the contained [<code>Some</code>] value, consuming the <code>self</code> …",210,[[]]],[11,"map","","Maps an <code>Option<T></code> to <code>Option<U></code> by applying a function to …",210,[[],["option",4]]],[11,"map_or","","Applies a function to the contained value (if any), or …",210,[[]]],[11,"map_or_else","","Applies a function to the contained value (if any), or …",210,[[]]],[11,"ok_or","","Transforms the <code>Option<T></code> into a [<code>Result<T, E></code>], mapping …",210,[[],["result",4]]],[11,"ok_or_else","","Transforms the <code>Option<T></code> into a [<code>Result<T, E></code>], mapping …",210,[[],["result",4]]],[11,"insert","","Inserts <code>value</code> into the option then returns a mutable …",210,[[]]],[11,"iter","","Returns an iterator over the possibly contained value.",210,[[],["iter",3]]],[11,"iter_mut","","Returns a mutable iterator over the possibly contained …",210,[[],["itermut",3]]],[11,"and","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise returns …",210,[[["option",4]],["option",4]]],[11,"and_then","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise calls <code>f</code> …",210,[[],["option",4]]],[11,"filter","","Returns [<code>None</code>] if the option is [<code>None</code>], otherwise calls …",210,[[],["option",4]]],[11,"or","","Returns the option if it contains a value, otherwise …",210,[[["option",4]],["option",4]]],[11,"or_else","","Returns the option if it contains a value, otherwise …",210,[[],["option",4]]],[11,"xor","","Returns [<code>Some</code>] if exactly one of <code>self</code>, <code>optb</code> is [<code>Some</code>], …",210,[[["option",4]],["option",4]]],[11,"get_or_insert","","Inserts <code>value</code> into the option if it is [<code>None</code>], then …",210,[[]]],[11,"get_or_insert_with","","Inserts a value computed from <code>f</code> into the option if it is […",210,[[]]],[11,"take","","Takes the value out of the option, leaving a [<code>None</code>] in …",210,[[],["option",4]]],[11,"replace","","Replaces the actual value in the option by the value …",210,[[],["option",4]]],[11,"zip","","Zips <code>self</code> with another <code>Option</code>.",210,[[["option",4]],["option",4]]],[11,"zip_with","","Zips <code>self</code> and another <code>Option</code> with function <code>f</code>.",210,[[["option",4]],["option",4]]],[11,"copied","","Maps an <code>Option<&T></code> to an <code>Option<T></code> by copying the …",210,[[],["option",4]]],[11,"copied","","Maps an <code>Option<&mut T></code> to an <code>Option<T></code> by copying the …",210,[[],["option",4]]],[11,"cloned","","Maps an <code>Option<&T></code> to an <code>Option<T></code> by cloning the …",210,[[],["option",4]]],[11,"cloned","","Maps an <code>Option<&mut T></code> to an <code>Option<T></code> by cloning the …",210,[[],["option",4]]],[11,"expect_none","","Consumes <code>self</code> while expecting [<code>None</code>] and returning …",210,[[["str",15]]]],[11,"unwrap_none","","Consumes <code>self</code> while expecting [<code>None</code>] and returning …",210,[[]]],[11,"unwrap_or_default","","Returns the contained [<code>Some</code>] value or a default",210,[[]]],[11,"as_deref","","Converts from <code>Option<T></code> (or <code>&Option<T></code>) to …",210,[[],["option",4]]],[11,"as_deref_mut","","Converts from <code>Option<T></code> (or <code>&mut Option<T></code>) to …",210,[[],["option",4]]],[11,"transpose","","Transposes an <code>Option</code> of a [<code>Result</code>] into a [<code>Result</code>] of an …",210,[[],[["option",4],["result",4]]]],[11,"flatten","","Converts from <code>Option<Option<T>></code> to <code>Option<T></code>",210,[[],["option",4]]],[11,"new","std::pin","Construct a new <code>Pin<P></code> around a pointer to some data of a …",543,[[],["pin",3]]],[11,"into_inner","","Unwraps this <code>Pin<P></code> returning the underlying pointer.",543,[[["pin",3]]]],[11,"new_unchecked","","Construct a new <code>Pin<P></code> around a reference to some data of …",543,[[],["pin",3]]],[11,"as_ref","","Gets a pinned shared reference from this pinned pointer.",543,[[],["pin",3]]],[11,"into_inner_unchecked","","Unwraps this <code>Pin<P></code> returning the underlying pointer.",543,[[["pin",3]]]],[11,"as_mut","","Gets a pinned mutable reference from this pinned pointer.",543,[[],["pin",3]]],[11,"set","","Assigns a new value to the memory behind the pinned …",543,[[]]],[11,"map_unchecked","","Constructs a new pin by mapping the interior value.",543,[[],["pin",3]]],[11,"get_ref","","Gets a shared reference out of a pin.",543,[[]]],[11,"into_ref","","Converts this <code>Pin<&mut T></code> into a <code>Pin<&T></code> with the same …",543,[[],["pin",3]]],[11,"get_mut","","Gets a mutable reference to the data inside of this <code>Pin</code>.",543,[[]]],[11,"get_unchecked_mut","","Gets a mutable reference to the data inside of this <code>Pin</code>.",543,[[]]],[11,"map_unchecked_mut","","Construct a new pin by mapping the interior value.",543,[[],["pin",3]]],[11,"static_ref","","Get a pinned reference from a static reference.",543,[[],["pin",3]]],[11,"static_mut","","Get a pinned mutable reference from a static mutable …",543,[[],["pin",3]]],[11,"dangling","std::ptr","Creates a new <code>NonNull</code> that is dangling, but well-aligned.",544,[[],["nonnull",3]]],[11,"as_uninit_ref","","Returns a shared references to the value. In contrast to …",544,[[],["maybeuninit",19]]],[11,"as_uninit_mut","","Returns a unique references to the value. In contrast to …",544,[[],["maybeuninit",19]]],[11,"new_unchecked","","Creates a new <code>NonNull</code>.",544,[[],["nonnull",3]]],[11,"new","","Creates a new <code>NonNull</code> if <code>ptr</code> is non-null.",544,[[],[["nonnull",3],["option",4]]]],[11,"as_ptr","","Acquires the underlying <code>*mut</code> pointer.",544,[[]]],[11,"as_ref","","Returns a shared reference to the value. If the value may …",544,[[]]],[11,"as_mut","","Returns a unique reference to the value. If the value may …",544,[[]]],[11,"cast","","Casts to a pointer of another type.",544,[[],["nonnull",3]]],[11,"slice_from_raw_parts","","Creates a non-null raw slice from a thin pointer and a …",544,[[["nonnull",3],["usize",15]],["nonnull",3]]],[11,"len","","Returns the length of a non-null raw slice.",544,[[],["usize",15]]],[11,"as_non_null_ptr","","Returns a non-null pointer to the slice\'s buffer.",544,[[],["nonnull",3]]],[11,"as_mut_ptr","","Returns a raw pointer to the slice\'s buffer.",544,[[]]],[11,"as_uninit_slice","","Returns a shared reference to a slice of possibly …",544,[[]]],[11,"as_uninit_slice_mut","","Returns a unique reference to a slice of possibly …",544,[[]]],[11,"get_unchecked_mut","","Returns a raw pointer to an element or subslice, without …",544,[[],["nonnull",3]]],[11,"is_ok","std::result","Returns <code>true</code> if the result is [<code>Ok</code>].",212,[[],["bool",15]]],[11,"is_err","","Returns <code>true</code> if the result is [<code>Err</code>].",212,[[],["bool",15]]],[11,"contains","","Returns <code>true</code> if the result is an [<code>Ok</code>] value containing …",212,[[],["bool",15]]],[11,"contains_err","","Returns <code>true</code> if the result is an [<code>Err</code>] value containing …",212,[[],["bool",15]]],[11,"ok","","Converts from <code>Result<T, E></code> to [<code>Option<T></code>].",212,[[],["option",4]]],[11,"err","","Converts from <code>Result<T, E></code> to [<code>Option<E></code>].",212,[[],["option",4]]],[11,"as_ref","","Converts from <code>&Result<T, E></code> to <code>Result<&T, &E></code>.",212,[[],["result",4]]],[11,"as_mut","","Converts from <code>&mut Result<T, E></code> to <code>Result<&mut T, &mut E></code>.",212,[[],["result",4]]],[11,"map","","Maps a <code>Result<T, E></code> to <code>Result<U, E></code> by applying a …",212,[[],["result",4]]],[11,"map_or","","Applies a function to the contained value (if [<code>Ok</code>]), or …",212,[[]]],[11,"map_or_else","","Maps a <code>Result<T, E></code> to <code>U</code> by applying a function to a …",212,[[]]],[11,"map_err","","Maps a <code>Result<T, E></code> to <code>Result<T, F></code> by applying a …",212,[[],["result",4]]],[11,"iter","","Returns an iterator over the possibly contained value.",212,[[],["iter",3]]],[11,"iter_mut","","Returns a mutable iterator over the possibly contained …",212,[[],["itermut",3]]],[11,"and","","Returns <code>res</code> if the result is [<code>Ok</code>], otherwise returns the […",212,[[["result",4]],["result",4]]],[11,"and_then","","Calls <code>op</code> if the result is [<code>Ok</code>], otherwise returns the [<code>Err</code>…",212,[[],["result",4]]],[11,"or","","Returns <code>res</code> if the result is [<code>Err</code>], otherwise returns the …",212,[[["result",4]],["result",4]]],[11,"or_else","","Calls <code>op</code> if the result is [<code>Err</code>], otherwise returns the [<code>Ok</code>…",212,[[],["result",4]]],[11,"unwrap_or","","Returns the contained [<code>Ok</code>] value or a provided default.",212,[[]]],[11,"unwrap_or_else","","Returns the contained [<code>Ok</code>] value or computes it from a …",212,[[]]],[11,"unwrap_unchecked","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",212,[[]]],[11,"unwrap_err_unchecked","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",212,[[]]],[11,"copied","","Maps a <code>Result<&T, E></code> to a <code>Result<T, E></code> by copying the …",212,[[],["result",4]]],[11,"copied","","Maps a <code>Result<&mut T, E></code> to a <code>Result<T, E></code> by copying the …",212,[[],["result",4]]],[11,"cloned","","Maps a <code>Result<&T, E></code> to a <code>Result<T, E></code> by cloning the …",212,[[],["result",4]]],[11,"cloned","","Maps a <code>Result<&mut T, E></code> to a <code>Result<T, E></code> by cloning the …",212,[[],["result",4]]],[11,"expect","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",212,[[["str",15]]]],[11,"unwrap","","Returns the contained [<code>Ok</code>] value, consuming the <code>self</code> …",212,[[]]],[11,"expect_err","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",212,[[["str",15]]]],[11,"unwrap_err","","Returns the contained [<code>Err</code>] value, consuming the <code>self</code> …",212,[[]]],[11,"unwrap_or_default","","Returns the contained [<code>Ok</code>] value or a default",212,[[]]],[11,"into_ok","","Returns the contained [<code>Ok</code>] value, but never panics.",212,[[]]],[11,"as_deref","","Converts from <code>Result<T, E></code> (or <code>&Result<T, E></code>) to …",212,[[],["result",4]]],[11,"as_deref_mut","","Converts from <code>Result<T, E></code> (or <code>&mut Result<T, E></code>) to …",212,[[],["result",4]]],[11,"transpose","","Transposes a <code>Result</code> of an <code>Option</code> into an <code>Option</code> of a …",212,[[],[["result",4],["option",4]]]],[11,"flatten","","Converts from <code>Result<Result<T, E>, E></code> to <code>Result<T, E></code>",212,[[],["result",4]]]],"p":[[3,"Builder"],[3,"ThreadId"],[3,"Thread"],[3,"JoinHandle"],[8,"AsciiExt"],[4,"BacktraceStatus"],[3,"Backtrace"],[4,"RawEntryMut"],[4,"Entry"],[4,"Entry"],[4,"TryReserveError"],[13,"AllocError"],[4,"VarError"],[8,"Error"],[3,"File"],[3,"OpenOptions"],[3,"Metadata"],[3,"Permissions"],[3,"FileType"],[3,"DirEntry"],[3,"DirBuilder"],[4,"ErrorKind"],[8,"Read"],[3,"IoSliceMut"],[3,"IoSlice"],[3,"Initializer"],[8,"Write"],[8,"Seek"],[4,"SeekFrom"],[8,"BufRead"],[3,"Chain"],[3,"Take"],[4,"SocketAddr"],[8,"ToSocketAddrs"],[4,"IpAddr"],[4,"Ipv6MulticastScope"],[4,"Shutdown"],[3,"Wrapping"],[4,"FpCategory"],[4,"IntErrorKind"],[8,"OsStringExt"],[8,"OsStrExt"],[8,"FileExt"],[8,"PermissionsExt"],[8,"OpenOptionsExt"],[8,"MetadataExt"],[8,"FileTypeExt"],[8,"DirEntryExt"],[8,"DirBuilderExt"],[8,"AsRawFd"],[8,"FromRawFd"],[8,"IntoRawFd"],[4,"AncillaryError"],[13,"Unknown"],[4,"AncillaryData"],[3,"UCred"],[8,"CommandExt"],[8,"ExitStatusExt"],[8,"JoinHandleExt"],[8,"OsStringExt"],[8,"OsStrExt"],[8,"FileExt"],[8,"OpenOptionsExt"],[8,"MetadataExt"],[8,"FileTypeExt"],[8,"AsRawHandle"],[8,"FromRawHandle"],[8,"IntoRawHandle"],[8,"AsRawSocket"],[8,"FromRawSocket"],[8,"IntoRawSocket"],[8,"ExitStatusExt"],[8,"CommandExt"],[8,"MetadataExt"],[3,"stat"],[3,"AssertUnwindSafe"],[4,"Prefix"],[3,"PrefixComponent"],[4,"Component"],[3,"Components"],[3,"Iter"],[3,"PathBuf"],[3,"Path"],[3,"Child"],[3,"Command"],[3,"Output"],[3,"Stdio"],[3,"ExitStatus"],[3,"ExitCode"],[8,"Termination"],[3,"SendError"],[4,"TryRecvError"],[4,"RecvTimeoutError"],[4,"TrySendError"],[3,"Sender"],[3,"SyncSender"],[3,"Receiver"],[4,"Ordering"],[4,"TryLockError"],[3,"Instant"],[3,"SystemTime"],[3,"SystemTimeError"],[3,"SyncOnceCell"],[3,"SyncLazy"],[4,"Poll"],[8,"Wake"],[3,"PoisonError"],[3,"SocketAddr"],[3,"SocketCred"],[3,"SocketAncillary"],[3,"UnixDatagram"],[3,"UnixListener"],[3,"UnixStream"],[8,"Allocator"],[8,"GlobalAlloc"],[8,"ToOwned"],[4,"Cow"],[8,"Borrow"],[8,"BorrowMut"],[4,"Alignment"],[8,"Binary"],[8,"Octal"],[8,"Debug"],[8,"Display"],[8,"Write"],[8,"LowerExp"],[8,"UpperExp"],[8,"LowerHex"],[8,"Pointer"],[8,"UpperHex"],[8,"Concat"],[8,"Join"],[8,"SliceIndex"],[8,"Pattern"],[4,"SearchStep"],[8,"Searcher"],[8,"ReverseSearcher"],[8,"FromStr"],[8,"ToString"],[8,"Any"],[8,"FixedSizeArray"],[8,"Clone"],[8,"PartialEq"],[4,"Ordering"],[3,"Reverse"],[8,"Ord"],[8,"PartialOrd"],[8,"AsRef"],[8,"AsMut"],[8,"Into"],[8,"From"],[8,"TryInto"],[8,"TryFrom"],[8,"Default"],[8,"Future"],[8,"IntoFuture"],[8,"Hash"],[8,"Hasher"],[8,"BuildHasher"],[8,"Iterator"],[8,"Step"],[8,"DoubleEndedIterator"],[8,"ExactSizeIterator"],[8,"Extend"],[8,"FromIterator"],[8,"IntoIterator"],[8,"Product"],[8,"Sum"],[8,"SourceIter"],[8,"DiscriminantKind"],[8,"Add"],[8,"Div"],[8,"Mul"],[8,"Neg"],[8,"Rem"],[8,"Sub"],[8,"AddAssign"],[8,"DivAssign"],[8,"MulAssign"],[8,"RemAssign"],[8,"SubAssign"],[8,"BitAnd"],[8,"BitOr"],[8,"BitXor"],[8,"Not"],[8,"Shl"],[8,"Shr"],[8,"BitAndAssign"],[8,"BitOrAssign"],[8,"BitXorAssign"],[8,"ShlAssign"],[8,"ShrAssign"],[8,"Deref"],[8,"DerefMut"],[8,"Drop"],[8,"Fn"],[8,"FnMut"],[8,"FnOnce"],[8,"Index"],[8,"IndexMut"],[3,"Range"],[3,"RangeFrom"],[3,"RangeTo"],[4,"Bound"],[8,"RangeBounds"],[3,"RangeToInclusive"],[8,"Try"],[8,"Generator"],[4,"GeneratorState"],[4,"ControlFlow"],[4,"Option"],[3,"TraitObject"],[4,"Result"],[8,"Stream"],[3,"LocalKey"],[3,"AccessError"],[3,"EscapeDefault"],[3,"BacktraceFrame"],[3,"HashMap"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"Keys"],[3,"Values"],[3,"Drain"],[3,"DrainFilter"],[3,"ValuesMut"],[3,"IntoKeys"],[3,"IntoValues"],[3,"RawEntryBuilderMut"],[3,"RawOccupiedEntryMut"],[3,"RawVacantEntryMut"],[3,"RawEntryBuilder"],[3,"OccupiedEntry"],[3,"VacantEntry"],[3,"RandomState"],[3,"DefaultHasher"],[3,"HashSet"],[3,"Iter"],[3,"IntoIter"],[3,"Drain"],[3,"DrainFilter"],[3,"Intersection"],[3,"Difference"],[3,"SymmetricDifference"],[3,"Union"],[3,"BinaryHeap"],[3,"PeekMut"],[3,"Iter"],[3,"IntoIter"],[3,"IntoIterSorted"],[3,"Drain"],[3,"DrainSorted"],[3,"OccupiedEntry"],[3,"VacantEntry"],[3,"BTreeMap"],[3,"Iter"],[3,"IntoIter"],[3,"Keys"],[3,"Values"],[3,"ValuesMut"],[3,"IntoKeys"],[3,"IntoValues"],[3,"Range"],[3,"RangeMut"],[3,"DrainFilter"],[3,"IterMut"],[3,"Iter"],[3,"Difference"],[3,"SymmetricDifference"],[3,"Intersection"],[3,"Union"],[3,"DrainFilter"],[3,"BTreeSet"],[3,"IntoIter"],[3,"Range"],[3,"LinkedList"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"Cursor"],[3,"CursorMut"],[3,"DrainFilter"],[3,"VecDeque"],[3,"Drain"],[3,"IterMut"],[3,"IntoIter"],[3,"Iter"],[3,"Vars"],[3,"VarsOs"],[3,"SplitPaths"],[3,"JoinPathsError"],[3,"Args"],[3,"ArgsOs"],[3,"Chain"],[3,"CString"],[3,"CStr"],[3,"NulError"],[3,"FromBytesWithNulError"],[3,"FromVecWithNulError"],[3,"IntoStringError"],[3,"OsString"],[3,"OsStr"],[4,"c_void"],[3,"VaList"],[3,"VaListImpl"],[3,"ReadDir"],[3,"BufReader"],[3,"BufWriter"],[3,"LineWriter"],[3,"IntoInnerError"],[3,"Cursor"],[3,"Error"],[3,"Stdin"],[3,"StdinLock"],[3,"Stdout"],[3,"StdoutLock"],[3,"Stderr"],[3,"StderrLock"],[3,"Empty"],[3,"Repeat"],[3,"Sink"],[3,"Bytes"],[3,"Split"],[3,"Lines"],[3,"SocketAddrV4"],[3,"SocketAddrV6"],[3,"Ipv4Addr"],[3,"Ipv6Addr"],[3,"AddrParseError"],[3,"TcpStream"],[3,"TcpListener"],[3,"Incoming"],[3,"UdpSocket"],[3,"ParseFloatError"],[3,"ParseIntError"],[3,"TryFromIntError"],[3,"NonZeroI128"],[3,"NonZeroI16"],[3,"NonZeroI32"],[3,"NonZeroI64"],[3,"NonZeroI8"],[3,"NonZeroIsize"],[3,"NonZeroU128"],[3,"NonZeroU16"],[3,"NonZeroU32"],[3,"NonZeroU64"],[3,"NonZeroU8"],[3,"NonZeroUsize"],[3,"ScmRights"],[3,"ScmCredentials"],[3,"Messages"],[3,"Incoming"],[3,"EncodeWide"],[3,"Location"],[3,"PanicInfo"],[3,"Ancestors"],[3,"StripPrefixError"],[3,"Display"],[3,"CommandEnvs"],[3,"ChildStdin"],[3,"ChildStdout"],[3,"ChildStderr"],[3,"CommandArgs"],[3,"Iter"],[3,"TryIter"],[3,"IntoIter"],[3,"RecvError"],[3,"Barrier"],[3,"BarrierWaitResult"],[3,"WaitTimeoutResult"],[3,"Condvar"],[3,"Mutex"],[3,"MutexGuard"],[3,"Once"],[3,"OnceState"],[3,"RwLock"],[3,"RwLockReadGuard"],[3,"RwLockWriteGuard"],[3,"Arc"],[3,"Weak"],[3,"AtomicBool"],[3,"AtomicPtr"],[3,"AtomicI8"],[3,"AtomicU8"],[3,"AtomicI16"],[3,"AtomicU16"],[3,"AtomicI32"],[3,"AtomicU32"],[3,"AtomicI64"],[3,"AtomicU64"],[3,"AtomicIsize"],[3,"AtomicUsize"],[3,"Duration"],[3,"OnceCell"],[3,"Lazy"],[3,"Context"],[3,"RawWaker"],[3,"RawWakerVTable"],[3,"Waker"],[3,"Global"],[3,"AllocError"],[3,"Layout"],[3,"LayoutError"],[3,"System"],[3,"Box"],[3,"Error"],[3,"Arguments"],[3,"DebugList"],[3,"DebugMap"],[3,"DebugSet"],[3,"DebugStruct"],[3,"DebugTuple"],[3,"Formatter"],[3,"Rc"],[3,"Weak"],[3,"ArrayChunks"],[3,"ArrayChunksMut"],[3,"ArrayWindows"],[3,"Chunks"],[3,"Windows"],[3,"ChunksExact"],[3,"ChunksExactMut"],[3,"ChunksMut"],[3,"Split"],[3,"SplitMut"],[3,"GroupBy"],[3,"GroupByMut"],[3,"Iter"],[3,"IterMut"],[3,"RChunks"],[3,"RChunksExact"],[3,"RChunksExactMut"],[3,"RChunksMut"],[3,"RSplit"],[3,"RSplitMut"],[3,"RSplitN"],[3,"RSplitNMut"],[3,"SplitN"],[3,"SplitNMut"],[3,"CharSearcher"],[3,"CharSliceSearcher"],[3,"CharPredicateSearcher"],[3,"StrSearcher"],[3,"EncodeUtf16"],[3,"SplitAsciiWhitespace"],[3,"SplitWhitespace"],[3,"Bytes"],[3,"CharIndices"],[3,"Chars"],[3,"ParseBoolError"],[3,"EscapeDebug"],[3,"EscapeDefault"],[3,"EscapeUnicode"],[3,"Utf8Error"],[3,"Lines"],[3,"LinesAny"],[3,"MatchIndices"],[3,"RMatchIndices"],[3,"Matches"],[3,"RMatches"],[3,"RSplit"],[3,"Split"],[3,"RSplitN"],[3,"SplitN"],[3,"RSplitTerminator"],[3,"SplitTerminator"],[3,"String"],[3,"FromUtf8Error"],[3,"FromUtf16Error"],[3,"Drain"],[3,"Vec"],[3,"DrainFilter"],[3,"Splice"],[3,"Drain"],[3,"IntoIter"],[3,"TypeId"],[3,"TryFromSliceError"],[3,"IntoIter"],[3,"Cell"],[3,"RefCell"],[3,"BorrowError"],[3,"BorrowMutError"],[3,"Ref"],[3,"RefMut"],[3,"UnsafeCell"],[3,"EscapeUnicode"],[3,"EscapeDefault"],[3,"EscapeDebug"],[3,"ToLowercase"],[3,"ToUppercase"],[3,"CharTryFromError"],[3,"ParseCharError"],[3,"DecodeUtf16"],[3,"DecodeUtf16Error"],[4,"Infallible"],[3,"Pending"],[3,"Ready"],[3,"PollFn"],[3,"BuildHasherDefault"],[3,"SipHasher"],[3,"Empty"],[3,"FromFn"],[3,"Once"],[3,"OnceWith"],[3,"Repeat"],[3,"RepeatWith"],[3,"Successors"],[3,"Cloned"],[3,"Copied"],[3,"Flatten"],[3,"MapWhile"],[3,"StepBy"],[3,"Chain"],[3,"Cycle"],[3,"Enumerate"],[3,"Filter"],[3,"FilterMap"],[3,"FlatMap"],[3,"Fuse"],[3,"Inspect"],[3,"Map"],[3,"Peekable"],[3,"Rev"],[3,"Scan"],[3,"Skip"],[3,"SkipWhile"],[3,"Take"],[3,"TakeWhile"],[3,"Zip"],[3,"Intersperse"],[3,"IntersperseWith"],[3,"PhantomData"],[3,"PhantomPinned"],[3,"Discriminant"],[3,"ManuallyDrop"],[19,"MaybeUninit"],[3,"RangeFull"],[3,"RangeInclusive"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[3,"NoneError"],[3,"Pin"],[3,"NonNull"],[3,"Iter"],[3,"IterMut"],[3,"IntoIter"],[15,"i16"],[15,"u8"],[15,"u64"],[15,"i64"],[15,"isize"],[15,"u32"],[15,"i128"],[15,"i8"],[15,"u16"],[15,"usize"],[15,"bool"],[15,"i32"],[15,"u128"],[15,"f64"],[15,"f32"],[15,"array"],[15,"slice"],[15,"reference"],[15,"str"],[15,"char"],[15,"fn"],[15,"pointer"],[15,"tuple"],[15,"never"],[15,"unit"],[6,"RawFd"]],"a":{"!":[2096],"!=":[1353,1356],"%":[1878,1890],"%=":[1890],"&":[1894,2118],"&*":[1922],"&=":[1912],"&mut":[2118],"(":[2103],"()":[2103],")":[2103],"*":[1872,1888,1922,1925],"*=":[1888],"+":[1866,1884],"+=":[1884],"-":[1875,1881,1892],"-=":[1892],"..":[1941,1944,1946,1947],"..=":[1958,1959],"/":[1869,1886],"/=":[1886],"<":[1363,1368],"<<":[1906],"<<=":[1918],"<=":[1363,1368],"==":[1353,1356],">":[1363,1368],">=":[1363,1368],">>":[1909],">>=":[1920],"?":[1961,2052],"[":[1936,1939,2101],"[]":[1936,1939,2100,2101],"[t; n]":[2100],"[t;n]":[2100],"]":[1936,1939,2101],"^":[1900],"^=":[1916],"alloc":[1307,16780,16898],"calloc":[16782],"chr":[1342],"compare_and_swap":[16480,16481],"delete":[334,345,346,1857,15620,15702,15757,15793],"false":[2095],"inject":[1714],"length":[1783,12049,12160,15604,15676,15723,15773,15800,15812,15864,15939,16926,16971],"malloc":[1307,16780,16898,16938],"memcpy":[1670,2006,12128],"memmove":[1671,2007],"memset":[12125,12126],"popcnt":[12899,13046,13130,13214,13304,13447,13531,13631,13721,13985,14069,14153,16119,16133,16147,16161,16175,16189,16203,16217,16231,16245,16259,16273],"popcount":[12899,13046,13130,13214,13304,13447,13531,13631,13721,13985,14069,14153,16119,16133,16147,16161,16175,16189,16203,16217,16231,16245,16259,16273],"promise":[2155],"ptr":[2099],"realloc":[16946,16947,16948,16949,16950,16951],"reduce":[1714],"true":[2095],"{:?}":[1161],"{}":[1164],"|":[1897],"|=":[1914]}},\
"test":{"doc":"Support code for rustc\'s built in unit-test and …","i":[[0,"test","test","",null,null],[5,"parse_opts","test::test","Parses command line arguments into test options. Returns …",null,[[],[["option",4],["result",4]]]],[3,"TestOpts","","",null,null],[12,"list","","",0,null],[12,"filter","","",0,null],[12,"filter_exact","","",0,null],[12,"force_run_in_process","","",0,null],[12,"exclude_should_panic","","",0,null],[12,"run_ignored","","",0,null],[12,"run_tests","","",0,null],[12,"bench_benchmarks","","",0,null],[12,"logfile","","",0,null],[12,"nocapture","","",0,null],[12,"color","","",0,null],[12,"format","","",0,null],[12,"test_threads","","",0,null],[12,"skip","","",0,null],[12,"time_options","","",0,null],[12,"options","","",0,null],[3,"Metric","","",null,null],[3,"MetricMap","","",null,null],[3,"Options","","Options for the test run defined by the caller (instead …",null,null],[12,"display_output","","",1,null],[12,"panic_abort","","",1,null],[4,"RunIgnored","","Whether ignored test should be run or not",null,null],[13,"Yes","","",2,null],[13,"No","","",2,null],[13,"Only","","Run only ignored tests",2,null],[4,"RunStrategy","","",null,null],[13,"InProcess","","Runs the test in the current process, and sends the …",3,null],[13,"SpawnPrimary","","Spawns a subprocess to run the test, and sends the result …",3,null],[4,"ShouldPanic","","Whether test is expected to panic or not",null,null],[13,"No","","",4,null],[13,"Yes","","",4,null],[13,"YesWithMessage","","",4,null],[4,"TestResult","","",null,null],[13,"TrOk","","",5,null],[13,"TrFailed","","",5,null],[13,"TrFailedMsg","","",5,null],[13,"TrIgnored","","",5,null],[13,"TrAllowedFail","","",5,null],[13,"TrBench","","",5,null],[13,"TrTimedFail","","",5,null],[3,"TestExecTime","","The measured execution time of a unit test.",null,null],[12,"0","","",6,null],[3,"TestTimeOptions","","Structure with parameters for calculating test execution …",null,null],[12,"error_on_excess","","Denotes if the test critical execution time limit excess …",7,null],[12,"colored","","",7,null],[12,"unit_threshold","","",7,null],[12,"integration_threshold","","",7,null],[12,"doctest_threshold","","",7,null],[3,"TestDesc","","",null,null],[12,"name","","",8,null],[12,"ignore","","",8,null],[12,"should_panic","","",8,null],[12,"allow_fail","","",8,null],[12,"test_type","","",8,null],[3,"TestDescAndFn","","",null,null],[12,"desc","","",9,null],[12,"testfn","","",9,null],[4,"TestName","","",null,null],[13,"StaticTestName","","",10,null],[13,"DynTestName","","",10,null],[13,"AlignedTestName","","",10,null],[4,"TestType","","Type of the test according to the rust book conventions.",null,null],[13,"UnitTest","","Unit-tests are expected to be in the <code>src</code> folder of the …",11,null],[13,"IntegrationTest","","Integration-style tests are expected to be in the <code>tests</code> …",11,null],[13,"DocTest","","Doctests are created by the <code>librustdoc</code> manually, so it\'s …",11,null],[13,"Unknown","","Tests for the sources that don\'t follow the project …",11,null],[0,"bench","test","Benchmarking module.",null,null],[5,"black_box","test::bench","An identity function that <em><strong>hints</strong></em> to the compiler to be …",null,[[]]],[3,"Bencher","","Manager of the benchmarking runs.",null,null],[12,"bytes","","",12,null],[11,"iter","","Callback for benchmark functions to run in their body.",12,[[]]],[11,"bench","","",12,[[],[["option",4],["summary",3]]]],[3,"BenchSamples","","",null,null],[12,"ns_iter_summ","","",13,null],[12,"mb_s","","",13,null],[5,"fmt_bench_samples","","",null,[[["benchsamples",3]],["string",3]]],[5,"iter","","",null,[[],["summary",3]]],[5,"benchmark","","",null,[[["testdesc",3],["bool",15],["completedtest",3],["sender",3]]]],[5,"run_once","","",null,[[]]],[11,"use_color","test::test","",0,[[],["bool",15]]],[11,"new","","",14,[[["f64",15]],["metric",3]]],[11,"new","","",15,[[],["metricmap",3]]],[11,"insert_metric","","Insert a named <code>value</code> (+/- <code>noise</code>) metric into the map. The …",15,[[["f64",15],["str",15]]]],[11,"fmt_metrics","","",15,[[],["string",3]]],[11,"new","","",1,[[],["options",3]]],[11,"display_output","","",1,[[["bool",15]],["options",3]]],[11,"panic_abort","","",1,[[["bool",15]],["options",3]]],[0,"stats","test","",null,null],[8,"Stats","test::stats","Trait that provides simple descriptive statistics on a …",null,null],[10,"sum","","Sum of the samples.",16,[[],["f64",15]]],[10,"min","","Minimum value of the samples.",16,[[],["f64",15]]],[10,"max","","Maximum value of the samples.",16,[[],["f64",15]]],[10,"mean","","Arithmetic mean (average) of the samples: sum divided by …",16,[[],["f64",15]]],[10,"median","","Median of the samples: value separating the lower half of …",16,[[],["f64",15]]],[10,"var","","Variance of the samples: bias-corrected mean of the …",16,[[],["f64",15]]],[10,"std_dev","","Standard deviation: the square root of the sample …",16,[[],["f64",15]]],[10,"std_dev_pct","","Standard deviation as a percent of the mean value. See …",16,[[],["f64",15]]],[10,"median_abs_dev","","Scaled median of the absolute deviations of each sample …",16,[[],["f64",15]]],[10,"median_abs_dev_pct","","Median absolute deviation as a percent of the median. See …",16,[[],["f64",15]]],[10,"percentile","","Percentile: the value below which <code>pct</code> percent of the …",16,[[["f64",15]],["f64",15]]],[10,"quartiles","","Quartiles of the sample: three values that divide the …",16,[[]]],[10,"iqr","","Inter-quartile range: the difference between the 25th …",16,[[],["f64",15]]],[3,"Summary","","Extracted collection of all the summary statistics of a …",null,null],[12,"sum","","",17,null],[12,"min","","",17,null],[12,"max","","",17,null],[12,"mean","","",17,null],[12,"median","","",17,null],[12,"var","","",17,null],[12,"std_dev","","",17,null],[12,"std_dev_pct","","",17,null],[12,"median_abs_dev","","",17,null],[12,"median_abs_dev_pct","","",17,null],[12,"quartiles","","",17,null],[12,"iqr","","",17,null],[11,"new","","Construct a new summary of a sample set.",17,[[],["summary",3]]],[5,"winsorize","","Winsorize a set of samples, replacing values above the …",null,[[["f64",15]]]],[11,"new_from_env","test::test","",7,[[["bool",15]]]],[11,"is_warn","","",7,[[["testexectime",3],["testdesc",3]],["bool",15]]],[11,"is_critical","","",7,[[["testexectime",3],["testdesc",3]],["bool",15]]],[11,"as_slice","","",10,[[],["str",15]]],[11,"padding","","",10,[[],["namepadding",4]]],[11,"with_padding","","",10,[[["namepadding",4]],["testname",4]]],[11,"padded_name","","",8,[[["usize",15],["namepadding",4]],["string",3]]],[5,"black_box","test","An identity function that <em><strong>hints</strong></em> to the compiler to be …",null,[[]]],[5,"run_tests_console","","A simple console test runner. Runs provided tests …",null,[[["testdescandfn",3],["vec",3],["testopts",3]],[["bool",15],["result",6]]]],[4,"ColorConfig","","Whether should console output be colored or not",null,null],[13,"AutoColor","","",18,null],[13,"AlwaysColor","","",18,null],[13,"NeverColor","","",18,null],[3,"Options","","Options for the test run defined by the caller (instead …",null,null],[12,"display_output","","",1,null],[12,"panic_abort","","",1,null],[4,"OutputFormat","","Format of the test results output",null,null],[13,"Pretty","","Verbose output",19,null],[13,"Terse","","Quiet output",19,null],[13,"Json","","JSON output",19,null],[4,"RunIgnored","","Whether ignored test should be run or not",null,null],[13,"Yes","","",2,null],[13,"No","","",2,null],[13,"Only","","Run only ignored tests",2,null],[4,"ShouldPanic","","Whether test is expected to panic or not",null,null],[13,"No","","",4,null],[13,"Yes","","",4,null],[13,"YesWithMessage","","",4,null],[4,"TestType","","Type of the test according to the rust book conventions.",null,null],[13,"UnitTest","","Unit-tests are expected to be in the <code>src</code> folder of the …",11,null],[13,"IntegrationTest","","Integration-style tests are expected to be in the <code>tests</code> …",11,null],[13,"DocTest","","Doctests are created by the <code>librustdoc</code> manually, so it\'s …",11,null],[13,"Unknown","","Tests for the sources that don\'t follow the project …",11,null],[4,"NamePadding","","",null,null],[13,"PadNone","","",20,null],[13,"PadOnRight","","",20,null],[4,"TestName","","",null,null],[13,"StaticTestName","","",10,null],[13,"DynTestName","","",10,null],[13,"AlignedTestName","","",10,null],[8,"TDynBenchFn","","Represents a benchmark function.",null,null],[10,"run","","",21,[[["bencher",3]]]],[4,"TestFn","","",null,null],[13,"StaticTestFn","","",22,null],[13,"StaticBenchFn","","",22,null],[13,"DynTestFn","","",22,null],[13,"DynBenchFn","","",22,null],[3,"TestDesc","","",null,null],[12,"name","","",8,null],[12,"ignore","","",8,null],[12,"should_panic","","",8,null],[12,"allow_fail","","",8,null],[12,"test_type","","",8,null],[3,"TestDescAndFn","","",null,null],[12,"desc","","",9,null],[12,"testfn","","",9,null],[3,"TestOpts","","",null,null],[12,"list","","",0,null],[12,"filter","","",0,null],[12,"filter_exact","","",0,null],[12,"force_run_in_process","","",0,null],[12,"exclude_should_panic","","",0,null],[12,"run_ignored","","",0,null],[12,"run_tests","","",0,null],[12,"bench_benchmarks","","",0,null],[12,"logfile","","",0,null],[12,"nocapture","","",0,null],[12,"color","","",0,null],[12,"format","","",0,null],[12,"test_threads","","",0,null],[12,"skip","","",0,null],[12,"time_options","","",0,null],[12,"options","","",0,null],[5,"test_main","","",null,[[["testdescandfn",3],["options",3],["option",4],["vec",3]]]],[5,"test_main_static","","A variant optimized for invocation with a static test …",null,[[]]],[5,"test_main_static_abort","","A variant optimized for invocation with a static test …",null,[[]]],[5,"assert_test_result","","Invoked when unit tests terminate. Should panic if the …",null,[[["termination",8]]]],[5,"run_tests","","",null,[[["testdescandfn",3],["vec",3],["testopts",3]],["result",6]]],[5,"filter_tests","","",null,[[["testdescandfn",3],["vec",3],["testopts",3]],[["testdescandfn",3],["vec",3]]]],[5,"convert_benchmarks_to_tests","","",null,[[["testdescandfn",3],["vec",3]],[["testdescandfn",3],["vec",3]]]],[5,"run_test","","",null,[[["testdescandfn",3],["completedtest",3],["testopts",3],["bool",15],["concurrent",4],["sender",3],["runstrategy",4]],[["option",4],["joinhandle",3]]]],[11,"from","test::test","",0,[[]]],[11,"into","","",0,[[]]],[11,"borrow","","",0,[[]]],[11,"borrow_mut","","",0,[[]]],[11,"try_from","","",0,[[],["result",4]]],[11,"try_into","","",0,[[],["result",4]]],[11,"type_id","","",0,[[],["typeid",3]]],[11,"from","","",14,[[]]],[11,"into","","",14,[[]]],[11,"to_owned","","",14,[[]]],[11,"clone_into","","",14,[[]]],[11,"borrow","","",14,[[]]],[11,"borrow_mut","","",14,[[]]],[11,"try_from","","",14,[[],["result",4]]],[11,"try_into","","",14,[[],["result",4]]],[11,"type_id","","",14,[[],["typeid",3]]],[11,"from","","",15,[[]]],[11,"into","","",15,[[]]],[11,"to_owned","","",15,[[]]],[11,"clone_into","","",15,[[]]],[11,"borrow","","",15,[[]]],[11,"borrow_mut","","",15,[[]]],[11,"try_from","","",15,[[],["result",4]]],[11,"try_into","","",15,[[],["result",4]]],[11,"type_id","","",15,[[],["typeid",3]]],[11,"from","","",1,[[]]],[11,"into","","",1,[[]]],[11,"to_owned","","",1,[[]]],[11,"clone_into","","",1,[[]]],[11,"borrow","","",1,[[]]],[11,"borrow_mut","","",1,[[]]],[11,"try_from","","",1,[[],["result",4]]],[11,"try_into","","",1,[[],["result",4]]],[11,"type_id","","",1,[[],["typeid",3]]],[11,"from","","",2,[[]]],[11,"into","","",2,[[]]],[11,"to_owned","","",2,[[]]],[11,"clone_into","","",2,[[]]],[11,"borrow","","",2,[[]]],[11,"borrow_mut","","",2,[[]]],[11,"try_from","","",2,[[],["result",4]]],[11,"try_into","","",2,[[],["result",4]]],[11,"type_id","","",2,[[],["typeid",3]]],[11,"from","","",3,[[]]],[11,"into","","",3,[[]]],[11,"to_owned","","",3,[[]]],[11,"clone_into","","",3,[[]]],[11,"borrow","","",3,[[]]],[11,"borrow_mut","","",3,[[]]],[11,"try_from","","",3,[[],["result",4]]],[11,"try_into","","",3,[[],["result",4]]],[11,"type_id","","",3,[[],["typeid",3]]],[11,"from","","",4,[[]]],[11,"into","","",4,[[]]],[11,"to_owned","","",4,[[]]],[11,"clone_into","","",4,[[]]],[11,"borrow","","",4,[[]]],[11,"borrow_mut","","",4,[[]]],[11,"try_from","","",4,[[],["result",4]]],[11,"try_into","","",4,[[],["result",4]]],[11,"type_id","","",4,[[],["typeid",3]]],[11,"from","","",5,[[]]],[11,"into","","",5,[[]]],[11,"to_owned","","",5,[[]]],[11,"clone_into","","",5,[[]]],[11,"borrow","","",5,[[]]],[11,"borrow_mut","","",5,[[]]],[11,"try_from","","",5,[[],["result",4]]],[11,"try_into","","",5,[[],["result",4]]],[11,"type_id","","",5,[[],["typeid",3]]],[11,"from","","",6,[[]]],[11,"into","","",6,[[]]],[11,"to_owned","","",6,[[]]],[11,"clone_into","","",6,[[]]],[11,"to_string","","",6,[[],["string",3]]],[11,"borrow","","",6,[[]]],[11,"borrow_mut","","",6,[[]]],[11,"try_from","","",6,[[],["result",4]]],[11,"try_into","","",6,[[],["result",4]]],[11,"type_id","","",6,[[],["typeid",3]]],[11,"from","","",7,[[]]],[11,"into","","",7,[[]]],[11,"to_owned","","",7,[[]]],[11,"clone_into","","",7,[[]]],[11,"borrow","","",7,[[]]],[11,"borrow_mut","","",7,[[]]],[11,"try_from","","",7,[[],["result",4]]],[11,"try_into","","",7,[[],["result",4]]],[11,"type_id","","",7,[[],["typeid",3]]],[11,"from","","",8,[[]]],[11,"into","","",8,[[]]],[11,"to_owned","","",8,[[]]],[11,"clone_into","","",8,[[]]],[11,"borrow","","",8,[[]]],[11,"borrow_mut","","",8,[[]]],[11,"try_from","","",8,[[],["result",4]]],[11,"try_into","","",8,[[],["result",4]]],[11,"type_id","","",8,[[],["typeid",3]]],[11,"from","","",9,[[]]],[11,"into","","",9,[[]]],[11,"borrow","","",9,[[]]],[11,"borrow_mut","","",9,[[]]],[11,"try_from","","",9,[[],["result",4]]],[11,"try_into","","",9,[[],["result",4]]],[11,"type_id","","",9,[[],["typeid",3]]],[11,"from","","",10,[[]]],[11,"into","","",10,[[]]],[11,"to_owned","","",10,[[]]],[11,"clone_into","","",10,[[]]],[11,"to_string","","",10,[[],["string",3]]],[11,"borrow","","",10,[[]]],[11,"borrow_mut","","",10,[[]]],[11,"try_from","","",10,[[],["result",4]]],[11,"try_into","","",10,[[],["result",4]]],[11,"type_id","","",10,[[],["typeid",3]]],[11,"from","","",11,[[]]],[11,"into","","",11,[[]]],[11,"to_owned","","",11,[[]]],[11,"clone_into","","",11,[[]]],[11,"borrow","","",11,[[]]],[11,"borrow_mut","","",11,[[]]],[11,"try_from","","",11,[[],["result",4]]],[11,"try_into","","",11,[[],["result",4]]],[11,"type_id","","",11,[[],["typeid",3]]],[11,"from","test::bench","",12,[[]]],[11,"into","","",12,[[]]],[11,"to_owned","","",12,[[]]],[11,"clone_into","","",12,[[]]],[11,"borrow","","",12,[[]]],[11,"borrow_mut","","",12,[[]]],[11,"try_from","","",12,[[],["result",4]]],[11,"try_into","","",12,[[],["result",4]]],[11,"type_id","","",12,[[],["typeid",3]]],[11,"from","","",13,[[]]],[11,"into","","",13,[[]]],[11,"to_owned","","",13,[[]]],[11,"clone_into","","",13,[[]]],[11,"borrow","","",13,[[]]],[11,"borrow_mut","","",13,[[]]],[11,"try_from","","",13,[[],["result",4]]],[11,"try_into","","",13,[[],["result",4]]],[11,"type_id","","",13,[[],["typeid",3]]],[11,"from","test","",18,[[]]],[11,"into","","",18,[[]]],[11,"to_owned","","",18,[[]]],[11,"clone_into","","",18,[[]]],[11,"borrow","","",18,[[]]],[11,"borrow_mut","","",18,[[]]],[11,"try_from","","",18,[[],["result",4]]],[11,"try_into","","",18,[[],["result",4]]],[11,"type_id","","",18,[[],["typeid",3]]],[11,"from","","",19,[[]]],[11,"into","","",19,[[]]],[11,"to_owned","","",19,[[]]],[11,"clone_into","","",19,[[]]],[11,"borrow","","",19,[[]]],[11,"borrow_mut","","",19,[[]]],[11,"try_from","","",19,[[],["result",4]]],[11,"try_into","","",19,[[],["result",4]]],[11,"type_id","","",19,[[],["typeid",3]]],[11,"from","test::stats","",17,[[]]],[11,"into","","",17,[[]]],[11,"to_owned","","",17,[[]]],[11,"clone_into","","",17,[[]]],[11,"borrow","","",17,[[]]],[11,"borrow_mut","","",17,[[]]],[11,"try_from","","",17,[[],["result",4]]],[11,"try_into","","",17,[[],["result",4]]],[11,"type_id","","",17,[[],["typeid",3]]],[11,"from","test","",20,[[]]],[11,"into","","",20,[[]]],[11,"to_owned","","",20,[[]]],[11,"clone_into","","",20,[[]]],[11,"borrow","","",20,[[]]],[11,"borrow_mut","","",20,[[]]],[11,"try_from","","",20,[[],["result",4]]],[11,"try_into","","",20,[[],["result",4]]],[11,"type_id","","",20,[[],["typeid",3]]],[11,"from","","",22,[[]]],[11,"into","","",22,[[]]],[11,"borrow","","",22,[[]]],[11,"borrow_mut","","",22,[[]]],[11,"try_from","","",22,[[],["result",4]]],[11,"try_into","","",22,[[],["result",4]]],[11,"type_id","","",22,[[],["typeid",3]]],[11,"clone","test::bench","",12,[[],["bencher",3]]],[11,"clone","","",13,[[],["benchsamples",3]]],[11,"clone","test::test","",14,[[],["metric",3]]],[11,"clone","","",15,[[],["metricmap",3]]],[11,"clone","","",4,[[],["shouldpanic",4]]],[11,"clone","test","",18,[[],["colorconfig",4]]],[11,"clone","","",19,[[],["outputformat",4]]],[11,"clone","test::test","",2,[[],["runignored",4]]],[11,"clone","","",3,[[],["runstrategy",4]]],[11,"clone","","",1,[[],["options",3]]],[11,"clone","test::stats","",17,[[],["summary",3]]],[11,"clone","test::test","",5,[[],["testresult",4]]],[11,"clone","","",6,[[],["testexectime",3]]],[11,"clone","","",7,[[],["testtimeoptions",3]]],[11,"clone","","",11,[[],["testtype",4]]],[11,"clone","test","",20,[[],["namepadding",4]]],[11,"clone","test::test","",10,[[],["testname",4]]],[11,"clone","","",8,[[],["testdesc",3]]],[11,"default","","",7,[[],["testtimeoptions",3]]],[11,"eq","test::bench","",13,[[["benchsamples",3]],["bool",15]]],[11,"ne","","",13,[[["benchsamples",3]],["bool",15]]],[11,"eq","test::test","",14,[[["metric",3]],["bool",15]]],[11,"ne","","",14,[[["metric",3]],["bool",15]]],[11,"eq","","",15,[[["metricmap",3]],["bool",15]]],[11,"ne","","",15,[[["metricmap",3]],["bool",15]]],[11,"eq","","",4,[[["shouldpanic",4]],["bool",15]]],[11,"ne","","",4,[[["shouldpanic",4]],["bool",15]]],[11,"eq","test","",19,[[["outputformat",4]],["bool",15]]],[11,"eq","test::test","",2,[[["runignored",4]],["bool",15]]],[11,"eq","test::stats","",17,[[["summary",3]],["bool",15]]],[11,"ne","","",17,[[["summary",3]],["bool",15]]],[11,"eq","test::test","",5,[[["testresult",4]],["bool",15]]],[11,"ne","","",5,[[["testresult",4]],["bool",15]]],[11,"eq","","",6,[[["testexectime",3]],["bool",15]]],[11,"ne","","",6,[[["testexectime",3]],["bool",15]]],[11,"eq","","",7,[[["testtimeoptions",3]],["bool",15]]],[11,"ne","","",7,[[["testtimeoptions",3]],["bool",15]]],[11,"eq","","",11,[[["testtype",4]],["bool",15]]],[11,"eq","test","",20,[[["namepadding",4]],["bool",15]]],[11,"eq","test::test","",10,[[["testname",4]],["bool",15]]],[11,"ne","","",10,[[["testname",4]],["bool",15]]],[11,"eq","","",8,[[["testdesc",3]],["bool",15]]],[11,"ne","","",8,[[["testdesc",3]],["bool",15]]],[11,"fmt","test::bench","",13,[[["formatter",3]],["result",6]]],[11,"fmt","test::test","",0,[[["formatter",3]],["result",6]]],[11,"fmt","","",14,[[["formatter",3]],["result",6]]],[11,"fmt","","",4,[[["formatter",3]],["result",6]]],[11,"fmt","test","",18,[[["formatter",3]],["result",6]]],[11,"fmt","","",19,[[["formatter",3]],["result",6]]],[11,"fmt","test::test","",2,[[["formatter",3]],["result",6]]],[11,"fmt","","",1,[[["formatter",3]],["result",6]]],[11,"fmt","test::stats","",17,[[["formatter",3]],["result",6]]],[11,"fmt","test::test","",5,[[["formatter",3]],["result",6]]],[11,"fmt","","",6,[[["formatter",3]],["result",6]]],[11,"fmt","","",7,[[["formatter",3]],["result",6]]],[11,"fmt","","",11,[[["formatter",3]],["result",6]]],[11,"fmt","test","",20,[[["formatter",3]],["result",6]]],[11,"fmt","test::test","",10,[[["formatter",3]],["result",6]]],[11,"fmt","test","",22,[[["formatter",3]],["result",6]]],[11,"fmt","test::test","",8,[[["formatter",3]],["result",6]]],[11,"fmt","","",9,[[["formatter",3]],["result",6]]],[11,"fmt","","",6,[[["formatter",3]],["result",6]]],[11,"fmt","","",10,[[["formatter",3]],["result",6]]],[11,"hash","","",4,[[]]],[11,"hash","","",11,[[]]],[11,"hash","test","",20,[[]]],[11,"hash","test::test","",10,[[]]],[11,"hash","","",8,[[]]],[11,"padding","test","",22,[[],["namepadding",4]]]],"p":[[3,"TestOpts"],[3,"Options"],[4,"RunIgnored"],[4,"RunStrategy"],[4,"ShouldPanic"],[4,"TestResult"],[3,"TestExecTime"],[3,"TestTimeOptions"],[3,"TestDesc"],[3,"TestDescAndFn"],[4,"TestName"],[4,"TestType"],[3,"Bencher"],[3,"BenchSamples"],[3,"Metric"],[3,"MetricMap"],[8,"Stats"],[3,"Summary"],[4,"ColorConfig"],[4,"OutputFormat"],[4,"NamePadding"],[8,"TDynBenchFn"],[4,"TestFn"]]}\
}');
addSearchOptions(searchIndex);initSearch(searchIndex);